The Caribbean doesn't seem like the ideal place for a vacation during hurricane season, yet many travelers take the gamble and book a cruise to the region anyway.

It's a trip that can can go very smoothly or offer some unpleasant surprises, anything from sudden itinerary changes to passengers being left behind when weather conditions change.

Consider Hurricane Irene, which forced many ships to change course last week. Now, here comes Tropical Storm Katia.

So what should cruise aficionados consider when booking a summer or fall Caribbean voyage?

We asked Carolyn Spencer Brown, editor in chief of CruiseCritic.com, to explain some of the realities of cruising when the big storms are most likely to form.

Why do people choose to cruise in the Caribbean during hurricane season?

There are several compelling reasons.

First, hurricane season in the Atlantic lasts a long time -- from June 1 to November 30 -- and it includes the summer, when school is out and many people are looking to get away with their kids. So it's not realistic to think vacationers will skip the beautiful region for six months, Brown said.

Second, it's a great time for deals.

"It's the cheapest time to cruise, and for a lot of people, that's worth the risk," Brown said.

Third, it's unlikely most travelers will be caught in a storm. If a hurricane forms, cruise ships have sophisticated weather tracking systems and can keep their distance from any rough weather.

"Ships can move. Unlike an island resort, which pretty much has to sit there and take it, ships move out of the way of the hurricane," Brown said.

When Hurricane Irene blew through the Caribbean last week, more than 20 ships changed their itineraries to avoid the storm.  Which leads to the next question:

Aren't cruise ships obligated to stick to their published itinerary?

You may be surprised that the answer is no.

"It's in the contract of carriage when you buy your ticket that they can go anywhere they want. You can buy an eastern Caribbean cruise, and they can go to the western Caribbean, and they don't have to give you a cent in compensation for that," Brown said.

She recalled a 2005 incident in which a Royal Caribbean cruise ship was supposed to sail from New Jersey to Bermuda but changed course to New England and Canada at the last minute because of an approaching tropical storm. The passengers, who weren't prepared for the colder climate, were furious, Brown said.

Love 'em or hate 'em? Cruises divide travelers

Rough weather isn't the only reason that cruise ships change itineraries. This year, dozens of cruises had to be "reset" during the political unrest in parts of North Africa and the Middle East.

What happens if you miss your cruise because of a canceled flight to the port city or because the ship leaves early to escape the path of the storm?

Things can get tricky.

If you buy an air/sea package -- or purchase the flight as part of the voyage -- the cruise line will put you up in a hotel and help you get to the next port. Otherwise, it's not obligated to do anything, Brown said.

Consider what happened August 21 as Hurricane Irene was getting closer to Puerto Rico.

Port officials in San Juan ordered Royal Caribbean and Carnival ships to depart several hours early, even though not all the passengers had arrived, CruiseCritic.com reported.

There was no way to notify guests of the three-hour change in departure time, Royal Caribbean said in a statement, so 145 of the passengers booked on the Serenade of the Seas were left behind.

The 15 people who reserved their air travel with Royal Caribbean were provided hotel accommodations in San Juan as well as a flight to Aruba the next day so they could join the ship.

The rest -- or "independent guests" -- were advised of hotel availability in San Juan, but the expense was their responsibility since it was a weather-related event, said Cynthia Martinez, a Royal Caribbean spokeswoman.

"That took my breath away. That was the worst display of customer service I have ever seen in the cruise industry," Brown said.

She pointed out that when faced with the same situation, Carnival tried to reach out to all of its passengers, arranged for hotel stays and booked flights to Barbados for those who wanted to meet the ship there. It also paid for the expenses or offered refunds in the form of future cruise credits.

The incident generated 700 comments on CruiseCritic's message board, most of them expressing horror at what happened, Brown said.

Still, she doesn't recommend buying air/sea packages from a cruise line to feel safe, because air travel booked this way is often more expensive and less flexible than booking your own flight. Buy travel insurance instead -- more on that later.

Do cruise lines ever cancel cruises?

Very rarely, because they can "make lemonade out of lemons" -- or change the order of port calls or go to another destination, Brown said.

"We monitor the storms closely and make strategic changes to the itineraries to keep them away from the storm," said Jennifer de la Cruz, a Carnival spokeswoman, during Hurricane Irene.

"The nice thing ... is that there are a lot of destinations in the Caribbean, so we have lots of options."

What should you do to keep a hurricane from ruining your cruise?

Buy travel insurance with weather protection, but not necessarily from the cruise line, Brown said. Ask your travel agent for help, or shop around for a good policy.

If you're cruising during hurricane season, get to the departure city a day early so you don't have to worry about missing the ship. "Don't tempt fate," Brown said.

If there is a storm that could affect the region you're cruising in, stay close to your ship in case it needs to depart early. Don't go off on a three-hour trip by yourself, Brown said.

Many people plan marriage ceremonies in scenic port stops, like Grand Cayman or St. Thomas in the U.S. Virgin Islands. Be very careful about doing that during hurricane season.

"You can plan this beautiful wedding for yourself on the Wednesday that you're there, but if a hurricane comes and you don't go there, you're out of luck," Brown said.

@highlight

Rough weather is possible, but ships usually move out of the way of a storm

@highlight

Cruise ships are not obligated to stick to their published itinerary

@highlight

Cruise lines took different approaches when guests were left behind before Irene

@highlight

Expert: Buy travel insurance; stay close to the ship if a storm is approaching