A federal jury in New York on Monday found radical Islamic cleric Abu Hamza al-Masri guilty of charges that he aided terrorists in incidents that span the globe, from a remote Oregon ranch to the dusty desert of the Arabian Peninsula.

Abu Hamza al-Masri faced 11 criminal counts for allegedly aiding kidnappers during a 1998 hostage-taking in Yemen; sending a young recruit to jihadists in Afghanistan; violating U.S. sanctions against the Taliban; and attempting to establish an al Qaeda-style training camp on the West Coast of the United States.

The jury deliberated for more than 12 hours over two days.

Al-Masri was found guilty on all counts, and showed no discernible reaction as the verdict was read.

"The defendant stands convicted, not for what he said, but for what he did," said Manhattan U.S. Attorney Preet Bharara, describing al-Masri as "not just a preacher of faith, but a trainer of terrorists.

"Once again our civilian system of justice has proven itself up to the task of trying an accused terrorist and arriving at a fair and just and swift result."

The high-profile London mosque leader gained notoriety for the metal hook he's sometimes depicted wearing in place of one of his missing hands, but he sported only an occasional writing prosthesis in the Manhattan courtroom. Contrary to stories that he lost the limbs in battle, al-Masri testified, his maiming was the result of an engineering accident.

The government's three-week case against al-Masri was an effort to connect the dots between the defendant and events thousands of miles away, through key witnesses who often had never met the cleric themselves and testified in exchange for leniency or protection.

A trial highlight was al-Masri taking the stand in his own defense and accusing federal prosecutors of using "pay-as-you-go witnesses" and a "cut-and-paste" approach to take inflammatory comments out context, including statements about his admiration for late al Qaeda leader Osama bin Laden.

"The deliberations confirmed our fears they would focus on words and ideas rather than the evidence," said defense attorney Jeremy Schneider, after the verdict was announced. The speed of deliberations, he said, make it clear jurors "walked in with a foregone conclusion."

Defendant claims he was a 'mouthpiece'

During his four days of testimony, al-Masri described bin Laden as a dangerous hothead in charge of an unfocused organization that has betrayed the Afghan people. As for the Taliban regime, it doesn't need his money; it has "millions," yet doesn't feed its own people, he said.

But in Manhattan, by invoking 9/11 and bin Laden's name, al-Masri mused, "You can convict a person of killing the Dead Sea."

The 56-year-old cleric denied any part in the bumbling effort to launch a jihad training camp in Oregon and said he'd acted only as a "mouthpiece" in the fight against the Yemeni government when the hostage drama played out.

During his closing argument, Schneider warned jurors not to be distracted by the "quantity of irrelevant evidence" the prosecution presented, including photographs of bin Laden found on computers in the defendant's London home and snippets of his videotaped orations.

Al-Masri was convicted in the United Kingdom of inciting racial hatred and soliciting murder with his fiery sermons, but the charges against him in the United States are not for hateful speech or possessing photographs or other materials.

Prosecution: Al-Masri could 'work a crowd'

The prosecution played video clips of al-Masri endorsing suicide missions and saying the killing of non-believers is permissible, comparing them to cows or pigs.

Prosecution exhibits also included the 10-volume "Encyclopedia of Jihad" recovered from the al-Masri family residence, with topics ranging from bomb-making to personal hygiene in the battlefield.

"It's a very slippery slope to use someone's library against them," Schneider said in his closing.

The attorney conceded that his client sent money to benefit destitute widows and a secret girl's school in a Taliban-controlled territory, prohibited under U.S. sanctions -- the final charge of the 11-count indictment against al-Masri, with a maximum penalty of five years in prison.

In the closing argument for the government, Ian McGinley told jurors the tapes and photographs reveal "the real Abu Hamza": a screaming hatemonger -- far from the calm, tolerant, and sometimes quite funny man they'd seen on the witness stand.

"He knows how to work a crowd," said McGinley.

Key witness has checkered past

As for the quality of the government witnesses, McGinley said prosecutors didn't choose the co-conspirators, and that criminal trials involve unsavory characters.

A pivotal witness for the prosecution was James Ujaama, a Seattle man who testified he conceived of the idea for the Oregon training camp and faxed a pitch letter to al-Masri.

"It looks just like Afghanistan," the letter reads and repeatedly points out that all planned activities would be legal in the "pro-gun," "pro-militia" state.

Two men were sent from London by al-Masri to train recruits, said Ujaama, but the pair left after realizing his claims of eager trainees, weapons stockpiles, and efforts to build housing and a mosque were lies. Only two run-down trailers sat atop the barren ranch land, and its sole training facility was a deer-shaped target in a dry creek bed.

Al-Masri claimed the men made their way to Oregon on their own, after fishing Ujaama's fax from his trash can; he himself considered the pitch "a hallucination," he testified.

Ujaama also testified he agreed to escort a young recruit to an Afghani front-line commander for al-Masri, but said he actually left his young charge stranded and alone in a Pakistani hotel.

Ujaama is on his second cooperation agreement with the government, having violated his first one by fleeing to Belize. He spent approximately six years in jail for his own role in the Oregon venture and testified that he continues to receive a monthly stipend from the government for living expenses.

He also admitted a range of past criminal endeavors, including peddling knockoff watches and pirate CDs, and setting up an airport bathroom rendezvous to sell a computer without paying UK sales tax.

Another witness against al-Masri, Saajid Badat, testified that he later saw the abandoned recruit at the infamous Al Farouq training camp -- a key point to the allegation al-Masri in fact aided terrorists in Afghanistan.

A trainee himself at the time, Badat has admitted he conspired with failed shoe bomber Richard Reid on a plot to take down airliners, and, in fact, received shoe bombs from alleged 9/11 mastermind Khalid Sheik Mohammed. Badat backed out, he testified, after reconnecting with his parents.

As part of a cooperation agreement in the United Kingdom, Badat saw his own potential sentence of life in prison without the possibility of parole dwindle and ultimately served approximately six years, he said. Badat testified via teleconference from London to avoid facing pending charges in the United States.

Young recruit a courtroom no-show

A glaring absence on the witness stand was the young recruit himself, Uganda-born computer student Feroz Abbasi. He was apprehended in Afghanistan as part of a roundup by U.S. forces in 2002, according to testimony.

Jurors were not told Abbasi was released without charges after spending about two years at the detention facility in Guantanamo Bay, Cuba. Now living in the United Kingdom, Abbasi declined to testify in al-Masri's case, according to defense attorneys.

The most unassailable of key prosecution witnesses was Mary Quin, who was taken hostage with her fellow travelers during a trip through Yemen in 1998, allegedly as leverage for prisoners held by the Yemeni government -- including al-Masri's own stepson. Four of the tourists were killed during a harrowing shootout with government forces, Quin testified.

Quin later traveled to London to confront al-Masri; the cleric agreed to let her record the conversation. On the tape, which was played for jurors in court, al-Masri falls short of confessing he knew of the kidnapping plan ahead of time, but uses a phrase prosecutors have said is devastating evidence of his involvement: "We never thought it would be that bad."

The two criminal counts relating to the Yemen kidnapping plot both carry a possible life sentence. Sentencing is set for September 9.

@highlight

Sentencing is set for September 9

@highlight

A federal jury considered 11 terrorism-related counts against Abu Hamza al-Masri

@highlight

He was accused of conspiring to kidnap Americans in Yemen, open terror camp in Oregon

@highlight

On the stand, al-Masri criticized bin Laden and the Taliban