(CNN) -- In 2009 the first underground cable linking Africa to high speed internet access went live.

The 17,000km long network took two years to complete and came with the promise of boosting the region's industry and commerce.

Three years later millions of Africans now have access to the internet - primarily through 3G services on their mobile phones.

Mobile data offers the most affordable access to the web, and figures from the International Telecommunications Union show 31 million Africans now have mobile broadband subscriptions.

There's no denying the African internet economy has come a long way. But building a sustainable internet infrastructure across a continent of one billion people continues to present major challenges, especially when it comes to connecting rural towns and villages.

In large urban areas there are lots of ways to get people online, via traditional terrestrial technologies. In remote regions, where communities are often cut off, it's much more difficult for mobile operators to backhaul 3G data affordably.

So how do you overcome this connectivity challenge?

It seems the answer lies, not with the cables below our feet, but with the skies above.

"For communities that are really isolated the only reasonable choice is satellite," said Terry Neumann the Corporate Marketing Manager for satellite communications firm iDirect.

"Mobile operators are looking to new and different technologies for ways to connect a larger population base -- the chance to connect the unconnected."

iDirect says a growing number of mobile operators are using advanced satellite technology to distribute 2G traffic, and are also discovering it's a viable option for working with more complex data like 3G.

The service is already being gradually rolled out in countries including Nigeria and Kenya. But is it more cost effective than traditional methods?

Until recently the majority of internet coverage had been provided from marco-cells - large electrical base stations, made up of tall lattice towers laden with transmitters and receivers. They provide coverage to anyone within a 35 mile radius, but they're expensive to run.

Companies like iDirect are promoting an alternative - small-cell technology, which allows mobile operators to backhaul data from sites, no larger than the average satellite dish.

It's the ideal solution for mobile operators to reach remote and rural areas, and has been welcomed by Peter Lyons, the Director of Policy for the Africa and Middle East branch of the GSMA, an organization which represents mobile operators worldwide.

Lyons says broader internet coverage, will not only connect disengaged businesses and families, but will provide access to educational resources and basic amenities like banking.

"Ultimately, increased mobile connectivity translates into GDP growth and job creation in previously under-served areas. For example, broader mobile coverage provides an opportunity for the mobile industry and the financial sector to collaborate to deliver affordable financial services to millions of previously unbanked customers."

Of course the logistics of connecting millions of rural Africans is not the only problem that needs solving. Even if 3G internet is available in remote towns and villages, will locals be able to afford it?

10 African tech voices to follow on Twitter

Peter Lyons says mobile companies should prioritize driving down prices in order to make 3G access accessible for as many Africans as possible. But he says governments are also accountable.

"They have a really important role to play," he added.

"Governments across Africa are now prioritizing the removal of all taxes on devices and import duties that artificially inflate prices.

"For example, the 2009 removal of a 16 per cent VAT on handsets in Kenya saw a 200 per cent increase in devices sales and an increase in mobile penetration from 50 per cent to 70 per cent by 2011."

Terry Neumann admits that initially the cost of 3G, and the handsets required to run it, will remain prohibitively high for average Africans. But as connectivity spreads, and client bases expand, costs will eventually drop.

"The type of services they get will tie into what they can afford. If you're talking about spending $2/3 a month to get access to services, probably not.

"But if you're talking about the $10/15 range then yes that could get you access as costs continue to go down.

"The costs today will be very different to the costs in five years."

@highlight

Figures show 31 million Africans now have mobile broadband subscriptions

@highlight

Satellite technology being used to reach rural African communities, detached from the internet revolution

@highlight

Governments must also play a role in helping to provide affordable handsets and services