It's August when the Cape feels like summer to me.

The rest of the summer, the ocean water feels a little cold to me. In August, however, I can convince myself I could live there all year long.

I've been visiting the Cape Cod town of Provincetown and nearby towns since the early 1990s, when graduate school in Boston made it an easy two-hour trip. Traveling single with friends, a significant other and eventually with my family, I've listened to Provincetown's Broadway-quality cabaret, eaten a dozen times at Arnold's Lobster and Clam Bar in Eastham and staked out my place on the beaches in Sandwich and all along the Cape.

That's why I'm headed back to the Cape this year, although we'll fly this year instead of driving because of our recent move South. And this year, we'll stay in Wellfleet and hopefully swim in the town's freshwater kettle ponds carved out by retreating glaciers.

Five guys take same photo for 30 years

As summer winds down and parents prepare for another round of getting back into school routines, there's often one last trip to soak in the season before alarms and homework and fall set back in.

It seems everyone has a favorite summer spot. Ask a handful of friends and you're likely to get a different answer from everyone. I asked a few friends and colleagues to share the places they'd happily visit again and again.  Do you have a favorite summertime destination? Please share your recommendations below.

Rehoboth Beach: Where politicos go to relax

My pal Julianna Gonen can remember her first trips to Rehoboth in the late 1980s, traveling to the Delaware town for affordable weekend escapes with college friends. A graduate student on a budget in the early 1990s, she went with friends to play in beach volleyball tournaments and to enjoy the state park beach by Gordon's Pond.

More than 20 years later, the Washington lawyer co-owns a home there and often makes the two-hour drive to spend relaxing weekends. These days she enjoys the side of the state park close to Lewes, biking on the wide, flat roads, and playing golf at the Rookery in Milton and Marsh Island in Lewes.

Her "tried and true favorite" for a nice dinner is Eden, but she also loves Mixx, Nage and the new Shorebreak Lodge. Bin 66 Fine Wine & Spirits has free tastings Friday evenings (at the downtown store) and Saturday evening (at the Highway One location).

"I like how the landscape shifts from urban to suburban to rural as I leave D.C. and head toward the ocean," says Gonen. "I like the wide open spaces that I drive by on the way to Rehoboth. Once there, I like the dunes, the old watch towers and kayaking on the Delaware Bay watching the Cape May-Lewes Ferry arrive and depart."

10 budget-friendly all inclusives

Premier spots "Up North"

Every spring and summer, after those long, snow-buried Michigan winters, city and suburb dwellers inevitably crave a new view. And so, they head toward a place everyone simply calls "Up North."

To locals, it encompasses everything in the northern part of the state's lower peninsula. The Great Lakes offer more than 10,000 miles of coastline, but some of the most popular are the soft sand beaches around Traverse City. One favorite: Sleeping Bear Dunes National Lakeshore in Empire. The top always looks so close, but the climb can take hours. Afterward, cool down in the clear, crisp water of Lake Michigan.

Inland lakes sprinkled around the upper part of the state usually feel warmer, and a little more private. My pal and CNN colleague Jamie Gumbrecht's choice? The shores of Higgins Lake, near Roscommon and Grayling. Her grandparents once owned one of the tiny cottages tucked in the woods around the lake.

"How many happy hours were spent building kingdoms from perfectly damp sand, burning marshmallows over beach bonfires or floating in the water near South State Park?" she writes. "Didn't we beg every morning to shuffle over the fuzzy rocks, through the minnows and beyond the edge of the dock?"

She caught her first fish there, a humble rock bass she remembers for its tough magenta gills and pearlescent copper scales. "The more memorable fish were the perch dinners provided by the lake -- small fillets grilled with flour, butter, lemon, salt and pepper."

There's a cruise for everyone

Landlocked beachgoers head to Florida

Atlanta resident Laura Cooper, a pal from our children's preschool days, grew up on the beaches of Long Island and still needs to get her toes in the sand. She started going to WaterColor and Seaside on Florida's highway 30-A when she moved to the South nine years ago, and it's "hands down the best beach vacation anywhere," she says. "The sand is soft and white, and the water is turquoise - really beautiful."

Cooper's family and friends usually rent a house with a gourmet kitchen for a week in May, when the weather is just right. There are just enough beach areas, pools, restaurants and ice cream shops for the family within walking or biking distance. (Her husband likes the Camp Creek golf course in Panama City Beach).

"I want my kids to play on the beach, not have to schlep them to rides and toy stores," she says.

The group likes to food shop at Modica's in Santa Rosa Beach for groceries and head to Bud & Alley's in Seaside for drinks. (Sitters are easy to find, she says.)

San Diego: Summer all year

If I need summer anytime of year, I sometimes take the plunge for the transcontinental flight to my hometown of San Diego, where the weather is often warm enough for swimming (the water is always cold, so jump in quickly).

Many tourists will head to La Jolla Shores or Torrey Pines for quality sunning, swimming and surfing. Others might head to Pacific Beach or Mission Beach, near Sea World and many of the beach area hotels. I won't argue with them. I spent many a high school weekend on those beaches, depending on who was organizing the bonfire.

My favorite spot was practically in my Point Loma backyard, when I was prepared to walk. During the last days of summer and into fall, we'd cut through the campus of Point Loma Nazarene College and hike down Sunset Cliffs toward a somewhat secret staircase to the tide pools. In the daytime, scattered surfers would try to catch a wave in the distance while children played in the shallow waters.

If you want a view of the point where Juan Cabrillo became the first European to step foot on what is now the West Coast of the United States, head to Cabrillo National Monument and pay the National Park fee to see the most spectacular view of San Diego.

Military buffs can enjoy the views of warships under repair and pay their respects at Fort Rosecrans National Cemetery. For my favorite seafood joint, head to Point Loma Seafoods and watch the fishing boats pull right up to the restaurant dock to unload their catch.

Where do you go to capture those last days of summer? Do you like to visit the spots of your childhood or do you prefer to explore new places?

@highlight

Cape Cod offers beaches, freshwater ponds and lobster rolls

@highlight

Kayak on the Delaware Bay, watching the ferries go by

@highlight

The Great Lakes have more than 10,000 miles of coastline

@highlight

Swimming, tide pools and seafood entertain beachgoers in Point Loma