(CNN) -- The Veterans Affairs health care system needs to be overhauled because of unresponsive leadership and a "corrosive culture" that affects the delivery of medical care, said a report delivered Friday to President Barack Obama.

"It is clear that there are significant and chronic systemic failures that must be addressed by the leadership at VA," said the report prepared by Rob Nabors, who is Obama's deputy chief of staff and who the President dispatched to assess the situation at the troubled agency.

The VA, a massive bureaucracy with more than 300,000 full-time employees, is under fire over allegations of alarming shortcomings at its medical facilities. The controversy, as CNN first reported, involves delayed care with potentially fatal consequences in possibly dozens of cases.

Nabors and acting VA Secretary Sloan Gibson met with Obama to discuss the findings.

Excessive waiting periods

At the Veterans Affairs medical center in Phoenix, for example, a preliminary report made public last month indicated that at least 1,700 military veterans waiting to see a doctor were never scheduled for an appointment and were never placed on a wait list.

CNN has reported that in Phoenix, the VA used fraudulent record-keeping -- including an alleged secret list -- that covered up excessive waiting periods for veterans, some of whom died in the process.

But the problems go well beyond Phoenix. Dozens of others of VA centers, all around the country, also face a host of allegations like possible abuse of scheduling practices.

Indeed. The report mentioned the Inspector General is now investigating 77 VA facilities, more than were previously reported.

'Corrosive culture' hurts morale

The report issued Friday stressed that the vast majority of employees are dedicated and hard-working. Yet, it cited a "corrosive culture" that created personnel problems across the department and hurt morale and, by extension, timeliness of medical care.

When problems occur, they are transferred to other departments minimized or not acknowledged at all, the report said, and the culture "encourages discontent and backlash against employees."

"The department must take swift and appropriate accountability actions," the report said. "There must be a recognition of how true accountability works."

Lack of transparency cited

The report called for an overhaul of leadership at the Veterans Medical Administration.

"It currently acts with little transparency or accountability with regard to its management of the VA medical structure," the report said.

The VA central office could solve this problem with more transparency and by taking a more hands-on approach with regional leaders, the report said.

Other key findings of the report:

-- The 14-day scheduling standard for a medical appointment is "arbitrary, ill-defined, and misunderstood." The goal was deemed unrealistic and "is a poor indicator of either patient satisfaction or quality of care" and should be replaced.

-- The technology behind the basic scheduling system is "cumbersome and outdated."

-- Additional resources, including doctors, nurses, trained support staff and other health professionals, are needed.

-- Many of the resource issues facing the VA are similar to what exists in the private sector. But the VA has not clearly articulated its funding needs.

The VA health system is the nation's largest, with more than 1,700 sites serving 8.76 million people annually.

The scandal has already created political waves.

Eric Shinseki resigned in May as the head of the Department of Veterans Affairs. Obama has requested an appropriation of $163.9 billion for the department in the 2015 budget, a 6.5% increase over the 2014 budget.

U.S. Rep. Jeff Miller of Florida, chairman of the House Committee on Veterans' Affairs, said, "It appears the White House has finally come to terms with the serious and systemic VA health care problems we've been investigating and documenting for years."

@highlight

Report on VA medical system stems from allegations of shortcomings

@highlight

It cites "significant and chronic systemic failures"

@highlight

Report on builds on alarming revelations over past several months

@highlight

Report was conducted by Obama administration aide who assessed VA shortcomings