(CNN) -- Syrian security forces have summarily executed at least 101 people, including civilians, since late 2011 in attacks on cities and towns, Human Rights Watch said in a report released Monday.

The report "documents the involvement of Syrian forces and pro-government shabeeha militias in summary and extrajudicial executions of defecting soldiers, opposition fighters and opposition supporters, as well as civilians who appeared to have had no part in the confrontation with the authorities other than being residents of opposition strongholds," according to the human rights organization.

The 25-page report, "In Cold Blood: Summary Executions by Syrian Security Forces and Pro-Goverment Militias," was based on more than 30 interviews with witnesses to the executions, Human Rights Watch said.

While it was not possible to verify the exact numbers of victims of such executions, the organization said it had documented 12 cases in Idlib and Homs governorates involving at least 101 victims since December 2011. Human Rights Watch said it had received reports of other incidents, but only included in its report incidents where eyewitnesses were interviewed.

"At least 85 victims were described by witnesses as residents who did not take part in the fighting, including women and children," the report said.

"In a desperate attempt to crush the uprising, Syrian forces have executed people in cold blood, civilians and opposition fighters alike," said Ole Solvang, emergencies researcher at Human Rights Watch. "They are doing it in broad daylight and in front of witnesses, evidently not concerned about any accountability for their crimes."

International human rights law "unequivocally prohibits summary and extrajudicial executions," the organization said.

Many of the reported executions took place last month.

On March 11 and 12, for instance, 47 people -- mostly women and children -- were killed in three neighborhoods in the city of Homs, the report said. Also March 11, 13 men were killed at the Bilal mosque in Idlib, according to Human Rights Watch.

And on March 3, 25 men were executed during a search and arrest operation in the Sultaniya neighborhood in the city of Homs.

"In these cases, Syrian security forces, operating alone or together with pro-government shabeeha militias, captured and executed people who were trying to escape as the army took over their towns, shot or stabbed people in their homes as they entered the captured towns, or executed detained residents while conducting house searches," the report said.

One resident of Homs' hard-hit Baba Amr neighborhood, identified in the report as "Louai," a pseudonym, reported his brother and four of his neighbors were executed on March 2. The army first entered his neighbors' house, he said, dragged the four men outside, and killed them with knives in front of their families. The soldiers then entered Louai's house and shot at him and his brother as they raised their hands, he reported. Louai was injured and his brother was killed.

In addition, at least 16 opposition fighters were shot at point-blank range by Syrian forces after they had been captured or wounded. The report raises "concerns that the army had adopted a policy, official or unofficial, of executing opposition fighters," Human Rights Watch said.

In one case in Idlib governorate, an opposition fighter, his leg injured by machine-gun fire, "was lying on the street and we could not rescue him, as the army was firing and shooting at our position," a second fighter told Human Rights Watch. "He was twisting with pain and couldn't escape.

"Then a tank approached; around 15 soldiers in military uniforms surrounded our comrade and started insulting him and kicking him," the anonymous fighter said. "They were shouting to us that we should surrender or they would kill him. Then they put a black cloth around his eyes, handcuffed him and one of them finished him with an (assault rifle). When they left, we buried him in the graveyard in the village."

Other witnesses reported finding bodies that appeared to have been sexually violated, and some said they had heard accounts of women being raped in towns taken under the army's control, according to the report.

The organization called on the United Nations Security Council "to ensure that any UN mission mandated to supervise the six-point plan brokered by the UN-Arab League envoy Kofi Annan would be in a position to document such crimes." The Security Council should refer the situation in Syria to the International Criminal Court, Human Rights Watch said.

It appeared doubtful Monday whether the Syrian government would follow through on its pledge to withdraw troops from cities nationwide. The Syrian Foreign Ministry said Sunday it would not commit to pulling forces only to have "armed terrorist groups" attack.

The Syrian government has consistently blamed violence in the country on "armed terrorist groups." But U.N. and other world leaders have said the government is lethally cracking down on dissidents seeking true democracy and an ouster of President Bashar al-Assad, whose family has ruled Syria for 42 years.

@highlight

The Human Rights Watch report is based on interviews with eyewitnesses

@highlight

Many of those killed are women and children, the group says

@highlight

The deaths are "a desperate attempt to crush the uprising," researcher says