(CNN) -- Facebook and Google's privacy issues are well-known.

But they're nothing compared with those surrounding Silk, Amazon's in-house Internet browser for its newly announced tablet computer, says Chester Wisniewski, a senior security adviser at British computer security firm Sophos, a British computer security firm.

"All of your web surfing habits will transit Amazon's cloud," he writes on Sophos' Naked Security blog. "If you think that Google AdWords and Facebook are watching you, this service is guaranteed to have a record of everything you do on the Web."

Amazon, best known for its online marketplace and the Kindle e-reader, unveiled a touch-screen tablet computer on Wednesday called the Kindle Fire. That got lots of chatter in tech circles. What's been less discussed is the new cloud-based Web browser that's loaded onto every one of Amazon's tablets.

The Amazon Silk browser appears to work unlike anything on the market today. Most Web browsers -- like Safari, Explorer and Firefox -- connect Internet users directly with websites. Silk filters everything through Amazon's own cloud-computing servers, a move the company claims will vastly speed up the mobile Web experience -- perhaps doubling the speed at which websites load.

But privacy advocates say there may be other consequences.

"What this means is that Amazon will capture and control every Web transaction performed by Fire users," Chris Espinosa, one of the first Apple employees, wrote on his personal blog. "Every page they see, every link they follow, every click they make, every ad they see is going to be intermediated by one of the largest server farms on the planet. People who cringe at the data-mining implications of the Facebook Timeline ought to be just floored by the magnitude of Amazon's opportunity here.

"Amazon now has what every storefront lusts for: the knowledge of what other stores your customers are shopping in and what prices they're being offered there."

Amazon says in its privacy statement that it does temporarily log Web use.

"Amazon Silk also temporarily logs Web addresses known as uniform resource locators ('URLs') for the Web pages it serves and certain identifiers, such as IP or MAC addresses, to troubleshoot and diagnose Amazon Silk technical issues. We generally do not keep this information for longer than 30 days," the company says in its privacy statement.

"Browsing activity is aggregated and is not linked to identity," an Amazon spokeswoman said in an e-mail to CNN.

For now, the Silk browser is available only to people who use the Kindle Fire, which doesn't go on sale until mid-November. There are rumors, however, that the Amazon browser could make its way onto other mobile devices and possibly desktop machines.

People who worry about the data Amazon Silk may be collecting can turn off the cloud-computing piece of the browser.

If they don't, every move they make online will be logged by the company for at least a month, Wisniewski said.

Amazon probably won't sell that data to advertisers, he said, but the fact that the company keeps a log of Internet use is scary for consumers, because that data could be hacked from Amazon's control, or it could be subject to subpoena by the U.S. government.

The Web tracking applies to secure connections as well, he said, meaning Amazon could keep a log of communications made on banking sites or the secure versions of sites like Gmail, Facebook and Twitter.

Amazon says Silk will bring about a much faster Web browsing experience on mobile devices.

"I'm sure you've had the experience where you're trying to load a page, and the browser is just sitting there hanging, and you're like, 'Oh, I wish I was on a better network,' " Amazon engineer Peter Vosshall says in a promotional video. "We're on a better network. Our back end has some of the fattest pipes to the Internet that you'll find. And we do all the heavy lifting on the back end and then serve optimized content over this dedicated channel back to your device, so you don't have to worry about it."

The underlying argument for a browser like Silk is that mobile devices don't have enough processing power to download websites as quickly as users would like. Amazon essentially is using its computer warehouses -- which are all over the country and the world -- to do this processing for its tablet computers so that websites will load faster.

The name Silk is representative of this "split architecture."

"We decided to call our browser Amazon Silk because, really, a thread of silk is an invisible yet incredibly strong connection between two different things," Jon Jenkins, director of software development for Amazon Silk, says in a video. "In our case, it's the connection between your Kindle Fire and our Amazon Compute Cloud. And it's the bringing together those two elements to create a better Web browser."

It's also a browser that's better at tracking you, Sophos' Wisniewski writes.

"While most of us roll our eyes when confronted with long privacy policies and pages of legalese, privacy risks lurk around every corner," he writes."If you buy a Fire device, think carefully as to whether your privacy is worth trading for a few milliseconds faster Web surfing experience."

@highlight

Amazon unveils Web browser called Silk

@highlight

At least for now, the browser works only on the new Kindle Fire tablet

@highlight

Silk routes Internet traffic through Amazon's cloud

@highlight

It claims faster performance, but it may also collect lots of user data