(CNN) -- It's almost beach time! But the beach isn't the only way to cool off. After decades of decline and neglect, cities across America are embracing their riverbanksâ€”and the results are refreshing. From scenic parks to concert venues to wine trails, you might be surprised by what these 11 riverfront towns have to offer.

Beacon, New York

Why go: Just an hour and a half north of NYC, Beacon's Hudson Riverfront was long dominated by scrapyards and oil tanks. But thanks to a 20 year restoration effort, a prime parcel at Long Dock Park opened to the public in July 2011, with a dedicated kayak pavilion, fishing pier and rehabilitated wetlands.

See photos of all the riverfront towns

What to do: Nearby Dia:Beacon's contemporary art collection includes exhibitions and installations by Richard Serra and Sol LeWitt (3 Beekman St., 845/440-0100, tickets from $10). Just up the bluff, Chrystie House Bed & Breakfast feels like a true Hudson Valley estate, with an elegant, Federal-style main house set on immaculate grounds (300 South Ave. 845/765-0251, doubles from $175).

Hood River, Oregon

Why go: Sporting an outdoorsy, Oregon appeal, Hood River is probably best known for its wind and kitesurfing -- considered by some to be the best in the world. But the temperate climate and fertile orchards that surround also make for ideal farm-to-table dining -- both at local restaurants and the homespun wine vineyards.

What to do: Big Winds offers windsurfing lessons for folks of all skill levels (207 Front St., 888/509-4210, beginner classes from $65). Nearby, the Best Western Plus Hood River Inn is one of the only hotels in town located on the Columbia; some rooms with private patios overlooking the Gorge (1108 East Marina Wy., 800/828-7873, doubles from $111).

Budget Travel: 15 more places every kid should see before 15

Minneapolis, Minnesota

Why go: Over the past decade, Minneapolis's Riverfront District has blossomed from a hodgepodge of abandoned flour mills to a magnetic cultural center in its own right -- from the Jean Nouvel-designed Guthrie Theater to innovative green spaces like Gold Medal Park.

What to do: Drink in panoramic views of the Mississippi River from the Mill City Museum's observation deck (704 South 2nd St., 612/341-7555, admission $11). For the river's full effect, cross the pedestrian-and-bike-only Stone Arch Bridge for a close encounter with the St. Anthony Falls.

Memphis, Tennessee

Why go: Straddling one of the widest points along the Mississippi, Memphis has a rich history of riverboat commerce that dates back centuries. This July, the Beale Street Landing project will begin to open up its waterfront even more, letting touring riverboats dock right alongside its bustling entertainment district and creating additional room for outdoor activities like walking, jogging and cycling.

What to do: Hop aboard the Mud Island Monorail for a rare bird's eye view of the river. Your roundtrip ticket can be a part of a package that also includes admission to the Mississippi River Museum, with fascinating cultural exhibits on the Lower Mississippi River Valley, such as an interactive exhibit which gives you the opportunity to pilot a barge and experience a flood's devastation (125 North Front St., 800/507-6507, Museum Package $10, closed during winter months).

San Antonio, Texas

Why go: One of the first American cities to fully realize its river's potential, San Antonio created River Walk, an otherworldly oasis, with arched bridges, tiny waterfalls, and quiet reflection pools all set one story below street level. Just last year, the Mission Reach branch extended the trail three miles further, passing through native plants and woodlands.

What to do: Wash down a mango pork carnita with handcrafted margaritas at Barriba Cantina (111 W. Crockett St. #214, 210/228-9876, entrees from $10) after you're done exploring. Nearby, the 17-room Riverwalk Vista with its expansive ten foot windows and rustic charm is one of the area's few true boutique hotels. It places you within a pebble's toss of the River Walk (262 Losoya St., 866/898-4782, rooms from $127).

Augusta, Kentucky

Why go: Augusta's riverfront setting is so idyllic that a movie adaptation of Mark Twain's "Huckleberry Finn" was filmed here. Its ferry service -- one of the last remaining on the Ohio River -- has been operating since 1798.

What to do: Trace singer Rosemary Clooney's life story (including tidbits on nephew George) at her childhood riverfront home (106 East Riverside Dr., 866/898-8091, tickets $5).

Budget Travel: 10 most sacred spots on earth

Great Falls, Montana

Why go: Great Falls' ties to the Missouri River go back to the days of Lewis and Clark, when they portaged up the namesake waterfalls on their journey west. Trace their route via footpath along the River's Edge Trail, beginning in the historic downtown and passing through gorgeous prairie canyons.

What to do: Of Great Falls' accommodations, La Quinta Inn & Suites Great Falls is one of the few hotels with actual river frontage (600 River Dr. S., 406/761-2600, doubles from $94). Two miles east, the Lewis and Clark National Historic Trail Interpretive Center is built into a bluff with dramatic views of the river (4201 Giant Springs Rd., 406/727-8733, tickets $8).

8 religious wonders to see in the U.S.

Hermann, Missouri

Why go: Hermann's riverside perch along the Missouri makes it the most scenic of Missouri's Wine Trail towns. Self-guided walking tours of the German town's riverfront include historic German heritage sites, restored buildings, and quaint restaurants and saloons.

What to do: Taste unique varietals at vineyards like Stone Hill Winery, with its beautifully restored cellar and tasting room (1110 Stone Hill Hwy., 800/909-9463). Nearby, the Alpenhorn Gasthaus is your best bet for lodging -- its four rooms set on several acres of pastoral farmland (179 East Hwy. 100, 573/486-8228, doubles from $145).

New Orleans, Louisiana

Why go: You might forgive New Orleans for turning its back to the water, but the Mississippi River will forever be part of the city's blood. Later this Fall, a mile-long riverside greenbelt adjacent to the hip Faubourg Marigny neighborhood is slated to be unveiled, with jogging paths, concert venues, and unsurpassed views.

What to do: You're in New Orleans, after all: Eat. Just north of the new park sits Elizabeth's Restaurant, whose decadent brunch offerings like duck waffles and praline bacon have garnered a cult following (601 Gallier St., 504/944-9272). Come evening, kick up your heels at Mimi's in the Marigny (2601 Royal Street, 504/872-9868), a neighborhood fave with live jazz and delicious tapas.

Best bites in the Big Easy

Davenport, Iowa

Why go: Davenport's entire downtown fronts the Mississippi River, with a slew of waterfront parks connected by its Riverfront Trail. Summer music festivals like River Roots Live are a big draw, especially when they coincide with food fairs like Ribfest.

What to do: Catch a Quad Cities River Bandits game at Modern Woodmen Park, a minor league baseball stadium so close to the Mississippi that homeruns land right in the river (209 South Gaines Street, tickets from $5). A crisp Old Davenport Gold from the Front Street Brewery (Iowa's oldest brew pub) is the perfect end to the day (208 East River Dr. 563/322-1569, pitchers $13.50).

Budget Travel: 23 American beaches you want to be on right now

Cincinnati, Ohio

Why go: Cincinnati's taken an especially hands-on approach to reclaiming its waterfront, clearing a path through old highways and industrial parks. This fall, it's slated to open the first phase of a $120 million, 45 acre riverfront park at its centerâ€”the crown jewel in a decades' long revitalization effort.

What to do: Montgomery Inn at the Boathouse is a favorite for local barbecue, as well as its unique riverfront setting (925 Riverside Dr., 513/721-7427, pork loin back $21). To get even more up close, hop aboard a historic riverboat for a cruise along the Ohio River (Historic Harbor Sightseeing Cruise, $18).

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

The Beale Street Landing project in Memphis will further open up the waterfront

@highlight

Kitesurfing and farm-to-table dining keep visitors happy in Hood River, Oregon

@highlight

Great Falls, Montana offers Lewis and Clark history lessons