A vehicle explodes. Two trucks full of armed men race closer to the resulting crater at the Karm el-Kawadees army camp in North Sinai. The black-clad militants chase the survivors, killing all the soldiers. All of it is captured on video.

At least 31 Egyptian soldiers were killed in the October attack, the deadliest to date committed by the Sinai-based militant group Ansar Beit al-Maqdis (Champions of Jerusalem).

ABM militants released video of the ambush in mid-November -- just days after pledging allegiance to ISIS, the Islamic terror group that now controls large parts of Syria and Iraq.

The footage, which also shows a number of drive-by shootings and roadside bomb blasts, suggests that the group's firepower and strategic planning is becoming more sophisticated.

ABM operates primarily in Northern Sinai, an area where rolling sand dunes butt up against the Mediterranean Sea and stretch to rocky mountains in the center of the Sinai Peninsula. For years this corner has been dubbed "the most dangerous part of Egypt."

Since 2011, the group has been attacking Israeli interests in Sinai by repeatedly blowing up a gas pipeline leading from the Egyptian Red Sea to Israel. The group stepped up the frequency of its raids after Egypt's army overthrew President Mohamed Morsy -- a former Muslim Brotherhood leader -- following a popular uprising in July 2013.

Hundreds of Egyptian troops have since been slaughtered in this low-level insurgency. In the two months leading up to the October 24 massacre at Karm el-Kawadees, the group more than doubled its attacks in North Sinai -- killing 62 police officers and soldiers, according to Aswat Masriya, an Egyptian Reuters affiliate.

While looting weapons from Karm el-Kawadees, a militant proclaimed to the camera: "Tell the leader of ISIS, [Abu Bakr] al-Baghdadi, the leader of the faithful, that you are coming here and we are your soldiers."

The group has changed its logo and its name to Wilayat Sinai -- "the State of Sinai" -- positioning itself as part of the bigger ISIS "caliphate" that extends from northern Syria to central Iraq.

Several other militant groups from the region have also pledged allegiance to ISIS, including in Libya, which shares a long porous border with Egypt that is known for being an arms-smuggling route.

These pledges benefit ISIS, whose territorial expansions have already peaked and are now stagnant, explains H. A. Hellyer, from the Center of Middle East Policy at Brookings Institution.

"It may well be very possible that ABM decided that in order for it to maintain its own type of momentum, to become part of a broader transnational group, would be in its own interest," Hellyer told CNN.

Observers note the scarcity of verified information coming from Sinai; the military limits access to the wild terrain believed to be the group's home and the surrounding towns and villages.

Most concerns about ABM's recent pledge of allegiance to ISIS are focused on the possible increase in recruitment and expertise.

"First thing it means is that any Egyptians currently fighting with ISIS and Daesh in Syria or Iraq have a second arena to go and fight in without leaving the group," Hellyer said. "They'll add that expertise, they'll add that training to the capacity of [ABM]."

Unlike ISIS, Ansar Beit al-Maqdis mostly refrains from targeting civilians. The group has almost exclusively attacked the government, aside from one recent ABM video purporting to show the beheading of four civilian men who were accused of spying for Israel.

In a video claiming responsibility for the attempted assassination in 2013 of Egypt's Minister of Interior, ABM said it chose the site of the suicide bombing to minimize Muslim civilian casualties.

It pits itself as a defender of the people against what it calls the "apostate" army. Its statements often cite videos of Egypt's army attacking protesters in 2011, the killing of more than one thousand Morsy supporters in August 2013 and, most recently, a leaked video of Egyptian soldiers torturing two Sinai Bedouins. ABM also cites pictures of militants killed by security forces in Sinai as further proof of abuses.

"You all saw what [security forces] did to Muslims in Egypt and in all squares. This army has crossed all lines. This army did what the Pharaoh didn't do with his people," warns an unidentifiable militant in one ABM video. "We will kill you all, you apostates."

Sitting in front of a cache of weapons supposedly taken from the Karm el-Kawadees camp, ABM's presumed leader said he would free the "prisoners of war" held by authorities.

"We told you before, the war hasn't started yet. And what's coming is worse and bitter. This is only the beginning. You opened a door you won't be able to close," he said, clad in black clothing with his face blurred.

Following the October attack, the government ordered the evacuation of houses along the Egypt-Gaza border, creating a one-kilometer-wide buffer zone, in a bid to curtail smuggling of arms through the Gaza tunnels.

In a video showcasing its capabilities under the banner of "a fierce military operation to purge Sinai from the grip of terrorism and criminals", Egypt's army also included interviews with evacuees assuring the public that they did so willingly and received proper compensations.

The residents of northern Sinai have long complained of being neglected by Cairo. The lack of job opportunities and development -- along with a general mistrust between Bedouin peoples and the government -- has created fertile ground for the rise of ABM.

"This is collective punishment by the army and the police," said Sherif Mohy El-Din, a counter-terrorism researcher at the Egyptian Initiative for Personal Rights. "The army has been destroying houses of the people and burning their cars and motorcycles for the past two years."

Terrorist attacks have only increased as the government has stepped up operations since July 2013, observed Mohy El-Din, who argues that the that the narrow focus on security is counterproductive and is only making the situation worse.

"It's very complicated. It has a lot of dimensions, economic and political. We are dealing with a regime that since July 2013 has been saying 'It's me and only me, no parliament or elections,'" said Mohy El-Din. Opening the public sphere for competing viewpoints, he argued, would help curb terrorism.

But defeating ABM will take more than establishing security. Mohy El-Din says the government first needs to improve the lives of the civilians in the area.

In the meantime, ABM is no longer confined to Sinai. It has launched attacks in the Nile Delta, in Cairo, and against Israel -- the group's original enemy.

In Cairo, observers worry that the heavy hand of security services in cracking down on dissent is fueling the violence. It provides grounds for recruitment for groups like ABM and is reflected in the spike in number of improvised explosive devices (IEDs) defused or detonated in the Nile Valley. ABM has only claimed responsibility for a few of these attacks.

But despite the rise in number and sophistication of attacks, Mohy El-Din believes Egypt is safe for tourists and civilians -- at least for now.

"Now, ABM is not targeting civilians," he told CNN. "But if it gets worse and they don't see hope, then maybe."

The government sees the threat within a regional context. Egyptian President Abdel Fattah el-Sisi has expressed support for the global war on ISIS. And at home, he remains resolute.

"They assume that we are incapable of confronting them. They started the fire. We were very careful that no blood is shed. But unfortunately, they wanted the exact opposite," the former defense minister, elected president last summer, said 10 days after the October attack.

El-Sisi said he wasn't shaken by the attack -- and refused to direct his anger at military leadership, as some voices critical of security failures have called for. He ridiculed ABM's attempts to create an "emirate" out of Sinai, pledging that no one would crack the enduring unity of Egypt.

It's impossible for ABM to eliminate the Arab world's largest military. Yet until there is a victor, the death toll will continue to rise. As the group declared in one video, it seems more determined than ever to expand: "We will eliminate borders. No passports, no visas and no borders. It's not just about Sinai."

@highlight

Ansar Beit al-Maqdis, one of Egypt's most violent militant groups, has pledged allegiance to ISIS

@highlight

ABM has killed hundreds of Egyptian police officers and soldiers in recent years

@highlight

ABM attacked an army camp in North Sinai in October, killing at least 31 Egyptian soldiers