(CNN) -- Governments, world leaders and others were responding Friday to a Florida pastor's plan to burn copies of the Quran, the Muslim holy book, even amid confusion over whether it would go ahead. The Rev. Terry Jones, the head of a small church in Gainesville, called off the burning Thursday but later said he would "rethink" his position after a meeting with a local imam. Here's a sampling of global reaction:

Hamas leader Ismail Haniya called Jones a "religious criminal" and a "retard that expresses a Western-retarded mentality" that targets the Quran, Islam and Muslims. Speaking in Gaza at the start of the Eid holiday, Haniya said, "I call upon God the merciful, if they want to rip the Quran, for God to rip them apart and their state and make them an example for the believers."

Sporadic protests against the burning happened Friday in Afghanistan. The largest was in the northern province of Badakhshan, where about 500 Afghans protested outside of a NATO base in the area, the International Security Assistance Force said. The ISAF said two people were hurt in the protests, and the deputy governor of the province said thousands turned out, one protester was killed and three were wounded.

Israeli Prime Minister Benjamin Netanyahu said the burning of the Quran is wrong and undermines religious tolerance and peace. "The prime minister urges that such irresponsible actions not be taken," read a statement from his office.

Afghan President Hamid Karzai condemned the plan to burn the Qurans but said it would not damage the Muslim holy book because it "is in the hearts and minds of every Muslim."

Indonesian President Susilo Bambang Yudhoyono said, "I continue to urge the government and the people of the United States to ensure the prevention of such an incomprehensible, irrational and immoral act. ... The value of the American nation, which emphasizes tolerance, freedom of religion and common sense, is being tested. Hence, once again, the government and the Americans must continue to take serious action to prevent and stop such uncivilized acts."

The Somali government said in a news release that it "strongly condemns" any such action. "There is no doubt this action could generate more extremists and could spark new violence as the move would assist al-Qaeda and its affiliates. To stop this plan will be a wise, measurable and reasonable decision and we would urge the American pastor to completely withdraw his plans."

Senate Minority Leader Mitch McConnell, R-Kentucky, said, "While I will defend any American's First Amendment rights, our generals in the field tell us that the men and women defending those rights would be endangered as a result of this stunt. If this group insists on going forward, I would hope that members of the media will not reward them with what they crave most: news coverage."

Florida Gov. Charlie Crist, who said he has been in touch with the church, said, "I think common decency would dictate that this would not occur and that we would be respectful and are a respectful people of all religions." He said there was little he could do to stop the burning because of the First Amendment.

United Nations Secretary-General Ban Ki-moon said Thursday he was "deeply disturbed" by reports about the plan. "Such actions cannot be condoned by any religion," he said. "They contradict the efforts of the United Nations, and many people around the world, to promote tolerance, intercultural understanding and mutual respect between cultures and religions. ... I sincerely hope that they will not take such unacceptable actions."

A spokesman for the Taliban in Afghanistan told CNN, "If in Florida they were to burn the Quran, we will target any Christians, even if they are innocent, because the Quran is our holy book and we do not want someone to burn our holy book."

A senior Iranian Shiite cleric, Grand Ayatollah Lotfollah Safi Golpayegani, condemned the plan to burn the Quran and called for the arrest of Jones, head of the Dove World Outreach Center, according to Iran's semi-official Fars news agency. Should such an "inhumane incident take place in America, the U.S. government and President Obama will be held responsible," he said, according to the report.

Interpol, the international police organization, warned of "tragic consequences" that "may well claim the lives of many innocent people" if the burning goes ahead. Secretary General Ronald Noble said September 11 should be a day to fight terrorism, not a day to "engage in provocative acts that will give terrorists propaganda" to recruit others to their cause.

Sajjad Karim, a Muslim and member of the European Parliament for Britain, told the chamber Thursday that the Quran burning "is the act of one man and his followers alone. His actions should not be identified with the West or Christianity. Muslims globally must know that, through this Quran burning, this man will achieve nothing. He has been isolated in his country and his religion. It is only through a reaction that any perverse sense of achievement can be earned."

U.S. Sen. John McCain, a Republican from Arizona, urged Jones against the burning in a posting on his Twitter page Thursday. "Pastor Jones' threats to burn the Quran will put American service men/women in danger - for their sake please don't do it!"

Dalil Boubakeur, rector of the Paris Grand Mosque and France's most important spokesman for the Muslim community, urged Muslims to respond "wisely" to the burning and "not to fall into the trap of provocation." He told French radio station RMC on Wednesday that Muslims should also not be stigmatized or targeted for the "terrorists, despicable people" who carried out the September 11 attacks.

The U.S. Embassy in London said Washington is "deeply concerned about all deliberate attempts to offend members of any religious or ethnic group" and condemned such acts as "unrepresentative of American values." While the embassy said it believes firmly in freedom of religion and freedom of expression, "we reaffirm our position that the deliberate destruction of any holy book is an abhorrent act."

Iraqi Prime Minister Nuri al-Maliki said everything possible should be done to ban the Quran burning. "If it does take place, it will inflict the most severe damage to inter-faith relations and human and cultural dialogue and will be used as a pretext by extremists for more killings and retaliatory killing," he said.

Bernard Valero, the spokesman for France's Ministry of Foreign Affairs, said Thursday that France condemns "in the strongest terms the vicious and irresponsible statements of Pastor Terry Jones. This incitement to hatred is unacceptable and can only reinforce all forms of extremism. It is also an insult to the memory of the victims of September 11 and also to all the other victims of terrorist acts motivated by intolerance and the abuse of religion."

Pakistani President Asif Ali Zardari has expressed grave concern over the threats to burn copies of the Quran. According to spokesman Farhatullah Babar, Zardari said anyone who even thought of such a despicable act must be suffering from a diseased mind and a sickly soul. He said it will inflame sentiments among Muslims throughout the world and cause irreparable damage to interfaith harmony and world peace. Zardari called for doing all it takes to stop such a "senseless and outrageous act."

A hard-line Indonesian Muslim group, the Islamic Defenders Front, told CNN it will protest the planned burning and will issue a death sentence on Rev. Terry Jones if he carries out his plan. "This is not a problem between Muslims and Christians but rather between Terry Jones and mankind," said Sabri Lubis, a secretary general with the group.

The Vatican implored the church Wednesday not to burn the Quran, saying it would be an "outrageous and grave gesture."

The top U.S. military commander in Afghanistan, Gen. David Petraeus, warned earlier this week that the plan "could cause significant problems" for American troops overseas.

The Council on American-Islamic Relations (CAIR), a Muslim civil liberties and advocacy group, plans to hold a news conference in Washington on Thursday to address the issue. The group's "Learn, Don't Burn" initiative includes the distribution of 200,000 Qurans and other activities planned for Friday and Saturday, the planned date of the burning.

New York Mayor Michael Bloomberg has defended the right of the Rev. Terry Jones to go ahead with the plan, even though he condemns the idea as "distasteful." "The First Amendment protects everybody, and you can't say that we are going to apply the First Amendment to only those cases where we are in agreement," Bloomberg said this week, citing the section of the Constitution that promises freedom of speech.

The Military Religious Freedom Foundation, which is dedicated to protecting U.S. troops from religious intolerance, has promised to buy one new Quran and donate it to the Afghan National Army for each one burned in Florida.

U.S. Secretary of State Hillary Clinton said the Quran burning would be a "disrespectful, disgraceful act."

Former Republican vice presidential candidate and Alaska Gov. Sarah Palin urged Jones on Wednesday to halt his plans, saying the burning "will feed the fire of caustic rhetoric and appear as nothing more than mean-spirited religious intolerance. Don't feed that fire."

The U.S. Embassy in Kabul, Afghanistan, on Tuesday issued a statement saying the U.S. government "in no way condones such acts of disrespect against the religion of Islam, and is deeply concerned about deliberate attempts to offend members of religious or ethnic groups." It said it condemned the "offensive initiative" by the Florida church.

Lebanese President Michel Suleiman denounced the Quran burning as "contrary to the teachings of tolerant divine religions and totally incompatible with the logic of dialogue among civilizations, religions and cultures." He noted that a United Nations conference on religious tolerance two years ago called on people "to renounce hatred and intolerance and terrorism," and "to reflect on the Christian teachings and concepts of humanity that emphasizes the love and respect for the other."

Muhammad Ismail, a spokesman for the hard-line Indonesian Muslim group Hizb ut-Tahrir, said earlier this week, "The burning is not only an insult to the holy Quran, but an insult to Islam and Muslims around the world."

Turkish Prime Minister Recep Tayyip Erdogan said people in Turkey "wouldn't consider burning of the Torah or the Bible positively, as we would not consider the burning of (the) Quran positively." He said he considers anti-Semitism "a crime against humanity" just as he considers "Islamophobia as a crime against humanity." The Florida pastor who proposed burning a Quran, the prime minister said, should "test himself regarding Islamophobia."

@highlight

NEW: Turkish prime minister says Florida pastor should "test himself regarding Islamophobia"

@highlight

Sporadic protests against the burning take place in Afghanistan

@highlight

Israeli prime minister says the burning undermines religious tolerance

@highlight

Afghan President Hamid Karzai says burning will not damage the Quran