(CNN) -- About a decade ago, Pervez Musharraf was a powerful president, torn between complicated ties with the United States and rising Islamic militants at home.

After four and a half years of self-imposed exile, the former Pakistani president hopes to reassert his power.

Musharraf returned to Karachi on Sunday to help his political party gain momentum prior to the May general election.

The retired general, who wrested power in a bloodless coup in 1999 and lost it nine years later, acknowledges that happens next is uncertain.

"It is risky, certainly," he said.

"But when I formed this party, the point was to go back and fight the elections. Why I'm going back is to do something for the country. The cause is much greater than self. Therefore, I'm prepared to take the risks for the sake of my country."

More security

He may not find a warm reception. Last year, Musharraf scuttled his plans to return after being warned against doing so by the military.

"There were indications that they didn't want me to come, and my own colleagues told me not to come," he acknowledged. "Therefore, I changed my mind."

This time, he said, he will be protected by his own private security agents as well as by government security.

Pakistan's upper house of parliament passed a nonbinding resolution in January 2012 demanding Musharraf be arrested and tried for treason for unconstitutional acts during his regime.

Musharraf's lawyer obtained pre-arrest bail for him on Friday, which means he will not be arrested for at least 15 days, but must appear in court.

But Human Rights Watch said Saturday that the Pakistani government should hold Musharraf accountable for human rights abuses once he returns.

"Musharraf should not be allowed to elude the serious legal proceedings against him on his return to Pakistan," said Ali Dayan Hasan, Pakistan director at Human Rights Watch.

"Only by ensuring that Musharraf faces the well-documented outstanding charges against him can Pakistan put an end to the military's impunity for abuses."

Under Musharraf, the country's military and its intelligence agencies "committed widespread human rights violations, including the enforced disappearances of thousands of political opponents, particularly from Balochistan province, and tortured hundreds of Pakistani terrorism suspects," Human Rights Watch said.

Mixed reviews

His goal, Musharraf said, is to help lift his country from its malaise.

"My motivation is to go back and correct the situation, bring it back to the level where I left it."

He left it and went into self-imposed exile, largely in London, after the 2008 elections.

But he never gave up hopes of returning to the political stage.

In late 2010, he launched the All Pakistan Muslim League party with a view to running for office in 2013.

His years leading the country earned mixed reviews.

Under his leadership, Pakistan attained respectable economic growth rates and established a generally favorable investment climate. Along with that came a growing middle class, a more aggressive media, and a more assertive judiciary.

"He brought parliamentary reforms; he brought women into the parliament," said Ahmed Bilal Mehboob, director of the Pakistan Institute of Legislative Development and Transparency in an interview last year.

Military mindset

But, analysts say, Musharraf never lost his military mindset.

"He in a way, always believed in a unity of command, a very centralized command, which means his command, in fact," said Lt. Gen. Talat Masood, a political analyst.

Musharraf's popularity began dropping in 2007 after he suspended Supreme Court Chief Justice Iftikhar Chaudhry for "misuse of authority."

The move triggered protests and accusations that he was trying to influence the court's ruling on whether he could run for another five-year term. Chaudhry was reinstated but the damage was done.

That October, Musharraf was re-elected president by a parliament that critics said was stacked with his supporters. Opposition parties filed a challenge. The next month, he declared a state of emergency, suspended Pakistan's constitution, replaced the chief judge again and blacked out independent TV outlets.

Under pressure from the West, Musharraf later lifted the emergency and promised elections in January 2008.

He allowed Nawaz Sharif, the prime minister he had deposed in 1999, to return from exile.

He also let in another political foe, former Prime Minister Benazir Bhutto, who led the Pakistan Peoples Party.

Bhutto returned from a self-imposed, eight-year exile to run in the country's general elections in 2007, but was assassinated that December while campaigning in the Pakistani city of Rawalpindi, the seat of the country's military, by a 15-year-old suicide bomber.

Musharraf's government and the CIA contend the killing was orchestrated by a group with ties to al Qaeda, but polls found that most Pakistanis believed Musharraf's government was complicit.

He has denied the assertions.

Re-entering politics

In 2010, further criticism of Musharraf emerged after the United Nations ruled that Bhutto's death could have been prevented had Musharraf's government taken adequate measures to protect her.

Musharraf rejected the findings, saying that Bhutto had police protection and took unnecessary risks.

Other factors hastened the decline in Musharraf's popularity: a shortage of essential food items, power cuts and high inflation.

In February 2008, Musharraf's party admitted defeat in parliamentary elections and he was succeeded by Asif Zardari, Bhutto's widower.

The leaders of Pakistan's two main opposition parties formed a coalition and vowed to restore deposed judges.

Six months later, the coalition moved to impeach Musharraf, who then resigned as president and went into self-imposed exile, though he said the allegations of misconduct were false.

In August 2009, Pakistan's supreme court found that Musharraf had violated the constitution in 2007 when he imposed a national state of emergency. Government officials said that if he returned, he'd be arrested.

In May 2010 Musharraf announced that he planned to re-enter Pakistan politics and launched a new political party in October of that year.

But a Pakistani court then issued an arrest warrant for him in connection with Bhutto's assassination. He has said that the accusations are baseless.

He has described his support as scattered, and said he needs to rebuild it.

"This is a do-or-die moment for me and my party. I need to muster all the support I can," he said.

Exiled Pakistani ex-president returns home

CNN's Samia Mohsin, Leone Lakhani and Reza Sayah contributed to this report.

@highlight

Musharraf must appear in court

@highlight

"It's risky, certainly," he says about his planned return

@highlight

He plans to have private security as well as government security