Washington (CNN) -- U.S. Secretary of State Hillary Clinton and her South Korean and Japanese counterparts jointly condemned North Korea on Monday for recent attacks and nuclear arms proliferation that the three diplomats said threaten stability and peace in the Korean peninsula and, more broadly, the Far East.

The trio pledged support for South Korea in the latest escalation of its long-running conflict with North Korea, and urged China to take on a larger role in constraining Pyongyang.

"We all agree that North Korea's provocative and belligerent behavior jeopardizes peace and stability" in the region, Clinton said after a meeting at the State Department in Washington with South Korean Foreign Minister Kim Sung-hwan and Japanese Foreign Minister Seiji Maehara.

Any effort to resume multinational talks with Pyongyang "must start with North Korea ceasing all provocative and belligerent behavior," Clinton said at a joint news conference by the three.

"We want the people of South Korea to know we are standing shoulder-to-shoulder with you and that we are deeply committed to your defense," Clinton said.

Kim said the United States, Japan, and South Korea all "share the view that North Korea will face severe consequences" if it launches further attacks on his country.

Monday's meeting came as Adm. Mike Mullen, the chairman of the U.S. Joint Chiefs of Staff, prepared to depart Washington for South Korea, Pentagon officials said. The hastily planned visit is aimed at reassuring the South Korean military of U.S. support, according to the officials.

"The principal message is to the South Koreans that we continue to stand by them in the defense of their territory, for stability on the peninsula," said Capt. John Kirby, a spokesman for Mullen.

"Nobody should mistake our resolve," Kirby said, adding that the situation on the peninsula is tense but "relatively stable" at the moment.

Next week, Deputy Secretary James Steinberg will lead a delegation to Asia to follow up on Mullen's visit, two senior administration officials told CNN on Monday. The delegation will include Kurt Campbell, assistant secretary for Asia, and Jeff Bader, the White House's top Asia adviser, the two senior administration officials said.

At the joint news conference, Maehara said Japan would send an envoy to China to discuss the situation. China is North Korea's main ally, and Clinton said Monday that the three diplomats agreed in their talks that China should be doing more to get North Korea to change its behaviour and meet its international responsibilities.

Meanwhile, the International Criminal Court said Monday it had opened a preliminary investigation into North Korean shelling of South Korea's Yeonpyeong Island last month, as well as the March sinking of a South Korean warship -- allegedly by a North Korean torpedo -- to evaluate if the incidents constitute war crimes.

A preliminary investigation will determine whether criteria for an investigation is met, the court said in a news release. Four people died in the Yeonpyeong incident; 46 South Korean soldiers died in the Cheonan sinking.

North Korea, meanwhile, continued its strong rhetoric Sunday, blaming its southern rival for stoking tensions in the region. North and South Korea are technically still at war, 57 years after the Korean War truce.

Through the state-run Korean Central News Agency, Pyongyang said the "South Korean puppet group ... is getting more frantic in military provocations." The report warned that Seoul was "rapidly driving the situation on the Korean peninsula to an uncontrollable extreme phase."

These latest comments come as South Korea, the United States and Japan have stepped up their public cooperation, further isolating the communist state.

On Saturday, President Barack Obama announced what he called a "landmark" trade agreement with South Korea that he said would bolster U.S. exports by $11 billion, support 70,000 American jobs and eliminate tariffs on more than 95% of industrial and consumer goods.

Meanwhile, the United States and Japan are holding the largest ever bilateral military exercises between the two countries, according to the U.S. military. The exercises, dubbed "Keen Sword" and running through December 10, include elements throughout mainland Japan, Okinawa and the surrounding waters.

Monday's meeting among top diplomats of the United States, South Korea and Japan aims to bring together three "cornerstones of the region," according to a senior State Department official speaking on background because of the issue's diplomatic sensitivity.

Representatives from Russia and China -- part of the six-party talks which have focused on North Korea's nuclear program -- were not invited to participate. But the official stressed that China, especially, should not view its exclusion as a "snub."

U.S. officials have been pressuring Beijing to do more to exert its influence on North Korea and urge Pyongyang to cease its aggressive behavior.

Obama called Chinese President Hu Jintao on Sunday -- Monday in China -- and told him that North Korea needs to "halt its provocative behavior," according to the White House. The state-run Chinese news agency Xinhua reported that Hu called for a "calm and rational response from all sides to prevent the deterioration of the fragile security situation" on the Korean peninsula.

North Korean officials have been pushing for the resumption of six-party talks including China and Russia. But the United States has thus far refused, looking first for proof that North Korea is serious about not stoking military tensions and stifling development of its nuclear program.

The conflict in the Koreas has intensified since November 23, when North Korean forces launched an artillery barrage Yeonpyeong Island. Pyongyang accused the South of provoking the attack, which also injured 18 people, because shells from a South Korean military drill landed in the North's waters.

The following week, members of the U.S. military joined their South Korean counterparts in a military drill that, while long ago scheduled, was meant as a show of military force.

Meanwhile, the South Korean navy on Monday began live-fire exercises on seas surrounding the Korean peninsula. The exercises are taking place off all three coasts of the peninsula, officials at South Korea's Joint Chiefs of Staff told Yonhap. They are scheduled to last through Friday and are a routine monthly exercise aimed at securing the safety of ships in the area, the officials said.

The Korean Central News Agency lambasted the exercises in a Sunday article, claiming Seoul is trying to orchestrate another clash around the border island "at any cost" and "ignite a war."

Kim Kwan-jin, South Korea's new defense minister, said Friday his country will respond with airstrikes if North Korea attacks it again, in some of the strongest rhetoric since the Yeonpyeong incident.

CNN's Jill Dougherty, Elise Labott, Tom Cohen and Alan Silverleib contributed to this report.

@highlight

NEW: Another U.S. delegation will go to Asia, sources say

@highlight

NEW: Japan sending an envoy to China to discuss the Korean crisis

@highlight

Top U.S., Japanese and S. Korean diplomats condemn recent N. Korean actions

@highlight

U.S. Joint Chiefs chairman to head to South Korea to demonstrate support