Student protesters pack the streets. Violence surges. Tear gas billows.

Opposition leaders and government officials blame each other for the unrest, and both sides show no sign of backing down.

No matter who you believe, it's clear that tensions are running high in Venezuela.

The anti-government demonstrations are the biggest threat President Nicolas Maduro has faced since his election last year. And inside and outside the South American country's borders, there's a major question many are asking: Could this be the beginning of the end for Venezuela's socialist government?

Searching for truth in Venezuela

The situation doesn't look pretty. Inflation topped 56% last year. Crime rates are high. Goods shortages have left store shelves bare.

But the next election is years away, and experts say it's likely too soon to start ringing the death knell for Hugo Chavez's revolution just yet.

A variety of scenarios could play out in the coming days, depending on the steps authorities and protesters take. And, with so many factors in flux, it's difficult to guess what's next.

"Anything can happen now," said Javier Corrales, a professor of political science at Amherst College. "This is a real crisis on all fronts. The government has ways to survive...but at the same time, it can lose this battle."

Here are some possible game-changers to keep an eye on:

Government crackdowns on protesters

Leopoldo Lopez, the opposition politician accused by the government of inciting violence and leading the recent protests, is behind bars, facing charges of arson and conspiracy.

Maduro has vowed to crack down on other opposition leaders like him, calling them fascists and comparing them to a disease that must be cured.

He's defended that approach in national television broadcasts, accusing protesters of violence, vandalism and plotting a slow-motion coup.

"Is capturing these people repression? Or is it justice?" Maduro said after airing videos during a national broadcast that he said showed opposition attacks on government buildings.

Any ratcheting up of repression could have a major cost for the government, possibly turning supporters at home and abroad against it, said David Smilde, a senior fellow at the Washington Office on Latin America.

"In contrast to Venezuela's serious problem with street crime, for which the government does not traditionally pay a political price, for this kind of repression it will," Smilde wrote in an analysis of the situation this week. "At best, it reveals a government that cannot control its guns. At worst, it reveals a government that is as violent as its opponents have long claimed."

On the other hand, the government could defuse the situation.

"If the government responds in some way and deals with the situation by relieving some of the distress and trying not to clamp down further, and showing some flexibility and some willingness to engage in some dialogue and moderation, then I think it could weather this period," said Michael Shifter, president of the Inter-American Dialogue think tank.

Support from Chavistas

There's one major reason analysts point to when they say that Venezuela's socialist government isn't approaching any sort of imminent collapse: Many people in the country are still behind the President.

"Maduro has a lot of support," said George Ciccariello-Maher, an assistant professor of political science at Drexel University. "He's not Chavez, but he's seen as a relatively faithful representative of what Chavez stood for."

The cornerstone of Chavez's presidency was the Bolivarian Revolution, his ambitious plan to turn Venezuela into a socialist state. Social "missions" aimed at eradicating illiteracy, distributing staple foods and providing health care popped up across the country.

Chavez was elected and re-elected in large part thanks to support from the country's poor, who felt marginalized by previous governments. He tapped into their needs and frustrations -- often through confrontations with the Venezuelan elite.

Maduro -- who Chavez tapped as his successor before he died -- has taken a similar tack. His narrow election victory last year was closer than supporters had hoped, but he still won.

Throngs of Maduro's dedicated followers still call themselves Chavistas in devotion to the former president.

Even though Maduro is nowhere near as charismatic as Chavez, for many, he's still better than the alternative, Shifter said.

"They perceive that there are parts of the opposition that want to go back to pre-Chavez Venezuela, which basically ignored the concerns of the poor," Shifter said. "They don't want to lose what they think they've gained."

A key challenge for the opposition is chipping away at Chavistas' support for the government. If they can win over Chavez loyalists, that could tip the scales.

Ciccariello-Maher, who authored "We Created Chavez: A People's History of the Venezuelan Revolution," argues that's not likely. The revolution, he says, is much bigger than Chavez or Maduro.

"The Chavista government has been in power for more than 14 years and has won a larger number of elections than any other government essentially on earth because they mobilized the poor and have a strong support base among the poor, and also a chunk of the middle class," Ciccariello-Maher said. "This support base is not going anywhere, and it's not going to disintegrate because a relatively small number of students are protesting in relatively middle class areas of the country."

Follow the money

For months, major goods shortages have left shelves bare in Venezuelan stores.

The government accuses distributors of orchestrating the shortages as part of an "economic war" to fuel unrest.

The opposition says that's one of many painful examples that show the government's mishandling of the country's finances.

While the populist platform of sharing Venezuela's vast oil wealth with the poor and disenfranchised has helped reduce poverty, critics have warned that flawed economic policies -- such as currency controls and expropriation of private companies -- set the country on a crash course toward financial ruin.

Despite government efforts to stem inflation with price controls, analysts have said the economic picture looks bleak.

It's no coincidence that tensions are running high while Venezuela faces significant economic problems, experts say.

"This has been sort of a cyclical phenomenon of protests in Venezuela," Shifter said. "But I think we're at a different point in the evolution of a situation, a point where the economic situation is what's driving what's happening...more than anything else, just the shear economic desperation for many people and the shortages and the rising inflation."

And if those problems worsen, it's not good for the government.

"If Venezuela experiences a serious economic meltdown, the opposition movement could grow, despite not making any efforts to reach beyond its traditional base," Smilde said.

Military might

Right now, analysts say the military seems to be squarely behind Maduro.

That wasn't the case in 2002, when Chavez was briefly ousted from power by a military coup.

"The military is much more Chavista than it was in 2002," Ciccariello-Maher said.

But there could come a moment, Corrales said, when the military's loyalties are challenged.

"If they are asked to be repressive," he said, "they will face a difficult choice of whether to comply or not."

Who's protesting?

The recent protests have highlighted growing discontent with Venezuela's government, but also rifts within the opposition -- a disparate group of parties that banded together in an attempt to defeat Chavez at the polls and now hope Maduro's government will fall.

Henrique Capriles Radonski, a leading opposition politician who lost his bid for the presidency last year, has been trying to take a more moderate approach and build a broader support base.

But Lopez and other opposition leaders have pushed for protests in the streets.

A looming question is whether the opposition Democratic Unity Roundtable -- which includes parties with a wide range of ideologies within its ranks -- can stick together for a common political goal.

"Behind the scenes, the opposition is very much cracking," Ciccariello-Maher said.

If more militant members of the opposition attempt a coup, he said, that will only backfire the next time Venezuelans head to the polls.

Smilde said he's seen how much Lopez's impassioned speeches have fired up crowds.

"This movement is energizing the opposition base in a way they haven't been in eight years," Smilde said. "But there seems to be little effort to reach out to disgruntled Chavistas, or broaden the message towards issues of equality and poverty reduction that might mobilize a broader coalition."

The toughest challenge the opposition faces might be keeping up the momentum they've started.

"It's very hard to sustain protests. There have been other moments when there have been protests in Venezuela, and they come and they go," Shifter said. "If this one goes and sort of dies down, then I think Lopez, his star may fade, and this whole episode may pass."

@highlight

Experts say it's too soon to ring the death knell for Hugo Chavez's revolution

@highlight

With so many factors in flux, it's difficult to guess what's next in Venezuela

@highlight

But there are some possible game-changers to keep an eye on

@highlight

Tensions are running high amid anti-government protests