(CNN) -- Once upon a time, work took place outside of the home during designated hours. Today, that world is a fairy tale. If you checked your work email this Thanksgiving, you're likely aware that at most companies there is an unspoken expectation that employees tend to emails at all hours.

It would be easy to blame heartless managers or short-sighted CEOs for the collapsing boundaries between work and life. But the causes of this cultural shift are far more complex. As Americans, we pride ourselves on hard work and self-sacrifice. As human beings, we thrive on feeling needed. Neurologically, certain elements of work can be addictive. Studies have found that satisfying curiosity about a novel event -- say, a new and unread email sitting in your inbox -- releases dopamine in the brain, which conditions us to check again and again.

Despite the monumental shift in the accessibility of work, organizations continue to offer employees the same advice they did before the invention of the BlackBerry: Seek work/life balance.

The idea holds inherent appeal. Too bad it's a myth.

For many of us, compartmentalizing our work and personal life is simply not possible, and not just because of the ubiquity of email. In a growing number of companies, work now involves collaborating with colleagues in different time zones, making the start and end of the workday a moving target.

And even within organizations with more traditional hours, let's face it -- standout employees are always working, even when they're not attending conference calls or corresponding over email. They're continuously plotting ahead and thinking up new ideas while showering, driving their kids to gymnastics, or drifting off to sleep.

Until we come to terms with the fact that separating work from home is a fantasy, we can't begin to have an intelligent conversation about what it means to create thriving organizations. We can bemoan the blending of our professional and personal lives, or alternatively, we can look for innovative solutions.

For the past decade I have been studying the science of human motivation, paying particular attention to how people can work more effectively. Over the course of reviewing thousands of academic articles for my book, I have repeatedly encountered a striking gap between the latest science and the realities of the modern workplace.

Take, for example, the degree of control employees at your company possess over when and where they work. We tend to assume that granting workers too much leeway will lead to reduced effort; that employees will take advantage unless they are closely supervised.

Yet studies have repeatedly found that the opposite is true. Providing employees with more control over their schedule --to the extent that flexibility is possible -- motivates them to work harder, produce higher-quality work, and develop greater loyalty for their company.

Why is this the case?

For one thing, placing employees in control of their schedules encourages them to work during hours when they are most effective, instead of requiring them to sit comatose in front of a computer because it's not yet 5 p.m. Most adults function best in the first few hours after waking. Others are sharper in the afternoon.

Flexible work schedules allow employees in both camps to leverage their best hours instead of conforming to an artificial eight-hour "shift" -- one that was originally designed to maximize the productivity of a factory, not human beings.

Studies also show that employees with flexible schedules work more intensely. It's because as humans, we are motivated by a norm of reciprocity. When a manager grants us the freedom of a flexible schedule, we seek to "repay" that benefit by investing greater effort.

Productivity aside, flexible working offers another crucial benefit -- it allows employees to resolve critical personal matters when needed, so that they can bring sharper focus and clarity to their work. No wonder workplace flexibility has been linked with a host of positive well-being outcomes, including higher job satisfaction, lower stress, and reduced work-family conflict.

We live in a world in which it is acceptable for work to interrupt personal time. And yet we're not as comfortable when personal time interrupts work. Why?

When organizations provide employees with a clear set of goals and entrust them to manage their time responsibly, making it acceptable for a worker to take an hour during the day to attend a yoga class, visit an elderly parent or welcome his or her child off the afternoon school bus, they generate commitment that ends up saving them money in the long term.

Just ask Patagonia, a successful outdoor clothing manufacturer. Employees at the company's California headquarters are empowered to set their own hours, given access to an on-site daycare and invited to take regular breaks during the day for exercise. Company restrooms even include private showers, transforming the prospect of an afternoon jog from an aspiration fantasy into a practical option.

The result? Over the past five years, Patagonia's profits have tripled, while employee turnover has dropped to a fraction of the industry average. As for employee satisfaction? In the words of Billy Smith, a 26-year-old Patagonia product tester, "Landing this job was probably the best thing that ever happened to me. I feel like I represent the brand as much as it represents me."

Instead of endorsing the work-life balance myth, organizations are far better off empowering employees to integrate work and life, in ways that position them to succeed at both.

Ultimately, it is companies that are quickest to realize that it is in their financial interests to care for the entire employee --not just the sliver of them that sits in the office for 40 hours a week -- that stand to gain the greatest benefits in the form of stronger loyalty, higher engagement, and top performance.

@highlight

Ron Friedman: Many people like the idea of work-life balance, but it's a myth in America

@highlight

Friedman: The 8-hour shift, made for the days of factories, is an artificial construct

@highlight

He says companies should provide employees with more control over schedules

@highlight

Friedman: Flexible work times improve job satisfaction and lower stress