The unprecedented natural disaster that came in the form of Typhoon Haiyan is a potential medical disaster for the Philippines, according to emergency crews on the ground.

The Red Cross says it has ordered 10,000 body bags in preparation for the number of bodies it believes it will have to retrieve. The official death toll, currently in the hundreds, is likely to grow quickly as rescue crews are better able to assess the situation.

What is left behind are some 4.2 million people who have been affected by the storm, many of them injured, thirsty or hungry. The Philippines storm -- some three and a half times more forceful than Hurricane Katrina -- has created serious food and water shortages.

Typhoon Haiyan: 3 days in, little relief for survivors

A second round of deaths may be imminent, given limited food and water, along with pools of standing, possibly polluted water amid a breakdown in ordinary sanitation. Relief agencies are worried about outbreaks of disease and infections in the storm's wake.

"We don't have the full picture yet, but there is a lot of destruction, which means that next to a high number of deaths the possibility of wounds will be high," said Meinie Nicolai, the president of Medecins Sans Frontieres/Doctors Without Borders in Belgium. "We worry about more deaths because of infection."

Medecins Sans Frontieres  says in the first stage of its recovery efforts, it will work to keep infection rates down and then work to vaccinate people for tetanus. The bacteria that causes tetanus when it enters a deep flesh wound can be deadly.

The agency will also provide ongoing psychological help to the victims of the disaster many of whom will be suffering from post-traumatic stress disorder, Nicolai said.

"People in the Philippines are used to typhoons, but the scale of this is completely unprecedented. People will suffer a lot of trauma from the death and destruction they are seeing and will be scared for future typhoons. We will make room for people to speak with a professional and will set up group sessions where people can talk through their trauma."

People are so desperate for food and water there are reports of crowds breaking into warehouses and stores.

Medical supplies are also scarce. The few hospitals left standing have had to turn people away because they are overwhelmed with the injured. Many people desperate for medical attention have made their way to the airport, where the military is trying to administer medical care.

The World Health Organization is supporting the Philippines Department of Health in strengthening its early warning alert and response network to watch for disease outbreaks and other public health threats related to food scarcity, water contamination and other environmental hazards.

It is also helping the government coordinate the international assistance to make sure the field hospitals and medical teams and supplies go where there is the most critical need, and is re-establishing bases for the supplies that are coming in from all over the world.

USAID, one of the first agencies to reach victims after the typhoon, came with food, water, hygiene kits and sanitation equipment. U.S. Marines have been helping distribute the aid.

Americares has an emergency shipment on the way to the Philippines with enough medical aid for 20,000 survivors, including antibiotics, wound care supplies and pain relievers.

International Medical Corps has pre-positioned medical supplies and a team on the ground offering support. Direct Relief is also sending 1.5 tons of emergency medicine, which also includes antifungal medications and chronic disease medicines.

C-10's are bringing in supplies from the World Food Programme, which has sent high-energy protein biscuits to feed half a million people.

The World Food Programme has 10 people on the ground already, and they will be setting up bases and getting information to the rest of the World Food Programme hubs to determine how much food and supplies are needed, said Bill Campbell with the World Food Programme.

How Haiyan could teach world how to adapt to extreme weather

The government has declared a State of National Calamity, which among other powers gives the government price controls for goods including food.

The problem at the moment is being able to assess exactly how many people are hurt.  Geography complicates matters. The Philippines population is spread over 800 of the 7,100 islands that make up the country.

"We are having to rent boats and helicopters and are trying to do whatever we can to get to the remote areas," Nicolai said.

Medecins Sans Frontieres is one of the hundreds of agencies that has crews on the ground trying to assess survivors' needs; Nicolai spoke as trucks were being loaded outside her office with medical material, tents to create makeshift hospitals, water and sanitation equipment, generators and medical equipment.

The good news, if there can be good news in such a disaster, is that the Philippines does have a medical infrastructure already -- at least compared to the other regions in which Medecins Sans Frontieres works, according to Nicolai.

"That means you do have an educated medical staff with experience there, but we are learning many are missing or dead, so we, like a lot of other groups that are responding, will try and reinforce and help what is there."

How to help Typhoon Haiyan survivors

@highlight

Typhoon Haiyan has left survivors needing food, water and medical supplies

@highlight

Relief agencies are worried about disease and infections

@highlight

The geography of the country makes it difficult to reach people on remote islands