Greenville, South Carolina (CNN) -- Some are girlish 22-year-olds; others are women approaching 40. They come from South Carolina's rural counties and its booming cities. They are loud and muted, lively and vacant, hopeful and desperate.

As different as they are, they share a connection to two powerful forces : their addictions and their babies.

They are swallowed by the same shameful past. They don't know if they can be good mothers. They don't know if they can be clean mothers.

They're here at a state-run drug-treatment program to learn how to do both.

On this summer day, Ashley Hendrix, 24, is eight months pregnant with her first child and one of 16 women at the Phoenix Center's Serenity Place. This is her last shot to get clean -- or face jail.

South Carolina's state supreme court is alone in upholding the prosecution of pregnant women for the damage drugs might do to their unborn children.

Across the country, local and state agencies have found ways to prosecute pregnant women for drug use, but the cases are often rejected by the courts. And judges in more than two dozen states have overturned decisions that criminalize pregnant addicts. In recent years, Missouri and North Dakota have ruled against charging pregnant women with neglect and endangerment.

Illegal substances -- marijuana, methamphetamine, cocaine and prescription drugs -- consumed Hendrix for more than a decade.

"To this day, I still cry about it, " she said, "that if anything does come out wrong with my baby, I know that my drug use is the reason why.

Since 1989, at least 126 women in South Carolina have been arrested during their pregnancies, according to the National Advocates for Pregnant Women. Most were charged with drug and alcohol use that posed harm to the fetus the woman was carrying. During the same period, only about 80 pregnant women were arrested on similar charges in all other states combined.

"Word on the street" in South Carolina, says Stephen Donaldson, program manager of a drug-treatment facility in Charleston County, "is if you use during pregnancy, you're being prosecuted or you're losing your baby."

Over the last 15 years, that message has driven many women to Serenity Place, a residential treatment center designed for pregnant women and new mothers. Here, the ultimate goal is to help the women recover from their addiction but Serenity also strives to give the women the confidence to become better mothers. They want the women to know there are second chances, and there is hope.

"I'm grateful everyday for being here and I'm grateful to have my baby with me," says a freckled Kim Clark, 28, who gave birth to her son Jaelyn at the center. "I've been using drugs since I was 11 years old. I didn't know any other life. And I've learned a lot about myself. I've been taught things here."

She graduated in August, has her own apartment now and works to support herself and her son.

Some women arrive here voluntarily. Others were sent by the state's Department of Social Services. Others made a plea bargain with the courts, allowing them one last chance at treatment to avoid prison.

"My biggest fear was the [health of the] baby, but right behind that was that 'I'm going to go to jail'," says Sandria Doremus, one of Hendrix' classmates at Serenity. Afraid of being turned in for her opiate addiction, she delayed getting prenatal care. "I should have gone in a lot sooner," she admits.

Doremus, 37, arrived at Serenity after a hospital reported her drug use to law enforcement officials, as required by law. She has sandy blond hair and warm blue eyes that open up her leathered face. She cuddled her 8-month-old son, Matthew, when CNN visited the center in July. Born with heroin in his system, Matthew was placed on methadone. Today, he is healthy, but studies show drug-exposed babies can face developmental delays and learning disabilities in later years. Watch the women of Serenity Place share their story »

In 1997, the South Carolina Supreme Court ruled that a fetus in the third trimester was viable and charges of child abuse, neglect and murder could apply to the mother. Some treatment providers and advocacy experts say this ruling opened the door for prosecutors to charge pregnant women.

"These are addicts who become pregnant," says Lynn Paltrow, executive director of the National Advocates for Pregnant Women. "They aren't women who chose to use drugs after becoming pregnant."

'If I didn't have pills, I felt like I had nothing'

Hendrix's drug addiction started long before her pregnancy. She was born into a world of drugs.

She says her mother was an addict, her father a violent alcoholic who once held a shotgun to her grandmother's head.

Hendrix's grandparents rescued her at age 3 by taking her into their home in rural Union, South Carolina. She has fond memories of her grandfather, but one morning, shortly after her 12th birthday, Hendrix watched her 54-year-old grandfather die from a heart attack.

The innocent girl started experimenting with drugs, partly because she couldn't cope with her feelings, she says, but mostly to fit in. By the time she turned 18, marijuana use gave way to cocaine and methamphetamine. Then she discovered prescription painkillers: Lortab. OxyContin. Percocet.

"It wasn't even about being high anymore. It was just being able to cope with everyday life," Hendrix says. "If I didn't have the pills, I felt like I had nothing."

Hendrix could no longer leave bed without the painkillers. Her routine consisted of melting OxyContin pills with water, placing the mixture into a syringe and shooting up, even during her pregnancy.

By April of this year, she was six months pregnant and on probation for stealing jewelry to feed her drug habit. She took herself to Serenity Place.

Tucked alongside empty factories in a once-thriving textile district, the center looks more like a college dormitory inside than a sterile treatment center. Homemade posters, photo collages and cards congratulating the women for giving birth are strewn along the hallways. There is a communal kitchen and colorful playgrounds.

Research shows women who remain with their children during treatment have better chances of defeating their addictions. But a national study in 2005 found that only 3 percent of treatment centers had programs tailored specifically to pregnant women. About 14 percent of treatment centers accepted pregnant or postpartum women.

The women at Serenity Place follow a rigid schedule that includes therapy, parenting classes and chores. They aren't allowed phone calls or the freedom to surf the Internet without permission. Security cameras guard all exits.

The structure can be particularly hard for addicts who grew up in dysfunctional households with few rules. Women spend on average six months in treatment. If a woman violates the rules, she can be removed from the program.

On some occasions, women have walked out of the center, leaving their newborns behind.

Why prosecute?

Why should addicted women be given a chance at motherhood? What about the welfare of the children? These are the questions asked by South Carolina prosecutors, known as solicitors general.

Several solicitors general contacted by CNN declined to comment on how many such cases they have prosecuted, but they say that charging pregnant women has become less common in the state.

Bob Ariail, solicitor of Greenville, says his district's policy is a far cry from the 1990s, when then-South Carolina Attorney General Charlie Condon, an anti-abortion advocate, publicly declared he would aggressively crack down on pregnant mothers accused of substance abuse. Condon often referred to a fetus as his "fellow South Carolinian." Despite several phone calls by CNN, Condon, who is now a private lawyer in South Carolina, could not be reached for comment.

In his two decades as a Democratic state representative, Joe Neal of Columbia, South Carolina, has pushed for more drug treatment funding, an effort he says has little chance in these tough economic times.

"Drug treatment?" says Neal. "South Carolina's response to addiction has been incarceration not treatment."

But Wanda McMichael, manager of women's services at Serenity Place, knows treatment can be beneficial. She guides women like Hendrix and the others through that process. Some who graduated from the program when it began in 1993 still remain clean.

"What's the other alternative if they don't come here?" says McMichael. "It's prison. That costs more than treatment, but a lot of people don't know that. If these women don't get this treatment, they are going to die."

A healthy baby, a new hope

Most of the women at Serenity Place say they were little girls the first time they used drugs, some as young as 8. Many could not recall what sobriety felt like until they came to the center.

Hendrix says her own mother was 15 when she gave birth to her and then abandoned her.

"She was real pretty. Blond hair, pale skin like me," Hendrix says. "I have her nose and lips. She just didn't respect herself."

Hendrix doesn't want to be like her mother.

Her son, who was born July 24, is healthy. In August, Hendrix left Serenity for an intensive outpatient treatment program, and she and her baby live with her grandmother in Union.

Of the 16 women enrolled in Serenity in July, half have graduated, program directors say. Six continue receiving treatment and two have left the center. Three women are on a waiting list to get in, including one who is pregnant.

Hendrix hopes to get her GED and enroll in the University of South Carolina to study psychology next year.

"I am happy today," she says, "and that's something I haven't felt in a long time. "My grandmother. My baby. They make me happy. But you know, it's not about them, jail or none of that anymore. That all changed. I am doing this for me."

@highlight

Serenity Place in South Carolina caters treatment programs to pregnant addicts

@highlight

South Carolina has been known to prosecute women in their third trimester

@highlight

A pregnant Ashley Hendrix sought treatment earlier this year for her addiction

@highlight

"If these women don't get this treatment, they are going to die," a counselor says