Gaza City (CNN) -- United Nations workers trying to aid people in Gaza found themselves stuck Tuesday between Israeli soldiers and Hamas fighters, with neither side showing any sign of backing down.

The development came as a rocket fired from Gaza struck near Israel's biggest airport, prompting many airlines around the world to suspend flights -- just days after the downing of a commercial jetliner over eastern Ukraine.

The U.N. Relief and Works Agency for Palestine Refugees found rockets hidden in one of its vacant Gaza schools, the second such discovery at a vacant school since the fighting began.

At the same time, a spokesman for UNRWA told CNN that for the second day, tank shells "believed to be from the Israeli military" hit an unoccupied girls' school that had housed 300 of the estimated 118,000 civilians being sheltered by the agency.

"During the two hour window the U.N. staff went to the school to investigate the damage and see what happened, further shelling took place which endangered the lives of the U.N. staff and put them in serious danger," Chris Gunness, the spokesman for UNRWA, told CNN.

"...The IDF had the GPS coordinates of the girls school, which was clearly marked by a U.N. flag."

The IDF has previously accused militants of hiding weapons in U.N. shelters, though there is no specific such claim in this incident.

Death toll rises

Fifteen days after Israel began hitting Gaza targets with airstrikes, and later a punishing ground offensive meant to locate and destroy tunnels used by fighters, the casualties mounted.

Palestinian health officials said at least 649 Palestinians had been killed and 4,120 wounded, Gaza's health ministry said. Some 70% to 80% of them civilians, according to the United Nations.

Twenty-nine Israeli soldiers and two Israeli civilians have been confirmed killed in the conflict. Two Israeli soldiers were killed Tuesday, the Israel Defense Forces said.

Uncertainty remained over the fate of another Israeli soldier, claimed as a captive by Hamas after the armored personnel carrier he was traveling in was ambushed on Sunday. Six other IDF soldiers died in the ambush.

On Tuesday, the Israeli military released the soldier's name -- Sgt. Oren Shaul -- saying, "We are still working to identify his body." Israeli media reported that the soldier was missing and presumed dead.

Israel finds Hamas are no longer amateur fighters

Peace talks

Bearing orders from U.S. President Barack Obama to push for an "immediate cessation of hostilities," U.S. Secretary of State John Kerry met Tuesday with Egyptian and Arab League officials in Cairo, Egypt.

"We've had constructive meetings thus far, and I intend to be continuing our conversations through today and into the next days in order to work to see if we can find a way forward, a way that ends the violence and then addresses the underlying causes of this crisis," Kerry said.

That approach mirrors one taken by Egyptian and Arab League officials, who have urged Hamas to accept a cease-fire, then enter dialogue to discuss its broader concerns.

Hamas rejected the first cease-fire proposed by Egyptian officials, saying negotiators hadn't consulted the group's leaders. They want a broad deal including the release of recently detained Palestinians and the easing of border restrictions.

"We want to reach a cease-fire agreement that will end all hostilities and end the siege of Gaza," Palestinian Authority President Mahmoud Abbas said Tuesday in a televised address.

In Jerusalem, Israeli Prime Minister Benjamin Netanyahu showed U.N. Secretary-General Ban Ki-moon a collection of rockets that had been fired into Israel.

Ban called the evidence "quite shocking" and called for an immediate end to the attacks. But he also chided Israel over its military campaign, saying it "will not increase Israel's stability and security in the longer term."

"My message to Israelis and Palestinians is the same: Stop fighting, start talking and take on the root causes of the conflict so we are not back in the same situation in six months or a year," he said.

Netanyahu, however, argued there's little Israel can do to satisfy Hamas.

"What grievance can we solve for Hamas?" he said. "Their grievance is that we exist."

On the ground in Gaza

Dozens of Palestinians died Tuesday in the fighting, Palestinian health officials said. The death toll rose from 604 early in the day to 630 by evening.

One child was injured when the "explosive ordinance" hit the girls' school turned shelter on Monday afternoon, UNRWA spokesman Sami Mashasha told CNN. When U.N. officials went to inspect the damage on Tuesday, the building was struck again, Mashasha said.

The Israeli military said it hit more than 187 targets overnight, most of them in Shaja'ia, a neighborhood east of Gaza City near the border with Israel. The IDF says Hamas uses the residential area as a "fortress for its weapons, rockets, tunnels and command centers."

In one skirmish, the IDF said, paratroopers encountered a squad of militant fighters who were later hit with an airstrike. Several militants escaped in a civilian ambulance, the IDF said.

Troops also uncovered 66 openings to 23 tunnels, six of which were destroyed, the IDF said.

The flood of people seeking refuge from the violence is straining UNRWA's resources and threatening a humanitarian disaster, the agency said.

Uncollected waste and unexploded ordinance were growing problems, the agency said.

Palestinian lawmaker Mustafa Barghouti accused the Israeli government of carrying out a massacre.

"This has to stop," he told CNN's Wolf Blitzer on Monday.

The United States had pledged $47 million in humanitarian aid for Gaza, Kerry said Tuesday.

On the ground in Israel

Shortly after noon in Washington, the U.S. Federal Aviation Administration ordered airlines to stop flying to Ben Gurion International Airport near Tel Aviv for up to 24 hours, after a rocket struck a home nearby.

At least one flight, Delta Flight 468, diverted to Paris prior to the FAA order. The airline said it was temporarily suspending service "to ensure the safety and security of our customers and employees."

A number of other airlines, including Korean Air, Air Canada, and KLM also suspended service.

The strike was one of 41 the Israeli military said had been launched out of Gaza since midnight and more than 2,000 since the military operation began.

Israel's Iron Dome defense system intercepted 11 of the rockets, including one over Tel Aviv and seven over the city of Ashdod, the Israeli military said. Others fell to the ground harmlessly outside of the city of Be'er Sheva, according to police.

Elsewhere in the world

-- The U.N. Security Council held a debate on the situation in the Middle East on Tuesday. "With no regard for human life, Israel, the occupying power, continues to slaughter entire families," said Riyad Mansour, the head of the Palestinian permanent observer mission to the United Nations. He went on to read the names of 44 children, ranging in age from 8 months to 15 years, killed in the fighting.

David Roet, Israel's deputy permanent representative to the U.N., told the council that international aid dollars had gone to Hamas to build tunnels designed to infiltrate Israel and inflict casualties on its civilian population.

"Imagine what it is like to fall asleep wondering if a terrorist is tunneling under your home or to wake up and wonder if your children will be safe on their way to school," he said. "Just yesterday, heavily armed Hamas terrorists emerged from a tunnel 200 meters from a kindergarten."

-- In Lebanon, the militant group Hezbollah reached out in support of Hamas, raising questions about whether Israel might have to fight on two fronts.

-- A day after a pro-Palestinian protest in Chicago, demonstrators there rallied in support of Israel outside the Israeli Consulate.

Ian Lee reported from Gaza City. Chelsea J. Carter and Michael Pearson reported and wrote from Atlanta and Jethro Mullen reported and wrote from Hong Kong. CNN's Karl Penhaul, Ali Younes, Kareem Khadder, Ben Wedeman, Atika Shubert, Yon Pomrenze, Tim Lister, Richard Roth and Salma Abdelaziz contributed to this report.

@highlight

NEW: Palestinian death toll rises to 649, Israeli troop deaths up to 29

@highlight

U.N. school shelled a second time; aid agency blames Israel

@highlight

"Stop fighting, start talking," U.N. secretary-general tells Palestinians, Israelis