(CNN) -- The Shabiha militia fighters working hand in hand with Syria's military to repress the 15-month-long uprising are President Bashar al-Assad's "shock troops," observers say.

"The regime uses them for the real dirty work, killing and violent action, especially where it has to go into an urban area and repress resistance," said Jeff White, defense fellow at the Washington Institute for Near East Policy.

Civil war imminent in Syria, U.N. warns

Blamed for their participation in the Houla and Qubeir massacres and other assaults, there may be tens of thousands of them, mostly but not all members of the Alawite sect that dominates the government, analysts say.

U.N. observers come under fire

The Shabiha emerged in the 1970s as Alawite gangsters from the coastal region with ties to the al-Assad family. They were involved in drug- and weapons-smuggling from Lebanon, where they moved those and more benign products from the more robust economy next door into the closed Syrian society.

The name Shabiha is thought to be taken from the Arabic word for "ghost."

Photos: In Syria, families flee and rebels fight

One Syrian writer, Yassin al-Haj Shalih, says it refers to people operating "outside the law and living in the shadows." He and others also think it might be taken from "shabah," the name of a Mercedes model that Shabiha members drove.

After the uprising started last year, the Shabiha were enlisted as regime fighters, and the meaning of the term is widely regarded as "thug."

The name fits, said Michael Weiss, a Syria expert at the UK-based Henry Jackson Society. They used to smuggle drugs and weapons, Weiss said, but "now they are being used as butchers."

Weiss said the government has been blaming the violence across Syria on anti-regime forces. But he said the Shabiha, in fact, "are the armed gangs" terrorizing the populace.

Sometimes Shabiha wear fatigue pants and T-shirts and have been seen on army tanks. They drive around in white pickups brandishing weapons, Weiss said, and they look like "muscleheads with bulging physiques."

Many have shaved heads and sport thick black beards.

Syria: How a year of horror unfolded

The beards are a confusing touch, Weiss said, because they "want to look like Salafists" so people will think they are the fundamentalist Sunnis they dislike and blame for violence.

Shabiha have broken up demonstrations and harassed diplomats, said Andrew Tabler, Syria expert for the Washington Institute for Near East Policy. He also said people have come under international sanctions for directing Shabiha activities.

Opinion: The only glimmer of hope for Syria

Calling them the "black market" version of the Syrian security forces, Weiss said they spy for the regime and keep weapons away from resistance fighters by purchasing as many as they can on the black market. Weiss said they also plunder property, gang rape and engage in summary executions.

"Houla was the global recognition of what they'd been up to," he said.

The regime uses Shabiha for "plausible deniability," Weiss said. For example, the government can say the military wasn't involved in house-to-house raids actually conducted by Syrian security forces.

Massacre in Syrian town feels eerily familiar

Analysts say the Shabiha also operate in other parts of the country, such as Deir Ezzor in the east. Weiss said there are reports of other pro-government proxies, such as Kurdish militants, Shiite militants from Lebanon and Iraq, and Iranian forces.

The Alawite region is largely along the coast, with Latakia at its center. Joshua Landis, director of the Center for Middle East Studies and associate professor of Middle Eastern studies at the University of Oklahoma, said Alawites live "cheek by jowl" near Sunnis in Homs, Hama and Idlib province in the west. He describes that as a "poor band of countryside" that's the "center of the revolution."

"Not good fences," he said.

In a recent essay, Landis wrote that "since the start of the uprising, many Syrian tribesmen have supported the state's security apparatus, controlled by the Assad family. This is not a new practice, and Syrian tribes have been used as enforcers for the Syrian government for decades. In many restive regions of Syria, tribesmen are deployed by the Syrian military as paramilitary forces called Shabiha."

He wrote they have also been referred to as "jahaaz, which means 'apparatus,' as in a security apparatus, but has the connotation of 'political tools.'"

Landis notes that in the 1970s, the "feared" Shabiha also played an important role in providing Syrians' goods, from mayonnaise to toothpaste.

"They became this super-regime dedicated element, whose livelihood and future were dependent on the regime," Landis said.

When the troubles started, the regime turned to its indigenous muscle for help, mobilized their networks and "turned them into special forces and shock troops."

"This was necessary because the multi-ethnic army became undependable," Landis said of the huge army with a strong Sunni presence. "They are defecting and don't want to shoot. They won't shoot at other Sunnis."

Russia, China call for non-intervention

As a result, the regime cycled in "tons of shabiha who are going to do the heavy lifting," and tit-for-tat sectarian blood vendettas have unfolded. He said the recent massacres indicate that the Shabiha are gaining power and influence while the regime is "flailing around" and "losing control of the Syrian army."

"Irregular or special forces are increasingly calling the shots," he said.

Landis likened the situation to Iraq, where minority Sunnis who prevailed during the Saddam Hussein regime lost their clout after a populace dominated by Shiites and Kurds took power.

Some Shabiha might hail from other communities, such as the Sunni or Christian. But the mostly Alawite membership join up for money and because they believe they will be persecuted by a Sunni-dominated opposition if al-Assad's regime is toppled, analysts say.

The Alawites, who dominate state ministries and have more jobs than other ethnic groups, are clinging to the top and know they will face a "bleak future."

"All the incentives are to back the regime. They got their backs against the wall. There's going to be hell to pay when they lose power," Landis said.

For now, White said, the resistance has learned to spot the pro-regime fighters. The Free Syrian Army opposition fighters have been attacking the Shabiha and getting their weapons.

"It looks like the FSA has a lot more guns," he said. "I'm not seeing a lot of reports of them running low."

@highlight

The Shabiha emerged in the '70s as a criminal gang

@highlight

The word might be derived from the name of a Mercedes

@highlight

Special forces like the Shabiha are gaining in influence, an analyst says

@highlight

They used to smuggle drugs and weapons, but "now they are being used as butchers"