It is, in the words of one frustrated official, "one of the biggest open crime scenes in the world."

And yet, 11 days after Malaysia Airlines Flight 17 was blown out of the sky by a suspected surface-to-air missile, the Dutch investigators in charge of finding out what happened have yet to lay eyes on the wreckage or the human remains believed to remain strewn across the enormous debris field.

The latest setback came Monday, when a 45-person team of Dutch and Australian experts, accompanied by monitors from the Organization for Security and Co-operation in Europe, abandoned their effort to reach the site after hearing explosions and being warned of heavy fighting in the area.

It's the same thing that happened Sunday.

"We're really sick and tired of being delayed," Organization for Security and Co-operation in Europe spokesman Michael Bociurkiw told CNN's "New Day."

"We all know there are still human remains out there exposed to the elements, number one," he said. "Secondly, it is one of the biggest open crime scenes in the world as we speak, and it is not secured. There's no security perimeter around the 30- or 35-square-kilometer site."

According to unconfirmed reports from pro-Russian rebels, Ukraine's military broke through to part of the crash site Monday and had stationed armored personnel carriers and dug trenches there.

"Safe work of experts and observers is impossible," Vladimir Antyufeev, the acting Prime Minister for the self-proclaimed Donetsk People's Republic, said Monday.

The United Nations and other countries have repeatedly called for a cease-fire to allow investigators a safe working environment at the crash site, which the U.N. human rights chief said Monday could be the scene of a war crime.

The Malaysian government had struck a deal with rebels to allow unarmed international police officers to guard the site, but the fighting has made that impossible.

"This is a contested zone. There is active fighting going on," Andrew Colvin, deputy commissioner of the Australian Federal Police, said at a news conference Monday in Canberra.

"We are working on the basis that if it's a permissive environment, we will go in," he said.

Bociurkiw said Monday that investigators will try to reach the site again Tuesday.

"We will keep trying every day," he said.

A CNN crew joined the convoy that attempted to go to the crash site Monday, but the media were stopped by armed men near Shakhtorsk. The forensic teams turned around not long later.

Other people were also fleeing the violence.

One man said jets were flying over his home.

"My little one is terrified," the man said.

Identifying the bodies

As of Monday, 227 coffins bearing remains from the crashed plane had been sent to the Netherlands, where forensic investigators were working to identify them.

Of the 298 people killed in the crash, 193 were Dutch, 43 were Malaysian, and 27 were Australian.

More than 200 forensics experts from all over the world are working at a Dutch military base to identify the remains, according to Howard Day, who is leading the effort.

Investigators aren't sure how many sets of remains they have. Only one victim -- a Dutch man -- has been identified.

"This will take weeks; it will take months," Day said.

Experts are using a variety of approaches in their work, including dental records, DNA analysis and fingerprints, he said.

"We don't just identify people from a photograph or from an item of property that may be on them, because there's been countless mistakes, examples of mistakes where that's happened in the past over the years, even small incidents, like car crashes," he said.

Russian role in conflict debated

The fighting appeared to be moving southeast from Horlivka, a city about 30 miles (about 50 kilometers) northwest of the crash site. At least 13 people, including two children, were killed in fighting Sunday in and near Horlivka, the Donetsk Regional Authority said.

At least 332 Ukrainian soldiers have been killed and nearly 1,300 have been injured since April 7, according to Ukraine's National Defense and Security Council and law enforcement agencies. There is no known figure for the number of rebels killed.

Meanwhile, debate continued over Russia's role in the conflict.

On Sunday, the State Department released satellite images that it said showed Russians firing into Ukraine.

"We are putting out evidence to confirm the points that not only has Russia been providing the weapons across the border, including heavy weapons, but they have also now been firing artillery barrages across the border," senior White House adviser Ben Rhodes said.

Russian officials have denied arming the rebels. At a news conference Monday, Russian Foreign Minister Sergey Lavrov said he hoped that deployment of an Organization for Security and Co-operation in Europe observer mission at two checkpoints on the Russian-Ukrainian border would clarify what was happening on the ground.

Russia wants 'impartial' MH17 investigation

U.S. and Ukrainian officials have said that a Russian-made missile system was used to shoot down Flight 17 from rebel territory. Russia and the rebels have disputed the allegations and blamed Ukraine for the crash.

On Monday, U.N. High Commissioner for Human Rights Navi Pillay said that what happened "may amount to a war crime."

"It is imperative that a prompt, thorough, effective, independent and impartial investigation be conducted into this event," Pillay said.

Russia announced over the weekend that it had formed a team to join the investigation, state-run news agency RIA Novosti reported. It will be led by the deputy head of the Federal Air Transport Agency, Oleg Storchevoy.

Lavrov called for an "impartial" investigation carried out with agreement from the U.N. Security Council. But State Department spokeswoman Jen Psaki said Monday on CNN that the United States has little faith in what Russia says.

"The Russians have mastered the art of saying one thing and doing another," she said.

Russian foreign minister shrugs off sanctions

The United States will place new sanctions on Russia this week, White House Deputy National Security Adviser Tony Blinken announced Monday without elaborating.

Representatives from EU member states will meet Tuesday to consider the proposals, according to the EU website.

The new proposals include sanctions on weapons, goods that can be used for both civilian and military purposes, access to European capital markets and on the export of energy technology from Europe to Russia.

Psaki said Monday that what happens next is up to Russia.

"We're seeing a serious impact of just the sanctions we have put in place to date," she said.

"The Europeans want to do more. We expect they'll do more," Psaki said. "So the question for the Russians is, do they care about the economy and how it's impacting their people, or are they just going to be in denial about what impact these sanctions are having?"

Lavrov said Monday that the Russian government wasn't happy about all the sanctions but that the country would overcome any economic difficulties and become more independent as a result.

"We are only seeing the desire of our Western partners to punish Russia," he said.

Also Monday, the United States accused Russia of violating the 1987 Intermediate-Range Nuclear Forces Treaty, citing cruise missile tests that date to 2008, senior State Department and White House officials said.

"This is a very serious matter which we have attempted to address with Russia for some time now," said a senior State Department official.

Russia's suspected violation of the treaty was first reported Monday by The New York Times.

"The 2014 Compliance Report of the treaty includes a determination that the Russian Federation is in violation of its INF Treaty obligations not to possess, produce, or flight-test a ground-launched cruise missile with a range capability of 500 to 5,500 kilometers (310 to 3,417 miles), or to possess or produce launchers of such missiles," a White House official said, adding that they "have kept the Congress and our allies informed of this matter."

The violation was for cruise missile tests that date back to 2008, prompting an administration review as to whether the tests are in violation of the 1987 treaty between the United States and Russia banning medium range missiles.

Officials told CNN that Washington had called for senior-level talks, but insisted the situation was not related to the violence in Ukraine.

What you need to know about Russia and sanctions

Malaysian PM's 'quiet diplomacy'

Who are Ukraine's pro-Russia rebels

@highlight

Effort to identify bodies will take weeks or months, head of forensics team says

@highlight

Rebel leader says Ukraine military breaks through to part of crash site

@highlight

Flare-up in fighting near crash site in eastern Ukraine turns back investigation team

@highlight

Washington preparing further sanctions against Moscow