The Occupy Wall Street protest may be the answer to a favorite question of social scientists ever since the bank bailouts of 2008 -- where is the social movement? Americans are famously willing to tolerate a relatively large amount of income inequality (especially compared to our European counterparts).  Americans love meritocracy, and are typically quite happy to see hard work rewarded, even to the tune of millions of dollars, as is often the case on Wall Street. But there is a catch — we want the rules of the game to be fair.

Recent scandals involving Wall Street banks and financial institutions, headed by some of the world's most well-paid managers, executives and analysts, have many Americans asking themselves whether this game is rigged. It is this sense of injustice, coupled with economic insecurity, that animates changes in Americans' attitudes toward Wall Street. It's not just a small number of Americans, those who are actually "occupying" Wall Street, who feel such injustice. That's just the tip of the iceberg.

In a paper forthcoming in the journal Public Opinion Quarterly, I examine Americans' attitudes toward banks, financial institutions and Wall Street over the last 40 years and look at historical trends in how Americans perceive the honesty and ethical practices of bankers.

Animosity toward Wall Street is at its highest level in at least 40 years. Americans have never exactly loved Wall Street stockbrokers or bankers—but we certainly didn't always hate them. Why this increasing hostility? The answer is a "perfect storm" of financial turmoil and a series of major scandals on Wall Street.

The public has been down on big Wall Street banks and financial institutions for some time now.  The General Social Survey, administered by the National Opinion Research Council, has asked Americans about their confidence in banks and financial institutions since 1973. Between March of 2006 and March of 2010, the percent of Americans with a great deal of confidence in banks and financial institutions plummeted 19 percentage points, from 30 percent to an all-time low of 11 percent.  According to a similar trend from Harris Interactive, the percent of Americans with a great deal of confidence in the people running Wall Street had already reached an all-time low of just 4 percent by February of 2009.  These figures are not just a reflection of Americans' dissatisfaction with the size of their bank accounts — they also reflect the increasing belief that Wall Street is playing a game that only the bankers can win.

Economic hard times, such as global recessions, do tend to bring about small, but noticeable drops in the public's confidence in Wall Street, just as we might expect falling confidence in a military that is losing a war.

But when economic downturns coincide with major scandals, as in the savings and loan crisis of the late 1980s and early 1990s and our current dilemma, the biggest changes in public confidence result — changes that may have contributed to the protests we are seeing on Wall Street today. In other words, Americans really begin to get angry when there is evidence of systematic foul play.

To be sure, material hardships such as unemployment rates in the 9 percent range and the continuing high levels of foreclosures and bankruptcies undoubtedly set the stage for a public outcry. But this outcry has a distinctly moral tenor. The sentiments of the Occupy protestors holding signs reading "Blame Wall Street Greed," "People not Profits" and "Wall Street was the Real Weapons of Mass Destruction" certainly echo the wider American public's sense of moral indignation.

Just 26 percent of Americans in an April 2011 Harris poll thought the people working on Wall Street were "as honest and moral as other people" (for a point of comparison, the percentage was 51 in 1997). In that same poll, 67 percent of Americans agreed that "most people on Wall Street would be willing to break the law if they believed they could make a lot of money and get away with it."

Ultimately, whether Occupy Wall Street is a watershed moment or a momentary disturbance remains to be seen.

The key question, however, is whether the bubbling populist outrage evidenced in Occupy's "We are the 99%" signs will translate into populist-friendly politics. The Buffett Rule, calling for millionaires to pay taxes at higher rates than their employees, is one, albeit timid (as the political scientist Larry Bartels has recently articulated), indication that the new political calculus involves tapping into this brand of populism. Elizabeth Warren's Senate campaign is another.

At minimum, the visibility of the Occupy Wall Street's movement should bring renewed attention to a political and economic issue the majority of Americans on Main Street agree upon—something's not quite right on Wall Street and something has got to be done about it.

@highlight

Lindsay Owens: Polls show a spike in Americans' lack of confidence in finance

@highlight

She says Americans react to scandals such as the 2007-8 financial crisis

@highlight

Financial turmoil is another factor that weakens confidence in Wall Street, she says

@highlight

Owens says key question is whether this disapproval translates into reforms