London (CNN) -- While the fight for equality between women and men has long been an uphill struggle, the current economic situation -- the "age of austerity" -- poses a new kind of threat. In recent years, the steady, albeit slow, march towards equality has not only come to a standstill but threatens to change direction. Here in the UK, record cuts to public spending risk actually reversing progress.

The Fawcett Society's analysis has found that women face a "triple jeopardy" of job losses, benefit cuts and the expectation that they will fill a looming "care gap."

Women's unemployment is now at a 25-year high, and rising. In large part, this is down to dramatic cuts to the public sector workforce -- women make up two-thirds of this workforce overall.

Women are also bearing the brunt of cuts to benefits. The "emergency budget" of 2010 contained some $13 billion (Â£8 billion) worth of cuts. More than 72% of this cash will come from women's pockets, because many of the cuts are to benefits that more women than men rely on.

Finally, women lose out more than men as public services are rolled back -- both because they tend to rely on these services more, but also because they end up "plugging the gap" as support services such as low-cost childcare dry up.

Read more: 10 most powerful women in tech

On 3 May, the UK heads to the polls to elect around a third of local council seats including the powerful position of Mayor of London, who plays a key role in running the city. The impact of these cuts on women is high on the political agenda.

London's mayoral election has grabbed most of the limelight in the UK media: A steady stream of commentators have speculated on what different results will mean for different political parties, while the campaign itself has been dominated by the outsized personalities of the core contenders.

But in the midst of the bluster, mudslinging and occasional genuine political debate, scant attention has been paid to the sizeable and substantial influence the Mayor's office wields.

Whoever wins this election will be the most powerful directly elected politician in the United Kingdom (and, in fact, most of Europe), with overarching responsibility for a budget of some $23.6 billion (Â£14.6 billion). How this money is spent can make a real difference to the lives of London's four million women.

Fawcett's research has found that, far from leading the way, the UK's capital city lags behind much of the country when it comes to gender equality. Women in London are more likely to live in poverty, experience a wider pay gap, and are less likely to work once they have children than women living elsewhere. In fact, London has the lowest level of maternal employment in the country: Just over half of the city's mothers with dependent children work, compared to almost two-thirds across the UK.

More from Leading Women: Norway's female execs quota

Women are also thin on the ground when it comes to positions of power in public and political life. Only 29 of London's 73 Members of Parliament are female; just eight of the 25 Members of the London Assembly -- which holds the Mayor to account -- are women.

Our research also suggests women in London are more likely to experience sexual assault than those living elsewhere in the UK.

Far from getting better, the gap between women and men in London is set to widen. The toxic combination of rising women's unemployment, cuts to welfare and the ever-increasing cost of living in the capital means that life for London's women is going to get tougher.

Some groups will be particularly hard hit. More lone parents call London home than anywhere else in the UK, and because of changes to the welfare system, they can expect to lose a month's worth of income on average by 2015.

This is why Fawcett has called on mayoral candidates to commit to taking action on gender equality. We asked all candidates to pledge that, if elected, they will assess the impact of their policies -- including the GLA budget -- on women and men.

Thus far, the Labour, Green and Lib Dem candidates have all committed to taking this vital first step, a surefire way of improving the way policy decisions are made -- and the lot of women in London. You can read more about the different candidates' policies and how they will affect women here.

The political color of City Hall might mean a lot to the different political parties, but it makes a daily, real difference to the lives of millions of Londoners.

@highlight

Expert: Whoever wins control of London's $23 bn budget could make a real difference to the city's four million women

@highlight

Goddard: Women in London are more likely to live in poverty, experience a wider pay gap than women elsewhere in UK

@highlight

Only eight of the 25 members of the current London Assembly, which holds Mayor to account, are women