(CNN) -- "I will say, this moment is one that I will never, ever forget," said Jason Glisson, recalling a 2008 trip to La Milpa, Belize. "I was the first person inside a very, very old manmade chamber. It was an incredible feeling. Then I turned on my headlamp and saw three huge spiders."

The opening to a possible future "Indiana Jones" movie? Close. Glisson was describing his discovery of an ancient tomb -- including very well-preserved bones found therein -- as part of his study of archaeology, a passion that began for him when he saw the Indiana Jones movies as a child.

"Obsessed is more like it," he said, describing his interest in the movies, the first of which, "Raiders of the Lost Ark," was released 30 years ago this summer. "I could probably recite a large majority of the movies."

Even though he's a fictional character, it's fairly safe to say that Indiana Jones is the most famous archaeologist in the world.

"As a teacher, I would ask my students, 'How many of you were influenced by Indiana Jones films?'" said Fred Hiebert, an archaeology fellow with National Geographic. "Everyone in the class would raise their hands."

Hiebert is the co-curator of "Indiana Jones and the Adventure of Archaeology," an exhibition that makes its worldwide debut at the Montreal Science Centre from April 28 through September 19 and then moves on to other international locations. His enthusiasm for Indy, and the exhibition, is infectious.

The exhibition "has an incredible array of movie props from the films. It's got a lot of the designs and paintings and artwork behind the making of these films," he said. "And, we not only have almost 100 incredible treasures from around the world, but we also have the archaeologist's drawings and techniques they use to investigate the past. You get to see what was in the minds of the filmmakers, and the archaeologists."

Aside from the "Indy" versions of the Ark of the Covenant and the Holy Grail, there is a lot in the exhibit for hardcore fans of archaeology as well. "We have a clay tablet with a map of a Mesopotamian city, one of the world's oldest maps," Hiebert said. "We have a fragment of a pot made 6,000 years ago, with the oldest representation of wine. We have a whole series of gorgeous prescribed pots from South America, and the first video of a scholar reading a scene from a stela, in a language no one has spoken for hundreds of years."

Hiebert said he hopes that with this exhibition, "People will enter the door as Indiana Jones and they will exit very inspired about archaeology. We want to inspire as many people as possible about science."

Indy has certainly inspired a lot of people in the last few decades, judging from the iReporters, like Glisson, who shared their stories of adventure.

iReport: Watch video of Glisson's excavation

"Thirty years ago I sat in a darkened theater, my eyes glued to the big screen, and was swept away into a world of wonder as 'Raiders of the Lost Ark' unfolded in front of me," said Tim Preston of Petaluma, California. "Like many of my generation, I dreamed of donning a fedora, picking up a bullwhip and setting off to confront the unknown."

Things didn't quite work out like that for Preston, but 10 years ago, he took a chance and flew to Belize to join an excavation with the Maya Research Program. "One summer turned into another, followed soon thereafter by a graduate degree in archaeology and finally a job doing what I love the most: excavating Maya ruins deep in the jungles of Belize."

Preston finds his occupation quite fulfilling: "While I have never had to evade a cunningly constructed death trap or hold off a sword-wielding fanatic with my trusty bullwhip, I feel that I am living out the dream that I had as a young man."

iReport: See photos of Preston's archaeological adventures

Jamin Eggert of La Jolla, California, who left his dedicated four-year engineering program at the University of California, San Diego, had a similar experience in 2009. "I had dreamed of exploring hidden chambers and escaping in runaway coal cars since I first saw the 'Raiders' movies as a child," he said. "Once the opportunity presented itself, I grabbed my hat and jacket and flew along the 'red arrow' over the Atlantic."

Taking part in an archaeological dig in Khirbat-en-Nahas, Jordan, was unforgettable for Eggert. "It was an adventure in detailing history, and I am very fortunate to have been able to be a part." The excavation was documented in a 2010 issue of "National Geographic."

iReport: Eggert's memorable trip to Jordan

Jasmine Prater was also intrigued by archaeology at an early age, thanks to Indy, and studied geoarchaeology at the University of Cincinnati in Ohio. In 2007, she participated in a study in Guatemala's Maya lowlands. "The study is ongoing and we hope to learn a great deal about the site selection of the inhabitants in the region."

"Even though there isn't as much danger and none of the spectacular Hollywood effects, it is no less exciting seeing these sites firsthand," she said.

iReport: Adventures in Guatemala

"Indy's gung-ho, get anything done attitude has served me well over the past 15 years working in the developing world," said Dr. R. Grant Gilmore, who runs the archaeology volunteer program at the St. Eustatius Center for Archaeological Research in the Netherlands Antilles.

"Indy is passionate when he is teaching -- that is perhaps the most common adjective used by my students to describe me. I would like to think that I strike a bit better balance between archaeology 'work' and family life -- thus Indy provides an example of how not to go about things."

Gilmore said he keeps Indy in mind, along with other influences, like Norman Barka and Geoff Egan, when managing more than 650 archaeology sites.

iReport: Archaeology in paradise?

Thomas Riddle from Greenville, South Carolina, integrates Indiana Jones' adventures into his history classes and created the website "Adventures in Learning with Indiana Jones."

His work on this and in promoting the educational value of the "Young Indiana Jones" series on DVD led to the opportunity to visit George Lucas' Skywalker Ranch in October: "Twenty-nine years after first seeing a scruffy-looking, thrill-seeking archaeologist acquire, then lose, an odd-looking golden idol, I stood face-to-face with that same idol as it grinned at me from behind the glass of a display case. In an instant, I was sitting in a darkened theater watching Indiana Jones do his thing. It was 1981, and I was 12 years old again."

iReport: Adventures in learning with Indiana Jones

Of course, there's a big difference between the fantastical adventures of the "man in the hat" and real archaeology (the vast amounts of paperwork, for example), but even so, fans like Glisson call it "a wonderful source for inspiration and adventure."

More iReporters talk about how "Indiana Jones" affected their lives

In a time where it seems just about anything can be found simply by searching online, the legacy of Indiana Jones is a reminder that there's still more of the world left to be explored.

@highlight

Exhibit of movie props, real artifacts marks anniversary of first film in series

@highlight

Indiana Jones' legacy extends to scientists inspired by the films

@highlight

Several iReporters describe how the movies sparked career choices