WASHINGTON (CNN) -- The young senator inspired a new generation of voters with his message of change and extended America's hand to the global community in an effort to promote a different kind of diplomacy.

One magazine characterized him as having a "quick charm, the patience to listen, a sure social touch, an interest in knowledge and a greed for facts."

A biographer recalled that he "had to touch the secret fears and ambivalent longings of the American heart, divine and speak to the desires of a swiftly changing nation -- his message grounded on his own intuition of some vague and spreading desire for national renewal."

Those words could have been written about Barack Obama's rise to the presidency last year but actually come from coverage about the ascendancy of John F. Kennedy to the White House.

Kennedy's presidency is remembered as "Camelot," for the Broadway show about an idealized King Arthur's Court that opened the month after Kennedy won the presidency in November 1960.

After JFK's assassination in 1963, the Camelot legacy was handed down to younger brother Robert Kennedy, who served as John Kennedy's attorney general and was later elected to the Senate from New York.

Ted Kennedy assumed the mantle after Robert Kennedy was assassinated during his run for the presidency in 1968.

And with the death of the youngest Kennedy brother, the question arises: Has Obama become the Kennedy family's heir apparent?

Many saw Kennedy's endorsement of Obama in the Democratic primaries last year as his handing the keys to Camelot to someone outside the family.

Kennedy's son Patrick, a Democratic congressman from Rhode Island, has kept a relatively low profile in Congress and has faced substance abuse problems that have led to stints in rehab facilities.

JFK's daughter, Caroline, stepped into the political spotlight recently, only later to drop out of the running for Hillary Clinton's vacant Senate seat.

Robert Kennedy's son Joe was derailed after a messy personal life involving a high-profile annulment, and Kathleen Kennedy Townsend, the former lieutenant governor of Maryland, has largely stayed out of the spotlight.

Others, like Robert Kennedy Jr., have careers in public service outside of government.

But Stephen Hess, a former staffer in the Eisenhower and Nixon administrations and an adviser to presidents Ford and Carter, says that right now, there are no other Kennedys to assume Ted Kennedy's place in American politics.

"These families can kind of go into a quiet state and then can flare up again. ... It doesn't look like there is a Kennedy in the immediate future and the nation's political history," he said. "No one will ever count out the Kennedys, and so there will be others."

"We often keep turning to the same names. ... At the moment, it does not appear that there will be a Kennedy in the Congress other than his son," he added.

Hess, who wrote the book "America's Political Dynasties," says that while there are comparisons to be made, Obama is not necessarily the heir apparent.

"He's a voice of his own, had his own agenda. ... He will build his own legacy," he said of the president.

Sen. Kennedy, deemed the Lion of the Senate, was an early, vocal supporter of Obama's primary and general election campaigns, despite having a longtime history with the Clintons.

In late January 2007, Kennedy endorsed Obama and drew parallels to his brother's legendary Camelot and the "new frontier."

"I remember another such time, in the 1960s, when I came to the Senate at the age of 30. We had a new president who inspired the nation, especially the young, to seek a new frontier," Kennedy said. "I know what America can achieve. I've seen it. I've lived it. And with Barack Obama, we can do it again."

Douglas Brinkley, a well-known presidential historian and professor at Rice University, says it's not sure that Obama would have won the Democratic nomination without Kennedy's endorsement and that noteworthy part of his speech.

"At that famous moment when Sen. Kennedy endorsed Obama, it was handing over the Kennedy legacy to him," he said.

The Kennedy dynasty, known for a history of national public service, has spent decades championing the rights of working men and women, with an emphasis on health care, education and community service programs, among other things.

The family, often considered America's royals, has faced tragedy and success.

"The Kennedys have become the charismatic political family of the 20th century," Brinkley added."I think there are the Adamses and the Roosevelts and the Kennedys. They are one of the three great political families in American history."

And part of that greatness, observers say, is the family's dedication to public service and kitchen-table issues that may be at the core of Obama's fit in the Kennedy brand.

In the late 1980s, Obama was a community organizer on Chicago's South Side, advocating programs designed to help the poor and uninsured. That emphasis on community service, analysts say, is the bedrock of the Kennedy legacy.

"I have no doubt that wherever there is a Kennedy, they will be doing public service and they will be, I think, using their name -- the brand -- to help issues and causes that they care about," Hess said.

Obama took that message to heart as he steered through an endless maze of legislation during his first couple of months in the White House.

In late April, Obama signed a measure designed to strengthen national community service efforts by boosting federal funding for thousands of volunteers in fields ranging from clean energy to health care and education.

The Edward M. Kennedy Serve America Act, recently renamed to honor the Massachusetts senator's sponsorship, will more than triple the number of positions in the AmeriCorps program, from 75,000 to 250,000, by 2017.

But Obama meets the Kennedy standard not only in substance; he also has its style and public appeal.

In 1961, Time magazine named JFK man of the year, after a tough election battle with GOP candidate Richard Nixon.

The article read: "The closeness of his victory did not disturb him; he took over the office with a youth-can-do-anything sort of self-confidence. He learned better; but learn he did. And in so doing," the article says, he made 1961 "the most endlessly interesting and exciting presidential year within recent memory."

Ted Sorensen, a former special counsel and adviser to President Kennedy, says there's no question about the similarities between the two.

"Both of them were compassionate and cared about the people at the bottom of the economic pyramid. ... Both Kennedy and Obama, by spending time abroad during their youth ... gave both of them a very good perspective of Americans' role in the world. ... Both of them were innovators."

And it's with those characteristics that Sorensen says Obama has lined himself up with the ideals of the Kennedy clan and has become a "natural fit."

Both Obama and Kennedy "reached out to young people; tried to get them involved in politics and government after a period of cynical indifference on the part of young people," Sorensen said. "Both Kennedy and Obama ... were idealists ... and paid less attention to the old politics and won by paying attention to the new politics."

@highlight

Sen. Ted Kennedy's son Patrick has kept low profile in Congress

@highlight

Community service is the bedrock of Kennedy legacy

@highlight

President Obama similar to Kennedys in political focus, experts say

@highlight

Sen. Kennedy was early endorser of Obama's presidential bid