(CNN) -- Marla Frazee can remember the moment she pulled "Where the Wild Things Are" by Maurice Sendak out of the library shelves filled with picture books.

Frazee, a two-time Caldecott-Honor winner for "A Couple of Boys Have the Best Week Ever" and "All the World," was already 8 years old. But the budding illustrator was completely absorbed by the images she found in picture books.

"Even though I was already a reader, what blew me away were the pictures, and specifically the three pages where Max's bedroom turns into a forest," said Frazee. "I remember sitting back on my heels floored by the magic of that scene. How did he change the original bedroom into a forest in just these three pages? I paged back and forth to see how it happened."

Parents who grew up on the books of Maurice Sendak and the children's book authors and illustrators he influenced mourned his death Tuesday. Sendak, who illustrated nearly 100 books over the course of his career, died from complications after a stroke, according to his publisher, HarperCollins.

Children's literature as an art form

Sendak elevated the art of children's literature over the course of his 60-year career, portraying children as imperfect, normal in their range of feelings and worthy of complex and profound illustrations in their stories.

"He opened the door for everyone who has come since in the children's book world to write about the powerful emotional experiences of young children," said Leonard Marcus, a historian of children's literature. "Prior to 'Where the Wild Things Are,' you didn't see young children throwing tantrums in picture books. Informed by psychology, he was showing young children that those powerful unnamable feelings that they had were a natural part of being. He was also showing that to parents around the world, helping them to understand something that was alarming to them."

iReport: RIP Mr. Sendak and a "Where the Wild Things Are" tattoo

"Arthur" series creator Marc Brown credits Sendak with making him aware of picture books "as a powerful expression of art and ideas."

"My first Sendak experience was reading 'Where the Wild Things Are' to my little sister and a giant light bulb went off over my head: This is something I want to do," wrote Brown, creator of the Arthur Adventure series and creative producer of the accompanying children's PBS television program. "The power of his images and the sparse verse that told volumes was very moving."

Inspiring future illustrators to interact with their audiences

"Where the Wild Things Are" reminds children's author and illustrator Todd Parr of childhood cuddle time with his grandmother. "As an artist, it was Max and all the different faces of the monsters that inspired me to want to draw them," he said. "As a storyteller, it taught me how to engage my audience, and make them part of my books -- not just sit there and be quiet."

The books remain popular because Sendak told the truth about children's lives, according to John Sellers, children's reviews editor at Publishers Weekly. "He never backed away from addressing the darker side of childhood in his stories, and it's because of that respect and honesty that his books are so treasured," said Sellers.

Philadelphia mother Tara Desmond can remember reading Sendak's books during her elementary school years in the 1980s, and the whimsical world he crafted. "My parents transformed our cellar into a play space (in the early 1980s) and there were great big aluminum cutouts of the monsters from 'Where the Wild Things Are' on the walls," Desmond said. "We spent a lot of time down there playing, so every time I see those monsters, I have a flashback to seeing them on the way downstairs. Some kids are scared of them, but they always seem like happy hosts to a land of imagination to me."

'God bless milk and God bless me!'

Now Desmond reads "In the Night Kitchen" to her 2-year-old daughter. "Despite the strangeness of naked Mickey tumbling through the sky and into a giant bottle of milk, the colors and pictures and dialogue of that book catapult me back to being captivated by all of it as a kid, and snickering with my brother at the scandalous anatomical detail," she said. Recently at breakfast, her daughter quoted the book, saying, "God bless milk and God bless me!"

Since reading Sendak's most famous work to her children (ages 3 and 5), Shannon Dingle has noticed that they turn any ordinary drive into an adventure with wild things. "They love acting things out and imagining, and are very big into the wild and jungles," said Dingle, of Raleigh, North Carolina. "If there are trees on either side of the road, they are imagining wild things in the trees even when we're just driving down the road."

Spike Jonze: the connection between Sendak and Yauch

Just as Sendak kindled a spark of creativity in Marla Frazee and Marc Brown all those years ago, it seems that children hearing his stories today are inspired to create. After San Diego mother Sarah Hilliard read "Pierre: A Cautionary Tale in Five Chapters and a Prologue" to her 5-year-old son, he recruited his parents to help him make a movie from the book.

"The most remarkable thing for me about my child's connection to Sendak is that the books inspire him to create his own art and to think about art and literature in bigger ways," said Hilliard. "It's not just a story to read; it's the realization of whole other worlds to explore and create. "

What is your favorite Maurice Sendak book? Please share in the comments below!

@highlight

Maurice Sendak portrayed children's intense feelings as normal

@highlight

His work inspired generations of future author-illustrators of children's books

@highlight

His books help children create and explore the worlds within their imaginations