Editor's note: The staff at CNN.com has been intrigued by the journalism of VICE, an independent media company and Web site based in Brooklyn, New York. The reports, which are produced solely by VICE, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique reporting approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (VICE) -- Faustino Barrientos has spent most of his 81 years in complete solitude and isolation. Since 1965 he's worked as a gaucho -- the horse-riding ranchers and shepherds of the harsh southern swath of Chile and Argentina known as Patagonia. For most of his life, Faustino's sole human contact has occurred once every two years, when he herds his cattle to the nearest town to sell.

The gaucho lifestyle, which essentially consists of hunting and herding, has remained constant since the colonial era. To say these guys are lonesome is an understatement -- this isn't like moving to the country and starting a blog about local varieties of heirloom carrots. But Faustino wasn't always alone. He was raised on the shores of Lake O'Higgins in a place known as Once Hermanos, which is named after his family of 11 brothers and sisters. Over the years, the siblings moved away one by one. Then their parents died, their houses were burned down by vengeful neighbors, and the land was sold. Faustino eventually moved to Argentina, traveling the country and honing the skills that would allow him to eventually return to Lake O'Higgins and live off the land for the next 46 years.

While Argentinean Patagonia can be barren and almost desert-like, Chilean Patagonia is rugged in the classical sense. It's peppered with craggy, Gothic mountains, dense forests and sparse pockets of civilization. Lake O'Higgins is located in the AysÃ©n region, one of the most remote areas of Patagonia. It's the least populated region in Chile, and one of the most sparsely populated places in the world outside Antarctica. The closet thing to an urban center is a place called Coihaique, in which more than half of the region's 100,000 residents reside, and smaller frontier settlements are home to fewer than 500 people, such as Villa O'Higgins where Faustino sells his livestock.

Like most of the developing world, Faustino's land is rapidly changing. The transformation began shortly after the Falklands War. In the mid-1970s, Chile and Argentina became involved in what came to be known as the Beagle Conflict, a territorial dispute over the nearby Picton, Lennox, and Nueva islands. This kerfuffle served as the main reason for Chile's support of the UK during the Falklands War, another convoluted and somewhat silly conflict over a few chains of islands off the coast of Argentina that the British had long claimed as their own. At the time, Chile's dapper general-turned-dictator Augusto Pinochet was in command and decided that Chile needed a highway to make its far-flung regions more accessible to the military.

See the rest of Faustino's Patagonian Retreat at VICE.COM

So, in 1976, the Chilean Army Engineering Command began construction on the Carretera Austral, forever changing Patagonia and its residents. By 1986, a mostly unpaved road connected remote communities throughout the country, and the Chilean military finally had easy access to the South. Due to the increased road access, the area developed a nascent yet thriving adventure-tourism industry based out of towns like Coihaique in the North and Torres del Paine and Punta Arenas in the South.

Villa O'Higgins, however, has remained somewhat isolated despite all of the recent developments. It was only accessible by plane until 2000, when the final 62 miles of the 770-mile road finally linked the remote village to the rest of the highway (via an hour-long ferry ride to Puerto Yungay). Faustino lives 20 or so miles from Villa O'Higgins, but those miles are of the Chilean Patagonia variety. It takes him several days to make his biennial trip, wrangling his cattle up precarious switchbacks, along the sides of ravines, through rapid mountain rivers, and, eventually, to town. He lived like this, without really seeing another soul outside his biannual trips into town, for about 35 years, until the boats came. First, about a decade ago, a government ship began cruising the lake weekly for whatever reasons the government had deemed important. Then came the semiweekly tourist ship that would take sightseers to the O'Higgins Glacier -- a favorite among the global warming picture-taking set.

At 81 years old, Faustino is still spry and still doesn't go to town very often, but he has somewhat adapted to the changes surrounding him. Now he retrieves his supplies from the boat and generates electricity via a solar panel, and he even recently got a new neighbor. The world is catching up to him, but it's a safe bet that whatever time Faustino has left will be spent staying as far away from civilization as he can manage.

@highlight

VICE meets an 81-year-old man who has spent most of his life in complete isolation

@highlight

Faustino Barrientos lives in Patagonia; only human contact came once every two years

@highlight

As development changes his surroundings, Barrientos has had to adapt