(CNN)It's a major European waterway that rivals the Volga, the Rhine and the Danube. Now, deadly fighting in Ukraine has transformed the Dnieper into something much more than a river.

It has become a cultural symbol of a deeply divided nation.

Along its winding path — and elsewhere — Polish photojournalist Justyna Mielnikiewicz met people whose lives have been profoundly changed since fighting erupted last year between Ukrainian government forces and pro-Russia rebels. Despite a shaky ceasefire, which was reached last September, sporadic fighting continues.

"I'm trying to show the amazing unbroken spirit of people which are united and determined to fight for what they believe," Mielnikiewicz told CNN on the phone this week.

Her camera captured fascinating people linked to the conflict: a masked fighter brandishing a piece of wood shaped like a rifle, children wearing paramilitary uniforms standing at attention, a young couple dramatically embracing in the midst of an intense protest.

Mielnikiewicz also photographed landscapes reflecting the mood of the region: a cable car suspended over the mighty Dnieper, giant concrete wave-breakers blocking a road, and a protest billboard depicting Russian President Vladimir Putin wearing a Hitler-style mustache.

The Dnieper basically slices Ukraine into two parts — east and west — as it flows roughly north to south connecting the capital, Kiev, to the Black Sea.

The farther east of the river you go, residents tend to lean toward pro-Russia rebels. The farther west of the river, people are more likely to support the government.

"I'm trying to keep a wider perspective," Mielnikiewicz said, mindful that although the fighting has been limited to relatively small regions, it has very much affected people nationwide.

Before the ceasefire, an August report from the United Nations said at least 2,220 people had been killed since mid-April 2014. At least 5,956 had been wounded, the report said, not including the 298 victims of Malaysian Airlines Flight 17, which was shot down over the region in July.

Russia annexed Ukraine's semi-autonomous region of Crimea in March, supported by Crimea's ethnic Russian majority.

Putin said Russia was protecting Crimea. But international opponents called it a land grab and slapped Russia with economic sanctions.

Photographing people in war-torn countries wasn't what Mielnikiewicz had in mind when she first envisioned her career.

She said she started as a "very socially engaged person in general" who aspired to become a painter.

"In a sense, photography can combine those two things," she said. "You can be a socially engaged artist — being a photographer. What interests me in photography is it can be a tool to be able to talk to people — to discover their stories — to tell their stories."

She trained to become a film critic, she said. But eventually Mielnikiewicz knew she wanted to watch dramatic events unfold in real life, instead of on the silver screen.

Her Ukraine photos won Mielnikiewicz a grant from the U.S.-based Aftermath Project, which encourages photographers to tell stories about the aftermath of conflict.

She hopes she'll be able to return to Ukraine this year, to reunite with the people she met and see how their lives have changed.

The ceasefire, Mielnikiewicz said, doesn't seem to be working well. And the fighting? "It doesn't look like there's an end to it."

Nonetheless, she said she's discovered firsthand something that Ukrainians seem to share.

"The strength of Ukraine is really amazing — the determination," she said. "Not just talking about the war, I think they're a very strong people."

Justyna Mielnikiewicz is a photographer based in Tbilisi, Georgia. You can follow her on Instagram.

@highlight

Photographer Justyna Mielnikiewicz documented the political divide along the Dnieper River

@highlight

The Dnieper slices Ukraine into two parts: east and west

@highlight

Her Ukraine photos won a grant from the U.S.-based Aftermath Project