London (CNN) -- The past decade has seen a number of developments on the African continent -- a relative increase in political stability, modest economic growth, and the early signs of a re-emergence of a young and vocal middle class engaging actively in debates about the continent's future. Poverty, war and disease are still heartbreakingly common, but there is a sense of possibility that a few decades ago seemed absent.

It is against this backdrop that 500 people interested in ideas from Africa will gather on December 1 in Blackfriars, London, for the fourth TEDxEuston event to listen to 13 distinguished speakers, including Albie Sachs, "patient capital" investor Jacqueline Novogratz and writer Chimamanda Ngozi Adichie -- all of whom, in different ways are challenging conventional wisdom, through their work on the African continent.

TEDxEuston, an independently organized TED event, aims to reflect the ideas and inspired thinking of a new generation of African leaders committed to engaging and re-engaging in an active and meaningful manner with the continent. What started as a small event in University College London in 2009 has grown to become one of the premier events focusing on Africa in London.

See also: How 'Afropreneurs' will shape Africa's future

My involvement began with a plane crash in Nigeria. In December 2005, a Sosoliso Airlines flight from Abuja crashed as it prepared to land at Port Harcourt Airport. Only two of the 110 passengers aboard survived.

Among those lost were my younger brother's best friend from childhood, Okoloma Maduewesi and his young nephew Chibuzo Kamanu. Sitting in my office in Bristol in England, trying to absorb the news, I was filled with a great anger and sadness which fuelled a polemic article that seemed to erupt through my fingers straight on to the page. The title was "Why are we crying, we are all guilty", and in it I accused all Nigerians of the negligence in our civic duties that had allowed tragedies like this to occur.

The piece seemed to strike a chord with many Nigerians, bringing me praise and invective in equal measure, but one of the positive responses was from Emeka Okafor, a Nigerian living in New York and author of a blog called Timbuktu Chronicles. He asked if he could republish the piece on his blog, I agreed and we kept in touch.

Read related: 'Change is imminent': African CEOs look to bright future

Months later, he sent me a link to a call for African fellowships for a TEDGlobal conference in Arusha Tanzania in 2007. I had never heard of TED, but on googling it, thought that it sounded interesting. I forwarded the call for applications to my networks and a few months later, was informed that I and Chikwe Ihekweazu, my friend and colleague had been selected.

Our 4 days in Arusha were simply life changing -- we laughed and we cried and we were moved and inspired as we listened to African speakers like Ory Okolloh, the Kenyan blogger who had set up Mzalendo to bring the proceedings of the Kenyan Parliament to the people of Kenya for the first time, Ngozi Okonjo Iweala, then Nigeria's first female minister of Finance, who had just started publishing government financial allocations for the first time in Nigerian newspapers and Eleni Gabre Madhin just on the verge of leaving her job with the World Bank in Washington to set up Ethiopia's first commodity exchange.

Patrick Awuah moved us to tears explaining why he had left a comfortable position at Microsoft to set up Ashesi College, Ghana's first liberal arts college.

Listening to them, we were confronted for the first time with so many successful Africans seeking to contribute in small ways to changing the way things were in Africa.

On leaving Arusha, Chikwe and I started our blog, Nigeria Health Watch, and 2 years later, applied for a licence to organize the first TEDxEuston event. From the beginning, we wanted to continue the conversations from Arusha, to recreate that sense of wonder and inspiration that we had felt in Arusha for an audience of Africans and friends of Africa in London.

That first event with 100 people in a small hall at University College, largely organized on the back of our credit cards, has today grown into a greatly prized event, the only TEDx event outside Africa focusing completely on the African continent. Today, it is organized by a team of 16 dedicated African professionals from medicine, IT, literature, law and NGO backgrounds, all volunteering their time to help create an amazing event aimed at inspiring new ideas about Africa.

At last year's event, Arnold Ekpe, then chief executive of Ecobank, one of Africa's largest banks said from the stage "I have been attending conferences on Africa since the 80s and I have never felt the kind of energy that I am feeling in this room now."

For us, that was a vindication of the long hours put in to produce the event. From our interaction with the speakers this year, we expect tears and laughter in equal measure as we all are inspired by the African stories of another 13 amazing speakers.

The opinions expressed in this commentary are solely those of Ike Anya.

@highlight

TEDxEuston aims to reflect the ideas of a "new generation of African leaders"

@highlight

13 speakers will discuss how to engage with Africa

@highlight

Event will shoecase "inspiring African stories," says organizer Ike Anya