London (CNN) -- Three co-authors of the U.N. report into the 2008-09 Gaza war parted ways with a dramatic reconsideration of key conclusions by Richard Goldstone, the team's chairman and fourth author.

Pakistani human rights lawyer Hina Jilani; Christine Chinkin, professor of international law at the London School of Economics; and Desmond Travers, a retired Irish soldier and peacekeeper, said in a Guardian newspaper column in Britain on Thursday that they want "to dispel any impression that subsequent developments have rendered any part of the mission's report unsubstantiated, erroneous or inaccurate."

"There is no justification for any demand or expectation for reconsideration of the report as nothing of substance has appeared that would in any way change the context, findings or conclusions of that report with respect to any of the parties to the Gaza conflict," they said in the British daily.

"The report of the fact-finding mission contains the conclusions made after diligent, independent and objective consideration of the information related to the events within our mandate, and careful assessment of its reliability and credibility. We firmly stand by these conclusions."

The report, issued in September 2009, is officially called the "United Nations Fact Finding Mission on the Gaza Conflict," but it is popularly named the "Goldstone Report" after the former South African jurist.

The report found both Israel and Hamas likely committed war crimes and possible crimes against humanity during the conflict between December 27, 2008, and January 18, 2009. Israel launched the offensive against Gaza militants in response to ongoing firing of rockets against southern Israeli towns.

However, in a Washington Post op-ed column posted on the newspaper's website, Goldstone said he would have reached different conclusions if the Israeli military had been more forthcoming and if he had known the results of subsequent investigations.

"If I had known then what I know now, the Goldstone Report would have been a different document," wrote Goldstone.

Goldstone wrote that Israeli investigations found cases involving individual soldiers, but the intentional targeting of civilians was not a "matter of policy."

The U.N. Human Rights Council, which assigned Goldstone and others to the fact-finding mission, approved the controversial report, which focused more on alleged war crimes by Israel.

Israel later provided the United Nations with a report justifying its actions. Israel said it faced "asymmetric conflicts" and blamed "militants operating from within and behind civilian areas" for placing civilians at risk.

In his column, Goldstone cites a subsequent report by a U.N. committee of independent experts, which found Israel investigated more than 400 allegations of misconduct while Hamas has "not conducted any investigations into the launching of rocket and mortar attacks against Israel."

"That the crimes allegedly committed by Hamas were intentional goes without saying -- its rockets were purposefully and indiscriminately aimed at civilian targets," Goldstone wrote.

Goldstone said Israel should have conducted proceedings in a public forum and been more cooperative during his panel's investigation.

"Israel's lack of cooperation with our investigation meant that we were not able to corroborate how many Gazans killed were civilians and how many were combatants," Goldstone wrote in the Washington Post article.

But the three co-authors in the Guardian assert Israel and Hamas "have yet to establish a convincing basis for any claims that contradict the findings of the mission's report."

They argue that the follow-up U.N. report, written by a committee led by Judge Mary McGowan Davies criticized Israel, expressing "serious concerns about the late start and slow pace of the proceedings, their insufficient transparency and the participation of victims and witnesses."

"In addition, with regard to the issue of the policies guiding Operation Cast Lead, the committee states that there is 'no indication that Israel has opened investigations into the actions of those who designed, planned, ordered and oversaw Operation Cast Lead.' In other words, one of the most serious allegations about the conduct of Israel's military operations remains completely unaddressed," the three wrote, referring to the name of the Israeli offensive.

Echoing a report by the follow-up committee, the three say they regret that "no domestic investigations at all have been started into any of the allegations of international crimes committed by members of Palestinian armed groups in Gaza which have fired thousands of rockets into southern Israel."

The Israeli government and others have called for the United Nations to retract the Goldstone report, but the three reject those stances as well as what they say have been "personal attacks and the extraordinary pressure" on the members of the fact-finding mission.

"Had we given in to pressures from any quarter to sanitize our conclusions, we would be doing a serious injustice to the hundreds of innocent civilians killed during the Gaza conflict, the thousands injured, and the hundreds of thousands whose lives continue to be deeply affected by the conflict and the blockade," the three said.

Yigal Palmor, Israel's Foreign Ministry spokesman, on Thursday reiterated Israel's negative position on the Goldstone report, citing flaws and biases in the document. He defended Israeli investigations into the report and endorsements by international authorities that the country sincerely worked to seek justice.

A Palestinian Authority government spokesman welcomed the column and said it is "very disturbing that members of the committee say they have been put under pressure to sanitize their conclusions."

"Israel must not be allowed to influence the outcome of what needs to be an objective process. Nor must Israel be allowed to investigate its own actions and find itself not guilty," Ghassan Khatib said.

CNN's Paul Colsey and Kareem Khadder contributed to this report

@highlight

Three Goldstone report co-authors stand by mission

@highlight

Goldstone recently questioned the conclusions

@highlight

Both sides criticize Israel, Hamas for lack of investigations