London (CNN) -- A newly discovered painting by Renaissance master Leonardo da Vinci has sent shock waves through the art world, prompting speculation that more of his paintings could be as yet undiscovered.

The "Salvator Mundi" was, for years, thought to be a painting by one of da Vinci's pupils or associates. But after a lengthy period of study and conservation, it has been authenticated as a da Vinci.

The painting was sold in 1958 for Â£45 -- about $125 in today's currency -- by descendants of British collector Sir Frederick Cook, who bought the painting in 1900. Today, the painting is estimated to be worth $200 million, according to some scholars.

Though the conservator who helped to reveal the painting's true identity called it "the rarest thing imaginable," speculation is rife that there are other Leonardo da Vinci paintings still at large, possibly lying unknown in private collections.

There are currently some 15 authenticated Leonardo da Vinci paintings in the world. But they are difficult to attribute, because da Vinci often left his works unfinished and some are thought to have been worked on by other artists in his workshops.

Martin Kemp, Emeritus Research Professor in the History of Art at Oxford University and a leading expert on Leonardo da Vinci, gives the careful estimate that there are probably no more than 20 paintings by the master in the world, which suggests there could be five more to be discovered.

Dianne Dwyer Modestini, who conserved and restored "Salvator Mundi" said: "It's very mysterious, the things that happen to pictures.

"Somehow ("Salvator Mundi") leaked out of the Royal Collection, was put on the market in the late 18th century and disappeared until 1900," she said.

The painting sustained several over-paint jobs over the years that obscured its true identity.

"People forget or they begin to doubt the opinion of the person who originally said it was by Leonardo, particularly if it's been badly repaired ... It happens to pictures all the time," she said.

The last painting by Leonardo da Vinci to be discovered was the "Benois Madonna" in 1909.

Other major finds in the last 100 years include the discovery of two bound manuscripts by da Vinci in a public library in Madrid in the 1960s.

And more recently, a chalk drawing called "The Beautiful Princess," was discovered.

It first appeared at Christie's auction house in New York in 1998 and was initially thought to be a 19th-century German imitation of a Renaissance painting.

Art historian and Professor Emerita of the Florence University Mina Gregori was one of a number of scholars who authenticated the drawing as a da Vinci, though its provenance remains contested.

"I think that there are works that we do not know," said Gregori and that "there are always surprises up to a certain point."

And given that two Leonardo da Vinci works have been discovered in the space of five years, she is confident there may be more.

Works that could be out there include a wooden shield with the face of Medusa painted on it, mentioned in 16th-century art historian Giorgio Vasari's biography of da Vinci; the clay molds of a statue of a horse da Vinci was working on when he was living in Milan; and a mural called "The Battle of Anghiari," which a forensic expert named Maurizio Seracini believes is hidden behind a Vasari fresco in Florence's Palazzo Vecchio.

When it comes to paintings and drawings, Gregori believes that a strong market is an important factor in locating them.

"They were special years in the antiquaries (world), when many people were selling art from their homes," Gregori said, referring to the period when the "Beautiful Princess" and "Salvator Mundi" were sold.

"Now, fewer people buy and so fewer people sell, so in these times you find less," she continued.

But that won't stop people believing there are lost works out there.

"I hope always that we will find new things," said Gregori.

@highlight

Recent disocvery of lost Leonardo da Vinci painting prompts speculation

@highlight

True identity of "Salvator Mundi" lay dormant for years until research confirmed it was a Leonardo

@highlight

Scholars believe there may be up to 20 paintings in the world, and possibly more drawings

@highlight

Once authenticated, paintings leap in value by millions of dollars