Athens, Greece (CNN) -- Economist Lucas Papademos was formally sworn in Friday as the head of Greece's new unity government, as the nation seeks to regain political and financial stability after weeks of uncertainty.

Papademos, a former banker and European Central Bank vice president, becomes the country's interim prime minister after several days of political wrangling.

His ministers were also sworn in at a ceremony attended by the president and the head of the Greek Orthodox Church.

Finance Minister Evangelos Venizelos has retained his post in the new government, the prime minister's office said.

Stavros Dimas, a former EU environment commissioner, is the new foreign minister. He belongs to the New Democracy party, the main opposition to the previous government.

Greece's new defense minister, Dimitris Avramopoulos, is also a New Democracy lawmaker.

The newly sworn-in Cabinet was scheduled to head next to the Greek Parliament and later hold its first meeting.

A vote of confidence in the new government is expected after debate in Parliament on Monday. Then the coalition will face the challenge of implementing a bailout package and austerity measures agreed to with European leaders last month.

The new administration must act quickly to ensure release of the next tranche of money from a 2010 deal. Those funds are essential to ensure that Greece does not default on its debts in the next few weeks.

It is hoped that the national unity government will restore political stability in Greece after several weeks of turmoil that have unnerved global financial markets.

European markets were up slightly as of lunchtime Friday. U.S. markets also opened higher, calmed by signs of action in Greece and Italy to curb their respective debt crises. Italy's Senate approved austerity measures demanded by Europe Friday which will be sent to the lower house at the weekend.

Papademos has said that ratifying the bailout deal and bringing in the austerity measures will be the priority for his government.

He also restated Greece's commitment to the euro, saying its membership of the eurozone, the 17 nations that use the euro as currency, was a guarantee of financial stability.

Papademos, who helped usher Greece into the euro in 2001, replaces outgoing Prime Minister George Papandreou, who resigned over his handling of the crisis.

Fresh elections are likely in February.

Vassilis Monastiriotis, a senior lecturer for the Hellenic Observatory at the London School of Economics, said Papademos has the advantage of a well defined assignment -- ratifying the October 26 bailout agreement and passing the legislation to implement it.

But he faces a challenge in forming a unity government, especially given the reluctance of the main opposition party to be involved and the divisions within Papandreou's socialist PASOK party, Monastiriotis said.

Papademos is well versed in Greece's financial and political systems and is well respected by economists, Greece's politicians and European leaders, Monastiriotis added.

It remains to be seen how the Greek people will respond to Papademos' actions in office, he said, but the general response Thursday was one of relief at the appointment of a man seen as the "best solution" available.

There have been no large demonstrations of public anger in Greece over the past 10 days since the political crisis was sparked by Papandreou's call for a referendum on the European bailout deal, he added. Before that, tens of thousands of angry demonstrators had rallied in the capital, Athens.

"The public has been quite muted, they don't know how to react," he said. While they don't like the austerity measures attached to the bailout any more than they did two weeks ago, he said, they also do not want discussion of Greece leaving the euro zone.

Speaking after his appointment was confirmed, Papademos said the government's formation would allow Greece to "face the problems in the near future in the best possible way."

The country is "at a critical crossroads," the 64-year-old said, and the choices it makes and policies it implements "will have a crucial importance for the welfare of the Greek people."

Papademos said Greece's course would not be easy, but that the country's problems would be solved -- and that would happen "sooner, at a lower cost and in a more efficient way, if there is unity, consensus and reasonableness."

He said he had accepted the president's mandate to form a unity government because he felt everyone should contribute to the country's recovery. "The task is big, and the responsibility I assume is even bigger," he said.

Papademos, an economics professor at Harvard University, was the governor of the Bank of Greece when the country adopted the euro in 2001.

He has advised Papandreou on economic matters for the past two years, the Athens News Agency reported.

A native of Athens, Papademos studied at the Massachusetts Institute of Technology in the 1970s, earning undergraduate and graduate degrees before receiving a doctorate in economics, the news agency said. He has taught economics at Columbia University and the University of Athens.

The drama in Greece had shaken international markets because investors were afraid the new bailout deal -- which has stringent austerity measures attached -- might not be implemented.

CNN's Elinda Labropoulou and Andrew Carey contributed to this report.

@highlight

Lucas Papademos is formally sworn in as the head of a unity government

@highlight

Finance Minister Venizelos keeps his role; Stavros Dimas is new foreign minister

@highlight

The new government will start work next week after a vote of confidence

@highlight

Greece's political turmoil has shaken global financial markets