Washington (CNN) -- In a move that could shake up the U.S. immigration system, the Department of Homeland Security is going to begin reviewing all 300,000 pending deportation cases in federal immigration courts to determine which individuals meet specific criteria for removal and to focus on "our highest priorities."

DHS Secretary Janet Napolitano said the review will enhance public safety. "Immigration judges will be able to more swiftly adjudicate high priority cases, such as those involving convicted felons," Napolitano wrote Thursday in a letter to assistant majority leader Sen. Dick Durbin, D-Illinois, and 21 other senators including Indiana Republican Richard Lugar.

In April, Durbin and Lugar sent a letter to Napolitano asking her to stop deportations of immigrant students who could earn legal status under the the DREAM Act -- legislation that would give children of illegal immigrants a path to citizenship through military service or college education.

Napolitano said the Obama administration has frequently pointed out "it makes no sense to expend our enforcement resources on low-priority cases, such as individuals... who were brought into this country as young children and know no other home."

Officials say immigration court dockets are clogged, putting public safety in jeopardy, costing money, resources and time. They want to see DHS enforcement resources diverted from illegal immigrants who don't have criminal records to individuals who pose a threat to public safety and national security.

A senior administration official, who requested anonymity because details of the policy change had not yet been announced, told reporters 79% of deportations involve people without a criminal record -- people who have just entered the country illegally or had been previously deported and re-entered.

Napolitano said the new policy change would not negate reforming immigration laws and "will not alleviate the need for passage of the DREAM Act," which would give legal status to illegal immigrant students who attend college or join the military. She added, "President Obama has called the DREAM Act the right thing to do for the young people it would affect, and the right thing to do for the country."

But the Federation for American Immigration Reform (FAIR), which advocates changing policies to decrease the number of immigrants coming to the United States, said in a statement on its website that the action by the Obama administration "amounts to an administrative amnesty and a sweeping overhaul of the nation's immigration policy without approval by Congress."

FAIR President Dan Stein said in the statement, "In essence, the administration has declared that U.S. immigration is now virtually unlimited to anyone willing to try to enter and only those who commit violent felonies after arrival are subject to enforcement."

Under the new process, a DHS and the Department of Justice working group will develop specific criteria to identify low-priority removal cases that should be considered for prosecutorial discretion, including cases with minors, the elderly, pregnant and nursing women, victims of serious crimes, veterans and members of the armed services and individuals with serious disabilities or health problems.

Durbin expressed support for the Obama administration announcement, saying in a written statement that it was "the right decision" specifically as it relates to students.

"These students are the future doctors, lawyers, teachers and maybe, senators, who will make America stronger," Durbin stated. "We need to be doing all we can to keep these talented, dedicated, American students here, not wasting increasingly precious resources sending them away to countries they barely remember."

Durbin's statement added that when reviews of individual cases result in cases being closed, those individuals "will be able to apply for certain immigration benefits, including work authorization."

Durbin's statement did not elaborate on that aspect of the policy change, beyond saying such applications for benefits would be reviewed on a case-by-case basis.

The National Day Laborer Organizing Network, an organization advocating improved rights for day laborers, praised the move. "The administration had earned the President the title of 'Deporter-in-Chief.' We hope the statement today announcing review of the current caseload of victims of indiscriminate enforcement is carried forth," the group said in a news release.

CNN en Espanol's Ione Molinares contributed to this report.

@highlight

NEW: FAIR denounces policy change as "administrative amnesty"

@highlight

Almost 80% of deportations involve people without a criminal record, an official says

@highlight

Low-priority cases will be determined through specific criteria

@highlight

Napolitano says the new policy won't negate the need for reforming immigration laws