Editor's note: Rich Roll, one of Men's Fitness magazine's "25 Fittest Guys in the World" in 2009, was the first athlete to compete in the Ultraman World Championships on an entirely plant-based diet. He's sharing insights today as part of Dr. Sanjay Gupta's "Four Months to Fitness" effort.

Before: At 40 years old, Rich Roll called himself "fat, unhappy and fed up."

(CNN) -- I can still remember it, vivid as yesterday. It was the eve of my 40th birthday, and I walked upstairs to take a shower. And I was winded. I mean very winded. As I was trying to catch my breath, I took off my shirt, looked in the mirror and tried to convince myself that I was still that fit guy I had always thought I was.

Somehow, I had been able to skate by on this delusion for all too many years. But the denial had finally caught up to me. I saw my true reflection, and I couldn't lie to myself anymore. I was in the worst shape of my life. I was fat, unhappy and fed up.

It's the typical story. First it's the career. Then comes marriage, followed by kids. Your time is no longer your own, and you resign yourself to "maturity," "filling out" or whatever euphemism for middle age that soothes that idea that you are simply overweight, unfit and unhealthy.

I'm here to say that it doesn't have to be that way. I don't care how busy you are. I don't care how old you are, how many kids you have or how little time you think you have. The power rests within yourself to enact any change in your life you desire. And I can say this because I have seen it happen in myself and countless others.

After that fateful day of clarity, I made a decision to change my life. Not a vague, wishy-washy notion that I should "get in shape," maybe "eat better" or possibly "go on a diet," but rather a specific long-term plan to enhance my wellness in a way that would not only stick, but fit within the parameters of my busy life as a full-time lawyer, husband and father of four small children.

In my case, it began with a well-researched and supervised seven-day fruit and vegetable juice cleanse (during which time I weaned myself off caffeine), followed by an entirely plant-based nutrition program -- an animal-product-free regimen I have adhered to ever since. The immediate result was a rather surprising and unexpected increase in my energy levels, leading to a very gradual return to exercise, building up slowly over an extended period of time.

The results were hardly overnight. But two years later, I had lost well over 30 pounds. And not only did I keep the weight off, I was the most fit I had ever been in my life.

At 42 years old, I competed in the Ultraman World Championships, a grueling three-day uber-endurance triathlon circumnavigating the Big Island of Hawaii that involves 6.2 miles of swimming, 260 miles of cycling and culminates with a 52.4-mile double marathon run. I placed 11th overall and was the third-fastest American. To top it off, Men's Fitness magazine recently named me one of the "25 Fittest Guys in the World." (Not that I actually believe I deserve such an honor!)

Quite an extreme contrast from that day I looked in the mirror. I'm not advocating that everyone should test himself or herself so severely. But my point is that change starts with a decision followed by baby steps along a new, consistent trajectory that, over time, can lead to dramatic results.

I'm nothing special. I'm not a professional athlete. I'm just a normal family guy. But if I could experience such a vast transformation in my own life, I know with certainty that everybody has within himself the power to enact his own well-balanced transformation.

Change is never easy. And despite what you may see advertised, I'm sorry to say there is no secret diet, mystery pill or overnight miracle that will do it for you. But there is a solution. Here are some helpful tools I employed along the way that can help you get started:

Set a goal: Vague, nonspecific notions of "getting fit," "going to the gym," or "eating better" are all fine, but they are not true "goals" and all too typically devolve, paving the way for relapse to old habits.

Instead, establish something very concrete you would like to achieve on a future date. The more specific, the better. Then create a solid plan with reasonable interim "steppingstone" milestones along the way to achieving the larger goal. Chart your progress, as meeting interim milestones will boost your confidence and invest you more deeply in the ultimate goal.

Create community and accountability: If you go public with your quest, then you are on the hook. A good support network is a key to success. But beware of the negative dream crushers. Be selective, surrounding yourself with people who encourage your success.

Do what you love: When it comes to exercise, it shouldn't be too painful. Ideally, it should be fun. If you absolutely hate running, find something else you enjoy. Otherwise, you set yourself up to fail. And don't be too rigid -- mix it up with a variety of activities you like to keep it interesting and fresh.

Don't diet: Instead, get honest about your habits and embark on implementing healthy, lasting changes in your nutrition. I feel quite strongly that a nutrition program built entirely around plant-based foods and completely devoid of animal products is optimal. Conventional wisdom would say that an athlete cannot perform on plants alone. But I am living proof that this is false, and I have ample research to support this position. Personally, I cannot overemphasize the difference this has made in my own life, a secret weapon for enhanced athletic performance and overall long-term wellness. (In the last two years, I have not gotten sick or even suffered a cold.)

I realize, of course, that not everyone is ready to go 100 percent vegan, but a program built on a strong foundation of fresh organic vegetables, fruits and grains should be the focus. Don't skip meals, but reduce your portions slightly. Read the labels and educate yourself. Avoid saturated fats, processed foods and soft drinks, all of which are entirely devoid of nutritional value. Eating whole fresh foods high in nutritional content will also stave off those unhealthy urges to binge.

One day at a time: Large goals can seem insurmountable. The idea that you can never eat a cupcake or sleep in again is daunting at best. Instead, just focus on what is happening today, even if it's hour to hour, and don't worry about tomorrow.

"Today, I'm not going to eat that cupcake. Maybe I'll eat it tomorrow, just not today." And if you miss a beat, don't flog yourself; it only leads to discouragement and quitting altogether. The important thing is to make sure you get right back on it the next day -- don't let another day go by.

Prioritize: Take an honest look at your average week, identify your inefficient uses of time and eliminate the things that don't serve your goals. No matter how busy you are, if you are truly honest about this inquiry, I guarantee you can make some cuts and carve out some time. Remember: Nothing changes if nothing changes.

Be consistent: It's not about how much you do in a given workout or how hard it is. Ten minutes of core exercises four to five times per week is far better than one long run a week. Establishing a consistent rhythm of repetition is key, and another reason that your choice of exercise should be something you truly enjoy.

Let's join together to shift the world's perspective on long-term health and wellness. No matter how old, overweight or out of shape you are, you have the power to make a decision, set a goal and create a plan. Positive change is always within your grasp, and today still remains the first day of the rest of your life. Make it count!

The opinions expressed in this article are solely those of Rich Roll.

@highlight

Rich Roll: Approaching 40, "I was in the worst shape of my life"

@highlight

Two years later, he was the most fit he'd ever been

@highlight

This year, Men's Fitness named Roll one of the "25 Fittest Guys in the World"

@highlight

To become fit, set a specific goal, be consistent and take it one day at a time, he says