(CNN) -- The acquittal and mistrial in John Edwards' campaign finance fraud trial completes a fall from grace that transformed the man who might have been president into one of the most vilified and lampooned political figures in the country.

Opinion: Edwards jury got it exactly right

The boyish-looking, smooth-talking lawyer and self-described "son of a millworker" was once known for rallying supporters with a populist mantra describing two Americas -- the haves and have-nots.

Now he is best known for fathering a child in an extramarital affair while his wife Elizabeth battled incurable cancer and, according to prosecutors, scheming to use wealthy donors' money to help him cover up his affair and hide his mistress from the public.

WTVD: Juror had no intention of flirting with Edwards

It was all so different five years ago, when Edwards could be heard preaching his populist prose to Iowa voters who eagerly packed into lumber barns, Veterans of Foreign Wars halls and restaurants across the state.

He had every reason to believe he could be president. He felt the country would let Hillary Clinton and Barack Obama, both senators at the time with presidential ambitions of their own, destroy each other with negative campaigning.

John Edwards: Once a cheater, always a cheater?

And if the country wasn't ready to elect a black man or a woman president, he would rise as the more experienced and safe nominee.

To many voters, Edwards was a fitting candidate to live in the White House and serve as president.

Instead, Edwards appeared in front of TV cameras Thursday and took responsibility for "my sins" after his federal corruption case ended in an acquittal and mistrial.

Prosecutors had accused Edwards of using almost $1 million in illegal campaign contributions to keep his pregnant mistress under wraps. But after more than 50 hours of deliberations, jurors cleared him of one of six counts and deadlocked on the rest.

Why politicians lie

Edwards, who turns 59 on June 10, argued that while his actions were wrong, they were not illegal.

Emerging from the courthouse with his parents and daughter at his side, he said that while he never believed he committed a crime, "I did an awful, awful lot that was wrong, and there is no one else responsible for my sins."

Now a widower, he is the sole caregiver to his two youngest children by his late wife -- Emma Claire, 13, and Jack, 11. The couple also raised two older children. Their son, Wade, died at age 16 in a 1996 road accident.

Daughter Cate Edwards Upham attended every day of her father's four-week trial, sitting behind Edwards and next to her grandparents.

Edwards charges: The rundown

Edwards also provides financial support for his daughter with Rielle Hunter, his mistress from the campaign trail during his unsuccessful bid for the Democratic presidential nomination in the 2008 election.

A product of a working class family from South Carolina, Edwards got a law degree from the University of North Carolina at Chapel Hill in 1977. He became a successful trial lawyer representing claimants against large corporations and insurance companies.

He won his first, and only major, political race in 1998, unseating a Republican incumbent to become a U.S. senator from North Carolina.

As a senator, Edwards reportedly made it onto a list of potential running mates for Al Gore in the 2000 presidential election. He didn't make the ticket that time.

But before his first term ended, he was running for president and ended up as Sen. John Kerry's running mate in 2004. Kerry lost to incumbent President George W. Bush.

Once running mates, Kerry and Edwards quickly severed their friendship after what was a disappointing election for Edwards. He quickly set his sights on Iowa, gearing up for another presidential bid in 2008.

Edwards met Hunter in early 2006 at a bar at the Regency Hotel in New York City. Hunter approached Edwards, not believing it was him. Later that evening, Edwards and Hunter met again, privately.

Overheard on CNN.com: 'Being a slimy dirtbag doesn't equal being a criminal'

The man who constantly spoke about two Americas began living two lives.

The 40-something Hunter told Edwards that she could help his campaign. Edwards hired her to produce a few videos that would present the politician in a more relaxed manner. The videos were called "webisodes" and were posted to Edwards' campaign site.

However, instead of showing Edwards in a new light, the flirtatious on-camera banter only highlighted just how close Edwards and Hunter had become.

Staffers began to suspect that Hunter had become more than a videographer to Edwards. That thought was fueled by Edwards' directive that Hunter be allowed to travel with him whenever either of them insisted.

Josh Brumberger was Edwards' chief of staff during the time Hunter traveled with the campaign. On several occasions, he talked to Edwards about Hunter's involvement with the campaign.

One heated altercation ended with Edwards firing Brumberger, and by the fall of 2006, several longtime senior aides left the campaign amid Edwards' refusal to end his relationship with Hunter, as detailed in "Game Change," the book about the 2008 election.

On December 28, 2006, Edwards launched his presidential campaign in New Orleans against the backdrop of a city trying to rebuild and revive itself. He vowed to strengthen the middle class, progressively end poverty and tackle the longstanding Democratic health care platform.

But just as the campaign got off the ground, it hit turbulence. In March 2007, Elizabeth Edwards announced she had breast cancer for the second time, and it was incurable.

Still, they decided to continue with the campaign. And in the weeks after the devastating discovery, internal campaign polling showed Edwards surging ahead of rivals Clinton and Obama in Iowa.

Meanwhile, Hunter had become pregnant. And to complicate things, Edwards was swimming in a pool of bad press -- he had received $400 haircuts and had made a six-figure salary working for a hedge fund that was linked to subprime lending and foreclosed homes.

Enter Rachel "Bunny" Mellon. The wealthy banking heiress and widow who was once a close friend of Jacqueline Kennedy had been a supporter of Edwards since the 2004 election.

After already contributing to Edwards the maximum allowed by law, Mellon provided additional money. According to court documents, between June 2007 and January 2008, Mellon allegedly wrote personal checks payable to a friend, hiding that she was giving money to Edwards.

The checks were made out to the wife of Edwards aide Andrew Young, in her maiden name, and were deposited into accounts controlled by her and Young. As Edwards and Young planned, Young allegedly used the money to provide Hunter with rent, furniture, care, living expenses, medical visits and prenatal care.

In total, the now 101-year-old Mellon gave Edwards seven checks ranging from $10,000 to $200,000.

On October 10, 2007, the National Enquirer ran its first story saying Edwards was having an affair.

The next day while campaigning in Summerton, South Carolina, Edwards denied the report, calling it "tabloid trash."

With tabloid reporters and photographers chasing Hunter and publishing photos of her pregnant, a second wealthy donor came forward. Fred Baron, a wealthy Texas lawyer who is now deceased, was the national finance chair of the campaign.

Court documents show that from December 2007 to January 2008, Baron allegedly wrote nine checks ranging from $9,000 to $58,000. The money was used for Young to hide a pregnant Hunter from the media, as he falsely claimed paternity for her child. Baron's money was used to charter a private jet for trips to Fort Lauderdale, Florida; Aspen, Colorado; San Diego and Santa Barbara, California.

Things weren't faring better for Edwards on the campaign trail. He placed second in the Iowa caucuses, and following disappointing losses in New Hampshire and South Carolina, he ended his campaign for president on January 30, 2008.

Amid rumors in Democratic circles that he was secretly trying to broker a deal for vice president or attorney general in a Clinton or Obama administration, reporters remained persistent and continued to ask Edwards if he was having an affair.

In February 2008, Hunter's and Edwards' child was born.

Six months later, after repeated denials, Edwards admitted he had an affair with Hunter in an August 8 interview with ABC. When asked in the interview if he was the father of Hunter's child, he responded, "That is absolutely not true."

While his name was not on the birth certificate, Edwards would eventually claim paternity and apologize for denying the baby was his child.

In February 2009, the U.S. Department of Justice acknowledged they had opened an investigation on Edwards regarding campaign finances.

By this point, his more than 30-year marriage was falling apart. John and Elizabeth separated and lived apart until Elizabeth Edwards succumbed to breast cancer weeks before Christmas in 2010, with Edwards and their oldest daughter, Cate, at her bedside.

For Edwards, life got worse. After testimony from a cast of former staffers, including Hunter and Young -- the latter having published a scandalous tell-all book -- a grand jury indicted Edwards on June 3, 2011.

Edwards refused a plea bargain that would have given him a few months in prison but would have allowed him to keep his law license.

@highlight

Once a Democratic star, John Edwards fell from grace after an affair

@highlight

His trial on campaign finance charges wrapped up Thursday

@highlight

Edwards' affair with a campaign videographer ended his political career

@highlight

The former vice presidential candidate once had his eyes on the White House