For many millions of years, the oceans have been filled with the sounds of a geologically and biologically active planet: waves, rain, earthquakes and the songs of life from snapping shrimp to great whales.  Before the age of engine-driven ships, the resounding voices of the great whales could be heard across an ocean.

Today, in much of the Northern Hemisphere, commercial shipping clouds the marine acoustic environment with fog banks of noise, and the near continuous pounding of seismic airguns in search of fossil fuels beneath the seafloor thunder throughout the waters. In the ocean's very quietest moments, blue whales singing off the Grand Banks of Canada can sometimes be heard more than 1,500 miles away off the coast of Puerto Rico. But on most days, that distance is a mere 50 to 100 miles.

So why should we care?

Over the past decade, scientists who study noise in the ocean have tried to understand how loud, man-made sounds disturb or injure whales and other marine mammals, even driving some to strand on beaches and die.

It is time for us to focus on the more pernicious influence of chronic, large-scale noise on marine life.

Whales, dolphins and seals use sounds to communicate, navigate, find food and detect predators. The rising level of cumulative noise from energy exploration, offshore development and commercial shipping is a constant disruption on their social networks. For life in today's ocean, the basic activities that we depend on for our lives on land are being eroded by the increasing amount of human noise beneath the waves.

These stark realities are worrying. But emerging technologies for quantifying and visualizing the effects of noise pollution can help drive a paradigm shift in how we perceive, monitor, manage and mitigate human sounds in the ocean.  Ocean noise is a global problem, but the U.S. should step up and lead the way.

First, we must extend fledgling efforts to fully comprehend the acoustic footprint of our offshore and coastal activities. As a nation, we are failing the oceans by lacking a sufficiently effective program for listening to them.

The U.S. should develop and maintain dedicated undersea acoustic monitoring networks as integral parts of ocean observing systems.  This would be lead by the National Oceanic and Atmospheric Administration (NOAA) and enabled through private and academic partnerships.  Such a plan has been developed; now it should be implemented.

Second, we should encourage and accelerate the development of noise-reduction technologies.  Thanks to proactive collaborations among industries, scientists, environmentalists and government officials, efforts are underway within the U.N.'s International Maritime Organization to develop quieting technologies for the most pervasive global noise source: large commercial ships.  These and related technologies for reducing noise in oil exploration and marine construction should be standardized.

Finally, federal regulation on ocean noise must be changed.  For decades, regulators have focused entirely on the short-term effects of one action at a time.  A more holistic and biologically relevant risk assessment system, centered on the concepts of ocean acoustic habitats and ecosystems, is sorely needed.  Emerging trends in marine spatial planning are encouraging signs, as is NOAA's support of two groups that are developing geospatial tools for mapping underwater noise and marine mammal distributions in U.S. waters.

The loss of acoustic habitats for marine species that rely on sound to live and prosper is increasing. Solutions are available.  The question is whether we humans value and will invest in a healthy ocean ecosystem that supports life, and in doing so, sustain our own health and future.

Join CNN Opinion on Facebook and follow updates on Twitter

@highlight

Commercial shipping, other man-made sounds cause injury or death to marine life

@highlight

Whales, dolphins and seals use sounds to communicate, find food and detect predators

@highlight

Christopher W. Clark, Brandon Southall: U.S. needs to combat the problem of ocean noise

@highlight

They say having a healthy ocean ecosystem will help humans sustain our own future