LONDON, England -- (CNN) -- Ross Lovegrove is a world-famous industrial designer renowned for combining cutting edge, organic and sustainable designs with the newest manufacturing technologies.

Lovegrove (left) and Craffonara with a prototype of the designer's "alpine capsule," which is transparent on the inside and has a mirror on the outside.

For his latest project, Lovegrove has teamed up with restaurateur and club owner Moritz Craffonara, who dreams of having a "bed under the stars," nestled on the peaks of the Dolomite mountains.

Reflecting Craffonara's passion for nature and art, Lovegrove has designed an "alpine capsule" which will rest atop Craffonara's private mountain.

CNN joined Lovegrove and Craffonara in Italy, to explore the ideas behind the design for the unique concept of creating a "bed under the stars."

CNN: How did this project come about?

Ross Lovegrove: Moritz commissioned me to create the alpine capsule. He is a bit of a legend in this area. This whole mountain top where I am sitting is owned by Moritz.

At the age of 22, he started bringing all the wood up the mountain on his own back. He is now in his early 60s and he looks younger than me, he is somebody who is a great example of what fresh air can really do for you.

He has been running his lodge for all those years and now that he has some money available and he has decided to invest in something that could be a complete stimulus for a new way of thinking on the planet. Moritz leads the perfect life. He often gets in his little plane and flies to Venice for a coffee in St Mark's Square. That's a very good life style.

CNN: What is the Alpine Capsule and how it will work?

RL: The Alpine Capsule is a very typical idea about the way we might be able to live off grid. It's the idea that you can have an autonomous environment which can provide all the comforts you need, all the warmth and all the water you need, but absolutely off grid.  Watch Lovegrove explain the concept »

It is a habitation that is completely transparent from the inside so you can see nature around you and the stars. From the outside, the capsule is a mirror that reflects the surrounding nature. It is meant to provide the experience of being warm and cozy and at the same time being one with the vast universe.

It would be quite remarkable if at 4 o'clock in the morning you can leave this pod, it can open like a private jet, and you could walk about on the snow privately and see the stars.

What do you think of the Alpine capsule?

CNN: Where did your inspiration for the design come from?

RL: I tried to bring the kind of autonomous habitation systems that exist on a space craft and bring them back to earth. The shape of the capsule looks like a space object, that's why I called it the Alpine Capsule. But it's not as synthetic as you would think. My capsule is the most adaptive statement to date. You can put it anywhere because it is fundamentally an alien.

CNN: Do you think the capsule's aesthetic will fit into its environment?

RL: It is indeed an alien mirror-like feature. But it actually is not an invasive thing, its something that we have gotten used to, like seeing an aircraft in the sky. The capsule looks like a mercurial drop.

Also, I think the traditional buildings in the Alps, built from wood, are very beautiful. They work in total harmony with their environment and I'm not looking to interfere with that at all. It's worse for me to look to design a hybrid type of structure that's trying to tastefully fit in. It would be worse for me to cover my building in wooden shingles. Ironically that would be more visible than what I am proposing.

What I think is extraordinary, and this is my dream, is the idea that instead of creating a log cabin or a stone cabin, you produce a spaceship that has been dropped into that environment.

So if you come back to something like the alpine capsule, in this simplicity and you lie on this irregular shaped bed, you don't have any references back to the life that you know. Maybe you can play incredible classical music or something that is going to stimulate your senses and you marvel at this 360 degree view around you. I could not think of a better way of getting up in the morning. My dream would be that Maurice gets inundated by people who want to experience this construction, when it is built in two years' time.

CNN: What does the capsule represent?

RL: For me the capsule is a metaphor of the future, because it's not only about the pollution and over-population of cities, it's about experiencing the planet.

I live in London and I absolutely gasp for good air and here at the top of a mountain it feels perfect; the air feels perfect for my body temperature, the light in my eyes means that I can see things better than I can normally see things.

The work that I do with nature is to heighten one's perceptions and to heighten one's senses. We have been increasingly detached from nature I think that we need to relocate.

CNN: What attracted you to this project?

Being a designer today at any level is a dream job; you have an opportunity to bring something into this world that has never been seen before. If you do that in the right way you can completely transform people's energy levels. People seem to transform into children when you show them incredible ideas like this. You don't need to be able to speak a language with design, the design itself can unite cultures, it can unite global ambitions.

Our human life span is sort of out of sync with nature's life span. In terms of the creative benefits for me as a designer, I'm interested in the concept of being a visionary. I think you have to try and visualize the future and push it forward.

We need to understand what we learn in the future, I have always said that design is an educational process and as a designer I make sure I learn from a project and increase my knowledge base.

@highlight

Famous designer Ross Lovegrove talks about creating the 'alpine capsule'

@highlight

The capsule will be transparent from the inside to enable 360 degree view of the Alps

@highlight

The idea originated with restaurateur's dream of having a "bed under the stars"