(CNN) -- Few countries in Asia have suffered as much turmoil and internecine warfare in recent decades as Cambodia.

The "secret bombing" campaign in the early 1970s, orchestrated by the soon-to-be-impeached President Richard Nixon and his secretary of state, Henry Kissinger, the most contentious of Nobel Peace Prize winners, pushed many moderates towards the Khmer Rouge, who stormed into Phnom Penh in April 1975 to declare victory and begin a reign of tyranny that some historians have called the most radical experiment in communism ever conducted.

With an agenda of half-baked Maoism and class warfare that included emptying cities, banning money, and executing intellectuals -- or anyone wearing glasses -- the Khmer Rouge tried to create an agrarian utopia.

Instead, they wound up masterminding a genocide that left an estimated 1.7 million Khmers dead.

That legacy is on grim display in Phnom Penh's most popular dark tourism sites of the secret prison at Tuol Sleng and the Killing Fields.

Textbook tortures

Known by the code name S-21, the former high school of Tuol Sleng became the Khmer Rouge's secret prison and the most potent symbol of its brutality.

Over the course of four years as many as 20,000 prisoners passed through here, including four Frenchmen, one Brit and two Americans.

INTERACTIVE: Five faces of Cambodia's Khmer Rouge

Only seven survived.

Upon arriving at the prison, each inmate was photographed.

These black and white portraits hang in the second of four buildings. They are the most haunting part of this memorial site.

Some inmates are wide-eyed with fright. Others appear resigned to their fate.

Some are mere children. Others are women with babies.

All of them put a human face on what was an inhuman regime hell-bent on extinguishing every last spark of individuality and family loyalty from its citizenry, for the Khmer Rouge referred to itself only as "Angkar" (the Organization).

Its leader was a paranoid megalomaniac whom, as Philip Short recounted in his comprehensive biography, "Pol Pot: The History of a Nightmare," believed in preserving secrecy at all costs, to the point where his handwriting has never yet been identified.

An ongoing struggle for justice after Khmer Rouge

Building A has been preserved exactly as the Vietnamese invaders, weary of Khmer Rouge attacks, found it in early 1979, right down to the bloodstains on the floor and the implements of torture left on the bed frames scabbed with rust.

In another building, paintings by Vann Nath, one of the seven survivors, illustrate in living colors how the prison's torturers went about their deathly business, extracting the most trumped up confessions through the most barbaric of means.

Far from being a museum piece, the tragedy of Tuol Sleng continues to play out in the last act of a UN-backed genocide trial.

The prison's former chief, Comrade Duch, the alias of Kain Guek Eav, has already been sentenced to life in prison for war crimes, while two other members of the Khmer Rouge top brass, Nuon Chea and Khieu Samphan wait in the wings for their trials to begin.

Burial grounds

The first time I visited the Killing Fields outside Phnom Penh in 2003, I was transfixed by a tree with a sign that read in Khmer and English: "Chankiri tree against which executioners beat children."

That was done to save bullets.

My driver pointed at nails sticking out of the tree -- they had been used to drive home the regime's barbarity and speed up the executions.

Just then, a little girl appeared beside the tree, her face peeking over an urn stacked with bones that went up to her neck.

She looked like a ghost, but in fact was one of the child beggars in the area.

The tree still stands, but the urchins have been evicted.

When local authorities renovated the Killing Fields in 2011, this series of mass graves, where the Khmer Rouge executed and buried the prisoners trucked in from Tuol Sleng, they turned it into a site that documents, with painstaking accuracy, the ultra-Maoists' atrocities.

Complete with a pagoda of skulls for an epicenter-piece, these burial grounds have a concussive impact on visitors.

Thanks to the refurbishments, you can listen to the strident battle hymns of the Khmer Rouge once blasted from speakers to drown out the cries of the condemned men and women being beaten to death with the axles of oxcarts, or having their throats slit with the serrated edges of a palm frond.

To really come to grips with Cambodia's dark past and understand why 70% of its populace are under 30, these two memorial sites stand as tombstones to those times of turmoil and the Khmers' courageous resilience in the face of peril.

READ MORE: 35 years on, top Khmer Rouge leaders face justice in Cambodia

Jim Algie has worked as a writer and editor in Bangkok since 1992. His books include the acclaimed non-fiction collection, "Bizarre Thailand: Tales of Crime, Sex and Black Magic" and a collection of short fiction, "The Phantom Lover and Other Thrilling Tales of Thailand."

@highlight

Cambodia doesn't hide from its brutal past, with evidence of Pol Pot's regime on show at Tuol Sleng and the Killing Fields

@highlight

Khmer Rouge attempt to create an agrarian utopia left an estimated 1.7 million people dead

@highlight

Tuol Sleng's former chief, Comrade Duch, already sentenced to life in prison, other senior Khmer Rouge officials await trials