After eluding capture for more than a dozen years, the legendary boss of one of the world's most powerful and deadly drug trafficking operations was nabbed in a surprise raid on a seaside hotel-condominium tower in a bustling Mexican beach resort, authorities said.

Joaquin "El Chapo" Guzman, who infamously escaped in 2001 from a high-security prison in a laundry cart, was arrested early Saturday in Mazatlan without a single shot being fired, authorities said.

A U.S. law enforcement official told CNN that Guzman, accompanied by a female, was captured in a joint operation of Mexican marines and U.S. Drug Enforcement Administration agents that was in the works for four or five weeks.

The pressure on Guzman's organization, the Sinaloa cartel, had been mounting for months, with Mexican authorities killing or capturing several of its most brutal lieutenants, a U.S. law enforcement official said.

The 'El Chapo' myth: Robin Hood or just hood?

Those operations yielded information, including cell phone and other data, that helped Mexican authorities and U.S. drug enforcement agents track Guzman down.

At a Mexico City news conference, Attorney General Jesus Murillo Karam said authorities came close to capturing Guzman, believed to be in his mid-50s, earlier this month.

Guzman apparently moved around several homes in Culiacan, Sinaloa, connected by an elaborate network of tunnels also linked to the city's sewer system, Murillo Karam said. The entrances to the seven homes were reinforced with steel, he said, which enabled Guzman to escape via tunnel before marines could break down the doors.

On other occasions, authorities decided against attempting to apprehend Guzman in public places.

Murillo Karam said forensic experts had "100%" confirmation of Guzman's identity. Authorities also seized a weapons cache that included 97 large guns, 36 handguns, two grenade launchers and a rocket launcher.

Mexican government footage showed a handcuffed Guzman, with a dark mustache, being escorted by masked marines in Mexico City.

A U.S. Homeland Security official said key intelligence in the capture came from an Immigration and Customs Enforcement investigation.

John Torres, a former ranking ICE official, told CNN that information leading to Guzman's capture actually started to develop about five years ago after the Arizona arrests of several people connected to the drug cartel. ICE and Homeland Security were the lead agencies in that investigation.

The drug war: What you need to know

Mexican President Enrique Peña Nieto, via Twitter, recognized the work of Mexican security forces in the historic arrest.

Phil Jordan, who spent three decades with the DEA and headed the agency's El Paso Intelligence Center, said the arrest represents a huge blow to the Sinaloa cartel.

"It is a significant arrest, provided he gets extradited immediately to the United States," Jordan told CNN. "If he does not get extradited, then he will be allowed to escape within a period of time.

"When you arrest the most powerful man in the Americas and in Mexico, if you talk to any cartel member, they'll say that he's more powerful than Mexican President Peña Nieto. This would be a significant blow to the overall operations not only in the Americas, but Chapo Guzman had expanded to Europe. He was all over the place. If he is, in fact, incarcerated, until he gets extradited to the United States, it will be business as usual."

In Washington, U.S. Attorney General Eric Holder called the arrest "a landmark achievement, and a victory for the citizens of both Mexico and the United States."

"Guzman was one of the world's most wanted men and the alleged head of a drug-running empire that spans continents," Holder said in a statement.  "The criminal activity Guzman allegedly directed contributed to the death and destruction of millions of lives across the globe through drug addiction, violence, and corruption."

A senior administration official described the arrest as "huge" and said it was "a Mexican-led operation, but one with very strong U.S. government support."

"This has been a long time coming, and hopefully puts a rest to the nonsense that this Mexican government isn't focusing on security and that the U.S. and Mexico aren't working well together," the official told CNN. "They are, and we do."

In Chicago, where the city's crime commission last year named Guzman its Public Enemy No. 1 --  a designation originally crafted for Al Capone -- authorities praised the arrest. Chicago is among the major destinations of the cartel's drug flow.

"The arrest of Chapo Guzman is significant," police Superintendent Garry McCarthy said in a statement. "This is a victory, but we know the tentacles of his cartel still exist and much more work remains to be done. Demand for narcotics will still remain, so we will continue to partner with the DEA as they fight international drug trade, and we will remain focused on our efforts to eliminate the factors that drive violence in our city."

From New York to Chicago, Texas to San Diego, Guzman and his lieutenants are named in indictments for marijuana, cocaine and heroin trafficking, as well as racketeering, money laundering, kidnapping and conspiracy to commit murder.

In Mexico, the diminutive Guzman became a larger-than-life figure as he eluded authorities while expanding a drug empire that spanned the world. His life story became the topic of best-selling books and the subject of adoring songs known as narcocorridos.

In the United States, he is wanted on multiple federal drug trafficking and organized crime charges.

His nickname, which means "Shorty," matches his 5-foot-6-inch frame.

Guzman escaped from a high-security Mexican prison in 2001, reportedly hiding in a laundry basket. Throughout the years, he avoided being caught because of his enormous power to bribe corrupt local, state and federal Mexican officials.

"When you arrest Chapo Guzman you're arresting the leader of all the cartels," Jordan said. "This guy had a hand in everything, and he owned every politician."

Guzman has been included in Forbes' World's Most Powerful People list since 2009. Forbes estimated his fortune at more than $1 billion.

Guzman is wanted on numerous drug trafficking and organized crime charges in Mexico and the United States, which had offered a $5 million reward for information leading to his arrest and had sought his extradition in the past. His drug enterprise stretches throughout North America and reaches as far away as Europe and Australia.

The Sinaloa cartel has been blamed for its role in the bloody drug war that has plagued Mexico in recent years, leaving tens of thousands of people dead.

Guzman was born in Badiraguato, Sinaloa, at a time when the drug trade was evolving, and began his career in the drug trade working for powerful drug lord Miguel Angel Felix Gallardo, according to a biography by Time. He founded his own cartel in 1980, and quickly established outposts in a number of states, eventually inheriting some of his mentor's territory, according to Time.

Guzman's arrest caught Jordan and other observers by surprise.

"There is no way that I would have bet that they would have ever arrested him under this administration unless he double-crossed somebody or didn't make the full payments on bribes," Jordan said, citing Guzman's alleged ties to the ruling Institutional Revolutionary Party. "Something went wrong."

Daughter of accused drug lord deported

Photos: Inside the drug war

@highlight

Official describes network of tunnels allegedly used by Guzman

@highlight

Joaquin "El Chapo" Guzman is longtime boss of powerful drug trafficking operations

@highlight

Guzman has been included in Forbes' World's Most Powerful People list

@highlight

DEA veteran: "It is a significant arrest provided he gets extradited immediately"