(CNN) -- Regulators are focusing on at least four of Europe's biggest banks as they investigate the attempted manipulation of the region's benchmark interest rate, suspecting that Barclays' traders were the ringleaders of a circle that included Crédit Agricole, HSBC, Deutsche Bank and Société Générale.

Evidence of links between traders at all four banks and Barclays' former euroswaps trader Philippe Moryoussef is under scrutiny, people involved in the process have told the Financial Times.

The news comes in the wake of the clear-out of senior management at Barclays, after the bank paid a £290m fine to settle probes in the US and UK into its involvement in the attempted manipulation of the London interbank offered rate (Libor) and its European equivalent, Euribor.

The furore over the attempts to rig lending benchmarks has led to calls from policy makers around the world for an overhaul of the system that underpins $500tn of contracts globally -- everything from arcane derivatives to standard home loans.

In its settlement with Barclays, the Commodity Futures Trading Commission, the US futures regulator, described an unnamed trader as having "orchestrated an effort to align trading strategies among traders at multiple banks [...] in order to profit from their futures trading positions".

According to several people familiar with the matter that senior Barclays trader was Mr Moryoussef, who worked for Barclays from 2005 until 2007.

His strategy was based on the fixing of three-month swaps pegged to Euribor -- the euro-based interbank lending rate set in Brussels by averaging 44 banks' submissions, regulators have said.

According to an FT investigation, Mr Moryoussef is alleged to have contacted a number of traders whom he knew at other banks, either through previous employment or via professional or personal networks. Regulators are looking at suspected communication with Michael Zrihen at Crédit Agricole, Didier Sander at HSBC and Christian Bittar at Deutsche Bank, all of whom no longer work at the groups in question, according to people familiar with the investigations.

At SocGen the identity of the traders in question remains unclear and the probe appears to be at an earlier stage.

There were at least 20 requests from traders at rival banks to Barclays' Euribor submitters to lower or raise rates between 2006 and 2008, according to findings by the Financial Services Authority in its settlement with Barclays.

It has been clear for some time that about 20 institutions have been drawn into regulators' sights over the affair. But until now, the details of how individual banks could be implicated has remained murky.

There had been a broad assumption that most banks under investigation were suspected of manipulating Libor submissions in the financial crisis period running from 2007-9 to appear healthier than they really were, sometimes allegedly with the implicit nod from policy makers.

However, the alleged involvement of traders at Crédit Agricole, HSBC, Deutsche and SocGen, predates the financial crisis by several years. Barclays' settlement with regulators made it clear that there were two distinct periods of attempted manipulation -- the first for trading gain, the second for broader reasons of financial stability.

Sir Mervyn King, Bank of England governor, has sent a letter to other top central bankers inviting them to a September 9 meeting in Switzerland to discuss "radical reforms" to the Libor process. The invitees include the head of the European Central Bank, the Federal Reserve and other major central banks, according to a person familiar with the contents.

Regulators' probes continue. But to date there has been no allegation of wrongdoing made by any authorities against any of the individuals or any bank beyond Barclays.

All the banks declined to comment beyond previous statements confirming their co-operation with regulators over the broader investigation. The traders concerned either could not be reached or declined to comment.

Reporting by Patrick Jenkins, Kara Scannell, Caroline Binham and Jennifer Thompson

@highlight

Regulators are focusing on at least four of Europe's biggest banks in the rate-fixing scandal

@highlight

Crédit Agricole, HSBC, Deutsche Bank and Société Générale are the subject of the probe

@highlight

The news comes in the wake of the clear-out of senior management at Barclays