(CNN) -- Amid a falling currency, slumping factory output, lackluster investment and weak orders, India's Prime Minister Manmohan Singh looked desperately for at least some chinks of light in the economic gloom.

Addressing parliament, Singh struck out for the one silver lining left to his battered economy -- the falling rupee will boost exports.

"To some extent, depreciation can be good for the economy as this will help to increase our export competitiveness and discourage imports," Singh said last week in a long address to lawmakers on the crisis in the Indian economy.

"Over the next few months, I expect the effects of this to be felt more strongly, both in exports and in the financial position of exporting sectors. This in itself would correct the current account deficit to some extent."

Whether investors will share his confidence is the question economists are asking themselves as the axles come loose on India's economic juggernaut.

Slowing growth

The Purchasing Managers Index grew just 4.4% in April-June, it's slowest pace for four and a half years

"The August reading was grim," HSBC chief economist for India Leif Eskesen said in a note. "Coupled with the July reading it seems clear that the economy is continuing to slow and that last week's April- June GDP number was not the bottom."

He said the recovery in growth would prove to be a drawn-out affair and would be tainted by the lingering balance of payment challenges.

"Politics may get in the way of meaningful progress on structural reform," he said. "Unfortunately, we think the slowdown has further to go, which presents greater challenges for policymakers as they try to stabilize the currency."

The threat of a U.S. strike on Syria has put pressure on oil prices and on gold -- two of India's biggest dollar-indexed imports -- in the short-term, but analysts say that India's currency woes can only be stabilized by addressing long-term fundamentals.

India, they say, could follow three scenarios, none very attractive.

Let the rupee fall

It could allow the currency to fall further, boosting exports and helping close the current-account deficit, as Singh's speech suggested. Nevertheless, with a small manufacturing base mired in red tape, analysts say it does not have the critical mass to respond quickly.

With balance of payments taking time to turn around, investors would likely panic in the meantime further depressing business.

A weaker currency would also likely stoke inflation, increase the government subsidies on fuel and also its borrowing.

Boost interest rates

Indonesia and Brazil last month took measures to protect their currencies by tweaking interest rates -- a response in large measure to improving prospects for the U.S. economy where the Federal Reserve looks likely to begin winding in the purchase of bonds.

If India followed suit, Indian industry -- already in bad shape -- would suffer and increase the possibility of bad loans at banks too. Corporate earnings decline would slam equity investors who currently have about $200 billion invested in listed shares.

A credit crunch, say analysts, would make things worse.

Borrow less money

Government borrowing is running at about 7% of GDP, according government figures, fueling excess demand and widening the current account deficit. With its appetite for lavish and populist government programs, spending cuts are difficult.

It's latest ambitious food program -- the $25 billion annually food security bill -- is likely to impact the economy heavily. But economists are saying that once all the provisions of the bill are priced in, it will cost much more.

Sajjid Chinoy of JP Morgan told CNN the cost could easily go up a further half a percentage point of GDP.

"If you look at an incremental cost of 0.5%, the total cost would then be 1.5% of GDP which is large by any standard," he said.

Raise taxes

Like Pakistan, India may have to look at raising tax revenues.

With just 3% of Indian paying income tax, analysts say that tax increases would have to fall on the formal economy which is already taking a big hit in the current economic climate.

Rahul Chadha, co-chief investment officer at Mirae Asset Global Investments, told CNN the rupee's immediate fate, however, lies in the hands of the central bank

"I think this is the dilemma of the central bank," he said. "We've seen this half-hearted attempt to stabilize the currency -- they came at it from different levels. But because it was half-hearted and the currency depreciated after that we have seen panic reaction from corporates and institutional investors.

"Clearly at a certain level the market has to get convinced that the central bank has enough power fire power to stabilize the currency. Once the market gets that kind of conviction, you will see the rupee again appreciating by 7% to 8% very quickly."

@highlight

India looks for the upside to the rupee crisis - that it will boost exports

@highlight

Analysts say its industrial base is too small and too bound up in red tape to respond quickly

@highlight

India still relies heavily on populist, capital-intensive government programs

@highlight

Government borrowing is fueling excess demand and widening the current account deficit.