(CNN) -- Imagine a gadget that knows your mind better than you do.

Picture a device that can rank the activities in your life that bring you joy, or interject your typed words with your feelings.

One woman has helped create just that.

Ariel Garten believes that the brain -- with its 100 billion neurons that receive, register, and respond to thoughts and impulses -- has the power to accomplish almost anything, if only its power could be properly harnessed.

Her company InteraXon, which she co-founded with Trevor Coleman, has produced Muse, a lightweight headband that uses electroencephalography (EEG) sensors to monitor your brain activity, transmitting that information to a smartphone, laptop or tablet.

The high-tech headband has been used to pour beer, levitate chairs, or control the lights -- all without the wearer lifting a finger.

And in a world where technology is often blamed for raising stress levels, 35-year-old Garten believes her $300 headband could even help calm us down.

The Canadian -- who has worked as a fashion designer, art gallery director, and psychotherapist -- spoke to CNN about her influences and vision for the future of technology.

CNN: How does Muse help reduce stress?

Ariel Garten: Muse tracks your brain activity. Your brain sends electro-signals just like your heart does, and this headband is like a heart rate monitor.

As it tracks your brain activity, it sends that information to your computer, smartphone or tablet, where you can do exercises that track your brain activity in real time, and give you real time feedback to teach you how to calm and settle your mind.

CNN: Technology is often blamed for making people stressed -- is there a certain irony in also using it to also calm us down?

AG: Technology can definitely be responsible for making people stressed because it pulls at our attention, it distracts us, it increases the number of demands and in some ways decreases our own agency.

We're very interested in inverting that on its head and creating solutions that help you calm yourself; that can help you stay grounded, choose what to focus your attention on, and manage your own mind and your response to the world.

Technology itself is not the evil, it's the way that it's implemented. Technology can have some great solutions for us. Look at all the amazing medical interventions that we have.

CNN: You've suggested Muse could provide medical benefits for children with ADD -- how?

AG: To be clear, Muse is not a medical device, it's a computer product. Exercises using Muse have suggested that they can help people with ADHD, by helping you increase your state of focused attention.

We've had amazing emails -- just recently we had an email from somebody who is 29 years old with ADHD and after just two days of using Muse had noticed a benefit. Three weeks out they sent me an email saying 'this is not a game changer, this is a life changer.'

CNN: Have you had interest in the product from any unexpected places?

AG: We've been contacted by a lot of sports stars and sports celebrities -- people wanting to use it to improve their sports game. We were surprised because we're so used to thinking of it as a cognitive tool.

There's been quite a number of research labs using Muse, and they've been looking at applications in depression, epilepsy, and communications.

And then we've also had a lot of interest from companies interested in integrating our technology into their wellness and development programs. Companies like Google wanting to offer this to their employees to help improve their productivity and their wellness.

CNN: Do you have any reservations about the development of mind-mapping devices?

AG: In InteraXon we believe very strongly that you own all your own data. We have a very strict privacy policy. It's like a heart rate monitor, it's very binary so we can't read your thoughts, we can't read your mind. But we're very much into leading the way on the very responsible use of this technology.

CNN: What inspired you to get involved in this area?

AG: My background is in neuroscience, design and psychotherapy, and I'm very interested in helping people understand their own minds and use their minds more productively in their own life. Our brains get in our way in so many ways.

The things that we think, the feelings that we have, all of these things can be beautiful supports to our life and encourage the lives that we live. But they can also cause all kinds of anxiety, worries, all of these things that hold us back.

Particularly women are a huge inspiration to me because we're so good at holding ourselves back with the thoughts that are in our heads. We're constantly worried about things like 'does this person think this way about me?' or 'have I done well enough?' or 'have I achieved as much as I'm supposed to?'

We have these dialogues within ourselves that can be really debilitating, and you know the answer is 'of course you're good enough,' and 'of course you've done well enough,' and 'of course you can achieve that.' And if you can learn to understand and gain control over your own internal dialogue, you can really learn to sort of undo the shackles that hold you back in your daily life, and your career, and your relationships.

Inspire: Nanny's double life as photographer

Learn: Frida Kahlo: Queen of the selfie

@highlight

Ariel Garten's high-tech headband monitors brain activity

@highlight

Called 'Muse,' the device transmits information to your computer

@highlight

Can pour beer, control music volume, turn on lights just by thinking

@highlight

By tracking brain waves, could help users reduce stress