(CNN)On the glass entrance to the Woody Guthrie Center in Tulsa, Oklahoma, you'll find all the usual museum particulars: Closed Monday, here's our website, find us on Twitter, etc.

And then this: "No Weapons Allowed Except Guitars."

It's tribute to the fact that Guthrie -- who wrote "This Land is Your Land" and who basically was Bob Dylan before Bob Dylan was Bob Dylan -- used folk music to battle indifference to social inequities in the 1930s and '40s. His stories were those of Dust Bowl refugees fleeing the Great Plains for California; of underpaid workers; of people who believed in the promise and spirit of America but who the country sold short.

"I'm too sober to foreclose on a widow."

That's from one of his notebooks at the Center.

We need more Woody Guthrie today.

On Tuesday, President Barack Obama is expected, once again, to make a plea for the country to address its blemish that's bigger than the one in Bieber's mug shot: income inequality. As was the case in Guthrie's time, we're living in two Americas, not one. In the rich America, the one inhabited by members of Congress, a majority of whom are now millionaires, finding work and living comfortably is easy as ever. In poorer America, jobs are scarce and pay nothing close to a living wage.

The middle has hollowed out. Our economy has been Grand Canyoning since the late 1970s. Measured by the wonky gini coefficient, the United States is now more economically split than countries like Venezuela, Russia and the United Kingdom.

We're among the worst in the developed world.

You probably don't need me to tell you that. There are hundreds of articles on this subject, on every major website. And the president, to his credit, has brought this up again and again. In his 2012 State of the Union, he called income inequality "the defining issue of our time." The problem: No one's listening. Not really. His job approval rating is at 40%, according to Gallup, for a variety of reasons. And, let's face it, the State of the Union can be a snoozefest. Viewership, according to Nielsen, is steadily down over Obama's presidency, from 52.4 million viewers in 2009 to 33.5 million in 2013, a decline of 36%. And half the fun of the State of the Union in the GIF era is watching to see if "Grumpy Cat" John Boehner is capable of emotion and what the Supreme Court justices might be muttering to themselves.

People understand income inequality is a thing, now. And maybe that's a start. But I'd argue few understand why, beyond the numbers, it really matters.

That's where defiant songwriters like Guthrie should come in.

As Facebook was quick to tell me, contenders for the title of modern Woody Guthrie do exist. Suggestions you posted there ranged from Kanye West to The Knife, a Swedish electronic group, and John Fullbright, a singer-songwriter from Oklahoma. And it was easy enough to see music still has a social edge if you watched the Grammy Awards on Sunday. I was moved by Macklemore's performance of "Same Love," during which several couples, gay and straight, were married. Meanwhile, New Zealand's Lorde won song of the year for "Royals," which touches on the class divide and wealth. Chorus: "We will never be Royals. It don't run in our blood."

We need more brave artists like those in our culture.

When I visited the Woody Guthrie Center in December, I saw a copy of the original manuscript to his most famous song, "This Land Is Your Land." It's the kind of thing you almost don't stop to look at, because you figure you know the words.

"This land was made for you and me."

But a friend pointed out two original verses that, I've since read, were written in 1940 but were omitted from the popular recording in 1944.

They're also the verses with real staying power.

Here they are, as archived by woodyguthrie.org:

As I went walking I saw a sign there And on the sign it said "No Trespassing." But on the other side it didn't say nothing, That side was made for you and me.

In the shadow of the steeple I saw my people, By the relief office I seen my people; As they stood there hungry, I stood there asking Is this land made for you and me?

No wonder the Occupiers adopted Guthrie as a folk hero. If only they had his wit and vision, maybe the rest of us would have paid more attention.

The "I seen my people" verse, the song's sixth, is the most haunting and relevant in 2014. The problem today, as I see it, is that most of us haven't seen our people. This is the real threat of income inequality: Not that some people are rich and the everyone else is jealous of them, as the Romney camp postulated, but that the gap between the haves and have-nots has grown so wide that we don't see each other.

I witnessed this last year on a trip to the "most unequal place in America," East Carroll Parish, Louisiana. The rich are on one side of a lake in that parish; the poor the other. There are people who know almost nothing of how the other side lives.

Along with gaps in income come gaps in empathy and trust. Violence, mental illness and all sorts of social ills, can follow, as researchers argue in a powerful book called "The Spirit Level: Why Greater Equality Makes Societies Stronger."

Just look to Scandinavia to see relative equality is more harmonious.

These gaps emerge in communities across America. Rich and poor live side by side in large cities, but we still remain invisible -- intentionally so, painfully so. Atlanta, where I live, reportedly bulldozed a tent camp under a major interstate this month. Officials cited safety reasons. That it was unsightly and commonly seen could well have had something to do with it, too. Those of us who are lucky to be comfortably employed are too quick to forget about what it's like to really struggle.

And we don't like to see the people who are struggling.

As they stood there hungry, I stood there asking Is this land made for you and me?

America is comfortable saying this is a land made ... for me. Our challenge: Realizing that this country only remains the land of opportunity if it works for all of us. Not just the pop stars, most of whom are so obsessed with their own fame and gratification that they barely give a nod to reality; not just for Wall Street; and not just for those of us lucky to have an education, health care and housing.

For all of us.

"I am out to sing songs that will prove to you that this is your world," Guthrie once said.

Take that as a challenge.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

CNN's John Sutter visits the Woody Guthrie Center in Tulsa, Oklahoma

@highlight

He says the singer's populist ethic is sorely needed in modern music

@highlight

Sutter: President keeps talking about income inequality but it doesn't sink in