(CNN) -- Sun, wind and water now rule an area that was once polluted and derelict. In the Swedish city of Malmo, an old shipyard has been converted from industrial wasteland to spotless eco-district, setting a world class example for sustainable living.

The area started becoming commercially defunct in the late 80s. Shipping facilities have since been replaced with homes, shops and office buildings whose energy needs are met solely with renewable sources.

The project is called 'Bo01 - City of Tomorrow' and it was started in 2001, to meet the demands of a growing section of the Swedish population who wanted to change the world through a commitment to live more sustainably, and were willing to make sacrifices to do so.

"It was a challenge for the future," explains Eva Dalman from the Bo01 architectural team. "Bo01 was the answer to the question, how could solve the biggest environmental problem, global ones, in a sustainable city development without making those sacrifices?"

The answer came in a mix of architectural design, aesthetics and recycling in an underused land area wedged between the city and the sea.

Across the old shipyard, a wind turbine now provides most of the electricity needed for the town, footpaths and cycle tracks have priority, water is drained through a series of ponds, channels and moss-covered rooftops, and geothermal reservoirs underground provide heat in winter and cool air in summer.

Food waste is converted to biogas, and then used to run the local buses. Sweden has been using biomethane for transport for nearly a decade, and other countries -- mostly in Europe -- are embracing the idea.

Even the occurrence of storms is not feared, but instead harnessed for water collection.

In a paper published in the Journal of Green Building, Gary Austin from the University of Idaho heralds the accomplishments made by the project but acknowledges that the energy efficiency of the Bo01 buildings didn't meet their goals and the on-site biodiversity achieved mixed results.

But the experts hope to feed these successes into the next generation of projects across Malmo. Bo01 has since blossomed into a larger development now known as the Western Harbour and the entire city plans to be carbon neutral by 2030.

"We learned a lot from Bo01," says Christer Larsson, Director of city planning in Malmo. "We are reflecting on what we did and why it was as good as it was."

The experimental principles of this project are now being applied in other cities, like Tangshan in China, as part of an eco-district currently under construction that will span over 30 square kilometers. What began as a small, ambitious project, has set a global precedent and the future of industrial wastelands could be significantly greener.

Read more from Future Cities:

Shared space, where the streets have no rules

Drinking sewage: solving Singapore's water problem

Brazil's idea for future mobility? The good old bus

@highlight

A defunct shipyard in the city of Malmo, Sweden, has been transformed into a green, sustainable district

@highlight

The Bo01 project created a residence where 100 percent of energy comes from renewable sources

@highlight

Food waste is converted into biogas for use in local buses

@highlight

The project didn't meet all goals but has set an example now used in eco-projects in other parts of the world