(CNN) -- Hunger strikes marked the start of the Hong Kong school year as students, parents, and teachers protested against what they perceive as Beijing-led interference in the public school curriculum.

Thousands of protesters dressed in black gathered outside the government headquarters Monday ahead of a 5:00 p.m. deadline for the government to drop the "Moral and National Education" subject or face further protests. Hong Kongers have decried the subject as an attempt to "brainwash" impressionable young minds with pro-mainland-Chinese propaganda.

Amid no response from the government, the Civil Alliance against National Education -- a coalition of concern groups -- declared that plans were underway to organize city-wide student strikes and teacher boycotts of the subject.

Organizers also called for demonstrators to return to the headquarters every evening in a kind of "Occupy" movement, adapted from the global protest against socioeconomic injustice.

In a tactic uncommon in Hong Kong protests, by Monday evening, 13 protesters had joined a hunger strike outside the government headquarters, initiated by three teenagers Thursday who have since dropped out due to health concerns. Camped in tents, the mix of students, teachers, and scholars have vowed to remain there until the government withdraws the subject.

A parent participating in the hunger strike, Linda Wong, told CNN: "I want to safeguard for my child the environment in Hong Kong in the future, so my son can learn and think independently."

From Taiwan, Tiananmen activist Wang Dan posted on his Weibo microblogging account that he would engage in a 24-hour hunger strike to "support Hong Kong's opposition movement against educational brainwashing."

While the city's embattled leader, Chief Executive C.Y. Leung, stayed clear of Monday's protest, the territory's Chief Secretary Carrie Lam addressed the crowd, urging broad discussion via the government consultation committee.

"There is no topic that the committee cannot discuss with committee members and other parties," Lam said. "After discussions, according to the findings, we can bring independent and pertinent opinions to the government."

Alliance members have previously declined the government's invitation to join the committee.

Leung has said that there is a lot of room for compromise between keeping the subject and throwing it out.

"It's very hard for the government to take any concrete action," said Waiman Lam, an assistant professor specializing in civil society and social movements at the University of Hong Kong.

"The Hong Kong government is trapped between the Beijing government and the Hong Kong community," she explained.

"I think most likely the government will not take any concrete action except reiterating that the officials are ready to talk to the protesters; please join our committee and continue discussions."

The national education issue has been roiling the city for several months, most notably with a mass street protest on July 29 attended by 90,000 people (police cited 32,000), sparked by the dissemination of a set of government guidelines for teaching the subject. Another mass protest took place outside government headquarters on Saturday, where organizers reported 40,000 participants while the police estimated a turnout of 8,100.

While the detailed content of the subject has not been determined, guidelines in a booklet called "The China Model" distributed to schools by the government's National Education Services Centre in July were widely interpreted as a basis for how the subject would be taught.

The contents of the booklet inflamed longstanding fears of Beijing's encroachment into Hong Kong's affairs and freedoms by stating that China's ruling party is "progressive, selfless and united," and ignoring major events such as the 1989 Tiananmen Square massacre.

The centre has denied accusations that the subject promotes "brainwashing." "Hong Kong's future and China's future are inseparable," said centre director Wong Chi Man."We will never be independent so we should learn to think the same way as China. Teachers should lead our children to think about Hong Kong's future."

"In the background, there's a huge mistrust between the central government and the Hong Kong population in general," said Lam.

"The demonstrations and the concerns about the national education reflect the continuing anxiety of the Hong Kong people toward the mainland's politics and growing influence on Hong Kong affairs," echoed Peter Cheung, an associate professor at the University of Hong Kong's Department of Politics and Public Administration, who spoke to CNN after the July 29 protest.

The uproar over the national education subject is reflective of anxieties being aggravated by the new government under Leung, which Cheung said "lacks legitimacy in the eyes of many people."

"C.Y. Leung without a doubt reflects a much more pro-Beijing background. If the curriculum was introduced by a more neutral administration, the issue may play out differently," he said.

The subject is due to be introduced this academic year in primary schools and next year in secondary schools. Each has a three-year period in which to roll out the subject in their classrooms. In Hong Kong, primary and secondary schooling comprises twelve years of government-funded education.

A survey of more than 600 schools conducted by an alliance member, National Education Parents' Concern Group, found that only six planned to implement the program in the first year.

Of the others, 155 said they would introduce it but not in the first year, 118 said they wouldn't introduce it at all and 198 said they hadn't yet decided what to do. Another 181 declined to respond.

"It's the duty of every teacher, practically of every citizen to teach national education," said Leung Kee-Cheong, the principal of the Fresh Fish Traders' School, a primary school teaching the subject this school year.

"You should teach your children that they are Chinese, you should teach your children how China has developed, its history and culture. While you are doing this, you can criticize and speak of the good parts and the bad parts."

Lam said it remains to be seen how the protests will escalate and that government action "will depend on the bargaining power of the opposition."

"The question in how much social support (the protesters) can draw in," Lam said, in regard to whether student strikes can be feasibly carried out.

"If the government doesn't think these secondary students can constitute a political force opposing the government, including the policy itself, then can the students draw sufficient support from the community? So it really depends on the consolidation of the alliance."

"It seems that among the secondary school students, the extent of mobilization is not limited, but not extensive enough to call for a Hong-Kong-wide school strike," she added. "So I think the government has also done such calculations."

Tim Schwarz and Vivian Kam contributed to the report.

@highlight

Protesters threatening student strikes, teacher boycotts if government does not drop Chinese civic education subject

@highlight

Residents have decried subject as attempt to "brainwash" impressionable young minds with pro-China propaganda

@highlight

16 protestors have participated in hunger strikes outside government headquarters

@highlight

Government is urging discussion, rather than keeping subject or throwing it out