(CNN) -- When it comes to negotiating with the Taliban, it's always one step forward, two steps back.

Despite several serious rounds of violence this week, including the assassination of a top peace negotiator, the United States will continue to try to negotiate with the Taliban, experts say. Afghanistan has been violent for a long time, they argue. This week just brought more of the same.

"[The United States] has been fighting for nearly 11 years, and we've already said we're not leaving until 2014," said C. Christine Fair, a Georgetown University Center for Peace and Security Studies professor who has worked in and studied the region for years.

"Talking is not only our best option, it's our only option," she said. "We should expect that it will be accompanied by violence."

The peace process has come in fits and bursts over the past year. When former Defense Secretary Robert Gates announced last June that the U.S. was in preliminary talks with the Taliban in Afghanistan, the idea was controversial. Many observers were skeptical that the Taliban would ever deal.

Since then, the concept of negotiations has become more and more the norm. President Barack Obama touted it in his recent surprise visit to Afghanistan on the one-year anniversary of the killing of Osama bin Laden.

Yet months into the talks, it's murky as to who is involved and what, exactly, each party wants.

In March, the Taliban said it would not be setting up a diplomatic office in Qatar to negotiate with Americans, blaming their decision on the United States' "alternating and ever-changing position" on Afghanistan. At the time, preliminary talks with what the Taliban called "the occupying enemy" had already begun over the exchange of prisoners, the group said.

Assassinated on the way to work

Observers remind that the peace process is still relatively new considering the protracted war, and all new and difficult enterprises have bumps in the road. In Afghanistan, that cliche is relative.

There "weren't great hopes right now for peace talks at the moment in any case," said Michael O'Hanlon, a senior fellow at The Brookings Institution who specializes in defense and foreign policy.

On Sunday, Taliban interlocutor Moulavi Arsala Rahmani was killed when a gunman drove up to his car while Rahmani was stuck in traffic on his way to work in Kabul.

He was a member of the High Peace Council, which was created by President Hamid Karzai and heartily endorsed by the Pentagon. The HPC is tasked with reaching out to insurgents and ex-Taliban who live in Kabul under government protection. Rahmani was considered a moderate Taliban, someone who could bring other Taliban members to the negotiating table.

The Taliban announced recently that peace council members would be targets of its spring offensive, but a Taliban spokesman said Sunday that the group did not kill Rahmani.

Regardless, his death marked the second such high-level negotiator to be killed since last fall when HPC Chairman Burhanuddin Rabbani, a former Afghan president, was killed in a suicide bombing.

The biggest danger Rahmani's assassination might have, O'Hanlon said, would be to scare future Taliban defectors from talking with the West and allies, he said.

Riaz Mohammad Khan, the former foreign secretary of Pakistan, agrees.

"These things are unfortunate but can be expected," he said.

"On the more positive side, I don't think recent violence suggests a strength in the Taliban forces. I think we'll come understand what is happening in Afghanistan as reflective of their weakness. It gives the Afghan people a chance also to show that they won't be beaten down. It gives them a chance to stick with peace talks."

More "green on blue" killings

Violence this week went beyond Rahmani's death. A blast at a crowded market in northern Afghanistan killed nine civilians on Monday.

Two more NATO troops were also killed over the weekend, bringing the total NATO death toll to eight in just a few days time. The two troops killed Sunday are believed to be victims of so-called "green on blue" attacks in which Afghan security forces turn on their fellow soldiers.

Distrust between allied soldiers and Afghan soldiers appears to be at an all-time high. This year's string of scandals -- the Quran burnings at Bagram Air Base, photos of U.S. soldiers posing with body parts of alleged insurgents and crimes such as the Kandahar massacre -- has seriously frayed relations among the soldiers who must work side-by-side.

An experienced Pakistani ambassador to China, the European Union, Belgium and other countries, Khan suspects the recent violence could actually help rally the Afghan army.

"If the U.S. chooses to hold back and continue giving control to Afghan soldiers, as it appears to be doing, I see this [positively]. If they pull back and act on suspicion and fear, then it won't turn out well for anyone," he said.

At least 23 individuals wearing an Afghan army or police uniform have shot and killed a NATO-affiliated soldier this year, according to the Department of Defense.

It's unclear whether some who have attacked NATO soldiers are actually Afghan soldiers or just in disguise.

Handing over more territory

Meanwhile, the Taliban has demonstrated that it has plenty of fight. The earlier allied surge in the country, especially southern Afghanistan, appeared to force the Taliban to adopt new tactics such as relying on roadside bombs and suicide attacks. In the past year, insurgent attacks overall have decreased some 22%, and in some parts of southern Afghanistan by much more, according to coalition figures. Civilian casualties rose to their highest level last year since 2001, CNN reported.

By the middle of this week, officials announced that another large swathe of Afghanistan territory would be handed over to local authorities, giving them control of about 75% of the country.

Among the most striking areas that would fall under Afghan control is the city of Kandahar, a former Taliban stronghold, and several mountainous areas of Afghanistan, which make for excellent hiding places for insurgents.

2014 is an election year for Afghanistan. Results could drastically change the atmosphere for peace talks, Fair said.

On Sunday, Obama and other world leaders gather at the NATO summit in Chicago, where the future of Afghanistan will be the No. 1 topic. The meeting will include Karzai, NATO allies and International Security Assistance Force contributors, among others.

The Afghan constitution prohibits Karzai from running another term. There haven't been any candidates who've emerged as viable to take his place so far, much less any that have appeared to align their platforms with Western goals.

@highlight

A man thought to be able to bring Taliban to the negotiating table was killed this week

@highlight

Observers say his death, and killings of NATO soldiers, won't derail peace process

@highlight

The U.S. has said it's negotiating with the Taliban to bring peace to Afghanistan