Luanda, Angola (CNN) -- Angola, Africa's second-largest oil producer, has launched a $5 billion sovereign wealth fund in an attempt to diversify its economy -- a move more associated with wealthy Gulf States like Qatar and the UAE.

The state-owned investment fund, known as the Fundo Soberano de Angola, will invest domestically and internationally, focusing on infrastructure development and the hospitality industry. These are two areas the Government of Angola believes is "likely to exhibit strong growth".

In an exclusive interview with CNN, Jose Filomeno de Sousa dos Santos, the son of Angola's longtime president who is on the board of the fund, said "now is a very good time."

He added: "The country has had around five years of steady growth, good growth, mostly based on oil production increases, and it plans to diversify the economy. The best way to do that is to do that is to intervene directly in the economy through investments."

More than 90% of Angola's revenue comes from oil production -- reaching around 1.9 million barrels a day -- and it is second only to Nigeria in its exports. But despite its oil wealth, the country remains largely impoverished.

Dos Santos says the aim of the fund is to invest profits accrued from oil to promote social development in the country.

"It is very easy to have oil money and spend it but it is very difficult to have a positive impact to improve people's lives on a daily basis," he said, "and that is an area we intend to invest on a lot with the sovereign wealth fund."

Read related: Is oil-rich Angola a development success?

Critics of the government say that Angola's oil wealth has been used to enrich a small section of society -- dominated by allies of president Dos Santos and his family, along with generals associated with Angola's lengthy civil war.

"We don't see the money that is being generated from oil having a direct impact on people's lives" says Elias Isaac, Angola country director for George Soros' Open Society Initiative for Southern Africa.

"Just look at the schools, look at the hospitals, look at the issue of water, electricity. Angola makes a lot of money out of oil, there is no doubt about this, Angola really is one of the few countries that can pay its national budget without donor funding, which is great, but where this money goes, that's the biggest issue".

Isaac's also argues that a $135 million development project of the capital city's waterfront is a sign of the government getting its spending priorities wrong.

Luanda's once shabby waterfront has been transformed after land was reclaimed from the sea. Portuguese expats, many of whom have sought sanctuary here from the eurozone crisis, now jog past manicured lawns each morning.

But wedged between the shiny offices and apartments that line this new waterfront, Angolans often struggle to survive in a shacks and ramshackle houses.

Beyond the capital lies a large underdeveloped country with a widening income gap.

Only around one in three Angolans are literate and more than half drop out before finishing primary school.

Angola has faced huge challenges to develop a country decimated by the war for independence and lengthy civil war. But civil society and human rights groups say that institutionalized corruption has helped cause the widening gap between the very rich and the rest of society.

Read related: Angola officials held in oil stakes

Critics of the fund also point to the its board being dominated by cabinet members close to president dos Santos. And the younger dos Santos says he -- despite being the president's son -- is qualified for the position because his financial background.

Transparency International recently ranked Angola a lowly 168 out of 182 countries in its "Corruption Perceptions Index" but Dos Santos says that the fund will be beholden to international best practices, and transparent.

"We are familiar with the fact that this perception exists and we are taking a lot of care to make sure all of our investments are within an approved investment policy and our accounts will be audited annually by an independent renowned auditor."

The pledge of transparency is a departure from Angola's often opaque oil wealth where oil receipts are withheld by strict confidentiality agreements with international oil companies.

"The way the government manages the oil receipts, we think we still have a lot of corruption" says Manuel Jose Alves da Rocha, Economics Professor from Angola's Catholic University. "We think the lack of transparency is also another situation we have to look at to understand why the oil income does not go to the majority of the people".

Angola's oil industry is dominated by Sonangol, the state-owned company that gives concessions to international oil companies and, over time, takes in the lion's share of the profits.

Many observers believe that Sonangol was already acting as a sovereign wealth fund by investing its profits in many areas outside of the oil industry -- including buying up key stakes in Portugal's biggest bank by assets, Millennium BCP.

The formation of a formalized fund was first announced by Angola's President Jose Eduardo dos Santos. But the global financial crisis caused the oil price to plunge, hammering Angola's economy.

The government had to offset the crisis by securing a loan from the International Monetary Fund (IMF) in the form of a Stand By Arrangement of around $1.4 billion.

With new deep water oil finds announced by the government, Angola hopes to outstrip Nigeria to become Africa's largest oil producer. But the revenue from Angola's black gold won't last forever. The government hopes the sovereign wealth fund will help diversify Angola's profits to secure its future.

@highlight

Angola launches $5bn Sovereign Wealth Fund to decrease future reliance on oil revenues

@highlight

Angola is Africa's second largest exporter of oil -- more than ninety percent of the country's revenue comes from oil production

@highlight

The country ranks poorly on measures of corruption and little of the oil revenue has been spent on improving public services

@highlight

In an exclusive interview, President's son tells CNN that fund will be transparent and independently audited