Eight days after the invasion of Iraq on March 19 2003, Paul Wolfowitz, then deputy defence secretary and a leading proponent of the war, told a Congressional committee: "We are dealing with a country that can really finance its own reconstruction, and relatively soon."

A decade later, that assessment could hardly have turned out to be more wrong.

The US has overwhelmingly borne the brunt of both the military and reconstruction costs, spending at least $138bn on private security, logistics and reconstruction contractors, who have supplied everything from diplomatic security to power plants and toilet paper.

An analysis by the Financial Times reveals the extent to which both American and foreign companies have profited from the conflict -- with the top 10 contractors securing business worth at least $72bn between them.

None has benefited more than KBR, once known as Kellogg Brown and Root. The controversial former subsidiary of Halliburton, which was once run by Dick Cheney, vice-president to George W. Bush, was awarded at least $39.5bn in federal contracts related to the Iraq war over the past decade.

Two Kuwaiti companies -- Agility Logistics and the state-owned Kuwait Petroleum Corporation -- are the second and third-biggest winners, securing contracts worth $7.2bn and $6.3bn respectively.

The US hired more private companies in Iraq than in any previous war, and at times there were more contractors than military personnel on the ground.

"These numbers are staggering," said Claire McCaskill, the Democratic senator who has led the charge to tighten contracting controls.

"In the last decade, we've seen billions in taxpayer money spent on services and projects that did little -- sometimes nothing -- to further our military mission," she said.

But companies on the top 10 list defended their record. KBR "performed with honour and sacrifice in a hostile, complex, ambiguous and unpredictable environment", said Marianne Gooch, a company spokeswoman.

She noted that KBR had prepared and served more than 1bn meals and produced more than 25bn gallons of drinkable water and 265 tons of ice.

Patrick Dorton, a spokesman for the International Oil Trading Co, a Florida-based company that secured contracts worth $2.1bn to transport fuel from Jordan to US forces in Iraq, said: "We are proud to have effectively supplied jet and convoy fuel in a war zone to the US military."

The business environment for these contractors may be changing, with the war in Iraq over and the conflict in Afghanistan winding down, but these private companies remain.

There are still 14,000 contractors, including 5,500 security guards, in Iraq even though the last troops left in December 2011.

"Contractors are here to stay as real players," says Stuart Bowen, the special inspector general of Iraq reconstruction. "The opportunities in this field are shaped by the unpredictable rhythm of when a fragile state will fail."

The FT's list of the top earners over the past decade is based on all federal government contracts awarded for performance in Iraq and neighbouring Kuwait since the invasion was planned.

Compiling such a list is tricky because some contractors operate under a variety of names to avoid scrutiny. That makes these figures conservative.

The list includes companies working in supplying support services, security, reconstruction and the oil industry.

"This is not my grandfather's military industrial complex," said Dan Goure, vice-president of the Lexington Institute, a national security think-tank partly funded by defence contractors. "There's not a single munitions producer in this list."

Instead, the US had created a fifth branch of the military, he said. "It's called the private sector."

The extensive use of contractors in both Iraq and in Afghanistan has been steeped in controversy.

A 2011 report from the commission on Wartime Contracting in Iraq and Afghanistan estimated that defence contractors had wasted or lost to fraud as much as $60bn -- or $12m a day -- since 2001.

Private contractors have been involved in some of the most shocking events of the Iraq conflict -- from the Nisour Square shootings in 2007 in which Blackwater security guards killed 17 Iraqis, to the Abu Ghraib prison scandal.

While the era of easy money may have ended for these contractors, that does not mean the boom times are over.

In 2011, the state department estimated that it would pay $3bn over the next five years on its private security contracts to protect its massive embassy complex in Baghdad alone.

Meanwhile, contractors are winning new business as oil companies ramp up their operations, especially around areas such as Basra in the south.

"It's not like these companies have shut up shop and are going home," says Stephanie Sanok of the Center for Strategic and International Studies. "We are still sinking a lot of money into this and we are still trying to get our oil dividend."

That means that companies that branch out into other areas could have an even better decade ahead.

Given the controversies that have surrounded the use of contractors in Iraq, many analysts say that there is little evidence that the defence department has learnt about how to best use them.

"While DOD is much better at using contractors than they were 10 years ago, they are still not sufficiently prepared to use contractors in future large-scale military operations," says Moshe Schwartz, an analyst at the Congressional Research Service.

After a six-year wrangle, the Senate in December passed the National Defense Authorization Act, a sweeping overhaul of wartime contracting aimed at improving oversight and cracking down on waste and fraud.

It was pioneered by Ms McCaskill, who says she has "spent years shining a light on the massive waste, fraud and abuse in military contracting".

Mr Bowen and the Commission on Wartime Contracting have also made specific recommendations for improvements.

But a Government Accountability Office report last year found that the Pentagon had taken or planned actions based on only half the CWC recommendations, while the state department and USAID had acted on only one-third of the recommendations relating to them.

"The reality is that the US is not well structured to carry out stabilisation and reconstruction operations on an integrated, inter-agency basis," said Mr Bowen, the special inspector-general.

"That is the most serious and continuing problem. We must ensure we do not repeat the errors and weaknesses seen in Iraq."

@highlight

U.S. spent at least $138 billion on security, logistics and reconstruction since the war

@highlight

The controversial former subsidiary of Halliburton, KBR, earned the most

@highlight

Two Kuwaiti companies --  Agility Logistics and Kuwait Petroleum Corporation -- also big earners