Washington (CNN) -- Once again, a swelling chorus is calling on Germany to finally take action. "Start the engines, Angela," reads the colorful headline of a piece whose authors seem to assume that Chancellor Merkel commands the horsepower to save the euro, save the British and American recoveries, and -- as a throw-in -- save the Obama presidency.

If only the Germans showed more leadership and found it in them to roll out "decisive policies," argues Harvard historian Charles Maier, the everlasting eurocrisis could be ended.

It is true that Germany is the pivot in the euro game. Nothing happens if Germany does not consent. But the reverse is not true. If Germany wants something, it does not necessarily happen. That's where the problem of German leadership starts.

While much of the world looks at Germany as an ascending economic power within a declining continent, thereby shifting the regional balance of power in its favor, Germans themselves (and certainly their current elected leader) are keenly aware of the limits of German power. History has taught them painful lessons.

Since Germany's emergence as an industrial economy, it has been too big to be one of many in Europe and too small to dominate the continent. The latter proposition has been tested time and again and has usually ended in blood and tears somewhere in Russia.

Among Germans, this experience has produced an ingrained skepticism toward the notion of German dominance, even if it comes in the form of a benevolent hegemony, based on the consent of the neighbors and transfer of wealth to them.

Germans will be quick to point out that Germany is too small to take much of the rest of Europe onto its back. The German economy accounts for only 27% of the eurozone's output. The debt-to-GDP ratio hovers around an unhealthy 80% and might jump to around 100% given the commitments and guarantees to other European nations.

Nobody in Germany has forgotten the enormity of the task to bail out, reform and integrate East Germany after the fall of the Berlin Wall. To this very day, 3% to 4% of GDP are spent on transfers to the former East.

In 1989, East Germany accounted for roughly a fourth of the population of West Germany and no more than a fraction of its economic output. Compare that to ailing Spain and Italy, whose combined economies rival Germany's today. Therefore, it is a fantasy to assume that Germany alone can be Europe's white knight.

Given these constraints, Merkel's willingness to lead Europe is remarkable. She has found a strategy to leverage Germany's limited power. First, Merkel internationalized the European bailouts; second, she broke down the effort into small steps to make them palatable to domestic constituencies in multiple countries; third, she resurrected the French-German alliance as an engine for progress; and, most importantly, she made the markets her friend and ally.

In her assessment, no reform will happen in southern Europe without pressure from the markets. And there will be no pressure from the markets without limits to German largesse.

Unlimited and unconditional help would take away any incentive to reform. That is the reality in a monetary union without political union because the sovereign who bails out is different from the sovereign who reforms. Merkel's strategy is paying initial dividends. Structural reforms in southern Europe are well under way.

But Merkel's leadership has come at a price. Aligning herself with the markets has meant maintaining relentless pressure on the southern countries while keeping the crisis simmering. That has resulted in costly and dangerous brinkmanship and created the myth that the pain of structural adjustment has to be borne by the southern Europeans alone. And it has created a diplomatic challenge.

Even Germany's best friends don't understand why the country opens its purse only at the last moment, but not a second earlier. They mistake strategy for passivity and a realistic assessment of Germany's wealth and power for stingy disciplinarianism.

With the crisis coming to a head, the German approach will be put to the ultimate test. The markets seem to have concluded that no bazooka will end this crisis alone. They now bet on a so-called banking union as a first step toward centralizing power in Brussels. They seem to regard this form of minimal federalism as solution to the crisis.

Merkel endorses core-federalism, at least in principle, but she certainly cannot deliver it alone. Germany may be a reluctant leader, but its followers are even more reluctant. Merkel needs to persuade France, the most sovereignist country in continental Europe, to trade its Gaullist vision of Europe for a more centralized version with some sovereignty moving from Paris to Brussels. She needs to reassure smaller nations that core-federalism is not the equivalent of neo-colonialism.

She needs to convince the southern periphery that joint debt and joint risk in Europe will mean joint control over the budget process, thereby limiting the reach of the nation state. And, finally, she needs to win over the Brits to play along with (rather than obstruct) a more centralized system of governance among the eurozone and even the EU countries that the Brits themselves likely will never join.

Rather than being made the villain, Merkel could use a little help from her friends across the Atlantic.

The opinions expressed in this commentary are solely those of Thomas Kleine-Brockhoff.

@highlight

Many are callling on Germany to lead effort to rescue the Euro

@highlight

Thomas Kleine-Brockhoff says there are limits to what Germany can do, given scope of problem

@highlight

He says Germany is too big to be just another nation but too small to dominate the continent

@highlight

Author: Angela Merkel has taken positive steps to strengthen Euro, but needs help from others