Here's what you need to do: take a break from your career and travel the world for an extended period of time. How does that sound?

If your response is "Sounds fantastic, but there's absolutely no way I can do that," you're not alone. But people do take career breaks, and quite successfully -- so what's the secret?

To cut through the many myths and fears surrounding the concept of leaving your job to travel, I spoke with Sherry Ott, a self-described "corporate IT refugee" who writes the popular travel blog "Ottsworld: Travel and Life Experiences of a Corporate America Runaway."

Sherry's initial career break trip inspired even more traveling, which she has been doing nearly continuously for the last 4½ years. Eventually (and somewhat ironically) career break travel turned into a career itself when she co-founded Meet, Plan, Go!, which offers resources, workshops, and general inspiration for aspiring career break travelers.

Sherry spoke to us from Beirut earlier this year about her experiences and what she's learned from other career break travelers.

Lonely Planet: How to travel like a kid

What were your major worries when first setting out?

It's easier to answer what I wasn't worried about ...because I was worried about everything!  However the main worries were:

I was worried that for the first time in my adult life, I would no longer have a paycheck coming into my account.  There would only be money going out for the next year-plus. That was scary to me.

I was worried that I wouldn't like being on the road, as I had never traveled for more than 2 weeks before and it was always a vacation.

I was really worried that I had to find a place to sleep every night for a year -- 365 days of lodging. When I was in the planning stages, I was all of a sudden very aware of my own room and bed and that I took it for granted that I could just come sleep in my bed every night without thinking about it.

Not a one turned out to be a big issue at all. I loved being on the road, and at some point I was worried that I would never be able to be satisfied with standing still again (which is the case with my life now!).

The money issue I had to adjust to, but pretty soon the idea of only watching money go out instead of in became normal. I had a certain threshold and I knew when my balance got down to a certain amount it meant I had to go home.  As far as lodging, that turned out to be pretty simple too. I had no problem finding places to sleep nor did it bother me after I was on the road. It loved the benefit of meeting new people every night!

Lonely Planet: The world's greatest historical journeys

What are common leaving (and returning) worries you hear from others?

1. General fear of travel

I think there's sometimes an element of fear of traveling in general -- people don't think it's safe to do. If you read the U.S. State Department warnings, you'd never go anywhere. I certainly wouldn't be in Beirut now! They worry about everything that could go wrong and then they talk themselves out of it, which is sad as I feel very safe in most countries.  Even more safe than I do in the U.S.!

2. Family/friends won't understand, will be judgmental

I find that people were quite accepting of my plans and the most common phrase I heard was "I wish I could do that." However I do believe that the people who may push back and be judgmental are people who are quite frankly jealous and really are upset you aren't fitting the mold of what you are "supposed to do."  They are stuck doing what they are "supposed to do" and most likely unhappy about it.

3. There's never a good time to go

This sometimes feeds into people thinking their kids are too young or too old.  Or maybe they are the age that they "should be" getting married and be responsible.  There's all kinds of excuses we make for ourselves.  What people forget is that your life goes on while you are on the road...you can still meet people, your kids can still learn, you may even fall in love and get married.  For some reason we think that our possibilities end or our lives stop if we take off and do long-term traveling!

4. Stuff: what to do with all of it

I recommend to start this early -- start downsizing a room at a time.  I like the book "The Joy of Less" by Francine Jay.  It helps you goes through your stuff and downsize each room.  Also, start looking into options of where you can store things.  Ask landlords if you can sublet.

5. Money: travel is really expensive

Tripping yourself up with the "travel is expensive" myth is a sure-fire way to defeat the dream before you even give it a chance to breathe.

Consider this: A vacation is different from traveling. On average, a vacation that includes a flight, hotel stays, and eating out for every meal can cost anywhere from $1,000 to $2,000 per person per week. Plus when you go on vacation, all of your other monthly expenses don't go away. You still have to pay for your mortgage or rent, car, electricity, water, magazine subscriptions -- this all continues while you are on vacation.

However, when you travel, monthly expenses go away -- no more electricity, water, heating, gas, car insurance, rent, cable, internet, gym memberships, etc.  Plus you stretch your airfare dollar further when you fly and stay somewhere for a month as opposed to five days.  The airfare is spread across 30 days instead of five.

Before you know it, your monthly expenses disappear and the amount you will need to simply travel becomes "reasonable." So don't think about your budget in terms of a vacation budget; extended travel is much different!

6. Going back to work: the résumé/CV gap

You don't have to hide your career break, you should address it. Include a short section about your career break and if you did any work related activities during that time (volunteering, teaching ESL, freelancing, ran a blog).

Include an area/continent that you focused on especially if it has ties to your work in some way. Soft skills: most every career breaker will return with better soft skills acquired from their time on the road. Key areas involve risk assessment, negotiation skills, flexibility, patience, adapting quickly to changing environments, and enhanced decision making. List your travel website if you feel it's professional enough to mention. Look over it with a critical business eye before touting it on your résumé.

However, be careful not to let your sabbatical sound like an extended holiday. Tell your potential employers that you wanted to improve your skills, take your volunteering/teaching English/diving/skiing/whatever ability to a new level to challenge yourself. If you describe your time in a focused manner it will help highlight your ability to push yourself.

Keep in mind some companies may think that taking a career break is irresponsible and means you could leave them at a moment's notice too; therefore, be prepared to explain how loyal and committed you are. And consider if you really want to work for a company that can't understand or appreciate the values of world travel.

Any unexpected benefits of taking a career break?

For me personally there have been a ton of unexpected benefits: an increased patience level and confidence that my future is on solid ground. I never felt confident about my skills before and my ability to simply survive...but now I'm super confident in those areas. I have picked up an immense amount of technical skills thanks to blogging. I have awakened my creative side in photography and writing. I have completely built new skill sets, while I was doing something I loved.

But I think the biggest benefit is that you learn not to sweat the small stuff. No issue seems as big as before you left.

Do you still have worries about what happens next?

I might be a special case.  For me -- no -- I don't worry about what happens next. I can't even begin to predict the possibilities that will come my way from day to day.  I'm so used to uncertainty that I'm now afraid of things that are concrete.  However, I feel like after 4½ years of travel I have developed this attitude.

When I first came back from my career break of 1½ years, I was worried about what my next steps would be. I didn't feel like I could fit back into the corporate world and it took a while to simply fit back into the U.S.

At this point, my life has completely changed. I sit here writing this from a family's apartment in Beirut Lebanon. I have a place to sleep tonight, I have adventure waiting tomorrow -- that's all I need.

For more inspiration on taking a career break, check out the many helpful resources provided by Sherry and her colleagues at Meet, Plan, Go!

Lonely Planet: The very best time to visit a National Park is...

@highlight

Sherry Ott shares her secrets for taking a career break trip

@highlight

Ott says the best thing about being on the road is meeting new people every night

@highlight

Common worries are general fear of travel, money and what to do once returning to work