(CNN) -- As U.S. President Barack Obama decides on the best strategy to deal with the threat posed by ISIS in Iraq, Syria and beyond, his final plan of action will undoubtedly include the participation of like-minded allied countries and regional partners.

One such partner are the Kurds of northern Iraq who regard ISIS as the biggest threat since the fall of the Saddam Hussein regime in 2003. The Kurds, however, are hoping for a more robust and lasting U.S. commitment as part of rekindled Kurdish-American cooperation.

Meanwhile, it might be timely for Washington to reassess its previous refusal to directly engage with Kurdish armed forces. As the last few weeks of military battles against ISIS show, when American assistance has not been forthcoming, the Iraqi Kurds have turned to Iran for help.

In terms of identity, the Kurdish Regional Government (KRG) in northern Iraq stands apart from most of the rest of the Middle East due to its secular way of life and pro-Western orientation. And what the Kurds have put together here since securing autonomy from Baghdad in 2005 is antithetical to the primordial worldview of ISIS, which calls itself the Islamic State.

Now, with its record of relative stability and nascent democracy in danger, officials in the KRG are once again turning to the United States. The Kurds have welcomed Washington's decision to confront ISIS. At the same time, however, officials in Irbil are urging the Obama administration to start a long overdue process of helping the Kurds help themselves by empowering them militarily.

The simplest of facts about the Kurdish armed forces -- the Peshmerga -- are hard to miss. Despite the heightened enthusiasm to repel ISIS, the Peshmerga continue to suffer from some elemental structural drawbacks.

After years of semi-autonomous rule, Iraqi Kurds still lack an institutionalized, non-politicized armed force. The majority of the Peshmerga are still made up from armed members from the two largest political parties in the KRG: the Kurdistan Democratic Party (KDP) and the Patriotic Union of Kurdistan (PUK).

In the past the absence of an organized and well-trained armed force was accepted by the various Iraqi Kurdish parties as an inevitable but tolerable condition. The rise of ISIS, however, has rapidly changed that unsustainable attitude.

The role of the U.S.

To achieve a better organized and a more capable Kurdish military force requires more than just political horse-trading in Irbil. It requires American mediation and military assistance to the Kurds. The fact that the United States has good relations with all Iraqi Kurdish parties gives Washington leverage among the Kurdish parties.

This leverage can be used to set out to help the Iraqi Kurds build up a more efficient military as they battle ISIS.

But, before any practical steps can be taken, Washington first has to decide whether it wants to go down this path. Since the fall of Saddam's regime, the U.S. has chosen not to train and equip the Kurdish Peshmerga directly.

Washington's policy on the provision of military assistance and training has been that all such efforts will have to go through the central government in Baghdad. The U.S. is still committed to Iraq's territorial integrity as a principal policy and dealing with the Kurds over the head of Baghdad is seen as putting that policy in danger.

And then there are the bureaucratic hurdles to overcome. Despite good relations with the leaderships of the KDP and the PUK, on paper both entities are still designated by the U.S. as Tier III terrorist organizations.

That is why the Kurdish Peshmerga, numbering 150,000 of which some 110,000 are members of KDP or the PUK, cannot receive U.S. military aid directly.

As American policy-makers wrestle with this question in Washington, Iraq's Kurds have had to look elsewhere for support. In June, following the barrage of military victories of ISIS, Iran was at first the only country that proved willing to come to the aid of the Kurds with military supplies and advisors.

In a press conference with the Iranian foreign minister, Javad Zarif, in Irbil on August 26, Masoud Barzani, President of Iraqi Kurdistan, said "Iraqi Kurds will never forget Iran's support that came at a crucial time beyond our expectation."

But Iran's appearance as the key backer of the Peshmerga is not cost-free. Under Tehran's stewardship, Iranian-backed Shia militias from elsewhere in Iraq have come north to join the fight against ISIS. As much as the Kurds have welcomed Iran's role in rolling back ISIS, there are fears about the longer-term impact of Tehran's larger footprint in Iraqi Kurdistan.

But given the imminent threat posed by ISIS, how Iranian military support has come about is for now a secondary concern for Iraq's Kurds. They are simply pleased that Tehran has been there to provide much--needed military aid when it was most wanted.

Tehran, meantime, will not be blind to the fact that internal Kurdish divisions and a decentralized Peshmerga force provides it with opportunities to intervene and increase its influence in northern Iraq.

As President Obama formulates a long-term strategy to neutralize the threat of ISIS, he cannot ignore the pivotal role Kurdish fighters likely will play in such a campaign. It might also be an opportune moment to revisit some of the more archaic American policies that shape ties with Iraqi Kurdistan.

As Washington looks for ways to better organize and militarily equip the Peshmerga against ISIS, the one undeniable fact is that the Iraqi Kurds are hoping for swift American action.

They prefer the United States over other foreign partners but are hardly in a position to be overly selective given the imminent threat from ISIS.

Read more: Time to turn ISIS crisis into opportunity

@highlight

U.S. President Barack Obama is set to announce his strategy for dealing with ISIS

@highlight

Alex Vatanka and Sarkawt Shamsulddin say the Iraqi Kurds stand out as potential partners

@highlight

The Kurdish Regional Government is secular and Western orientated, they say

@highlight

But the threat of ISIS means the KRG will accept whatever help it can, the authors say