Lausanne, Switzerland (CNN)As nuclear talks with Iran neared the endgame, U.S. Secretary of State John Kerry shied away from predicting success.

Difficult issues remain on the table as the world's most powerful diplomats meet in Switzerland with Iranian nuclear negotiators, Kerry told CNN on Monday.

"We are working very hard to work those through. We are working late into the night and obviously into tomorrow. We are working with a view to get something done," he said. "There is a little more light there today, but ​there are still some tricky issues. Everyone knows the meaning of tomorrow."

Negotiators have set Tuesday as their deadline for a basic deal. A comprehensive deal, including technical additions, is supposed to be negotiated by June 30.

World powers are seeking the outlines of an agreement they say would stop Iran from getting a nuclear weapon for at least 15 years. In exchange, Iran would get out from punishing sanctions that have crippled its economy.

Kerry's comments to CNN came after uncomfortable rumblings about the talks in Lausanne, Switzerland, made headlines.

The assertion: Iran backpedaled the day before on an important detail of a possible deal to prevent it from developing a nuclear bomb.

On Sunday, an Iranian negotiator told journalists that Tehran would not send fissile material to Russia, which diplomats had earlier told journalists was part of the plan to put potential bomb-making materials out of reach.

"The export of stocks of enriched uranium is not in our program, and we do not intend to send them abroad. ... There is no question of sending the stocks abroad," Iranian Deputy Foreign Minister Abbas Araghchi said.

But on Monday, a senior U.S. State Department official said the rumblings in the press should quiet down.

Negotiators had not yet decided any specifics about the disposal of fissile material, and Iran has made the comments many times before, the official said, citing a list of previous examples of such statements in press reports.

Chinese Foreign Minister Wang Yi sounded optimistic as he briefed reporters on the talks' progress earlier Monday, saying that the diplomats were "narrowing down" their differences and working out ways to resolve sticking points.

"These marathon-like negotiations have reached the final stage," he said.

Things have been tense in Lausanne as the deadline for an agreement looms, with talks snagged on three important points:

• How quickly or slowly Iran will be allowed to advance its nuclear technology in the last five years of the 15-year agreement.

• How quickly crushing U.N. sanctions will go away.

• Whether sanctions will snap back into place if Iran violates the deal.

Iran wants them gone for good. But international negotiators want merely to suspend them, so they can reapply them as leverage if Iran does not keep the bargain.

Agreement on the points is crucial, a Western diplomat said.

"There cannot be an agreement if we do not have answers to these questions," the diplomat said.

In the background, a vocal critic of a possible deal spoke out again. Over the weekend, Israeli Prime Minister Benjamin Netanyahu denounced the deal he believes is taking shape.

"This agreement as it evolves is fulfilling our deepest fears and even worse," he said after a meeting in Israel with visiting U.S. Senate Majority Leader Mitch McConnell. Netanyahu also attacked Iran for its support of Houthi rebels in Yemen, who have overtaken many parts of that country.

He said Iran was trying to take over the whole Middle East with the nuclear deal and its influence in Yemen.

Conservative Washington lawmakers are threatening new sanctions if Tehran doesn't comply with demands, which could throw a wrench into negotiations.

U.S. negotiators are working to reach an agreement in part to prevent this kind of congressional punishment. They fear it could prompt hardliners in Tehran to push for killing the talks, which would scuttle the chances of a deal altogether.

Aside from the three tough points, negotiators on both sides have shown optimism.

U.S. officials have said most of the other elements were solvable if those three major hurdles could be overcome.

Iran's Araghchi agreed. "Getting to an accord is doable. Solutions have been found for numerous questions," he said.

Iran would like sanctions lifted as soon as a deal is signed. But diplomats says it's not so simple.

Iran could see unilateral sanctions relief in the areas of trade, oil and banking, but sanctions adopted by the United Nations are more complicated.

Many are related to proliferation and transfer of missile technology and are tied to certification by the U.N. nuclear watchdog, the International Atomic Energy Agency, that Iran's nuclear program does not have a military dimension.

On Saturday, Iranian Foreign Minister Javad Zarif showed some optimism about finding a path through the deadlock.

He said he believes the world powers "have realized that sanctions, pressure and an agreement will not go together. It's only to translate that understanding and realization into the agreement that we are negotiating."

U.S. officials said that all sides, including Iran, agree that sanctions would be lifted in phases over time as Iran confirms its compliance to the deal. But they acknowledge there is still disagreement on the actual formula.

Iran also wants to be allowed to develop more advanced centrifuges while the deal is in effect. New machines would enrich uranium much faster than current machines.

U.S. and European officials worry that could enable Iran quickly to produce enough highly enriched uranium for a nuclear weapon.

Diplomats say the first 10 years of the 15-year deal would have the most stringent restrictions, which would be relaxed over the last five.

"We are not asking them to do nothing (in technology development), but they want to do more than we want them to do," a Western diplomat said.

But the diplomat added, "After 15 years, they can do what they want."

Diplomats said Iran has agreed to a cap of fewer than 6,000 centrifuges that it can operate to enrich uranium. That figure is down from the 6,000 the sides were speaking about when the talks started Thursday, but substantially more than the several hundred the United States had originally wanted.

Iran currently runs about 10,000 centrifuges, but it has around 19,000 in its stockpile.

U.S. officials maintain the number is not that important, because there will be other restrictions on the levels of enrichment and type of centrifuges Iran can operate, which they believe will extend the time Iran would need to produce enough fissile material for a nuclear weapon -- known as the "breakout time"  -- to at least a year.

While the focus this week is on the March 31 deadline, it's important to note it isn't the final deadline.

Even if a pact is reached Tuesday, it's unclear what form it would take, and the United States and Iran have varying needs.

The parties are seeking to reach what's being called a framework agreement -- essentially a political understanding of the main principles of the final deal.

But if they're able to come together on the big issues, they still have until the end of June when the Joint Plan of Action expires to iron out the details. So that means the talks won't be finished this month.

Officials have been vague about the format this framework deal might take as well as how much of it will be made known to the public and international stakeholders. The United States would prefer a written accord, but Iran has balked at putting anything in writing until a comprehensive deal is reached.

U.S. officials say they will need to quantify Iran's commitments before submitting the agreement to Congress. But U.S. and Western diplomats say that Iran is looking simply for an "understanding" of what has been agreed to before a formal accord is reached.

CNN's Jim Sciutto, Nimet Kirac and Catherine E. Shoichet contributed to this report.

@highlight

China's foreign minister says "marathon-like negotiations have reached their final stage"

@highlight

Secretary of State John Kerry: "We are working with a view to get something done"

@highlight

Potential snags to talks include how quickly sanctions on Iran would be lifted