Beijing (CNN) -- After a deal was hammered out by European Union leaders last week on a joint plan to help bail out Greece and bolster European banks, the world looked to China to help pick up the check.

In a historical context, it's a remarkable turn of events for China, which inside a generation has rocketed from isolation and poverty to become the world's second largest economy behind the United States.

But as Chinese President Hu Jintao arrived in Europe to meet with other G-20 leaders in Cannes, it became increasingly clear that Beijing wasn't coming into town wearing a white hat to rescue debt-ridden eurozone nations.

Why is the EU turning to China?

Simply put, Beijing has the money.

The tumult in Greece is over austerity moves that would cut Greek services, reduce payback to Greek bondholders by as much 50% and bolster loans to help Athens in $178 billion deal.

The end goal of these measures would leave Greece with debt equaling 120% of its total economic output by 2020.

China, by contrast, is the largest holder of foreign currency reserves in the world with more than $3 trillion in its coffers and an economy whose annual growth rate hovers near 10%.

European leaders are hoping Beijing will be a substantial contributor to the European Financial Stability Fund, which under the deal hammered out last week would increase from 440 billion euros to 1 trillion euros ($1.36 trillion).

But Chinese Vice Finance Minister Zhu Guangyao told reporters gathering in Cannes ahead of the summit that it was "too soon" for Beijing to say whether it would contribute to the fund. "The fund has not established details of its investment options so we still can't talk about the issue of investing," he said.

What's in it for China?

The bloc of 17 nations united under the euro currency is China's largest trading partner, the destination for nearly 20% of Chinese goods exported in 2010; by comparison, 18% of Chinese exports were sent to the U.S, according to 2010 World Trade Organization figures.

In July, eurozone trade to China surpassed the U.S. for the first time to become the EU's largest trading partner, according to Eurostat. So an unstable Europe would undoubtedly hurt the fortunes of exporters here.

Still, any help would likely come with strings attached. Though U.S. lawmakers have led complaints that China unfairly manipulates the value of its currency, similar shouts have been heard from European officials. No doubt Beijing would like to see those calls silenced.

Moreover, China wants the EU to give it market economy status, which would reduce the tariffs for Chinese products sold in the eurozone. China is scheduled to get market economy status by the World Trade Organization in 2016, and observers say it's likely the EU will wait until then.

"Since eruption of the global financial crisis and the debt crisis in Europe, China has offered help to Europe. For instance, China sent several delegations to Europe to purchase huge amounts of goods and services in 2009, aiming to boost Europe's economy. Since last year, China has purchased bonds of several European countries, trying to save nations deep in a debt crisis," a commentary in China's state-run Xinhua said last month arguing for market economy status.

"By contrast, it is a pity that the EU side still shows no sincerity on the issue of recognizing China's market economy status," it said.

Why is China reluctant to help?

There appears to be little domestic enthusiasm in China to run to the EU's aid.

"They keep pushing the anti-dumping thing and bullying China, and now we are helping them?" one Beijing man told CNN, referring to allegations that China "dumps" products in markets with unfair pricing. "I say we should not save them."

Chinese perceive their currency reserve as a nest egg built on the back of 30 years hard work building its economy, said Patrick Chovanec of Tsinghua University.

"It's a sensitive issue because Beijing can't be seen to be just investing this money willy-nilly," Chovanec said. "They need to make a case that they're going to earn a reliable return."

Economist Andy Xie in Shanghai argues it's not in Beijing's "political, economic or strategic interest" to come to the EU's aid.

While some have argued a handout would be a way for China to increase its "soft power" abroad, Xie thinks such a move would backfire.

"Look at Greece -- they complain their country is being taken over by German bankers," he said. "How do you think they will feel if China steps in? The average person wouldn't look at this as aid, but as China coming in and taking us over."

And a slowdown in the EU would hurt China, it wouldn't raise the specter of widespread unemployment, he added.

"China's labor market is fully employed ... there are widespread shortages of manual labor. Any economic slowdown (from reduced EU demand) is not likely to see widespread unemployment."

Even more of a signal that Beijing will let the EU solve its own problems.

How China can really help

Others say that China's real opportunity to help isn't through bailing out Europe, but investing in the EU and boosting domestic consumption of European products.

"What the Europeans lack isn't money, what they lack is growth," said Chovanec.

"China can play an important role in saving Europe but not in the way that most people think. Most people think the Europeans are coming to China hat in hand hoping for bailout funds.

"Really the way that China can help Europe is not by continuing to run surpluses and turn around to use the proceeds to lend it back to Europe to keep them on life support.

"The real way Chinese can help Europe is by using some of that money, the $3 trillion worth of reserves they've piled up to stimulate consumption ... and help create jobs, earnings and opportunity in Europe," Chovanec said.

CNN's Alexis Lai contributed to this story

@highlight

EU leaders are hopeful China will assist in funding the European debt plan

@highlight

China has the world's largest currency reserves with more than $3 trillion

@highlight

Beijing is reluctant to spend the reserves for fear of public backlash

@highlight

"They keep pushing the anti-dumping thing and bullying China, and now we are helping them?"