(CNN) -- As the run-up to the 2012 U.S. elections gains momentum, Hispanic Americans may prove to be an especially influential political force. According to a new report, the political mobilization of U.S. Hispanics is an increasingly mobile (as in cell phones) phenomenon.

According to Connected Hispanics and Civic Engagement, published recently by the Hispanic Institute, "The use of cell phones builds upon the cultural affinity for close connections and opens the way for organized political and social action. Three areas in particular demonstrate the power of mobile technology in the Hispanic community: immigration, education and voter registration/mobilization."

The report points out that Hispanics have been leading the U.S. population in terms of embracing mobile technology.

For example, last summer Pew found that more than 87 percent of English-speaking U.S. Hispanics owned a cell phone, vs. 80 percent of non-Hispanic whites. Another Pew study found that, compared to the general American population, Hispanics use their cell phones more often, and they use more features on their phones.

Additionally, Pew found in 2009 that Hispanics were leading other ethnic groups in mobile internet access.

Hispanic mobile civic engagement isn't just limited to smartphones, which so far comprise less than one third of the cell phones in use in the United States. Much of this activity is happening via text messaging, e-mail, the mobile web and social media -- tools available on most "feature phones" (the next step down from smartphones, and usually the most affordable type of cell phone).

For example, the report notes that in 2006 "a group of 4,000 Hispanic high school students used MySpace, e-mails, and texting to organize a walkout in protest. The students' success served as an inspiration for a subsequent major demonstration in April 2006 in Dallas with 350,000 participants."

And in 2009, two immigration advocacy groups (Reform Immigration FOR America and the Fair Immigration Reform Movement coalition), ran a successful text messaging campaign. They sent out simple alerts containing key information, calls to action, and quick responses to breaking news. They gathered feedback via text messaging. Organizers credit this with increased attendance at rallies and hearings in 2009 compared to previous rallies in 2008.

Cell phones also played a leading role in mobilizing the 10,000 Nevada voters that the Hispanic Institute signed up during its 2009 voter registration drive:

"Once individuals were registered to vote, they were sent numerous text messages to remind them about early voting, voting site locations, availability of transportation to the voting sites, updates about ballot initiatives, and other information. Additionally, voters were given contact information and a central location for in-person contacts. This two-way mobile network allowed voters to access information when it was most convenient to them."

Furthermore, "THI staff were able use text messaging to gauge how many of the newly registered voters had taken part in early voting or were likely to wait until Nov. 2. With this real-time data, THI staff were able to then target particular neighborhoods, and even specific addresses, for additional in-person follow up."

THI believes that mobile apps increasingly will drive Hispanic civic engagement. A 2010 Pew report indicates that U.S. Hispanic smartphone owners are avidly embracing apps, for everything from video sharing to banking and more. And in general, apps are becoming a key tool for all kinds of political and advocacy campaigns -- from candidate-driven to grassroots.

Apps may indeed fuel future Hispanic civic engagement. But if the goal is to reach a large and economically diverse group such as Hispanics, smartphone apps are just one part of an integrated mobile strategy. Other vital components of effective engagement efforts include simpler Java-based apps (designed to run on feature phones via platforms such as Snaptu and GetJar), mobile web sites, social media, e-mail, and text messaging.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Hispanic Americans may prove to be an especially influential political force in 2012 U.S. elections

@highlight

Institute believes that mobile apps increasingly will drive Hispanic civic engagement

@highlight

Hispanics have been leading the U.S. population in terms of embracing mobile technology