(CNN) -- On July 24, 2008, then-presidential candidate Barack Obama addressed tens of thousands of Germans on the avenue that leads from the Brandenburg Gate in Berlin. In a pointed reference to the outgoing administration of President George W. Bush, he promised a new era of "allies who will listen to each other, who will learn from each other, who will, above all, trust each other."

One German present among the hugely enthusiastic crowd said the occasion reminded him of Berlin's famous "Love Parade." No U.S. politician since John F. Kennedy had so captured Europeans' imagination.

Five years on, in the words of the song, it's a case of "After the Love Has Gone." The U.S. ambassador in Berlin has been summoned to the foreign ministry over reports in Der Spiegel that the U.S. National Security Administration (NSA) monitored Chancellor Angela Merkel's official cellphone. His counterpart in Paris received a similar summons earlier this week after revelations in Le Monde.

Merkel says Europe's trust must be repaired after U.S. spying claims

Both Der Spiegel and Le Monde used documents provided by former NSA contractor Edward Snowden.

Merkel's spokesman, Steffen Seibert, lamented a "grave breach of trust." One of Chancellor Merkel's closest allies, Defense Minister Thomas de Maiziere told broadcaster ARD there would be consequences.

"We can't simply turn the page," he warned.

Der Spiegel reported Thursday that Thomas Oppermann, who leads the parliamentary committee that scrutinizes Germany's intelligence services, complained that "the NSA's monitoring activities have gotten completely out of hand, and take place beyond all democratic controls."

In an article for the forthcoming edition of Foreign Affairs magazine, Henry Farrell and Martha Finnemore argue that it's the disclosure of such practices rather than their existence that is damaging.

"When these deeds turn out to clash with the government's public rhetoric, as they so often do, it becomes harder for U.S. allies to overlook Washington's covert behavior and easier for U.S. adversaries to justify their own," they write.

"The U.S. government, its friends, and its foes can no longer plausibly deny the dark side of U.S. foreign policy and will have to address it head-on," they argue.

Among the Twitterati, #merkelphone has gained some traction, with the famous Obama motif "Yes We Can" finding a new interpretation. And the European media has begun to debate whether the revelations provided by Edward Snowden to The Guardian and other newspapers will do to Obama's image on the continent what the Iraq war did to that of President George W. Bush.

Hyperbole perhaps, but the Obama administration is on the defensive, caught between fuller disclosure of just what the NSA has been up to and the need to protect intelligence-gathering methods. The president himself received what German officials describe as an angry call from Merkel Wednesday demanding assurances that there is no American eavesdropping on her conversations.

The language out of the White House has been less than forthright, with spokesman Jay Carney saying that "the president assured the chancellor that the United States is not monitoring, and will not monitor, the communications of the chancellor." His careful avoidance of the past tense has heightened suspicions in Europe that only the Snowden disclosures have forced a change of practice.

Even pro-U.S. newspapers like the Frankfurter Allgemeine Zeitung are in full throttle, writing that: "The government in Washington has apparently not yet understood the level of damage that continues to be caused by the activities of American intelligence agencies in Europe."

Le Monde reported that the NSA collected details of millions of phone calls made in France, and described it indignantly as "intrusion, on a vast scale, both into the private space of French citizens as well as into the secrets of major national firms."

Mexico to summon U.S. ambassador over spying allegations

French Prime Minister Jean-Marc Ayrault commented it was "incredible that an allied country like the United States at this point goes as far as spying on private communications that have no strategic justification, no justification on the basis of national defense."

The U.S. Director of National Intelligence insisted in a curt statement that "the allegation that the National Security Agency collected more than 70 million "recordings of French citizens' telephone data" is false." But President Obama called his French counterpart, Francois Hollande, and the White House subsequently acknowledged the allegations had raised "legitimate questions for our friends and allies."

The fall-out may be more than rhetorical. Germany's opposition Social Democrats are asking whether the European Union can -- or should -- agree a free trade deal with the U.S. in the current atmosphere. Negotiations on the Transatlantic Trade and Investment Partnership were already in a fragile state and will not be helped by claims in Le Monde that large French corporations such as telecom company Alcatel-Lucent have been targeted by the NSA.

The European parliament has always been prickly about data-sharing with the U.S., and for years held up the U.S. Treasury's efforts to use the SWIFT interbank apparatus to keep tabs on terrorists' financial flows. The parliament this week passed a non-binding resolution calling for the agreement that was eventually reached to be suspended. And a parliamentary committee has agreed tough measures that would forbid U.S. companies providing data services in Europe to transfer the information to the U.S. without obtaining permission. The legislation must be agreed with member states, but for those hoping to get the provision deleted the wind is blowing in the wrong direction.

Not unlike the WikiLeaks disclosures, reports based on the Snowden documents have caused embarrassment and friction around the world. President Dilma Rousseff of Brazil cancelled a visit to the United States after it was alleged that the NSA had intercepted her messages as well as communications from the state oil company, Petrobras, now one of the biggest players in the oil industry. Spiegel reported the U.S. had also accessed emails to and from former Mexican President Felipe CalderÃ³n while he was still in office.

Obama, in his address to the U.N. General Assembly last month, tried to head off the gathering storm - saying: "We've begun to review the way that we gather intelligence, so that we properly balance the legitimate security concerns of our citizens and allies with the privacy concerns that all people share."

U.S. spy chief says reports of NSA logging French phone calls are false

And there is a hint in the U.S. response this week that, to borrow from Hamlet: "The lady doth protest too much." The NSA itself has made the point that "the United States gathers foreign intelligence of the type gathered by all nations." The UK and France are among governments that run their own expansive technical programs. Der Spiegel reported -- again based on Snowden's disclosures -- that the British equivalent of the NSA was involved in a cyber-attack against Belgium's state-run telecommunications company, Belgacom. The company would only say that "the intruder had massive resources, sophisticated means and a steadfast intent to break into our network."

The Europeans have been very grateful to share the benefits of the NSA's immense data-gathering abilities in counter-terrorism and other fields. U.S. diplomatic cables disclosed by WikiLeaks show Germany was enthusiastic in 2009 and 2010 for closer links with the NSA to develop what is known as a High Resolution Optical System (HiROS) -- a highly advanced "constellation" of reconnaissance satellites. One cable from the U.S. Embassy in Berlin said: "Germany anticipates that their emergence as a world leader in overhead reconnaissance will generate interest from the USG and envisions an expansion of the intelligence relationship."

The 9/11 attacks changed espionage beyond recognition, leading to massive investment in the U.S. in "technical means" -- the flagship of which is the enormous NSA data center being completed in Bluffdale, Utah. Its computing power, according to the specialist online publication govtech.com is "equivalent to the capacity of 62 billion iPhone 5s." But 9/11 also shifted the balance between intelligence-gathering and civil liberties, with the U.S. federal government acquiring new powers in the fight against terrorism -- some sanctioned by Congress but others ill-defined.

The technology that allows such enormous data-harvesting cannot be put back in the box, but the limits to its use pose an equally huge challenge. Ultimately, the Europeans need to collaborate with the U.S. on intelligence-gathering, to deal with international terrorism, cyber threats and organized crime. But the Snowden allegations, whether reported accurately or not, have changed the public perception and mood in Europe, obliging leaders like Merkel to take a tougher stand.

At least there has been plenty of room for black humor amid the diplomatic back-and-forth. "Earnest question: What do European leaders talk about that's worth spying on?" asked Politico's Blake Hounshell on Twitter, while New York Times London bureau chief Steve Erlanger quipped: "I'm not sure I'd want to listen in to Silvio Berlusconi's cellphone."

@highlight

Allegations of surveillance by U.S. on European allies has strained relations

@highlight

U.S. ambassadors have been summoned in Paris and Berlin to explain actions

@highlight

Many are asking if EU can -- or should -- now agree free trade deal with the U.S.

@highlight

Snowden allegations changed mood in Europe, forcing leaders to take tougher line