(CNN) -- Only five months in office and President Hassan Rouhani of Iran secured himself a top speaking slot at the World Economic Forum in Davos, Switzerland.

This feat is in itself full of symbolic significance. Rouhani's predecessor -- the bombastic Mahmoud Ahmadinejad -- never during his 8-years in office made it to the prestigious gathering of world political and business leaders.

The organizers of Davos, a forum intended for the exchange of ideas aimed at reaching solutions to pressing global challenges, doubtless felt Ahmadinejad's policy approach -- "a locomotive without brakes" to use one of his own favored analogies -- was unseemly for such a gathering.

Not so with Rouhani, a man elected on the promise to reach out to the world and overhaul Iranian foreign policy.

In Davos, Rouhani was handed another occasion to outline his vision and convince a still somewhat skeptical Western audience.

In contrast to his predecessor, President Rouhani's presentation in Davos was a down-to-earth one.

There was no mention of Iran seeking to "change the global management," another favored Ahmadinejad mantra and a jab at the United States and other Western powers.

Instead, Rouhani explicitly urged Washington to come to terms with the Islamic Republic as a political reality and a regional power.

Do that, he seemed to say to the Americans, and we can start working together on a host of issues.

And Rouhani had plenty to say along those lines, so much so that the poor interpreter was at times out of breath. He tied the issue of economic development to stability in the Middle East.

He spoke of the numerous economic and trade opportunities that could bring Iran and her neighbors closer together.

He singled out specific countries such as Turkey, Iraq, Russia and Pakistan but then did not mention Saudi Arabia by name. That was a glaring omission as it is hardly a secret that Iran and Saudi Arabia are engaged in proxy conflicts from Lebanon to Yemen and from Bahrain to Afghanistan.

As Rouhani himself stated repeatedly during his election campaign, Tehran and Riyadh need to hit the refresh button or dig themselves into a deeper hole.

The other country that Rouhani did not mention by name was Israel, another omission that was notable.

Of course, the question of Israel is never far away from Rouhani's mind. In fact, the Iranian president's aircraft had ended up awkwardly parked next to that of Israeli Prime Minister Benjamin Netanyahu at Zurich International Airport as the two leaders arrived.

Professor Klaus Schwab, the founder of the World Economic Forum and Rouhani's host, gently nudged the Iranian president to see if Tehran might find it feasible to include Israel in this new outreach to the world but Rouhani dodged the question.

This showed that Rouhani, for whatever idealism he might secretly hold, is not willing or able to go down a path that would require him to to shake some of the basic tenants of the Islamic Republic such as its non-recognition of the State of Israel. At least not for now.

Meanwhile, one of Rouhani's key intents in Davos was to sell Iran to the world business community as an untapped market of nearly 80 million people. In his remarks, he mentioned that his government wants to prepare the foundations for Iran to become one of the top 10 economies in the world in the next 30 years.

And in that context, his pitch to Western energy firms was blatant. In fact, Rouhani had made sure to bring along his oil minister who has in turn promised that the notoriously sheltered Iranian energy sector will by September launch new attractive projects in the oil and gas fields and open to international bidders.

The skeptics will point to Rouhani's focus on trade and economic reintegration as an indication that Tehran is only after lessening the pains of economic isolation and sanctions brought about by its nuclear program but that it has no genuine intention to transform itself politically.

Rouhani's speech had after all no new compromises to offer, including no signs that Tehran is prepared to change its support for the Assad regime in Syria.

Such a reading of Rouhani ignores the political realities in Tehran where his critics are waiting for him to slip. And as a seasoned political player in the Islamic Republic, Rouhani knows he has to choose his battles carefully.

Otherwise he will soon have his wings clipped by the Supreme Leader Ayatollah Ali Khamenei who has out of necessity approved of the idea of seeking a compromise with the United States but shown no sign to date that he is ready to accept any other fundamental adjustments to the Islamic Republic.

This is the basic premise confronting Rouhani at home and this has to be recognized in Western capitals as they prepare wish lists for Rouhani. At the same time, a truly transforming President Rouhani should find it in himself to go back to Tehran and repeat something that the Iranian president said in Davos: that no country can live in isolation and that global inter-dependence is a fact of life.

By insisting on such an open and frank debate at the highest levels of the Iranian government, Rouhani can truly help bring Iran closer to the international mainstream and reduce the number of the skeptics in the West who believe he is a gimmick put up by the Iranian regime and not a genuine agent for change.

But it will invariably be a process that will include reconsideration of some the existing Iranian policies -- including the question of relations with Israel and Saudi Arabia that Rouhani dodged in Davos -- but are not going to go away.

Read more: Rouhani says sanctions against Iran 'illegal'

Read more: Iran official says U.S. mischaracterizes interim agreement

Read more: Rouhani says Iran's nuclear program will continue for peaceful purposes

Read more: Opinion -- Syria shows peril of Iran's growing power

The views expressed in this commentary are solely those of Alex Vatanka.

@highlight

President Hassan Rouhani addressed the World Economic Forum on "Iran in the World"

@highlight

Alex Vatanka says Rouhani had plenty to say about reaching out to the world and Mideast

@highlight

But it was notable that he avoided mentioning Israel or Saudi Arabia, he says

@highlight

Vatanka says Rouhani has critics at home and knows he needs to choose his battles