(CNN) -- Penny Ireland's family is so scattered around the world that Facebook, the popular social networking site, has become the family's No. 1 way to communicate.

The fastest-growing age group on Facebook is women older than 55, Inside Facebook says.

"We call it our living room," the 56-year-old mother said by phone from her home in Houston, Texas. "Everybody can tell what everybody else is doing."

"Everybody" includes Ireland's five kids and her 83-year-old mother, who has a Facebook profile she accesses daily, Ireland said.

While online social networks like Facebook, Twitter and MySpace are known hang-outs for younger adults and teenagers, older generations in recent months have been taking to the medium at a faster rate than any other age group, according to industry reports.

Many of these older folks use social networks to keep tabs on younger family members and they often find fruitful connections with their peers after they've friended all of their kids and grandkids, according to an informal survey by Stanford University professor BJ Fogg. Join a conversation on this topic at CNN's Facebook page

The trend is still relatively confined. Only about 7 percent of people older than 65 have online social-networking profiles, according to research from the Pew Internet & American Life Project.

But Facebook's popularity is growing most quickly among women older than 55, according to a site called Inside Facebook, which tracks Facebook's growth.

There are now about 1.5 million female users older than 55 on the site, the group says -- roughly a 550 percent increase over six months ago. By comparison, membership among people younger than 25 grew by less than 20 percent over the same period, Inside Facebook says.

Facebook now says it has 200 million users, making its user base larger than the populations of all the world's countries except China, India, the United States and Indonesia. Such a vast presence, coupled with news media buzz about all social media, has pushed online social networking to a "tipping point," said Amanda Lenhart, a senior research specialist at the Pew Internet & American Life Project.

Fogg, the Stanford instructor, said the trend has spread outward from college towns, where Facebook was first adopted, and inward from the American coasts. Facebook today has a global presence, with 70 percent of users living outside the U.S., the site says.

"We've reached critical mass where there's been enough talk about Facebook and people have gotten so many invitations from their friends, they're going, 'OK, what is this Facebook thing? I've got to get onboard or I'm going to be left in the dust,' " Fogg said.

Parents who are interested in their kids' online activities contribute to the sharp increase in older users on Facebook, said Linda Fogg-Phillips, a 49-year-old who, with her brother, co-taught a six-week class at Stanford called "Facebook for Parents."

"Parents are finally at the point where they realize this is not going away. They better figure out how to get on it and they'd better figure out how to use it," said Fogg-Phillips, who is a mother of eight in Las Vegas, Nevada. "It's a snowball effect. It's viral in a good sense."

Older people often must overcome fears about privacy issues before they will join Facebook, Fogg-Phillips said. Once they do, they often find unexpected uses for the network, she said. iReport.com: Facebook, Twitter growing pains?

That was the case for Craig Costa, a 55-year-old fly-fishing guide in Park City, Utah, who said family members forced him to join Facebook.

Costa still finds parts of the site annoying, and isn't comfortable having his personal information made public, but he has connected with old friends he wouldn't have otherwise -- including his ex-wife, who now is a Facebook friend of his current wife.

"It's been really interesting because so many people have a connection to me," he said. "I was married before and my wife is now talking to my ex-wife. And some of her old friends are telling old stories about me to my wife. It's just bizarre for me."

Costa said he also can more easily keep up with his 28-year-old son, who lives in New York and also keeps a Facebook page for his dog.

Karen Essman, 61, uses Facebook but said she has trouble convincing her peers to join social-networking sites. They often don't understand the interface or are afraid of scams, she said.

"It's a little bit more difficult for older people," she said.

Margaret Brooks, 63, of Idaho Falls, Idaho, joined the site because there was no other place for her to see her 18-year-old grandson's artwork.

She asked to be his friend online, and at first she worried he wouldn't respond.

"I did think, 'Oh my goodness, I'm old grandma. He doesn't want to have anything to do with grandma on Facebook,' " she said. "But he did, and every time I send something to him he sends something to me."

Joanne Woeppel joined Facebook so she could keep tabs on her 13 grandkids.

But the Web site also has helped the 71-year-old keep up with other people without changing her routine.

"I'm pretty much what you would call a loner. I'm content in my own company. I can find things to do to entertain myself that I don't need to be out and about," she said by phone from her three-bedroom house near Dallas, Texas. "I don't go out to socialize."

A former call center worker and aspiring sci-fi author, Woeppel visits the online social network about once a day. Spending time on Facebook, which she joined in September, helps her feel connected to family all over the country -- especially to the youngsters, she said.

She has family members who live nearby, but says she's found a way to communicate with them in their own language through Facebook.

"Let's face it, kids that age aren't really interested in talking to people my age very much. It's more, 'Hi grandma how are ya? ... Bye!' " she said with a laugh. "That's basically what I get from my grandkids, so if I can engage them through just a little bit of chit-chat [online], it's a lot more than I can get over the phone."

@highlight

Women older than 55 make up the fastest-growing age group on Facebook

@highlight

Expert says the site has hit a "tipping point," causing older people to join

@highlight

Some older family members use the site to get in touch with younger generations

@highlight

One mother says Facebook has become her family's "living room"