New York (CNN)  -- When Republican presidential candidate and tea party favorite Michele Bachmann was recently asked by Fox News' Chris Wallace if she was "a flake," the moment seemed like déjà vu all over again for some women active in politics.

Bachmann's response -- she was "insulted" -- was stern, but it pointed to a larger bias many women perceive in presidential politics.

"Nobody in the GOP establishment is going to hand anything to Bachmann or (Sarah) Palin -- just like (Democrats) did not for Hillary (Clinton)," said Amy Siskind, who supported Hillary Clinton's 2008 presidential bid. "And it takes a certain type of leader to go out there and have the courage and the guts to say 'I'm running (for president)' and I admire Bachmann for that."

After Clinton's failed Oval Office bid, Siskind and a small group of women who had supported Clinton decided the best way to break the glass ceiling in presidential politics was to put ideology and partisanship aside and support any woman seeking a top political office -- including Bachmann and Palin, two darlings of the tea party movement known for their conservative views on economic and social issues.

But some Democratic leaders dismissed the idea, arguing the electorate is more sophisticated.

"Women don't support women candidates simply because of their status as women, simply because of their gender," said Rep. Debbie Wasserman-Schultz, head of the Democratic National Committee.

Siskind, who has voted Democrat in the past, helped found The New Agenda, a nonpartisan women's advocacy group that united many women who were disappointed after Clinton's defeat.

"We decided that in order to take women forward," said Siskind, "we would have to be a voice for all women -- so put political party and the issue of abortion aside because those were the two issues that were dividing women in half."

"So, for us it was a business model: How can you have a women's movement that excludes half the women?" added Siskind.

In the 2008 general election, women voted overwhelmingly for Democrat Barack Obama for president, picking him 56% to 43% over Republican John McCain, according to CNN exit polls.

Going hard after Democrats

Before the new group even got formally off the ground in mid-2008, its nucleus of Hillary Clinton supporters was courted by John McCain's campaign, according to Siskind.

"McCain sent (former California Republican senatorial candidate) Carly Fiorina  to my home," said Siskind, who used to trade distressed debt on Wall Street, "to meet with a lot of the women that then became The New Agenda to say: What would you want to get McCain's support?"

"One of the things we asked for was to have a woman on the ticket," said Siskind, "and Sarah Palin actually was on our short list (of six women). We did research and learned about her."

When then-Alaska Gov. Palin burst onto the national political stage soon after Clinton formally ended her presidential aspirations, Siskind and Lara Brown, another 2008 Clinton supporter, saw how Palin was falling victim to sexist treatment just as Clinton had.

Brown is an assistant professor of political science at Villanova University whose research has focused on candidates for the presidency. She described Palin in 2008 as "a completely different candidate (from Clinton)" who got "a completely different sexist barrage of commentary."

What was behind the treatment of both Clinton and Palin that at least some political observers viewed as sexist or misogynistic?

"The system that's the problem here, the system that's the barrier is, broadly, patriarchy," said Caroline Heldman, an associate professor at Occidental College. "But, more specifically, when women run for public office, the press is more likely to talk about their dress and appearance, more likely to challenge their competency, more likely to talk about them in kind of 'first woman' terms or like they're oddities or benchwarmers instead of actual candidates."

Heldman noticed that both Clinton and Palin tried to project a public image during the 2008 race that was simultaneously masculine enough to justify being selected as the next president or vice president and feminine enough to satisfy traditional gender roles.

"(Clinton) wore pants suits with pearls. ... She was properly masculine and properly feminine," said Heldman. "(Clinton) did this performance and it didn't quite work. And then Palin is doing this performance where she is taking the line between masculine and feminine and she takes a wide stance. She's hyper-masculine . . . and then she's also hyper-feminine. ... She was still beaten up. (Palin) provided kind of a different brand or approach than Hillary Clinton and it didn't matter."

Bachmann facing same stigma?

Years after Clinton and Palin sought the White House, Bachmann is already starting to encounter some of the same challenges as a female candidate.

"It's already started with Bachmann," Heldman said, referencing treatment by the media that she considers sexist.

"The Chris Wallace question was insulting," said Bachmann campaign spokeswoman Alice Stewart. "Congresswoman Bachmann is a serious candidate. She's an extremely intelligent person. She's successful in her personal life. ... Professionally, she has been a successful tax attorney, been a successful member in state politics, and a successful member of Congress. She's a serious, very credible candidate for the president of the United States. (Wallace) apologized,  she accepted the apology and we've put that behind us."

But Amy Kremer, chairman of the Tea Party Express, was less diplomatic. "I certainly couldn't have seen Chris Wallace asking Mitt Romney or Rick Perry or Tim Pawlenty or one of them, 'Are you a flake?' " said Kremer.

After a breakout performance at the recent CNN Republican debate in New Hampshire, Bachmann has been steadily rising in the polls, particularly with conservative likely GOP caucusgoers in all-important Iowa.

The woman who had been brushed aside for a leadership role in the House Republican Caucus after the 2010 midterms now leads in three recent polls, ahead of all the men and in particular, Mitt Romney, who has been called the front-runner by many.

Making too much of nothing

Have the candidacies of Clinton, Palin and now Bachmann ignited a spark among women across the political spectrum that national Democrats and the Obama re-election campaign should be worried about?

No, said the Democratic National Committee.

"There was a lot made of Sarah Palin being chosen by John McCain and of there being a woman on (the Republican) ticket for the first time in the last election and how attractive that might be especially to Hillary Clinton supporters after the primary ended," said DNC chair Wasserman-Schultz. "I thought that was not credible at the time and said so and it turned out not to be credible."

Wasserman-Schultz said women vote on the issues that matter to them and select the candidate who champions those issues. She pointed out that President Obama has signed the Lilly Ledbetter Fair Pay Act, fought for passage of health care legislation that benefits women, has a number of women in his administration and has appointed two women to the U.S. Supreme Court.

By contrast, the DNC head said that none of the contenders in the current GOP presidential field has Obama's track record when it comes to supporting women and working families and championing equal rights for women, both reproductive rights and rights in the workplace.

Should Palin choose to run for president in this cycle, Wasserman-Schultz predicted that female voters will reject Palin just as they did in 2008. That same fate, she added, will befall Bachmann should she win the GOP nomination.

No matter how Bachmann ultimately fares, her candidacy -- like Palin's before her -- seems to be energizing conservative women in particular. Teri Christoph is a co-founder of Smart Girl Politics Action, a group dedicated to getting more conservative women involved in politics and running for office. Christoph said the rise of conservative women on the national political scene in the past few years "was just the beginning."

"I think we'll learn a lot (by) having Michele Bachmann run (for president) about what kind of things conservative women need to be prepared for if they're going to enter the national spotlight," said Christoph.

@highlight

Former Hillary Clinton supporters now impressed by Republican women

@highlight

Bachmann, Palin seen as best way to break the glass ceiling in presidential politics

@highlight

Democrats dismiss interest, pointing to Palin's defeat in 2008