(CNN) -- The throaty, thumping churn of the military helicopter convoy is a sound like no other.

It's a common sound in Washington, but less so in the skies over Chicago. Barack Obama doesn't get back to his old town much these days.

He did last week; he returned to Illinois for slightly more than 24 hours to celebrate his 49th birthday with some friends, to make a public appearance at an auto plant, to raise some money for upcoming campaigns. And as he arrived late on a wet and cloud-darkened afternoon, there was that baritone rumble of the line of helicopters, there were the Chicagoans looking up toward the president in Marine One, there were the streets closed to traffic in anticipation of his motorcade.

Obama arouses in people such political passions, both positive and negative, that sometime it feels futile to discuss him without knowing that the conversation will veer inevitably into heated partisan territory. Yet there may be some usefulness -- especially for those of us not consumed by politics -- in stepping back, on an occasion like one of his rare returns to Illinois, to consider a lesson inherent in his rise:

Aim high.

It seems pretty simple, after the fact. Obama is president of the United States. Of course he was ambitious; of course he set his sights high, in his successful 2004 campaign for the U.S. Senate and then in the 2008 campaign that took him to the White House. Today those decisions of his are, literally, history.

But it is instructive to think of him not as the man in Marine One, but as the frustrated 41-year-old state legislator in Springfield, Illinois, in January of 2003. He had tried once for an office that would move him onto the national stage; in 2000 he had attempted a run for the United States House of Representatives. He was crushed by a margin of 2-to-1 in the Democratic primary.

By 2003 he was back in Springfield, a face in the crowd. He was known to those who follow state politics closely, and to statehouse reporters, but Obama at the beginning of 2003 could have walked into most restaurants and stores in Chicago and not have turned a single head. There were two marquee political stars in the state: the glamorous new governor, Rod Blagojevich, who had just been sworn in for his first term, and the mayor of Chicago, Richard M. Daley, bearer of the most famous name in local government.

What was Obama to do? Bide his time in Springfield, hoping to achieve increasingly more influential committee assignments? Eventually try once more for the U.S. House of Representatives, after the humiliating rejection in 2000? Put his ambitions for elective office away, and take up the private practice of law?

We know what he did instead.

Aim high.

It doesn't always work; a person can aim high, and fall flat on his face. He can be mocked for even trying, especially when he comes up short.

But as Marine One and its convoy thundered over the edge of where Lake Michigan touches the shore in Chicago last week, as the people on the streets looked skyward, a jury at the Everett M. Dirksen Federal Building a few blocks to the west had just completed another day of deliberations that will determine if Rod Blagojevich will remain a free citizen or will be sent to prison. When Obama, before climbing into the helicopter, had landed at O'Hare International Airport in Air Force One, Richard Daley was waiting patiently in the rain to stand in a receiving line and shake the president's hand.

Things haven't been going particularly smoothly for Obama in recent months; his poll numbers are down, he seems under constant criticism from every direction, his missteps often appear on newspaper front pages and at the top of television newscasts. Why anyone wants the job that a president has is a question that rational people tend to ask themselves from time to time.

Yet when we do take that step back from the frenzy of a given day, and consider the choices a person makes during the course of a lifetime -- the choices about whether to be satisfied with what you have, or to take that leap of faith and try for something beyond what the rest of the world thinks you can do. . . .

I have a copy of a letter, a public document, that I have held onto since November 13, 2008, when it was written.

It's very brief. It was addressed to Blagojevich, who on that day was still the governor of Illinois.

"Dear Mr. Governor:

"I hereby resign effective November 16, 2008 from the United States Senate in order to prepare for my duties as President of the United States.

"Sincerely,

"Barack Obama"

You ask yourself what must go through his mind, in his seat aboard Marine One, as he looks down at the city where he once lived, at the people who live there now, the people peering up toward the chopper convoy's roar.

Impossible things can happen to a person.

But first, a person has to try.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Barack Obama was a state legislator whose advancement was blocked in Illinois

@highlight

Bob Greene recalls Obama rejected idea of staying in place, sought national office

@highlight

Even Obama's critics must be impressed by how he chose to aim high, Greene says

@highlight

Greene: People can accomplish the "impossible," but only if they try