In the mid-1990s, conditions were right for California to build the multilingual economy of the future. A slumping economy needed a boost. A remarkably multilingual population -- including millions of Spanish speakers -- was already in place.

Bilingual education programs -- pioneered and developed in Miami over the prior three decades -- were already being established in school districts from San Diego to San Francisco.

But in 1998, with globalization knocking ever more loudly on its door, Californians voted instead to pass a ballot measure known as Proposition 227 that imposed wide-reaching restrictions on bilingual education, effectively banning it.

They were convinced that California's language diversity -- especially its Spanish -- was a problem to be eradicated, rather than a resource to be developed.

In the 16 years since the measure was approved, California has largely squandered one of its most valuable economic and cultural resources.

Millions of Spanish-speaking immigrant students lost the opportunity to learn or retain valuable literacy skills in Spanish while they acquired English. And, millions of California-born Latinos who enrolled in school with the gift of native bilingualism would later leave school unable to read and write in Spanish.

Fewer Latinos will speak Spanish, more non-Latinos will, report says

When bilingual education mostly disappeared from California in 1998, so did millions of opportunities, economic and otherwise.

Today, Proposition 227 is once again in the news, as California state Sen. Ricardo Lara has proposed legislation designed to repeal it.

This is especially important for the state because come March, the Latino population is projected to surpass that of whites to become the single largest ethnic group.

But as we look back on the banning of bilingual education in California -- and anticipate its end -- we shouldn't lose sight of the broader context in which restrictive language policies have found traction in educational settings in the United States.

A guide to raising bilingual children

In the mid-19th century, the department of the U.S. federal government, known as the Bureau of Indian Affairs, established a series of English-only boarding schools, whose purpose was to "acculturate" or "save" Native Americans, by stamping out the use of languages such as Cherokee, Ojibwe, and Navajo. They were remarkably successful in doing so.

Later, in the first part of the 20th century, anti-German hysteria in the era of World War I resulted in the systematic closing of long standing German language schools. German-speaking communities in the United States never recovered, and, for the most part, no longer exist.

Up until the mid-20th century, schools in parts of Texas segregated Mexican-American students from whites, routinely shaming, punishing, and expelling them for speaking Spanish at school.

A moment I'll never forget from my research there was when an elderly woman described the consequence of speaking Spanish at school as a child. She told me, "Nos echaron afuera. Sí, te expulsaban de la escuela." (They kicked us out. Yes, they used to expel you from school.) The tears welled up in her eyes as she spoke.

But the examples are not only from the past.

Recently, the principal of a public middle school in Hempstead, Texas, made an announcement over the school's intercom system that the use of Spanish would be banned at school, effective immediately. Latino students, approximately half of the student body, also reported being told by teachers they would be punished for speaking Spanish on school grounds.

Restrictive language policies toward Spanish in U.S. schools are especially common, in part because the nature of Spanish and Spanish speakers in this country remain deeply misunderstood among the general public.

Consider how the following myths about Spanish in the U.S. differ from empirical reality.

Myth No. 1: Latinos in the U.S. do not want to /cannot /will not learn English

Social science data show that Latinos learn English at a rate as fast or faster than that of prior immigrant groups. In over a decade of studying language in U.S. Latino communities, I have yet to meet a single young person who has not desperately wanted to know English, nor have I found a single reference to such a phenomenon in the work of my fellow linguists.

Myth No. 2: Speaking Spanish at school detracts from learning English

This belief is premised on a false dichotomy that pits knowing Spanish against learning English. Fortunately, for non-language-impaired children, knowing one language is not a roadblock in the acquisition of another. In fact, some evidence suggests that policies restricting the use of the home language actually have negative effects on the acquisition of literacy skills in English.

Myth No. 3: Children will simply learn Spanish in the home

People tend to think language can be acquired just by receiving enough inputs to "crack the code" -- that hearing mom and dad speaking Spanish is enough. But language is much more than the sum of its rules. Language is also the identity you make in it -- the experiences, the relationships, and the memories that come from using the language across many contexts. In many U.S. Latino communities, receptive bilingualism -- a pattern in which parents speak to children in Spanish, who respond in English -- is common. While comprehension is an important language skill, speech production and literacy skills are equally necessary for jobs in the growing bilingual labor market.

Myth No. 4: Spanish is taking over U.S. schools

While it is true that the overall number of Spanish speakers in the U.S. is expected to increase, this is due to new immigration. U.S. language history shows that immigrant languages are mostly or completely lost by the third generation. Research shows that Spanish is being lost across generations at roughly the same rate as previous immigrant languages such as Italian and Dutch.

Lifelong bilinguals may have more efficient brains

Looking back, it's clear that restrictive language policies such as Proposition 227 have been problematic all along, but in our era of globalization, education that seeks to eradicate the native bilingualism of its students makes less sense than ever in economic and sociocultural terms.

Now with some 45 million speakers and a 500-year history, Spanish in the United States is an economic and cultural resource to be cherished and carefully cultivated, not dismantled one generation after the next.

It is therefore time to thoroughly rethink the system that takes Spanish away from young children, only to feebly reintroduce it to them 10 years later as "a foreign language." At that point it is mostly too late.

What is instead now desperately needed is linguistically informed education policy that supports the acquisition and maintenance of both languages for all students who want to develop bilingual fluency. We need not force our students to choose one language or the other -- they can have both.

@highlight

Law banning bilingual education in California schools may be overturned by new bill

@highlight

"California has squandered one of its most valuable economic and cultural resources"

@highlight

Language and Spanish speakers are deeply misunderstood among the general public

@highlight

4 myths about Spanish in the U.S. differ from empirical reality