Tokyo (CNN) -- What appeared to be smoke was rising Tuesday from two adjacent reactors in the damaged Fukushima Daiichi nuclear power plant, a nuclear safety official said.

Smoke spewed Monday from the same reactors, setbacks that came despite fervent efforts to prevent the further release of radioactive materials at the stricken facility.

Hidehiko Nishiyama, an official with Japan's Nuclear and Industrial Safety Agency, said smoke was rising from the plant's No. 2 and No. 3 reactors. It was not immediately clear why.

On Monday, after 6 p.m., white smoke was seen emanating from the facility's No. 2 reactor, according to Nishiyama. About two hours earlier, workers were evacuated from the area around the No. 3 reactor after gray smoke began to rise from the wreckage of its steel-and-concrete housing, which was blown apart by a hydrogen explosion last week.

The No. 3 reactor has been the top priority for authorities trying to contain damage to the plant and stave off a possible meltdown. Its fuel includes a small percentage of plutonium mixed with the uranium in its fuel rods, which experts say could cause more harm than regular uranium fuels in the event of a meltdown.

Nishiyama said there was no evident explosion, spike in radiation or injuries at the No. 3 reactor Monday. The smoke was coming from the building's southeastern side, where the reactor's spent nuclear fuel pool is located, but the origin of the smoke at either reactor was unknown.

The coolant pools contain spent fuel rods that still generate high amounts of heat. Authorities have been working to keep them full to prevent the rods from being exposed. The nuclear agency estimated that, between roughly 9 p.m. Sunday to 4 a.m. Monday, 1,170 tons of water were sprayed on the reactor and its fuel pool.

In Geneva, Switzerland, the head of the International Atomic Energy Agency warned that while signs of improvement at the site are evident, the plant "has been seriously damaged by flood water and is littered with debris."

"The crisis has still not been resolved, and the situation at the Fukushima Daiichi nuclear power plant remains very serious," Yukiya Amano, the director-general of the U.N. nuclear watchdog agency, told its board of governors Monday after a visit to the site.

"Buildings have been damaged by explosions," he said. "There has, for the most part, been no electric power. Radiation levels are elevated. It is no exaggeration to describe the work of the emergency teams as heroic."

On the other hand, Amano told reporters, rising pressure inside the containment unit at reactor No. 3, a concern from the weekend, was down and power had been restored to some of the reactors.

The plant's owner, the Tokyo Electric Power Company, has been working to restore electricity to the damaged plant after it was hit by the massive earthquake and tsunami the struck northern Japan on March 11. The electric company told CNN on Monday that electrical cables had been laid to connect the No. 3 reactor and the neighboring No. 4 reactor with an outside power source.

That meant that power could now be funneled to all six of the plant's reactors for its cooling systems. But electricity was still not moving to units No. 1 through No. 4 because the quake and tsunami had damaged numerous pumps and other gear.

A Tokyo Electric official said spare parts were being brought in so that everything could work again.

The disaster has killed more than 8,900 people and left close to 13,000 missing, many of them killed as a wall of water rushed in following the quake. Ever since, authorities have been working to avert further crisis -- and prevent more deaths -- at the Fukushima Daiichi plant, some 240 kilometers (150 miles) north of Tokyo.

Those efforts include the possibility of encasing one or more of the reactors in concrete, a last-ditch effort similar to what was done after the 1986 meltdown at the Chernobyl nuclear plant in the former Soviet Union -- considered the worst nuclear disaster at a plant.

Japan's nuclear agency said Monday that it expected to conduct tests on what it called a "concrete pump engine," which the agency initially said would pump a mix of mortar and water into the No. 4 reactor's spent nuclear fuel pool and containment vessel, the agency said.

But Tokyo Electric said later that the device would be used only to pour water, not the mortar mixture.

In just over two hours on Monday morning alone, 13 fire engines sprayed about 90 tons of water toward that reactor in an attempt to cool it down.

A Tokyo Electric official told CNN that six workers trying to restore electricity to that reactor have been exposed to more than 100 millisieverts of radiation. For reference, an individual in a developed country naturally is exposed to 3 millisieverts of radiation a year -- though Japan's Ministry of Health, Labor, and Welfare has reset the exposure level upward to 250 millisieverts for those trying to combat the crisis at the Fukushima plant. That is 2.5 times the previous limit, according to the ministry.

These efforts came as concerns remained high about the impact that already emitted radiation has had on food, water and people within range of the Fukushima facility.

Very small amounts -- far below the level of concern -- of radioactive iodine have been detected in tap water in Tokyo and most prefectures near the plant. The health ministry said levels of radioactive iodine three times greater than the regulated standard were found in drinking water in a village near the plant and asked residents not to drink from the tap, Kyodo News reported Sunday.

High levels of radioactive substances have also been found in seawater near the plant, Tokyo Electric said Tuesday, adding that the results do not represent a threat to human health.

The Japanese government has banned the sale of raw milk from Fukushima Prefecture, where the  plant is located, and prohibited the sale of spinach from neighboring Ibaraki Prefecture after finding levels of radioactive iodine and cesium higher than government standards, the country's health ministry reported. And officials in Fukushima halted the distribution of locally grown vegetables outside the prefecture.

Chief Cabinet Secretary Yukio Edano said the contaminated milk detected in Fukushima Prefecture had not been distributed or sold.

On Saturday, officials said tainted milk was found 30 kilometers (about 18 miles) from the plant, and spinach was collected as far as 100 kilometers (62 miles) to the south, almost halfway to Tokyo. That prompted a statement of concern from the World Health Organization, which said early Monday that the spread of contamination was "more serious" than initially expected.

"It's new and something we're watching," WHO spokesman Peter Cordingley told CNN. But he said the reported levels of radioactivity posed no short-term health risk, and Japanese officials were taking a "very precautionary" stance.

"Nobody is seeing that there's an immediate health problem," Cordingley said.

The latest results accumulated and posted online by Japan's Education, Science and Technology Ministry showed slight but notable upticks in airborne radiation readings around Japan in recent days. But even the highest readings -- .11 millisieverts some 30 kilometers northwest of the plant -- were still considered significantly below what's considered dangerous to humans.

Nevertheless, the USS George Washington pulled out of its port in Yokosuka, about 45 kilometers (28 miles) south of Tokyo, "as a precaution," according to a posting on the ship's Facebook page. The ship will remain off the coast of Japan, the posting said. The U.S. Navy previously repositioned the USS Ronald Reagan after radiation detectors found minute traces of contamination on sailors and equipment.

The U.S. military is also considering the mandatory evacuation of thousands of American troops and their families in Japan out of concern over rising radiation levels, a senior defense official tells CNN.

The official, who did not want to be on the record talking about ongoing deliberations, said the talks have focused exclusively on U.S. troops in Yokosuka, just south of Tokyo. Yokosuka is home to America's largest naval base in Japan.

The United States will start Tuesday to distribute potassium iodide pills to government, military and civilian personnel and their dependants, "out of an abundance of caution," the State Department said Monday. The pills are commonly prescribed to curb the ill effects of radiation exposure.

Nature has helped to minimize airborne exposure since the quake, as winds from the northwest have blown many emissions from the  plant out to sea. But the wind direction is expected to change through Wednesday, potentially pushing more of the material to the southwest and over land.

"People are watching," said Akira Shioi, who lives in Kawasaki. "And people have greater concern than ever about the nuclear power plant incident."

CNN's Junko Ogura, Catherine E. Shoichet, Matt Smith and Yoko Wakatsuki contributed to this report

@highlight

NEW: The U.S. military is considering mandatory evacuations in Yokosuka, an official says

@highlight

High levels of radioactive iodine and cesium have been found in milk and spinach

@highlight

WHO says there's no immediate health risk from contaminated food