(CNN) -- Portuguese sailors called it the Gates of Hell.

Namibia's Bushmen speak of the land God made in anger.

From the air, the bleak shoreline of the Skeleton Coast looks wonderful -- a deep green sea, fringed with surf, breaks over a shore receding into infinite dunes.

From land, it's a different story.

The Benguela Current rushes in, urgent and strong, hurtling the chilling Atlantic into the fierce heat of the Namib.

Whale and seal skeletons from the former whaling industry still litter the coastline -- the source of the region's frightening name.

Humans have suffered, too -- the remains of ships wrecked on the hidden rocks offshore rust and crumble beside the animal bones.

Survivors didn't last long in this harsh environment.

Punishing trip?

Why, then, visit this brutal-sounding place?

Because its forbidding nature has left Namibia's Skeleton Coast one of the most pristine shorelines in the world.

It may be bleak, but it's beautiful.

The territory extends from just north of the city of Swakopmund to the Angolan border in northwest Namibia, taking in 500 kilometers of shoreline and 2 million hectares of dunes and gravel plains.

It forms a national park, divided by rivers.

More: 9 not-in-the-guidebook Africa safari tips

The southern section runs between the Ugab and Hoanib Rivers, the north between the Hoanib and Kunene.

Independent travelers can apply for permits for day trips but only to the south -- and it's the northern extremes, the Skeleton Coast Wilderness, that most people want to see.

Visitors to the latter part of the park are restricted to around 800 a year to preserve the fragile environment.

Exclusive and expensive

The only way to reach the north is to join a fly-in safari -- an exclusive, if expensive, experience.

A typical four-day trip costs around $6,000 per person.

After flying to an inland camp, my guide, Bariar, and I reach the sea following a 200-kilometer drive through dune country.

We climb out of the Land Rover into a huge animal graveyard: seal skulls jumbled with turtles' rib cages and the colossal, bleached vertebrae of whales.

The wind shunts me from one set of remains to the next.

One ghoulish question suggests itself: "Are there human skeletons, too?"

"Of course!" Bariar shouts, his voice almost lost in the wind.

"It's the shore of a thousand shipwrecks."

Wreck-spotting

One of the coast's best-known wrecks is a British liner, the Dunedin Star, beached by her master after hitting a reef (some say a U-boat) in the 1940s.

A tug, the Sir Charles Elliott, went to her aid but it sank, too.

An arch of whale bones marks the grave of the two crewmen who led the rescue attempt, trying in vain to secure a line from the ship to the shore.

Every now and then the wreck of their tug can be seen above the waves.

More: 10 things to know before visiting South Africa

At Cape Frio, thousands of seals provide light relief. Their noise is deafening, their smell overwhelming, but their antics draw you in.

The surf is full of writhing bodies.

At the water's edge, the occasional rock twitches, rolls over and throws itself into the sea.

We follow the coastline for miles.

Ours are the only tire marks, soon to be erased by the sand.

Ghost crabs scuttle into the waves; terns swoop over the surf; a jackal flops, seemingly exhausted, onto the shore.

Little game

When it comes to watching wildlife, the Skeleton Coast isn't about big game.

Guides focus on small mammals, birds and insects and the stories of how they survive.

With ocean fogs the only moisture supply, creatures conserve what they can.

Black-backed jackals lick humidity from stones.

Desert beetles channel droplets along their backs and into their mouths.

Tok-tokkie beetles pair up, then climb on top of one another, taking it in turns to provide shade.

Without compass or Sat Nav, Bariar drives us on a convoluted route back into the desert.

He suggests I look out the window for "unexpected stones" -- indicators to turn left or right or double back a touch.

They're meant to keep vehicles on course and not flatten tracts of this delicate ecosystem.

Hear the dunes roar

We arrive at the legendary "roaring" dunes, climb to the top and slide down on our butts.

I know the fearsome rumble comes from air trapped between grains of sand, but I still glance up convinced there are low-flying jets overhead.

The next couple of days are spent hiking through gorges, tracking desert-adapted elephants and exploring a wilderness that never seems to end.

What looks like wasteland to me is, to the Himba people, home.

More: Zimbabwe proposes "Disneyland in Africa"

They're the last of Namibia's nomadic pastoralists: they grow nothing and eat only meat.

The women braid their hair and scrub their bodies with ocher to keep clean. Their skin gleams like polished copper in the sun.

One morning, we visit their camp.

The trip is laid on for tourists, but when it's over we head to the home of one of the guides on the tour.

His mother offers me a necklace of porcupine quills as young girls sit and smile.

Eventually they overcome their shyness and get up to sing.

As I leave, I notice a small boy, eyeing me from the top of a dune.

Keen to impress, he somersaults over the top and falls flat on his face in the sand.

He gets up, shakes himself down and laughs.

Even in this tough environment, the survivors find plenty of reasons to smile.

Wilderness Safaris (+27 11 807 1800) and Skeleton Coast Safaris (+264 61 224 248) are two companies providing tours of Namibia's Skeleton Coast.

Karen Bowerman is a travel writer and former BBC broadcaster who specializes in conservation issues and adventure travel.

@highlight

Only 800 people a year allowed to visit bleak but beautiful region

@highlight

Skeletons from whaling industry litter shoreline -- hence the macabre name

@highlight

Wildlife watching mostly small scale here, not Africa's usual big game

@highlight

Human inhabitants, Namibia's last pastoralists, eat only meat