(CNN) -- In some ways, it's not surprising that Russians were happy to vote Vladimir Putin back into the presidency in 2012. After all, the economy grew by an average of 7% from Putin's emergence in 1999 as a national politician, through his first two terms as president until May 2008, while real incomes more than doubled. Pensions were paid, and Putin had been able to brag in his last annual address to the Federal Assembly that "not only has Russia now made a full turnaround after years of industrial decline, it has become one of the world's ten biggest economies."

It may have been Putin's bellicose rhetoric and shirtless photo opportunities that grabbed headlines overseas, but the fact is, his popularity was fundamentally based on the perception of growing prosperity for Russian citizens. The problem for Putin now is that the remarkably felicitous combination of economic factors that fueled his popularity for so long seems to be crumbling around him.

Tumbling oil prices have been one factor. Oil production increased 50% from 1999 to 2004, providing a real boon to the country's coffers as the oil price soared to a peak of over $140 a barrel in July 2008 (compared with about half that today).

But even while macroeconomic indicators remained robust, there was a consensus among analysts that the previous drivers of Russian economic growth were exhausted, and that the government needed to return to a reform agenda to improve the investment environment, reduce red tape, and curb corruption, among other measures. Unfortunately, since returning to the presidency, Putin and his administration have disregarded this advice.

For those of us who studied the Soviet experience in the early 1980s, a period when economic growth was near zero despite a massive windfall of petro-dollars, it started to feel like deja vu all over again. Indeed, by early 2014, even before the annexation of Crimea, there were clear signs of further economic deterioration as the ruble fell by 10% and first quarter capital outflows ballooned to a record rate of $50 billion.

But over the summer and into the fall, the imposition of serious Western sanctions over Russian aggression in Ukraine and a more than 30% drop in the oil price have combined to suggest that a perfect storm is finally brewing that may make Putin's first near-decade in power look like a distant and fond memory.

Just as earlier Russian leaders Mikhail Gorbachev and Boris Yeltsin ended up unpopular mainly as a result of economic deprivation, a prolonged economic downturn in Russia would deeply erode the current wave of popularity that Putin is riding after the euphoria of annexing Crimea. The danger to his presidency was underscored as he delivered an aggressive and defiant State of the Union address this past week warning about unnamed enemies (although the U.S. and Europe were the implied targets) seeking to weaken Russia. The rhetoric seemed flat, especially so when juxtaposed with the wave of bad economic news and the fact that he chose not to seriously discuss the challenges the country is facing.

How bad have things gotten?

In the past week, the Finance Ministry downgraded expectations of 1.2% growth in 2015 to a contraction of 0.8%. Meanwhile, the ruble has lost more than 50% of its value since the beginning of the year, despite the Russian Central Bank spending more than $70 billion to defend it. In fact, by the middle of last month, Russian reserves were $103 billion less than at the beginning of the year.

Worse, the Finance Ministry's estimates could actually look optimistic a year from now, as they are based on an $80 per barrel oil price. Given the recent growth in production, including U.S. shale oil, the oil price could easily fall further and remain low.

Since revenues from oil and gas exports make up about half of the Russian federal budget, Moscow's capacity to meet existing social welfare obligations -- let alone plans for expanded defense spending -- will be curtailed. (And this does not even account for the increased costs to Moscow related to the annexation of Crimea and its activities in Eastern Ukraine, where a large-scale humanitarian catastrophe is developing as winter sets in.)

There are already ominous signs of potential social unrest. Protesters marched in 40 cities across Russia last month over planned reductions in health care spending in 2015 of up to 20%. On December 2, Putin announced a freeze on government salaries that, in the context of an inflation rate of more than 8%, will see many facing a significant drop in their salaries.

Almost a decade ago, I wrote that Putin was very lucky to emerge at a time of such positive economic conditions, many of which lay beyond his control. The situation today, however, is not so much that luck has turned against him, but that he has failed to address structural weaknesses in the Russian economy even as he conducts a not-so-covert war against his neighbor.

When Putin returned to the presidency in 2012, most Russians and outside observers seemed resigned to at least another 12 years of his leadership, through 2024. But as things stand, not only do recent events call his re-election in 2018 into question, but if economic decline continues, the Duma elections scheduled for 2016 could shake the system.

Any student of Russian history knows that Russia's path is frequently disrupted by nonlinear events, and today it appears increasingly possible that another could happen even in the next few years. If it does, Putin will end up lying on the dust heap of history.

It couldn't happen to a nicer guy.

@highlight

Andrew Kuchins: Growing economy was behind Putin's popularity

@highlight

Kuchins: Plunging oil prices hitting state coffers

@highlight

There are already ominous signs of potential social unrest, he says