Replete in felt peak caps and with long embroidered coats, the eagle hunters of Kazakhstan are an arresting sight.

With golden eagles, some standing almost 3-feet-high perched on their arms, they also carry with pride the Kazakh tradition of hunting using birds of prey that stretches back to the days of Genghis Khan.

The practice of hunting with eagles and falcons was almost wiped out by the Soviets who regarded it as a feudal throwback, but thanks to organized eagle-hunting competitions - and a growing interest in Kazakh traditions - the eagle hunters are making a comeback.

A bird show at Sunkar Raptor Sanctuary, situated outside the city of Almaty, uses a wolf-skin lure to demonstrate the lethal striking ability of trained eagles.

One of the world's largest birds of prey, a golden eagle can swoop on quarry as large as a wolf, reaching speeds of 120 mph in its initial strike. Its talons can exert pressure of upwards of 200 pounds per square inch, allowing it to hold down prey while ripping into it with a razor-sharp hooked beak.

According to Paul Pfander, one the leading bird handlers in Kazakhstan, hunting with eagles is unique to the country and neighboring Kyrgyzstan, noting that there are now some 50 eagle handlers Kazakhstan.

"Most of eagle handlers are happy to make a living posing for photographs for tourists," says Pfander, but he notes that there is a very small group of around 10 traditional eagle hunters still who ride the Kazakh steppes seeking out live prey.

As interest in the Kazakh tradition of falconry and eagling increases, shows such as those at the Sunkar sanctuary are helping to finance programs to preserve the Central Asian habitat of another of the country's birds of prey, the saker falcon.

"There are a lot more conservation groups now," says Pfander. "And they are attracting a lot more money than before."

It's an important project as Kazakhstan's falcons, unlike its eagles, are in the sights of poachers.

"I would say in the past two decades the numbers of saker falcons (in Kazakhstan) has dropped by 90%," says Pfander. The birds are listed as "endangered" on the IUCN's Red List of Threatened Species that notes the species "may be undergoing a very rapid decline".

Wealthy states in the Middle East like the UAE are the main destination for wild-caught birds, where a falcon perched on the leather glove of a rich Emirati is as potent a status symbol as a private jet or top-end Mercedes.

Efforts to send birds back to Kazakhstan, like a recent program by the Abu Dhabi Falcon Hospital to return 66 falcons to their natural habitat, are small in comparison to the size of the market.

The 150 birds bred each year as part of the Sunkar Raptor Sanctuary's breeding program also represent a mere drop in the bucket compared to the estimated thousands smuggled out of the country.

The international black market in hunting falcons is estimated to be worth as much as $300 million a year, according to conservation groups, with gyr, saker and peregrine falcons commanding as much as $200,000 a bird.

It is so lucrative that a 2010 documentary called "Feathered Cocaine" alleged it is linked to the murky world of funding for Islamic terrorism.

Pfander believes the problem is a simple equation of too many people, too few nature reserves and a thriving foreign market.

"Now you can drive anywhere in Kazakhstan and this allows people to get to more and more areas of the falcons' habitat," he says. "There are specialist teams operating that capture wild falcons. It's a very organized, it has its own hierarchy and everyone knows who they are -- it's a kind of Mafia," he adds.

Despite the problems for the saker falcon, the Kazakh tradition of hunting with birds of prey -- especially the golden eagle - is not likely to die out in the near future.

The sheer size of the bird, mixed with the difficulty of training a raptor that can present as much a danger to its handler as its prey, means its numbers in Kazakhstan are presently stable.

"There is just no foreign market for these birds," says Pfander.

@highlight

Tradition of hunting with golden eagles remains in Kazakhstan

@highlight

Most handlers survive through doing shows, although some use to hunt

@highlight

Kazakhstan's falcons targeted by poachers for sale in Middle East

@highlight

Number of native saker falcons in wild is rapidly declining