A highly anticipated test of an experimental Ebola vaccine will begin this week at the National Institutes of Health, amid mounting anxiety about the spread of the deadly virus in West Africa.

After an expedited review by the U.S. Food and Drug Administration, researchers were given the green light to begin what's called a human safety trial, said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases (NIAID).

It will be the first test of this type of Ebola vaccine in humans.

The experimental vaccine, developed by the pharmaceutical company GlaxoSmithKline and the NIAID, will first be given to three healthy human volunteers to see if they suffer any adverse effects. If deemed safe, it will then be given to another small group of volunteers, aged 18 to 50, to see if it produces a strong immune response to the virus. All will be monitored closely for side effects.

The vaccine will be administered to volunteers by an injection in the deltoid muscle of their arm, first in a lower dose, then later in a higher dose after the safety of the vaccine has been determined.

Some of the preclinical studies that are normally done on these types of vaccines were waived by the FDA during the expedited review, Fauci said, so "we want to take extra special care that we go slowly with the dosing."

The vaccine did extremely well in earlier trials with chimpanzees, Fauci said. He noted that the method being used to prompt an immune response to Ebola cannot cause a healthy individual to become infected with the virus.

Still, he said, "I have been fooled enough in my many years of experience... you really can't predict what you will see (in humans)."

According to the NIH, the vaccine will also be tested on healthy volunteers in the United Kingdom, Gambia and Mali, once details are finalized with health officials in those countries.

CDC director raises Ebola alarm

Trials cannot currently be done in the four countries affected by the recent outbreak -- Guinea, Sierra Leone, Liberia and Nigeria -- because the existing health care infrastructure wouldn't support them, Fauci said. Gambia and Mali were selected because the NIH has "long-standing collaborative relationships" with researchers in those countries.

According to the NIH, officials from the Centers for Disease Control and Prevention are also in talks with health officials from Nigeria about conducting part of the safety trial there.

Funding from an international consortium formed to fight Ebola will enable GlaxoSmithKline to begin manufacturing up to 10,000 additional doses of the vaccine while clinical trials are ongoing, the pharmaceutical company said in a statement. These doses would be made available if the World Health Organization decides to allow emergency immunizations in high-risk communities.

The GSK/NIAID vaccine is one of two leading candidate vaccines. The other was developed by the Public Health Agency of Canada and licensed this month to NewLink Genetics, a company based in Iowa.

According to the NIH, safety trials of that vaccine will start this fall.

Ebola victim: 'I felt like I was about to die'

Earlier this month, the Canadian government shipped what it said was "800 to 1,000" doses of that vaccine to Liberia, at the government's request. It's not clear whether it has been given to health workers or anyone else there.

Worth noting: In 2009, an earlier version of the vaccine was given to a lab worker in Germany after he thought he had pricked himself with a needle tainted with Ebola. He did not develop the disease.

While there currently is no proven treatment for Ebola beyond supportive care, government agencies and small biotech firms have been scrambling to speed up development of several potential therapies and vaccines.

A third vaccine, also developed by the NIH, was recently tested in primates and found to protect them from infection; it was given in combination with Depovax, an adjuvant that has been used with other vaccines and cancer therapies to boost the body's immune response.

While vaccines might be given to prevent infection among health workers or other people thought to be at high risk,  development has also been sped up on drugs that might potentially be given to patients who already have the disease.

The drug that's received the most attention is ZMapp, which has been given to at least seven individuals in the current outbreak, including two American missionary medical workers, Nancy Writebol and Dr. Kent Brantly.

The drug has never been formally tested in humans, and while the results in human patients are encouraging -- five of the seven known to have received it are still alive -- experts say there is too little data to say whether it played a role in their recoveries.

Are myths making the Ebola outbreak worse?

Earlier versions of ZMapp, which received backing from the U.S. and Canadian governments as well as from biotech firms, have shown some ability to protect rhesus macaque monkeys more than two days after they were infected with the virus.

The U.S. Department of Health and Human Services announced on Tuesday a $24.9 million, 18-month contract with ZMapp's manufacturer, Mapp Biopharmaceutical, to accelerate the development of the medication.

Mapp will make "a small amount of the drug for early stage clinical safety studies and nonclinical studies" to gauge how the drug works on people, the HHS department said in a news release. The various new steps "will contribute to increasing the amount of product potentially available to treat patients with Ebola."

Another drug, TKM-Ebola, has been tested for safety in a small number of humans. That trial was put on hold in January, after one volunteer developed moderate gastrointestinal side effects after receiving a high dose of the medication.

Last month, the FDA modified the hold to a "partial clinical hold." In effect, this means that Tekmira could potentially be allowed to give the drug to doctors or hospitals who request it, on an emergency basis. There's no indication that the company has received any such requests.

The vaccine going into trials this week is based on an adenovirus -- a type of cold virus -- that's found in chimpanzees. The virus delivers genetic material derived from two species of Ebola virus, including the Zaire strain that's responsible for the current outbreak. Those genes are meant to trigger the development of antibodies in the person who receives the vaccine, antibodies that can specifically defend against Ebola.

Another trial, using a version of the GSK/NIAID vaccine that uses only the Zaire strain of Ebola, will be launched in October, according to the NIH.

All participants in the trial will be evaluated nine times over a 48-week period. NIH expects to reveal the results of the trial by the end of the year.

If it's approved for widespread use, the first priority will be to give the vaccine to health care workers or lab workers who are fighting the spread of the virus, Fauci said. It will then be considered for people in the communities where outbreaks occur.

Nine things to know about the killer disease

What happens when you survive Ebola?

@highlight

U.S. reaches contract for development of experimental ZMapp drug

@highlight

FDA gives green light for Ebola vaccine human safety trial to begin

@highlight

This will be the first test of this type of Ebola vaccine in humans

@highlight

Vaccine will be given to 20 healthy volunteers at the NIH in Maryland