President George H.W. Bush appointed me as the nation's first director of national drug control policy -- or "drug czar" -- in 1989. We took on many big fights, the largest of which was the cocaine epidemic spreading from the jungles of Colombia to the streets of the United States. We conducted an all-out assault on drugs through tough enforcement measures and public education. Contrary to "war on drugs" critics, drug use and addiction dropped across the country.

The issue of marijuana legalization was far less prominent than it is today, although even then, some argued that we should experiment with legalization. I told them not on my watch; the cost to society would be too great.

If you don't want to take my word that it can be harmful, perhaps you'll take Lady Gaga's.

In a recent interview, the world-famous pop star admitted she was heavily addicted to marijuana. "I have been addicted to it and it's ultimately related to anxiety coping and it's a form of self-medication and I was smoking up to 15 or 20 marijuana cigarettes a day with no tobacco," she said. "I was living on a totally other psychedelic plane, numbing myself completely."

Lady Gaga said she was speaking out to bust the myth that marijuana is just a harmless plant. "I just want young kids to know that you actually can become addicted to it, and there's this sentiment that you can't and that's actually not true."

Today a fully functioning experiment in legal marijuana for adults is going on in Colorado and another one is set to begin later this year in Washington. Supreme Court Justice Louis Brandeis once remarked that in our democratic Republic, the states are the laboratories of democracy. We are running a few labs now and shall see what happens.

But, as with any public debate, we need to hear all sides. So far, the advocates of marijuana legalization have dominated the public arena. It's certainly had an effect. According to a new CNN poll, a majority of Americans support legalizing marijuana. But where are the voices of the wounded? Where is the outrage from the families who have been hurt?

We know they are out there. More Americans are admitted to treatment facilities for marijuana use than any other illegal drug.

I've talked to parents all over the country who lost children to drug abuse -- not to marijuana alone; though in many cases it was a gateway drug or part of their deadly drug concoction. People have been deeply hurt by drug related accidents or spent thousands of dollars on drug rehabilitation. We need to hear their voices.

During my tenure as drug czar, I traveled to more than 120 communities to see firsthand the impact of illegal drugs. Among those visits was a trip to Boston to take part in drug busts in some of the city's most broken and dangerous neighborhoods. Not once during that visit did a parent or community leader advocate for legalization or loosening drug restrictions. Rather, they wanted the drugs confiscated and drug dealers locked up. They knew the damage drugs had inflicted on their children and communities.

That same evening Harvard University held a discussion on drugs and law enforcement. There I listened to scores of academics argue for legalizing or decriminalizing drugs.

It's hardly an exercise in intellectual rigor for those in the middle- and upper-class who live in areas with little crime and violence to be willing to experiment with drug legalization. They live far removed from the realities of the drug trade. But travel to its core, to the slums and projects run by ruthless drug dealers, and these intellectuals may rethink their position.

It's a myth that marijuana, because it is not as harmful as cocaine, heroin or some other illegal hard drugs, is safe or safe enough to warrant legalization. Opponents contest that marijuana hasn't ravaged communities or that the drug itself isn't to blame.

But that's not true. It's ravaged the community of the young.

Marijuana is the most widely used drug in the country, especially among young people. According to the 2012 National Survey on Drug Use and Health, "of the 7.3 million persons aged 12 or older classified with illicit drug dependence or abuse in 2012, 4.3 million persons had marijuana dependence or abuse," making marijuana the drug with the largest number of people with dependence or abuse.

The medical community has warned about the danger.

A recent Northwestern University study found that marijuana users have abnormal brain structure and poor memory and that chronic marijuana abuse may lead to brain changes resembling schizophrenia. The study also reported that the younger the person starts using marijuana, the worse the effects become.

In its own report arguing against marijuana legalization, the American Medical Association said: "Heavy cannabis use in adolescence causes persistent impairments in neurocognitive performance and IQ, and use is associated with increased rates of anxiety, mood and psychotic thought disorders."

The country can ill-afford a costly experiment with drugs. While we are undergoing a national debate over improving health care costs and education performance, legalizing marijuana will undercut those vital missions.

We will wait and see what Colorado's and Washington's experiments hold, but I expect that after several years, we will see marijuana use rise dramatically, even among adolescents. The states will come to regret their decisions.

As the late, great political scientist James Q. Wilson remarked, "The central problem with legalizing drugs is that it will increase drug consumption" -- and all its inherent harm.

@highlight

William Bennett, nation's first "drug czar," believes legal marijuana is bad for society

@highlight

Bennett says Lady Gaga agrees that pot is addictive and not just a harmless plant

@highlight

Bennett: Medical studies find chronic use leads to abnormal brain structure, bad memory

@highlight

Bennett: Colorado and Washington will come to regret decision to legalize pot for adults