Hong Kong (CNN) -- Want to be an Asian superpower? Then an aircraft carrier, it seems, is the minimum requirement for joining this elite club.

In China, a retro-fitted former Ukrainian carrier dating back to the Soviet era is the flagship of the country's hopes for a "blue water" navy -- a fleet that can operate on the high seas thousands of nautical miles from base. India has launched its first home built aircraft carrier as part of a plan to operate three carrier battle groups by 2020.

And Japan -- whose navy is officially classed as a self-defense force -- has controversially unveiled what it has classed as a flat-topped helicopter destroyer, but to China looks perilously akin to an aircraft carrier.

This latest piece of must-have military hardware might be expensive to build, logistically complex to operate and costly to defend -- and in the context of drone and submarine technology, some argue, increasingly obsolete - but the aircraft carrier is still regarded as one of the strongest projections of a nation's military power.

More image than action?

The carrier race comes amid rising assertiveness of Asian's military powers and changing conditions in the region.

For Japan, it's a counter to the rising power of China and the threat from North Korea. For India, its carrier flexes its muscle in the direction of Pakistan while China wants to project power along its trade routes and regional interests.

Just 20 aircraft carriers are active throughout the world and the U.S. Navy operates 10 of them. For many military analysts, however, the value of a carrier lies in having one rather than ever using one.

Ashley Townshend, Joan Rydon Scholar in Government at Oxford University, says there is a disconnect between what an aircraft carrier projects and what it can actually do.

"Needing an aircraft carrier and wanting one are two different things," Townshend told CNN, adding that Asia -- despite recent headlines -- has had a long history of aircraft carrier operation.

"India has operated carriers before; China hasn't but China is a new foray into carrier naval warfare/carrier naval operations," he said. "Japan interestingly had the world's first aircraft carrier."

Costly carrier

As an indication of how much a carrier costs, Britain is plowing an estimated Â£5 billion (US$8 billion) into its new carrier Queen Elizabeth. It is so large that it is being constructed in sections at six shipyards around the United Kingdom before being slotted together at Rosyth in Fife, Scotland.

Perhaps fittingly for China's biggest naval gamble, its refurbished Ukrainian carrier was once touted to become a casino in Macau, a Special Administrative Region (SAR) of China and a gambling center.

"This is really its initial training platform," said Townshend. "It's unlikely that this carrier would be able to pack the sort of punch that would make it useful as a power projection carrier outside of limited and asymmetric incidents in Asia.

"You could conceivably ship it down into the South China Sea for the purposes of intimidating weaker South East Asian nations -- but that carries with it a lot of risks not least the proliferation of anti-carrier anti-sea control platforms in Asia."

Vulnerable

He said submarines, ship-launched and land-based ballistic missiles all make aircraft carriers vulnerable to attack in the context of modern conventional warfare.

"The sort of things, interestingly, that China has been building to keep the U.S. out of the Taiwan Strait are also being built by South East Asian nations to keep large scale Chinese naval platforms from being as powerful as they might be in the region."

While India, China and Japan may have deep pockets, the technology and military infrastructure necessary to operate what amounts to a floating military city for thousands of personnel still lags among these Asian superpowers.

Military analyst Michael Horowitz, associate professor of political science at the University of Pennsylvania, in his book The Diffusion of Military Power, says learning to operate an aircraft carrier is difficult and time-consuming

"Carrier warfare is one of the only major military innovations requiring high levels of both financial intensity and organizational capital to adopt," he said. "Operating a floating airfield and the ship itself, plus coordinating with support ships, is simply a much harder set of tasks than lining up the big guns of a battleship and firing."

Carrier losses

Aircraft carriers also have one of the highest attrition rates of any arm of the military. According to a study by Professor Robert Rubel of the U.S. Naval War College, between 1949 and 1988 the US Navy and Marine Corps lost 12,000 aircraft and 8,500 air crew.

Analysts say that with China training less than 100 pilots to operate fixed-wing aircraft from carriers, its capacity to absorb losses is low.

"It's difficult to train pilots up to land on what is effectively a moving airfield," Townshend said. "While China will learn from the successes and failures of every country that has gone before it, it does take a lot of time and China has less than 100 airmen who are being trained to fly their version of a carrier aircraft."

Meanwhile, as India and China size up each other in the carrier war, analysts say it has to be remembered that both carrier nations have ships that are a third the size of the U.S. Nimitz class ships.

"For the Chinese, a lot of it is tied up with a story about itself becoming a great power," Townshend said. "For China to be a great power it must be a great maritime power and to be a great power it must have carriers and blue water naval platforms."

@highlight

China, India and Japan have turned to aircraft carriers as an extension of military prestige

@highlight

Aircraft carriers are expensive to build, logistically complex to operate and costly to defend

@highlight

Carrier race comes amid rising assertiveness of Asian's military powers

@highlight

Military analysts say the value of a carrier lies in having one rather than using one