(CNN) -- A lie-detecting virtual border official nicknamed "Elvis" is the latest high-tech approach to securing borders in the United States.

Developed by University of Arizona researchers in collaboration with U.S. Customs and Border Protection (CBP), the computer is known as the Automated Virtual Agent for Truth Assessments in Real-Time -- or AVATAR -- kiosk.

It uses sensors to screen passengers for unusual physiological responses to questioning -- which can indicate a subject is lying.

"What we're looking for is changes in human physiology," said Doug Derrick, a member of the University of Arizona team behind the project.

"We've had great success in reliably detecting these anomalies -- things that people can't really detect."

The kiosk is being trialled at Dennis DeConcini Port in Nogales, Arizona -- a checkpoint on the U.S.-Mexico border -- as a way of processing passengers looking to sign up to CBP's "Trusted Traveler" program. The program allows travelers pre-approved as "low-risk" to be fast-tracked through security processes.

Applicants for the program must undergo an interview and biometric fingerprinting to be eligible for the program -- both of which can be performed by the AVATAR kiosk.

Derrick said the kiosk could process travelers in five minutes.

Travelers simply stand in front of the unit -- which "looks like an ATM on steroids," according to Derrick -- and respond to yes/no questions asked in Spanish or English. "You speak to it like you speak to a person," he said.

Their answers are monitored, with any unusual physiological responses passed on to "a human field agent" who then subjects them to "a more careful interview process," said CBP spokesman Bill Brooks.

Unusual responses were not a sure sign of a lie, said Derrick. "There might be valid reasons for it beyond deception."

Read more: 'Safe-list' travelers get fast-track through airport security

The computer uses three sensors to assess physiological responses: a microphone, which monitors vocal quality, pitch and frequency; an infrared camera, which looks at pupil dilation and where the eyes focus; and a high-definition camera recording facial expressions.

Some of the involuntary cues that betray whether a speaker is lying could be controlled, but not all of them at once.

Lab testing had indicated the machine was much more successful than humans at detecting these cues, according to Derrick.

"People have a hard time detecting small changes in the frequency of the human voice, that a computer is much better at," he said.

"People are accurate about 54% of the time at detecting deception ... We have got our machine as high as 90% in the lab."

Brooks said the project was still in the early phase of field testing, and participating in the AVATAR interview process was entirely voluntary at this stage.

But if successful, the initiative could be rolled out in other parts of CBP's operations. Derrick said it was hoped that, as well as providing better detection of suspicious behavior, the AVATAR kiosk would prove to be "a really important time and money saving tool."

Initially, the kiosk did not have the avatar feature, but it was added after its developers found that without it, people would tend to speak to the machine in a robotic, unnatural manner.

It even got a name among the team developing the project. "We call him Elvis, or Pat," said Derrick. "But when he's in the field he's just the AVATAR agent."

@highlight

The AVATAR kiosk scans interview subjects for signs of lying

@highlight

It is being trialled in Arizona and monitors voice, eyes and face movements

@highlight

Interview subjects speak to the machine, in English or Spanish, as if it were human

@highlight

If successful, the technology could be used elsewhere in U.S.