Los Angeles (CNN) -- Jurors in the involuntary manslaughter trial of Michael Jackson's doctor Tuesday heard dramatic opening statements and a startling recording of the pop singer, his words slow and slurred as he talks about his planned comeback concerts.

Prosecutors portrayed Dr. Conrad Murray as motivated by money, while the defense contended Murray's superstar client self-administered a fatal mix of drugs. Witnesses gave varying accounts of Jackson's condition as he prepared for the shows in London.

Murray abandoned "all principles of medical care" in attending to Jackson, prosecutor David Walgren said in his opening statement.

Defense attorney Ed Chernoff countered, saying Jackson's death was "tragic, but the evidence will not show that Dr. Murray did it."

Murray acquired massive quantities of the powerful surgical anesthetic propofol to help Jackson sleep, giving him a final dose of the drug after a long, restless night when the singer begged for help sleeping, according to recordings played by prosecutors.

Murray gave in to Jackson's demands not because it was the right medical decision, but because he was motivated by a $150,000 a month contract to serve as Jackson's doctor, Walgren said.

"The evidence in this case will show that Michael Jackson trusted his life to the medical skills of Conrad Murray, unequivocally that that misplaced trust had far too high a price to pay," Walgren said. "That misplaced trust in the hands of Conrad Murray cost Michael Jackson his life."

Jackson fans create bizarre scene outside courthouse

Jurors heard a May 10, 2009, recording, captured by Murray's iPhone, of Jackson "highly under the influences of unknown agents," as he talked about his planned comeback concert, according to Walgren.

"We have to be phenomenal," Jackson said in a low voice, his speech slurred. "When people leave this show, when people leave my show, I want them to say, 'I've never seen nothing like this in my life. Go. Go. I've never seen nothing like this. Go. It's amazing. He's the greatest entertainer in the world.' I'm taking that money, a million children, children's hospital, the biggest in the world, Michael Jackson's Children's Hospital."

The tape, prosecutors say, is evidence that Murray knew about Jackson's health problems weeks before his death.

Jurors also saw a video of the superstar rehearsing at the Staples Center in Los Angeles the night before he died. Jackson sang and danced to "Earth Song," the last song he would rehearse on stage.

Prosecutors also presented a photo of Jackson's lifeless body on a hospital gurney, about 12 hours later.

If convicted of involuntary manslaughter, Murray, who wiped away tears during his lawyer's opening statement, could spend four years in a California prison and lose his medical license.

Chernoff blamed Jackson's death on drugs that he said Murray had neither given to Jackson nor known about.

Scientific evidence will show that, on the morning Jackson died, he swallowed a sedative without his doctor's knowledge, "enough to put six of you to sleep and he did this when Dr. Murray was not around," Chernoff said.

Jackson, desperate for sleep, then ingested a dose of propofol on his own, creating "a perfect storm that killed him instantly," Chernoff said.

"When Dr. Murray came into the room and found Michael Jackson, there was no CPR, no paramedic, no machine that was going to revive Michael Jackson," he said.

"He died so rapidly, so instantly that he didn't have time to close his eyes," Chernoff said.

Chernoff told jurors that Murray was trying to wean Jackson off propofol when Jackson died.

Jackson was addicted to Demerol, prescribed by another doctor, and his insomnia was at least in part related to that, according to Chernoff.

Jackson's inability to sleep on the morning he died was "one of the insidious effects" of Demerol addiction withdrawal, Chernoff said. Since Murray did not know about the Demerol, he could not understand why Jackson was unable to fall asleep that morning, Chernoff said.

Jackson told Murray a day before he died that he needed to fall asleep in order to be able to rehearse for upcoming concerts, Chernoff said. "I have to sleep, I have to get some sleep. They will cancel my rehearsals. I will lose that performance," Chernoff quoted Jackson as saying.

Chernoff said Tuesday that he will challenge prosecution assertions that greed factored into Murray's treatment of Jackson.

"If the prosecution is going to tell you he is greedy, callous and reckless, you need to hear the full story," he told jurors, adding that Jackson was the only celebrity Murray had ever met.

Jackson died June 25, 2009.

"Just make me sleep. It doesn't matter what time I get up," Murray quoted Jackson as telling him, according to a recording of a police interview played in court.

He agreed to administer the drug and Jackson fell asleep. After he left to go to the bathroom, he discovered Jackson was no longer breathing.

Walgren argued Murray was not a specialist with anesthetics and misused the drug, which he said can suppress proper function of the heart and lungs.

"It is not a sleep aid, it is not a sleep agent," Walgren told jurors. "It is a general anesthetic."

Between April 6, 2009, and the time of Michael Jackson's death, Murray ordered enough propofol to give Jackson 1,937 milligrams a day, Walgren said. Murray told police he gave the entertainer doses of propofol virtually every night for two months, according to a recording played in court.

Murray also used a cheap instrument to monitor oxygen levels in Jackson's blood, Walgren said. The device was "utterly useless" unless Murray constantly monitored it because it lacked an alarm that would go off if Jackson was not getting enough oxygen into his lungs, Walgren said.

Murray "repeatedly acted with gross negligence, repeatedly denied care, appropriate care, to his patient, Michael Jackson, and it was Dr. Murray's repeated incompetent and unskilled acts that led to Michael Jackson's death," Walgren told jurors.

Prosecutors contend that Murray used a makeshift intravenous drip to administer propofol, a practice they argue violated the standard of care and led to the pop star's death.

But Chernoff said Murray did not use a makeshift intravenous drip to administer the drug. Chernoff added that an expert on propofol will testify that Murray was not responsible for Jackson's death.

Murray never told emergency responders or emergency room doctors trying to save Jackson's life that the musician had been dosed with the propofol, Walgren said.

Producer Kenny Ortega, the first prosecution witness, said he was jolted by Michael Jackson's appearance when the latter arrived at a rehearsal, on June 19, less than a week before he died.

"He appeared lost and a little incoherent," said Ortega. "I did not feel he was well." Ortega said he gave the pop singer food and wrapped him in a blanket to ward off chill. Jackson watched the rehearsal and did not participate.

Ortega was helping Jackson prepare for the "This Is It" world tour scheduled for London's O2 Arena in autumn 2009.

In an e-mail written early June 20, Ortega wrote, in part, to AEG president Randy Phillips, "My concern is, now that we've brought the Doctor in to the fold and have played the tough love, now or never card, is that the Artist may be unable to rise to the occasion due to real emotional stuff. He appeared quite week and fatigued this evening. He had a terrible case of the chills, was trembling, rambling and obsessing. Everything in me says he should be psychologically evaluated. If we have any chance at all to get him back in the light. It's going to take a strong Therapist to (get) him through this as well as immediate physical nurturing. ... Tonight I was feeding him, wrapping him in blankets to warm his chills, massaging his feet to calm him and calling his doctor.

"I believe that he really wants this ... it would shatter him, break his heart if we pulled the plug," Ortega wrote. "He's terribly frightened it's all going to go away. He asked me repeatedly tonight if I was going to leave him. He was practically begging for my confidence. It broke my heart. He was like a lost boy. There still may be a chance he can rise to the occasion if get him the help he needs."

AEG was the concert promoter.

Murray was unhappy that Jackson did not rehearse and told Ortega not to try to be the singer's physician, Ortega testified, adding Jackson insisted the next day he was capable of doing the rehearsals. Jackson was a full rehearsal participant in the days before he died, the producer said.

AEG executive Paul Gongaware testified that after the 50 London shows sold out instantly, there were still 250,000 buyers wanting tickets.

Gongaware said he negotiated with Murray, at Jackson's request, to work as the singer's personal doctor. Murray initially asked for $5 million a year, explaining that he would have to close four clinics and lay off employees.

Gongaware rejected that deal, but later offered him $150,000 a month, an amount recommended by Jackson. The physician agreed.

Both Gongaware and Ortega testified that Jackson on many occasions appeared fully engaged and excited about the impending concerts.

The trial has attracted widespread attention. On Tuesday, a woman rushed toward Murray as he was walking to the courtroom, but she was stopped by three deputies guarding him. The woman said she just wanted to talk to Murray.

Jackson's parents, brothers Tito, Jermaine and Randy, and sisters La Toya, Janet and Rebe filled a row in the courtroom for opening statements and the first witness Tuesday. Jackson's three children are not expected to attend the trial or testify, according to a source close to their grandmother, Katherine Jackson.

CNN's Alan Duke contributed to this report.

@highlight

NEW: Murray originally wanted $5 million a year, promoter says

@highlight

Jurors see video of Jackson in his last rehearsal

@highlight

Jackson's death was "tragic, but the evidence will not show that Dr. Murray did it," lawyer says

@highlight

Conrad Murray "abandoned all principles of medical care," prosecutor says