(CNN) -- Paris and Rome are lovely this time of year, but they're also packed with summer travelers.

For something a little quieter, consider Lonely Planet's latest list of top European destinations that offer café culture, history and outdoor adventures outside of Europe's most popular cities.

This year's Europe list, developed by Lonely Planet's editors and writers, includes the next hot spots to visit as well as longtime favorites with something new to enjoy.

"We try to point out what's the next hot thing, what's been overlooked and deserving of more attention and places that people have heard about forever but may not know have been revitalized in recent years," said Andy Murdock, Lonely Planet's U.S. digital editor. "It's food for thought for travelers looking to explore Europe more deeply."

1. Porto & the Douro Valley, Portugal

Portugal's second-largest city has so much going for it, Murdock says. The birthplace of port, this picturesque hilly town in northern Portugal also has a thriving arts scene and up and coming culinary reputation. And it's a good value destination right now. (Many of the Port houses offer tastings and tours for free or a small fee.)

"Porto is really the best in show for this year," Murdock said. "Porto is a great value for people interested in food and the arts."

The Douro Valley's wine and port scene is very easy to explore as a day trip. There you can visit some of the most famous Port houses, including Taylor's, W & J Graham's, Fonseca Porto and Casa Ramos Pinto. Check their websites for tours and tastings.

2. Budapest, Hungary

Budapest is starting to steal the cool from Berlin right now, Murdock said, with unique summer pop-up bars in old buildings and gardens. (The city's architecture is an eclectic testament to its previous rulers, showing the influence of the Ottoman Empire, the Austro-Hungarian Empire and the Soviet regime.)

"There are a variety of different looks to them: Some are hipster weed patches with drinks, and others are manicured gardens," he said. "It's a unique type of bar you're not going to find most other places."

These "ruin bars" are mostly open in the summer, although some are starting to winterize their locations, so they can be open for more than the May-to-September season. Although some bars often switch locations, Szimpla Kert is one of the oldest, and visitors can find other bars on the same strip.

Sometimes known as "the City of Baths," Budapest has thermal spring-filled baths and traditional Turkish baths to choose from. Murdock recommends the Turkish-era Racz Baths, which recently reopened attached to the modern luxury Racz Hotel.

The Museum of Music History also had a recent update.

Top U.S. travel destinations for 2013

3. Northern Iceland

While everyone seems to know that Iceland is a cool weekend for U.S. East Coasters, Reykjavik, the Blue Lagoon Spa and the Golden Circle are the popular stops on that quick trip. For a look beyond those spots, take a quick flight north to check out the Northern Lights in Akureyri, Iceland's second-largest town (population 17,000).

"Explore lava fields, waterfalls like you've never imagined, horseback rides and great whale watching out of Husavik (an hour from Akureyri)," Murdock said.

Myvatn Nature Spa offers a mini version of the Blue Lagoon -- without the tourists.

4. Cinque Terre, Italy

The five villages of Italy's popular Cinque Terre are ready for visitors again. Repairs to the cliffside villages after the devastating floods of 2011 were made more difficult because of the Cinque Terre's remote, mountainous location. The towns are connected by trains and are served within the villages by public buses. A national park and UNESCO site, the villages don't allow cars or motorbikes.

"It's very well-known but hard to reach," Murdock said. But it's worth it if you're ready to walk, he says. "They rebuilt the paths, the stone terraces are back, the vineyards are replaned, and the drainage is improved for the next flood."

The small, isolated beaches below the towns are also worth a visit. "They have a sense of fishery stewardship, allowing line-caught fish only. There is really lovely seafood coming out of the waters in Cinque Terre."

5. Moravia, Czech Republic

If you've been to Prague or shy away from popular cities that have been overtaken by tourists, try Moravia. It's known locally for bike tours and wine tasting, especially big robust reds. "It's a lot slower pace (than Prague) and gives you a much different feel of the country," Murdock said.

For a mini version of Prague, head to Olomouc, home of the country's second-oldest university, a lovely town square and the Holy Trinity Column (an 18th-century baroque sculpture on UNESCO's World Heritage list). For Gothic charm, head to Telc, which is also on UNESCO's list. The region's capital, Brno, has great museums.

Airports where architecture soars

6. Bern, Switzerland

When travelers land in the capital of Switzerland, they tend to head out into the mountainous region of Bernese Oberland, but the city itself is worth a visit. Named a UNESCO World Heritage Site for its medieval architecture, Bern is also home to one of Albert Einstein's homes and a Paul Klee museum designed by Renzo Piano that includes other artists' works.

"We're trying to call attention to Bern itself," Murdock said, calling it a very interesting mix of "historical, modern and edgy" things to do. Although people think of Swiss food as a bit stodgy, Murdock raves about the locavore restaurants on the river than runs through town.

Try visiting in August, when the streets of Bern are filled with musicians, puppeteers, jugglers and other entertainers for the Buskers Bern Festival.

7. Marseille, France

This year's European Capital of Culture, "Marseille is one of those incredibly historic seaport towns along the Mediterranean," Murdock said, and he's not kidding. The town dates to 600 B.C., when Greeks first settled in the area.

France's second-largest city is trying to shake off its reputation as a "gritty, dangerous seaport town," Murdock said. With the cultural capital designation, "a lot of money has been poured into new museums and public transportation."

That includes the Museum of European and Mediterranean Civilisations that opened June 7. And the Musée des Beaux-Arts in Marseille, housed in the left wing of the Palais Longchamp, has reopened after a renovation. The museum's exhibit, "From Van Gogh to Bonnard," runs through October 13.

Foodies can enjoy the city that's home to bouillabaisse at the Old Port, where maritime culture and fresh seafood mix.

8. Croatia

In some ways, Croatia's popularity is old news to American travelers, but a lot of people are seeing the coast. There will be a lot more attention on the country if it enters the European Union in July.

"Zagreb is an interesting and underrated European capital, with a huge coffee and café scene," Murdock said. "If you have that image of Italy or Paris, sitting at a café and watching the world go by, that's preserved in Croatia.

"There's also an extension of northern Italian cuisine because the border in Istria (now Croatia) has jumped around, and the cuisine doesn't abide by the border," Murdock said, pointing to Croatians' "same Italian love of cured meats and cheeses," and there's seafood on the Adriatic as well.

For "Game of Thrones" fans, Dubrovnik is the place to visit to see King's Landing location shots. (Tours are available.) And you can find a hikers' paradise in the 16 turquoise blue lakes of Plitvice Lakes National Park, another UNESCO World Heritage Site.

9. Northern Ireland

If you're addicted to "Game of Thrones," Northern Ireland should be on your itinerary, too. A lot of the scenery is in Northern Ireland, including the Causeway Coast and the Glens. The sites on the self-guided and tour-guide-led tours are so magnificent that fans and non-fans alike can appreciate their majesty.

The Giant's Causeway is Northern Ireland's only UNESCO World Heritage Site, and it can be very crowded. Although its basalt columns can appear to look constructed by the might of giant Finn McCool, the causeway is actually the result of ancient volcanic activity. A new visitor's center opened last year.

The truly adventurous can walk the 16-kilometer route from Giant's Causeway to Ballycastle, taking a moment to cross the Carrick-a-Rede Rope Bridge. It's a 20-meter walk on the bridge to the island of Carrick-a-Rede, swaying 30 meters above the rocky waters below. It's not for those with a fear of heights, says Murdock, who loves it all. "There are all these inlets, islands, castles and ruins and sea birds and stunning scenery," he said.

Also not to be missed is Derry/Londonderry, this year's UK City of Culture. Remembering the religious strife in Northern Ireland, the walk and cycle Peace Bridge across the Foyle River opened in June 2011. It's considered a symbolic handshake across the river, connecting historically Catholic and Protestant sides of town.

'Game of Thrones' tours in Ireland, Croatia

10. Copenhagen, Denmark

The Danish capital of Copenhagen is the place to visit for ecotourists and foodies. The city is a poster child for the green movement, where almost half of the residents commute to work by bicycle and hotels brag about their green construction.

In the two-Michelin star Noma, the city boasts the No. 2 restaurant in the world (according to Restaurant magazine's annual rankings). "It's the new Nordic cuisine with very clean and local experimental flavors," Murdock said.

And there's a little more Swedish mixing into the city these days. Ever since the 10-mile Øresund bridge and tunnel system was completed in 1999, the residents of Copenhagen, Denmark, and Malmo, Sweden, are more easily connected. "It changed the feeling of both cities once only connected by ferry," Murdock said.

@highlight

Enjoy port tastings in the Portuguese town that made the drink famous

@highlight

Soak in Icelandic hot springs without being surrounded by other tourists

@highlight

Return to Italy's Cinque Terre towns, restored to their picturesque former selves

@highlight

Follow the "Game of Thrones" path to Northern Ireland and Dubrovnik, Croatia