Hempstead, New York (CNN) -- President Barack Obama and Republican challenger Mitt Romney face off Tuesday in the second of their three debates, this one in a town hall-style setting in which they'll take questions from likely voters.

The stakes couldn't be higher: Obama must get his campaign back on track after a poor performance in the first debate that left Democrats demoralized and Obama's lead evaporating both in national polls and those in key battleground states. For Romney, who polls among voters showed won the first debate overwhelmingly, a second strong performance would boost his momentum going into the third debate next Monday and the final two weeks before Election Day.

Here are five things to watch for on Tuesday:

1. Connecting with the audience

Unlike the first presidential showdown in Denver two weeks ago, this debate will include a town hall audience of approximately 80 undecided voters, some of whom will get the chance to ask questions to the two candidates.

It's a completely different dynamic than the first face-off between the president and the Republican nominee.

"The challenge is that they've got to connect, not just with the people that are looking into the television and watching them, but to the people that are on the stage with them," the debate's moderator, CNN Chief Political Correspondent Candy Crowley, said.

Get instant updates on CNN's live blog

"They have to keep those folks in mind. It's a much more intimate and up close adventure with voters. The candidate that makes a connection with the person asking the question is also making a better connection with the person back at home," added Crowley, who's also the host of CNN's "State of the Union."

With no podium to hide behind in Tuesday's debate, the candidates' style and body language will be in the spotlight. If you don't think this matters, flash back 20 years to the first town hall-style presidential debate when then-President George H.W. Bush repeatedly checked his watch. It was a sign, some thought, that the incumbent would rather have been anywhere else than debating Democratic challenger Bill Clinton.

The Arkansas governor highlighted his ability to connect to voters by walking towards the town hall audience when answering a question about the recession.

Democratic strategist and CNN contributor Paul Begala, who was chief strategist for Clinton's campaign, agrees with Crowley on the importance of connecting with the audience.

"If you do that -- with empathy, compassion, understanding and cool strength -- you will win the debate and the election," said Begala, who's a senior adviser for a pro-Obama super PAC.

John King: Stakes enormous in second debate

2. Find a warm place

After a lackluster performance in the first debate, it's obvious the president needs to step it up in Round 2. Even Obama himself admits he was flat in the face-off in Denver, telling ABC News, "I had a bad night."

The big question is how aggressive will the president be in this second showdown?

Obama needs to look like a fighter. The normally cool president needs to heat it up, but he can't come off looking overly aggressive or negative. That might smack of desperation.

"Don't over-correct. Don't go from being too passive in the first debate to too aggressive in the second," Begala cautioned. "You need the Goldilocks Strategy: Not as cool as the first debate, not as hot as Vice President Joe Biden."

Poll: Debate-watchers split on who won VP debate

Making Obama's task even tougher is the debate format. Many of the questions from the audience of undecided voters may focus on the president's record the past four years, forcing Obama to defend himself in front of the crowd, before attempting to pivot to criticizing his GOP challenger.

It's a delicate dance.

But Begala says Obama can learn from Biden's performance at last week's vice presidential debate by emulating "Biden's combination of facts with common sense."

And we're also going to watch to see if the president plays the empathy card.

"Obama needs to connect the struggles and sacrifices his family made to the struggles families in the town hall audience are going through. Romney can't do that," Begala added.

Opinion: Do facts matter?

3. Getting women's issues into the conversation

Obama pollster Joel Benenson released a harshly worded memo on Monday attacking the Gallup organization over a new poll, released in tandem with USA Today, that showed Romney now tied with Obama among women voters.

You read that right. After months of leading Romney by double digits among women, his lead among female voters has effectively vanished, if you believe that poll.

Benenson savaged Gallup's methodology and dismissed the poll as an outlier. He's correct that no other survey has shown Romney performing that well among women.

But for Chicago's sake, he better be right. Along with his impenetrable lead among Hispanics and a near total hold on African-American voters, Obama has led Romney all year thanks to his robust support among women. If that disappears, so do the president's re-election hopes.

What does this mean for Tuesday night?

Women-specific issues -- topics like abortion, contraception, child care, education -- did not come up at length in the first Obama-Romney showdown.

Obama ad's Planned Parenthood focus

They did in the vice presidential debate, however, and Romney running mate Paul Ryan scored poorly among women in debate-watching focus groups when he explained Romney's opposition to abortion rights.

If Obama hopes to lock in his lead among women, he must find a way to get issues like abortion and contraception in the spotlight in order to draw a sharp contrast with Romney.

4. Strong performance pays off -- literally

A strong debate showing doesn't just move numbers, it raises money.

Romney's energetic performance in Denver -- which voters judged as a clear win, polls showed -- accomplished something very important for the Republican nominee.

In short, his supporters now like him.

Test yourself: Debate trivia

Before the debate, according to a Washington Post/ABC News poll out Monday, fewer than half of Romney supporters said they were "very enthusiastic" about his candidacy. Today, the "very enthusiastic" number is up to 62% among likely voters.

That's crucial for Romney, who needs a fired-up base of supporters to show up on Election Day.

But the more immediate post-debate impact was financial: Romney raised more than $12 million online in the 48 hours after Denver, his campaign announced just a few days after the debate.

And if a campaign is rolling out fundraising data before the federal deadline for financial reports, you know they're feeling good.

On top of that, the campaign said it raised $27 million online from low-dollar contributors in the first two weeks of October.

Strong debate leads to fund-raising windfall for Romney

That's good money for a campaign currently engaged in an all-out television ad blitz in key swing states.

Both campaigns are in the process of emptying their war chests for the final three-week push before Election Day. A burst of online donations means an extra TV ad here and a final volley of mail pieces there. In a race this tight, every little bit counts.

5. Watch out for the wild card

The economy is still issue No. 1 for voters in this election. Foreign policy and national security have also crept into the discussion, with tensions in the Middle East slightly eroding Obama's edge over Romney on the commander-in-chief question.

But unlike in the previous two debates, when editorial control rested in the hands of the moderator, Monday's debate is a town-hall style forum, in which the audience, about 80 undecided voters from Nassau County, will be the ones generating questions for the candidates.

That means there's a real chance Obama and Romney will have to talk about something that might not have come up in their exhaustive debate prep sessions.

A question on affirmative action? Funding for AIDS-relief efforts overseas? Guns? NFL head-trauma? Is that Brody guy from "Homeland" really a terrorist?

Theoretically, anything is on the table. The moderator, Candy Crowley, and her team will have final say over the submitted questions.

But with regular people in the mix, there's always potential for a wild card that could throw one or both of the candidates off his game.

Are you voting? Tell us why on CNN iReport

@highlight

How well candidates connect with audience members could affect outcome

@highlight

Obama must overcome passive first performance without overdoing it

@highlight

Women's issues are one area Obama must exploit if he wants to maintain their support

@highlight

Strong debate will result in flood of contributions, much needed in stretch run ad blitz