(CNN) -- As Minnesota gears up for its first wolf hunt, advocates of the once-endangered gray wolf are hoping the court will intervene.

Last week, the Center for Biological Diversity, a national conservation organization, joined the Minnesota group Howling for Wolves in asking the state's Supreme Court to stop wolf hunting and trapping this fall.

The state's first regulated wolf season is expected to start Saturday, November 3. The Minnesota Court of Appeals denied the groups' motion for a preliminary injunction earlier this month because the groups failed to "demonstrate the existence of irreparable harm to the wolves," and consequently, they are asking the state's Supreme Court to review the decision.

"Rushing to open a hunt this fall, the Department (of Natural Resources) slammed the door on meaningful public participation in a controversial management decision about wolf hunting and trapping," Collette Adkins Giese, an attorney with the Center for Biological Diversity, said in a statement. "Only by stopping the hunt can we ensure that these state officials follow the law and do their duty to protect our state's wildlife."

In a separate legal issue, the Humane Society and The Fund for Animals filed notice of their intent to sue the U.S. Fish and Wildlife Service to restore federal protections for Great Lakes wolves under the Endangered Species Act. The groups also asked Minnesota to postpone wolf hunting until the case is decided.

"This is a hunting season, pure and simple. It is recreational killing," said Howard Goldman, the Minnesota state director of The Humane Society. "Wolves are highly intelligent, complex animals that play a very important role in our natural ecosystem. They are not stalks of corn; they aren't something you could harvest. People care deeply about wolves in the state, and they don't want wolves to be taken for sport or recreation."

In Minnesota, gray wolves were added to the endangered species list in 1974 when their population dipped to about 750, according to the Minnesota-based International Wolf Center.

Gray wolf back from near extinction

Today, the International Wolf Center lists the gray wolf population in the Great Lakes area as "increasing/stable." Gray wolves were removed from federal protection earlier this year, and as a result, the Minnesota Department of Natural Resources assumed state management of the species. The state initially had a five-year waiting period for hunting after wolf delisting, but the Minnesota Legislature knocked that down.

"The U.S. Fish and Wildlife Service put faith in the state wildlife agencies to responsibly manage wolf populations, but their overzealous and extreme plans to allow for trophy hunting and recreational trapping immediately after de-listing demonstrate that such confidence was unwarranted," Wayne Pacelle, the Humane Society's president and CEO, said in a statement.

The U.S. Fish and Wildlife Service, which would not comment on the pending legal action, said gray wolves are thriving.

"Wolves total more than 4,000 animals in the three core recovery states (Michigan, Minnesota and Wisconsin) in the western Great Lakes area," said Georgia Parham, the U.S. Fish and Wildlife Service spokeswoman. "The region's gray wolf population and distribution have exceeded recovery goals since at least 2001 and far exceed minimum population goals in each of the three states," she said in an e-mail to CNN.

CNN Photos: Trophy hunters chase African wildlife

The Minnesota Department of Natural Resources estimates the state's wolf population to be about 3,000 wolves and says the target harvest of 400 wolves "is a conservative approach that does not pose a threat to the conservation of the population."

The wolf hunting and trapping season closes January 31 or whenever the 400 wolves are hunted, whichever comes first. More than 23,000 hunters entered the lottery to participate in the wolf hunting season, and 6,000 licenses will be given out.

"We are confident state and tribal wildlife managers will continue to effectively manage healthy wolf populations," Parham said. "The (U.S. Fish and Wildlife Service), as is required under the Endangered Species Act, is monitoring the western Great Lakes wolf population, and if it appears, at any time, that the status of the gray wolf may again warrant the protections of the Endangered Species Act, the service can initiate the normal or emergency listing process."

Goldman says The Humane Society's research demonstrates otherwise.

"We were given an estimate of 3,000 wolves in our state. We are going to have a harvest of 400. There will be another 300 wolves that will be killed under the depredation programs, and we are estimating another 300 wolves will be killed illegally, so that's a total of 1,000 wolves already. That's a third of the wolf population, and many biologists say that the tipping point of when the population begins to decline is 30%, so we are right there," he said.

Chris Niskanen, the communications director for the Minnesota Department of Natural Resources, said the state's wolf population met federal standards for recovery nearly a decade ago and that they have some of the highest wolf densities they have ever had.

As the wolf population rises, so do human-wolf conflicts. In general, wolves mainly prey on deer, moose and beaver, but the International Wolf Center says that wherever they coexist, wolves may prey on domestic animals.

"We have a stake in making sure that wolves remain on the landscape here. It is a high priority for us," Niskanen said. "In addition to that mission, our job is to reduce human-wolf conflicts."

"We hope that this first hunting and trapping season will give us a lot of information," he added, "so we can manage the wolves' population and reduce conflicts at the same time."

But Goldman holds a different opinion.

"The only reason there is a wolf harvest is to satisfy hunters, they are having the hunt for trophies, for sport," he said. "We are saying, stay back, what's the rush, they were just delisted, study this population. We have to err on the side of the caution. This is a population that was driven virtually to extinction."

@highlight

Minnesota hunters will be able to hunt gray wolves for first time next month

@highlight

Gray wolves were removed from federal protection earlier this year

@highlight

Advocates fear the hunting will reduce wolf population too much

@highlight

State's Department of Natural Resources says hunting "does not pose a threat"