(CNN) -- Shortly after we filed our case challenging the Defense of Marriage Act, my client Edie Windsor was asked what it felt like to be a plaintiff suing the federal government. Edie, who grew up in a middle-class household after the Great Depression, said it was one thing to be "out" as a lesbian but another thing entirely to be the "out lesbian who happens to be suing the United States of America."

One year ago on Thursday, the U.S. Supreme Court decided Edie's case by issuing a landmark decision that gay people have have the same right to dignity and respect under the law that straight people do.

The so-called Defense of Marriage Act, also known as DOMA, was passed in 1996 and defined marriage as a union exclusively between a man and a woman. As a result, otherwise valid marriages of same-sex couples were rendered null and void under federal law and gay married couples were denied the full range of federal benefits that straight married couples received.

When we filed Edie's case in 2010, only five states and Washington, D.C., permitted same-sex couples to marry. When the Supreme Court's decision came down last year, 12 states and D.C. did. Today, 19 states and D.C. -- representing almost 44% of the U.S. population -- do. If you had told me last June that the world would look the way it does today for gay people, I would have said you need to be more realistic.

How did this happen? First and foremost, from the very beginning, our strategy was, to borrow a phrase from Bill Clinton's first presidential campaign, "It's all about Edie, stupid."

Unlike many previous LGBT civil rights cases, our case involved only one plaintiff. The trouble with cases involving multiple plaintiffs is that the plaintiffs' stories often got lost in the shuffle. After all, it's hard for a judge or jury to focus on several plaintiff couples at once.

It is much easier to focus only on one. And unfortunately, when the plaintiffs' stories get lost in the background, a gay civil rights case can sound more like a debate between Fox News and MSNBC than a case about real people and their lives.

Our view was that the best way to defeat DOMA was not to focus on lawyers or pundits, but instead to explain how DOMA harmed two real people, Edie Windsor, and her late spouse, Thea Spyer.

So how did we do that?

We decided to tell the story of Edie and Thea's lives as the great love story that it was. Our goal wasn't to write a Harlequin romance. Rather, what we hoped to do was to show that Edie and Thea, who spent 44 years together in sickness and health till death did them part, lived their lives with the same decency and dignity as anyone else.

We demonstrated that Edie and Thea had what Justice Ruth Bader Ginsburg called a "grand partnership," surely the kind of marriage any one of us -- straight or gay -- would be lucky to have. And the $363,000 federal estate tax bill that Edie received upon Thea's death solely because of DOMA didn't hurt either. If Edie had been married to a man -- if "Thea" had been "Theo" -- then her estate tax bill would have been zero.

Any American, gay or straight, Democrat or Republican, can understand how unfair it is to have to pay a huge tax bill simply because you are gay.

In our brief for the Supreme Court, we made three points to illustrate why the Supreme Court needed to be suspicious of Congress' motivation for passing DOMA.

First, DOMA was enacted because of moral disapproval of gay people who at the time were largely feared and misunderstood; second, DOMA essentially wrote gay people out of much of federal law; and third, by instructing the federal government to ignore the marriages of only gay people by denying them benefits, DOMA upset the historic relationship between the federal government and the states. The federal government had always otherwise deferred to the states' definitions of marriage.

Fortunately, these three themes are interwoven throughout the Supreme Court's opinion. On the moral disapproval point, Justice Anthony Kennedy explains that "interference with the equal dignity of same-sex marriages was more than an incidental effect of [DOMA]. It was its essence."

As for DOMA's scope, the Supreme Court notes that "DOMA writes inequality into the entire United States code" and describes DOMA as "touching many aspects of married and family life, from the mundane to the profound."

And on our third point, the Supreme Court points out DOMA's "unusual deviation" from the federal government's practice of recognizing otherwise lawful marriages. As the court concludes, DOMA was invalid because "no legitimate purpose overcomes the purpose and effect to disparage and to injure those whom the State, by its marriage laws, sought to protect in personhood and dignity." In other words, "by treating [gay people] as living in marriages less respected than others, [DOMA] is in violation of the Fifth Amendment."

The Supreme Court uses the word "dignity" 10 times in its 26-page opinion in United States v Windsor. Sometimes, it's the simplest and most obvious things that say the most. Dignity, the state of being worthy of honor or respect, is exactly what the Windsor case was all about.

Now that the Supreme Court has recognized that gay people and their relationships are equally worthy of respect under the Constitution, the legal equivalent of the Battle of Normandy in the struggle for gay rights has been won. And you don't have to take my word for it.

Twenty-five decisions throughout the country in states as far apart in geography and culture as Ohio and Utah, New Jersey and Oklahoma, Wisconsin and Arkansas, have relied on Windsor to extend rights to gay people. As of today, there's not a single case that has gone the other way.

It seems as though nearly every week, another court in another state expands the rights of gay people using the logic and language of the Windsor decision.

Although I have the greatest regard for the superhuman bravery and brilliance of the playwright and activist Larry Kramer, I have to respectfully disagree with his recent statement that "considering how many of us there are ... we have achieved very little." The truth is that no other minority group in American history has seen more progress toward equality more rapidly than gay people have.

I completely agree with Republican Sen. Orrin Hatch when he recently conceded that "anybody who does not believe that gay marriage is going to be the law of the land ... isn't living in the real world." But why is this so? What has changed? The answer isn't complicated.

It's because of the incredible courage of people such as Larry Kramer and Edie Windsor who came "out" and told the rest of the world "I'm here and I'm gay" that full equality for gay people under the law is about to become a reality.

@highlight

A year ago Thursday, a Supreme Court ruling dismantled Defense of Marriage Act

@highlight

Roberta Kaplan argued the case for Edie Windsor on behalf of same-sex marriage

@highlight

Kaplan reminded herself "It's all about Edie, stupid," and Edie's 44-year relationship

@highlight

Kaplan's amazed at how many states have used Windsor case to pass same-sex marriage