(CNN) -- North Korea's longtime leader Kim Jong Il, the embodiment of the reclusive state where his cult of personality is deeply entrenched, has died.

He was believed to be 69.

Regarded as one of the world's most-repressive leaders, Kim Jong Il always cut a slightly bizarre figure. His diminutive stature and characteristically bouffant hair have been parodied by some in the West.

"He's a mysterious person -- I think by design," said Han S. Park, director of the Center for the Study of Global Issues at the University of Georgia and a frequent visitor to North Korea. "Mystery is a source of leverage and power. It's maintaining uncertainty."

But for the citizens of his Democratic People's Republic of Korea, Kim was well regarded.

This Just In: Up-to-the-minute news on the death of Kim Jong Il

His father, Kim Il Sung, founded North Korea with Soviet backing after World War II.

Kim Jong Il was just a little boy when the Communist North invaded the American-backed South, sparking the Korean War in 1950.

After the fighting ended, Kim became steeped in his father's philosophy of "juche" or self-reliance -- the basis of North Korea's reclusive nature.

North and South Korea never formally signed a peace treaty and remain technically at war -- separated by a tense demilitarized zone.

North Korea gives Kim's official birthplace as sacred Mount Paektu. The peak, on the northern border with Chinese Manchuria, is the highest on the peninsula and the site where Korean legend says the nation came into existence 5,000 years ago.

Cause of death reported to be "overwork"

Researchers who are more objective place Kim's birth in the Far Eastern region of the Soviet Union on February 16, 1942. His father had fled to the Soviet Union when the Japanese put a price on his head for guerrilla activities in occupied Korea.

The family returned to the northern part of the peninsula after the Japanese surrender in World War II, and Soviet dictator Josef Stalin anointed Kim Il Sung as the leader of the Democratic People's Republic of Korea.

Timeline: Kim Jong Il

Kim Jong Il's younger brother drowned as a child and his mother died when he was 7 years old. Shortly after, when the Korean War broke out , he was sent to Manchuria, returning three years later when it ended.

Despite these hardships, Kim Jong Il was presumably surrounded by luxury and privilege for most of his upbringing. As the first-born son of an iron-fisted dictator, "the doors were likely opening for him from a very young age," according to Dae-sook Suh, a professor of political science at the University of Hawaii who specializes in the Pyongyang government.

TIME: The iconography of Kim Jong Il

Gradually Kim Jong Il was groomed for the top position, making public appearances in front of cheering crowds.

In 1980, Kim Il Sung formally designated his son as his successor.

Kim Jong Il was given senior posts in the Politburo, the Military Commission and the Party Secretariat.

He took on the title "Dear Leader" and the government began spinning a personality cult around him patterned after that of his father, the "Great Leader."

In 1991, Kim Jong Il became commander-in-chief of North Korea's powerful armed forces, the final step in the long grooming process.

Three years later, when Kim Il Sung died suddenly from a heart attack at 82, most outsiders predicted the imminent collapse of North Korea. The nation had lost its venerated founding father.

Just a few years earlier, its powerful alliances had evaporated with the fall of the Soviet bloc and China's move toward a market-based system. The economy was on the rocks and energy and food were in short supply. A series of weather disasters, combined with an inefficient state-run agricultural system, further eroded the food supply, leading to mass starvation.

The timing could not have been worse for replacing the only leader North Korea had known.

"Heaven didn't smile on Kim Jong Il," said the University of Hawaii's Dae-sook Suh.

After his father's elaborate public funeral, Kim Jong Il dropped out of sight, fueling rumors, but he soon managed to consolidate power.

Zakaria: Will the North Koreans rise up?

Under his newly organized government, his father's presidential post was left vacant and Kim took the titles of general secretary of the Workers Party and chairman of the National Defense Commission -- a group of 10 men that includes the heads of the air force, army and navy, who are now considered the most powerful in the country.

"It's a peculiar government to say the least," Dae-sook Suh said. "He honors the legacy of his father, but the new government is a Kim Jong Il government. It's quite different from his father's."

Kim Il Sung's unique style of Stalinism was subordinated to the more militant theme of Kim Jong Il's "Red Banner" policy, introduced in 1996.

The changes afoot were dramatically illustrated in 1997 by the defection of Hwang Jang Yop -- the architect of the juche philosophy and the first high-level official to seek asylum in South Korea.

In a news conference after his defection, Hwang warned of a growing possibility that his homeland might launch an attack. "The preparation for war exceeds your imagination," he said.

Many outsiders viewed the flight of Hwang as another sign that the North Korean regime was on its last legs, but once again it weathered the storm, perhaps even benefiting from the fears of war heightened by Hwang's warning.

Despite sending a test missile over Japan in June 1999 and other such incidents, North Korea under Kim Jong Il also sent signals that it is open to new alliances after decades of isolation. Billions of dollars in international aid poured into North Korea during the 1990s, which did little in return.

Many analysts conclude that Kim Jong Il has played a poor hand of cards skillfully.

"I tend to disregard rumors that he's irrational, a man that nobody can do business with," said Alexander Mansourov, a longtime Korea scholar and a former Russian diplomat who was posted in Pyongyang in the late 1980s. "I believe that he is smart. He's pragmatic. And I think he can be ruthless. He's a man who will not loosen his grip in any way on the people around him."

His obsession for movies led to one of the strangest incidents associated with him: The 1978 kidnappings of South Korean actress Choi En-hui and her director husband Shin Sang-ok. The couple's account of their ordeal, given after they escaped North Korea in 1986, sounds like a B-movie script.

They said Kim Jong Il held Choi under house arrest and imprisoned Shin for four years for a failed escape attempt. Kim then forced them to work in the North Korean film industry, paying them handsomely while keeping them in the gilded cage of his artistic and social circles. Although the country was having problems paying its debts, Kim lived extravagantly and spent tens of millions of dollars on their film productions, according to Choi and Shin.

The couple told Washington Post reporter Don Oberdorfer that Kim was a "micro-manager" who made all the major decisions in North Korea because of his father's ailing condition. Shin described Kim as "very bright," but said that he had no sense of guilt about his misdeeds "due to his background and upbringing."

While the Dear Leader is said to have indulged his appetite for the finer things, his people were literally starving to death. The collapse of the Soviet Union in the early 1990s hit North Korea hard when guaranteed trade deals with Moscow came to an end.

And then devastating floods compounded the famine. The North Korean regime admitted almost 250,000 people perished between 1995 and 1998, but some outside groups believe it was more like ten times that figure.

Nevertheless, an artifice of a successful state was maintained in the capital, Pyongyang, including an opulent subway -- proof that Kim would say reflected North Korea's progress under his and his father's leadership.

In 2000, there appeared to be a thaw in North-South relations leading to the first-ever summit meeting between Kim Jong Il and his then counterpart from the South President Kim Dae Jung. South Korea's so-called "sunshine policy" of engagement seemed to be bearing fruit.

But Kim Jong Il pressed ahead with his nuclear weapons program and then-U.S. President George W. Bush labeled North Korea as part of the "axis of evil" in his 2002 State of the Union address. A year later, North Korea withdrew from the nuclear non-proliferation treaty.

In 2006, the North conducted a nuclear test and test fired missiles adding extra urgency to the six-party talks designed to deal with North Korea's nuclear program.

A breakthrough came in 2007, when Kim Jong il finally agreed to disable the nuclear reactor at Yongbyon in return for fuel and better relations with the U.S.

But despite dramatically blowing up Yongbyon's cooling tower, North Korea seemed to backtrack afterwards and the deal appeared to be jeopardy. In August 2008, Pyongyang halted the disabling of the plutonium-producing plants in after a stalemate over verification measures.

Months later -- as Bush wrapped up his final term in office -- the U.S. government agreed to take North Korea off its list of countries that sponsor terrorism. The move was a turnaround from the Bush administration's previous refusal to drop North Korea from the list until Pyongyang agreed to set up an internationally recognizable mechanism to verify it was revealing all its nuclear secrets.

Analysts say it is easy for outsiders to demonize Kim Jong Il, a dictator who spent an estimated 25% or more of his country's gross national product on the military while many in his country went hungry.

But in North Korea, closed off from outside influences, fearful of threats from its neighbors, and subjected to decades of political socialization on top of a long tradition of a strict hierarchical system, Kim Jong Il is viewed positively by most people, said Han Park of the Center for Study of Global Issues.

"The level of reverence for Kim Jong Il in North Korea is quite underestimated by the outside," Park said. "He is regarded by many as not only a superior leader but a decent person, a man of high morality. Whether that's accurate is not important if you want to deal with North Korea. You have to understand their belief system. Perception is reality."

But to the outside world, Kim Jong Il will be remembered as one of the worst despots in history, according to Andre Lankov, an author on Korea's history.

"He will be remembered as a person who was responsible for awful things: for the existence of one of the worst dictatorships in not only Korean history but the world history at least in the 20th and 21st centuries," Lankov said.

"Yet he did not create this dictatorship -- it was his father's but he took responsibility, and he made sure it continued for many more years."

CNN's Dan Rivers contributed to this report.

@highlight

Kim Jong Il took over when his father died of a heart attack in 1994

@highlight

He will be remembered as one of the world's most repressive leaders

@highlight

Kim was well regarded within North Korea

@highlight

He played a poor hand of cards skillfully, analysts say