Washington (CNN) -- The Supreme Court has struck down a federal law designed to stop the sale and marketing of videos showing dogfights and other acts of animal cruelty, saying it is an unconstitutional violation of free speech.

The 8-1 decision was a defeat for animal rights groups and congressional sponsors of the unusual legislation.

The specific case before the court dealt with tapes showing pit bulldogs attacking other animals and one another in staged confrontations.

The justices Tuesday concluded the scope and intent of the decade-old statute was overly broad.

"The First Amendment itself reflects a judgment by the American people that the benefits of its restrictions on the government outweigh its costs," said Chief Justice John Roberts. He concluded Congress had not sufficiently shown "depictions" of dogfighting were enough to justify a special category of exclusion from free speech protection.

The high court threw out the conviction of Robert Stevens, a Pittsville, Virginia, man who sold videos through his business, Dogs of Velvet and Steel. According to court records, undercover federal agents found he was advertising his tapes in Sporting Dog Journal, an underground magazine on illegal dogfighting.

"This is what I was hoping for," Stevens told CNN just after the ruling was announced. "I am not nor have I ever been a dog fighter or a promoter of dogfighting. I am a journalist and an author."

Among the products Stevens advertised was "Catch Dogs," featuring pit bulls chasing wild boars on organized hunts and a "gruesome depiction of a pit bull attacking the lower jaw of a domestic farm pig," according to the Philadelphia, Pennsylvania-based appeals court that ruled on the case earlier.

Stevens was charged in 2004 with violating interstate commerce laws by selling depictions of animal cruelty. He was later sentenced to 37 months in prison, and promptly appealed. That sentence was put on hold pending resolution of this appeal.

He argued his sentence was longer than the 14 months given professional football player Michael Vick, who ran an illegal dogfighting ring.

It was the first prosecution in the United States to proceed to trial under the 1999 law.

The video marketer is not related to Justice John Paul Stevens, who turned 90 Tuesday. The court made no mention of the milestone as it held a two-hour public session.

Nearly every state and local jurisdiction have their own laws banning mistreatment of wild and domesticated animals, and usually handle prosecutions of animal cruelty.

Several media organizations had supported Stevens, worrying the federal law could implicate reports about deer hunting, and depictions of bullfighting in Ernest Hemingway novels.

Roberts agreed, saying, "We read [the federal law] to create a criminal prohibition of alarming breadth."

"Jurisdictions permit and encourage hunting, and there is an enormous national market for hunting-related depictions in which a living animal is intentionally killed," said Roberts. "An otherwise-lawful image of any of these practices, if sold or possessed for commercial gain within a state that happens to forbid the practice, falls within the prohibition of [the federal law]."

During oral arguments in October, the justices offered a number of wide-ranging hypotheticals over what the law could forbid, including: fox hunts, pate de foie gras from geese, cockfighting, bullfighting, shooting deer out of season, even Roman gladiator battles.

Only Justice Samuel Alito dissented in the case, and he focused on one of the most disturbing aspects raised in the appeal, the marketing of so-called "crush" videos, in which women -- with their faces unseen -- are shown stomping helpless animals such as rabbits to death with spiked-heel shoes or with their bare feet.

"The animals used in crush videos are living creatures that experience excruciating pain. Our society has long banned such cruelty," he said. The courts, he said, have "erred in second-guessing the legislative judgment about the importance of preventing cruelty to animals."

He predicted mores crush videos will soon flood the underground market, because the ruling has "the practical effect of legalizing the sale of such videos."

Roberts suggested a law specifically banning crush videos might be valid, since it would be narrowly tailored to a specific type of commercial enterprise.

Alito noted that would not help dogs forced to fight each other, where, he said, "the suffering lasts for years rather than minutes."

The government had argued a "compelling interest" in stopping people who would profit from dog attack tapes and similar depictions. Roberts dismissed suggestions by the Justice Department that only the most extreme acts of cruelty would be targeted.

"The First Amendment protects against the government," Roberts said. "We would not uphold an unconstitutional statute merely because the government promised to use it responsibly."

The Humane Society, other animal rights groups and 26 states backed the government.

If the law had been upheld, it would have been only the second time the Supreme Court had identified a form of speech undeserving of protection by the First Amendment. The justices in 1982 banned the distribution of child pornography.

This is the second time this year the high court has tossed out federal legislation on free speech grounds. The justices in January nullified parts of a sweeping campaign finance reform law, giving corporations, unions, and advocacy groups more power to bankroll federal elections.

@highlight

Justices say banning the videos is an unconstitutional violation of free speech

@highlight

Court threw out conviction of Robert Stevens who sold videos

@highlight

Stevens was charged in 2004 with selling depictions of animal cruelty