(CNN) -- As any seasoned observer of the political dance could have predicted, Mitt Romney's debate performance on Wednesday completed his full-circle journey of ideology.

When Romney ran for governor of Massachusetts in 2002 (and for senator in 1994) he was a Republican moderate in the mold of his father. When he began his marathon run(s) for president way back in the middle of the last decade he went through a battlefield conversion. He morphed into a "severely" conservative primary candidate, leaning so far to the right he might have suffered from mild attacks of vertigo.

Wednesday night a national audience witnessed a kind of homecoming as Romney embraced the successes of his adopted blue state. Romney's ardor for the good times he had as governor came after he spent the last two cycles of Republican primaries ridiculing Massachusetts' liberal tendencies, describing his experience among the lefties as being "a vegetarian at a cattle ranch."

The Romney we saw on Wednesday was subtly different. He loved education, hated tax deductions, enjoyed working with Democrats and claimed the Romneycare precursor of Obamacare as his own.

Romney starts to fill in blanks on his tax plan

He told the debate's moderator, Jim Lehrer: "Jim, I had the great experience -- it didn't seem like it at the time -- of being elected in a state where my legislature was 87% Democrat. And that meant I figured out from day one I had to get along and I had to work across the aisle to get anything done. We drove our schools to be No. 1 in the nation. We cut taxes 19 times." In short, he painted a portrait of bipartisan bliss.

No surprises there. The passage of presidential candidates from the extreme margins of their parties' base to the center is as predictable as the annual migration of buzzards from Miami to Hinckley, Ohio. Still, as a public service, a quick examination of Romney's new embrace of Massachusetts is in order.

But before we get into the details, tuck away this truism on the ways of Massachusetts politics. Governors come and go; the overriding constant is an overwhelming Democratic majority in the state legislature. It has the final, veto-proof say on budgets, laws and policy. To credit any Bay State governor for a balanced budget or blame him for a high unemployment rate is akin to holding him responsible for the weather.

Let's take it by categories.

Education

In the debate, Romney stressed the importance of education, noting more than once that Massachusetts leads the nation in education outcomes. This is largely true, depending on which metric you use (and if you ignore the fact that there are poorer communities in the state that resemble the education outcomes of Mississippi and Texas).

But what was Romney's role in all this?

He inherited an education system that had been trending to the top of national rankings over the previous decade. In 2003, the year he took office, Massachusetts high school seniors were first in SAT scores and among the top three in percentage of students taking the test. The state continued to rank at the top during and after Romney's term.

Massachusetts public schools receive state aid under a law called Chapter 70. The budget ritual begins with the governor setting a number for Chapter 70 distributions. That is usually changed when the legislature's budget committees take over. In his 2004 fiscal year proposal (the state's budget calendar runs from July 1 to June 30) Romney actually budgeted more Chapter 70 money than the legislature settled on. But there is an asterisk that goes with that.

Opinion: Romney's demographic bind

Romney's plan would have robbed Peter to pay Paul, cutting other state aid to municipalities to fund his largess to education. The legislature smoothed the differences by returning some of the education money to the other account.

In subsequent budget years the legislature raised Romney's proposed education funding by amounts ranging from $3 million to $50 million on total Chapter 70 funding of $3 billion annually, according to state records.

Romney gets average marks when it comes to other education issues. His administration launched no major initiatives or reforms. Higher education funding and the state university system's infrastructure languished in his four years as governor -- a time, to be fair, when there was little additional money in the budget.

Budget/Taxes

Romney brags that he didn't raise taxes in Massachusetts even though the state budget faced a $3 billion budget gap when he took office. It is true; he didn't. Instead he proposed, and the legislature accepted, dozens of increases on state fees.

Marriage licenses went from $4 to $50. The cost of registering deeds and mortgages quadrupled ($25 to $100) and driving permits doubled to $30. Romney also proposed raising the firearms registration fee from $25 to $75. Despite howls from gun owners, the legislature joined in and raised the fee to $100 while extending the life of the license from four to six years.

Romney's proposal included a new $10 fee to acquire a state certificate of blindness and $15 for a photo identification card. The legislature removed that provision.

The total revenue raised by Romney and the legislature remains a matter of debate. Romney's campaign says fees rose a total of $240 million in the 2004 fiscal budget; others, including the Cato Institute, put the figure around $500 million.

Another matter in the Romney revenue debate is the $350 million to $375 million he raised annually for three years by closing business tax loopholes. Romney has contended his move was not a tax increase. Massachusetts business organizations had a different opinion at the time. So did his Republican rivals during the brutal primary season.

Opinion: Romney shakes up the race

Romney did benefit from a tax increase - a $1.1 billion tax hike passed by Democrats a year before he took office -- that helped cut the looming deficit.

On the other side of the coin, Romney's claim of 19 tax cuts during his term is a bit too self-generous by definition and scope since a number of "cuts" originated in the legislature. Among them, a one-year delay in a capital gains tax increase enacted before he took office, prescription drug and property tax relief for seniors, tax breaks for commuters and veterans, a business deduction for installing automatic sprinkler systems, extensions of temporary tax breaks and two ritual sales tax holidays for one weekend in August.

Working with the opposition

In criticizing Obama's testy relationship with Republicans in Congress, Romney proudly noted his good times with Massachusetts Democratic legislators. "I like the fact that in my state, we had Republicans and Democrats come together and work together," Romney scolded the president. "What you did instead was to push through a plan without a single Republican vote."

Romney's situation was something of a mirror image. He was unable to push anything through that the Democratic leadership didn't like, including 800 vetoes Romney issued as governor. The legislature overrode all but a few vetoes issued when it was out of session.

On Wednesday night Romney used his weekly meetings with the House speaker and Senate president as evidence of his ability to work with the other side. The meetings did happen, but not as a result of Romney's initiative. These weekly sessions have been a regular part of the Statehouse schedule going back at least to the administration of Michael Dukakis. They took place during the 12 years Republicans held the governorship before Romney took office and they continue today.

Democratic lawmakers of the time recall Romney as a CEO type who dealt only with the legislative leadership. Even Tom Finneran, the former House speaker who went on to host a conservative talk radio show in Boston, recalls Romney as being imperious when he called legislative leaders in to discuss the budget crisis.

"Initially his sense was, `I have been elected governor, I am the CEO here, and you guys are the board of directors and you monitor the implementation of what I say,'" Finneran told The Associated Press in August. "That ruffled the feathers of legislators who see themselves as an equal branch (of government)."

Opinion: The audacity of Romney's Etch a Sketch

Ironically, the single biggest bipartisan achievement during his administration was the state's health care reform law that requires all residents to buy health insurance -- i.e. the individual mandate of Obamacare. Legislators of that time give Romney high marks for working with them to get the law refined and passed. The same lawmakers note, with pride, that the Romney-Democratic love fest resulted in legislation that was a model for Obamacare.

Welcome home, Mitt.

The opinions expressed in this commentary are solely those of Fred Bayles.

@highlight

Mitt Romney painted a portrait of bipartisan bliss in his time as Massachusetts governor

@highlight

Fred Bayles says the truth was more complex and nuanced

@highlight

He says Romney had no choice but to cooperate with a Democrat-dominated legislature

@highlight

Bayles: He takes too much credit for things done by others; health care was a breakthrough