(CNN) -- It was an international who's who of horse racing super powers: Japan, Great Britain, Ireland, France, the United States and a resurgent Germany were all represented in the start gate of this year's Prix de l'Arc de Triomphe.

As the field entered the turn for home, the grey and maroon racing silks of Sheikh Joann Al Thani nudged ahead of early pacemaker Joshua Tree -- and from then there was only going to be one winner.

Five lengths clear, French jockey Thierry Jarnet had time to ease up past the winning post, flicking his whip in the air in celebration aboard Treve, later named horse of the year for 2013.

It was a home success for the adoring Parisian public, but the victory yet again highlighted the newest force in global horse racing.

Treve's success is merely one headline in a myriad of horse-racing moments coming thick and fast for Qatar, a country with the third richest natural gas reserves and a population of just two million people -- but a GDP of $183 billion.

The first in the sport dated back to 2011 when the stallion Dunaden won the Melbourne Cup at the first attempt by owner Sheikh Fahad, cousin of Joann. It was a suitably dramatic event for anyone to make their mark; after a photo finish, the stewards took nearly three minutes to decide the outcome and award a prestigious victory to a horse that had cost Fahad a mere $150,000.

To highlight that fact, just a week after October's Prix de l'Arc triumph, Joann -- brother of Qatar's Emir Sheikh Tamim bin Hamad -- left attendees at auction house Tattersalls aghast by paying $8.25 million for the daughter of 2001 Epsom Derby winner Galileo, a world-record fee for a yearling filly.

And then in November, Joann announced further plans to make his mark on the sport by appointing Harry Herbert -- who runs England's prestigious Highclere stud -- as racing adviser to his Al Shaqab operation, with the ambitious stated view to be "one of the leading forces in thoroughbred racing."

Veteran champion Frankie Dettori, meanwhile, has become Sheikh Joann's retained jockey after his split with Dubai-owned Godolphin.

The rise of Qatar as a global player in the sport of kings has no previous equal. Not even Sheikh Mohammad bin Rashid Al Maktoum's Godolphin enjoyed anything like this level of success so soon despite plowing millions of pounds into it from day one.

What is truly remarkable is the speed with which the gulf state has got to this point.

The first major player was Sheikh Fahad. He watched horse racing on TV for the first time in 2008, attended his first meeting at the start of 2010 and, by April of that year, had started buying horses.

Sheikh Fahad's first move was to give British bloodstock agent David Redvers a relatively paltry £1 million to invest.

"He was looking for someone to put his toe in the water, to have a feel for it," Redvers recalls. "We had a huge amount of success in a short period of time."

In fact, in his first year of racing, Fahad's horses won 26% of the races he entered -- and that success paved the way for others to follow.

"When he won the Melbourne Cup with Dunaden it showed to the rest of Qatar Royal Family that things just weren't down to the Al Maktoum family," Redvers adds. "So there has been greater investment from Sheikh Fahad's brothers and obviously Sheikh Joann.

"Sheikh Fahad's hunger for knowledge is extraordinary. He's an extremely good judge of horses and he's utterly fascinated, he's made some very good decisions and had some great results, particularly considering the scale of investment. It's not the case of the person with the most money wins. If it was, horse racing would lose its magic."

Sheikh Fahad has spent admirably but also wisely, pushing his acquisitions through Pearl Bloodstock and Qatar Bloodstock to feasible limits while still ensuring both are money-making businesses.

After his early successes, Sheikh Fahad has increasingly tried to take more of a back seat in horse racing, allowing his brothers to come to the forefront, but along with Joann he remains the integral figure for his country.

As well as the Arc victory with Treve, Joann has also enjoyed widespread success as an owner over the past 18 months. His portfolio of victories in 2013 includes Olympic Glory in the Queen Elizabeth II Stakes at Ascot as well as Toronado in the Sussex Stakes at Goodwood.

But as of last week, he has announced his intention to up the ante and increase his stable of 110 horses in England and France with Al Shaqab, a breeding operation set up by his brother Hamad back in 1992.

"Our ambition is to have the most successful horse racing operation in the world," says his spokesman Nasser Sherida Al Kaabi. "When he entered the race, he wanted to be number one. He doesn't accept being second."

Sheikh Fahad has also thrown his financial support behind two up-and-coming English trainers, Olly Stevens and his wife Hetta, by setting them up at Robins Farm Racing with Redvers' help.

Olly earned his license in January before enjoying his first winner with only his second runner a month later. He has since enjoyed a first Royal Ascot winner with his first runner there, Extortionist, plus a first group classification success with Green Door at Doncaster.

Stevens was first approached to take over Robins Farm on the day his twin sons were born, and describes the tie-in with Sheikh Fahad as "all quite fortuitous."

"He's massively passionate about the sport, hugely knowledgeable with it too," Stevens says of Sheikh Fahad. "He's a great person to work with and he's really taken a chance on us.

"You couldn't ask to train for a better person. He loves animals and he loves sport, and he's very supportive. But also he leaves us to get on with the nuts and bolts day-to-day stuff.

"I hope he's pleased. He's certainly very optimistic about what we're doing. He's trying something new with us and we'll see what happens."

At a time when Qatar is in the sporting spotlight for the wrong reasons, with difficulties in the lead-up to the 2022 World Cup, its entry into the horse racing fraternity has almost virtually been one of positive stories and the sport's often close-knit community has well received these relative newcomers.

It has also invested heavily in sponsorship, agreeing a 10-year deal for the Prix de l'Arc de Triomphe in June 2010, via the Qatar Investments and Projects Holding Company (QIPCO).

QIPCO also sponsors the 35-race British Champions Series, which culminates at Ascot in the richest day in the UK horse racing calendar with $4.7 million at stake.

Both lucrative sponsorships are aimed at putting Qatar on the global map -- its latest attempt to use sport to improve its political sway.

As Sheikh Fahad said at the start of his horse-racing venture: "It opens a lot of doors for us. Sport unites the world, and that's the vision of Qatar.

@highlight

Relative newcomers to flat racing have taken the traditional super powers by surprise

@highlight

Qatar royal family first "dipped their toe in the water" in 2010 with near immediate results

@highlight

Prix de l'Arc Triomphe winner Treve is among the horses owned by the Qataris

@highlight

Sheikh Joann Al Thani recently broke the European record for a yearling at $8.25 million