Los Angeles (CNN) -- The connection seems obvious: nearly 400 acres of land set aside to house veterans and thousands of veterans who need a place to call home.

But Los Angeles' estimated 8,000 homeless vets have been barred from living at the sprawling campus for decades. The West Los Angeles property -- some of the most valuable in the nation -- was donated in 1888 to "establish, construct and permanently maintain" a branch of a national home for veterans, according to the original deed.

And for nearly a century, that's what happened: permanent veterans facilities sprang up, including a post office, a trolley system and housing for as many as 4,000 vets, said American Civil Liberties Union lawyer Mark Rosenbaum.

But "beginning with the Vietnam War era, vets were kicked out," said Rosenbaum, who's leading a class-action suit over the property against the Department of Veterans Affairs.

Now, a generation after Vietnam, the facility's abandoned buildings are off limits to the veterans they were intended to serve.

"It's a shame," said Carolina Barrie, a descendant of the heiress who donated the land. Veterans should be "given every single opportunity to rehab their lives -- and if they have no place to live, a place to live."

The VA saw fit to lease parts of the property to several businesses. In September, the VA canceled three leases after rising criticism. But other entities remain on the property including a public golf course, a college baseball stadium, a theater and practice fields for the exclusive private Brentwood School.

CNN's initial requests to the VA for its side of the lawsuit were referred to the Justice Department, which said it wouldn't comment while the case is still pending.

Vet: 'I just wanted to die or go to prison'

Iraq war veteran Robert Rissman, 22, isn't part of the lawsuit, but he has spent years battling addiction, post-traumatic-stress disorder and homelessness.

As an 18-year-old high school senior, Rissman signed up with the Army intending to "go to college and make something of myself," he said. "And the Army said they'd pay for it. "

He was deployed to Iraq for a year as part of a quick response unit that saw constant action. Upon his return to Colorado's Fort Carson, Rissman was diagnosed with PTSD. Nightmares and paranoia haunted him.

It got worse. According to Army papers, he once spent a day drinking and sitting on his bed pointing with the barrel of an illegal sawed-off shotgun in his mouth. "I just wanted to die or go to prison," he said. "And that was where I was headed and I knew that was where I was going and I was OK with that."

After leaving the Army, Rissman ended up homeless in Arizona and later Los Angeles, where he "was doing a lot of methamphetamines" and "smoking a lot of dope."

Study: PTSD signals long-term health problems

Accurate figures are hard to come by, but the VA in its most recent report estimates about 107,000 veterans find themselves homeless on any given night. Mental illness plagues 45% of homeless vets and 70% suffer from some kind of substance abuse, according to the VA.

Washington has OK'd $35.5 million to renovate various buildings on the campus including "Building 209 for housing facilities for homeless veterans," according to a bill signed by President Obama this month.

The facility would provide vets with 70 permanent housing units, far short of the living space needed to house LA's homeless vets.

The VA has launched an aggressive national plan with an ambitious goal: eliminating homelessness among veterans by 2015.

Under the joint program with the Department of Housing and Urban Development, homeless veterans get federal vouchers to help them pay rent.

This summer the VA granted nearly $60 million to nonprofit groups that help veterans, including more than $7 million to aid an estimated 1,800 vets in California. The money aims to prevent veterans and their families from slipping into homelessness by helping with basic expenses such as rent, utilities security deposits and moving costs.

Occupy the park?

Ron Kovic, whose story was made famous in the 1989 Tom Cruise film "Born on the Fourth of July," said the $35.5 million isn't enough.

Paralyzed in the Vietnam War, the former Marine has been working to improve VA treatment of returning troops since his own homecoming in the late 1960s.

Kovic is calling for an occupation protest of the West LA property, not unlike the current Occupy Wall Street movement.

"If that land was given to veterans and if we were able to put at least a small percentage of what we're spending on these wars in Iraq and Afghanistan toward building a facility for homeless and disabled veterans," Kovic told CNN, "I think it would be one of the most honorable things we could do as citizens and one of the most honorable things that the VA could do to make up for the mistakes of the past."

U.S. Sen. Dianne Feinstein of California, told CNN via an email statement that she's concerned about the rising number of homeless vets in Los Angeles and believes that "updated and new facilities are needed at the West LA VA ."

"I intend keep working to make sure that Congress doesn't stop" with the latest improvements, she said. VA Secretary Eric Shinseki "has told me he is committed to renovating two additional buildings on the campus, and we intend to hold him and the administration to that commitment."

Meanwhile, VA attorneys have asked a federal judge to throw the ACLU lawsuit out of court.

"In fact, according to Rosenbaum the Justice Department attorney said, 'We don't believe that the VA has any authority or any responsibility to provide housing."

But Dr. Dean Norman, chief of staff of Los Angeles' VA health care system seemed to contradict that. "I think we have the resources with the community to end homelessness for veterans in Los Angeles," Norman said.

Norman said new housing is being created for homeless vets and those who need help should call 1-877-4AIDVET (1-877-424-3838) to start the process that will put them in safe housing.

As for Rissman, he's currently living at a halfway house in hopes of leaving his homeless life behind. He thinks the West Los Angeles property could help many more homeless vets win their personal battles. "It would get a number of people in off the street and get them doing what they need to be doing to get their life together," said Rissman.

Meanwhile, the judge has refused to throw out the case and has appointed a mediator to try and resolve the situation beginning this week.

"I promise you that these gates will be open," said Rosenbaum. "We will win this case."

CNN's Danielle Dellorto, Thom Patterson and Curt Merrill contributed to this report.

@highlight

Sprawling Los Angeles property donated for war vets in 1888

@highlight

ACLU sues to let thousands of homeless vets live there

@highlight

"Born on the Fourth of July" vet Ron Kovic calls for "occupation" protest

@highlight

VA asks judge to throw case out of court