The families of passengers aboard Malaysia Airlines Flight 370 have been told the plane went down in the southern Indian Ocean.

Some got the shaking news from a phone call, others received a text message from Malaysia Airlines telling them to "assume beyond a reasonable doubt" that their relatives did not survive. Others heard the news in person at hotels in Beijing and Kuala Lumpur, Malaysia, around the time Malaysian Prime Minister Najib Razak made the announcement at a Monday press conference.

"They have told us all lives are lost," a missing passenger's relative briefed by the airline in Beijing said.

That news gave an official explanation of what happened to the plane, a mystery that captivated global audiences for more than two weeks, but the saga of 370 has produced lingering questions:

1. How did experts determine where the plane went?

Inmarsat is the British company that carried out the satellite analysis that determined the plane went into the southern Indian Ocean. Malaysia's Prime Minister said Monday the plane was last tracked over the water, west of Perth, Australia. There is "no way" the plane went north, said Chris McLaughlin, a senior vice president at Inmarsat.

The route into the southern Indian Ocean was the "best fit" with the signals the plane sent to a communications satellite.

But he cautioned to CNN's Wolf Blitzer, "Nothing is final."

"We're not Earth observation satellites, we're data satellites. So it will require a lot of different skills, a lot of different people, not least the naked eye, to finally confirm what happened to 370."

McLaughlin said the mathematics-based process used by Inmarsat and Britain's Air Accidents Investigation Branch was "groundbreaking." The new calculations underwent a peer review process with space agency experts and contributions by Boeing, he said.

Here are the details of the number crunching used

Learn more about technology used

2. Has that explanation garnered criticism?

On Tuesday, Najib defended the decision to announce the plane was lost over the Indian Ocean, saying it was based on "the most conclusive information we have."

He told Parliament he didn't want the government to be seen as hiding information on purpose from the families of the missing passengers -- an accusation Malaysian authorities faced earlier in the investigation into the plane's disappearance.

More answers will come when the plane's flight data recorder is found, he said.

3. Wait, the flight data recorder has not been found? What about wreckage?

Wreckage has not been found. There are a multitude of resources being used to find the flight data recorder and anything connected to the plane. But on Tuesday Australian authorities coordinating the search for the plane in a remote area of the Indian Ocean suspended efforts because of stormy weather.

The U.S. Navy's 7th Fleet has been a major contributor to the search from the beginning. It has provided ships, aircraft and significant technical know-how. As a precautionary measure in case a debris field is discovered, the fleet is moving a "black box" locator into the region -- which would provide a significant advantage in finding the missing aircraft's flight data recorder, according to Cmdr. William J. Marks, spokesman for the 7th Fleet.

4. What could wreckage reveal?

Experts say that scorch marks or soot would indicate there was a fire on board, and how pieces of metal were bent or torn could tell investigators how the plane hit the water or whether it broke up in midair.

Former Air Force accident investigator Alan Diehl said the wreckage may show signs of a fire or explosion. If recovered, the cockpit could show signs of fire or indicate if the jet's emergency oxygen system was activated.

"Impact damage, certainly at the visible and especially at the microscopic level, looks a lot different than an explosion," he said.

Former commercial pilot Shawn Pruchnicki said the wreckage would likely reveal whether the plane plunged nose-first into the ocean, if it gradually descended or it disintegrated in the air.

"We're going to be able to tell that by looking at the wreckage and looking at the deformity, now not only (how) it's compressed but how it's torn," said Pruchnicki, who teaches aviation safety at Ohio State University.

Learn more about what wreckage could show

5. What are some relatives demanding?

In a word: proof. Hundreds of friends and family members of passengers marched Tuesday to the Malaysian Embassy in Beijing to express their anger and frustration.

They said they weren't being told the truth by the Malaysian government. "If you find something: OK, we accept," said one relative of a passenger. "But nothing -- just from the data, just from analysis."

Sarah Bajc, whose partner of two years, Philip Wood, was on the passenger jet, wrote on her Facebook page Tuesday:  "There is still NO PROOF that the plane 'crashed' and all souls were lost. There is only improved evidence as to the time, approximate location and approximate line of flight as of the last known 'ping.' This is not irrefutable proof. Dead bodies are irrefutable proof. Until we have those, we will keep hoping!!! It was both irresponsible and heartless for the Malaysia government to release this information in the WAY that did it, together with an unproven conclusion."

Bimal Sharma, an Indian man whose sister Chandrika was on the plane, said, "I suppose I want to see something from the seas. I don't know why I just want to see some debris off the aircraft and the 'black box' to know what exactly happened because there are too many unanswered questions."

Sharma, who has worked for a long time in the Indian merchant navy, told CNN's Jim Sciutto that he had "sailed those oceans several times myself."

6. Besides relatives, have others been critical of process?

Arthur Rosenberg, an aviation attorney, said he was troubled by the different language used by the satellite company and Malaysian officials.

"On the one hand, you have the executive from Inmarsat saying 'most likely' and somehow that got booted up to 'beyond reasonable doubt.' I don't agree with that," Rosenberg said.

"I am not convinced that they are certain where this airplane is," he said. "I think they have fine-tuned it to a general area, but to say beyond a reasonable doubt this plane went down where they are saying is a stretch."

Aviation experts also expressed dissatisfaction and frustration with the information.

"We've been waiting for the shoe to drop for more than two weeks now. And what we got was the most tantalizingly unsatisfying thread of a resolution," Jeff Wise, a private pilot and aviation writer, told CNN.

CNN aviation analyst Miles O'Brien said he wanted to see more information about what was behind Malaysian authorities' announcement.

"There is a saying in science: Extraordinary claims require extraordinary evidence," he said. "Show me. Show me the evidence."

7. Is the search for Flight 370 unusual? Are ocean recoveries complicated?

Ultimately, searchers have to go to the bottom of the ocean, starting in a big area and focusing in as evidence is gathered that indicates where the debris might be, said Ian MacDonald, a professor of oceanography at Florida State University.

The search will begin by looking at the surface, using listening devices and then sonar and swath mapping techniques to try to locate "anomalous debris fields, anomalous objects on the bottom and try to zero in based on that," he said.

Crews could use manned and unmanned vehicles in that next stage of the search.

One example of a manned craft is the Jiaolong -- one of the deepest diving research submersibles in the world. The Chinese took it to a depth of more four miles in 2012, MacDonald said, indicating that country's capabilities for deep ocean operations.

Chinese citizens made up about two-thirds of the passengers on Malaysia Flight 370.

"I would not be at all surprised to see the Chinese take a very active role in trying to locate this aircraft," MacDonald said.

8. Speaking of China, how are officials there reacting?

The Chinese government is demanding to know more.

"We called on the Malaysian side to provide further evidence and all the information," Chinese Foreign Ministry Spokesman Hong Lei said at a news briefing Tuesday.

9. Who was on board the flight?

Passengers on Flight 370 included engineers, a stunt man, Buddhist pilgrims, vacationers and commuters. They came from at least a dozen nations. Oil painter Memetjan Abdullah was part of a delegation of some 24 artists who were returning to China from the "Chinese Dream: Red and Green Painting" art exhibition in Kuala Lumpur.  One of the 35-year-old's works, a painting called "Outlook," is part of National Art Museum of China collection.

@highlight

Passengers' relatives clamor for proof, saying findings are not enough

@highlight

Some aviation experts also expression skepticism about information from Malaysia

@highlight

Wreckage, which has not been found, could reveal important clues about Flight 370