(CNN)At first blush, Brian Rogers and Caitlin McGuire seem like any other small business owners -- polite, hardworking and passionate about what they do. But there's the potential for things to get a little awkward when the conversation turns from "hi"s to highs.

"There's always a moment of hesitation of 'when are they going to ask us what we do?' and 'how are they going to receive that when we tell them?'" McGuire, 25, said.

She and Rogers, 34, own the Breckenridge Cannabis Club, a recreational marijuana dispensary in the historic and scenic ski town of Breckenridge, Colorado.

The couple started their business as a medical cannabis dispensary in 2010, but when Colorado became the first state in the nation to allow the sale of recreational marijuana, they saw a once-in-a-lifetime business opportunity.

Previously, they were only permitted to sell medical marijuana to the approximate 4,500 permanent residents of Breckenridge; when the new legislation took effect on January 1, 2014, they could then sell to any of the 30,000-plus tourists (21 years or older) who visited the town during peak season.

By the end of the first day of "recreational" sales, they knew their lives had changed forever. The two said they brought in more than $47,000 in sales, roughly 30 times their normal daily sales of medical marijuana. The long lines and enthusiastic patrons also raised the ire of some of the residents who felt the shop detracted from the town's "family-friendly" atmosphere

Now, the pair's journey to build a legal marijuana empire is documented in the new CNN Original Series "High Profits," which premieres Sunday, April 19, at 10 p.m. ET/PT.

"Somebody is going to become a mogul," Rogers said.

In 2014, legal marijuana was a $700 million industry in Colorado and was billed as the fastest growing industry in the United States.  And, according to a a 2014 Gallup Poll, 51% of Americans favored legalizing marijuana, though that was down from the previous year's approval of 58%.

It's a majority, but a slim majority -- and 23 states still prohibit marijuana outright.

Here are the next states to legalize pot

"We want to show people that it's not just a bunch of stoners selling pot over the counter," McGuire said. "It's business-minded people -- hardworking Americans -- who are just like any other business and trying to make their dream work."

She and Rogers are simultaneously pragmatic and optimistic about the public's opinion.

It's 2015: Is weed legal in your state?

"I think they often think we woke up and it was handed to us. Our job was created; we created our jobs through hard work and investment and risk," Rogers said.

As pioneers in a newly legalized business, the risks Rogers and McGuire face go above and beyond those of your average small business. While the sale and private consumption of cannabis is legal in Colorado, the federal government still considers it a Schedule I controlled substance like heroin or LSD, a dangerous drug with "no currently accepted medical use and a high potential for abuse."

That classification makes it difficult for banks -- which are federally regulated -- to do business with marijuana retailers, even legal ones. Few even try.

This is pot's $3 billion banking problem

And forget about paying for your pot with plastic. Like most Colorado cannabis stores, the Breckenridge Cannabis Club is a cash only business. Without access to banking, McGuire and Rogers are forced to pay their staff, their suppliers and even their taxes in cash.

The two recognize that "budtender" might not be a career path any family expects their child to embark on, but for the most part, there has been surprising support: McGuire even got permission to use the remainder of her college fund to start Breckenridge Cannabis Club more than five years ago.

"For both of us, it was pretty easy to see this as a great opportunity to do something different," McGuire said. "We were just working in the service industry so it's not like either of us had any full-fledged careers that we were afraid to leave behind or families that we were worried about risking or providing for."

What's worse -- pot or booze?

Rogers' family used to tell his grandmother that he and McGuire ran a ski rental business.

"Then one day she was like, 'You don't rent skis, do you?'" he laughs.

McGuire had a similar experience with her grandma, until she came to the store for the first time and saw its legitimacy.

"She thought we were just your stereotypical drug dealers," she said.

The couple says their grandmothers' attitude shift is what they're hoping for on a larger scale: While you may not agree with them, entrepreneurs in four states and the District of Columbia are out to prove that recreational cannabis and capitalism can coexist.

"We're cannabis consumers and we support that part of it, too. But that's not what this business is about," McGuire said. "It's about having the opportunity to create a life for us and have a professional career that sustains us."

Will they succeed? Tune in to "High Profits," Sunday nights at 10 p.m. ET/PT.

@highlight

"High Profits" follows the owners of a recreational marijuana dispensary

@highlight

The CNN Original Series airs Sundays at 10 p.m. ET