(CNN) -- Debra Guenterberg doesn't have to go to a horror movie to get spooked. She says she's been living a nightmare for the past 13 years.

The Wisconsin woman says she's been stalked by two phantoms. Two men stole her name and her husband's Social Security number. They used the information to obtain credit cards, buy cars and three homes.

Like many horror movie villains, the bad guys keep coming back. Thirteen years after the men stole their names, the Guenterbergs are still being turned down for credit because of the damage done by the men, she says.

"It's a nightmare," Guenterberg says. "We both feel physically and mentally exhausted. We feel hopeless because we can't fix this."

Most people know about the financial hit identity theft victims take. But less attention is paid to the emotional costs they also pay. Victims often experience paranoia, depression, rage -- some even endure family breakups, security experts say.

There are many ways someone's identity can be stolen. Much of it now occurs online. A person's identity can be stolen from a social media site, through online banking or after they have clicked on a deceptive e-mail.

But no matter how it happens, the victim is going to pay -- financially and emotionally, cybersecurity officials say.

The Guenterbergs say they've battled the IRS, elected officials and local sheriffs to reclaim their name. They've also undergone counseling.

"We're angry," Debra Guenterberg says. "We can't sleep at night. ... We want to move on."

The hidden toll of ID theft

Moving on, though, often requires justice. And that can be elusive for victims of identity theft, security experts say.

The identities of an estimated 9.1 million Americans have been stolen by thieves lifting personal information off the Internet or through other means, according to a 2008 survey conducted by Javelin Strategy & Research, a financial services research firm.

But it often takes the average identity theft victim months, if not years, to resolve their case, security experts say. Some say that no matter what they do, they still encounter problems getting credit.

Robert Guenterberg tried to open a checking account earlier this year, but says the bank turned him down because it confused him with the men who had stolen his Social Security number.

"It never ends," Robert Guenterberg says.

The Guenterbergs say their ordeal began 13 years ago when Robert Guenterberg tried to buy a Ford truck but was rejected because of poor credit. He got the same answer when he tried to get a home loan and a credit card.

When the collection agencies started calling, the Guenterbergs say they finally discovered the source of their problem. They say two men had stolen the couple's name and Robert' Guenterberg's Social Security number.

The Guenterberg's situation was especially thorny because it involved the loss of his Social Security number.

The Privacy Rights Clearinghouse, a nonprofit group that educates consumers about privacy protection, tells people that even if an imposter is using their Social Security number, the Social Security Administration will only issue a new number in extreme cases.

Michael Kaiser, executive director of the National Cyber Security Alliance, says getting a new Social Security number is tough and can complicate an identity theft victim's life even more.

"They can [get a new Social Security number] but the hassle may not be worth it," Kaiser says.

What the scammers say after they've been caught

Even if victims of identity theft are able to clean up their financial records, some must learn how to overcome their bitterness. Linda Foley had to learn that lesson.

Foley had just started working as a restaurant reviewer for a San Diego magazine when her employer asked her to fill out tax forms to get paid.

Foley says her employer then used her Social Security number to obtain three credit cards and a cell phone. She says she uncovered the deception when one of her credit card companies called during a routine credit check to verify her change of address.

That's when Foley learned that her boss was living it up on credit cards with her name.

"She was getting gourmet meals home delivered," Foley says. "She was getting vitamins; she was going on shopping sprees at department stores."

Foley says she's not the same person she was before her identity was stolen.

"It changes your life," she says. "I don't trust the way I used to. I don't share things with people as much as I used to."

Foley says she never talked to the woman who stole her identity, but she always wanted to.

The woman was eventually caught and apologized to a judge in court for stealing Foley's identity. Foley was so angry that she wanted to personally confront the woman. But Foley says her lawyer restrained her.

"I came to understand that what she did was because of what she is," Foley says. "How could she explain that to anybody? They [scammers] live a different life; they live in a different world."

Foley says she and her husband, Jay, formed Identity Theft Resource Center, which educates individuals and businesses about identity theft. In her new role, Foley says she talked to identity theft scammers.

None of them saw themselves as criminals, she says.

"The reason they gave is, 'No one is going to get hurt,' '' Foley says. "They don't see this as a crime of victimization."

Some identity thieves are so cold-blooded that they even prey on their closest relatives, Foley says.

"I've worked with people whose parents have stolen their information for 25 years," Foley says. "They've had their parents jailed."

Tips for preventing identity theft are now well known. Only give out a Social Security number if you must; install a firewall on your home computer; don't use biographical information in your passwords.

Linda Foley's husband, Jay, co-founder of Identity Theft Resource Center, says one of the best precautions a person can take is something simple: Pay attention to what they click on the Internet.

"You get yourself into a big rush and something pops up in front of you, you deal with it and move and then you say, 'What did I just do?' " says Jay Foley.

Perhaps one of the best precautions is to remember the struggles of people like the Guenterbergs.

Losing money to a thief is not the same as losing one's identity, Debra Guenterberg says.

"If somebody steals your wallet and you notice what they've done on your credit report, you still have protection from that, though it's still a nightmare, '' Debra Guenterberg says.

"But when someone overtakes your life and becomes you -- that's insane."

@highlight

The toll of identity theft includes financial and emotional costs

@highlight

An estimated 9.1 million Americans have had identities stolen, according to a 2008 survey

@highlight

Security experts: Recovery takes months, if not years

@highlight

The Internet has made identity theft easier and more widespread