(CNN) -- I'm finding it hard to get too worked up over the revelation that the National Security Agency has been authorized by the secret Foreign Intelligence Surveillance Court to collect all our call data from Verizon. Hasn't everyone already assumed this? Everything we do in the digital realm -- from surfing the Web to sending an e-mail to conducting a credit card transaction to, yes, making a phone call -- creates a data trail. And if that trail exists, chances are someone is using it -- or will be soon enough.

This particular style of privacy invasion looks a bit different from those old TV movies where FBI agents sit in a van listening in on phone calls and recording them on reel-to-reel tape recorders. The government isn't interested in the content of our phone calls -- our conversations -- so much as who is calling whom and when, or what has become known as metadata. Your life and pursuits are less important than the statistical profile of the way you use your digital devices. This is the world of big data.

I remember the days when talking about such possibilities was considered conspiracy theory or paranoia. Many of us imagined a future in which people would be planted with chips that monitor our conversations and whereabouts. Perhaps we'd even accept such tagging voluntarily, if it meant being able to track down our children in the unlikely event of a kidnapping.

What does the Verizon order mean for me?

But such extraordinary measures proved unnecessary; we're all walking around with tracking devices in our pockets, which are capable not simply of broadcasting our phone calls, but our physical locations, our movements, our interests -- and then tying all this data to our consumer profiles, credit histories ... everything.

Yes, it's still creepy, but it's a different kind creepy than it appears. Big data analysis works by identifying patterns and anomalies in our behavior. Nobody cares about the reasons why certain people do certain things. They only need to be able to predict the future. Marketers use big data profiling to predict who is about to get pregnant, who is likely to buy a new car, and who is about to change sexual orientations. That's how they know what ads to send to whom. The NSA, meanwhile, wants to know who is likely to commit an act of terrorism -- and for this, they need us.

The only way for them to identify the kinds of statistical anomalies that point to a terror candidate is to have a giant database of all those behavior patterns that don't suggest imminent violence. What is different about the Tsarnaev brothers' patterns of telephone usage from that of every other young male Chechen immigrants? You need both sets of data to figure that out. We are not the targets so much as the control group.

Opinion: The great privacy debate

Of course, that's small comfort to a people who have long valued and assumed some measure of privacy from government observation. The American assumption of privacy allows those of us who do break certain laws -- say, smoking pot or engaging in prostitution -- from the fear of selective enforcement if we happen to be personal or political enemies of those in charge. As recent Internal Revenue Service scandals prove, our most trusted agencies are not above targeted investigations of ideological foes.

The harder truth to accept is that we are moving into a digital reality where the assumption of privacy must be exchanged for an assumption of observation. Our telephone metadata is just the tip of the iceberg. Sure, President Barack Obama was quick to respond to the surprise discovery of his administration's covert surveillance operation, promising Americans that the leaked document describes the full extent of this technological intrusion on our privacy. But this court order was already "top secret." Had it not been uncovered, its provisions would have been denied as well.

My own friends in the digital telephony and networking industries have long told me about "splitters" at all major communications companies, through which every data signal can be observed and diverted. Other technicians have told me about giant server farms in Virginia and Utah, where all of our digital data -- including encrypted e-mails and phone calls -- are being stored. No, they don't have the technological ability or legal authority to search this tremendous repository of data (if it really exists). But they may at some point in the future.

Besides, the lack of court orders authorizing a particular style of surveillance don't stop any of this surveillance from happening. It simply makes any information collected inadmissible in a court of law. Since the dawn of the Internet, I have always operated under the assumption that if the government or corporations have technological capability to do something, they are doing it -- whatever the laws we happen to know about might say.

Digital media are biased toward replication and storage. Our digital photos practically upload and post themselves on Facebook, and our most deleted e-mails tend to resurface when we least expect it. Yes, everything you do in the digital realm may as well be broadcast on prime-time television and chiseled on the side of the Parthenon.

Does this excuse our government's behavior? Of course not. But the silver lining here is that this digital transparency cuts both ways. No sooner does the government win a court order to spy on us than the digital trail of that court order is discovered and leaked to the press. The government's panicky surveillance of Associated Press reporters and disproportionate prosecution of WikiLeaks participants lay bare its own inability to contend with the transparency of digital communications.

It is disheartening and disillusioning to realize that our government knows every digital thing we say or do. But now, at least we know they know.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: NSA collecting call records from Verizon should not be surprising

@highlight

He says we hand out vast amounts of personal info about ourselves via smartphones

@highlight

He says NSA wants call info for database to help track terrorists, and we are control group

@highlight

Rushkoff: This activity cuts both ways: Digital trail led to revelation leaked to press