(CNN) -- You know her best as a multi-platinum recording artist and a 14-time Grammy award-winning singer, songwriter and producer.

But Alicia Keys has also made quite a name for herself as a philanthropist and AIDS advocate.

It was in 2003, on her first trip to Africa, when Keys witnessed firsthand the disease's devastation.

When she returned to the United States, she co-founded "Keep a Child Alive," an organization that has raised millions to care for HIV/AIDS patients in Africa and India.

"So, as I've grown, you know, I think one of the things that I've realized is that there are not the headlines about the AIDS pandemic here in America that there should be, and it is shocking, and it is unacceptable," Keys told CNN last month.

CDC: Half of young people with HIV don't know it

"Yet we're not speaking about it, and so that's what's kind of brought me around to really becoming a part of what I like to say, 'bridging the conversation' so that there's not only an international conversation, there's not only a domestic conversation, there's a global conversation that we can all be a part of."

Keys brought that conversation to Washington, where she met with women being treated at the United Medical Center's Infectious Diseases Clinic. She also teamed up with Greater Than AIDS, a national public information group founded by the Kaiser Family Foundation and the Black AIDS Institute, to launch her latest initiative -- a campaign aimed at reaching out specifically to American women.

It's called "Empowered" and phase one features a video of Keys and five women who are HIV-positive from all walks of life.

They include Stephanie, a college graduate diagnosed at 19; and Kym, diagnosed three years ago after her new husband got sick and died of the disease (she did not know he'd been HIV-positive for a decade).

Also included are Cristina, a graduate student born with the virus; Jen, a wife and mother who was diagnosed at 18; and Eva, a wife, mother, grandmother and home health care professional who found out she was HIV-positive when she was just 17 -- and pregnant.

The women share their stories and their determination to change the course -- and the face -- of HIV/AIDS.

Keys said she wants all women to know the facts about HIV and its impact on women; to be able to speak openly about the disease with family and friends; to protect themselves and their loved ones; to get tested without shame; and to live rich, healthy lives by getting and staying on treatment.

Why youths aren't getting tested for HIV

"We can't act like it's not happening. We have to make sure we know that we're all at risk. This is all of our issues, you know. This doesn't make you bad. ... You shouldn't feel like you're ashamed. We have to make sure that we are demanding access to being tested. We have to demand access to treatment with dignity."

She found an ally in senior White House adviser Valerie Jarrett, whose passion about the epidemic inspired her. Part of that passion, Jarrett said, comes from losing her sister-in-law nearly 20 years ago to the disease.

"She was married with a young child and didn't really get the testing that she should have had early on in her illness because it never occurred to anyone that a married mom would actually ... be HIV positive," Jarrett told CNN.

"Losing her was just devastating for our family and so that's where I began to realize, of course, this could happen to anybody's family."

More than 1.1 million Americans are HIV positive, according to the Centers for Disease Control and Prevention. One in five don't know they're infected. One in four people living with HIV is a woman.

In Washington, one of the hardest-hit areas in the country, rates among African-American women have skyrocketed -- more than 92% of women living with HIV there are black. It was here, last year, that Keys and Jarrett came together and decided to support each other's efforts.

President Barack Obama is committed to the goal of an AIDS-free generation and will do everything in his power to eradicate the disease, according to Jarrett. That includes $23 billion for HIV in next year's proposed budget. But, said Jarrett, HIV still has to be brought out of the shadows.

Timeline: AIDS moments to remember

"We can't pretend it doesn't exist," Jarrett said. "When people share these stories, it de-stigmatizes it, it brings it out in to the light and when we do that, we improve the quality of life that all people will have."

For its part, Empowered will provide community-based grants of up to $25,000 for programs focused on women. That, Keys hopes, will help open up a meaningful dialogue in this country.

"For a woman and a black woman, you know, this is a conversation that we must have as all women. Again, as all human beings, we have to have this conversation," she said.

"I feel like this is an incredibly wonderful opportunity that we have to have a real dialogue, woman to woman, mother to mother, sister to sister, brother to sister ... father to daughter, daughter to mother, you know, friend to friend. This is what we have to start absolutely being open about."

@highlight

One in four people living with HIV is a woman

@highlight

Alicia Keys is launching Empowered, a campaign aimed at women

@highlight

She hopes to start a global dialogue about HIV and women