Hong Kong (CNN) -- With a long red AIDS ribbon pinned to his chest, Chinese Vice Premier Li Keqiang warned of the grave situation of HIV/AIDS in China, calling it "not only a medical issue but also a social challenge."

On the week of World AIDS Day, the man expected to replace Wen Jiabao as premier next year, publicly acknowledged the nation's challenges with the epidemic.

The disease shows no sign of abating in the world's most populous country. AIDS related-deaths have increased by 8.6 percent to 17,740 deaths, compared with the previous year, according to the country's health figures. And 68,802 new HIV/AIDS cases were reported this year up to October, according to Chinese state media. But some HIV/AIDS advocates say the number of cases is underestimated, in part because many people who have HIV/AIDS may never have been tested to know their status.

CDC: Half of young people with HIV don't know it

China has grappled with a checkered HIV history that includes a contaminated blood scandal in a central province and, in years past, denying that AIDS was a problem in the country.

But recently, China's elite has appeared to champion HIV/AIDS causes. Peng Liyuan, the wife of China's presumptive next president, Xi Jinping is the World Health Organization's Goodwill Ambassador for Tuberculosis and HIV/AIDS. Li, who also heads a commission on the prevention and treatment of HIV/AIDS, met with health activists on Monday and vowed action.

"Li is very friendly and decisive," said Li Hu, director of HaiHeZhiXing AIDS Volunteer Group, who met with the leader. "There are hopes that we can do a better job with leader's help."

In statements published in state-run news media, the vice premier pledged greater support and tax breaks for HIV/AIDS organizations, an expansion of free drug treatment for people with the disease and protection of patients from discrimination at hospitals.

But Li's words were of little comfort for a migrant worker who said his family's life was ruined by AIDS.

He traveled to Beijing seeking legal redress and spoke to CNN, requesting anonymity due to the sensitive nature of HIV/AIDS issues.

Opinion: Creating an AIDS-free generation by starting at home

"I don't feel anything," said the man, about Li's declaration. He came to the capital from Henan province, where Li had served as governor.

His wife gave blood in a blood drive sponsored by local officials in the province in 1997. As a student, she had been urged to give blood because it was "an honor," the man said.

The couple learned last year during a prenatal screening that she has AIDS and will soon learn if their one-year-old child is HIV-positive.

He says the family faces financial hardships, and his wife is unable to work because of health problems.

While his wife and child receive free AIDS medication from the government, he estimates spending $6,500 to treat related infections caused by her weakened immune system that are not covered by the program. Their one-year-old baby cannot drink breast milk, due to concerns about HIV infection, he said.

Though there's no way to prove that his wife contracted the disease in the blood drives in Henan in the 1990s, he remains convinced and is planning to make his case in Beijing like many others from the province have.

In 1998, Li became the governor of Henan, one of the most populous provinces in China, which was also one of the areas most devastated by HIV/AIDS. During his stint, there were criticisms related to an HIV/AIDS outbreak linked to local blood banks. State-run media attributed the disease's spread to "illegal blood sales and contaminated blood transfusions."  The central government began tightening controls over the business in the mid-1990s once more was known about HIV and how the virus is spread.

While most of the infections happened before Li arrived in Henan, he faced major criticism.

Read more: Hillary Clinton unveils 'blueprint' to combat AIDS

"We have been criticizing him over the blood scandal in Henan, which many people died in silence without getting medical help," said Wan Yanhai, a former government health official turned AIDS advocate. Wan was arrested in 2002 in Beijing after publishing a government report on the spread of AIDS in Henan.

"I do believe [Li] has done some good things, if we look at the record of him as a governor and party head," Wan said. But he added there was silence during Li's years in Henan.

During Li's tenure there, journalists trying to write about HIV/AIDS were detained, activists and doctors were sent away, Wan said.

He left China in 2010, citing harassment by authorities.

Li's recent outreach to the HIV/AIDS community was welcomed by Li Hu, an activist based in Tianjin, who called it "definitely a boost for our work. Policies can only be well executed with their supervision."

In recent years, China has made a series of progressive reforms. It lifted a ban prohibiting foreigners with HIV from visiting the country in 2010 -- the same year as the United States. China also promised antiretroviral treatment for all patients with HIV in 2003. A UNAIDS report released last week lauded China for increasing the number of people receiving antiretroviral treatment by 50% last year.

Almost a decade ago, the Chinese government formed a policy called "Four frees, one care" that would give free blood tests for those with HIV, free education for AIDS orphans, free consultation and screening tests, and free antiretroviral therapy for pregnant women.

But hundreds protested in Henan in August, calling for full implementation of the government's HIV/AIDS policies across the province.

@highlight

Vice premier Li Keqiang pledges support for battling HIV/AIDS in China

@highlight

Li was criticized during his tenure as governor stemming from blood scandal in Henan

@highlight

HIV/AIDS patient's family says government hasn't properly addressed past