(CNN) -- It was once a potent symbol of Britain's industrial revolution.

With its myriad mills, factories, train lines and canals, the area surrounding King's Cross railway station in London was a hive of production -- if smoggy and bleak.

Today, this centrally located district is drawing in cutting-edge businesses big and small.

"It's a really vibrant area," explained local barista, Louis Gill. "It's got Central Saint Martins (college), all the art students, the fashion students, interesting businesses, Guardian Media, and there's a tech industry flourishing here as well."

See also: London's insane luxury basements

What Gill describes is the first stages of one of the large`st regeneration projects in the UK.

When finished, 2,000 new apartments and 23 new office buildings will stretch across 650,000 square meters (6.9 million square feet) of land to the north of central London.

All in all, the ambitious project is set to cost an estimated $33 billion.

"We really wanted King's Cross to be a mixed-use project with lots of offices, homes, retail, a proper destination with lots of different characters across the site and very much making the most of the fantastic heritage we have here," said Robert Evans of Argent Developers, the company charged with bringing the project to life.

Google has chosen this site to be its UK headquarters, BNP Paribas has reserved a substantial office space while the Grand Northern Hotel, which has stood as an icon of Kings Cross since 1854, has had a makeover.

A nearby Victorian grain store has also been refitted to host one of London's most prestigious art schools.

"When we were talking to Google about why choose King's Cross (and) what is it that makes it so attractive, of course they talked about the transport, ability to do a building of one million square feet in one place, but it's also the tone of the place," said Evans.

"They said to us what you've managed to create here is something professional, not corporate."

"With lots of different characters across the site (we are) very much making the most of the fantastic heritage we have here," Evans added.

A new power source

This integrated mix of commercial and residential real estate development is impressive in its sweeping scale and ambition, but its not the only mega-project transforming a previously industrial area of the city.

Battersea Power Station in southwest London opened in the 1930s and at its peak generated one fifth of the British capital's power.

See also: Where are the world's most expensive luxury homes?

After it closed in 1983, however, it was widely considered an eyesore. Plans to revamp the site never came to fruition -- until now.

Work has begun on a project that will see 3,000 new homes, 120,000 square meters (1.29 million sq ft) of retail space and 160,000 (1.72 million sq ft) square meters of offices built. Two new underground stations will connect the area to central London.

"This is a big project ... a challenging project," said CEO of Battersea Power Station, Robert Tincknell. "The equity that is necessary is very large, our shareholders have pledged up to Â£1 billion ($1.63 billion) worth of equity."

"Having that weight of support and financial backing behind this project has been the key to getting it over the line," he added.

Securing funds of this size in today's market means sourcing money not just from London and the UK but from investors around the world as well.

The Battersea development has been paid for by a consortium of funds that are partly owned by the Malaysian government.

According to Stephen Miles-Brown, head of residential at property consultancy, Knight Frank, these investment trends reflect the nature of many major international projects today.

"Emerging economies like China, Malaysia, India, Indonesia, tend to see opportunities, tend to be braver, than the indigenous population."

"Often, they come and they see there's central London, there's King's Cross, there's Elephant and Castle, there Stratford and they look in terms of their own cities. (They ask) it's central London, why isn't everyone redeveloping this?"

"(They are) coming over here with large checkbooks, huge ambitions, and a great deal of skill."

See also: Meet the micro-homes offering big solutions

So far, both King's Cross and Battersea developments look like smart money for those who have stumped up the cash.

Early interest from commercial and residential buyers has been high. Of the 900 apartments in phase one of the Battersea project, only seven remain unsold.

As both projects continue and more property reaches the market, developers will hope this demand remains.

With real-estate prices currently soaring and office space at a premium it seems the lure of London is feeding the furnaces, not of the industrial mills and power stations of days gone by, but of its burgeoning property sector.

@highlight

Old industrial sites in London are being redeveloped to host new office and residential space

@highlight

Giant projects are underway at King's Cross and Battersea Power Station

@highlight

Much of the funds for the projects have been provided by foreign investors