(CNN) -- Take it from President Barack Obama -- Virginia's Loudoun County is a must-win swing district in a must-win swing state.

"We won last time in Loudoun County, and if we win again, we win Virginia," Obama declared at a rally in August. "And if we win Virginia, we win the election."

The final factor affecting many undecided voters in this wealthy Washington exurb is sequestration -- massive, automatic cuts scheduled to start taking effect at the the beginning of 2013 after the failure of a supercommittee to come up with a deficit-reduction plan.

Loudoun County is emblematic of the new northern Virginia -- upper-middle class, fast-growing and increasingly diverse.

Over the past decade, the landscape has transformed from quiet farmland to rows of upper middle-class houses.

As defense budgets boomed under President George W. Bush post-9/11, the industry expanded, and many new defense workers and contractors moved to Loudoun.

The county now has the highest median household income in the United States -- $119,000 a year. Population doubled over the past decade, to 312,000 -- and the Hispanic population has tripled.

This isn't old Virginia; it's new Virginia. And these demographic factors helped Obama become the first Democrat to win the state since Lyndon Johnson in 1964 -- by a margin in Loudoun County of just 11,509 votes.

Four years later, the unemployment rate in Loudoun County is strikingly low -- just 4% -- about half the national average. But these looming automatic cuts are creating a clear and present danger to Loudoun's economic well-being that is resonating here.

News: Energized Obama touts new jobs report in Virginia, Ohio

So sequestration weighs heavily on the minds of undecided Loudoun County voters such as John Dyer, co-founder of a 2-year-old small business -- KSH Tech Solutions -- that specializes in consulting to government agencies to increase efficiency.

Dyer is a coveted swing voter whose votes in the past reflect the winner of Virginia -- the voter that both campaigns are trying to reach in this final stretch. He's a native Virginian, raised in Richmond, and he cast his first ballot for Ronald Reagan. The first Democrat he ever voted for was Obama.

Four years later, he's concerned that Obama's run out of energy and the overall economy still hasn't improved as fast as he'd hoped. He understands that the deficit needs to be dealt with but believes that abrupt sequester-style cuts could be devastating to the local and national economy. He'll be watching the next debates with these priorities in mind: "I feel passionate about health care, that's for sure. And the issues around the federal government spending, the DOD (Department of Defense), and how it affects our business. It is my lifeblood and my future."

There's no question that the specter of sequestration has cast a chill in this community. "My neighborhood is full of subcontractors and contractors that work for or in the federal government," Dyer says. "Some have already talked to their employees -- they have given notice that a storm could be coming, and they need to be prepared for layoffs."

Dyer's business partner is Katie Hammler, a former captain in the U.S. Army Reserves, an independent voter who also serves on the Leesburg Town Council

"This is going to be as serious a problem to our north Virginia region as the fallout of the car industry was to Detroit," Hammler says. "It will be small businesses like ours that are going to be hit the most. Two million jobs will be lost, half of which will be from small companies. We'll be hit earliest and hardest."

Hammler blames sequestration on congressional division and dysfunction: "It's as if there are certain factions within the parties who are setting things up where because of the pressure of the next primary, because of the pressure of the election, there's no incentive for compromise and collaboration to find meaningful solutions to complex problems."

There's plenty of blame to go around for both parties, but Hammler expresses special frustration with a particular group: "Those who oppose Obama have done everything in their power to ensure that he fails."

With sequestration as a final factor in this key swing county of Virginia, the tea party rhetoric of 2010 won't necessarily work on undecided swing voters such as Dyer. "People support the government here," he says. "They work for the mission of the government. Even as a contractor, you work to fulfill that mission."

News: With Ryan by his side, Romney rallies Virginians in debate victory lap

Virginians have a contrarian streak -- in recent decades they have voted for a governor from the opposite party as the president just elected. "Virginians are wary of too much government power in one party," says Leesburg Mayor Kristen Umstattd. "They like the balance of power."

But while both parties might be to blame for the failed supercommittee resulting in the scheduled sequestration cuts, they can vote for only one president. The demographic changes in Virginia and comparatively strong economy might give Obama reason to believe that he can make history a second time by winning Virginia, but it is far from a sure thing in this traditionally conservative corner of the country.

To convince Dyer and other undecided swing voters in Loudoun County, the two candidates will need to present a balanced plan to avoid the blunt edge of sequestration cuts and a practical strategy for avoiding this kind of high-risk, hyper-partisan brinksmanship in the future. That's a final factor in winning this key swing district of this key swing state in the fight for the White House 2012.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Loudoun County, Virginia, a must-win swing district in must-win swing state

@highlight

Loudoun County's upper middle-class residents' concern is sequestration, he says

@highlight

Those scheduled spending cuts may sway the county's undecided voters, Avlon says

@highlight

Obama was the first Democrat to win Virginia since Lyndon Johnson in 1964