Jerusalem (CNN) -- The recent visit by Israeli Prime Minister Benjamin Netanyahu to Washington primarily focused on Iran's nuclear program -- a long way from previous meetings that had, more often than not, focused on Israeli-Palestinian relations. There is little talk about a peace process these days.

The Arab Awakening, as it's known in the region, was initially greeted with hope and optimism by Palestinians but has since given way to diminished hopes for a negotiated two-state solution. For Palestinians watching today's U.S.-Israeli dynamic from the sidelines, their disappointment with U.S. President Barack Obama following his speech on Sunday to pro-Israel lobbying group AIPAC is palpable. In that speech, Obama reiterated U.S. support for the Jewish state as it faces of concerns about Iran.

"I have heard the comments among Palestinians about whether President Obama is President of Israel or President of the United States ... I found his language during his AIPAC speech as demeaning and dangerous," said veteran Palestinian politician Hanan Ashrawi, before adding that the U.S. President was, in her view, shielding Israel in a personal way.

The continued building of Israeli settlements in the West Bank, combined with moribund U.S.-backed peace talks, has resulted in Palestinian political strategy becoming about survival and dependence.

"The Palestinians have lost the initiative," says Dr. Mahdi Abdul-Hadia, head of the Palestinian Academic Society for the Study of International Affairs (PASSIA), a Palestinian research and analysis center in Jerusalem. "For the first time Palestinians are depending on external factors [to make progress]."

To that end, they have been following several tracks: the recent Jordanian-sponsored talks with Israel; reconciliation efforts sponsored by Egypt between the Palestinian political factions Hamas and Fatah; aid and reconstruction efforts by the Gulf states; and focusing on Iranian influence on Hamas.

Hanan Ashrawi agreed: "The Palestinians cannot deliver freedom on our own and we are not going to go back to the armed struggle suddenly, but at the same time you want to maintain global support for Palestinians and self determination and human rights."

The Arab Spring has prompted Hamas in Gaza to change course too. It has begun moving tentatively toward a more political form of Islam.

"Hamas is for the first time is saying civil state, democratic state, pluralistic state and this is a revolution in their thinking," said Dr. Mahdi.

As a result -- and to the extreme annoyance of Israel and the United States -- divisions between Gaza-based Hamas, which is viewed as a terrorist organization by those countries, and the West Bank-based Fatah are being papered over amid attempts to form a unity government.

"It's difficult to say whether Hamas and Fatah can work together but if we set up a system where pluralism and differences of opinion can be expressed peacefully, they should be able to work together," said Dr. Ashrawi.

And in a significant break with Syrian president Bashar al-Assad, Hamas in Gaza recently announced support for the Syrian people in their uprising. In doing so, Hamas distanced itself not only from Syria, but from Iran -- Syria's staunch ally and Hamas's key financial backer -- and more closely aligned itself with its ideological bedfellows in Egypt, the Muslim Brotherhood-- a group that made major headway in Egyptian elections following the revolution there.

Regional changes may have given a new impetus to Hamas and Fatah on the reconciliation front, but as Dr. Ashrawi puts it, recent meetings between the two groups in Egypt show that while they are trying to work together, "like all political parties self interest comes into play."

In the absence of any progress towards either statehood or reconciliation, Palestinian objectives have become primarily focused on the short term: buying time to prevent a total breakdown in communication and trying to prevent a breakout of violence among Palestinians-- and with Israelis.

@highlight

'Arab Awakening' initially greeted with hope and optimism by Palestinians

@highlight

Gaza-based Hamas and West Bank-based Fatah are trying to form a unity government.

@highlight

Hamas has distanced itself from Syria -- and by proxy, Iran -- in wake of Arab Spring