(CNN)It's hard to believe Johannesburg didn't exist 130 years ago.

It used to be a dusty, one-horse kind of place where a few farmers eked out a living from the land, although traces of early human habitation go back millions of years.

Modern Johannesburg was born with the discovery of gold.

Almost overnight, it became one of the fastest-growing cities in the world as fortune-seekers rushed in.

The stories that make up the Joburg's past shape its character today, rewarding visitors who venture beyond the sanitized streets of wealthy Sandton to discover the real heartbeat of Egoli, the "City of Gold," as it is also known.

It has golden foundations

The richest city in South Africa, Joburg is also one of the biggest economies in Africa  overall -- its wealth built upon that discovery of gold in the late 1800s.

"There was no indigenous population, no water and the only reason for this city's existence was the discovery of gold," says Nechama Brodie, editor of The Joburg Book, a guide to the history of the city.

"It laid the foundation for everything else that happened, even the layout of the roads."

Within a few years, Joburg had become like an African Las Vegas, its wagons and tents transformed into brick buildings and the dusty gathering places become thriving market squares.

But the wealth came at a cost: poverty forced many black Africans to work in the mines and they lived in terrible conditions.

Nowadays, gold is no longer such a significant part of Joburg's economy.

But that frontier spirit -- a sense that anything is possible -- remains and continues to attract people.

Gold Reef City, south of Joburg (+2711 248 6800), provides a glimpse of the city's golden past. Sure, it's a bit kitsch but the recreated mining town features an original mine shaft you can ride down and you also get the chance to pan for gold.

Standard Bank in the CBD or Central Business District (5 Simmonds St.) features a small museum around a mine shaft inside the building, and from the top of the 50-storey Carlton Center (152 Commissioner St.; +2711 308 1331) you have a good view of the mine dumps surrounding the city.

Past Experiences (+27 11 678 3905) is one of the best companies for walking tours around the CBD.

Everyone's from out of town -- originally

Everyone in Johannesburg seems to come from somewhere else. That contributes to the openness of the place compared with places such as Cape Town, which can feel cliquey to outsiders.

"Everyone in Joburg is a migrant, whether they [their families] arrived here 125 or two years ago," says Jo Buitendach, founder of a company, Past Experiences, which runs tours of the city center.

"Joburg is the whole of Africa, or the world, in one city -- you could be eating braaied fish cooked by someone from the Democratic Republic of Congo in Yeoville one minute and then Pakistani street food in Fordsburg the next."

Different ethnic neighborhoods reflect the various communities that moved here a century ago in search of riches -- Fordsburg has an Indian feel while old Chinatown in Ferreirasdorp in the CBD and new Chinatown in Cyrildene are the best places for a curry or dim sum.

Many of the migrants found the streets were not paved with gold, and that was especially true of black Africans.

Mine workers living in rundown hostels were eventually forced out of the city to live in townships such as Alexandra and Soweto.

Today, it's wealth rather than legislative segregation that means many people still face very long commutes into the city.

A great place to learn about the history of migrant labor is the Workers' Museum, in a vividly restored former Newtown hostel (52 Jeppe Street; +27 11 492 0600).

Joburg was at the center of the anti-apartheid fight

The people of Joburg, and especially Soweto, were instrumental in the struggle against apartheid.

Nelson Mandela moved to the city from the Eastern Cape to study at Wits University and opened the first black law firm in South Africa with another ANC activist, Oliver Tambo, at Chancellor House in downtown Joburg.

The restored building (corner Fox and Gerard Sekoto Streets) now houses a ground-floor photographic museum.

Also worth a visit is Liliesleaf Farm in the affluent northern suburb of Rivonia (7 George Avenue; +27 011 803 7882), where 19 ANC activists including Mandela were arrested and brought to trial leading to his imprisonment for 27 years on Robben Island.

Music and the arts played a significant role in the anti-apartheid struggle, and the Johannesburg neighborhood of Sophiatown was at the heart of this cultural movement in the 1950s.

Legendary musicians such as Miriam Makeba and Hugh Masekela played in the jazz clubs of this then racially integrated area that was the first target of forced removal of black people in the 1950s.

Today, the spirit of Sophiatown is being revived through arts projects. The Sophiatown Heritage and Cultural Center (cnr Edward and Toby Streets; +2783 550 7130) runs walking tours in the area.

Some of humankind's oldest traces have been found here

Johannesburg has one of the longest recorded histories of human habitation in the world.

The earliest residents can be traced back 3 million years -- their presence preserved in a World Heritage Site called the Cradle of Humankind (+27 14 577 9000) 50 kilometers north of the city.

The area has been the scene of some of the world's most important paleontological finds, including the perfectly preserved hominid skeleton "Little Foot."

Maropeng, the visitor center housed within a giant grassy mound, has displays showing humankind's journey through time.

You can also walk through the Sterkfontein Caves, scene of some of the most exciting archaeological finds in the area.

Museum Africa (121 Bree Street, Newtown; +27 11 833 5624) has a wide range of displays exploring Africa's first civilizations.

Melville Koppies (Judith Road, Emmerentia; +27 11 482 4797), a nature reserve in the heart of Joburg with evidence of Stone Age settlements, is a good place to escape the hectic pace of the city. It's inadvisable to go here alone, so join a guided walk.

@highlight

Modern Johannesburg was born 130 years ago, after gold was discovered

@highlight

It's a city of immigrants -- with an open, friendly atmosphere

@highlight

Earliest inhabitants can be traced back 3 million years