(CNN) -- As theater, Hillary Clinton's congressional testimony on the September attack on the U.S. diplomatic mission in Benghazi did not disappoint. The secretary of state was prepared. She was poised. And she was fiery.

Clinton likely regrets her exasperated response to persistent questions by Sen. Ron Johnson of Wisconsin, who repeated the charge that the Obama administration had misled Americans over whether there was a protest on the night of the Benghazi attack, as reports first indicated. She exploded: "With all due respect, the fact is we had four dead Americans. Was it because of a protest or was it because of guys out for a walk one night decided they'd go kill some Americans? What difference, at this point, does it make?" The response instantly inspired the critical hashtag #WhatDifferenceDoesItMake and became a hot topic on right-wing radio.

But otherwise, Republican members of Congress hardly laid a glove on her, perhaps because the party has bizarrely focused on the Obama administration's post-attack talking points instead of more important issues: Does the State Department have the resources and policies it needs to keep American diplomats safe? What level of threat do extremist groups in the region really pose to U.S. interests? And what does the Obama administration want to accomplish there?

The hearings should have been more substantive because the United States is at a dangerous inflection point in North Africa and the Sahel region to its south, and leaders in both parties need to think carefully about how deeply we want to get involved in this volatile part of the world. In Libya, the United States has already helped overthrow Moammar Gadhafi, whose vast arsenal has ended up in the hands of some pretty nasty characters.

With some in the Pentagon reportedly pushing for drone strikes in Mali, and the United States providing logistical and intelligence help to French forces there, we are gradually getting sucked into conflicts that were never considered our vital concern.

In her opening statement, Clinton tried to put the Benghazi attack in this context, describing steps the United States is taking to address "the broader strategic challenge in North Africa and the wider region."

"The Arab revolutions have scrambled power dynamics and shattered security forces across the region," she said. "And instability in Mali has created an expanding safe haven for terrorists who look to extend their influence and plot further attacks of the kind we saw just last week in Algeria."

Those attacks, in which a group of jihadists tied to al Qaeda in the Islamic Maghreb seized control over a natural gas facility and took dozens of hostages, are indeed alarming. Oil and gas facilities across North Africa, especially in Libya, are likely vulnerable. U.S. diplomatic facilities are almost certainly at risk.

But it's by no means clear what threat al Qaeda in the Islamic Maghreb, or for that matter its ally Ansar Dine, one of the Islamist groups controlling northern Mali, poses to the United States. As terrorism exert Daniel Byman notes, al Qaeda in the Islamic Maghreb "largely lost its struggle in Algeria" before joining forces with al Qaeda's high command in Pakistan and trying to wrap its longstanding fight with the Algerian military into the global jihad. And rebel groups such as the Tuareg have a long history of using harsh tactics to extract concessions from the central government. Is getting involved in their parochial struggles the best way to keep Americans safe?

Perhaps a better question is how involved we want to be. Some reports have linked al Qaeda in the Islamic Maghreb, which has ties to al Qaeda's leadership in Pakistan, to the Benghazi attack. Three Americans died in the gas plant in Algeria, and seven more barely escaped with their lives. The United States reportedly has had special operations forces in Mali for years. So, in a sense, America already is very much involved.

But that doesn't mean the right course of action is to get in deeper. To varying degrees, al Qaeda in the Islamic Maghreb and its allies clearly do pose a threat to U.S. interests in their corner of Africa, but there's little evidence that they have the capability or intent to strike the U.S. homeland. The United States needs to lead from behind in this region -- but way, way behind, with French and African forces in the front. Al Qaeda would like nothing more than to drag the United States into another protracted quagmire.

In her testimony, Clinton outlined the stakes. "We are in for a struggle, but it is a necessary struggle. We cannot permit northern Mali to become a safe haven.

"We've got to have a better strategy," she said. I couldn't agree more.

The opinions expressed in this commentary are solely those of Blake Hounshell

@highlight

Blake Hounshell: Critics focused on Clinton's fiery comments at hearing, not more pressing issue

@highlight

He says focus should be danger of U.S. getting drawn into fighting extremists in N. Africa

@highlight

He says it's not clear what threat al Qaeda in the Islamic Maghreb poses to U.S.

@highlight

Hounshell: U.S. should lead from way behind French, African forces while developing strategy