Longmont, Colorado (CNN) -- Food and water are running low in some of the Colorado communities cut off by epic flooding, but well-organized residents are holding their own while awaiting rescue, officials said Monday.

"Within the communities, all of these people are helping one another out," deputy incident commander Chuck Russell told reporters in Larimer County. "They're being very resourceful."

Helicopters from the U.S. Army and Colorado and Wyoming National Guards took to the air Monday morning, fanning out across the region to rescue people stranded across hundreds of square miles of Colorado flooded when intense rainfall last week pushed streams out of their banks and sent walls of water crashing down mountain canyons.

"Our birds are up and flying," the Wyoming National Guard tweeted. "If (you're) in trouble, we will find you! We will get you to safety!"

Among those cut off were 15 Colorado National Guard members and other emergency workers stranded Sunday when rising floodwater forced them to abandon efforts to evacuate residents from flooded areas near Lyons, a National Guard spokeswoman said.

U.S. Army helicopters rescued the civilian evacuees and some of the National Guard troops and emergency workers, Colorado Air National Guard Master Sgt. Cheresa Theiral said.

A local family offered shelter to the stranded Guard members Sunday night, and on Monday the Guard rescuers went back to work with a door-to-door evacuation of some 18 houses in the area, according to Guard Lt. James Goff.

Goff added that on Sunday, more than 90 residents in Boulder County were rescued by Guard members.

While rescue flights resumed Monday, hundreds of civilians stranded by the flooding face a similar plight -- and a potentially long wait with so many needing to be rescued.

More than 1,000 people in Larimer County alone were cut off and in need of rescue, officials said Monday. If they remain cut off by ground and military crews can't find a way to land helicopters for rescues, authorities will drop food and water to keep people going until rescues are possible, Russell said.

More than 600 people remained unaccounted for in Boulder and Larimer counties alone, officials said Monday. More than 1,200 had been reported unaccounted statewide as of Sunday night.

But while authorities said the presumed death toll of six could rise, most of the people on the unaccounted list are likely alive and well but have failed to check in with authorities to let them know, officials said Monday.

Lessons from Vermont's epic flood

Huge rescue effort

Despite bad weather that kept helicopters grounded much of the weekend, crews from the Colorado and Wyoming National Guards and U.S. Army had used helicopters to rescue more than 700 people as of Saturday night, a National Guard official said.

More than 2,100 people and more than 500 pets had been rescued by air and ground as of late Sunday, according to the National Guard.

Federal Emergency Management Agency Administrator Craig Fugate said Monday that FEMA teams were on the ground in Colorado to provide emergency assistance.

"We've already had 3,000 families register" since Sunday for FEMA aid, Fugate said, emphasizing that federal assistance will be granted based on need.

The air efforts may be the largest such evacuation in the country since Hurricane Katrina in 2005, National Guard Lt. Col. Mitch Utterback said Saturday.

In some cases, pilots had been flying night missions using night-vision goggles to rescue people, he said.

Among the rescues: Saturday's recovery of 78 children who got stranded while on a field trip.

"The helicopters -- those were the best," said 10-year-old Luca Voeller, one of the students on a field trip to a high-elevation camp when the flooding began.

Colorado floods: Stories of grief, generosity and gratitude

Death and destruction

Eight people across the state have died, according to the Colorado Office of Emergency Management.

Four of those deaths include a man and a woman, both 19, who were swept away after leaving their car Thursday in Boulder County. Authorities said the woman left the car first, and the man jumped out to try to save her.

Another body was found in a collapsed home in Jamestown in the same county. Rescuers recovered a fourth body on a roadway in Colorado Springs in El Paso County. Details were not given on all the deaths.

Earlier Monday, CNN reported that there were two others presumed dead -- a 60-year-old woman and an 80-year-old woman, both in Larimer County. As of late Monday afternoon, it was unclear whether those people were indeed among those officially counted as fatalities by emergency management.

The flooding has washed out or damaged dozens of roads, damaged nearly 18,000 homes and destroyed 1,500 homes, according to the state. Larimer County Sheriff's Office Executive Officer Nick Christensen said Monday that 1,500 homes may have been destroyed in his county, but it wasn't clear if that number was in addition to the state figure.

He also said some 200 businesses may have been destroyed, with 500 damaged in what was a once-in-a-1,000-years flood in some parts of Larimer County.

Boulder County alone will need an estimated $150 million to repair 100 to 150 miles of roadway and 20 to 30 bridges, county transportation director George Gerstle said. The repair bill will be "10 to 15 times our annual budget," he said.

Adding to what is already an unpleasant experience for thousands, residents who have been able to remain in their homes in some towns have been ordered to limit water use and to not flush toilets to avoid sewer backups and other problems. The latest town to issue such an order was Sterling on Monday.

In Firestone, some residents were having to rely on bottled water after two of the city's three water supply lines were destroyed in the flooding, a police department spokeswoman said.

Boulder Mayor Matthew Appelbaum told CNN's "New Day" on Monday that the city will be dealing with the aftermath of flooding for years to come.

"There is a huge amount of damage and a huge amount of repair and a huge amount of cleanup around town that people will be dealing with for a long time," he said.

President Barack Obama signed a major disaster declaration for Colorado on Sunday and ordered federal aid to supplement state and local recovery efforts in Boulder County.

Colorado Gov. John Hickenlooper said he spoke by phone with U.S. Transportation Secretary Anthony Foxx, who "was adamant that the $5 million that was released Friday was just the beginning" of federal assistance.

At a news conference Monday, Hickenlooper said efforts continued to be focused on "search and recovery."

The situation is "surreal," CNN iReporter Erich Toll said.

"I have never seen anything like it," Toll said Sunday. "There are raging rivers in many places where there have never been rivers -- or even water -- before. There are huge swaths of boulder fields where there used to be parks."

Matthew O'Rourke, an iReporter, said he's fearful of Coal Creek in Lafayette, which threatened to take out his business as it overflowed.

"The currents in the river -- they are impossible to describe how violent and diverse and angry they were and are right now," he said Sunday. "There is no way any human could survive if they were swept into this."

How to help

Michael Pearson reported and wrote from Atlanta; George Howell reported from Longmont. CNN's Elwyn Lopez, Barbara Starr, Jareen Imam, AnneClaire Stapleton and David Simpson also contributed to this report.

@highlight

NEW: State raises death toll by one, to a total of eight

@highlight

More than 3,000 families register for FEMA help, agency head says

@highlight

Some communities run low on food, water, officials say

@highlight

As many as 1,500 homes destroyed in one county, officials say