(CNN) -- Airports aren't exactly stress-free zones -- not yet at least.

But it's certainly something airport managers are working on.

Still, all the spas, yoga studios and movie cinemas in the world can't detract from the main source of travel anxiety: grueling lines.

It's an irksome feature that may soon become a relic, thanks to the advent of mobile tracking technology.

Helsinki Airport recently became the first in the world to track passenger movements in real time, from the parking lot to departure gates.

"The whole idea is to get better analytics of passenger flow. Really, it's only because we want to know better where bottlenecks form in the airport during rush hour," says Jarno Putta, vice president and chief information officer at Finavia Corporation, which manages the airport.

Passengers can meanwhile get updates about their flight status, bookmark where they parked (so they can find their car after their return flight) and chart how long it will take to get through security.

Once inside, when they pass partnered shops, they can get pinged with offers.

While receiving updates directly to one's phone may seem intrusive, Putta is adamant that the system doesn't collect any personal information.

Rather, it uses iBeacons and Wi-Fi routers to collect unique identifier numbers (or MAC addresses), and only from devices with the Wi-Fi settings turned on.

"The MAC addresses we use are scrambled, which means no one can be traced," he says.

EasyJet makes use of drone inspections

EasyJet is trialing similar technology at London Gatwick, Luton and Paris Charles de Gaulle airports, also using iBeacon.

The carrier is starting small -- placing the devices at baggage drop offs and security areas.

The EasyJet app also uses the technology to alert passengers to ready their documents at key points.

Though still in its early stages, James Millett, EasyJet's head of digital, anticipates it could have father-reaching uses.

"In time, we could see applications supporting individual challenges, like when a customer needs to be in a different location because they are carrying skis, or aren't carrying any hold luggage," he says.

The European low-cost carrier has been at the forefront of utilizing the newest technology.

In May, it started trialing inspection by drone on its fleet of Airbus A319 and A320 planes.

The airline is also looking into the use of virtual reality glasses to allow engineers and pilots to capture pictures of potential issues, and send them directly back to base.

"It's another good example of how we're applying new technologies to our business to help us be more effective and efficient," says Millett.

Passengers need power to opt out

Not everyone is comfortable with the new technology.

"Who wouldn't be creeped out by the idea of having your phone tracked? If I tell you someone's tracking you, and don't tell you why, of course you'd be upset," says Jules Polonetsky, executive director and co-chair of the Washington-based think tank Future of Privacy Forum.

He adds that, contrary to how it may seem, airport tracking is kept pretty general.

"It's not like it reports, 'hey, this phone belongs to the guy with blue glasses and a shabby suitcase.' It's '38,000 devices were in this location between these hours.' It's critical for airports and retailers to demystify this technology's uses for users."

Transparency is key, says Polonetsky, and airports need to make sure to alert passengers to the when, how and why of this technology, and provide them with an option to opt out -- which both EasyJet andÂ  Helsinki Airport do.

Passengers who don't wish to be tracked can either switch off Wi-Fi on their devices, or provide their MAC address to walkbase.com and smart-places.org. (In doing so, the tracking systems knows to ignore the address in the future.)

Mainly, though, he recognizes the many potential uses of this technology at the airport.

"An airport is the type of place where you probably do want to get pinged about gate changes, or find out where you can get a cup of coffee once you're checked in, or information on where the gate is and how much time it will take to get to it," he says.

"It's a big space, and anything the venue can do to help me navigate it easily and quickly is useful."

@highlight

Airports are using phone tracking to give passengers updates on flight status, airport retail deals, more

@highlight

EasyJet is also trialing drones for plane inspections

@highlight

The carrier is looking at virtual reality to help pilots and engineers