(CNN) -- Some of the world's most well-known companies like Apple, Google, Facebook, Boots and Starbucks have become successful partly by convincing us through their products that their corporate values align with consumers' personal values.

But what happens when these companies behave in ways that seem to betray our trust? What if you find out that these companies keep their huge profits offshore and out of reach of domestic tax authorities?

Will people challenge them -- "You want to change the world and have us pick up the tab?" Yes, people are voicing their discontent. At Apple's Worldwide Developers Conference in June, protesters loudly criticized Apple for keeping $54.4 billion offshore to avoid paying U.S. corporate taxes.

GE, Microsoft, Citigroup and Medtronic are other high-profile companies have also come under scrutiny and criticism for similar tax avoidance behavior.

The fact is that over $2 trillion in U.S. corporate profits is parked offshore. This should infuriate many law-abiding, taxpaying citizens. What's the justice in this?

Former Labor Secretary Robert Reich put it aptly when he said that lost tax revenue "has to be made up by you and me and every other taxpayer who can't afford high-flying attorneys and accountants to shift our income into places with low taxes."

Of course, the companies don't see it that way and deserve a hearing. For them, it's a difficult business dilemma. The U.S. is alone among developed nations in requiring double taxation for corporations. U.S.-based companies face a 39% corporate tax rate -- the highest in the developed world -- and are required to pay tax twice on foreign profits: once to the country in which the revenue was made, and a second time to the U.S. if and when the money is brought back.

Corporations say they keep so much profit offshore because they have a fiduciary responsibility to their shareholders to maximize profits by any legally allowed means, including avoiding taxes.

Meanwhile, consumers watch critically as companies play out their tax avoidance strategies -- from protecting foreign profits to actually moving their headquarters to other countries.

Apple, for example, has an extremely proactive corporate tax avoidance strategy that allowed the company to pay an effective tax rate of 12.6% -- one of the lowest among U.S. corporations. Seventy percent of Apple's profits -- and $54.4 billion in earnings -- are allocated overseas through subsidiaries in countries with much lower rates (like Ireland and the Netherlands) and out of the grasp of U.S. tax authorities.

Repatriating Apple's offshore money would cost the company about $18.4 billion and increase its effective tax rate to 33.8%. Citigroup would have had to pay $11.7 billion in additional U.S. taxes had it brought back $43.8 billion in 2013.

Other companies choose to move to avoid paying taxes or receive a lower tax rate. Medtronic, which makes medical device technology, plans to move its headquarters to Europe after a merger with Covidien, a non-U.S. company. Medtronic will then enjoy a corporate tax rate much lower than in the U.S.

The trend among large companies these days to embrace social responsibility and transparency leads people to expect them to behave, well, more responsibly. So it is ironic that some of the biggest companies are shirking taxes on their profits.

But people notice. Advocacy groups in the UK and U.S. are targeting tax-avoiding companies by personalizing the impact of lost tax revenue in terms easy for citizens to rally around. The group US Uncut has pointed out that Apple's fair share of U.S. tax on offshore profits in 2011 could have paid salaries for 90,000 teachers. Boots' $1.2 billion revenue sheltered from UK taxation could have funded salaries for 85,000 nurses at the National Health Service.

As Ralph Nader and Cesar Chavez showed us in the 1960s, activist voices can galvanize consumers and fuel them with the spirit of populism. People with a tangible target for their general financial dissatisfaction may equate these companies -- and business leaders -- with the glaring inequality of our time.

In a recent Politico piece, Seattle's billionaire investor Nick Hanauer warned that Americans may one day come after the tech and money plutocracy with pitchforks. History shows that it's impossible for the very wealthy to predict when consumer unhappiness can boil over into outright upheaval. He predicts that moment is coming.

Companies that are out of sync with their consumers' values -- even in their legitimate self-interest -- are at risk of having a center that cannot hold over time. That could be detrimental to their business in the long term.

In Britain, for example, Starbucks saw a 29% drop in the company reputation score, from +3 to -26, after a Reuters report that showed the chain paid no tax on 1.2 billion pounds in sales and claimed to have made no profit in Britain after 14 years of operations.

That probably wasn't the smartest move. Companies that try to hide their profits, through whatever loophole, risk testing the goodwill of consumers.

More and more, young people care about a company's values. More than half of the millennials recently surveyed by PricewaterhouseCoopers said they would consider leaving an employer if its social responsibility and values no longer matched their own. Millennials are important to the growth of any company, as consumers and as prospective employees.

Companies that spend millions to control their images and public narratives by being in touch with consumers may end up being perceived as out of touch if they keep avoiding paying taxes. Consumers may not storm the barricades and topple Apple stores, or forgo their morning coffee, but they will crave economic justice, and they will press for changes.

@highlight

Big brands like Apple, Starbucks put their profits offshore to lower their tax bills

@highlight

Martha Pease: This injustice should infuriate law-abiding, taxpaying citizens

@highlight

She says it's ironic when these companies are embracing "social responsibility"

@highlight

Pease: Corporations that care about consumers should examine their own values