LONDON, England (CNN) -- Space travel, security threats and increasing passenger numbers are forcing major changes in the way airports are designed.

Elegant space: the interior of the proposed Virgin Galactic spaceport in New Mexico

In fact, when discussing the future of the airport it is now appropriate to consider both conventional air travel hubs we are familiar with, as well as the imminent 'spaceports'.

The rush of interest in setting up 'space tourism' companies has seen proposed spaceport projects in Dubai in the United Arab Emirates, and California, Oklahoma, New Mexico, Florida, Virginia, Alaska and Wisconsin in the United States. Russia, Australia, Sweden and Portugal have also been rumored as potential spaceport locations.

Meanwhile, the air travel industry is continuing to expand operations despite the challenges facing some airlines.

And there are some radical new ideas being developed for future air and spaceports.  See a picture gallery of futuristic airport and spaceport designs »

The adventurous views of Dave Evans, chief technologist at business solutions company Cisco Systems, highlight the types of changes we could soon see in airports and indeed the new features we may witness in spaceports.

Speaking at a FAA/NASA/Industry Airport Planning Workshop in 2006, Evans suggested that pilots of the future could fly without hands and from the comfort of their own home (using brain-machine interfaces, in which the human brain actually exchanges electronic signals with a computer).

He also said future airports would have virtual intelligence personnel to perform the jobs of many airport workers; and that people would be able to check-in remotely using a cell phone embedded with a RFID (radio frequency identification) chip.

But what will these new airports and spaceports look like?

Graeme Johns, who is an architect at British airport design company, The Design Solution, believes airports of the future will continue to expand, with bigger security and commercial areas.

Johns, who is involved in projects in London (the new Heathrow T2 terminal), Delhi, Mumbai, Doha, Abu Dhabi and Oman, said many new airports were being more adventurous with designs.

"I think there is definitely a move towards more avant-garde designs. People are trying to do things more site-specific rather than keeping to the same old formula.

"Definitely in the Middle East they throw everything at it, also in the Far East there are some large developments. They are all vying for transit passages," he said.

Johns said one of the biggest challenges was balancing commercial space with operational space.

"There's lots of pressure to make larger security areas ... but a big thing for us is trying to move up the commercial side of airports."

Future airports would likely include a better range of shops, he said.

"We are definitely looking at broadening the offering of shops and bringing in things that haven't traditionally been in airports," John said.

If all of this isn't exciting enough for you -- then of course there are spaceports.

Internationally renowned design company Foster and Partners won a competition to build Virgin Galactic's spaceport in New Mexico.

Company founder Lord Norman Foster said the project was one of the most exciting and futuristic he had been involved in

"This technically complex building will not only provide a dramatic experience for the astronauts and visitors, but will set an ecologically sound model for future spaceport facilities."

And what will this magnificent new structure include?

A tunneled entrance, a 'super-hangar' for the space-craft, and retaining walls that form an exhibition documenting the history of space exploration alongside the story of the region, are just some of the features.

So whether or not you have the money to make the space flight, Virgin Galactic's spaceport is going to be a place well worth visiting.

@highlight

Airports are likely to see bigger security and commercial areas in future

@highlight

Foster and Partners is building a spaceport in New Mexico for Virgin Galactic

@highlight

The Middle East and Far East are creating the most futuristic new airports