(CNN) -- U.S. President Barack Obama begins a key European trip Monday during a pivotal moment of his presidency.

He will use a series of key meetings this week to re-assert U.S. global leadership at a time when the United States, and the wider West, has appeared to be on the back foot following Russia's incursion into Ukraine and subsequent annexation of Crimea.

The immediate focal point will be an emergency meeting of the G7 which will take place at The Nuclear Security Summit (NSS) Monday and Tuesday in The Hague.

The G7 session will convene on the margins of the NSS to discuss next steps for tackling the crisis in Ukraine, including deterring the prospect of Russian military moves into eastern and southern Ukraine.

The agenda here is at least two-fold: bolstering the new leadership in Kiev, and threatening further economic punishment of Moscow. On the former, Ukraine signed last Friday an agreement on closer economic and political cooperation with the EU.

Moreover, Washington has confirmed that it is providing Kiev with "non-lethal assistance" that could include intelligence and satellite imagery, and/or key equipment such as night-vision goggles.

Coordinated new waves of sanctions against Russia will also be discussed.

The United States and the 28 member EU have already imposed travel bans and selective asset freezes against key Russian and Crimea officials, and a bank deemed to have close ties with the Kremlin. It is recognized, however, that further escalation may be needed, and Obama will seek to find consensus on this given the differing bilateral interests with Russia of the G7 countries.

Potential measures include widening the punitive measures against targeted Russian and Crimean officials and institutions; an arms embargo; Moscow's expulsion from the G8; and wider, more politically sensitive economic sanctions.

The scene was set for the latter last Thursday when Obama signed an executive order expanding the U.S. government's authority to take financial and trade measures with the European Union against key Russian industries.

In the face of some strident recent domestic U.S. criticism of his foreign policy, Obama will also have platforms to showcase presidential leadership at both the EU-U.S. summit on Wednesday, and the NSS where he will meet with more than 50 national leaders including Chinese President Xi.

Nuclear terrorism

The NSS, which will focus on measures to enhance security of nuclear material stockpiles and facilities across the world, is the brainchild of Obama who believes that nuclear terrorism represents "the most immediate and extreme threat to global security."

The downturn in relations between Russia and the West is unfortunate here given that Moscow is a pre-eminent player in attempts to counter the nuclear terrorism threat. Indeed, this issue first came prominently onto the international radar screen following the collapse of the Soviet Union when major concerns were raised about safeguarding its nuclear weaponry.

More recently, the urgency of tackling this agenda was given impetus by the September 2001 attacks. This was widely interpreted as a "wake-up call" about the possibility that a terrorist group could detonate a small nuclear weapon, or a radiological dispersal device (a so-called "dirty bomb").

While the conventional wisdom is that the probability of a major nuclear terrorism event is very low, the consequences would be so dramatic that it remains a major pre-occupation of the international community. Given the difficulties of terrorist groups obtaining weapons grade material, perhaps the bigger danger is a dirty bomb attack. Here, conventional explosives would be used to spread radiation from a radioactive source.

Such radioactive sources are relatively widely available, including at hospitals.

Only last December, law enforcement authorities in Mexico discovered a vehicle believed to have been stolen by thieves which contained radioactive medical materials that could have been used to power a dirty bomb.

Nuclear Security Summit goals

Amongst the ambitious goals for the NSS include: ratification of the amended Convention on the Physical Protection of Nuclear Material by more countries to ensure that the amendment enters into force as soon as possible; more frequent reviews of state security structures by the International Atomic Energy Authority; national registration and protection of highly radioactive sources (e.g. medical equipment); and a greater role for industry in nuclear security to enhance the security culture and existing regulations.

Following up on the summit, a significant body of further work will be needed to achieve Obama's stated ambition to "secure all vulnerable nuclear material around the world" during his presidency. The next NSS will be in Washington DC in 2016 and will coincide with his last year in the White House.

Given recent criticism of his foreign policy, and conscious of his place in history, Obama sees enhancing global nuclear security as a key part of his presidential legacy, especially following the agreement he signed with Moscow on the New Strategic Arms Reduction Treaty (NEW START) which will see both countries reduce their deployed nuclear arsenals.

Building upon this success, he will now seek to secure the strongest possible outcomes from the NSS process, and also push hard for a comprehensive nuclear deal to be reached with Iran to follow-up on last year's breakthrough preliminary agreement.

Read more: Obama's Europe trip shifts focus to Ukraine

Read more: How West can respond to Russia's aggression

Read more: Sanctions target key aides from Putin's inner circle

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Barack Obama has arrived in Europe for The Nuclear Security Summit at the Hague

@highlight

An emergency G7 summit on the Ukraine crisis will be held on the sidelines of the nuclear summit

@highlight

Andrew Hammond says Obama will seek to find consensus on new sanctions against Russia

@highlight

Obama sees enhancing global nuclear security as a key part of his legacy, Hammond says