(CNN) -- The Russian spring may have been postponed this year, both on and offline.

Last December, after the spontaneous popular demonstrations in Moscow against the "results" of the parliamentary elections, suggested that Russia's internet hamsters might be outfoxing Vladimir Putin. But I'm afraid that this weekend's Presidential elections have reestablished the primacy of the old regime over internet activists. Indeed, even President elect Putin may now be outsmarting popular bloggers like Alexei Navalny.

So much then for the transformational power of the democratic network; so much, too, for the power of digital society to rearrange power in Russia.

The problem is that the Internet doesn't have transcendental powers. Technology is just technology. It can't magically invent political parties, platforms, ideologies or leaders. And it certainly can't transform the well-intentioned democratic activists on Russian social networks like Vkonkakte and Live Journal into coherent organizations that can effectively challenge Putin's leviathan state.

As one of Moscow's savviest political observers emailed me yesterday about the current political situation in Russia: "It shows that the best defense against revolution are not tanks and security forces, but a phony compromised opposition created by the government to preempt any real opposition.

"It also shows that the opposition that does exist is still very much a limited Moscow phenomenon. The Internet is only a medium. It can't create an appealing opposition candidate out of a bunch of clowns. It also can't create a middle class where there is none."

And as Alexei Navalny tweeted yesterday: "We overestimated ourselves. We thought the rest of the country knew what we know."

So why doesn't the rest of Russia know what the anti-corruption activist Navalny knows?

According to Edward Shenderovich, a Moscow based venture capitalist who runs Kite Ventures, it's because Putin controls the media. Of the 140 million people who live in Russia, Shenderovich explains, only 35 million of them are on the internet. The rest rely for their information on radio, television and newspapers which are mostly managed by Putin apologists and allies.

The opposition is not only mostly limited to Moscow, but it's also politically naive.

Last night, in Moscow's Pushinskaya square, protestors gathered to demonstrate against the legitimacy of Putin's electoral coronation. It was a slightly disappointing turnout (around 20,000 people) and after Alexei Navalny and presidential candidate Mikail Prokhorov spoke, a rump of the crowd became embroiled with the riot police.

According to Gazeta.ru, all the talk amongst the resistors was to set up a tent city along the idealistic lines of the Occupy Wall Street movement.

But haven't these Russian activists been keeping up with the news from America? If the Occupy Movement in Manhattan's Zucotti Park couldn't fight Michael Bloomberg's New York City cops, then what chance does a Moscow civic protest camp have against Vladimir Putin's tens of thousands of heavily armed militiamen?

Fortunately, there are some political realists who understand that the most effective way to resist Putin isn't through a directionless Occupy Movement or via absurd theatrical stunts like the FEMEN activist in Moscow who bared her breast at the Moscow polling station where Putin had just voted.

"The opposition now has to recognize the agonizing fact that creative flash-mobs won't get rid of Putin. We need to learn stubborn, routine and -- at a first hipster glance -- useless old-school political work," noted the Opposition leader Vladimir Milov yesterday

Nor will more high-tech digital technology get rid of Putin. Indeed, the regime has cynically appropriated cutting-edge technologies such as "transparent ballot boxes" to establish its honesty. Putin even installed 180,000 web cameras at Russian polling stations in a surreal attempt to prove the legitimacy of an electoral system that is anything but radically transparent.

If there is to be a political spring in Russia, it may be led by the ex CEO of Yukos, Mikhail Khodorkovsky, once the wealthiest man in Russia and now a prisoner in a very low tech Siberian labor camp.

Khodorkovksy has penned a seven point plan for the opposition which include a focus on peaceful protest, the establishment of two or three political parties, getting activists out of Moscow into the regions and establishing working pacts with moderates within Putin's regime.

Khodorkovksy' realism is echoed by the venture capitalist Edward Shenderovich. Demonstrations in Russia will continue, he explained to me. But while the internet is a great "communications platform" for organizing people and collecting money, politics, Shenderovich told me, exists "outside" the online world. The focus, he insists, should be on building a clear opposition leader and platform that will challenge what he calls "the most corrupt society in the world."

"Putin beats the spread", noted Matthew Rojanksy, deputy director of the Russia and Eurasia Program. The losers in the Presidential election, he explained, were the middle class, young people and the United States. But Rojansky left out a fourth loser from Sunday's election: the Russian internet.

â€¢ Follow @ajkeen on Twitter

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Digital commentator Andrew Keen says primacy of Russia's old regime re-established

@highlight

He says opposition politically naive to think digital technology will get rid of Putin

@highlight

In country with limited internet access, politics exists outside online world, argues Keen