(CNN) -- Events in North Korea have left the world wondering: Where's leader Kim Jong Un and is he still running perhaps the most isolated country on Earth?

Some analysts speculate Kim may have been ousted by an old guard from the era of his late father, whose 2011 death put the son in power.

First, Kim Jong Un gained a lot of weight. Then he developed a limp. Now the 31-year-old leader has been out of the public eye since September 3, during which he missed an important state meeting and, more recently, a meeting Tuesday to mark the 17th anniversary of his father's election as general secretary of the Workers' Party.

Those events may not seem like much. After all, Kim could merely be ill, analysts say. In fact, official North Korean media said Kim was "suffering from discomfort," with no elaboration.

But a surprise weekend visit by the No. 2 and No. 3 leaders of North Korea to South Korea has many wondering if bigger intrigue is afoot. Those two leaders plus another top official attended the closing of the Asian Games and then told the South that the North is willing to hold high-level meetings this fall, according to the South.

Though such talks have been attempted in the past, a new round could be significant toward advancing any potential reconciliation on the long divided Korean peninsula.

Which raises the question, where is Kim? And why did the North make a last-minute visit to the South?

Is Kim Jong Un lying low?

'It's unprecedented'

"I don't think anybody outside of Pyongyang really knows," said analyst Michael Green of the Center for Strategic and International Studies.

"The fact that the No. 2 and No. 3 people in the North Korean system traveled out of North Korea at the same time, after the No. 1 Kim Jong Un has been out of the public eye for weeks, and his wife as well, is very unusual," Green added. "It's unprecedented."

It's enough to lead some to wonder whether something of a coup has taken place.

"Has North Korea's Kim Jong Un been toppled?" analyst Gordon G. Chang wrote this week in the Daily Beast. "Of course, in the world's most opaque regime, almost any scenario is plausible. We should know a lot more, however, when we see who is on the reviewing stand during the October 10 celebration of the founding of the Workers' Party.

"Until then, we can say there are signs that Kim Jong Un has lost substantial power and will soon become, if he is not already, a figurehead," Chang wrote.

Citing sources, the Daily Beast also reported last week that North Korea imposed a ban on new travel passes for entering or leaving the country.

Ambassador avoids Kim health question

On Tuesday, Ri Tong Il, deputy ambassador from North Korea to the United Nations, declined to respond to CNN's questions about whether such reports mean something larger, such as instability and pending change within the regime.

The ambassador did address travel issues within the country and said that citizens have the right to travel.

When asked about the condition of Kim, the ambassador deflected the question and said he had a "program" to attend and left.

A North Korean defector, Jang Jin-Sung, who was a prominent propagandist for Kim Jong Un's late father, said the junior Kim is already a "puppet" of a shadowy oligarchy.

A 'symbolic' leader

An old guard who make up the Organization and Guidance Department, or OGD, are the real "power holders," Jang said via telephone from South Korea last week. They were tied closely to the late Kim and are not beholden to his son, he said.

"Kim Jong Un is a symbolic head of state," Jang said. "Symbolically he became Supreme Leader. He did not necessarily inherit all the loyalties, the trust, the connections, experiences. He came in as a newcomer, and his position in the system is not the same."

Jang, who defected to South Korea almost a decade ago, said he has spoken with highly placed sources within the regime in recent days. The OGD, he said, "are calling the shots, and not the words of one man they do not know. Basically, they're no longer loyal to the ruling king's word," Jang said.

Neither CNN nor U.S. intelligence officials can confirm whether Jang's claims are credible, but Ken Gause -- who has studied North Korea for two decades for CNA Corp., a nonprofit agency that provides research and analysis to U.S. government agencies -- agreed that the OGD has enormous clout.

The idea that Kim was ousted by the OGD is a theory "that you sometimes hear from European diplomatic personnel that are stationed in North Korea," said Victor Cha, a professor at Georgetown University.

"Some evidence of this are pictures, propaganda pictures we see of the North Korean leader, Kim Jong Un, that are unflattering pictures that show his girth or that show the back of his head," Cha said. "These are apparently all signs by the OGD that they are in control more than this young fellow is."

Simply ill

Jonathan Pollack, who specializes in East Asian issues for the Brookings Institution, downplayed the likelihood of a power struggle in Pyongyang. He said that high-level maneuvering to influence Kim is a more likely scenario than any effort to strip him of power.

"This is a top-down system. There is no No. 2," Pollack said. "It is a royal system, a dynastic system predicated on there being a Kim and then, dare I say, a 'next of Kim' able to wield authoritative power from the top on an unquestioned basis."

The other dominant theory is that Kim is simply ill.

After all, Kim has a family history of diabetes, obesity and sumptuous living, analysts said.

"Kim Jong Un combines all that plus the worst of Western pop culture, Cokes and French fries ...," Green said.

Andrei Lankov, an analyst at Seoul's Kookmin University, doubts Kim is in political hot water.

"People get sick," he said. "I wouldn't make much of it."

Why North reaches out to South

Lankov said he believes Kim is still in charge and orchestrated Saturday's remarkable visit that occurred in the South.

"North Korean diplomacy has been engaged in concerted, well-arranged, well-managed efforts to improve relations with pretty much the entire outside world. And you would not expect it to happen with nobody in control," he said.

The reason for the North's friendlier approach bears upon economics, he said.

"They want South Korean money and they want normal trade, which is subsidized by South Korea," Lankov said.

In particular, the North would like the South to lift the so-called May 24 Measure, a heavy trade sanction taken in 2010 after the North Korean military sank a South Korean ship, killing 46 sailors.

If the worst of political skullduggery has occurred -- that is, Kim is out of power -- then North Korea becomes a place of greater concern, Cha said.

"If this guy is no longer in play, and we don't know that, but let's say he is, he is no longer in place, there's no clear line of succession," Cha said.

"If there's an internal power struggle, we don't know the security of the nuclear weapons, the security of the missiles, and it can be manifested in terms of conventional military acts against the South, either intentionally or inadvertently that can then trigger greater prices on the peninsula," Cha said.

"So stuff that happens inside of North Korea can certainly affect folks on the outside in very bad ways."

CNN's Brian Todd, Dugald McConnell, Lorenzo Ferrigno, KJ Kwon, Ben Brumfield and Cameron Tankersley contributed to this report.

@highlight

Kim's monthlong absence from public provokes speculation on whether he's been ousted

@highlight

Other analysts say he's simply ill but is still orchestrating a North visit to South

@highlight

Official North Korean media acknowledges Kim is "suffering from discomfort"

@highlight

North Korea's deputy ambassador to U.N. declines to address Kim's health