Facial surgery that targets and removes small portions of migraine-triggering muscle or nerve tissue may offer permanent relief for some people with the debilitating headaches, a new study suggests.

More than 30 million Americans experience migraine headaches.

"Other migraine treatments either temporarily prevent the symptoms or they may reduce the symptoms after the migraine headaches start," says Bahman Guyuron, M.D., a professor and the chair of the department of plastic surgery at the University Hospitals of Cleveland and Case Western Reserve University. "What we are offering is essentially a cure."

In a study published in Plastic and Reconstructive Surgery, Guyuron and colleagues looked for people who had migraines that started in a specific region on the front, side, or back of the head. The researchers injected Botox into these trigger points to temporarily paralyze the muscle; if the injections helped relieve the migraines, the patients were randomly divided into two surgical groups.

After the Botox wore off, one group had a face-lifting surgery combined with the removal of muscle tissue or nerves in the area that triggered the migraines. Fat or muscle was used to fill in the area after tissue was removed. Health.com: Quiz --Surprising migraine causes and cures

The second group had a sham procedure, in which incisions were made but all muscles and nerves remained intact. A total of 75 patients were involved in the study.

In the year after the procedure, 57 percent of those who had the actual surgery reported the complete elimination of migraine headaches, compared with just 4 percent in the sham surgery group. In addition, 84 percent of those who had the surgery reported at least a 50 percent reduction in migraine pain compared with just 58 percent in the sham group. Health.com: Secrets to a stress-free home

As for side effects, one surgery patient had persistent numbness of the forehead, and 10 of 19 patients who had the procedure on the side of the head had a slight but persistent hollowing in their temple region.

More than 30 million Americans experience migraine headaches. However, Robert Kunkel, M.D., a consultant at the department of neurology at the Cleveland Clinic, says this surgery probably won't become a common procedure, despite the results. Health.com: Knowing your mother's health history can lower your risks

"This may be a technique that will help a small number of migraine patients who have responded to Botox, but it's certainly not a procedure for generally treating migraines," says Kunkel, who was not involved in the new study. He points out that people who had the sham surgery probably suspected that they were in the placebo group, since the face-lift would most likely have reduced wrinkling. If a treatment isn't completely blinded, it can skew a study's results; if patients suspect they've had a sham treatment, they may be less likely to say their migraines are cured.

However, nearly 60 percent of the people who had the sham procedure reported some migraine relief too. Guyuron believes this could be related to a placebo effect, or the incisions could have disturbed some of the nerve branches and actually relieved migraines in some way. Health.com: 20 little ways to drop the pounds and keep them off

Overall, there was a 92 percent success rate, notes Guyuron. "This study offers powerful evidence to the plastic surgeon, the neurologist, and the insurance companies that this operation is effective," he says. "Not only are they headache free, depending on the trigger site, but they also may look younger."

The Migraine Foundation, the Plastic Surgery Education Fund, and the Prentiss Foundation funded this study. Some of the study coauthors have consulted for Allergan or have been paid speakers for pharmaceutical companies.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Migraine patients who responded to Botox on a trigger point were enrolled in study

@highlight

Patients were given real surgery to deactivate trigger point or sham surgery

@highlight

57 percent of patients who had actual surgery said migraines were eliminated

@highlight

Some patients who got sham surgery reported improvements as well