San Francisco (CNN) -- As a juvenile corrections officer in Southern California, Teresa Goines found it rewarding to work with troubled youth and help them turn their lives around.

The hardest part usually came after their release.

"They'd be super excited, ready to start a new life," she said. "They'd be put in the exact same environment, though, so they'd reoffend, and they'd come back."

Sometimes, Goines said, they would call and say they wanted to come back.

"That would break my heart," she said. "I'd be all tough during the day and drive home at night and cry."

Goines felt that by sending these young men home without enough support to keep them on the right track, the system was essentially setting them up to fail.

Finding a well-paying job can be a tough proposition when you have a criminal record, Goines said. She wanted to provide an alternative to gangs, knowing that such groups often give troubled youth a way to make money while providing a sense of family and social support.

Eventually, she came up with the idea for the Old Skool Cafe, a 1940s-style restaurant run entirely by young people from difficult circumstances.

The bistro is in one of San Francisco's roughest neighborhoods, but inside, the atmosphere is warm and inviting. Customers come from all over the city to enjoy the food and entertainment and to support Goines' mission, which provides jobs, career training and a built-in support system to at least 25 at-risk people each year.

Goines estimates that 75% of those who've worked at the restaurant have been incarcerated or in trouble with the law.

Jonathan Zavala was first incarcerated at 14, and he floated in and out of California's juvenile justice system for years. With his criminal record, he didn't see many options for himself.

"I thought, 'No one is going to hire me; what else can I do?' " said Zavala, now 19.

A year ago, his probation officer told him about the restaurant. Now, three nights a week, Zavala works as a server and has become a valued member of the Old Skool team.

Young people like Zavala fill all of the positions in the restaurant. With the help of a couple of adult mentors, they stock the kitchen, prepare the food, serve the meals and manage the staff. They also play a large part in creating their menu of "international soul food," which now contains several of their family recipes.

Goines, a Christian, also offers to share her religious faith with any program participant who is interested, but she says that her program is completely inclusive and welcomes everyone, regardless of their beliefs.

The restaurant's theme is inspired by Harlem in the late 1920s through the '40s, and the staff is decked out in red-and-black uniforms from the time period. Goines loves the music and spirit of that era and knew it would be a cool, unique vibe that would help attract customers, but she also had another motive.

"From the Harlem Renaissance to ... jazz and swing, so much of that was started by African-Americans," she said. "So many of our youth are of minority descent, I feel like that connection to that era is really important."

Zavala says he likes his uniform and red fedora.

"People, when they come in, they say, 'You look good!' " he said. "They're not used to seeing kids who've been in trouble look like that. They see us in a different way."

Giving young people a chance to be seen differently -- and to see themselves differently -- is what the program is all about. It's open to at-risk youth ages 16 to 22, many of whom are referred by social workers or probation officers. The applicants must submit letters of recommendation and a personal essay and go through two rounds of interviews with the program's youth leaders.

Once accepted, they begin a four-month training course. During weekly sessions, employees teach the trainees the basics of every position in the restaurant. Then the new recruits test their skills by shadowing veteran staffers during their shift.

"Some days, you'll be the house manager. Other days, you'll bus tables or be the head chef," Goines said.

Do you know a hero? Nominations are open for 2013 CNN Heroes

Trainees, like Old Skool staff members, attend workshops on financial literacy, rÃ©sumÃ© writing and interview skills. They also meet regularly with a life coach who helps them set goals and connects them with resources for housing or medical care.

Participants who haven't graduated from high school must be pursuing a diploma or working on a GED. The program is very strict: More than one unexcused absence from work is enough to be dismissed.

Trainees receive periodic stipends, and if they complete the training, they can apply for a job. Employees earn minimum wage -- $10.55 an hour in San Francisco -- and tips are shared by the entire staff. They are also encouraged to take on more responsibility and help supervise the newer members. Ultimately, the youth leaders decide whom to hire and fire.

"The whole structure of this organization is meant for the youth to keep rising up in leadership and management," Goines said. "I'm a big believer in ownership. ... The more decision-making opportunities they have, the more life-changing it is."

Tammy Vaitai, 22, was withdrawn and quiet as a result of the domestic violence she witnessed while she was growing up. She has been involved with Goines' program for five years, and today she's the youth manager of the restaurant, handling the scheduling, training and service in the "front of the house." She also performs spoken-word poetry at the restaurant and recently started singing with the band.

"Now, I own my own car, I have a full-time job, and I'm currently applying to be a homeowner," she said. "I'm so stoked about my future."

She credits Goines with helping make it all possible.

"(Goines) pushes you past your comfort zone and past whatever limits you give yourself, " she said. "She's great at encouraging us to just dream big. She obviously did it herself. This (restaurant) was a big dream when it started off ... and she made it happen. "

For Zavala, the program has been the break he needed to stay on the right path.

"I've been staying out of trouble," he said. "Now, I have a support system. ... I feel like we're all like family trying to help each other."

He's hoping that Old Skool's scholarship fund will help him attend technical school, where he wants to create and patent his own inventions.

Stories like this are what motivate Goines. She wants to establish other Old Skool Cafes across the country, and she hopes that some of the young people she's working with now will help her.

"I think there's something about a light going on when you realize your potential," she said.

"The core of it is giving them hope. ... Once that light goes on, whatever they do, they're on their way to fly."

Want to get involved? Check out the Old Skool Cafe website at www.oldskoolcafe.org and see how to help.

@highlight

The Old Skool Cafe in San Francisco is helping troubled youth realize their potential

@highlight

They run the 1940s-style restaurant while getting valuable career training and support

@highlight

Founder Teresa Goines was a juvenile corrections officer in Southern California

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes