(CNN) -- Many Americans were stunned when the Centers for Disease Control and Prevention released a study last month showing that suicide now kills more Americans than car accidents. But as a primary care doctor, I am not surprised.

Over the past decade, the period in which suicide deaths spiked, I have witnessed how the U.S. health care system approaches the treatment of depression. It is outdated and ineffective, and it too often fails at protecting Americans from the consequences of mental illness. With each passing year, the U.S. falls further behind other countries in finding cost-effective ways to care for our citizens' mental health.

On Monday, President Barack Obama and Vice President Joe Biden are holding a conference at the White House aimed at broadening access to mental health care and removing the stigma from seeking treatment. They have their work cut out for them.

Depression is a leading cause of disability in the U.S. Most people with depression will see a primary care doctor before they see anyone else. We physicians are supposed to identify depression, help patients get the right treatment, and prevent suicide. But every time I see a patient with depression, I feel my hands are tied.

Yes, I can prescribe an antidepressant and adjust the dose, but many depressed patients also need psychotherapy, more intensive medication management, and close follow-up. I cannot get them all the treatments they need.

In the U.S., mental health treatment is largely delivered by specialists who are not integrated into primary care clinics. It is reimbursed separately, often with restrictions on the number of visits and at a high cost to patients. The best I can do with a depressed patient who is not responding to initial treatment is to say, "I can give you a referral, but you need to check with your insurance company to see if it will pay for this." Often the patients do not follow through -- either because the wait time to see a mental health provider is too long, they cannot afford the treatment, or they are simply too depressed to act on the referral.

The World Health Organization projects that by 2030, depression will be the leading cause of disability in the world, with huge economic and social costs. Even some developing countries are surpassing the U.S. in creating innovative and effective ways to deal with this coming tide.

The U.S. Mental Health Parity Act, passed in 2010, requires insurance companies to provide equal coverage for mental health and may improve depression care for Americans. The Affordable Care Act will also expand mental health benefits to 62 million more Americans by including mental health as an Essential Health Benefit and by mandating mental health parity within the health insurance exchanges.

However, in light of ongoing state budget and sequestration cuts, mental health services continue to erode. In April, for example, the Democratic governor of Maryland revoked $7.2 million in funding for mental health.

As shocking as this was to mental health advocates, policymakers across the country -- even in comparatively liberal states like Maryland -- are arguing that in the face of other urgent and competing priorities, strengthening the mental health system is too expensive for states to pursue. But that wouldn't be true if we consider alternative, more cost-effective delivery models.

In a rigorous study in Uganda, which has very scarce resources, researchers trained community members to deliver group interpersonal therapy to depressed men and women in 30 villages. The groups met weekly for four months. During the meetings, participants shared their experiences, and the group leader facilitated support and suggestions for change from other group members. This approach dramatically reduced the percent of people in the study with depression, from 80% to 28%, and improved people's ability to do the things that matter most, such as taking care of their children and themselves, going to work, and socializing.

Countries such as Pakistan and India, which have huge populations and many competing economic and social priorities, are also experimenting with task-shifting, in which mental health counseling can be delivered by lay health workers trained to provide scientifically sound counseling with supervision.

The benefits go beyond cost reduction. Studies in India show that lay health workers also help people to better accept mental illness and necessary treatments.

To be sure, some mental health innovation can also be found in parts of the U.S.  Project ECHO, partly funded by the Department of Health and Human Services, is using telephone and Internet technology to link specialists at the University of New Mexico with primary care doctors, community health workers, and health educators in rural parts of the state. Through technology, specialists train and support nonspecialists in treating people with mental illness and addiction, a lethal combination that often leads to suicide.

Suicide is the culmination of many complex forces. But it is often preceded by mental illness that could have been treated. The dramatic spike in suicide deaths among Americans is a stark warning to those in charge of the U.S. health care system. If the U.S. ignores the innovation and alternative delivery models that are advancing mental health care in other parts of the world, the cost will continue to be measured in American lives.

The opinions expressed in this commentary are solely those of Namratha Kandula.

@highlight

Namratha Kandula: CDC says suicide kills more Americans than car accidents

@highlight

Depression is leading disability in U.S., which lags on treatment, she says

@highlight

She says nations like Uganda, Pakistan, India find training community to help is effective

@highlight

Kandula: The U.S. must get ahead of depression epidemic