(CNN) -- Comprised of four main islands, and over 6,000 smaller ones, Japan stretches for around 1,500 miles from sub-tropical Okinawa in the south to the frozen climes of Hokkaido in the north.

The bulk of the country's 127 million inhabitants live in urban areas, mostly on Honshu island, the country's largest. The capital since 1868, modern Tokyo is a sprawling mega city and home to over 36 million people.

From the 12th century until the mid 19th century, Japan was a feudal society dominated by military leaders known as shoguns. A long period of self-imposed international isolation ended when the Emperor Meiji took direct control of the country in 1867 and began a period of modernization. Western trade began to influence the development of the country.

The period also saw the beginning of Japan's pursuit of an overseas empire, the legacy of which still affects relations with its neighbors to this day.

Japan is a constitutional monarchy, headed by 80-year-old Emperor Akihito. Although the emperor's powers are politically limited, he is regarded as the highest authority of the country's dominant Shinto religion.

Reconstruction and recession

After the Second World War Japan witnessed spectacular economic growth, transforming a country physically and psychologically scarred by military defeat and the atomic bombs dropped on Nagasaki and Hiroshima into a world leader in electronics and manufacturing, especially in the automotive industry.

However, those post-war decades of high growth came to a juddering halt in in 1990, when real estate and stock market prices plummeted; the 1990s are now commonly known as the "lost decade".

Japan has more government debt than any other developed nation -- nearly 230% of its GDP according to the CIA World Fact Book -- and has struggled to sustain steady economic growth. It has slipped into recession four times since 2008, the latest being the third quarter of 2014. That grim economic news led the country's current Prime Minister Shinzo Abe to call a snap parliamentary election for December 14.

Despite the country's financial challenges, compounded by an ageing population, Japan has some of the world's most valuable companies and remains a source of global innovation and cultural trends. It is the world's third largest economy in terms of GDP.

Present day Japan blends modernity and tradition, with society and work environments structured around well-defined hierarchies. According to recent OECD figures, Japan has some of the most highly educated women in the world, yet ranks among the bottom of developed countries when it comes to employing women with college degrees; only 69% are in the workforce.

While diverse in its climatic regions, much of Japan is mountainous and remains one of the world's most seismically active areas of the world.

Earthquakes and regional relationships

On March 11, 2011, a 9.0 magnitude earthquake off the eastern coast of the Tohoku region unleashed a devastating tsunami. Over 15,000 people died and thousands more were displaced. The tsunami hit the Fukushima Dai-ichi nuclear power plant causing extensive damage and a radiation leak, and leaving surrounding areas uninhabitable. The material damage from the earthquake and tsunami is estimated at around $300 billion.

On the international stage, Japan exerts considerable soft power as a major aid donor and source of capital. Its projection of power militarily is limited by its post-war pacifist constitution. However pressure has been building from hawkish elements in the country to allow the Japanese Self Defence Forces to take a more assertive role. This summer Prime Minister Shinzo Abe's cabinet approved a white paper on defence policy that allows the military to act in support of its allies.

The background to this recent revision of military policy has been an increase in regional tensions. While North Korea's missile program remains an ongoing security concern, conflicting territorial claims by Japan and China in the East China Sea over a group of islands known as the Senkaku Islands in Japan and the Diaoyu Islands in China have inflamed nationalist rhetoric on both sides and strained relations between the countries.

Other tensions with China and South Korea persist over the use of so-called "comfort women" by the Japanese military before and during the Second World War.

While an official government apology was issued in 1993, known as the Kono statement, it remains a sensitive international issue and source of contention within Japan. Some conservative elements in Japan suggest there remains insufficient evidence to prove that the military directly recruited women as sex slaves.

In September, South Korea's President Park Geun-hye has stated that no formal summit meeting with Abe can happen until "sincere efforts to heal the wounds of the past" are made.

Follow CNN's On the Road Japan coverage.

@highlight

Japan is the world's third largest economy in terms of GDP size

@highlight

Rapid post-war growth ended in 1990s; country has slipped in to recession four times since 2008

@highlight

Exerts global power as source of capital, innovation and cultural trends

@highlight

Relationship with neighbors strained over territorial claims and colonial history