What do Spiderman, Al Capone's silk boxer shorts and a waterproof hiking jacket have in common?

Spider silk is being used in pioneering research to regrow damaged bones and teeth

Answer: they are all, in their own way, helping to push forward the boundaries of modern medical science.

More specifically, two separate research teams in the U.S. have been using materials normally associated with clothing (and a certain arachnid superhero) to provide novel, high-tech solutions to age-old health problems.

At Tufts University, Massachusetts scientists are pioneering a method of manipulating spider silk to genetically engineer new bone tissue, thus allowing them -- in theory -- to re-grow damaged bones and teeth.

At Rush University, Indiana, meanwhile, a team of cardiologists are trialing a device made of Gore-Tex -- the waterproof fabric used in much outdoor clothing -- to help repair holes in the human heart.

The Tufts research, headed by Professor David Kaplan of the Department of Biomedical Engineering, is focusing on ways of using silk -- or rather the constituent proteins of which silk is made -- to create a hybrid material that can then be used as a "scaffold" on which to grow new bone and tooth cells.

Why silk? Because not only is it extremely tough -- its tensile strength is six times that of steel fibre of an equal diameter -- but also bio-compatible, meaning it does not cause an adverse reaction when introduced into the human body.

"We are playing around with silk from silk worms," one of Kaplan's collaborators, Professor Carole Perry of Nottingham Trent University in the UK, told CNN, "But the bulk of our work is using fusion proteins derived from spider silk."

The science is complex -- osteogenic differentiation, chimeric proteins and novel nanocomposites are just a few of the terms involved -- but the basic idea is that, working at a molecular level, you combine elements of silk protein with those of some other protein with desirable properties to create the building blocks of an entirely new material.

This material -- precisely what form it will take is as yet uncertain -- will then be used to fill a hole or a break in a bone or a tooth, acting as a "scaffold" on which stem cells taken from elsewhere in the patient's body can grow to form replacement tissue.

Because silk is also biodegradable, the scaffold would then dissolve away over time like sutures, leaving just the new bone.

"It's an important step in the process of trying to grow replacement body parts," Professor Christopher Viney of the University of California, Merced -- an expert in the mechanical properties of silk -- told CNN.

"Right now if you want a replacement part you need a donor, but this sort of technology is one piece in the jigsaw of growing your own replacement. The health implications are potentially huge."

The work being carried out at Rush University is not, on the face of it, quite as scientifically ground-breaking as that of Professor Kaplan and his team.

If successful, however, it could prove every bit as significant.

As with Kaplan, the Rush team -- led by cardiologist Dr. Ziyad Hijazi -- is adapting an everyday material to a novel medical application.

In this case the material is a variation on waterproof Gore-Tex, known as Gore-Helex. The latter has been fashioned into a minute, umbrella-shaped device -- the snappily-named Gore-Helex Septal Occluder -- that can be used to plug a Patent Foramen Ovale (PFO), a common hole found in the upper chambers of the heart of one in five Americans.

Although in itself not necessarily dangerous, a PFO can be for stroke victims.

"We are proposing that closing the hole will be more effective in preventing stroke relapse than taking medications for the rest of your life," Dr. Hijazi told CNN.

Although an Occluder-style device has already been used successfully for some years in plugging Atrial Septal Defects, another type of heart hole, these are the first official randomized trials to ascertain its effectiveness in cases of PFO.

"It comes in three different sizes," explains Dr. Hijazi, "Twenty, 25 and 30 mm, and is passed through an incision in the groin up through an artery into the heart, where we position it using a microscopic camera.

"The operation takes 45 minutes, the patient is awake throughout and goes home the next day.

"Given that PFOs are implicated in approximately 40 percent of strokes in the U.S. -- about 120,000 people -- this technology could make a very big difference."

Gore-Tex hearts and silk bones -- fashion will never seem quite the same again.

@highlight

Everyday fabrics are being used in ground-breaking medical research

@highlight

A material based on silk could help regrow damaged bone tissue

@highlight

Silk has six times the tensile strength of steel fiber of equal diameter

@highlight

A device made of Gore-Tex is being used to plug holes in the heart