A fisherman convicted of throwing evidence of an illegal catch overboard received strong support from the Supreme Court Wednesday, with a number of justices dramatically calling the criminal prosecution a case of government overreach.

Federal prosecutors used a law typically applied to corporate records to convict commercial angler John Yates of getting rid of three illegally caught grouper.

The question is whether the congressional law against obstructing an investigation into business practices is too vague. It was passed in the aftermath of Enron and other big accounting scandals of that kind.

An especially spirited hour of oral arguments had the high court wondering whether the Obama administration went too far in going after a "little fish" like Yates.

"He could have gotten 20 years," thundered Justice Antonin Scalia, visibly concerned. "What kind of a sensible prosecution is that?"

But Justice Elena Kagan suggested, "The fact that this is about any matter within the jurisdiction of any agency in the United States shows that it's really not just about corporate fraud, that Congress had a broader set of things in mind," which she said "suggests breadth."

Retired Justice Sandra Day O'Connor was among those attending the public session in the courtroom, where all parties smartly avoided using any bad fish-related puns.

The actual legal language in dispute involves efforts to conceal, cover up, falsify, or make a false entry in any record, document, or "tangible object." It is known as the "shredding provision," referring to the destruction of paper and electronic evidence. It applies to "the investigation or proper administration or any matter within the jurisdiction of any department or agency" of the United States.

Yates, 62, owns the Miss Katie, a commercial fishing vessel moored near Bradenton, Florida. It was operating in the Gulf of Mexico in 2007 when state officers working with the National Marine Fisheries Service boarded the vessel.

Inspectors discovered 72 undersized red grouper and told the skipper to leave his catch there and head back to shore so agents could seize it.

When the Miss Katie arrived at port days later, Yates says a government inspector counted only 69 fish that were below the 20-inch minimum harvesting size. The captain still claims the deputy originally miscounted the fish.

Prosecutors alleged Yates had ordered his crew to throw the smaller fish overboard, and charged him with destruction of evidence to impede a federal investigation.

A jury eventually convicted the Holmes Beach man and he spent 30 days in federal prison, avoiding a possible two-decade sentence.

The Justice Department said Yates does not dispute now that he "directed the destruction or concealment of the fish" and officials will argue that the law used to prosecute him does apply, since it "encompasses all physical evidence" that might be deliberately tampered or destroyed.

In the broader sense, the Obama administration says the so-called 2002 Sarbanes-Oxley law has widely been used to go after obstruction of justice, including "human bodies, bloodstains, guns, drugs, cars, and automobiles -- in order to cover up offenses ranging from terrorism and the unreasonable use of lethal police force, to violations of environmental and workplace-safety laws."

Yates says the conviction has hurt him economically and wonders why the government was so insistent they "have a pound flesh" by prosecuting him for what he called a simple civil infraction.

His lawyer, a federal public defender named John Badalamenti, warned the bench that "the breadth of the statute regarding any federal matter is an extraordinary thing that the American people will be walking on eggshells for if this court were to not limit."

That met some mild resistance from some on the bench, who offered various hypotheticals about which "tangible objects" could be used to prosecute for obstruction. Would a typewriter, portable electronic device, or a knife with the owner's name inscribed be included?

"I understand the argument that you make has considerable force about over criminalizing, but it seems to me that the test you suggest has almost more problems with vagueness, more problems with determining what its boundaries are, than the government's test," said Justice Anthony Kennedy.

"What sense does it make to say you can be indicted under (this provision) if you destroy a letter that the victim that you have murdered has sent you, but you can't be indicted under (the provision) if you destroy the murder weapon?" asked Justice Ruth Bader Ginsburg. As another example, "A letter is shredded. It's a letter from the victim to the later-turned-out-to-be murderer. That letter is shredded. Does that come under (the provision)?"

On the other side of the debate, many on the court saved their rhetorical firepower for the Justice Department's lawyer Roman Martinez, who at times struggled to assure the court that the federal government would not prosecute every fish destruction case.

"But the point is that you could, and the point is that once you can, every time you get somebody who is throwing fish overboard, you can go to him and say: Look, if we prosecute you, you're facing 20 years, so why don't you plead to a year, or something like that," said Chief Justice John Roberts. "It's an extraordinary leverage that the broadest interpretation of this statute would give federal prosecutors."

Justice Stephen Breyer cautioned that if a line couldn't be drawn, "it seems to me that the risk of arbitrary and discriminatory enforcement is a real one."

Justice Samuel Alito said the government was "asking the court to swallow something that is pretty hard to swallow.

"Do you deny that this statute, as you read it, is capable of being applied to really trivial matters, and yet each of those would carry a potential penalty of 20 years, and then you go further and say that it is the policy of the Justice Department that this has to be applied in every one of those crazy little cases?" he asked.

"Perhaps Congress should have called this the Sarbanes-Oxley-Grouper Act," Kennedy said, prompting laughter in the courtroom.

The justices will not retry the facts -- some of which remain in dispute -- but only will consider whether the law was properly applied. In the coming days, the court will privately vote on the outcome, and a written ruling is expected within the next few months.

Several on the bench made reference to a case last term in which the high court unanimously vacated the criminal conviction of a Pennsylvania woman for violating an international treaty on the use of chemical weapons. Carol Ann Bond sought revenge on a romantic rival by sprinkling non-lethal amounts of chemical powders on her onetime friend's mailbox and doorknob. All nine justices said the federal government was overzealous in pursuing what normally would be a simple assault charge handled in state court.

In the current dispute, a number of legal and political advocacy groups have rallied to Yates' cause, saying "misuse" of government discretion to use criminal law rather than civil law to handle a range of regulatory enforcement is hurting the justice system.

The case is Yates v. U.S. (13-7451).

@highlight

John Yates was convicted of destroying evidence in a federal investigation

@highlight

Feds allege he threw three undersize fish overboard

@highlight

The justices will debate the case and issue a ruling in the next few months