(CNN) -- Argentina is a huge, diverse country. Large cities and breathtaking vistas are just some of your travel options there. Every journey has to start somewhere, and many people choose to begin in the capital city, Buenos Aires.

Not every adventure is about climbing mountains or rafting rivers. Sometimes, the thrill you seek comes from culture and urban exploration.

CNN's Jose Manuel Rodriguez recently visited Buenos Aires while on assignment for Café CNN, and carved out time to share some travel suggestions.

Explore history, culture

Buenos Aires is defined by intensity, beauty, glamour, architecture, tango and an unexpected nightlife. Not to mention, good steak.

But the flavors of Argentina are not just steak and Malbec wine. International cuisine is everywhere in Buenos Aires. The great French restaurant Petanque, located at 596 Defensa, is a cozy place where you can sample local foie gras and wine from Salta in the foothills of the Andes.

Beyond the cuisine, there are many points of interest not to be missed during a visit to Buenos Aires.

The neighborhood of San Telmo has witnessed many of the city's transformational events. During the mid-19th century, it was home to the wealthiest of Buenos Aires. By the end of that century, the area was affected by an epidemic of yellow fever and many of its residents migrated to the north.

Restoration of part of this architecturally rich neighborhood began in the 1970s, leading to a wave of artists, bohemians and antique shops. Today it is the most significant root of South America's antique markets and features 500 shops that offer all sorts of vintage collections.

On Sundays from 10 a.m. to 5 p.m., a flea market fills the Plaza Dorrego as eager tourists and collectors search varied and eccentric antiques.

The 'Soho' of Buenos Aires

The area of "Palermo Soho" arose from a real estate boom in the area that brought fashion designers, artists, galleries and restaurants to the traditional neighborhood of Palermo. These new arrivals refurbished old houses, making the area a fashionable destination filled with art and good food.

It's called Soho colloquially, evoking the legendary Soho areas in New York and London. The area is surrounded by boutiques, exclusive salons, gourmet tearooms and restaurants that serve fusion food.

The restaurant Casa Cruz is one of the best around. Elegant, understated and modern, it's one of the most expensive and luxurious in Buenos Aires. The ambiance is its best asset, although the art and sophisticated cuisine are not far behind. The top-flight menu makes it a favorite of celebrities.

Casa Cruz is located at Uriarte 1658, and in that same area there are excellent places for afternoon tea with an English flair. Pierina Tea House, at Gurruchaga 1875, blends elegance, good taste and tradition.

Just past Juan B. Justo street begins "Palermo Hollywood," a nickname inspired by the producers and TV channels that settled in the area. The residential area has gained plenty of nightlife, and there are many "grills" where you can eat delicious Argentine beef.

Romanticizing Argentina's history

Perón Perón offers an ample menu and is located at Angel Carranza 2225. The restaurant aims to recreate the aesthetic of the Peronist '40s. Throughout the restaurant there are propaganda posters for the Peronist party, which is one of the oldest political parties in Argentina. It originated with the government of Gen. Juan Domingo Perón, who was married to Evita Duarte.

The restaurant has an atmosphere of camaraderie and great fanfare. Diners who meet here embrace and celebrate shared jokes at long tables like an extended family. Among its customers are the young and old, activists and even a few anti-Peronists. Political discourse is everywhere in the air here and discussed with passion.

To better understand this passion, visit the Evita Museum. The museum, located at Lafinur 2988, explores the life of the woman whose husband, Juan Domingo Peron, was twice elected president of Argentina. Evita Perón is a mythical figure in Argentina and around the world, praised and criticized by many. Perón's body was laid to rest in the historic Recoleta Cemetery, and the burial site is a popular tourist destination.

For further museum exploration, tour the Casa Rosada where the president's offices are housed. The Government Palace and the Museum of the Bicentennial are nearby, bringing together the complex political, social and cultural aspects of Argentina.

@highlight

Buenos Aires is a starting point for many visits to Argentina

@highlight

The city is a great place to mingle with locals, experience South American culture

@highlight

Wander the streets, dance the tango, try museums and eat delicious food

@highlight

Have you been to Argentina? Share your stories of adventures there