The recent decision by Yahoo's chief executive to drop the company's work from home policy makes sense, doesn't it? Plenty or people believe that if you aren't in the office, you aren't working; if you aren't clocking face time with bosses and co-workers, you aren't fully committed, and long hours are the measure of productivity.  Right?

Not exactly.

Organizational sociologists call these beliefs "rational myths," convictions about how things should be done that are widely shared but not necessarily accurate.  Back when work revolved around the power loom and the assembly line, centralized schedules and locations made sense.  The 40-hour work week, time-oriented management practices, and our beliefs about them, became institutionalized during this period.

But a lot of what we believe about the right kind of workplace is wrong.  Studies show that people who have control over when and where they work are more productive and have better morale and loyalty. And face-to-face office interactions have a dark side.

A Harvard study of software engineers found that emphasizing face time encouraged managers to arbitrarily label problems as crises and then evaluate workers on whether they put in long hours in response. Inefficiency got worse when workers knew management was evaluating only time, not results --  they put in lots of hours, but got little done. Managers who replaced the clock-watching culture with more rational planning increased productivity, reduced stress and shifted efforts toward collectively getting work done.

Simplify your life: Telecommuting isn't just for parents

But what about the collaborations and creativity from water-cooler conversations?

These conversations actually may encourage groupthink rather than innovation.  Studies show that people tend to network, cooperate  and collaborate with others like themselves, so hallway conversations may merely result in interactions among those who think alike.  It's the collaboration among diverse groups of people that fosters the most creative and cutting-edge thinking.  Because virtual interactions through online chats and teleconferencing make personal similarities less obvious, these may be better than hallway conversations for cultivating innovation.

Equating face time with productivity also has gender implications.  First, men are more likely to have supportive partners managing home and family, and therefore have more time to spend in the physical workplace. Not so for women, who are more likely to have employed partners, or no partners to help shoulder responsibilities at home.

It is no accident that institutionalized work schedules favor workers in traditional family relationships; the 40-hour workweek was a historical bargain between employers and labor for a family wage sufficient to support a male breadwinner and a homemaker spouse.  But only about 20% of families fit that model anymore, and most of those are headed by men.

Focusing on face time can disadvantage women, especially mothers, in other ways.  A Stanford study found that mothers were permitted fewer absences than fathers, even when their productivity and performance were the same.  Similarly, a study of large-firm lawyers found that hours worked both in and out of the office positively affected men's chances for partnership, but hours worked out of the office did not help women make partner:  Only face time mattered for women.

Who works from home and how they do it

Why do we cling to the face time fallacy?

The real problem is that our cultural beliefs about workplace practices lag behind technological and other changes in the workplace.  They get in the way of finding new management techniques for the virtual workplace.  Perhaps Marissa Mayer of Yahoo bought into the idea that face time means productivity because it seemed like a legitimate way to show she meant business.

But if recent reports that she monitors her employees' remote data connections are accurate, she could have fired the slackers who failed to log in rather than demanding that all workers get back to the office. Other companies promote innovation without requiring face time:  3M rewards employees who come up with innovative ideas, Google encourages interactions across departmental divides without eliminating telecommuting altogether, and companies like Suntell and Gap Inc. evaluate their employees on performance, not presence.

Yahoo's new policy may drive workers with family responsibilities, disproportionately women, to quit, leaving it more male, young and childless. With less diversity, innovation will suffer.

This explains the other, vociferous reaction to Yahoo's policy change:  surprised dismay.  By allowing employees to work outside the office, Yahoo and its competitors revealed a new way to work that improves productivity, diversity and morale.   In our view, the outcry at Yahoo's retrenchment shows the destabilization of the rational myth of face time. The shifting culture and reality of work reveals what else might be possible—and better—for workers and for employers.

@highlight

Shelley Correll, Catherine Albiston: Work in office more productive, right? Wrong

@highlight

They say studies show those who can control where they work are more productive

@highlight

They say men who worked in and out of office more likely to make partner than women

@highlight

Writers: Yahoo's edict on telecommuting a blunt instrument based on face time fallacy