LIMA, Peru (CNN) -- A three-judge panel of the Peruvian Supreme Court found former President Alberto Fujimori guilty Tuesday on charges involving human rights violations, including murder and kidnapping, and sentenced him to 25 years in prison.

Former Peruvian President Alberto Fujimori speaks before the court in Lima earlier this month.

During the three-hour hearing that ended a 15-month trial, the 70-year-old former leader, wearing a dark suit and tie and sitting ramrod straight, wrote frequently in a notebook and occasionally sipped from a glass of water. He showed no emotion as the verdict was announced.

Fujimori, whose parents were Japanese immigrants, had faced a possible 30 years in prison.

Jose Miguel Vivanco, director of Human Rights Watch, expressed satisfaction with the sentence, calling it "perfectly proportional to the grave deeds that are imputed to him."

"This is an historic case," he told CNN en Español about the democratically elected former president's conviction on rights violations in his own country. The case is "without precedent in the world, not just in Latin America," he said.

"After years of evading justice, Fujimori is finally being held to account for some of his crimes," said Maria McFarland, senior Americas researcher at Human Rights Watch, who was in the courtroom for the announcement. "With this ruling, and its exemplary performance during the trial, the Peruvian court has shown the world that even former heads of state cannot expect to get away with serious crimes."

Judge Cesar San Martin told the courtroom that Fujimori was responsible for the actions of the Colina unit, blamed for killing dozens of people as the government sought to halt the Shining Path rebel group.

Fujimori said he would appeal.

Outside the courtroom, Fujimori's 33-year-old daughter, Keiko, herself running as a candidate in the 2011 presidential election, said the ruling was full of "hate and vengeance."

"We're going into the streets to demonstrate our open support for the best president this country has ever had, to the president who saved Peru from terrorism," she told reporters.

But a group of relatives of the dead expressed satisfaction with the sentence.

"For the first time, they have respected the right of families to the truth and justice," said one woman. "For the first time, they dignify the memory of the families ... I hope that this history of impunity not be allowed to recur."

Also outside the courtroom, pro- and anti-Fujimori activists scuffled, but there were no reports of serious injuries.

Javier Zuniga, a special adviser to the secretary general for Amnesty International, was in the courtroom as the verdict was read.

"We have been with the families celebrating," he said several hours later. He praised the prosecutors, saying, "They showed that what happened in the organization could not have happened if there had not been high-level planning, a state machinery to kill, organized by the president himself."

And he predicted that the case will be studied in law schools around the world.

Fujimori, who is already serving a six-year sentence on separate charges involving abuse of power, led Peru from 1990 to 2000, at the height of the country's war with the radical Maoist Shining Path guerrillas and the Tupac Amaru Revolutionary Movement. He was convicted of authorizing killings and kidnappings by paramilitary death squads in 1991 and 1992 during what is often referred to as Peru's "dirty war."

"I had to govern from hell, not a palace, but from a hell that those who accuse me did not live like I had to live," Fujimori recently told the court.

"I only expect that those who sentence me consider for a moment that hell and not pretend to civilize from a distance."

Fujimori's pro-business policies were credited with helping steer the country away from financial disaster in the early 1990s, and he remains popular among many of his countrymen.

Journalist Maria Elena Belaunde contributed to this story from Lima, Peru.

@highlight

NEW: Former Peruvian president sentenced to 25 years in prison

@highlight

Charges against Alberto Fujimori stem from 1990s' "dirty war"

@highlight

Fujimori already serving time on previous abuse of power conviction