(CNN) -- Confusion reigns in Egypt after stunning court rulings threw the country's awkward transition toward democratic rule into turmoil.

The decision sparked cries that Egypt's military leaders have engineered a "soft coup" to thwart their longtime foes -- Islamists who just four months ago captured a majority of seats in the Egyptian parliament in the first election in Egypt in generations. The court's decision dissolves parliament, and the military was quick to say it now controls legislative affairs in Egypt, actions that raised the prospect of renewed mass street protests.

The dizzying developments sent shock waves across Egypt just 16 months after a popular uprising toppled former President Hosni Mubarak and two days before Egyptians go to the polls to elect a new president. They also raised fresh questions among many about whether the military -- long the most powerful force in Egyptian life -- would ever yield power.

"Egypt is entering into a very dangerous stage, and I think a lot of people were caught by surprise," said Shadi Hamid, director of research at the Brookings Doha Center. "We knew it was getting bad, but we didn't think it was getting this bad."

He called the court rulings the "worst possible outcome" for Egypt and said the transition to civilian rule was "effectively over."

In one ruling Thursday, the Supreme Constitutional Court found that the rules governing January's parliamentary elections were invalid, triggering the dissolution of parliament.

In the second, the court rejected a law barring former regime members from running for president, clearing the way for Ahmed Shafik, the last prime minister under former Mubarak, to run in this weekend's runoff election. He faces Mohamed Morsi, an Islamist candidate favored by many in the Muslim Brotherhood and their allies and supporters.

The military leadership, the Supreme Council of the Armed Forces, also announced it would name a 100-strong panel by Friday that will draw up a new constitution for the country.

The moves came only hours after a decree was issued giving the military extended powers of arrest over civilians.

That decree ushered in de facto martial law, observers said, just two weeks after many Egyptians celebrated the demise of a decades-old emergency law that gave authorities broad leeway to arrest citizens and hold them indefinitely without charge.

Eric Trager, a fellow at the Washington Institute for Near East Policy, characterized the situation as a "soft coup in Egypt."

What is the Muslim Brotherhood?

The military leadership's action "really signals it's moving very sharply against the political process," Trager said. Its actions are also piling on the pressure on the Muslim Brotherhood, the Islamist group whose political arm, the Freedom and Justice Party, is headed by Morsi, he said.

"The question is whether that's going to lead the Muslim Brotherhood to up its own confrontation with the military or whether the Brotherhood will use it as an opportunity to seek some kind of accord with the military," he said.

Right now, the military and the Muslim Brotherhood have ongoing conversations, but it is not yet clear what they may produce, Trager said.

The Brotherhood could seek a deal where Morsi is made prime minister if Shafik wins the presidency, he said.

But if the Muslim Brotherhood commits itself to confrontation in the form of street protests -- thereby threatening a second revolution -- that could be a game-changing situation, Trager said.

Experts are watching to see whether the decision reignites the huge street demonstrations that drove Mubarak from power in February 2011.

It's not yet clear whether ordinary Egyptians, many of whom are exhausted by the long months of uncertainty, will consider the ruling an attempt by the ruling elite to snuff out the promise of democracy fought for in Tahrir Square.

The real obstacle to democracy in Egypt

Analysts say the Supreme Constitutional Court is considered partial to the regime headed by Mubarak, in which the military played a pivotal role -- and its perceived failure to maintain judicial independence could spark renewed anger.

"Essentially, no, the court is not neutral," said Steven Cook, a senior fellow for Middle Eastern Studies at the Council on Foreign Relations. "It is very much part of the old regime. I think you are going to see people pouring into the streets and demand change."

One young Cairo woman outside the court expressed the frustration felt by many protesters. "SCAF has been suppressing our protests, suppressing the youth movements on the ground, they have been arresting thousands of us," she said, referring to the Supreme Council of the Armed Forces.

But Amre Moussa, who was a foreign minister under Mubarak, was chief of the Arab League, and most recently a presidential candidate, played down the impact of the ruling on parliament.

"It is not a political move or a decision by the SCAF, it is a legal matter that has been referred to the tribunal, by individuals, by other parties," he told CNN's Christiane Amanpour.

As for the wrangling over who will write the new constitution, Moussa said it is not of crucial importance.

"The current constitutional declaration is enough to give the president the powers he needs," he said. "I believe that the president, once elected, knows exactly the powers he will use."

Photos: A look back at Egypt's uprisings

Following the court decision, Egypt's interim military rulers declared full legislative authority, creating anxiety and uncertainty about the country's future.

It was just on January 23 -- two days before the anniversary of the birth of a revolution that eventually toppled Mubarak -- when the military surrendered legislative powers to the first parliament in the country's history to be dominated by Islamists, whose two parties won about 70% of the seats in the lower house.

The military is considered by many to be a bulwark against the power and influence of Islamists in Egypt.

And some who fear the Muslim Brotherhood has gained too much strength may welcome this knock to the confidence built from its successes in the parliamentary vote.

"With parliamentary elections, there was this sense that the Brotherhood could now go for broke," Cook said. "They seem to have been outmaneuvered by the military and courts and associated supporters of the old regime. It may be time to make a deal to preserve themselves to fight longer."

All eyes will be on the conduct and outcome of the runoff this weekend.

Taken together, the military leadership's actions indicate "there's a high likelihood of Shafik being aided to victory by the military," Trager said.

But Khaled Fahmy, a professor at American University in Cairo, told Amanpour that people are "very confused" and split over who to back.

"Ahmed Shafik made a very powerful speech today, he tried to calm many people," he said. "But there is a lot of sympathy I think now for the Muslim Brotherhood -- there's a lot of fear of what Shafik is capable of doing.

"And because things now have become so clear and the gloves are off, people see what the military is intent on doing. Yesterday's ruling by the minister of justice giving the military police these excessive rights, this is a serious militarization of Egyptian society, that we made the revolution against."

Fahmy said he believes blunders by the Muslim Brotherhood are partly to blame for its current weakened position.

The Brotherhood has failed to get results in parliament, where its lawmakers have been "cocky" toward liberal forces, he said, and also failed to realize just how deep the military's influence runs through Egypt's intelligence and security services -- the so-called deep state.

The "legal coup" pulled off by the military is just the latest front in a long-running battle for dominance between the two sides, he said.

"This has been in the offing for not only months, but for years and years," Fahmy said.

"The events of today and indeed the past few weeks have shown very clearly the determination by SCAF to oust the Muslim Brotherhood altogether, and to deny it serious victories that it had won legitimately through by ballot boxes -- and today is the culmination of that struggle."

Are you there? Share photos and videos with us on CNN iReport.

A wild election weekend for Egypt, France and Greece

Mubarak clings to life in Cairo hospital

Saving the sound of the Middle East

@highlight

Renewed street demonstrations could be in Egypt's near future, experts say

@highlight

High court ruling dissolves new parliament, further empowering the military

@highlight

Events amount to a "soft coup" for the military, often seen as a bulwark against Islamists

@highlight

"Egypt is entering into a very dangerous stage," analyst says