Washington (CNN)In the end, as it always has been with Mitt Romney, it was about the data.

Three weeks to the day since he informed a group of Republican financiers in New York that he was serious about a third presidential bid, Romney on Friday finally pulled the plug on his long and sometimes agonizing political career, telling supporters that he would not mount a third bid for the Republican presidential nomination in 2016.

Mitt Romney will not run in 2016

"He decided he could be the nominee," said Tagg Romney, the oldest of Romney's five sons. "The fear was that in order to get there it was going to be so hard fought that he could not emerge from a position of strength." The family, he explained, "all said we would support him, although none of us was looking forward to the process. But no one said we won't go through this."

Romney's decision to forgo a run, made over the weekend in consultation with his family, came on the heels of what associates described as "frank" and "clinical" strategy session with his closest advisers in Boston last Friday at the offices of Solamere Capital, the financial firm run by Tagg Romney and Spencer Zwick, Romney's top fundraiser. Romney's announcement also came two days after David Kochel, one of Romney's closest confidantes since his days as Massachusetts governor, announced that he would join the likely campaign of Jeb Bush, Romney's top rival for support in the Republican establishment.

At the Boston meeting last week, Romney's brain trust gave him a clear-eyed assessment of his chances in 2016, with some aides chiming in via conference call. "It wasn't pandering and persuasion," said one person on the call. "It was, 'Here's the data.'"

Mitt Romney exit widens path for Jeb Bush

Ever since Romney trial-ballooned his campaign at the office of Republican bundler Woody Johnson earlier this month, his donor network had grown lukewarm to the idea, his former staffers had started accepting offers with other potential candidates, and the media consensus about "Romney 3.0" had teetered somewhere between skepticism and ridicule. 

Some of his closest longtime associates, including Boston-based advisers Eric Fehrnstrom and Peter Flaherty, were pushing him to run. His wife Ann was also supportive, sources told CNN, though anxious about putting themselves through the grueling process of a national campaign once again. And one source close to the family says that a donor — on his own — did some "in-depth private polling and the results were shocking" about how strong Romney was running.

Others in his camp expressed wariness of another campaign against a much stronger field than the cast of gadflies, flameouts and polarizing conservatives that Romney faced in 2012. Romney was told that while his old grassroots supporters and field organizers in early states like Iowa and New Hampshire maintained deep respect for him, they were not enthused about a third campaign. 

Perhaps more frustrating for a businessman who prided himself on the formidable financial network he built in 2012, Romney learned that Bush, who had jumped into the presidential fray quickly in early January, was quickly siphoning away his support among top donors and was winning the early battle for GOP establishment money. In almost every big donor state, Bush was securing commitments from bundlers who once ponied up for Romney.

Tagg Romney: I'm both 'sad and relieved' at dad's decision

Still, his team, ever loyal to the man they affectionately called "the Guv," were in agreement that they would make it work if he wanted to gas up the Rambler for one more ride.

"The takeaway was, there is enough wood here to build a fire," said another close Romney adviser who joined the meeting. "We thought it was was possible. But it would be hard. Last time we had all the winds at our back and this would have been difficult, but absolutely doable. Look, if people like Rick Santorum can get in, then it's a no brainer that the governor could have done it, and done it well."

Said the adviser: "The polls had him up. That was residual name ID. But he can't carry that for a year. It would have been a fight."

At the Friday meeting, aides were given assignments to start pulling together operational plans. Advisers also concluded that it would be smart to launch some kind of political action committee to begin raising money and send a message to donors that his interest was more than just a Hamlet act.

"People said, 'We have to get ready to take the next step,'" said one adviser. "If he is not ready to run, we need to announce a committee, because we have to start raising money and sending a message to people."

But when there was no follow-up from Romney this week, people began to wonder if he might be pulling back. According to Tagg Romney, his father came to the conclusion that he was "unlikely" to enter the race that weekend, but wanted to sit on the decision for a few days. 

3 clues from Romney's day in Mississippi that he wasn't going to run

Many of Romney's supporters say his decision to opt out by no means takes him out of the race entirely. Longtime Romney adviser Ron Kaufman said that Romney believes "the best role for him is to help formulate the message and help the winner of the primary process deliver that message."

"I think he came to the conclusion that while yes, he can win the primary, yes, he can raise the dough, perhaps he can beat Mrs. Clinton, there's an easier path to winning the presidency if Mitt doesn't get involved but stays above it as the most popular Republican in the country," Kaufman said.

But Jim Merrill, Romney's top New Hampshire strategist, said the governor had arrived at the conclusion that it was time to step aside and let others take up the party mantle.

"I think having run before, he understands how grueling it is. He knows it would be a challenging primary. Knowing what we went through in 2012, I think he decided it was time for other voices to be heard."

Romney mentioned the need for other voices to be heard in the bowing-out statement he read to supporters on a conference call Friday. But implicit in his words was a critique of Bush, not exactly the new face Romney was describing as his preferred nominee. 

"I believe that one of our next generation of Republican leaders, one who may not be as well known as I am today, one who has not yet taken their message across the country, one who is just getting started, may well emerge as being better able to defeat the Democrat nominee," Romney said. "In fact, I expect and hope that to be the case."

Romney and Bush have a cordial relationship but are not close. Romney's advisers have said that the 2012 nominee is skeptical that the mild-mannered Bush, who last ran for political office almost a decade ago, is ready for the grindhouse of a modern campaign and the media scrutiny that comes with it.

Still, it was Bush who outmaneuvered Romney in the early stages of the so-called "invisible primary," lining up donors and well-regarded staff talent with haste. His hire of David Kochel, formerly Romney's top strategist in Iowa, blindsided Romney this week.

Bush's swift behind-the-scenes maneuvering, which his advisers have described as a "shock and awe" strategy, rattled Romney once he caught wind of it in early January. The Bush activity prompted Romney to announce his interest in the race three weeks ago and "freeze" donors in place as he thought through the practicalities of another campaign.

But it became clear that many of his former financial supporters and staffers were not only moving to Bush, but also other candidates vying for mainstream Republican support, including New Jersey Gov. Chris Christie, Florida Sen. Marco Rubio and Wisconsin Gov. Scott Walker. 

Romney's decision to pull back on a campaign gives renewed life to all of them, said James McCray, a Republican fundraiser.

"With Romney out, the field is back open and it emboldens other candidates who are trying to be the anti-Jeb," he said. "Who is going to be the alternative to Jeb Bush and Rand Paul on the right?"

@highlight

Romney made decision not to run last Sunday

@highlight

He didn't inform many advisers until Thursday night