Cairo, Egypt (CNN) -- Egypt's military has launched a plan to swiftly enact constitutional reforms, an important step to get the embattled Arab nation back in working order, political and military figures said Tuesday.

The military has formed "an apolitical and independent constitutional committee" to propose constitutional reforms within 10 days, according to Wael Ghonim, the activist who spearheaded the protests that toppled of former President Hosni Mubarak's regime.

After that plan is forged, a referendum will be held on the measures within two months, Ghonim said in a statement on the social media website Facebook.

State-run television said a retired judge, Tarek Beshri, will head the panel. It also reported that Mohammed Tantawi, head of the Supreme Council of the Armed Forces, met Tuesday with the panel to make sure plans are on target for the reforms.

This is the latest transitional step in Egypt, where the military has been in charge since Friday, after Mubarak's resignation was announced.

The top military leaders dissolved parliament, suspended the constitution and vowed to remain in charge until elections can be held in six months or so.

The unprecedented changes in the most populous Arab nation have been watched closely throughout the Middle East and North Africa, where more unrest has unfolded in places such as Iran, Bahrain, Algeria and Yemen.

The protests in Egypt aren't over either. State media reported Tuesday that 3,000 police officers protested outside police headquarters in the central city of Sohaj for better working conditions, pay raises and the removal of their superiors. The protesters attempted to storm the provincial police chief's office, but he escaped out the back door.

Representatives from the protesters met with officials and they were promised a review of policies and demands to be brought before the Interior Ministry, state media said.

Ghonim learned about the constitutional referendum timetable on Monday during a meeting with members of the Egyptian military -- which assumed power last week when the nation's longtime president stepped down after 18 days of tenacious anti-government street demonstrations.

He and seven other leaders of the youth uprising sat down with two representatives of the Supreme Council of Armed Forces, a session "to understand the Armed Forces' perspective on things."

"We felt an honest desire to protect gains from the revolution and unprecedented respect for the opinions expressed by the youth," Ghonim said. "We noticed the absence of the father-to-child-like instructions as they spoke to the youth."

The meeting touched on many issues, according to Ghonim's statement, and the officers' comments provided an insight into the military's stance and thinking.

Ghonim said the military officials noted that they don't want to rule the country and believe that developing a civilian government is the only option for moving Egypt forward.

As for future voting, the military says citizens will use their national identification cards to vote on the constitutional reform referendum and presidential elections. They will use their voting cards to participate in elections for parliament.

The only reason the Supreme Council of the Armed Forces took charge was to protect the "legitimacy of the January 25th revolution," Ghonim said. They said they are working fast to achieve reform and normalcy.

They urged the youth to take "serious steps" to establish political parties that reflect their opinions and the officers agreed to have regular meetings with the young people who participated in the uprising.

Also, Ghonim said, the military vowed to search for people who went missing during the nation's 18-day revolt, and a list of names of the missing will be published Tuesday.

Touching on the damage to the economy, the military agreed to begin a campaign to collect 100 billion Egyptian pounds to rebuild the country.  This comes as Egypt's Central Bank announced in a statement Tuesday that banks will be closed on Wednesday and Thursday -- the last two days of the country's work week.

Military leaders also underscored the importance of returning to work and investing in Egypt in order to encourage the return of tourism -- an all-important industry for the country.

The unrest has nearly emptied tourist hotels.

In the Red Sea resort town of Sharm el-Sheikh, where Mubarak is reportedly holed up at a villa, "We are losing daily something like $20 (million) to $30 million -- at least in this area," said Adel Shoukry, secretary general of the Egyptian Hotel Association.

Meanwhile, the youth movement isn't the only sector in Egypt using social media.

The country's Interior Ministry is trying to connect with the public through Facebook -- which some credit with helping topple a regime of almost 30 years.

The ministry created a Facebook page in an attempt to bring back "good relations with the public and improve the image of Egyptian police," according to a statement carried by state media.

CNN's Amir Ahmed contributed to this report.

@highlight

NEW:  State media: 3,000 police officers protest for better working conditions

@highlight

The chief of the armed forces meets with the constitutional committee

@highlight

The military wants a constitutional reform plan in 10 days, Ghonim says

@highlight

A referendum would be held within two months, he says