(CNN) -- It's a beautiful afternoon on the beach.

The sun is shining, you're rolling in the waves, showing off the toned torso you worked on at the gym all winter.

Suddenly a sharp, burning sensation hits your skin.

You've just been stung by a jellyfish.

If experts' warnings are true, swimmers around the world can expect to experience these unwanted love taps in greater numbers than ever before.

"Jellyfish and tourism are not happy bedfellows," says Dr. Lisa-Ann Gershwin, author of the recently published book, "Stung! On Jellyfish Blooms and the Future of the Ocean."

Gershwin says popular beach resorts around the world are seeing huge increases in jellyfish "bloom" activity, a result of overfishing and changing water temperatures.

"The French and Spanish Rivieras, Chesapeake Bay, the Great Barrier Reef, Hawaii ... some of the numbers are staggering," says the American scientist who's now based in Australia.

"In Hawaii there have been times that 800 or 1,000 people have been stung in a day. In Spain or Florida, it's not uncommon in recent years for a half a million people to be stung during an outbreak. These numbers are simply astonishing."

At the beginning of October, a large amount of jellyfish inhabiting a cooling-water intake at a Swedish nuclear plant caused operators to manually shut down production at its largest reactor.

Jellyfish prompt nuclear shutdown

In Ireland, a jellyfish bloom reportedly killed thousands of farmed salmon, according to the Irish Times.

This past summer, southern Europe experienced one of its worst jellyfish infestations ever. Experts there have been reporting a steady increase in the number of jellyfish in the Mediterranean Sea for years.

According to a report titled "Review of Jellyfish Blooms in the Mediterranean and Black Sea," written by Fernando Borea for the General Fisheries Commission for the Mediterranean and the United Nations, scientists are catching up to what travelers in the Med have been experiencing for years.

"In the last decade ... the media are reporting on an increasingly high number of gelatinous plankton blooms," reads the report. "The reason for these reports is that thousands of tourists are stung, fisheries are harmed and even impaired by jellyfish."

Although noting that significant jellyfish blooms "have been known since ancient times and are part of the normal functioning of the oceans," the report cites global warming and global overfishing (which removes jellyfish predators) as causes for exploding jellyfish populations in recent years.

The situation in the Mediterranean was dire enough to prompt Britain's foreign office to issue a warning to its citizens vacationing along Europe's southern coast to watch out for jellyfish.

The world's deadliest jellyfish

There are more than 2,000 species of jellyfish swimming through the world's waters.

Most stings are completely harmless. Some will leave you in excruciating pain.

Then there are the killers.

Many of the world's deadliest jellyfish are box jellyfish, which refers to the species' cube-shaped meduae.

"There are several species of big box jellyfish that have caused many deaths -- these include chironex fleckeri in Australia, chironex quadrigatus in Japan and related species in Thailand, Papua New Guinea and Indonesia," says associate professor Jamie Seymour, a venom biologist at Australia's James Cook University.

Also known as the sea wasp and the northern Australian box jellyfish, the chironex fleckeri is possibly the worlds most venomous animal.

Its tentacles can reach lengths of up to three meters long, while its bell is about the size of a human head. It can be found throughout the tropical waters of the Indo-Pacific.

A close cousin and fellow contender for the "world's most venomous" cup is the Irukandji, which is the size of a thimble.

Good luck scanning the waters for that one before you leap in.

"How toxic they are is just phenomenally frightening and equally fascinating," says Gershwin.

"Just the lightest brush -- you don't even feel it -- and then, whammo, you're in more pain than you ever could have imagined, and you are struggling to breathe and you can't move your limbs and you can't stop vomiting and your blood pressure just keeps going up and up.

"It is really surprising how many places they occur around the world -- places you would never expect: Hawaii, Caribbean, Florida, Wales, New Caledonia, Thailand, Malaysia, Philippines, India ... as well as Australia."

Asian giant hornets and other terrifying creatures

Is any place safe?

"More and more, places around the world that are suffering from jellyfish problems with tourists are developing prediction systems so that tourists can know when it is safe," says Gershwin.

The irony, she says, is that tourists who avoid an area because of the known risk may alter their plans to hit a "safe" beach whose officials are merely less up front about the jellyfish situation, putting themselves more at risk.

A common misconception is that places such as Indonesia, Thailand, Malaysia and the Philippines are free of dangerous jellyfish.

"Jellyfish occur in all marine waters from pole to pole and at all depths," says Gershwin. "The life threatening ones are found from about 40 degrees north to 40 degrees south latitude.

"Australia is upfront about its jellyfish dangers, and also assertive in safety management, whereas other places have them, but may understand less about them or, in some cases, just don't want to say. I think tourists need to be very aware of local hazards and not expect to necessarily be provided with information."

What to do when you're stung

Thanks to that infamous "Friends" episode that aired in 1997, millions of people think it's smart to treat a jellyfish sting with urine.

In reality, peeing on a jellyfish sting isn't a good idea.

A report in the Scientific American says urine can actually aggravate the jellyfish's stingers into releasing more venom.

Meanwhile, there's debate over what actually works on a jellyfish sting.

Many doctors say it all depends on whether the sting occurs place in tropical or nontropical waters.

If stung in tropical waters, one should rinse the area with vinegar to deactivate any nematocysts -- the parts of the stinger -- that are still hanging on.

"A freshwater rinse will have the opposite effect," says the Scientific American report. "Any change to the balance of solutes, such as the concentration of salts inside and outside of the cnidocyte [a venomous cell], sets off stinging."

In North America, doctors recommend using hot water and topical pain killers on a sting.

Can we turn this around?

Gershwin says the explosion in jellyfish populations is a visible indicator that life in the oceans is out of balance.

"If we somehow managed to eradicate all jellyfish, then something else -- some other weedy thing -- would find a perfect situation," she says. "So the reason we should care is because they act as a flashing red light."

She says there's no one single factor to blame for the rise in jellyfish populations, but rather places blame on a combination of overfishing, warming water, low oxygen and pollution.

By fishing out jellyfish predators and competitors, humans are creating perfect conditions for jellyfish to multiply.

"Sadly, I am one of a growing chorus of people who believe that, yes, it is too late to turn things around," says Gershwin. "So many species are in such low numbers, and habitats are so badly damaged, that restoring them to their original splendor is simply no longer possible.

"I believe that our only option now is to decide how much we value what we currently have, and to decide what we are willing to do to maintain it -- or at least slow down its disappearance. But honestly, can you really see all 7 billion of us agreeing on that?"

@highlight

Scientists say jellyfish are proliferating faster than ever before

@highlight

Changing water temperatures and overfishing are behind the surge in population

@highlight

Irukandji, box jellyfish among the world's most deadly varieties

@highlight

Contrary to popular belief, treating a jellyfish sting with urine isn't advised