(CNN) -- If I'm pulled over by a police officer my first reaction is likely annoyance; it isn't fear.

That's partly because I'm a former city of Atlanta police officer and served as a reserve police officer in Oxford, Mississippi, during my time on the faculty at the University of Mississippi's School of Law. I'm also a former assistant chief counsel (prosecutor) with U.S. Immigration and Customs Enforcement. Many of my closest friends are in law enforcement. But, it is also, in large part, because I'm a middle-aged white guy.

The killing of New York Police Officers Wenjian Liu and Rafael Ramos was a violent act of cowardice. Did it somehow make "sense" to Ismaaiyl Brinsley, the accused shooter? Did he believe he was avenging the deaths of Michael Brown and Eric Garner? Maybe. Probably. But to assign this incident any significance in the larger picture is pointless. We don't need to validate the terrible deed. What we need is to start an open and much needed discussion about relationships between the police and citizens in this country.

"No Justice, No Peace," is an often heard slogan at anti-police rallies. Anyone who believes in justice and peace cannot see Brinsley's alleged actions as anything but senseless murder that diverts us from finding solutions.

What we need to do is find common ground. Our experiences shape our perceptions, which form our personal reality. As such, common ground in this context can be difficult. We each only have one set of experiences. An "us against them" attitude permeates both the police and many communities. Distrust is rampant on all sides.

Can I understand what it is like to be African-American in the context of interacting with the police? No. But, if you haven't been a police officer you can't imagine what that job is like either. You frequently have to make split-second decisions. Along with the adrenaline, fear is part of the job. You never know what's going to happen to you. Is this an excuse? No. It is a call for better police training and more sensible (and more limited) laws to enforce in the first place. A great many "police failings" are more accurately described as political failings.

Nonviolent protest about situations involving law enforcement is productive. Brinsley has no place in that discussion; his alleged actions should have no legacy other than our condemnation wherever we stand on the larger issues.

The killing of two police officers in cold blood has no connection with the necessary review and scrutiny of law enforcement officers in specific incidents where transparency is crucial.

The Declaration of Independence states that the government derives its power from the "consent of the governed." There is a deep chasm of trust, in many cases, between those who pass and enforce the laws and those who are subjected to them. This lack of trust has eroded the "consent" in many communities that often feel more occupied than served and protected by police.

One Internet post believed to be from Brinsley read: "I Rather Die a Gangster Then Go To Sleep A Coward." He went to "sleep" a coward after allegedly committing two heinous killings. Any expression he intended was lost in the violence of what he did; as it should be.

Moving forward, we have to figure out how to change the status quo. I believe that modern American police departments have overly embraced a "militaristic" (for lack of a better term) approach, in large part because of the endless war on drugs and the advent of the prison-industrial-complex where bed space is a commodity.

An emphasis on, and promotional preference for (usually based on seniority) SWAT-modeled units, specialized units and investigation functions has led, in many cases, to the most inexperienced officers being the most likely to interact with citizens during the more stressful shifts.

I favor body cameras on police officers because they can serve a valuable purpose not only to the citizens, but also to officers who will be exonerated from baseless claims against them.

Far too many laws have led to far too many negative police-citizen interactions. U.S. Supreme Court precedent has created a framework where the subjective intent of the officer is irrelevant. Law enforcement would be best served if it strictly adheres to the Constitution, particularly the Bill of Rights. At the end of the day, police should focus on: To serve and protect and secure -- as in, protect the Fourth Amendment's right to be "secure" affirmatively instead of viewing it as a hindrance to their efforts as law enforcement professionals.

@highlight

New York Police Officers Wenjian Liu and Rafael Ramos were shot dead

@highlight

Marc Harrold: The slaying of these police officers was cowardly, senseless

@highlight

We need a bigger discussion about relationship between police and citizens

@highlight

Harrold: Police should focus on how to serve, protect and secure people's lives