Washington (CNN) -- Taxes, religion and education -- this politically charged trifecta divided the Supreme Court on Wednesday in a case involving a state school choice program.

At issue is a lawsuit challenging Arizona's tax breaks for voluntary donations benefiting private school scholarships. The 13-year-old program provides dollar-for-dollar income tax breaks for money given to "school tuition organizations," or STOs.

Some Arizona taxpayers challenged the program as unconstitutional because, they say, not-for-profit religious organizations award most of the scholarships, and require children to enroll in religious schools. Those opponents say the state has effectively been funneling taxpayer money to religious schools through a third-party "front" group.

The justices appeared torn over whether that represented a de facto "endorsement" of religion by Arizona.

"The state could not give tuition vouchers on the basis of religion-- could not say, if you are a Catholic you don't get these tuition vouchers," said Justice Elena Kagan, who was impressive in her command of the complex issues argued. "But what the state has done here, apparently, is to set up a scheme that uses intermediaries that can make exactly that distinction, that can say-- sorry, if you are a Catholic you don't get scholarships out of our STO."

One key issue for the court is whether the tax credit means the donated amount is the government's money or an individual's.

"There is a very important philosophical point here. You think that all the money belongs to the government, except to the extent that it deigns to allow private people to keep some of it," Justice Samuel Alito told a lawyer for the taxpayer plaintiffs. "They don't owe it to the government if they have made this contribution. That's the whole point."

Besides the church-state questions, the high court must decide whether individual residents have "standing" to sue the state, even if they do not donate to the scholarship program. That could be the key legal point the justices decide to tackle, aside from the larger state-action debate.

The growing popularity of school choice plans around the country has raised fresh legal questions about whether Arizona's plan is religion-neutral, and whether parents have true decision-making power, free from government intervention.

A federal appeals court ruled the decade-old lawsuit could proceed.

In 2002, the Supreme Court separately upheld school voucher programs. Supporters of the Arizona aid program say theirs is no different from the Cleveland program approved eight years ago, because in both cases, government does not direct any money to religious schools.

Arizonans can receive a $500 credit ($1,000 for a couple filing jointly) off their state income taxes for contributions to school tuition organizations, which operate as charities. These organizations must spend at least 90 percent of money received on scholarships, and must offer them to students at more than one school. Parents would apply for the tax-credit funded scholarships at either a religious or secular school.

State figures show more than 50 school tuition organizations had received about $400 million in contributions through last year. In 2009 the program provided 27,000 scholarships to 373 schools, with most going to students who would not have been able to afford to attend.

An Arizona Republic newspaper investigation found that of the $54 million in scholarships awarded in 2008, 93 percent went to students attending religious schools.

Four Arizona taxpayers had sued the state and some of the largest school tuition organizations. The plaintiffs are represented by various outside groups including the American Civil Liberties Union.

In oral arguments, the divided bench struggled over whether these four Arizona taxpayers could claim they were directly affected by how the scholarship money was spent, and whether the program was funded by money from the government or private contributors.

Arguing for the Obama administration, Acting Solicitor General Neal Katyal defended the state program, saying parents ultimately control where the scholarship money is spent. "If you placed an electronic tag to track and monitor each cent that the [suing taxpayers] pay in tax, not a cent, not a fraction of a cent, would go into any religious school's coffers," he said.

Several left-leaning justices appeared unconvinced. Echoing the arguments of the taxpayer plaintiffs, Justice Sonia Sotomayor said, "Either you pay it to the state [in taxes] or you use it for this [school] purpose, but it's the state's money and it's given you by its largesse, the right to redirect it."

"Does anyone have standing, in your view, to challenge this scheme?" Justice Ruth Bader Ginsburg asked the government lawyer. "The Establishment Clause will be unenforceable unless we recognize taxpayer standing."

"Suppose that an STO -- this is a hypothetical case -- discriminated on the basis of race. No Hispanic or no white or no black can receive our money," said Justice Anthony Kennedy, who could well prove the deciding vote in this appeal.

"Don't you think a strong argument can be made that it can be attributed to the state," allowing a private individual discrimination claim to be made. "The state has all sorts of rules about what an STO has to be. The state provides the mechanism through the credit for the funding."

Kagan added, "There are STOs that make these distinctions that clearly would be impermissible if the state administered the program."

Paul Bender, attorney for the plaintiffs by contrast, faced tough questioning from several conservative justices over the state action.

"How is it discriminating on the basis of religion if the STO doesn't care whether it goes to a religious school or not? It's treated the same?" asked Chief Justice John Roberts.

"That doesn't matter. If the state's grantee cares, that's unconstitutional," said Bender, an Arizona State University professor. "This is a government spending program. Is there any doubt about that? The money in this program is not private charitable contributions."

"It's a great leap to say that it's government funds, that any money the government doesn't take from me because it gives me a deduction, is government money," said Justice Antonin Scalia. "This money has never been in the government's coffers. The government has declined to take this money."

Taxpayers are generally limited in their ability to claim constitutional wrongdoing over government spending. A special class was carved by the high court 42 years ago for some kinds of disputes related to the First Amendment's prohibition on government "establishment of religion."

The current cases are Arizona Christian School Tuition Org. v. Winn (09-987) and Garriott v. Winn (09-991). A ruling is expected sometime next year.

@highlight

Arizona gives tax credits for money donated for private school scholarships

@highlight

Four taxpayers filed suit, saying this amounts to government aid to religious schools

@highlight

Justice Anthony Kennedy could be the deciding vote on a split court