(CNN) -- The new president of Egypt, Mohamed Morsy, is a 9-11 truther who doubts that America is telling the whole story about the collapse of the World Trade Center. He believes that a Christian or a woman should not be Egypt's leader. The ascent of his Muslim Brotherhood has been widely compared to Ayatollah Khomeini's rise to power in Iran, including most recently by Republican nominees Mitt Romney and Paul Ryan. Egyptians recently breached the walls of the U.S. Embassy in Cairo, immediately calling to mind the 1979 Iranian hostage crisis.

Watching Morsy take to the podium at the U.N. General Assembly Wednesday for his first major address on the world stage, Americans could be forgiven for worrying that another anti-Western firebrand had just assumed power in Egypt, the Arab world's most populous country and its political bellwether.

With his scruffy beard and his frequent references to Islamic values, Morsy bore a superficial resemblance to Iranian President Mahmoud Ahmadinejad, who had just wrapped up one of his tirades minutes earlier.

But Morsy is no Ahmadinejad, as their two very different speeches made clear. Since Morsy took office in late June, he has emerged as a strong, politically savvy leader who has put the country's powerful military and security services in their place.

Opinion: Politics by mob in China and Mideast

In his address Wednesday, Morsy vowed to work for a Palestinian state and defend Islam against "obscenities" such as the film "Innocence of Muslims," the YouTube clip that kicked off the recent riots across the Muslim world. But he also affirmed that Egypt would abide by its international obligations, including the peace agreement with Israel, and urged an end to the slaughter in Syria. Hardly the stuff of a wide-eyed radical.

Morsy might yet prove to be the anti-American Islamist ideologue that some of his rhetoric suggests, but one all-important factor suggests that he will have to rein in his worst impulses.

Egypt's economy is heavily dependent on tourism and foreign investment, and Morsy knows that he will be judged primarily on how he delivers for a population still reeling from the economic fallout of the revolution. At Tuesday's appearance at the Clinton Global Initiative, Morsy didn't blather on about evil Zionists and banning bikinis. Instead, he asked for money.

"We need assistance -- investment, technology, international cooperation," Morsy told his host, former President Bill Clinton. That's not the kind of thing you say if you're looking to shut out the world, Iran-style.

In his interview with The New York Times -- his first with any paper since becoming president -- Morsy signaled that relations with the new Egypt would be more complicated than the days when American leaders could simply call up Mubarak and make demands. Egypt is a budding democracy, and the United States will have to take its people's views into account.

Morsy's argument -- that "successive American administrations essentially purchased, with American taxpayer money, the dislike, if not the hatred, of the peoples of the region" by supporting dictators and Israel -- was merely a statement of fact backed up by poll after poll, not an anti-Western bromide. Many chuckled at his reference to the "naked restaurants" he disliked during his time as a Ph.D. student in California. But most Egyptians share his views about establishments such as Hooters, and plenty of Americans do, too.

Some analysts worry that the Muslim Brotherhood will seek to impose Islamic law on Egypt in yet another comparison to Iran. But the country's constitution has long included a mild provision requiring that laws conform in spirit to sharia, and in a follow-up question-and-answer session, the Times' interviewers noted that Morsy had been quick to clarify that he did not support giving clerics a veto over the law.

Morsy even ably handled questions about President Barack Obama's well-publicized remark that Egypt is not an "ally," responding to CBS' Charlie Rose: "This is dependent on the definition of an 'ally.' The understanding of an ally as a part of a military alliance, this is not existing right now, but if you mean by 'ally' a partnership and special diplomatic relationship and cooperation, we are that ally." That sounds like a pretty clear-eyed description of reality to me.

News: What to call Egypt's relationship with the U.S.

Finally, the Egyptian military hasn't gone away, and it still gets the bulk of U.S. aid money -- more than $1 billion each year. Hundreds, if not thousands, of members of Egypt's officer corps have fond memories of their training in the United States. When I was briefly detained during last year's uprising, a young military police captain who had visited the Washington area waxed rhapsodic about the Tyson's Corner shopping mall and an all-you-can-eat crab feast he enjoyed at the Radisson.

The ties between the two militaries have certainly been strained by the events of the past 18 months, but not altogether broken. Should Morsy begin to run roughshod over the constitution or take actions abroad that hurt U.S. interests, such as cozying up to Iran or aiding anti-Israeli groups such as Hamas, he will get pushback not only from his country's generals and the United States but also Egypt's allies in the Arab Gulf states, such as Saudi Arabia. Morsy knows well that if he crosses a red line with any of those partners, the economic growth he needs will be in jeopardy.

What happens, though, if Morsy can't deliver improvement in Egyptians' daily lives? That's when we might see him turn to anti-American populism and religious rhetoric to mask his failures and to cover his right flank. In other words, Americans should indeed worry about Egypt, but they should worry most of all that Morsy will fail -- not that he will succeed.

The opinions expressed in this commentary are solely those of Blake Hounshell.

@highlight

Blake Hounshell: Morsy's views on 9-11, women and embassy breach worrisome

@highlight

In his U.N. debut, he touted Islamic values but also affirmed Egypt's international obligations

@highlight

He may be anti-American but will rein that in because Egypt needs money from the world, he says

@highlight

Hounshell: Morsy must help his country thrive; if he fails, then worry about religious rhetoric