(CNN) -- Indonesia's response to a massive earthquake and a tsunami scare Wednesday highlights a critical reality: Warning systems and emergency responses have come a long way since the catastrophe of eight years ago.

But there's still work to be done -- not just in Indonesia, but in some other countries throughout the region as well.

Fears that Wednesday's 8.6-magnitude quake and resulting tsunami alert could bring a repeat of the 2004 disaster dissipated quickly as seismologists determined that Wednesday's events were very different and much less dangerous.

In the intervening hours, Indonesia put in place many of the procedures it has worked on for years, including some practiced at a drill witnessed by CNN in 2009.

"The lesson of 2004 is something that we're not going to repeat at this stage," vowed Teuku Faizasyah, a spokesman for the Indonesian president's office.

Speaking to CNN while evacuations were under way in parts of his country, he said the government was working "to bring confidence among the people that the government is with them."

Residents were being evacuated from some areas and encouraged to head to higher ground quickly, and authorities were trying to get information from remote areas, he said.

Later, the Pacific Tsunami Warning Center lifted a tsunami watch for the entire Indian Ocean, indicating the threat had passed.

"The tsunami warning system worked well," said Sutopo Purwo Nugroho, spokesman for the National Disaster Management Agency. "People reacted quickly and evacuated to higher ground. Mosques, churches helped spread the information to the public. There was panic but that's expected."

No serious casualties or major damage was reported Wednesday from the quake and the 8.2-magnitude aftershock off the coast of Sumatra. Four people were slightly injured on Simeulue Island, off the coast of Aceh, the disaster management agency spokesman said.

In 2004, a 9.1-magnitude quake triggered a tsunami that ultimately killed nearly 230,000 people in the region.

"In 2004, the quake was closer to the coast, stronger and was a different kind of earthquake," CNN meteorologist Dave Hennen said. "In 2004, the sea floor moved vertically, and this thrust displaced a lot of water, which produced the large tsunami. In this case, the plates moved more horizontally, and therefore a large tsunami was not generated."

"Even though the epicenters were only about 200 miles (about 320 kilometers) apart, they occurred on different tectonic plates," CNN meteorologist Brandon Miller added. "There are several plates that come together in this area, which is why it is so tectonically active. Today's quake occurred on the Indian plate, while the 2004 quake occurred on the Burma plate."

A 9.1-magnitude quake is 3.2 times larger, and more than 5 times stronger, than an 8.6-magnitude quake, CNN meteorologist Sean Morris said.

Tsunami warning sirens blared Wednesday in parts of Indonesia, and the other steps taken show that "governments are more prepared," said CNN weather anchor Mari Ramos.

"There are sirens in place along coastal communities. There are buoys in the ocean to measure water level changes. There is better communication among government agencies, countries and the media. The word gets out much more quickly, and that helps saves lives," Ramos said.

However, "the number of measuring devices in the Indian Ocean is tiny compared to the Pacific. It's a start, but more are needed."

In October 2009, CNN's Dan Rivers visited the devastated Aceh region. He watched a well-organized tsunami drill, complete with droning alarms and people covered in fake blood fleeing from an imaginary wave.

Authorities have built tsunami shelters that are raised high and can hold several hundred people, he said. Escape routes are marked.

While it was not immediately clear how many people headed to higher ground Wednesday, some videos from the region showed people apparently leaving low-lying areas.

That speaks to another important change from 2004: People are more aware of the danger.

Back then, "there was nothing," Rivers said. "No one really knew what to do, no one even knew what a tsunami was."

Now, Ramos adds, "Overall, the general population is much more aware."

The need for that awareness applies to citizens of other countries as well, said Walter Braunohler, a spokesman for the U.S. Embassy in Thailand.

"Sadly, we did learn a lot of lessons from that (2004) natural disaster," he said Wednesday. "And one of the biggest ones is that people should really keep in touch with their embassy."

Other countries in the region also reacted quickly to Wednesday's tsunami threat.

Thailand issued an evacuation order for everyone along the Andaman coast Wednesday, according to state-run news agency MCOT.

In the Maldives, some resorts were evacuated as a precaution, according to CNN's Erin Burnett, who was on vacation in the islands.

But, she said, "what strikes me most is essentially the lack of a warning system" in the Maldives. Officials rely primarily on information from the U.S. Geological Survey, she said.

That speaks to the problem the region still faces, Ramos said. "The fact that the Maldives were included in the (warning center) bulletin is an improvement from 2004. But there's still a long way to go."

@highlight

NEW: The warning system worked well, Indonesia says

@highlight

Nearly 230,000 people died in the 2004 tsunami

@highlight

Wednesday's quakes were different, CNN meteorologists say

@highlight

While warnings and responses have improved, there's still a long way to go in some areas