(CNN) -- The shaka sign -- a person's thumb and pinkie extended, the rest of the fingers in a fist -- is uniquely Hawaiian, a way to say "right on," "hang loose" or simply hello.

But it turns out it's not the only way islanders have used their hands to communicate.

A research group at the University of Hawaii at Manoa announced Friday that they had documented -- for the first time -- Hawaii Sign Language, or HSL, which deaf people across the islands' diverse ethnic groups have used for decades if not longer.

While there is written evidence dating back to 1821 indicating such a language existed, beginning in the 1940s it started to get largely phased out in favor of American Sign Language.

Quiz: How good is your sign language?

Researchers identified about 40 Hawaiians who still use it -- interviewing 19 of them, plus two adult children, on four islands for their study. But they are all 80 years of age or older, making it imperative to act now in order to preserve it before it's too late.

"Researchers are committed to a long term study of HSL with the goals of producing ... a dictionary (and) archived videotaped data," said James Woodward, an Adjunct Professor of Linguistics at the University of Hawaii at Mano. "It is also hoped that an effort can be made to revitalize HSL, so that it can be taught in high schools and universities in Hawaii."

Hearing-impaired people have found ways to communicate for generations, all across the world.

That might mean tapping into a well-established language, like ASL or International Sign Language, or finding some other way to get a point across.

Comic uses sign language

"If they don't have access to learning a sign language that's already in existence, then a community of deaf people will find a way to communicate," said Leanne Hinton, a professor emeritus at the University of California at Berkeley. "Over time, they will find a way to stabilize and have a structure that becomes an actual language."

That's what the Hawaii university researchers say happened -- even if few realized that a distinctive sign language existed for decades on the island until now.

While the now-prevailing ASL has rubbed off some, Woodward said it's been relatively minimal among those practicing Hawaii Sign Language.

Specifically, at least 80% of its signs are distinct, while the rest come from ASL -- which he said is enough to characterize it as its own language, rather than a dialect.

For example, the Hawaii Sign Language word for father is to wag your finger -- whereas in ASL, it's an open hand with fingers spread and a thumb to the forehead. Want to say that someone is telling a lie? Then put an index finger in the middle of your throat.

The grammar structure in Hawaii Sign Language also differentiates it from ASL, Woodward noted.

"Sign languages ... evolve in a community of users, and are not signed versions of spoken languages," the university said in a press release. "The full history of HSL is yet to be told."

NYC sign language star surprised by fame

@highlight

Records dating to the 1800s pointing to a sign language on the Hawaiian islands

@highlight

But the unique language hasn't been documented until now, by university researchers

@highlight

A professor says at least 80% of its signs are distinct from American Sign Language