(CNN) -- When you visit the doctor, chances are you are given a prescription for a drug or an order for an X-ray or lab test. Before you leave, it's important to ask whether your doctor's recommendations are truly necessary.

Even though much of what physicians do is meant to help patients, sometimes it's not always the case. Drugs may have harmful side effects and tests have the potential for adverse complications.

Unnecessary tests and medications contribute significantly to our country's spiraling health costs. It's estimated that $700 billion of our $2 trillion annual health spending falls under the category of wasteful medicine.

Consider the common sinus infection, which brings 16 million Americans into the doctor's office each year. Unfortunately, most of these cases have a viral cause, so antibiotics won't help the patient. Despite that, antibiotics are still prescribed in 80% of cases. Sinus infections alone equal $5.8 billion in health care costs each year.

Or, take the example of prostate cancer screening on a certain demographic. The U.S. Preventive Services Task Force, an independent panel of nongovernment clinicians who provide evidence-based practice guidelines, recommends against screening men over age 75 for prostate cancer. Studies have shown that the benefit of prostate cancer screening is uncertain and further tempered by the complications from treatment, which can include impotence and urinary incontinence. However, a December 2011 study from the Archives of Internal Medicine reveals that more than half of men over 75 continue to undergo prostate cancer screenings.

This past week, the American Board of Internal Medicine Foundation along with nine professional physician groups released a list of 45 common tests and procedures that are performed too often. The list includes electrocardiograms for asymptomatic patients, imaging tests for routine back pain, and Pap smears for women younger than 21 years old. Along with the recommendations to cut down on these procedures, an education campaign called Choosing Wisely was launched with the goal to start the important conversation between doctors and patients about the necessity, or lack thereof, of these commonly ordered tests.

But implementing these guidelines into everyday practice may not be easy.

Most doctors don't have the time to go into detailed discussions about all the options on the table. If I try to explain to my elderly male patients why prostate cancer screening doesn't always help, or inform young adults that antibiotics aren't necessary for most sinus infections, it would take much more time than the 15 minutes that I can give for a routine office visit. In many cases, it's quicker to simply order a test or prescribe a drug, which takes seconds, rather than go into the pros and cons of a treatment path.

The medical community needs to come up with strong incentives to encourage doctors to spend more time educating their patients about the harms of over-testing, and soliciting their input when considering various options. When patients play an active role in their medical decisions, studies show they tend to choose less aggressive treatment paths.

There's also the threat of malpractice, which makes it difficult for doctors to rein in tests. A recent survey of 1,214 orthopedic surgeons found that 30% of the tests they ordered didn't help patients, and were mainly aimed at reducing exposure to liability suits. If doctors who restrict unnecessary testing according to the new guidelines can be provided with appropriate legal protection, then it's more likely that they will actually do so.

Finally, whenever the topic of limiting tests is raised in today's partisan environment, the specter of rationing is often brought up. Back in 2009 when a recommendation against routine mammograms for women age 40 to 49 came out, there was a backlash despite the fact that the basis for it was scientifically reasonable. Politicizing medical recommendations that are backed by solid research will only hinder doctors from doing a better job.

Today, discussing whether tests and treatments actually help patients or cause more harm doesn't happen nearly enough. By providing a specific list of procedures to question -- and to cut down -- the medical community hopes to push us in the right direction. More people need to realize that limiting unnecessary tests is not rationing. It's a way to potentially cut the waste out of our health system, and also reminds doctors of a promise they make to each and every patient: a promise to do no harm.

The opinions expressed in this commentary are solely those of Kevin Pho.

@highlight

About $700 billion of our $2 trillion annual health spending is considered wasteful medicine

@highlight

Kevin Pho: A new guideline lists 45 tests and procedures that are performed too often

@highlight

He says implementing the recommendations will not be easy for doctors and patients

@highlight

Pho: Doctors and their patients need to talk more about what options are truly necessary