Editor's note: Joseph E. Stiglitz, professor at Columbia University, was awarded the Nobel Memorial Prize in Economic Sciences in 2001 for his work on the economics of information. Stiglitz was chairman of the Council of Economic Advisers during the Clinton administration before joining the World Bank as chief economist.

Economist Joseph E. Stiglitz says the strategy followed by the architects of the bank bailout was flawed.

(CNN) -- America's recession is moving into its second year, with the situation only worsening.

The hope that President Obama will be able to get us out of the mess is tempered by the reality that throwing hundreds of billions of dollars at the banks has failed to restore them to health, or even to resuscitate the flow of lending.

Every day brings further evidence that the losses are greater than had been expected and more and more money will be required.

The question is at last being raised: Perhaps the entire strategy is flawed? Perhaps what is needed is a fundamental rethinking. The Paulson-Bernanke-Geithner strategy was based on the realization that maintaining the flow of credit was essential for the economy. But it was also based on a failure to grasp some of the fundamental changes in our financial sector since the Great Depression, and even in the last two decades.

For a while, there was hope that simply lowering interest rates enough, flooding the economy with money, would suffice; but three quarters of a century ago, Keynes explained why, in a downturn such as this, monetary policy is likely to be ineffective. It is like pushing on a string.

Then there was the hope that if the government stood ready to help the banks with enough money -- and enough was a lot -- confidence would be restored, and with the restoration of confidence, asset prices would increase and lending would be restored.

Remarkably, Bush administration Treasury Secretary Henry Paulson and company simply didn't understand that the banks had made bad loans and engaged in reckless gambling. There had been a bubble, and the bubble had broken. No amount of talking would change these realities.

It soon became clear that just saying that we were ready to spend the money would not suffice. We actually had to get it into the banks. The question was how. At first, the architects of the bailout argued (with complete and utter confidence) that the best way to do this was buying the toxic assets (those in the financial market didn't like the pejorative term, so they used the term "troubled assets") -- the assets that no one in the private sector would touch with a 10-foot pole.

It should have been obvious that this could not be done in a quick way; it took a few weeks for this crushing reality to dawn on them. Besides, there was a fundamental problem: how to value the assets. And if we valued them correctly, it was clear that there would still be a big hole in banks' balance sheets, impeding their ability to lend.

Then came the idea of equity injection, without strings, so that as we poured money into the banks, they poured out money, to their executives in the form of bonuses, to their shareholders in the form of dividends.

Some of what they had left over they used to buy other banks -- to pursue strategic goals for which they could not have found private finance. The last thing in their mind was to restart lending.

The underlying problem is simple: Even in the heyday of finance, there was a huge gap between private rewards and social returns. The bank managers have taken home huge paychecks, even though, over the past five years, the net profits of many of the banks have (in total) been negative.

And the social returns have even been less -- the financial sector is supposed to allocate capital and manage risk, and it did neither well. Our economy is paying the price for these failures -- to the tune of hundreds of billions of dollars.

But this ever-present problem has now grown worse. In effect, the American taxpayers are the major provider of finance to the banks. In some cases, the value of our equity injection, guarantees, and other forms of assistance dwarf the value of the "private" sector's equity contribution; yet we have no voice in how the banks are run.

This helps us understand the reason why banks have not started to lend again. Put yourself in the position of a bank manager, trying to get through this mess. At this juncture, in spite of the massive government cash injections, he sees his equity dwindling. The banks -- who prided themselves on being risk managers -- finally, and a little too late -- seem to have recognized the risk that they have taken on in the past five years.

Leverage, or borrowing, gives big returns when things are going well, but when things turn sour, it is a recipe for disaster. It was not unusual for investment banks to "leverage" themselves by borrowing amounts equal to 25 or 30 times their equity.

At "just" 25 to 1 leverage, a 4 percent fall in the price of assets wipes out a bank's net worth -- and we have seen far more precipitous falls in asset prices. Putting another $20 billion in a bank with $2 trillion of assets will be wiped out with just a 1 percent fall in asset prices. What's the point?

It seems that some of our government officials have finally gotten around to doing some of this elementary arithmetic. So they have come up with another strategy: We'll "insure" the banks, i.e., take the downside risk off of them.

The problem is similar to that confronting the original "cash for trash" initiative: How do we determine the right price for the insurance? And almost surely, if we charge the right price, these institutions are bankrupt. They will need massive equity injections and insurance.

There is a slight variant version of this, much like the original Paulson proposal: Buy the bad assets, but this time, not on a one by one basis, but in large bundles. Again, the problem is -- how do we value the bundles of toxic waste we take off the banks? The suspicion is that the banks have a simple answer: Don't worry about the details. Just give us a big wad of cash.

This variant adds another twist of the kind of financial alchemy that got the country into the mess. Somehow, there is a notion that by moving the assets around, putting the bad assets in an aggregator bank run by the government, things will get better.

Is the rationale that the government is better at disposing of garbage, while the private sector is better at making loans? The record of our financial system in assessing credit worthiness -- evidenced not just by this bailout, but by the repeated bailouts over the past 25 years -- provides little convincing evidence.

But even were we to do all this -- with uncertain risks to our future national debt -- there is still no assurance of a resumption of lending. For the reality is we are in a recession, and risks are high in a recession. Having been burned once, many bankers are staying away from the fire.

Besides, many of the problems that afflict the financial sector are more pervasive. General Motors and GE both got into the finance business, and both showed that banks had no monopoly on bad risk management.

Many a bank may decide that the better strategy is a conservative one: Hoard one's cash, wait until things settle down, hope that you are among the few surviving banks and then start lending. Of course, if all the banks reason so, the recession will be longer and deeper than it otherwise would be.

What's the alternative? Sweden (and several other countries) have shown that there is an alternative -- the government takes over those banks that cannot assemble enough capital through private sources to survive without government assistance.

It is standard practice to shut down banks failing to meet basic requirements on capital, but we almost certainly have been too gentle in enforcing these requirements. (There has been too little transparency in this and every other aspect of government intervention in the financial system.)

To be sure, shareholders and bondholders will lose out, but their gains under the current regime come at the expense of taxpayers. In the good years, they were rewarded for their risk taking. Ownership cannot be a one-sided bet.

Of course, most of the employees will remain, and even much of the management. What then is the difference? The difference is that now, the incentives of the banks can be aligned better with those of the country. And it is in the national interest that prudent lending be restarted.

There are several other marked advantages. One of the problems today is that the banks potentially owe large amounts to each other (through complicated derivatives). With government owning many of the banks, sorting through those obligations ("netting them out," in the jargon) will be far easier.

Inevitably, American taxpayers are going to pick up much of the tab for the banks' failures. The question facing us is, to what extent do we participate in the upside return?

Eventually, America's economy will recover. Eventually, our financial sector will be functioning -- and profitable -- once again, though hopefully, it will focus its attention more on doing what it is supposed to do. When things turn around, we can once again privatize the now-failed banks, and the returns we get can help write down the massive increase in the national debt that has been brought upon us by our financial markets.

We are moving in unchartered waters. No one can be sure what will work. But long-standing economic principles can help guide us. Incentives matter. The long-run fiscal position of the U.S. matters. And it is important to restart prudent lending as fast as possible.

Most of the ways currently being discussed for squaring this circle fail to do so. There is an alternative. We should begin to consider it.

The opinions expressed in this commentary are solely those of Joseph E. Stiglitz.

@highlight

Joseph E. Stiglitz: The bank bailout has failed to restart prudent lending by banks

@highlight

Stiglitz says banks made reckless loans and were burned as a result

@highlight

Stiglitz: They borrowed so much money that they couldn't handle a downturn

@highlight

Economist says it's time to consider government takeovers of weaker banks