(CNN) -- The French National Assembly has just done a huge favor to those elements in the Muslim world that thrive on anti-Westernism. By voting to ban the veil in public places -- a move that brings a draft bill closer to becoming law -- it has transformed a minor social irritant for a section of the French public into a major political issue. In doing so, it is feeding worldwide Muslim resentment against the West almost on par with the occupation of the Palestinian territories and the invasion of Iraq.

This act is seen throughout the Muslim world as a deliberate provocation and may bring about equally provocative responses. It is also seen as a clear signal that most French and indeed most Europeans believe that some Islamic social mores, even if practiced only by a very small fringe element of Muslim women, as in this case, are incompatible with European "values."

It also makes European advocacy of human rights, especially women's rights, ring hollow by making it clear that in this instance it is used in the service of racism. In short, it bears out the "clash of civilizations" thesis propagated by the likes of Islamic scholar Bernard Lewis and political scientist Samuel Huntington on the one hand and Osama bin Laden and Ayman al-Zawahiri on the other.

The symbolic value of the banning of the veil in France and related attempts to do so in Belgium, Spain, Italy and elsewhere in Europe goes far beyond the immediate impact of such legislation on the lives of a very tiny minority of Muslim women in Europe who choose to cover their faces in public.

It comes at a time of increased European antagonism toward Muslim immigrants in their midst, as demonstrated by the increase in popularity of right wing anti-immigrant parties in countries such as the Netherlands and Austria.

It also comes in the context of increasing resistance, especially by Germany and France, to Turkey's membership in the European Union. Turkey is predominantly Muslim.

Before the French ban proposal, nothing signified Europe's fear of "Islamic contamination" more than the obstacles put in the way of Turkey's progress to EU membership, especially when contrasted with the incorporation into the EU of former Soviet satellites with questionable democratic traditions and fragile economies. For most politically conscious Muslims, the ban on the veil and the snail's pace on Turkey's bid for EU membership, have merged into one mammoth display of European bigotry.

It is now clear that many, if not most, European elites, especially the leadership in France and Germany, are engaged -- despite their secular protestations -- in protecting "Christendom" from both the enemy without (Turkey) and the enemy within (the Muslim immigrants). Everything else, including talk about the rights of Muslim women, is just rhetoric that nobody in the Muslim world takes seriously.

I would like to add to this discussion a post-script in the words of the well-known legal philosopher Martha Nussbaum. According to Nussbaum, a prominent argument in favor of banning the veil or the burqa is that it "symbolizes the objectification of women (that they are being seen as mere objects)."

The "glaring flaw in the argument is that society is suffused with symbols of male supremacy that treat women as objects. Sex magazines, nude photos, tight jeans -- all these products, arguably, treat women as objects, as do so many aspects of our media culture. And what about the 'degrading prison' of plastic surgery?... Isn't much of this done in order to conform to a male norm of female beauty that casts women as sex objects? Proponents of the burqa-ban do not propose to ban all these objectifying practices."

The obvious answer to Nussbaum's rhetorical question is that none of these latter practices that she lists are remotely connected with Islam. The target of the veil ban is not female objectification and male domination; it is a product of an irrational but visceral fear of Islam and Muslims in Europe: The Muslims are coming, therefore ban the veil and prevent Turkey from entering the EU.

The opinions expressed in this commentary are solely those of Mohammed Ayoob.

@highlight

Mohammed Ayoob says French plan to ban veils is gift to those that push anti-Westernism

@highlight

It makes European human rights advocacy hollow by using it in this case for racism, he says

@highlight

Ban is sign that Europe trying to protect "Christendom" from Muslims

@highlight

Ayoob: Veil-ban is not about women as objects, but about irrational fear of Islam in Europe