(CNN) -- House Republicans won't support raising the federal government's borrowing limit without new spending cuts from the Obama administration, and the White House risks an unprecedented U.S. default by refusing, House Speaker John Boehner said Sunday.

Speaking six days into a partial government shutdown and 11 days before the Treasury Department expects to hit its statutory debt ceiling, Boehner told ABC's "This Week" that he wants "a serious conversation" about spending, but no tax increases. Asked if the United States would default on debt payments unless President Barack Obama makes concessions, Boehner said, "That's the path we're on."

"The votes are not in the House to pass a clean debt limit" -- one with no conditions attached -- "and the president is risking default by not having a conversation with us," said Boehner, R-Ohio.

But speaking on CNN's State of the Union, Treasury Secretary Jack Lew said Congress is "playing with fire" by threatening to leave the U.S. government unable to pay its creditors -- a risk he called "unthinkable."

"We've never gotten to the point where the United States government has operated without the ability to borrow," Lew said. "It's very dangerous. It's reckless, because the reality is, there are no good choices if we run out of borrowing capacity and we run out of cash."

Lew said the government has been managing to make payments since May by shifting money around, but it will run out of those options on October 17. Unless Congress votes to raise the debt ceiling, the federal government will be left with "a very, very short window of time" before it would have to stop cutting checks for Social Security recipients or disabled veterans and would undermine the full faith and credit of the U.S. government, he said.

What's up with the debt ceiling?

In the 2011 debt-ceiling standoff, Congress and the administration agreed to $2 trillion in across-the-board spending cuts over a decade. Though default was narrowly averted, the crisis spurred one of the top three bond-rating houses, Standard and Poor's, to cut the U.S. credit rating for the first time.

Government offices across the country shut down Tuesday after Republicans in the House held up the passage of a temporary spending bill, demanding changes or delays to Obama's signature health care law. More than 800,000 federal workers have been on unpaid leave since then.

A CBS poll released last week shows a 72% majority of Americans disapprove of the government shutdown, with more Americans blaming GOP lawmakers than Obama. But Boehner told ABC he doesn't have the votes to end the standoff without the Republican conditions on the Affordable Care Act, widely nicknamed "Obamacare."

Complete coverage: Health care in America

"I have 233 Republicans in the House, and you've never seen a more dedicated group of people who are thoroughly concerned about the future of our country," he said. "They believe that Obamacare, all these regulations coming out of the administration, are threatening the future for our kids and our grandkids. It is time for us to stand and fight."

Obama and his Democratic allies in Congress say all Boehner has to do is to bring to the floor a Senate-approved measure that temporarily funds the government, let Democrats and a handful of moderate Republicans vote for it, and the standoff ends. But after similar rounds of brinksmanship over the last increase in the debt ceiling, in 2011, and the expiration of the Bush tax cuts in December, the administration has refused to make new concessions to Republicans.

"In 2011, there was a very dangerous turn in the political debate in Washington," Lew said. "You had the same 50 to 100 members who were really willing to default if they didn't get their way. I've been through a lot of budget debates. I've been through a lot of debt ceiling debates. Never did I hear people who said, 'If it don't get my way, it's better to default.' That's not acceptable now."

House Republicans have responded by passing limited spending bills aimed at restoring funds to popular agencies, such as the Department of Veterans Affairs or the National Institutes of Health. Senate Majority Leader Harry Reid has refused to consider them, demanding that Republicans agree to fund government operations in full -- leading Republicans to blame the president and Reid, D-Nevada, for the shutdown.

Don't want to raise the debt ceiling? Get ready for austerity

Texas Sen. Ted Cruz, a tea party-backed Republican seen as the architect of the new impasse, told CNN that many previous Congresses have attached conditions to debt-ceiling increases and accused Obama of hyping the risks of a default. He said Republicans should demand "some significant structural plan and reduce government spending" as a condition of raising the borrowing limit, as well as "ways to mitigate the harms from Obamacare."

After soaring to more than $1.4 trillion in 2009, the annual federal budget deficit was expected to shrink below $650 billion in 2013, according to the nonpartisan Congressional Budget Office. But the total federal debt is nearly $17 trillion and is expected to go up by another $6 trillion by 2023, the CBO predicts.

Among the reasons for the shrinking deficits are increased tax collections since January, when Bush-era tax cuts for top earners and a temporary cut in Social Security withholding were allowed to expire. Boehner said that's why he won't accept tax increases in any deal.

"The president got $650 billion of new revenues on January the first ... Now, it's time to talk about the spending problem," he said.

CNN's Dana Davidsen contributed to this report.

@highlight

Default? "That's the path we're on," House speaker tells ABC

@highlight

Republicans are "playing with fire" on debt limit, Treasury chief tells CNN

@highlight

Cruz: GOP should demand big structural cuts before raising borrowing limit