ATLANTA, Georgia (CNN) -- Joshua Packwood knows what it's like to be a minority.

Joshua Packwood, 22, will be the first white valedictorian at the historically black Morehouse College.

This weekend he'll be the first white valedictorian to graduate from the historically black, all male Morehouse College in the school's 141-year history.

Morehouse, in Atlanta, Georgia, is one the nation's most prestigious universities of its kind. For more than a century, the school has prided itself on personifying the dream of the Rev. Martin Luther King Jr., one of the school's most notable alums, by producing "Morehouse Men" - intelligent and successful black leaders.

"Because I'm one of the only white students, it's easy to call me 'the white boy,' I'm naturally going to stand out," says Packwood.

But Packwood, 22, doesn't stand out solely because he is white or has maintained a 4.0 grade point average. For those who don't know him, what is surprising is that a Rhodes Scholar finalist turned down a full scholarship to Columbia University to attend the all-black men's university.

This came naturally to Packwood, who attended a predominantly black high school.

"A large majority of my friends, like all my girlfriends have been minorities," says Packwood. "So it was very, it was kind of strange that I always kind of gravitated to the black community."

Packwood fit in immediately at Morehouse. His charm, movie-star good looks and chiseled physique made him popular among students. He was elected dorm president and to class council during freshmen year - and was a favorite at campus fashion shows.  White valedictorian makes history »

He also gained worldly experience studying and traveling abroad.

Life hasn't always been easy for Packwood. He grew up in a poor area of Kansas City, Missouri, where he says he found himself gravitating to the black community at a young age.

Adolescence was rough. His mother's second marriage to a black man ended in divorce and family tension forced him to seek refuge with his best friend's family - who were black and middle-class.

The experience of living with his best friend's family had a profound effect on Packwood, who says he saw a "different side of black America."

During his teens, Packwood says he got into his share of fights and even landed in jail a few times. Still, his grades were good and eventually earned him a full scholarships to Morehouse College and Columbia University.

Against the advice of some family members, Packwood gave up the scholarship to an Ivy League school. He felt the true college experience was at Morehouse - where he believed he would get more than an education.

"I gained this interest in African-American studies and I thought that Morehouse would probably be the best experience," says Packwood. "I think of it in terms of 'study abroad.' If I really want to learn it, if I really want to understand it - maybe it's best if I immerse myself in the culture."

"Mr. Packwood is deserving. He has earned this," says Dr. Robert Franklin, the president of Morehouse. "We are committed to merit, to hard work - no matter who it might be."

For the most part, Packwood says the experience among his Morehouse brethren has been overwhelmingly good - with the exception of a few negative comments.

"One guy came up to me and told me -- he didn't like the fact that I was here," recalls Packwood. "He absolutely didn't like the fact that I dated black women."

"So I heard him out, and said, 'I appreciate your opinion but don't agree with what you have to say,'...and now we've become, not necessarily close, but very cool," Packwood says.

That student, Vinson Muhammad, says he was curious about the reasons why someone like Packwood would choose to attend an all-black college.

"I don't necessarily support him being here, but because he's here and we can't discriminate against other races, I support him and his mission to be successful in life," says Muhammad, a junior. "I just kind of wish he had done it at a different institution."

Even though he received the support of school administrators, Packwood's scholastic success did not come without some controversy. When word got out that he might become the next valedictorian, some of his classmates - even friends - were admittedly chafed.

"They approached me and said, 'Yeah, I have a problem with you being valedictorian. I know you've earned it and even though I know you on a personal level - I like you a lot - but it disturbs me that out of roughly 3,000 black men - there's not one that's done as well as or better than you academically,' " says Packwood.

Still, the majority of students told CNN that he earned his accolades and they stand behind him. Some say, if anything, Packwood's academic success should serve as a lesson to his fellow students.

"I think that it should be a wake-up call to an all black campus," says Muhammad. "At Morehouse we're supposed to be at the top as black men. We only have a few white students and to see a white student will rise to this - is something unsettling to me because it shows that we need to work harder."

Campus administrators say that black or white, Packwood's experience is consistent with the school's mission: to produce future leaders.

"I think some of our alumni are a little nervous about a white student graduating from Morehouse with all of its rich history for producing African-American male leaders. But I don't think it's contradictory at all," says Sterling Hudson, the dean of admissions.

Overall, Packwood says his experience is the best proof of Morehouse success, because the school was able to produce a white valedictorian - against the odds. He's eager to quote the school's most notable alums.

"What Morehouse stands for at the end of the day, and what Dr. King epitomized, it's not about black or white, it's about the content of [a person's] character," says Packwood. "It's about me, representing Morehouse in that light -- not as a white man or a black man."

His experience was so positive that Packwood's younger brother, John, will follow in his footsteps when he enrolls as a freshman at the college next year.

Could this type of recruitment signal a new trend for Morehouse and other historically black colleges and universities?

"We're not aggressively pursuing white students," says Hudson. "But like every other college, we're interested in diversity. So, if a white student becomes interested in Morehouse - of course we are going to treat him like any other student."

For now, Packwood is enjoying his rise to the top. This week, he started his first job with the prestigious investment banking firm Goldman Sachs on Wall Street.

But he'll be back at Morehouse Sunday wearing his cap and gown along with the 500 members of his graduating class. Not as a white man or a black man - but as a Morehouse Man.

"The interesting thing about Josh's experience is that he had a full Morehouse experience," says Hudson. "When he marches across the stage on May 18 and receives his diploma, he's going to be a Morehouse Man in every way -- except ethnicity."

"I don't think ethnicity makes the difference; it's what's in his heart."

Jackie Adams and Allen Huntspon contributed to this report.

@highlight

Joshua Packwood, 22, will become first white valedictorian of Morehouse College

@highlight

He turned down Ivy League scholarship to study African-American studies

@highlight

Throughout his life, Packwood always gravitated toward the black experience

@highlight

Packwood: "I don't think ethnicity makes the difference; it's what's in his heart"