Muharraq, Bahrain (CNN)  -- Once upon a time, harvesting pearls was a way of life for the people of Bahrain, a glistening archipelago of 33 islands off the coast of Saudi Arabia.

Bahrain lived for pearls. And the world, in turn, coveted Bahraini pearls, considered the best there is.

But with the discovery of oil in the 1930s, and as much cheaper Japanese cultured pearls flooded international markets, Bahrain's pearling industry all but died.

Now, though, the island kingdom-by-the-sea wants to preserve its ancient pearling traditions as Bahrain prepares for a listing as an UNESCO World Heritage site.

"We have made a selection of several sites in the country that we felt would best reflect the pearling tradition of Bahrain," Britta Rudolff, UNESCO affairs counselor, told CNN.

"Those include oyster beds in the sea, many historic houses in the urban parts of Muharraq" and a "seashore element that connects the two." The island of Muharraq is Bahrain's second-largest city and its former capital.

Sections of the area will be restored and turned into a cultural heritage attraction. Traditional houses will be refurbished and oyster beds protected by a buffer zone restricting fishing and allowing for boat tours for tourists wanting to try their hand at pearl-diving.

Rudolff said that although pearling was an "industry that was all across the Arabian Gulf ... Bahrain was a place that lived for pearls."

The heyday of Arabian pearling occurred between 1850 and 1930. Pearls were the world's most valuable gem -- far eclipsing diamonds -- for most of the 19th century and earlier.

For Bahrain, pearls were the backbone of the economy. Tens of thousands of divers, who hunted for pearls hidden inside oysters simply by holding their breath, worked the island nation's shallow waters with just a nose plug, leather finger gloves for protection against the sharp coral, a bag around their necks and a rope.

Bahrain has two sources of water -- sweet freshwater springs and salty seawater -- a combination believed to have contributed to its wealth of pearls. The shallow water surrounding the island nation is also considered significant.

"Centuries ago, the divers would've gone out on a boat like this -- a dhow -- which is a traditional boat," Mohamed Slaise, who conducts pearl diving excursions in Bahrain, told CNN. "The point is to get as many oysters as you can. With about 100 oysters, you find 10 pearls."

Slaise told CNN that you hang a net, called a Dee, on your head and fill it up. "You use two hands. That's the whole point."

There are now only a handful of oyster beds off Bahrain, which have not been commercially harvested for decades. The chances of finding a commercially viable pearl -- at least 2 mm in diameter -- are slim, experts say, and it can take years to find enough pearls to make a necklace.

The trade of cultured pearls is forbidden in Bahrain, and there are only a handful of pearl merchants left in the country, dealing mostly in local collections of previously-held stock. The only pearl divers now are a few fishermen and a few local hobby divers for visitors.

Part of the pearl initiative is to encourage pearl diving in the country again, since experts believe that harvesting oysters actually helps replenish oyster beds.

"Every 10,000 oysters, we get 25 pearls with commercial value," Talal Mattar of Mattar Jewelers, told CNN. Mattar, whose family has been in the pearl-trading business for 150 years, said pearls are collected, classified and stored over years.

"This is very difficult to find something like this," he said, showing off a perfectly round shimmering Bahraini pearl. "Sometimes it takes two to three years and you still don't find a round one."

CNN's Leone Lakhani and Daniela Deane contributed to this report.

@highlight

Pearling's heyday was between 1850 and 1930

@highlight

The discovery of oil and advent of cultured pearls killed industry

@highlight

Government submitted proposal to UNESCO for pearling heritage listing

@highlight

Can take years to get enough pearls for a necklace