(CNN) -- A superpower needs a super attention span. Unfortunately, Americans seem to take little interest in the troubles of the world around them, even when those troubles threaten soon to vex Americans themselves.

Americans fought two world wars -- and faced nuclear annihilation in a protracted Cold War -- to defend the freedom of Europe. In the thrilling days of 1989-91, four generations of American sacrifice were magnificently vindicated. The communist regimes of central Europe collapsed. The Soviet Union itself broke apart into smaller and less threatening pieces.

For four centuries, the rulers of Russia had sought security for themselves by dominating first their own people, then their neighbors, then their neighbors' neighbors, then their neighbors' neighbors' neighbors ... until their power extended from Berlin to the Pacific Ocean.

Then, abruptly, that imperial project broke apart. Subject nations regained their freedom. The Russians themselves gained a new opportunity -- perhaps the first in their national existence -- to choose a government that served its people.

Ukraine protesters block government offices, call for strike

The former rulers, unfortunately, had other ideas. Democracy did not take root in Russia after 1991. How and why it failed is a long story, with many villains, but let's cut to the end result: A former top officer of the KGB maneuvered his way into the Russian presidency in 1999-2000. Vladimir Putin restored to power the old secret police apparatus.

Since then, Putin and his coterie have attempted to reconstitute as much of the old Soviet Union as they could, while plundering Russia's wealth for themselves.

One step to that reconstitution of the Soviet Union was absolutely indispensable: Reasserting Moscow's power over Ukraine.

No nation suffered more from Soviet communism than the Ukrainians. Ukrainian farmers lost their lands and homes to Soviet collectivization in the 1920s; millions died in the man-made famine that followed in the 1930s. Their language and culture were stunted under Moscow rule; their intellectuals and writers were suppressed, banished, murdered, and defamed. In 1991, Ukrainians seized their chance to build a country of their own.

Ukrainian independence liberated not only the Ukrainian people, but all Europe. Russia without the nearly 46 million people and vast natural resources of the Ukraine is a large and powerful country, but it is no superpower.

Since Putin's entry into power, Russia minus Ukraine has sought to influence and corrupt the democracies of Europe. A Russia that reintegrated Ukraine would possess the power -- like the Soviet Union of old -- to intimidate and bully democratic Europe. Russia minus Ukraine can aspire to become a normal nation state, a democracy, even a liberal democracy. A Russia that holds Ukraine by force must forever be a militarized authoritarian regime, a menace to its own people as much as to the rest of the European continent and the democratic world.

Upholding Ukrainian independence is thus a deep concern, not only to the Ukrainians, but to all the free countries of Europe -- and thus to the United States, free-Europe's security and trading partner.

Vladimir Putin understands all this too, and he doesn't like any of it. Since he came to power, he's worked to undermine and subvert Ukrainian independence. He has been successful. Ukraine imports its oil and natural gas from Russia, and Putin has used energy dependency to sway Ukrainian politics and bribe Ukraine's dauntingly corrupt leaders.

But every once in a while, Putin goes too far. He went too far in 2004, collaborating with Ukrainian former communists to rig a presidential election. Blatant fraud inspired Ukraine's famous "Orange Revolution" -- and a temporary swing in Ukraine's political orientation to the West.

Now Putin is trying again -- and again he is meeting massive resistance in the Ukrainian streets. Over the past years, the European Union negotiated a trade pact with Ukraine. The pact would enrich ordinary Ukrainians, today the third poorest people in Europe, after the Kosovars and Moldovans. The pact would lessen Ukraine's economic dependence on Russia -- and prepare the way for Ukraine's own eventual membership in the EU.

Under extreme Russian pressure, the Ukrainian president -- the very same man whose election fraud triggered the Orange Revolution nine years ago -- has repudiated his own treaty, and his country's best hopes.

Tens of thousands of protesters have filled the streets and squares of the capital, Kiev, two weekends in a row. Police have suppressed the protests brutally, injuring many people. The regime's controlled courts have banned any further public demonstrations until January.

German Chancellor Angela Merkel expressed disappointment in muted tones after a November 28 summit with the Ukrainian leadership: "Unfortunately not all expectations have been fulfilled. We will make very clear here that the EU is ready to accept Ukraine as an associate member, to sign the association treaty. Then we will see. We have no hope that it will happen this time, but the door is open."

Don't be fooled by the muted words, however. What's at stake in the streets of Kiev is the future of the European continent -- and American prosperity and security. An inward-looking America is averting its attention from its own most important interests and highest ideals.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Democracy failed in Russia and a top officer of KGB, Vladimir Putin, became president

@highlight

Frum: Putin and his coterie want to resurrect Soviet Union and want to keep Ukraine in thrall

@highlight

Frum: Ukrainians want to enter EU and lessen dependence on Russia; Putin fighting to stop it

@highlight

He says Ukrainian protests met with brutal suppression; time for U.S. to pay attention