(CNN) -- Getting an introduction to Tiger - a 176 pound (80 kilogram) Tibetan mastiff kept on the roof space of a cramped five-story village house in Hong Kong's New Territories -- is a complicated process.

The first step is to stand as far away from his cage as is humanly possible; on just 600 square feet of roof space -- and with Tiger a barking, growling, slavering ball of caged fury - nowhere is really quite far enough away.

The next step is for his owners to check that all doors are secured and that no one the dog doesn't know is wandering around. One of his owners then enters his cage, slips his chain off the hook bolted into the wall and wraps it tightly three times around his hand.

Outside the cage, Tiger undergoes a personality change.

Now happily around his owners, he's a placid, bearlike, drooling ball of household pet. Just don't pat him if you don't know him.

The current vogue for Tibetan mastiffs in mainland China -- where the nouveau riche have reportedly paid as much as US$750,000 for prize-winning specimens -- has reached Hong Kong, though keeping big dogs in a city where the average flat size is just 484 square feet (45 square meters) presents a dangerous challenge.

Tiger's owners, who did not want to be named because of the sensitivity of the issue, know only too well how much trouble a Tibetan mastiff can cause.

A pack animal by instinct, and traditionally bred by Tibetan tribesmen to protect flocks against large wild predators such as wolves and snow leopards, the breed can be hostile to those it considers a threat to its family.

"We used to keep Tiger in the house and he was fine with everyone," his owner told CNN. "But one day, the front door was left open, he got out and attacked a neighbor. The breed 'locks on' when they bite and this guy had to have 20 stitches.

"Fortunately for us, the neighbor understood about dogs and was quite reasonable about the whole thing, but it cost us $HK2,000 ($257 in U.S.) in fines," he said.

Hong Kong-based vet and animal behaviorist Dr. Cynthia Smillie said Tibetan mastiffs, apart from being ill-suited to Hong Kong's muggy tropical climate, are temperamentally a poor fit in this densely-populated city where a high level of socialization is demanded of people let alone big dog breeds.

She said of the two Tibetan mastiff she had dealt with, one had already been put down after attacking a man and hospitalizing him for several weeks.

"It's a very unsuitable dog for your average pet owner regardless of whether it's in Hong Kong or anywhere else -- you need to have a lot of experience to handle these dogs appropriately," said Smillie.

"They come from the Himalayas and because they haven't been bred in the West for a long period of time, they are still regarded as a primitive breed. So many of their instincts are hard-wired -- they have that deeply protective guarding instinct and they're very wary of strangers.

"Unless they're very well socialized as young dogs, they have the potential to be protective in situations that are not threatening. They can be quite reactive to perceived threats although they're very gentle with their own families and even with children."

Demand for the breed in Hong Kong -- often fueled by celebrity owners such as rock star Paul Wong formerly of the Canto rock group Beyond - has fueled a thriving, and sometimes illicit, business in mainland China.

While Hong Kong, as a non-rabies zone, has stringent import restrictions on pets, requiring at least four months quarantine for dogs and cats imported from mainland China, it's not difficult to find pet shop owners in nearby Shenzhen that can deliver a Tibetan Mastiff to the front door of a Hong Kong apartment within two weeks.

"Don't worry about taking the dog over yourself," said a pet shop owner in Shenzhen's Nanshan District, a high-end strip of pet shops punctuated by the occasional wine cellar, an accurate pitch to the tastes of China's status-conscious middle class. "We can put it into the animal hospital next door for two weeks so that you know it's healthy and then our people will take it over the border for you.

"The couriers have a 'special relationship' with the border authorities so it's no problem. Depending on the color you want, a Tibetan mastiff costs about 17,000RMB ($2,900) and I'll have to check on the delivery.

"Just to give you a rough idea, a small dog costs about 700 Renminbi to deliver and the price goes up depending on its size." 700 Renminbi is about $113 U.S. dollars.

Asked if he gets a lot of orders from Hong Kong, he produces a manila folder with a sheaf of some dozen or more orders from the special administrative region.

"Actually, pets in Shenzhen are so cheap that a lot of people make good money selling the dogs again in Hong Kong. It's a good business for them."

Fiona Woodhouse, the deputy director of welfare at Hong Kong's Society for the Prevention of Cruelty to Animals, says puppy smuggling -- often feeding the demand for status symbol dogs - represents a real threat to Hong Kong's high standards of public health.

"We are very concerned about this," she said. "If you go to pet markets in China, people will offer to get the dog to Hong Kong for you, but in a lot of our advertising we ask pet buyers not to do that because it's a serious risk.

"Firstly, you don't know how the animal has been kept or bred and there's a welfare issue for the mother and the puppies. Secondly, there's a disease risk with normal dog diseases such as parvovirus and distemper. But thirdly, and more importantly for the whole of Hong Kong, there's the risk of rabies.

"Hong Kong is rabies-free; we've got very good quarantine system and vaccination system but obviously smuggling puts that at real risk," she said.

She says demand for status dog breeds in Hong Kong comes in waves and normally follows the release of Hollywood films and popular television shows.

"We might get a lot of huskies after a film like 'Below Zero', chihuahuas after all the 'Beverly Hills Chihuahua' films, dalmations after '101 Dalmations.' So we do get cycles, but they tend to be driven by popular culture rather than pure status over who's got the most expensive dog," she added.

Ultimately, the problem of space in Hong Kong has driven home the reality of keeping inappropriate dogs in a highly urban environment. Woodhouse says the SPCA is seeing fewer instances of people keeping three Great Danes in 400 square foot flat.

"I can't say we don't get that anymore, but it's less of a problem than we used to see," she said.

"Way back in the early '90s when pet keeping was becoming popular -- and a lot of the animals were imported from overseas into Hong Kong -- you'd see the scenario where people would turn up with two St. Bernard puppies saying they couldn't afford the vet bills.

"I'd tell them 'Look, if you can't afford the vet bills, how are you going to afford to feed them? Because I can tell you, the bills you'll see today will be nothing next to what you'll have to pay in food in three months' time'."

@highlight

Popularity of Tibetan mastiff reaches Hong Kong

@highlight

Dogs are ill-suited to Hong Kong's muggy tropical climate and high density city

@highlight

Demand for status dog breeds in Hong Kong comes in waves