Biloxi, Mississippi (CNN) -- The effort to place a massive containment dome over a gushing underwater wellhead in the Gulf of Mexico was dealt a setback when a large volume of hydrates -- icelike crystals that form when gas combines with water -- accumulated inside the vessel, a BP official said Saturday.

The dome was moved off to the side of the wellhead and is resting on the seabed while crews work to overcome the challenge, a process expected to take at least two days, BP's chief operations officer Doug Suttles said.

Suttles declined to call it a failed operation but said "What we attempted to do last night didn't work."

Suttles said the gas hydrates are lighter than water and, as a result, made the dome buoyant. The crystals also blocked the top of the dome, which would prevent oil from being funneled up to a drill ship.

"We did anticipate hydrates being a problem, but not this significant [of one]," he said.

Also Saturday, response crews discovered tar balls on a beach on Dauphin Island, Alabama, and sent them to a lab to determine if they're from the Gulf Coast oil slick.

The analysis could take 48 hours to complete, the Deepwater Horizon Incident Joint Information Center said Saturday.

The tar balls, which a U.S. Coast Guard spokesman described as "pieces of emulsified oil" shaped like pancakes, ranged in size from dimes to golf balls. Tar balls can sometimes occur naturally, said the spokesman, Erik Swanson.

Cleanup crews have placed snare boom -- a pompom shaped material designed to collect tar balls -- around Dauphin Island.

Two options officials are looking at to resolve the problem are heating the dome or adding methanol to dissolve the hydrates, Suttles said, adding that they are continuing to assess other methods to capturing the oil.

The crude is leaking at a rate of 210,000 gallons (5,000 barrels) a day.

Suttles said that another possible solution would be to "take ground-up material of various types and try to inject it into the blowout preventer at the bottom of it and it will flow up and plug it up," an operation he compared to stopping up a toilet.

The maneuver is called a "junk shot," Suttles said.

The blowout preventer is a 48-foot-tall, 450-ton apparatus that sits atop the well 5,000 feet underwater. It would stop the leak, BP has said, but it has not been working properly since the Deepwater Horizon oil rig exploded in flames on April 20 and sank two days later, triggering an oil spill that President Obama has called a "potentially unprecedented environmental disaster."

Suttles cautioned that a junk shot is not without risk or challenge, which is why crews have not yet attempted the method.

Meanwhile, hundreds of thousands of feet of boom and large volumes of dispersants continued to be deployed in an effort to capture or break up the spilled oil moving toward the Gulf coastline, and thousands of workers and volunteers diligently worked to skim the water's surface. Suttles said 17,500 barrels (735,000 gallons) of oil-water mix were collected Friday, and crews conducted five successful controlled burns.

Hopes were high for the success of the four-story containment dome, but officials had cautioned that the risky operation had never been tried at such a depth.

"It's a technology first," BP CEO Tony Hayward said Friday. He said the dome works in 300 to 400 feet of water, "but the pressures and temperatures are very different here. So we cannot be confident that it will work."

The arduous process takes time, Hayward said.

Casi Calloway, CEO of the environmental group Mobile Baykeeper, said Saturday she wasn't counting on the operation to be successful.

"I'm praying for them to come up with anything," she said. "In the meantime, though, we have to be realistic and we have to be planning, because it's still a minimum of 5,000 barrels [a day] pouring out into the Gulf of Mexico until that thing is stopped."

If the hydrate problem is resolved, BP, which owns the well, hopes to connect the dome to a drill ship over the weekend and to begin sucking oil from the containment dome up to the ship by the beginning of next week, Suttles said Friday.

The stakes are high for residents of coastal Louisiana who make their living from fishing in the Gulf. Oil washed ashore Thursday on Louisiana's barrier islands and drifted west past the mouth of the Mississippi River.

"It's killing everybody down here, everybody is more or less getting ulcers worrying about this, and it's something we experienced five years ago with [Hurricane] Katrina," charter boat owner Tom Becker told CNN Saturday. "But we knew it was coming faster than this thing is and we don't know what the long-term effect of what's going to happen with this if it [the oil] does get up here."

On Friday, the National Oceanic and Atmospheric Administration said it has expanded the area closed to fishing to better reflect the spill's location. The restriction, announced Sunday, is being extended until May 17, the agency said.

@highlight

NEW: BP officials considering "junk shot" of trying to clog blowout container with material

@highlight

Crystals accumulated inside containment dome, rendering it ineffective

@highlight

Dome moved to side of wellhead while crews work to overcome the challenge, BP CEO says

@highlight

Effort to place dome over well 5,000 feet underwater never been tried at such a depth