Rio de Janeiro, Brazil (CNN) -- Electricity returned early Wednesday to a large swath of central and southern Brazil that was plunged into darkness when power from a major hydroelectric dam was lost.

Up to 18 of Brazil's 26 states were left without power when electricity from the Itaipu dam was interrupted around 10:15 p.m. (7:15 p.m. ET) Tuesday, leaving Sao Paulo, Rio de Janeiro and other cities in darkened chaos.

Hundreds of people were trapped in elevators. Subways, trains and buses stopped running their routes. Video showed long snaking lines of cars at a near standstill on the roads, their headlights the only illumination.

The outage also led to medical emergencies, with a report in Sao Paulo of neighbors having to rescue someone who breathes with the help of a ventilator but the back-up battery was running low.

Police also reported increased robberies and looting related to the blackout. Authorities in Rio de Janeiro and other cities stepped up enforcement.

Officials said up to 60 million of Brazil's nearly 200 million residents were pitched into darkness.

"I thought, 'How is this happening?' " said Rio de Janeiro resident Wesley Ferreira. "All of Copacabana is black."

Power was restored to most of Brazil by 6 a.m. (3 a.m. ET), the government-run Agencia Brasil news agency said.

But some water-treatment plants remained affected Wednesday. Authorities in Sao Paulo reported that 3 million residents in the metropolitan area remained without water, down from a previous 6.7 million. Sao Paulo is the largest municipality in South America, with about 11 million inhabitants in the city and nearly 20 million in the metro area.

The Itaipu dam, one of the world's largest hydroelectric facilities, is shared by Brazil and Paraguay, which also lost power. Neighboring Uruguay also reported outages. Itaipu provides more than 19 percent of Brazil's energy and 87 percent of Paraguay's, Agencia Brasil said.

The outage affected 18 states, the UOL Noticias news outlet said, citing Brazil's minister of mines and energy, Edison Lobao.

The states of Sao Paulo, Mato Grosso do Sul, Rio de Janeiro and Espirito Santo went totally dark, while Minas Gerais, Mato Grosso, Goias, Rio Grande do Sul, Santa Catarina, Parana, Acre, Rondonia, Bahia, Sergipe, Paraiba, Alagoas, Pernambuco and Rio Grande do Norte were partially affected. The Federal District in which Brasilia, the nation's capital, is located also had outages.

As a point of reference as to how widespread the blackout was, it is about 2,000 miles from the southern tip of Santa Catarina to the northern tip of Pernambuco.

Jorge Samek, the director general of the agency that runs the dam, said the blackouts were caused by a failure in the Brazilian power delivery system, not the hydroelectric plant at the dam. Officials said three transmission lines went out.

Officials said they had not determined an official cause for the power failure, but pointed at the weather. They discounted any type of sabotage.

"Apparently, according to information that we have, it was because of meteorological conditions that were pretty adverse, with strong winds and strong rain at the same time," Lobao said.

Some experts agreed that the electric system should not collapse because of a storm.

"There is a problem," said Luiz Pinguelli, director of the Post-Graduate Engineering Center at the Rio de Janeiro Federal University. "And you can't say under any circumstances that this is due to nature. There is a transmission problem, and the worst part of it is the dimension it takes. That is to say, an accident that can tumble one line is always possible. But for the power to go out in so many cities for such a long time, that shouldn't happen."

Some residents blamed a sudden surge in electricity use as Brazil, which is in the Southern Hemisphere, enters spring and the weather gets warmer.

"Those responsible for the energy supply do not perceive that the weather is changing and that there's a lot of hot weather in the spring," said Rio resident Pabla de Visconti. "Summer promises to be hot, and everyone is turning on air-conditioners and fans."

The nation's ability to handle basic utilities concerns some officials as Brazil prepares to host the World Cup in 2014 and the Summer Olympics two years later.

"I always say that Brazil is a country that is growing much, that everyone takes pride in, that is talked about favorably in the rest of the world, but that has a Third World infrastructure," said Adriano Pires, director of the Brazilian Center for Infrastructure.

"When we have consumption peaks, there are blackouts. If the government does not invest in infrastructure, the problems will be more serious each time. It will lead to the strangulation of economic growth and could embarrass the country in events like the World Cup and the Olympics."

CNN's Alessandra Castelli and journalists Fabiana Frayssinet and Lucrecia Franco contributed to this report.

@highlight

Electricity returns to central and southern Brazil after power from major hydroelectric dam was lost

@highlight

Neighboring Paraguay, Uruguay report related blackouts

@highlight

Hydroelectric dam provides over 20 percent of Brazil's energy