Nairobi, Kenya (CNN) -- Baby showers herald the transition to motherhood. Roses, greeting cards and invitations to lunch, celebrate mothers every May -- well at least in most parts of the world. In Africa by and large the story isn't so rosy.

Every 90 seconds, somewhere in the world, a woman dies from a pregnancy-related complication; for them and their families there will be no Mother's Day ever. On this glorious day, I want to put a spin on what we are all celebrating and ask each woman to take a moment to think about the thousands of women across Kenya and millions across Africa who may never celebrate Mother's Day.

The process of becoming a mother --pregnancy - can be difficult and sometimes life threatening. We don't like to talk about these difficulties and dangers. After all Africa is a continent of strong women.

Myths and tales are told about how we give birth in the bush and minutes later we are on our feet going to fetch firewood or water. I think what's even more startling is the fact that when these women pass away, no one remembers them or eulogizes them. You will be hard pressed to find an obituary item that says "she lost her life, giving life."

For these women and their families, there is no Mother's Day. That's why this year, I ask you to heed my call and that of Amref and stand up for African Mothers, wherever they may be.

According to the World Health Organization's Trends in Maternal Mortality Report:

• Every 90 seconds a woman dies from a pregnancy related complication, that's 1,000 women a day

• 90% of these deaths are preventable

• 99% of maternal deaths that took place in 2008 (most recent data from 2010 study) occurred in sub-Saharan Africa (57%) and South Asia (30%)

• 50% of all maternal deaths take place during the first 48 hours after delivery.

The causes for these astounding figures are not limited to the inability of women to access a health facility due to transportation costs; only 10% of women deliver at a health facility where a skilled birth attendant is present.

Read more: African women need a hand-up not a hand-out

In most African rural areas, expectant mothers are mostly taken care of by traditional birth attendants at their households, rather than at hospitals. The typical and entrenched mentality is that "since my mom and mom's mom delivered at home, why can't I?"

But the harsh truth is that poorly equipped with merely a kanga (garment) and razor blade, even the most experienced midwife in the village will find it impossible to handle deadly labor complications such as hemorrhage and high blood pressure.

Another reason behind the high maternal mortality in Africa is women's inferior social status. African women's perceived inferiority to men leads to school dropouts and forced early marriages.

A woman without proper education would not be self-protective in terms of reproductive health and a girl barely into her teens forced into early marriage risks her unprepared body in intercourse, both of which may raise the maternal death odds.

To reduce maternal mortality and strengthen the poorly functioning health system a holistic strategy is necessary to be implemented. Without political will and good stewardship to revamp the health care system women will continue to die needlessly.

It's up to you and I to stand up for African Mothers. No woman should die while giving life. Every year 1.5 million African children are left without a mother. For them, there will be no Mother's day.

The opinions expressed in this commentary are solely those of Caroline Mutoko.

@highlight

Kenyan radio presenter Caroline Mutoko highlights maternal mortality in Africa

@highlight

Every 90 seconds, somewhere in the world, a woman dies from a pregnancy-related complication, according to WHO stats

@highlight

In most African rural areas, expectant mothers are mostly taken care of by traditional birth attendants at their households, rather than at hospitals