(CNN) -- In Egypt's northern Delta, Sarah Parcak is on the hunt to unearth ancient settlements, pyramids and tombs lost in the sands of time.

Rather than digging through the dirt in a dusty trench, trowel in hand, the Egyptologist has turned her eyes to the stars.

Sarah Parcak is a space archaeologist who uses satellites, initially designed for use by the military, to identify potential sub-surface remains.

"When people initially think of the term "space archaeologist" they think 'oh it's someone who uses satellites to look for alien settlements on Mars or in outer space' but the opposite is true -- we're actually looking for evidence of past human life on planet earth," she says.

The high-resolution satellites, with infrared and thermal capabilities, sit in orbit almost 500 kilometers above the Earth and can precisely pinpoint objects on terra firm less than a meter in diameter. The infrared light used by the satellites has longer wavelengths than visible light and thus can penetrate the earth's surface.

The space archaeologist takes the satellite images and processes them to identify subtle anomalies on the earth's surface.

"All of these secrets are in the ground waiting for us to find them. The answers are there," says Parcak, who is also an assistant professor of archeology at the University of Alabama at Birmingham (UAB).

"The most exciting part of my job (is) the idea that by mapping out archaeological sites, by using new technologies and trying to think very differently about how we see landscapes, we have a better chance of understanding who we are and what we are doing here."

Use of remote-sensing technology in search of ancient sites is revolutionizing the field of archeology. In 2011, Parcak and her team announced they located 17 pyramids in addition to 1,000 tombs and 3,100 ancient settlements in a documentary for the BBC.

Then in a project last year, Parcak spent months trekking across the ancient Roman empire, traveling to Tunisia, Jordan, Romania and Italy, uncovering sites identified from space, finding an amphitheater and potential location for the famed Portus Lighthouse.

"I keep being surprised by the amount of archaeological sites and features that are left to find all over the world," says Parcak.

Having spent the last 15 years working in Egypt alongside her husband and fellow archaeologist Greg Mumford on various surveys and excavations, the country holds a special place in Parcak's heart.

And after the Arab Spring movement spread across the Middle East, rumors started circulating of locals looting ancient sites.

Now the Egyptologist is developing new techniques so she can work with governments and international organizations to try to prevent the situation from getting worse.

"We've found that patterns of site looting have increased between 500 and 1000 percent since the start of the Arab Spring. Now this is a problem as old as human beings," she says.

"People were looting tombs 5,000 years ago in Egypt as soon as people were buried but the problem is only getting worse and worse."

In addition to her archaeological fieldwork, Parcak spends much of her time as an educator at UAB and lecturing around the world.

"If you really want to be a good archaeologist, you have to understand ancient DNA, you have to understand chemical analysis to figure out the composition of ancient pots. You have to be able to study human remains. You need to be able to do computer processing and in some cases, computer programing.

"It's not a bunch of old folks just digging in the dirt, which is fun, but there's this whole other world that we can study and the key is science so I try to speak to school groups, and I try to take a lot of time with young people after I present at conferences," she says.

The Egyptologist isn't the only one using aerial technology to advance archeology

In June, the U.S.-based National Academy of Sciences released a report where a consortium of archaeologists used airborne lasers to survey Cambodia's Angkor Wat.

The team also announced the remarkable existence of a medieval city hidden beneath the dense jungle.

CNN's Becky Anderson and Sarah Chiplin contributed to this piece.

@highlight

Sarah Parcak is an Egyptologist and professor at the University of Alabama at Birmingham

@highlight

The space archaeologist uses satellite imaging to locate lost settlements and pyramids

@highlight

Also called "remote sensing," the satellite imagery can also be used to crackdown on looting