(CNN) -- Syrian opposition activists spoke Tuesday of being past the point of no return in their struggle against the al-Assad regime, which stepped up its siege on the city of Homs and reportedly launched fresh attacks across the country.

At least 49 people were killed, according to the opposition Local Coordination Committees of Syria. The deaths included three defected Syrian soldiers, the group said.

Deaths took place in Idlib, Homs, Daraa, Aleppo, Deir Ezzor, Hama, Damascus, the Damascus suburbs and Latakia, the group said.

Fear and horror paralyzed residents of Homs, which was struck by heavy shelling; snipers prevented people from walking in the streets, opposition activists said.

"The snipers are even targeting those who intend to get bread from the bakeries," said one activist, who uses the pseudonym Abu Omar.

"They are shelling randomly -- why, I don't know," said another activist, identified only as Omar for security reasons. "There is no place here in this city that is a safe house or shelter or a basement. You have to be lucky to stay safe."

Tuesday's shelling was among the heaviest in the past five days, the opposition Syrian Observatory for Human Rights said.

While United Nations diplomats reiterated their denunciations of the Syrian regime for the mounting bloodshed, residents wondered what lay ahead.

"Everyone we've been talking to ... believes that the country is heading toward, or already is in, a full-blown war, and recovering from that is going to be incredibly challenging," said CNN's Arwa Damon, who reported from inside Syria on Tuesday.

She spoke from an opposition safe house. CNN is not disclosing her location because of concerns for her safety.

Logistical challenges are challenging; some living rooms are serving as makeshift triage clinics, she said.

"Villagers have tried to gather medical supplies and blood to move them into these hard-hit areas and for days have been unable to do so" because of the government crackdown, she said.

Members of the opposition believe it is a fight to the death and, if they fail, the government will kill them, Damon reported. Many, she said, would be willing to accept assistance even from Israel, a sworn enemy.

Her reports came a day after the U.N. high commissioner for human rights denounced the Syrian government's "ongoing onslaught" against its citizens. Navi Pillay spoke before the U.N. General Assembly, which could issue a formal condemnation of the Syrian regime.

"The nature and scale of abuses committed by Syrian forces indicates that crimes against humanity are likely to have been committed since March 2011," Pillay said.

Syria posted a banner on state TV Tuesday saying its foreign affairs ministry "absolutely rejects all the new allegations in the new report by the human rights high commissioner."

Syria also rejected decisions made over the weekend during a meeting of the Arab League. The league proposed a joint U.N.-Arab peacekeeping force and urged member states to provide political and financial support to the Syrian opposition and to cut ties with Damascus.

SANA quoted "an official source" Tuesday as calling the league meetings a "blatant interference in (Syria's) internal affairs and an encroachment on its national sovereignty."

The Syrian government said on the state-run Syrian Arab News Agency that 13 "army and law enforcement martyrs" were buried Tuesday. "The martyrs were killed in the line of duty by armed terrorists groups in Damascus Countryside, Homs and Idlib."

SANA also reported that large crowds gathered in Latakia in support of the government's "reform process, rejecting foreign interference," and denouncing "terrorist bombings" in Aleppo.

Two government buildings were bombed last week in the city, killing 28 people, Syrian officials said. Syria has cited the incident as evidence that al Qaeda is active in the country.

A U.N. General Assembly draft resolution that would condemn Syrian human rights violations has been discussed by diplomats but not introduced.

Though a General Assembly vote would not be binding, it would mark the strongest U.N. statement yet on the violence. Russia and China have vetoed attempts to condemn Syria for the crackdown by the U.N. Security Council, whose resolutions are binding.

The draft G.A. resolution calls on Syria to end human-rights violations and attacks against civilians immediately, and condemns "all violence, irrespective of where it comes from."

U.S. President Barack Obama and Vice President Joe Biden welcomed Chinese Vice President Xi Jinping, that nation's presumptive next premier, to the White House. Speaking of Syria and the recent U.N. debate, Biden said at a news conference, "While the United States and China ... will not always see eye to eye, it is a sign of the strength and maturity of our relationship that we can be candid about our differences as we have been."

Victoria Nuland, a U.S. State Department spokeswoman, said Tuesday that increasing pressure and sanctions on President Bashar al-Assad's government was crucial.

French Foreign Minister Alain Juppe announced a national decision to establish an emergency relief fund for Syria, according to a statement posted on the website of the permanent mission of France to the U.N. The fund, with an initial sum of 1 million euros, will "fund the actions of all organizations and associations wishing to help the Syrian people."

France will propose the creation of a similar fund at the international level at the first "Friends of Syria" meeting in Tunis on February 24, the statement said.

European Union diplomats told CNN they expect new EU sanctions on Syria by February 27, targeting the Syrian Central Bank and imposing a ban on exports of precious metals and phosphates.

More than 700 people have been killed over the past 10 days in Syria, mostly in Homs, the Local Coordination Committees said.

A video posted Friday on YouTube shows a child running down a street while gunfire is heard. A man runs into the street, picks up the child and takes him to safety near a building. The man then runs back into the street, apparently to get the child's shoe. Voices can be heard chanting, "God is great" and "We have no one but you, God, for help."

A voice on the recording says the incident occurred in the al-Balad neighborhood of Daraa.

Another video on YouTube shows tanks and civilians standing next to each other in a Damascus suburb. An opposition activist has said government forces are using detained civilians as human shields, placing them on tanks to prevent the opposition Free Syrian Army from fighting back.

CNN cannot independently confirm details of the events in Syria because the government has severely limited the access of international journalists.

Damon said every person she interviewed had a horror story to tell.

"One man we met, he had four members of his family executed as government forces, he said, were raiding their village," she said.

She said some members of the opposition believe the regime will fall, but don't know how many more lives will be lost before that happens.

"If there is military intervention, then yes, there will be a lot of bloodshed, but it's going to be over a lot quicker," one activist said. "If there isn't military intervention, there is going to be even more bloodshed, and it's going to take a lot longer to bring down the regime."

CNN's Nick Paton Walsh, Hamdi Alkhshali, Nada Husseini, Mick Krever, Richard Roth, Saad Abedine, Talia Kayali, Holly Yan, Elise Labott and Josh Levs contributed to this report.

@highlight

At least 49 people died Tuesday, opposition group says

@highlight

The opposition believes it is a fight to the death, CNN's Arwa Damon reports

@highlight

European Union considers new sanctions, diplomats say

@highlight

YouTube video shows a man pulling a child from a street amid apparent gunfire nearby