(CNN) -- It's easy to understand why travelers venture to some of the world's largest cities. They are often packed with gorgeous architecture, delicious food, fabulous art institutions, endless shopping and unparalleled entertainment and nightlife.

Yet there are potential downsides to a high density of culture. Bustling metropolises usually attract massive crowds, frustrating traffic and deafening noise. For those looking for some respite, book a room in hotels sequestered away in quieter quadrants of these respective cities.

Take two-year-old Hotel da Estrela in Lisbon's Campo de Ourique neighborhood. While most hotels and B&Bs in Portugal's capital are concentrated in buzzier Chiado, Rossio and Bairro Alto, Hotel da Estrela's less-central address offers quiet nights and crowd-free streets—and the city's best restaurants, lounges and shopping are just a 10-minute taxi ride away.

If places like this are still too close for comfort, opt to inch even farther out of the center at an accommodation situated in the outlying areas of a city. If you decide to book one of the grand resorts in Marrakech's Palmeraies region, you won't be within walking distance of the city's major tourist points, but you might not want to be: The Palmeraies house some of Marrakech's most over-the-top resorts, including Palais Namaskar. The hotel doesn't skimp on luxury amenities—with two palaces and a private jet—so even though it is off the beaten path, it still has everything.

Shangri-La Hotel, Paris

Staying in one of the City of Light's most-popular arrondissements—any of the first five, for instance—will prove to be a crowded proposition. Go for Shangri-La's original European outpost, hidden in the westernmost reaches of Paris in the 16th Arrondissement, where your sidewalk companions are Hermès-toting locals, not fanny-packed tourists. This leafy residential neighborhood is the perfect setting for Shangri-La's opulence, which becomes obvious as soon as you see its grand, historical building, previously home to Roland Bonaparte, Napoleon's grandnephew. The interior is like a modernized palace, complete with an impressive art collection, atmospheric library, marble furnishings and Michelin-starred dining venues. Rooms, from $865; 10 Avenue d'Iéna; 33-1/53-67-19-98; shangri-la.com.

Departures: World's top walking cities

The Siam, Bangkok

In Bangkok, seek solace from buzzing markets and traffic-jammed streets at the months-old Siam. It is the only hotel in the Dusit district, which is surrounded by temples and palaces and is located on the northern bank of the Chao Praya River, near the Krungthonburi Bridge. Plus, all 39 rooms here, including 10 villas with private pools (the Siam is the only retreat in the Thai capital to offer such luxury), are spread over three acres of private gardens. If you crave total anonymity, look no further. Even the chemical-free Opium Spa by Sodashi caters to the mega-recluse: The nearly 11,000-square-foot spa has just five treatment suites, each with its own steam shower and pneumatic bed. Rooms, from $530; 3/2 Thanon Khao, Vachirapayabal; 66-0/2206-6999; thesiamhotel.com.

Sumahan on the Water, Istanbul

For a city that straddles two continents, it's almost unfair that in Istanbul nearly everything a traveler is encouraged to see is on the European side of town. This is exactly why you should opt to stay on the Asian half at the stylish, 20-room Sumahan on the Water (a former raki factory). While it may not offer lightning-quick access to the Hagia Sophia, it does feature stunning, uncluttered views of the Bosphorus Strait without the tourist din that haunts more central neighborhoods like Taksim or Beyoglu. Sumahan's perch on the water—minutes away from authentic fish restaurants and produce markets—and sleek, no-fuss decor make total relaxation easy. For hardcore sightseeing, Sumahan's reliable and complimentary private boat service travels to Europe in as little as 15 minutes. Rooms, from $250; Kulelí Caddesi No 51; 90-216/422-8000; sumahan.com.

Departures: Undiscovered ski locations

Hotel Americano, New York City

Located in art-heavy West Chelsea, Hotel Americano—the first U.S. property from Mexican hospitality giant Grupo Habita—and its area attract gallery-hopping New Yorkers and international jet-set types. As far as location goes, it remains within walking distance of some of the hottest restaurants and bars in the Meatpacking District. Designed by Mexico City--based architect Enrique Norten, the ten-story, mesh-wrapped boutique hotel has 56 simple yet striking rooms (some suites come equipped with gas fireplaces), a rooftop pool that is transformed into a hot tub when temperatures drop and a terrace eatery that serves Greek fare in the summer and Argentinean dishes in the winter. Rooms, from $265; 518 W. 27th St.; 212-525-0000; hotel-americano.com.

Hotel da Estrela, Lisbon, Portugal

Though not as popular as other major European destinations, Lisbon is no sleepy town. Because of its highly regarded hostels, relatively lower prices and mild year-round climate, it attracts students and budget travelers. They generally crowd the downtown neighborhoods, including Bairro Alto, Lisbon's loud nightlife center. Make a beeline for two-year-old Hotel da Estrela in Campo de Ourique, a central neighborhood whose most interesting points of reference are mom-and-pop shops, relaxing parks and 18th-century churches. When weather permits, try the hotel's quaint dining program (an extension of the popular basement-level Cantina de Estrela) on the adjacent lawn. Instead of reserving a table, sign up for an outdoor picnic towel and lunch on the grass. Rooms, from $155; Rua Saraiva de Carvalho 35; 35-1/21-190-0100; hoteldaestrela.com.

Departures: Perfect New York City hotel rooms

Hotel Santa Teresa, Rio de Janeiro

With a population that exceeds six million and growing tourism, Rio de Janeiro is one of the most energetic cities on the globe. Mountains, the ocean and undeniable South American passion have won Rio many fans. When most of them unpack in Copacabana or Ipanema, head to the mountaintop Santa Teresa neighborhood, where traffic jams and high-rises give way to red-tiled homes, cobblestone streets and trees. At the 40-room Hotel Santa Teresa, situated in a preserved colonial building in the middle of 43,000 square feet of gorgeously landscaped greenery, chic, tropical-inspired design awaits via burned-cement floors, tropical woods, black-and-gold limestone slate and Portuguese tiles, as well as art from all regions of the country. Rooms, from $470; Rua Almirante Alexandrino 660; 55-21/3380-0200; santa-teresa-hotel.com.

Palais Namaskar, Marrakech

The challenge of a stay in Morocco's newest gem (part of the Oetker Collection) is that it may prevent you from venturing out to explore. Its location in the Palmeraies, at the foot of the Atlas Mountains, means you are a drive away from the town square of Djemaa El-Fna and its snake charmers, the Koutoubia Mosque and thumping nightclubs like Ibiza import Pacha. But do not be ashamed to laze around the grounds and be spoiled by nearly 540,000 square feet of scented and masterfully manicured Balinese-inspired gardens, cascading waterfalls and tranquil lakes. There are casual dining options here, but Le Namaskar restaurant is a culinary masterpiece that overlooks the main pool. Rooms, from $755; Route de Bab Atlas, No. 88/69; 212-5/24-29-98-00; palaisnamaskar.com.

Departures: See more tucked-away city hotels.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

The former home of Napoleon Bonaparte's grandnephew in Paris is now an elegant hotel

@highlight

Mexico City--based architect Enrique Norten designed Hotel Americano in New York City

@highlight

Stay on the Asian side of Istanbul for an elegant stay and stunning views of the Bosphorus Strait