(CNN) -- Since the early days of pop music, the music industry has been searching for the secret formula to writing a successful song -- for that special alchemy that separates a Grammy-winner from a dud. For a period in the 1970s and 80s, the self-styled King of Pop Michael Jackson seemed to have stumbled upon it, but somewhere along the line he, too, seems to have misplaced it.

Hit Song Science claims to be able to predict whether a song will be a pop hit

But now a piece of software claims it can compute whether a song has chart-topping potential, and a number of record companies and musicians are using Hit Song Science (HSS) to gauge whether they have a hit on their hands.

The software, developed by Barcelona-based Music Intelligence Solutions, works by breaking down more than 60 elements of a song, including melody, harmony, tempo, pitch, octave, beat, rhythm, fullness of sound, noise, brilliance and chord progression, and compares it against a database of over 3.5 million past commercial hits.

The program organizes songs into clusters with similar-sounding equivalents and then rates the song on a scale of one to ten, with a score of 7.3 being deemed likely to do well in the music charts.

Curiously, clusters of songs do not necessarily contain songs that sound the same to the human ear, but from a mathematical perspective they share similarities. HSS analyzed music from Norah Jones' first album before she broke through and the program's algorithms placed her in a cluster with Linkin Park, Aerosmith and JayZ.

If you have ever wondered why you sometimes find yourself humming along to some smooth jazz on the radio when you consider yourself a strict thrash metal fan only, then perhaps HSS has discovered the scientific answer.

Besides Norah Jones, the program also predicted success for Mika, while "Turn Your Car Around," a song penned by Ben Novak, a singer-songwriter from New Zealand, was rated as a potential hit by HSS, who recommended it to Sony Music in the UK. It eventually ended up as a vehicle for ex-Blue band member Lee Ryan and scored a respectable UK chart position of 16 in 2005.

Record producer Carlos Quintero, director of Orixe and Jamm Records in Spain, believes that the software has a high accuracy rate. "I was very skeptical when I was told about it for the first time," he says. "I thought it was science fiction.

"But when we choose a tune for an artist and we like it and feel it will be a hit, the surprise is that 85 percent of the time the tracks we have chosen get a positive analysis from the software."

The emergence of hit prediction programs such as this -- New York-based Platinum Blue Music Intelligence provides a similar service -- raises concerns that the creative element of writing music would be eroded by breaking it down into mathematical algorithms. But Quintero claims the program in no way writes a song, it simply tells you whether it has the potential to be a hit. He says he mainly uses the software to tweak and refine songs so that he can maximize his chances of scoring a high chart position.

"There was a particular case where we had to revise the song as at first it wasn't completely right. Using the software, we managed to make it work," he explains. "The problem with the software is that it can only indicate whether a song is suitable or not. It's up to the producer, the technical team and the artist to make it suitable in the first place."

Quintero has since become a member of Music Intelligence Solutions' advisory board, so he is bound to have a positive take on the service. Jimena Llosa, General Manager EMEA of Music Intelligence Solutions, claims the company has thirty to forty clients in the record industry in Europe and the U.S., but she says she cannot reveal who they are, citing privacy issues. CNN attempted to contact several record companies in London, but A&R departments claimed they had not heard of the service, suggesting either a certain coyness to admit using it or that it is not as widely used as Music Intelligence claims.

The software can also be used as a way of recommending new music to audiences. In Spain, cellular phone company Orange is using the technology in its New Talents enterprise. Listeners can enter in their favorite songs and the program will suggest songs they might enjoy according to its cluster system.

Óscar Sainz is one musician who has profited from this new way of connecting musicians with an audience. A national tennis monitor by profession, he struggled to make an impact in the music industry despite the best efforts of Pablo Pinilla, one of Spain's most successful music producers. But since the Orange initiative his career has taken off and he is now selling well through Orange and touring the country.

"A machine or at least mathematical or scientific formulas that could analyze the parameters that a song needs to be a hit? The truth is I doubted it at first," he says. "My first instinct was it must be a con.

"Don't ask me what parameters they use, or formulas, or machines they use, because I don't know. But it works."

But the software has its skeptics. Jim Elliot, writer and producer of Kylie Minogue's new single "2 Hearts" is unconvinced about the accuracy of the program. He entered tracks from her new Album "X" and they were, unsurprisingly, rated as potential hits. But he also entered a little-known, unreleased, song by 70s band Gong that included cows mooing, and it was also rated as a potential chart-topper.

He thinks that the program negates the unpredictability of human behavior. "The fact is that it's the human errors introduced in the music-making process that are always the most interesting," he says. "Who would have thought Lily Allen would do so well? I doubt anyone would have predicted that.

"It's so hard to categorize music. There's a real danger of doing that. If you are writing and producing music you can try to fit it to certain formulas but it's so abstract that it has to be free -- and then something good will happen."

With just one fifth of their musicians making a profit for today's record companies, executives are always searching for new ways to narrow the risk margin. Hit Song Science may become a useful string in their bow in the elusive art of predicting a hit. Otherwise they will have to keep relying on tried and tested -- and more human -- methods, such as gut instinct. E-mail to a friend

@highlight

Barcelona company claims its software can tell if a song will be a pop hit

@highlight

Hit Song Science analyzes song's melody, harmony, tempo, beat

@highlight

Software cannot write hits, just predict whether they will find success

@highlight

Company says A&R departments are using it to tweak tracks for the top