Twenty years ago, a team of researchers shared the Web with the world. Now they want to show a generation that grew up online what it was like in its earliest days.

The European Organization for Nuclear Research, known as CERN, is celebrating the 20th anniversary of the date it released, for free, the technology and software needed to run a Web server.

In honor of the anniversary, a team has been assembled to recreate a working version of the first website, a how-to guide hosted by the project's creators.

The organization issued a statement on April 30, 1993, that announced the release of that Web to the public.

British physicist Tim Berners-Lee created and named the Web (also commonly called "W3" for short in those days) in 1989 at CERN. Originally, it was designed as a way for scientists at different universities and other institutes to share information.

"Vague, but exciting," Berners-Lee's supervisor wrote on the cover of a proposal while greenlighting the project.

See a 1993 copy of the first website

By 1993, there were roughly 400 known Web servers. But the World Wide Web accounted for only about 1% of Internet traffic. The rest was remote access to computer networks, e-mail and file transfers from one computer to another.

Since then it has, obviously, become a constant presence in the lives of people around the world. Today, there are somewhere around 630 million websites.

"There is no sector of society that has not been transformed by the invention, in a physics laboratory, of the Web," said Rolf Heuer, CERN's director-general. "From research to business and education, the Web has been reshaping the way we communicate, work, innovate and live. The Web is a powerful example of the way that basic research benefits humankind."

The first website was, not surprisingly, devoted to the Web project itself, describing how to use it and set up a Web server. It was hosted on Berner-Lee's NeXt computer -- the product developed at a company founded by Steve Jobs before he returned to Apple.

That computer is still at CERN's headquarters in Geneva, Switzerland. But it no longer hosts that first website.

CERN's team aims to change that, restoring the earliest versions of files that were on the site as well as making it a home for stories about those formative days. They'll be combing CERN's servers for data preserved from that time.

@highlight

An effort is under way by the group that created the Web to rebuild its first site

@highlight

CERN researchers created the World Wide Web in 1989

@highlight

It was released free to the public on April 30, 1993

@highlight

Researchers say they want a new generation to see what the Web was like then