London (CNN) -- Raising their family in London, Nigerians Chris and Ada Ngoforo were keen for their children to stay in touch with their West African heritage. But the couple became concerned that their three young daughters didn't speak any Igbo, one of Nigeria's ethnic languages.

"We thought amongst ourselves what we can do to actually help them to learn Igbo more," says Chris Ngoforo.

This desire to encourage their children to connect with their roots, coupled with an increasing frustration with the difficulty in finding black dolls that resonated with their daughters, led the entrepreneurial couple to take matters into their hands.

What started as a way of helping their daughters engage with their heritage quickly became a business opportunity. Soon after, the couple launched their own range of toys, called Rooti Dolls, programmed to speak in several native African languages and promote positive self-images.

"We observed that over 90% of children born or living in the diaspora and millions in Africa do not speak or understand their mother tongues," says Ngoforo. "Our research made us understand that the reason for this is not because our children don't want to learn their mother tongues, but more because there are not many essential tools that can easily be both educational and fun at the same time."

Read this: Monopoly moves to Africa with Lagos edition

So far, the couple has produced a range of 12 dolls from different African countries. Each one can speak a combination of languages, and each one has her own story.

Amongst them, there's Nina, a "vibrant girl" with Nigerian parents, who "loves watching Nollywood" and can interact in the Nigerian languages of Igbo, Yoruba, Hausa, and Ibibio; there's Ama, a "bubbling dynamic girl" whose "dream is to be a doctor someday," and can speak the Ghanaian languages of Twi, Ga, Ewe and Krobo; and there's also Keza, with parents from Zimbabwe and Zambia. She "loves adventures, reading and listening to beautiful music" and can communicate in Shona, Ndebele, Bemba, and Nyanja.

Ngoforo says the toys, which come in different shades of skin color, are designed to break down stereotypes and to provide a more accurate representation of black people.

"Over the years my wife and I have found it extremely hard finding real black dolls that can truly connect with our little daughters," he says. "The dolls out there in the market are nothing close to the real image of a black child in terms of features and other attributes -- they are either too thin, too light or chiseled-faced, and even the complexions of most of the dolls are kind of whitewashed," says Ngoforo.

"The unfortunate effect of this stereotypical misrepresentation is a case of low self-esteem among black children who have been directly or indirectly made to believe less in themselves as a black child. They have been made to believe that you have to look like a white doll to be accepted as beautiful or even good."

Debbie Behan Garrett, author of "The Definitive Guide to Collecting Black Dolls," says that black dolls have changed a lot over the years.

In the early days of black dolls, she explains, many of them were negative characterizations with exaggerated facial features, including protruding eyes, broader-than-normal noses and accentuated lips that were often painted red. These dolls frequently maintained a posture of servitude as butlers or "mammies."

Read this: African slave traditions live on in U.S.

"Today's black dolls have evolved from negative caricatures to play-scale representations of haute couture fashion models and other positive images of babies, toddlers and adult black people," says Garrett. She adds, however, that while today's dolls are more positive representations, "a lack of black dolls is a constant, as black-doll manufacture is often a second thought for those in the business of producing dolls in their image."

But for Garrett, access to dolls can only achieve so much in terms of promoting a positive self image.

"In addition to a black child owning dolls and other playthings that positively reflect their image, exposure to literature, art and other positive images will aid in the development of a healthy cultural awareness and appreciation," she says.

That was the inspiration behind the Queens of Africa project, an educational initiative developed by Nigerian entrepreneur Taofick Okoya. Using a mix of dolls, books, comics and music, Queens of Africa is aiming to help children in Nigeria and beyond to identify and appreciate their culture.

"The crucial part of the formative years of children is between four-nine years," says Okoya." This is the time to load them with valuable information that they can draw on as adults."

Similarly to the Ngoforos, Okoya's foray into the business was inspired by his family. Some five years ago, he went into an upmarket Lagos store to buy a doll as a birthday present for his young niece, but left disappointed.

"I wanted to buy her something that would be quite encouraging or instrumental in her development," he says. "I realized that they had an array of different dolls but none of them were black and they were rather pricey."

Read this: Boy scares off lions with flashy invention

That gave Okoya food for thought and after some initial research, he decided to launch the Queens of Africa black dolls, each one representing different tribes in the continent. Later on, he decided to expand the project by launching a series of fun and educational books, songs and cartoons based on the dolls' characters.

"The dolls will help the Nigerian/African [children] be better people because they would be proud and confident in who they are as a race," says Okoya. "The comics, books and animation stories is the medium we use to enlighten and educate children on our history and culture."

Garett says that exposure to this kind of information can help African children learn about their roots, as well as proudly pass on their heritage to future generations.

"It is imperative for African or any non-white child to possess or have access to playthings that reflect their image positively," she says.

@highlight

A new range of dolls has has been created to help African children connect with their roots

@highlight

Rooti Dolls are programmed to speak several African languages

@highlight

"Queens of Africa" project produces comics and books to help African children appreciate their culture