(CNN) -- The 1970s were the first full decade after civil rights legislation all but obliterated racial segregation in the United States. And it was in large part because of this great sea change that a bright, bold flowering of African-American popular culture affecting music, movies, fashion, television, sports and literature burst forth, its impact resonating with a breadth and force that had never been witnessed before -- or seen since.

Don Cornelius, who was found dead Wednesday, at age 75, in his Los Angeles home, was one of the significant figures of this transformative era.

As the creator and longtime host of the TV music-and-dance show, "Soul Train," Cornelius took an established broadcast genre of dancing teenagers, hit records and live performances by pop stars and infused it with assertively African-American style and attitude so electrifying that its appeal crossed racial, ethnic and even generational lines.

As filmmaker Melvin Van Peebles helped set off the black-movie boom with 1971's "Sweet Sweetback's Baadasssss Song"; as Richard Pryor's ribald, so-real-it's-surreal stand-up comedy hit its stride by mid-decade; as Alex Haley's 1976 epic family saga "Roots" became the keystone to a nationwide phenomenon whose culminating TV miniseries is still talked about 35 years later, so did Cornelius establish, through "Soul Train," a crucial gauge for pop music's ebb and flow that no one in the entertainment business could ignore.

The elite of late-20th century black pop musicians, from Aretha Franklin, Smokey Robinson, James Brown, Teddy Pendergrass, Marvin Gaye, Al Green, Diana Ross and Gladys Knight, to the Jackson Five, O'Jays, Spinners, Gap Band and Commodores took live turns on the "Train" -- and frequently delivered some of their more potent televised performances. Eventually, white artists such as Elton John, David Bowie, Sting and Robert Palmer played on the "Soul Train" stage.

Though he wisely never made himself more conspicuous than the music or the dancers, Cornelius' buttery smooth baritone, colorful attire -- though relatively understated when compared to the dancers' flashy duds -- and avuncular presence provided an anchor for the show's dazzling grooves and slick moves. He also became something of a star himself, making appearances at live concerts and political gatherings looking to share some of the youthful energy he presided over as host from 1970 to 1993.

Other TV shows may have had live acts. But if you wanted to know how to move your body to funk, disco and soul music, "Soul Train" provided the first and best lesson for much of its long and legendary run. Fred Astaire, in a "60 Minutes" interview, said he was a "Soul Train" fan. One imagines the great man studying and perhaps even attempting many of those moves. If you were a true dance aficionado, you waited every week for the "'Soul Train line" in which improbably limber young couples enacted breathtaking inventories of what would become known as "breaking" and "popping."

Before he became an innovator, the Chicago-born Cornelius sold insurance for Golden State Mutual Life for $250 a week. In 1966, he decided to change his destiny, and reduce his salary by $200, to work as a substitute disc jockey, news reader and interviewer at WVON radio. Within two years, he had acquired enough facility as a broadcaster to secure an on-camera job as sports anchor on Chicago's WCIU-TV show, "A Black's View of the News."

With his own money, Cornelius produced a pilot episode of an all-black version of Dick Clark's venerable "American Bandstand" to be telecast on WCIU. He had trouble interesting sponsors until the locally based Sears Roebuck & Co. expressed interest, believing the show could boost its record sales. The program, dubbed "Soul Train," debuted in 1970, achieving such formidable ratings among the city's black community that it was nationally syndicated the next year.

Cornelius not only served as "Soul Train's" host, but was also responsible for drumming up advertisers and seeking more stations nationwide. Some of these advertisers were black-oriented companies such as Johnson Products Co., the beauty specialists behind Afro-Sheen hair spray. By mid-decade, "Soul Train" had powered its way to more than 100 markets. By the time it ceased production in 2006, after a series of guest hosts, "Soul Train" had become one of the longest running syndicated television programs in history.

One wonders whether it's possible in this digitized age to build a cultural phenomenon from the ground up as Cornelius did. If so, his example of chutzpah and daring will serve as the template for future dreamers and cultural mavens to follow. That, along with the blend he suavely, fervently prescribed to his audiences week after week at the end of each "Train": "Love! Peace! And -- all together now -- Soul!"

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour says in 1970s, black culture burst forth in fashion, music, dance

@highlight

He says Don Cornelius contributed singular dance show with cross-cultural appeal

@highlight

He says the elite of black pop music performed; Soul Train showed teens how to dance

@highlight

Seymour: Cornelius was self-made impresario, innovator who built cultural phoneomenon