Shenzhen, China (CNN) -- Three weeks ago, hip-hop star Andre Young -- better known as Dr. Dre -- made news as his Beats Electronics line, a maker of premium headphones, was valued at more than $1 billion thanks to an investment from the Carlyle Group.

But the former N.W.A. rapper is not the only one profiting from his headphone line. Across the Pearl River Delta in southern China, counterfeit Beats are flowing out of factories, assembly workshops and shops, attracting businesspeople that sell the headphones on global markets.

A CNN reporter approached wholesale companies about buying in bulk in order to learn how the underground sale of knock-off headphones works. "Business is very good," said a woman, who, with her family, runs a wholesale company selling copied headphones in one of Shenzhen's many mega-malls. "You buy cheap from me, you sell expensive in your home country, we all make a lot of money," she added.

To prove her point, she shows an Excel spread sheet on her laptop listing customers from all over the world: Italy, Denmark, United States, Canada, Dubai, Russia and more. She said she recently sold a large amount of counterfeit Beats by Dr. Dre for $50,000 to a British businessman who sent them to the UK by jet -- which is considerably more expensive than container ship -- and sold them as originals.

While top-line Beats headphones retail for $400, the Shenzhen operators interviewed sell knock-off versions wholesale for $70. "A lot of people are making a lot of money on Beats right now," she said.

Factory owners here have a nose for what's hot and what's not. Nearly 70% of all fake goods -- including DVDs, clothing, and electronics goods -- seized worldwide from 2008-2010 came from China, according to the World Customs Organization.

And looking at the shops in Shenzhen's Huaqiangbei commercial district -- a destination for buying electronics, especially fakes -- Beats by Dr. Dre are definitely hot, prominently displayed next to iPhones, Samsung gear and Nikon cameras. To look at them, some are clearly fakes with poor packaging and logo color schemes that are wildly different from those well-known products.

Rise of high-priced headphones

Behind the shops and inside small rooms around the district, workers in their early 20s can be seen busily assembling counterfeit goods, such as smartphones and iPads. The long corridors are filled with cigarette smoke that drifts out from the tiny workshops as deliverymen rush by with their arms full of electronic components. Everywhere you hear the sound of packing tape being wrapped around cardboard boxes.

The counterfeit boom is fed, these days, by the rise of high-end headphones that Dr. Dre's audio products helped kickstart with the launch of Beats in 2008, analysts say. Just a few years ago, few people would be ready to pay several hundred dollars for a pair of headphones. Now, with celebrities like Lady Gaga, Justin Bieber and P. Diddy putting their names to signature pairs, Beats is the hottest brand for stylish music lovers.

"Today, the premium headphone market is defined by fashion and brands as much as it is by sound quality," Ben Arnold, director of industry analysis at market research firm NPD Group said in a recent report. "One third of premium headphone buyers are under the age of 25 and many of these consumers view headphones as equal parts listening device and fashion accessory."

Richard Kramer, analyst at Arete Research, added that better audio quality in smartphones is also one of the main driving forces behind making high-end headphones viable.

In the U.S., sales of headphones rose by a third last year to $2.4 billion, with Beats by Dr. Dre making up almost 70% of all high-end headphones during the Christmas period, according to market research firm NPD. In Europe, sales of headphones hit an all-time high in the first quarter of the year, figures from market research group GfK show, with premium headphones leading the way. Total sales increased by 9% during Q1 on Europe's 17 main markets to 304 million euro (US$410 million), according to GfK.

Real or fake headphones?

At another Shenzhen store, a sales executive at a factory and trading company, connects a pair of fake Beats Pro to her iPhone and puts them on the reporter's head. The sound quality is surprisingly good. In the U.S., an original pair would cost $400. She offers her best quality headphones for the wholesale price of $70, medium quality for $45 and "so-so quality" for $30.

"Medium quality is most popular, but the trend is going towards high-end. Consumers want good sound," she said, adding that she can deliver 100 units of any Beats product by the following day. For 1,000 items it will take a week. "Since it's copies, we don't want to have too much in stock," she said.

On the streets and down in the subway, in-ear Beats headphones are sold for as little as $1. According to the company website, real in-ear Beats sell for $100 and up.

Beats Electronics, the company behind the Beats by Dr. Dre brand, said in an email to CNN that the company shows "a fierce commitment" to fight piracy and that it works in close collaboration with anti-counterfeiting organizations, police and customs authorities to identify counterfeit sellers, distributors and manufacturers on key markets. They also scan online marketplaces for unauthorized use of Beats trademarks.

"Since efforts began, Beats has seized hundreds of thousands of counterfeit products in more than 50 countries," the company said.

The U.S. government has long complained about the theft of intellectual property in China. CNN reached out to authorities in Shenzhen to ask about counterfeit sales activities, but they have not yet responded. However it appears that Chinese officials are moving to crack down on counterfeit trade. A month-long joint operation with U.S. Customs in July resulted in the seizure of more than 243,000 counterfeit products using trademarks from Beats by Dr. Dre., Apple, Blackberry and Samsung. U.S. Customs and Border Protection said the operation was the biggest bilateral customs enforcement effort ever conducted by the U.S.

As a result, a man in New Orleans was arrested for allegedly importing counterfeit Dr. Dre headphones and selling them on Craigslist.

Evading the police

But in Shenzhen, the counterfeiters are working hard, too.

CNN spoke with another woman involved in the trade -- a "copy brand exports professional" according to her business card -- who helps companies to transport counterfeit goods from Shenzhen to other countries. She said she advises her customers to avoid Chinese logistic companies and always use European or American shipping companies since "customs usually trusts these brands better."

Storeowners reveal other tricks to bypass customs. They send all Beats in two boxes; the outer box has a made-up name to hide the real goods. "We got the idea from a European customer," she said.

Precautions aside, in the Huaqiangbei commercial district few seem to have any moral objections about the pirating of goods.

Outside the Huaqiangbei Police Station, a friendly officer in sunglasses points down the street when asked where the best fake mobile phones can be found. Asked if such purchases are legal, he just breaks out in loud laughter.

@highlight

Popularity of high-priced headphones has led to a rise in fakes coming out of China

@highlight

CNN goes behind the scenes of sales of counterfeit Beats by Dr. Dre in Shenzhen

@highlight

Wholesalers sell knock-offs at $70 to global buyers who can resale as high as $400

@highlight

Seller: "Buy cheap from me, you sell expensive in your home country, we all make a lot"