Washington (CNN) -- Nearly four years into his speakership, John Boehner is stronger than ever.

Boehner will be elected to his third term as Speaker on Thursday, a few days before his 66th birthday. He's already facing post-election grumbling from conservatives, but his position is remarkably secure for a Speaker whose tenure has been marked by the drama of the debt ceiling standoff, the government shutdown and the battles within the GOP.

The Ohio Republican will soon preside over the largest House GOP majority since World War II and have a new partner in the Senate when Mitch McConnell, R-Kentucky, becomes majority leader.

Boehner will still confront plenty of challenges as he shifts from being the face of the opposition party in Congress to a leader aiming to prove Republicans can govern ahead of the 2016 presidential election.

Conservatives say they are worried that Boehner and McConnell may put too much emphasis on proving they can make a dysfunctional Congress work without focusing enough on laying out an agenda that sets up a clear contrast with Democrats.

Kansas GOP Rep. Tim Huelskamp, a frequent Boehner critic from the right, told CNN that the midterm elections were a mandate for change and "change wasn't compromise with the president."

He said "what won the election in 2014 was bold conservative principles and solutions."

Social conservatives

Huelskamp said he agrees with Boehner's pledge to again pass a series of GOP economic measures next year that the Democratic-led Senate ignored. But he insisted that the GOP base also wants to see a Republican Congress take measures backed by social conservatives, and he cited "traditional marriage and pro-life bills."

Boehner and McConnell, meanwhile, have largely stayed away from talking about social issues.

"If they define success as passing bills that the president signs, that is setting themselves up for failure over the next year," said Dan Holler, spokesman for Heritage Action, a conservative group that has clashed with Boehner in the past.

Holler said the list of economic items that the two Republican leaders listed in their op-ed published in the Wall Street Journal last week was on target, but viewed by conservatives as just "a good start."

The expanded GOP majority will give the Speaker a bit of a cushion so he can push back against the band of House conservatives who thwarted his legislative strategy and pushed the House to shut down the government last fall.

Over the last four years, the Speaker has reminded his own members who wanted bolder action that he faced limits on what he could do because he only controlled "one half of one third of the government."

"Most of us were tired of hearing 'this is all Harry Reid will agree to' - that's so 2014," Huelskamp said, referring to the current Senate majority leader.

Opposing Boehner

Other Boehner critics already plan to vote against him serving another term. A small group of GOP candidates who were elected last Tuesday night campaigned on the pledge they would oppose Boehner remaining Speaker. But the movement isn't big enough or sufficiently organized to cause any serious trouble.

There is an effort, backed by Boehner allies, to get those who oppose him to do so behind closed doors on Thursday. This would avoid the embarrassment he endured in 2013 when live C-Span cameras showed a dozen House Republicans voting for someone else or skipping the vote on the House floor when Boehner began his second term.

Huelskamp is one of those who publicly opposed Boehner two years ago. Boehner stripped him of his seat on the Budget committee after a series of splits with GOP leaders in 2012. Huelskamp told CNN "the Speaker and I have our disagreements" but that he planned to vote for him this time. He said he spoke with the Speaker recently, but declined to describe the "private discussion."

The problem for those in the anti-Boehner crowd is they don't have an alternative candidate. Texas Republican Rep. Jeb Hensarling, who is popular among many conservatives and considered a leadership bid, decided he wanted to remain in his current post as the chairman of the powerful House Financial Services Committee.

It is true that some of the new House Republicans are just as conservative -- if not more so -- than the members they replaced. But several House Republicans and leadership aides all say that numerically "it's a wash" in terms of how big of a group of rabble rousers Boehner can expect to deal with in the next Congress.

Many of those in the right wing of the GOP conference who split with Boehner were fueled by support and encouragement from outside groups. But these groups lost a lot of their clout and credibility after the spending confrontation they demanded led to the shutdown, which Boehner warned would damage the GOP's message

After the surprise defeat of Boehner's former number two - Eric Cantor - who many viewed as his only possible successor, Boehner has worked to solidify his power.

Boehner spent most of the summer and fall months traversing the country campaigning for Republican candidates and collecting political chits. He visited 175 cities and remained the top House GOP fundraiser - - bringing in a whopping $102 million for GOP candidates from his various political committees.

'Strong position to persuade'

Boehner is "in a strong position to persuade," Oklahoma GOP Rep. Tom Cole told CNN.

As a 24 year veteran of the House who once served as the Chair of the House Education Committee, Boehner is an institutionalist. He and McConnell are both masters of the behind the scenes legislative maneuvering that is little noticed by the public, but can lead to important deals.

It's still unclear how willing Boehner will be to give any major concessions and work with the president and Democrats to pass items like new infrastructure programs and new trade authority.

There's a sense that corralling what can sometimes be a rambunctious House GOP conference is a job that no one else besides Boehner is prepared to take on at this point -- or even wants.

When Republicans gather this week, Boehner is likely to walk a fine line between telling his members what they want to hear about pushing conservative legislation next year, while starting to set some expectations. Those who have split with the Speaker say their disagreements have never been personal, and he's earned genuine respect. Many enjoy it when he leads the infamous "Boehner birthday song," a fun, very short ditty members use to mark birthdays and now share on Twitter.

"Who else has a birthday song that everyone sings? He's clearly endeared and ingrained himself in a way that's quite unprecedented," Cole told CNN.

@highlight

House GOP will elect Boehner speaker on Thursday

@highlight

Boehner isn't facing a leadership challenge

@highlight

Conservatives worry about Boehner's priorities