(CNN) -- Residents of a small Filipino village lined up flowers. Firefighters in Sydney, Australia, climbed stairs to the top of a skyscraper and shed tears. In Madrid, Spain, a crowd of several hundred gathered to plant trees and hold a moment of silence.

Around the world on Sunday, people remembered 9/11, marking in their own ways the 10th anniversary of the terrorist attacks that brought much of the world to a standstill.

Jose Luis San Pio, who lost his daughter in the attacks, said the pain gets worse with each anniversary. "But Sylvia is always in my memory," he said, during a ceremony at a Madrid park where 10 American Oak trees were planted.

Sylvia San Pio Resta, 26, was the only Spaniard to die in the attacks. She was pregnant and worked in the Twin Towers, as did her American husband, John Resta, who also died. They were both financial traders.

"We are here to remember those who died on that day but also to celebrate their memory," said U.S. Ambassador to Spain Alan Solomont.

The crowd observed a moment of silence for the 9/11 victims.

In Sydney -- 10,000 miles from New York, where the World Trade Center towers were leveled in the attacks -- firefighters held their own moment of silence for their lost brethren.

They climbed 80 flights of stairs to the top of Sydney Tower, the city's tallest building, in a testament to the firefighters in New York who rushed into the burning towers.

"This is the least we could do just to say thank you," said one.

"So many of them didn't go home that day," said another.

CNN affiliate 9 News reported on a moment of silence the firefighters held at the top -- and showed one young firefighter weeping.

Later, at an interfaith memorial service in Sydney's St. Mary's Cathedral, Cardinal George Pell, Sydney's archbishop, said, "While belonging to different religious traditions, we're united in our opposition to terrorism."

In some parts of the world, people found quiet ways to mark the solemn occasion and pay their respects.

Residents of the Gawad Kalinga village in Baseco Compound in Manila, Philippines, brought flowers to a marker in memory of Marie Rose Abad, who was killed in the attacks. Her husband Rudy, a Filipino-American, had donated funds for the construction of 48 homes in their village as a tribute to their 26 years of marriage, CNN affiliate ABS-CBN reported Sunday.

In front of the U.S. Embassy in London's Grosvenor Square, dignitaries joined loved ones of 67 Britons who died in the attacks -- the most from any country outside the United States.

The memorial stands at the far end of a quiet park directly across from the embassy. There, visitors can find the names of the victims: a set of wooden pillars also stands, carved with the words "Grief is the price we pay for love."

"Although that dreadful act of violence was meant to divide us, it has actually drawn us together, one person to another, one community to another" Prince Charles told an audience including Prime Minister David Cameron.

"On this anniversary we are drawn to you in our thoughts and in our prayers, knowing that we cannot change the past, but that through struggling to find a light that can lighten our darkness, we may ultimately bring the healing the world so desperately needs."

Family members stepped up to read the names of their lost loved ones, then placed long-stem white roses attached to small black-and-white photos of the victims on a 9/11 memorial garden.

Police kept two competing protests away from the ceremony -- and each other. Radical Islamic group Muslims Against Crusades, chanted "USA you will pay!" while the far-right, anti-Islamic organization English Defence League turned up to counter that demonstration.

In Ancona, Italy, Pope Benedict XVI offered a prayer in memory of the victims.

Saying he was thinking of those who lost their lives and the victims' families, the pontiff said, "I invite the leaders of nations and men of good will to reject violence always as a solution to problems, to resist the temptation to hate and to work within society based on the principles of solidarity, justice and peace."

Paris held a moving ceremony at the Place du Trocadero, also known as Human Rights Plaza. Two replica towers about 80 feet tall, representing the World Trade Center, were erected, covered with large canvasses displaying the names of the victims of each tower.

About 200 people gathered for the ceremony, despite the windy, rainy weather. A French mother, who brought her 2-year-old daughter, said she felt the need to be there to support the United States. She recalled the front page of the French newspaper Le Monde at the time of the attacks, which carried the headline, "We are all Americans."

The event ended with the flight of 40 doves released by children.

Among those commemorating 9/11 on Sunday were U.S. troops stationed overseas, including in Iraq and Afghanistan.

Members of Joint Base Balad, Iraq, took part in a 24-hour flag run/walk vigil combined with a remembrance ceremony, the U.S. military said.

"I'm from New York, so I remember 9/11 like yesterday, I responded to the towers, so New York City is embedded in me," said Master Sgt. George Pardee, 332nd Expeditionary Logistics Readiness Squadron Vehicle Maintenance flight.

At U.S. bases in Afghanistan, where soldiers are fighting a war triggered by the 9/11 attacks, soldiers took part in ceremonies to reflect as well.

"Don't forget what happened on that day, and remember the reason why we fight," said Air Force Master Sgt. Alex Kruhlinski, a radio frequency transmission systems specialist in Kapisa Province.

In countries all over the world, many people stopped what they were doing Sunday to watch the 9/11 memorials on TV -- and to share memories on social media.

David Bennett was in Amsterdam, the Netherlands, watching the ceremonies on CNN with friends. He told CNN via Facebook that he was "thinking about the loss and where I was when I first heard about what was happening that morning."

"Being a Muslim convert, one who chooses to wear the headscarf, even here in rural Ontario, Canada, I'm choosing to stay home today and reflect on this day and how the world changed," Alice Paisley-Ellis told CNN via Facebook. She also said there are people who "believe all Muslims were responsible for this, and I choose not to put myself in their path today."

Jacob Meitus said he was in Israel, taking part in a moment of silence. "We are thinking of American brothers-in-arms and all those who lost love ones. Long live freedom!"

Petra Nelson, a former New Yorker, was in Sweden, thinking of the Big Apple. "I've never been back to NYC since 9/11," she told CNN, "and I miss it every day."

CNN's Atika Shubert, Al Goodman, Hada Messia, and Niki Cook contributed to this report

@highlight

Remember "why we fight," a member of the U.S. Air Force in Afghanistan says

@highlight

The pope prays for victims and calls on world leaders to reject violence

@highlight

Firefighters hold a moment of silence at the top of Sydney Tower

@highlight

Residents of a Filipino village bring flowers in memory of a 9/11 victim