(CNN) -- San Sebastian has what you could call food form.

Three restaurants in the town of 200,000 on Spain's northeastern Atlantic coast hold the gastronomic holy grail of three Michelin stars -- only Kyoto has more Michelin-starred eateries per square meter.

It's already pretty obvious why global gourmets frequently place it atop their must-eat list.

And then you add the pintxos.

Pintxos, or spikes in the Basque language that's proudly heard throughout the region, are tapas taken to a whole new level.

No sweaty chorizo or clammy calamari on cocktail sticks here.

San Sebastian's pintxos bars are culinary tours de force in their own right, delivering dishes that wouldn't look out of place in their Michelin-starred neighbors.

The only challenge facing visitors to this gastronomic wonderland is not what, but where, to eat.

I took the route of long, slow restaurant lunches, followed by late night hopping between the pintxos bars.

Foie gras ice cream

My food quest kicked off with lunch at the venerable institution, Arzak.

It's here that 71-year-old Juan-Mari Arzak has held a Michelin star for 40 years and three stars for a quarter of a century.

Twenty-five years at the absolute pinnacle of any profession is remarkable, but in the uber-competitive world of fine dining, it's unprecedented.

Arzak the restaurant is the story of the Arzak family.

Juan-Mari's grandparents built the property as a wine cellar and tavern in 1897, while he started working there in 1966.

The unassuming exterior on a suburban street leads into a modernist dining room where the same menu is served at lunch and in the evening.

Calling it a meal, however, doesn't really do it justice.

It's a culinary joyride of beauty, complexity and even wit.

Foie gras is served as an ice cream, featuring caramelized onions and green tea, in an inverted yucca cone dusted with shellfish powder.

Fine dining laboratory

A deceptively simple but sublime dish features cubes of potato, egg yolk and white truffle.

For an overload of smells, tastes, sights and sounds, grilled lobster with charcoal-roasted zucchini is served on a translucent plate above an iPad playing a video of waves crashing in to shore.

Seriously.

Arzak's post-dessert petits fours feature a candy shop and workshop mash-up called Ferreteria Arzak, or Arzak Ironmongers, with silver sugar keys, cola bottle tops, chocolate nuts and screws.

As would be expected from one of the world's top restaurants, the wine cellar features terrifyingly rare and expensive vintages.

A back-of-house look reveals a laboratory where new dishes are created and a room featuring 1,500 different spices.

World's most popular tortillas?

The Arzak family have defined and owned Michelin-starred cuisine in San Sebastian and cemented the town's reputation.

Today that reputation is as much focused on pintxos bars as Michelin stars and, having gradually recovered from an epic lunch, it's time to consider evening options.

While it's possible to be led by your eyes into one of scores of pintxos bars, a small group tour is an excellent introduction and allows you to get to know some of the very best dishes and venues.

Englishman Jon Warren ditched a career in finance to follow his passion, setting up San Sebastian Food to offer tours of the bars, local producers and vineyards that give the Basque region such an enviable reputation.

He explains that the pintxos bars "are the cool, young siblings to the Michelin stars and offer ultimate flexibility; informal dining, bite-sized portions, low prices and the chance to switch at the turn of a heel from traditional to modern cuisine."

An evening tour led by a donostiarra (a San Sebastian local) takes visitors from one to the next for small bites and pours of local ciders and wines, especially txakoli, a slightly sparkling young white wine.

Countless bars, some traditional, others more cutting edge in cuisine and atmosphere, try to outdo one another with heaving displays or specialties.

Bar Nestor serves a famous tortilla, but only in limited numbers, at 1 p.m. and 8 p.m. precisely. Turn up 15 minutes late and prepare to leave disappointed.

Legendary anchovies

The rare delicacy of percebes or goose barnacles at Goiz Barci are less punctual, but worth spending time on.

The boquerones (fresh anchovies) at Txepetxa are legendary.

Warren nails pintxos culture when he says it's all about the social context.

"Lining the streets of the old town, everyone is there to have fun, between the barmen, the locals and visitors, creating a lively camaraderie filled with wine, food and chattering."

As if the culinary gods hadn't blessed San Sebastian enough with Michelin stars and pintxos bars, there are also scores of artisanal producers dotted throughout the historic town.

The central food market is a treasure trove of local produce, in particular the rightly famous jamon iberico de bellota (ham from acorn-fed pigs).

In those brief pauses between eating some of the world's greatest food, it's worth taking a walk on the beautiful beaches or promenade, drinking in the sea air and stunning vistas and dreaming of being a donostiarra.

Arzak, Avda. Alcalde ElÃ³segui, 273, Donostia, San Sebastian, Spain; +34 943 278 465

San Sebastian Food, Hotel Maria Cristina, Republica Argentina Kalea, 4; +34 943 42 11 43

@highlight

Visiting Arzak restaurant is one of the highlights of a San Sebastian culinary tour

@highlight

Arzak is run by 71-year-old Juan Mari Arzak, who has had a Michelin star for 40 years, and his daughter

@highlight

Bar Nestor sells a tortilla so popular it's usually sold out within 15 minutes