Washington (CNN) -- American voters under 40 share a simple reality -- for most of their lives, a Bush or Clinton has been President.

The 20-year streak began with Republican George H.W. Bush's inauguration in January 1989 and ran through two terms for Democrat Bill Clinton and then two for Bush's son, George W., until Barack Obama took office in January 2009.

Now the latest polling indicates the next presidential election in 2016 may again offer familiar choices.

A CNN/ORC International survey released Monday showed Hillary Clinton -- the former first lady, U.S. senator and secretary of state -- way ahead of any other potential Democratic challenger, with Jeb Bush -- the former two-term Florida governor who is son of one president and brother of another -- among the top Republicans.

No one can say for sure if either will even run, and anything can happen in the more than two years before either would actually get nominated.

Poll: If not Clinton, then what kind of Democrat?

But if such a race happens, it would mean that at the end of the winner's first term in 2020, either a Clinton or a Bush would have occupied the Oval Office for 24 of the previous 32 years.

Even Barbara Bush, Jeb's mom, thinks that's too much. She told C-SPAN last month that "if we can't find more than two or three families to run for high office, that's silly."

Family spokesman: Barbara wasn't telling Jeb not to run

Both candidates boast strong pedigrees due to their names and experience. The question is whether their political lineage will be a boon or a burden two years from now.

The early thinking is that Clinton's historic goal to be the first woman President better immunizes her from what analysts call possible name fatigue among voters.

"It is a good bet that women would propel Hillary forward, while Jeb Bush would be left behind," said Wendy Schiller, a political scientist at Brown University. "Both Clinton and Bush would be saddled with last names that incite mixed emotions among current voters, but she has a natural demographic constituency that he lacks."

In particular, "women vote in greater numbers than men and there is an 11% gender gap in favor of Democrats, which means that even Clinton fatigue can be overcome in a presidential election," Schiller added.

Hillary Clinton's understudy waits in the wings

A Jeb Bush candidacy would make its own history, noted CNN Polling Director Keating Holland.

"There have been plenty of presidential candidates whose fathers also ran for President, and a few whose brothers have been candidates," Holland said. "But if Jeb Bush throws his hat in the ring, he will be the first candidate in history who fits into both categories. Does that help because the Bush 'brand name' is well known, or hurt because Jeb would be judged by the public based on things he did not do himself? Historically speaking, there is no way to tell."

Jeb Bush on 2016 decision: 'Can I do it joyfully?'

He said one difference between Hillary Clinton and Jeb Bush involves final impressions of their familial White House predecessors.

"Clinton's husband was fairly popular in his last year or so in office and that wasn't true for Bush's brother or his father," Holland said.

Incumbent George H.W. Bush got thumped by Bill Clinton in the 1992 election, due to breaking a pledge against new taxes as well as the third party candidacy of Ross Perot who got 19% of the vote to presumably siphon off GOP support. George W. Bush had an approval rating in the mid-30s when his second term ended amid two wars and a recession.

After generally refusing to acknowledge any interest in a White House run, Jeb Bush last week suddenly said he would think about it.

"I'm deferring the decision to the right time, which is later this year," he said. "And the decision will be based on can I do it joyfully, because I think we need to have candidates lift our spirits."

"Something switched in Jeb," noted CNN Chief National Correspondent John King, pointing out that instead of distancing himself from the question, Bush now offered a timetable for a decision and a thematic basis that "you have to be joyful, you have to get uplifted, you've got to be optimistic."

His shift in stance coincided with political woes facing New Jersey Gov. Chris Christie, the early Republican favorite now facing multiple investigations over suggestions officials in his administration abused their power.

Frum: GOP race for 2016 is wide open

The CNN/ORC poll showed a pack of potential GOP contenders in a statistical dead heat so early in the process, including former Arkansas Gov. Mike Huckabee, Sen. Rand Paul of Kentucky, Bush and Christie, closely trailed by Sen. Marco Rubio of Florida and Rep. Paul Ryan of Wisconsin, the GOP vice-presidential nominee in 2012. As recently as November, Christie had an 11-percentage-point lead.

CNN chief political analyst Gloria Borger said Bush likely feared name fatigue when he decided against mounting a presidential bid in 2012.

"So the question is, if you skip ahead, four more years, will there still be Bush fatigue?" Borger wondered, adding: "We just don't know."

To Schiller, a Bush campaign would bring calls by his GOP rivals for fresh blood.

"You can bet that within the Republican Party, every other remotely viable candidate, from Paul Ryan to Rand Paul to Ted Cruz and maybe still Chris Christie will adopt a campaign slogan that calls for new leadership, and a brand new last name in the White House," she said.

Ryan: 'Not closing my options' on 2016

Clinton, meanwhile, has her own political baggage that GOP strategists will attempt to exploit fully, including her husband's affair with a White House intern while in office and the September 2012 attack in Benghazi, Libya, that killed the U.S. ambassador and three other Americans on her watch as secretary of state.

Clinton spokesman says tweet was '100% humor'

Hillary tweets viral Super Bowl joke, right blitzes back

Conservatives relentlessly attack her over the lack of sufficient security in Benghazi as well as the failure to respond in time to save American lives. They also accuse the Obama administration of trying to deceive the American public by first blaming the attack on a spontaneous protest instead of a full-fledged terrorist assault.

Clinton's biggest regret at State: Benghazi

Senators: Benghazi attack 'likely preventable'

Obama faced tough grilling on the matter before Sunday's Super Bowl in a live interview with Fox News host Bill O'Reilly, with the President eventually saying that some people believe what he called the false notion of a politically inspired cover-up "because folks like you are telling them that."

According to the CNN/ORC poll, 62% of respondents approve of the job Clinton did at the State Department, down 4 percentage points from December 2012 -- a month before she stepped down as America's top diplomat.

"If the election were held in 2014, I think both Clinton and Bush would suffer from name fatigue stemming from an overall high level of dissatisfaction with government and all who have been part of it," Schiller said, citing a recent Gallup poll that found 65% of respondents dissatisfied with how well the government works.

"It is not a malaise," Schiller added, calling it "a more energetic level of discontent, and anyone viewed as establishment on the left or the right is vulnerable to it."

Bush's biggest problem may be his own mother.

"I hope he won't," Barbara Bush said in the C-SPAN interview about a possible Jeb run, reiterating the theme she sounded last year on NBC when she said: "We've had enough Bushes."

CNN's Kevin Bohn, Paul Steinhauser and Dana Davidsen contributed to this report.

@highlight

Familiar names are early possibilities for the 2016 presidential race

@highlight

Hillary Clinton is the overwhelming favorite among Democrats

@highlight

Jeb Bush is among the top GOP possibilities so far

@highlight

Neither says they are running, but both promise a decision this year