(CNN) -- As Asiana Airlines Flight 214 flew into San Francisco International Airport on Saturday, the Boeing 777's 291 passengers didn't know that the man at the controls had never landed this kind of plane at this airport before.

Could that have contributed to the crash, which resulted in the deaths of two teenage passengers?

No one knows for sure, including federal investigators who haven't ruled out pilot error in their investigation.

The plane crashed while trying to land on a runway that starts at the edge of San Francisco Bay. It lumbered in too low and too slow, investigators say, and then tried to increase speed to go around for another landing. Instead, the plane hit the runway, cracked in two, spun out of control and caught fire.

Does it matter that the pilot at the time -- aviation veteran Lee Kang-kuk -- has only 43 hours of flying time in the 777? South Korea's Asiana Airlines says Lee has flown the model nine times.

Asiana flight attendants hailed as heroes

It's "highly significant," former Department of Transportation Inspector General Mary Schiavo said Monday, particularly how he came across the water and over the seawall, she said. If the pilot was going to avert danger, Schiavo said, he needed to take action well before the plane reached that seawall.

Lee knew how to fly. An experienced pilot for Asiana, Lee had more than 10,000 hours in other kinds of aircraft, the airline says, although it's still unknown which types.

Lee was legally qualified to fly the plane, Schiavo said. But he was also flying during a period when he was trying to build up additional hours of 777 cockpit time to "gain comfort at the controls and experience flying the plane under certain conditions."

This new wrinkle in the mystery surrounding the crash raises questions about how pilots are trained to fly new aircraft. Training varies from country to country. In the U.S., the Federal Aviation Administration requires even the most experienced pilots to undergo rigorous training to learn how to fly different types of planes. The new development calls into question the protocol of the cockpit and whether the flight crew is encouraged to question a pilot's decisions.

Is Lee a greenhorn when it comes to flying the 777?

Shock and survival: Crash through the eyes of children

Pilots will tell you that 43 hours of real-world experience flying a new type of aircraft is not a lot. Someone with that amount of time is still "new to the airplane," said Mark Weiss, an aviation consultant and 20-year airline pilot. The widely accepted threshold for an experienced pilot in any aircraft is generally about 100 hours.

Pilots generally learn how to fly new aircraft by undergoing many weeks of training at ground school classes and on plane simulators and, finally, by being shadowed by a "check airman." The check airman determines whether the trainee passes or will go back for more training. Among the four pilots aboard Flight 214 was a "check pilot," U.S. investigators said, who was monitoring Lee.

Weiss flew 777s hundreds of times. Before that, he captained 727s, 737s and DC-10s. He knows what it's like to be a veteran pilot who is learning how to fly a new kind of airliner.

"Typically in your career, you're going to be changing airplanes all the time," he said. "This is a typical and normal transition."

The 777 is a pilot's aircraft, Weiss said. It's relatively easy to fly, especially if you're experienced with other airliners.

Does Boeing experience matter when it comes to flying a different model? It doesn't make it easier or harder, according to Weiss, but prior routines may influence piloting decisions.

The Asiana pilot "may have been thinking, 'the last airplane I flew, I know I could get it down from here.' " Perhaps the 777 "had characteristics different from the plane he flew before," Weiss said. "Those are things the (National Transportation Safety Board) will look at."

Did Asiana passengers ignore safety messages?

In addition to the 777, Weiss knows San Francisco's airport, having landed at the crash site -- Runway 28 Left -- hundreds of times during his long airline career. For Weiss and other pilots familiar with that runway, the bottom line is: There's nothing problematic about it. "Sometimes, the wind might be a little tricky," Weiss said, but that's about it.

It's routine for pilots with fewer than 100 hours of flight time on an aircraft to land at Runway 28 Left, Weiss said. A pilot's general target zone is within the first third of the runway.

Lee had flown into the airport before, according to Asiana, but this was his first time landing a 777 at SFO.

Airline pilots who've been following the story also want to know what happened in the cockpit. Did anyone other than the pilot notice that the plane was coming in too low and slow? Did they alert the pilot that he needed to take action? If not, why?

Interactive: What happened with Asiana Flight 214?

This is all about the culture of the cockpit, pilots say. Airlines the U.S. and around the world have embraced the idea that officers should feel free to challenge authority if they have concerns. Decades ago, the captain's word was unquestionable, making the commander essentially God of the Cockpit. How much -- if any -- of that culture existed in the cockpit of Flight 214?

NTSB Chairwoman Deborah Hersman said it's important for the two pilots in charge of an aircraft during the "very risky" landing phase to work closely together. Investigators have no evidence of cockpit communications problems, she said, but it's something they will be looking at.

Hersman also downplayed the significance of the pilot's experience, saying it's typical for pilots to change aircraft types.

More answers may come from crew accounts. Hersman indicated Monday that her team had not completed interviews with the flight's pilots and were waiting for South Korean investigators and interpreters.

Those pilot interviews will probably form a large part of the evidence investigators use to determine what really happened in those crucial seconds before the tragic crash landing of Flight 214.

How does an air crash investigation work?

@highlight

Veteran at controls of Flight 214 had flown that type of plane only nine times before, airline says

@highlight

777 veteran pilot says learning how to fly different airliners is not a big deal

@highlight

Ex-DOT official: It's "Highly significant" that pilot had never flown 777 into San Francisco

@highlight

Federal crash investigators haven't ruled out anything, including pilot error