Washington (CNN)It's the new GOP civil war.

Republican presidential hopefuls -- all too aware of the party's disconnect with the middle class -- are in a fierce competition among each other to prove they're the candidate who can give voice to the struggles of Americans left behind by the uneven economic recovery.

The potential 2016 candidates are working to prove that Democrats aren't the only ones sensitive to the nation's growing economic inequality. The GOP is also trying to move past serious stumbles -- such as Mitt Romney's infamous 47% comment -- that created an impression among some middle class voters that the party is out of touch.

The effort was on full display Wednesday when Jeb Bush went to Detroit, one of America's most economically distressed cities, to bemoan the challenges faced by the middle class.

"The recovery has been everywhere but in the family paychecks," Bush said. "The opportunity gap is the defining issue of our time."

Bush has plenty of competition from fellow Republicans seizing on the economy as they eye the White House. Marco Rubio has devoted a book to the issue. Ted Cruz recently sounded more like a Democratic populist than a GOP firebrand when he lamented the share of income earned by the top 1%. Scott Walker often stresses his humble origins while Rand Paul boasts of shopping at Walmart.

Of course, there are plenty of political upsides to the GOP refining its economic messaging. The appeal to the middle class could blunt similar Democratic talking points and create a contrast to criticisms of Hillary Clinton's more refined lifestyle.

David Winston, the pollster who helped coin the "where are the jobs" mantra for House Republicans in 2010, says the GOP message in 2016 should be just as simple: "Where is the middle class?"

But the strategy could be tough to pull off when headline economic numbers are improving. The unemployment rate is 5.6% -- a level not seen since the precrisis summer of 2008 -- and consumer confidence has bounced back.

"The economy finally feels to be in what we call a self sustaining economic expansion," said Stuart Hoffman, chief economist at PNC. "We've reached this inflection point."

That will force the GOP to articulate a more nuanced critique of the economy during the Obama years. There is plenty of data to help them.

Median net worth of upper-income families was around $640,000 in 2013, close to seven times the $96,500 figure for middle-income families. This was the highest gap in 30 years, according to the Pew Research Center's analysis of Federal Reserve data released in December.

Potential Republican candidates are honing in on prevailing weak spots in the economy, including stubbornly low wages that are not catching up with the rising cost of living and weak labor force participation. They say it's too soon for Obama and Democrats to trumpet the recovery.

"We are creating a lot more jobs now, but we're not generating any income; we're not attracting people back into the labor force," said Douglas Holtz-Eakin, president of the American Action Forum and economic adviser to John McCain in 2008. "That's short of complete victory."

Still, the GOP focus on the economy could backfire if the party looks like it's nitpicking in a search of problems or overlooking legitimate improvements.

Joseph LaVorgna, chief U.S. economist at Deutsche Bank, predicted that the unemployment rate would be below 5% by the end of this year and approach 4% in 2016. That would significantly undercut a key GOP talking point that Obama hasn't created jobs."I'm not sure how powerful those arguments will be," LaVorgna said. "It's much easier to make those arguments when the unemployment's up at 8% as it was for much of 2012."That's what Democrats are banking on.

"It takes away a lot of the talking points of the Republicans -- that the sky is falling ... economically," said Bill Daley, Obama's former chief of staff. "And (Democrats) are not on the defensive as much as they would have been a year, a year-and-a-half, two years ago."

GOP candidates will have to prove they are doing more than stealing Democratic messaging.

And then there is the long term. Despite intense debate, neither party has come up with answers to generational economic questions, which go far deeper than the 2008 recession.

The United States, like many other developed nations, is locked in a period of structural economic change. Millions of manufacturing and clerical jobs have been outsourced. Technology has made some trades obsolete. And jobs that are being created often pay less and carry fewer benefits than those of the past.

But Republicans see an opportunity.

There are signs of trouble for Democrats among blue collar workers that the GOP could jump on to improve its hopes of winning swing states. In 2008, for example, 58% of white, noncollege graduates voted Republican and 40% went Democratic. In November's midterm elections, 64% of the same demographic voted GOP and 34% chose Democrats.

Improving its standing among those who are slightly better off could also help the GOP in battlegrounds such as Virginia, Florida and Colorado. And some Republicans believe a more inclusive economic argument could help repair ties with the Hispanic community.

Progressive commentators say they are glad Republicans are talking about income inequality but doubt their sincerity.

David Madland of the Center for American Progress said the GOP might not be denigrating those struggling in today's economy, but their policies still are a case of "slapping lipstick on a pig."

"There is a radical shift," he said. "To acknowledge a problem is a huge first step. (But) the real opportunity lies with the public in making demands that will force the politicians to listen."

Other analysts argue that while Republicans are talking about helping the middle class, they are blocking attempts by the President to pass laws that would do just that -- for instance, on raising the minimum wage, creating jobs through infrastructure investment and hiking taxes on the rich to pay for middle class tax breaks.

"One thing that you have to watch for is people just tacking the words poverty and inequality onto a pre-existing agenda that has very little to do with addressing those problems," said Jared Bernstein, a former top chief economics adviser to Vice President Joe Biden. "For the most part, I hear lots of the same trickle-down economics that helped to get us into this mess in the first place."

@highlight

Republicans knew after 2012 they had a problem with the middle class

@highlight

Presidential hopefuls are vying to talk about opportunity gap and poverty

@highlight

Democrats see a change of rhetoric, not change of policy