(CNN) -- An estimated one percent of adults have active epilepsy, and many of them are getting insufficient treatment, according to a 19-state survey released Thursday.

"This is the first time that we actually have data from multiple states," said Rosemarie Kobau, lead author of the Centers for Disease Control and Prevention study, in a telephone interview. "What we learned is that, among adults with active epilepsy, more than a third of them reported not seeing a specialist for their epilepsy, and that's really unacceptable."

A follow-up survey is planned to determine why so many people with seizure disorders said they had not seen a specialist in the past year, Kobau said.

"This is a highly specialized field," said Eric Hargis, the president and CEO of the Epilepsy Foundation, which collaborated with the authors of the study. "It's not possible to get state-of-the-art care" for the disorder from primary care doctors.

One in six (16.1 percent) adults with active epilepsy with recent seizures said they were not taking their medication and two-thirds (65.1 percent) said they had had more than one seizure during the prior month.

More than a fifth (20.4 percent) said cost was a barrier to seeking care from their doctor.

Access to high-quality care is key to quality of life, Kobau said. People with recurrent seizures face substantial impairments in their daily activities; many are not allowed to drive and, as a result, depend on public transportation. In some areas, particularly rural ones, that can present a barrier to full participation in life, she said.

That's not all. In addition to carrying stigma, people with epilepsy were more likely to live in households with the lowest annual incomes and to report being unemployed and unable to work.

According to the 2005 findings, 1.65 percent of the population said they had been told by a doctor that they had epilepsy or a seizure disorder, the report said. Half of that group (0.84 percent) said they had active epilepsy -- defined as having had one or more seizures during the prior three months or currently taking medication.

If the findings translate to the general population, that means a stadium filled with 60,000 people would contain 480 people with active epilepsy, Kobau noted, adding, "Epilepsy is not rare."

But that view was disputed by Dr. James King, a family physician in Selmer, Tennessee, and president of the American Association of Family Physicians.

"There are patients that can be managed fairly simply with seizure disorder," he said in a telephone interview. "In my own personal practice, I'd say that I can manage at least half, if not more, of the patients that have seizure disorder."

Many of the others are able to get by with just a one-time visit to a neurologist, said King, whose practice is 50 miles from the nearest neurologist, and 100 miles from the nearest neurologist who accepts Medicaid, the government program for the poor.

"There's only a handful of patients that are managed in my area by the neurologist." He said financial barriers -- from insurance to the cost of anti-seizure medication -- are a bigger problem.

"If you can't afford to buy it -- which is what I run into with a lot of the seizure medicine -- it doesn't really matter" if patients see a neurologist or a family physician, he said.

Many patients, forced to choose between paying their light bill or taking their anti-seizure medication, choose the former, King said.

Epilepsy is a condition in which the normal activity of the brain malfunctions, causing recurrent seizures -- electrical storms in the brain -- that can be characterized by a range of symptoms, including sudden change in awareness, movement or sensation.

Each year, about 200,000 people in the United States are diagnosed with the disease, as was Supreme Court Chief Justice John Roberts after he suffered a seizure last year at his Maine vacation home.

"Many people with epilepsy do lead normal, productive lives despite the hardship of having this disorder," Kobau said.

The study, conducted by the federal government and published in the CDC's Morbidity and Mortality Weekly Report, estimates that 2.7 million people in the United States have epilepsy, and that it costs some $15.5 billion in medical care and lost or reduced earnings or productivity each year.

Hargis said the incidence of the disorder is expected to climb among veterans returning from Iraq or Afghanistan, where head injuries are common. "When you have a head injury, it's common for epilepsy to develop after a gestational period -- it could be a couple of months or it could be years," he said.

And the aging population is also expected to boost the incidence of epilepsy. Conditions of aging, such as stroke and Alzheimer's Disease, are also associated with a higher incidence of epilepsy.

The study was based on data from more than 120,000 adults in the Behavioral Risk Factor Surveillance System.

@highlight

One in six adults with epilepsy who had recent seizures were not on medication

@highlight

Epilepsy is a condition in which the normal activity of the brain malfunctions

@highlight

Study says about 200,000 people in the U.S. are diagnosed with the disease