The Ebola news keeps pouring in.

Two nurses who treated the first person diagnosed with Ebola in the United States are in isolation.

A nursing assistant in Spain who contracted the disease has been declared free of the virus.

Health officials have cleared many of the people who came in contact with Texas patient Thomas Eric Duncan after monitoring their temperatures for 21 days.

As these facts and more are revealed, here's what you need to know about the deadly virus and what's being done to stop its spread:

What are the symptoms of Ebola?

Symptoms include fever, severe headache, muscle pain, weakness, diarrhea, vomiting, internal bleeding and stomach pain. The Centers for Disease Control and Prevention says the average time it takes for symptoms to appear after infection is eight to 10 days.

With all these cases in the U.S., should I be worried?

Ebola is difficult to catch. You would only be at risk if you came into close contact with the blood, saliva, sweat, feces, semen, vomit or soiled clothing of an Ebola patient, or if you had traveled to the impacted areas in West Africa and came into contact with someone who had Ebola.

For example, as of midnight Sunday, 43 of the 48 people who had contact with Duncan while he was symptomatic were cleared by health officials; they no longer have to endure twice-daily temperature checks after reaching the 21-day incubation mark. Officials said the others on the list will be cleared shortly if no symptoms appear.

Why 21 days?

The CDC says it can take up to 21 days for symptoms of Ebola to appear, so someone can be infected with the virus and not yet know that he or she is sick. Health officials monitor potential patients for that long before declaring them safe. A blood test can only be positive for Ebola once symptoms appear.

There is some controversy over this number. Charles Haas, who published a study last week on the topic, looked at past outbreaks and found there was a 12% chance of people becoming symptomatic after the official 21-day period.

"I think (the incubation period) probably should be longer," Haas told CNN. "There needs to be more of a dialogue between the scientific and medical community and the policymakers on deciding what that appropriate level should be."

So what is the 42-day period I keep hearing about?

The World Health Organization declares countries free of Ebola transmission after 42 days. When a country believes it has an outbreak under control, it must show there are no new cases during that 42-day period.

Basically, WHO doubles the 21-day incubation period of the virus to ensure no new infections are happening.

Have any countries in West Africa stopped the Ebola virus?

Yes. WHO has declared both Senegal, which had one case, and Nigeria, 19 confirmed cases and one probable, free of Ebola virus transmission.

Unfortunately, the number of cases in Guinea, Liberia and Sierra Leone is still growing. The current outbreak is considered the largest in world history -- with more than 9,100 cases and 4,500 deaths due to Ebola.

Are U.S. airports screening for Ebola patients?

Out of an abundance of caution, five of America's biggest and busiest airports are going to do special screenings -- including taking the temperature of anyone who has come from an Ebola-affected country -- to keep the disease from spreading further in the United States.

The CDC is going to monitor travelers for any sign of illness and will ask a series of questions about their exposure to Ebola patients. Travelers with symptoms will be isolated and those who are symptom-free will get information about how to watch for possible signs of the virus. Authorities at the UK's Heathrow and Gatwick airports, as well as Eurostar railway terminals, also will begin screening passengers arriving from Ebola-affected Liberia, Sierra Leone and Guinea.

How did this outbreak start?

It probably started with a 2-year old patient in a village in Guinea.  The toddler died December 6, 2013, according to a report published in The New England Journal of Medicine. Scientists don't know how the toddler got it, but the virus can spread from animals to humans through infected bodily fluids. It has been spread through infected chimps, gorillas, monkeys, fruit bats, porcupines and forest antelope, according to WHO.

Is that why Spanish officials euthanized an Ebola patient's dog?

Health officials in Madrid were concerned that the dog, Excalibur, might carry the virus because its owner -- a nurse's aide who treated an Ebola patient in Spain -- was diagnosed with the disease.  Despite a "Save Excalibur" petition campaign, which was signed by about 400,000 people, the dog was put to sleep.

Yet in Dallas, Nina Pham's Cavalier King Charles Spaniel, Bentley, was simply put in quarantine, so there are alternatives to euthanization.

Should I worry about my own dog?

Studies on a dog-to-human transmission of the virus are not conclusive. In the 2001-2002 outbreak in Gabon, scientists found signs of the virus in 25% of the dogs living near the outbreak. The animals were not symptomatic, nor did they die during the time the scientists were studying them.

"The only conclusion that may be safely drawn from this study is that the animals encountered Ebola virus (and their immune systems responded)," Margaret H. Gilbert, a clinical veterinarian and assistant professor of medicine at Tulane National Primate Research Center, wrote in an email to CNN. "Whether or not dogs shed Ebola once their immune systems encounter it remains to be seen."

"Asymptomatically infected dogs could be a potential source of human Ebola outbreaks," scientists who studied the 2001 outbreak wrote.

The CDC is working with the American Veterinary Medical Association and the U.S. Department of Agriculture to develop guidance for the U.S. pet population, but the CDC says the likelihood that U.S. pets will pass Ebola on to Americans is slim.

What if I have a cat?

The Ebola virus has been found in other animals, but to date there have been no documented infections in cats.

Is there a cure?

Not yet, but scientists are scrambling to find one. A drug called ZMapp was given to two Americans who contracted the disease in Liberia and were brought to Emory University in Atlanta for treatment in August. They recovered fully, and the medication seemed to play a role in that recovery, but there are no more doses of that drug. The U.S. Defense Threat Reduction Agency has provided funding to Mapp Biopharmaceutical so it can conduct more early-stage clinical trials on the drug right now.

A drug called TKM-Ebola was used on another American patient who was treated in Nebraska, Dr. Richard Sacra. That  drug, manufactured by Tekmira Pharmaceuticals, showed some promise, and the Food and Drug Administration gave it a fast-track designation to speed up the testing process.  The biopharmaceutical company Chimerix got approval for the emergency use of its drug, Brincidofovir, for Duncan in Texas. He did not get the experimental medicine immediately.

The National Institutes of Health also started human testing on a vaccine in September, and another vaccine developed by the Public Health Agency of Canada -- licensed to Iowa-based NewLink Genetics -- is about to start clinical trials.

Complete Ebola coverage

How many more people will get sick?

The CDC predicts as many as 550,000 to 1.4 million people could be infected with Ebola by January.  That calculation was based on figures from September, before the United States sent additional help to West Africa. The CDC estimates that if 70% of the people with Ebola are cared for properly, the epidemic could decrease and eventually end.

@highlight

Two nurses who treated Thomas Eric Duncan are in isolation

@highlight

A nursing assistant in Spain has been declared free of the virus

@highlight

Health officials have cleared some of Duncan's contacts