London (CNN) -- Documents chronicling the life of South Africa's first black president Nelson Mandela are now freely available to his fans around the world, thanks to a new online digital archive.

The Nelson Mandela Digital Archive Project contains nearly 2000 mementos from of the life of the 93-year-old, casting an intimate light on the life of the anti-apartheid leader.

Documents include the earliest-known photograph of Mandela, taken in 1938 when he was 19 or 20 years old, hand-written letters and diaries written during his 27 years of imprisonment, and previously unseen drafts of the sequel to his autobiography.

The archive extends from the earliest known record of Mandela -- a Methodist church membership card issued in 1929 -- to handwritten notes taken during the talks to end apartheid, and beyond.

The project is a collaboration between internet giant Google, and the Nelson Mandela Centre of Memory in South Africa, where the originals are held.

Google gave a $1.25m grant to help preserve and digitize thousands of archival documents held in the Johannesburg-based center -- including never-before-seen items donated by the former president himself -- so that they could reach a broader audience online.

The concept behind the project is that spreading Mandela's life story will help promote a message of social justice through the world.

"It is invigorating to see our combined efforts become a reality," said Verne Harris, head of the Nelson Mandela Center of Memory. "This digital initiative will make it possible for us to reach the full spectrum of our stakeholders, from the global elite to systemically disadvantaged South Africans."

The archive includes handwritten letters from his cell to his children, Zeni and Zindzi, after their mother, Winnie, had been arrested by the apartheid regime's police.

"My Darlings," begins the letter, dated June 23, 1969. "Once again our beloved Mummy has been arrested and now she and Daddy are away in jail. My heart bleeds as I think of her sitting in some police cell far away from home, perhaps alone and without anybody to talk to, and with nothing to read. Twenty four hours of the day longing for her little ones."

The project was the work of the Google Cultural Institute, which seeks to unlock the world's cultural and historical heritage by promoting and preserving culture online.

Steve Crossan, the institute's director, said the archive showed "how the internet can help preserve historical heritage and make it available to the world. We've worked closely with the (center) to create an interactive online experience with powerful search and browsing tools, so that users can explore Mr Mandela's inspiring life story."

A similar grant of the same size has also been made to the Desmond Tutu Peace Center in Cape Town, for the documentation and digitisation of the South African Archbishop and anti-apartheid activist's archive.

Other Google Cultural Institute projects have included showcasing the Dead Sea Scrolls, presenting thousands of works of art online through the Art Project, and the digitization of the Yad Vashem Holocaust materials.

Speaking at the launch, South Africa's Minister of Science and Technology Naledi Pandor described Mandela as "the most famous ex-political prisoner of all time" and praised him for making "his own intellectual property available to all."

"He is an inspiration to us all. His qualities as a person inspire us. And they inspire our children," she said. "It is a pioneering step to digitize Mr Mandela's own records and to post them online."

@highlight

A new online archive features nearly 2000 documents from Mandela's life

@highlight

It includes the earliest known photograph of the anti-apartheid leader

@highlight

The goal of the project is to promote social justice through spreading awareness of his story