Editor's note: Raquel Cepeda is an award-winning journalist, documentary filmmaker and former editor of Russell Simmons' Oneworld magazine. Cepeda wrote and directed the feature documentary, "Bling: A Planet Rock," about hip-hop's obsession with diamonds and its effect on the decade-long conflict in Sierra Leone. Cepeda is based in New York, where she was born to Dominican parents. Find her at http://djalirancher.com/blog/.

Raquel Cepeda says people don't fit into the neat categories outlined by the U.S. Census.

NEW YORK (CNN) -- Let's all pretend to be the astrologer Walter Mercado for a moment. Say we predict that the Obama administration's master plan to engage people of Latino/Hispanic/Spanish origin proves to be effective.

Let's say that along with strategic partners Telemundo and the Census Bureau, they somehow manage to corral the millions of "Latinos" into filling out the 2010 census forms in April. Say the idea of plot-kneading the message into an already half-baked yet inexplicably popular telenovela, "Mas Sabe el Diablo," wins over the hearts and minds of "Latinos" everywhere.

But what's a Latino?

While we all may speak a version of our Spanish colonizer's language, contrary to popular belief, we're not all Mexican. Yes, the majority of Latinos in America are of Mexican descent, but we also hail from other countries around the world.

Take the ethnically ambiguous 15 percent of us who descend from the Dominican Republic, Puerto Rico and Cuba. An overwhelming majority of us aren't solely of Spanish, black or native origin: We're all of the above and then some (some of our ancestors migrated from Asian, Middle Eastern and an array of European countries).

With the 2010 census upon us, the time is now for the fastest-growing minority group in the country to define themselves for themselves and at the same time clear up the cultural confusion surrounding our identity. But how can we, given the perplexing racial categories on the census, coupled with our own complex identity issues, paint an accurate picture of who and how complex we are, not just what we are?

Take me, for example; I'm a first-generation American, the product of Dominican parents whose short-lived relationship could have rivaled that of Shakespeare's own telenovela, Romeo and Juliet. My family is made up of a rainbow coalition of racial chameleons.

Recently, I was told that my maternal grandmother's own abuela was Vietnamese; my maternal great-great-grandfather was Haitian; somewhere on my paternal side, we're supposedly Sephardic. As in many Dominican families in my New York neighborhood -- Washington Heights -- with ties to the motherland, blackness is rarely discussed.

When I traveled to Sierra Leone and Ghana, I was asked if I was Moroccan, Lebanese or Eritrean. In Paris, if I was Brazilian or Arabic. In fact, I've been singled out a couple of times when entering and leaving Brazil, and was once accused of having a fake American passport by an agent. Being mistaken for everything but a person of Dominican heritage has certainly piqued my desire to examine how I and other Latinos fit into our national and global communities.

When I learned that nearly eighty percent of Puerto Rico's 4 million colorful residents checked off the "white" racial box on the last census, I wasn't floored -- given the alternatives. Race in the Caribbean lies in the eye of the beholder. And the beholder, from centuries of colonization, has more often than not been socialized to reject their blackness despite our collective and direct relationship to slavery.

An association with a historically discriminated ethnic group like African-Americans somehow drives the idea that the American dream is out of reach. In the American media, people with darker complexions are often grossly stereotyped. And Spanish language television often depicts people with darker skin and so-called African features as shiftless, ignorant and at the bottom of the social barrel.

This sort exposure, along with other factors, will result in a Latino with dark skin to be inclined to check off "white," especially if their only other choices were "African-American" instead of, say "Black/Brown," and "Native American" rather than the more familiar "Indio/Taino."

And then there's the pesky "Hispanic/Latino/Spanish" issue.

I posed a few questions about the racial categories within the census to my Latino followers on Twitter. Off the bat, people found that lumping Spanish-speaking origins together was misleading. @TheJLV, self-described as half Dominican, wrote that there are "definitely misnomers unless you're strictly from Spain or have acknowledged Spanish ancestry."

Many used "Latino" and "Hispanic" interchangeably, unsure about the differences, but rejected Spanish altogether because not doing so would be the same as an American calling themselves "English."

Younger generations of American-born Latinos are challenging the census' categories, like 25-year-old @deevazquez, whose parents are Dominican and Puerto Rican-American: "Having Afro-Caribbean roots, I don't feel like any of those labels really represent my culture and historical background."

Others, turned off by the overgeneralizations, are opting out altogether.

If anything encouraging results in Latino census participation, aside from enhancing your state's chances of receiving a chunk of the allocated $400 billion in federal funds, it may be a growing desire within the Latino-American community to ask questions. Many responders have expressed interest in exploring their roots through genealogical DNA testing.

I've often wondered where my Dominican ancestors originally came from, as have others in my community. Said one responder, "Not only do I look at myself and feel like I look different in every picture or mirror, but I also look at my family and wonder where certain features come from," she states, "and what it all mean[s]." Many of us want to know.

Maybe in the future, the Census Bureau may want to borrow from a survey conducted by the Brazilian Institute of Geography and Statistics in 1976 and ask Latinos to classify themselves. Through self-definition, the population presented 134 terms to describe race. Though it's uncertain that Latino-Americans will come close to topping Brazil's exhaustive list of ethnic categories, the results will certainly encourage all Americans to start thinking outside the box when it comes to their perceptions of race.

One thing is certain: Christopher Columbus and his pirates of the Caribbean did their best to not only conquer the land but also, through slavery and miscegenation, to literally change the face of the New World.

The opinions expressed in this commentary are solely those of Raquel Cepeda.

@highlight

Raquel Cepeda: The census tries to categorize people by ethnicity, race

@highlight

She says reality is Latinos have very varied, complex backgrounds

@highlight

She says many people resist being classified by simple labels