(CNN) -- At long last, Maria Toorpakai Wazir can indulge her life's greatest love without fear of persecution.

Hounded out of the notoriously dangerous tribal region that borders Pakistan and Afghanistan -- once referred to as "Hell's door knocker" -- salvation has been found thousands of miles away on a different continent.

She survived death threats, spent countless hours alone in her room and masqueraded as a boy for years.

And all for her love of squash.

Now Pakistan's number one female player, who is ranked 53rd in the world, is homing in on her quest to become the best female player in the world, under the tutelage of Jonathon Power, the Canadian star whose name was inscribed on the first racket she ever owned.

It is a fairytale story that has taken the 22-year-old a world away from a treacherous existence in the mountains of Pakistan, to Power's academy in Toronto, and morphed her into an agent for social change in her native country.

"I think positive and I do positive so I think people in Pakistan need to be educated, need to take part in sports and skills so they have high integrity, high self-esteem and so they use energy in a positive way," she told CNN's Human to Hero series.

"They will start holding rackets and bats rather than holding guns and grenades. I don't want militancy or Talibanisation -- I just want a brighter future for all the kids. I don't want them to end up as suicide bombers."

Growing up in South Waziristan provided Wazir with a crash course in conservatism, a prevalent theme in a territory with a reputation for fierce tribalism.

"It was an area in between mountains and mud houses and as it was 100 or 200 years ago," she explained. "The girls are deprived of all those basic rights. They stay inside the home and get married off at a young age.

"My whole family was different to the rest of the people in the area -- you could see the progress, the different mindset -- but they were still living in the Stone Age.

"They had no awareness about education or any health or exercise, or women's rights or child's rights. They didn't know how any education can be important for one person as a human."

Exasperated at the barriers placed in front of her, Wazir took drastic action aged just four, burning all her dresses, putting on her brother's clothes and shearing off her long, dark hair.

"My dad believes that it is your choice and your right to live the way you want," she said. "He laughed and he gave me a boyish name Genghis Khan, the greatest warrior in the history of the world. He said 'So, we have a fifth son, and his name is Genghis Khan.'"

However for Wazir and her family, domestic tolerance came at a price.

In a society cloaked by repression and inequality, even being seen unaccompanied in public could be perceived as a betrayal of her culture and Muslim religion.

And the liberal attitude of her father, Shamsul Qayyum Wazir, who encouraged his wife to continue her education and allowed their daughter to play outside with her brothers, was contradictory to the prevailing attitude of ultra-conservatism.

So much so that he family decided they'd had enough after a campaign of intimidation that included the stoning of the family house, attempts on their lives and an imposed spell in an asylum for the father.

The family moved to the city of Peshawar -- another Taliban stronghold -- where Wazir's scrapes intensified, with one scuffle leading to a head injury that required 12 stitches.

Realizing she needed to channel this aggression, her father enrolled her in weightlifting classes at a local sports club, keeping up the pretense she was a boy.

Wazir went on to win a junior weightlifting championship, but she also grew fixated on squash, having seen it played on her breaks from training.

She earned a place at a squash academy run by the Pakistan Air Force, though she had to reveal her true identity to the director.

Such was his delight at seeing a girl enraptured by squash he donated a racket to Maria bearing the name of Jonathon Power -- who won 36 top level events during his 15-year career at the top of the sport.

But as word spread of her emerging talent, the anonymity Wazir had reveled in for so long evaporated.

"Attitudes changed, they started bullying but I used to find a way," she explained. "I used to go early in the morning when there was no-one in my way.

"I used to repair those balls that were bad and torn in the squash court that guys used to throw away with tape and glue."

Taliban's unwanted attention

A steady improvement in her game led to appearances in high profile tournaments and prominence in the Pakistani media.

Awards from then president Pervez Musharraf and prime minister Shaukat Aziz were a mark of her pioneering spirit, but they also attracted the Taliban's unwanted attention.

"It was exhausting at every step," she said. "It was hard to let people know all I want is to play squash. That's how I can live happy but I had to change my life with time.

"For the last eight years I've been trying hard to come through to the common people and today I'm getting threats from Taliban. I was totally exhausted. I didn't know what to do.

"I stopped going to the academy because it's the biggest dishonor if a daughter is kidnapped. That's (why) I locked myself in my room and started hitting from evening to morning."

Her absence was noted and when she relayed the threats she'd received the issue was debated in parliament, who reacted by beefing up security around her.

"They put so many attack posts on the way to the squash court and around the squash court too," she said. "Above the squash court they put snipers.

"I was going once a week or twice a month but at that time I completely stopped because if a bomb happened -- there is so much glass in the squash court itself -- it would kill the innocent kids.

"I didn't want it to be the reason so I stopped going and started playing in my room for three-and-a-half years."

It was during this time Wazir says she knew she had to leave Pakistan to follow her dream.

"My dad said 'If a baby bird wants to learn flying, he has to leave the nest' and at that time I realized I cannot learn flying while am here.

"For three-and-a-half years I didn't get any email from anyone and one day I got an email back from Jonathan Power saying that he's going to help me, support me, teach me how to play squash so I can play at tournaments and become a world champion for Pakistan."

Power himself was sent to London as a 12-year-old to train with former Pakistani world champion and all-time squash great Jahangir Khan, and was immersed in the culture of Khan's country, traveling to play there on many occasions during his career.

Wazir's plea struck a chord with Power, who flew her to Toronto and has since been working on building her strength and stamina, and molding the rawness of her technique into a formidable weapon.

"I recognized right away this girl is special, she's very courageous girl and I wanted to help," said Power.

"She'll run through that wall 10 times until she finally breaks it. She thinks working hard just means killing your body and you'll get better, but sometimes you have to work smart.

"It's so rare to find somebody who has so much drive and so much passion, who is just dying to absorb knowledge. I think she's going to make it to number one in the world.

"She knows it's going to take a lot and she's prepared to sacrifice whatever it takes. I think she has the skills and the mental ability to make it all the way."

Building bridges

As for Wazir, her ambition to be the finest player on the world is now allied to a desire to campaign for other young girls in Pakistan to have the freedom to explore sport.

"I feel the luckiest person and I think whether my hard work turned me into being lucky or if I am the chosen one to bring change to the world," she said.

"I learned it's more about humanity. It's not about religion, it's not about culture or caste or tribe or where you're from or the value of the background of the person.

"It's all about being a human. I learned a lot and squash taught me. Through squash I made it and learned otherwise I'd be stuck in those tribal regions.

"I want to create bridges between east and west, friendship between country and country, family to family and people to people. It's all about brotherhood -- sharing knowledge, skills, helping each other and sharing love and care for each other."

@highlight

Pakistani Maria Toorpakai Wazir battled Taliban persecution to indulge her love of squash

@highlight

The 22-year-old grew up in the ultra-conservative region near border with Afghanistan

@highlight

Maria and her father suffered death threats for pursuing her dream of playing squash

@highlight

She now is training with former world number one Jonathon Power at his academy in Canada