"Dangerous," "Reckless" -- "Innocent people who might get injured or killed."

That's how Supreme Court justices characterized the consequences of a motorist fleeing police in a high-speed chase that ended violently.

Every justice who spoke at a tense oral argument on Tuesday seemed inclined to support three Arkansas police officers who opened fire on a runaway motorist, killing the driver and his passenger.

The case involves an appeal that again tests the limits of split-second law enforcement discretion for using deadly force.

The incident in question began in July 2004, when police in West Memphis, Arkansas, questioned  Donald Rickard at a gas station about a broken light on his white Honda.

He refused to step out the car and then took off. With his girlfriend, Kelly Allen, in the passenger seat, Rickard crossed the Mississippi River into Tennessee along Interstate 40.

Mounted cameras from three police vehicles, led by Officer Vance Plumhoff, show Rickard weaving in and out of traffic, then ramming a police car head-on.

The Honda is later surrounded and as the suspect tries to back up, he sideswipes another cop car, and almost strikes one of the officers.

The video then captures police firing 15 point-blank shots into the vehicle, as it drives away. The car then goes airborne and slams into a house in Memphis.

Rickard and Allen, both 44, were killed.

Rickard's family sued police, who argue they're immune from such legal action.

Courts struggle with interpretation

The Supreme Court has previously said law enforcement and government officials are generally shielded from "liability for civil damages" unless their conduct is egregious.

But state and federal courts have struggled with a broad application for high-speed pursuits, especially of those not implicated in a criminal offense.

At arguments, Justice Antonin Scalia, constantly pushed the lawyer for Rickard's' family to demonstrate whether the law was clearly established to show the officers' actions were unreasonable.

"We are still left with a very dangerous man careening down the road, who is surrounded by police cars and still tries to get away to continue his careening," said Scalia. It was "your client who caused the whole thing, who caused the shooting in the last analysis."

During the high court's public look at the case, it was clear the police version of the facts held sway.

The car "is eventually surrounded by officers with guns pointed at the driver demanding that he get out, that he put his hands up, and stop driving. They are pounding on the windows of the car. And the driver then begins to drive away," said Justice Samuel Alito. "What do reasonable officers do? Maybe what they should do is to continue the chase indefinitely."

Rickard "has already gone 100 miles an hour when the car moved away, even though that part of the street was deserted," said Justice Sonia Sotomayor. "Why would a reasonable officer not be suspicious that more reckless driving is going to occur?"

Standard of misconduct

The family's attorney, Gary Smith, suggested Rickard may not have been trying to continue the chase when eventually surrounded by police.

"You can't tell because he is bumper to bumper with the (Officer John) Gardner's car," said Smith. "It is true that the wheels spin forward."

"What do you mean? He is going to the police station?" asked Justice Anthony Kennedy skeptically.

Justice Stephen Breyer tried to give Smith rhetorical room to make his point but said the "clearly established" standard of misconduct was not met.

"When I saw the film, I saw your point. You have a point. But what I can't quite see is how it was a clearly established" violation, he said. "So I'm left in this uncertainty, which unfortunately for you means it wasn't clearly established."

Justice Elena Kagan wondered whether the fact 15 shots were fired, and that there was a passenger involved should be taken into account in the fact-specific inquiry.

Chief Justice John Roberts pursued a similar line of questioning: "Is there any situation in which the application of lethal force during a high-speed case in your view would not be justified?"

An O.J. reference

The attorney for the officers reluctantly cited the low-speed pursuit of former football star O.J. Simpson, suspected of murdering his wife and her friend in 1994.

"I hate to use television as an example, but perhaps the way the white Ford Bronco fled in the early '90s that everybody saw on TV," said Michael Mosley. "That seemed to be relatively non-dangerous or at least not a danger of serious physical injury."

The Obama administration is supporting the officers in the Memphis case.

The high court has been down this legal road before, ruling in 2007 a Georgia police officer used "reasonable force" when ramming a young speeding motorist off the road, leaving him a paraplegic.

That 8-1 opinion gave law enforcement significant protection from similar lawsuits, even when no other serious felonies surrounding the chase may have been committed.

that was the first time the high court heard a case involving deadly force in police chases, and lower federal appeals courts have been split on the issue.

Under generally applied Supreme Court precedents, an officer must show a suspect poses a "significant threat of death or serious physical injury to the officer or others" before using deadly force.

But some judges have since concluded that officers can be stripped of qualified immunity from lawsuits, citing the incident-specific, subjective circumstances unique to each pursuit.

Impact on police

Law enforcement groups worry a ruling against Plumhoff would hamstring every police official, who would often have to make split-second decisions about whether to wait until someone gets hurt -- including innocent victims or the officer himself -- before they could stop escaping motorists.

Many police departments have specific policies about when to chase and when to hold back, but there are no national statistics on how jurisdictions handle such situations. A 2004 study by the University of Washington showed 260 to 325 people were killed in high-speed crashes involving police, from 1994 to 2002.

While Rickard's family may not prevail, the larger question was whether the high court will now address the constitutional concerns, and give law enforcement around the country clearer guidelines on the proper line for use of deadly force.

A ruling is expected within three months.

The case is Plumhoff v. Rickard (12-1117).

@highlight

Case involves motorist who led police on chase following minor traffic stop

@highlight

Police opened fire on car after chase, two inside were killed

@highlight

Supreme Court sided with police in similar case in 2007

@highlight

Officers sued in this matter lost a federal appeals decision