(CNN) -- Go to Google and type in Rwanda and the word genocide creeps in instantly. Do a similar search in Google Images and your screen is quickly inundated with piles of scattered hacked bodies, grisly mountains of skulls and long columns of fleeing refugees.

It's been 20 years since the devastating violence that left about one million people dead in Rwanda, but global perceptions of the tiny country in east-central Africa are often still stuck in 1994. Images of horror and ruin, as captured by the lenses of foreigners, are still circulating internationally, even though the country has come a long way since those dark days.

To address this, a new exhibition opens Friday in London, showcasing insightful snapshots of daily life in today's Rwanda as seen through the eyes of local photographers. Called "Rwanda in Photographs: Death Then, Life Now," the show aims to "communicate the complexities of survival after mass violence," organizers say, while helping international audiences to "understand the scale and scope of the country's journey."

The exhibition features arresting images by more than 10 professional and amateur photographers who back in November took part in an eight-day workshop led by the prominent Nigerian photographer Andrew Esiebo and the Kenya-based American photojournalist Brendan Bannon.

"We worked with the Rwandan photographers to give them the opportunity to visually tell how they see their country," explains Esiebo, whose work has been exhibited around the world. "It was a platform to allow people to come together to tell their stories," he adds.

"Often, if you see images coming from Rwanda, the majority has been taken by non-Rwandans -- this is a chance for them to question the way their country is being interpreted."

The final result is a collection of diverse images ranging from intimate portraits to eye-catching landscapes that provide an insight into the complex changes that are currently underway in Rwanda -- snapshots of the rising capital Kigali, where new buildings pop up and assertive women take a leading role in urban commercial life, are accompanied by scenes of rural life, where poverty and hardship endure.

The exhibition also features "Returnees," a series of portraits taken by Esiebo capturing Rwandans from all walks of life who've come back to help in the redevelopment of their country.

"The people make the country," says Esiebo, who decided to extend his stay in the landlocked country after the workshop to shoot the "Returnees" and also produce a Rwandan version of his popular series of photographs of West African barber shops.

"It was quite interesting to see young, vibrant people coming to add value to the society," he says. "It's one of the most fulfilling projects I've seen myself doing lately, especially in the frame of questioning what people see about Rwandans."

Click through the gallery above to see some of the photographs featured in the exhibition.

"Rwanda In Photographs: Death Then, Life Now" is presented by the Cultural Institute at King's at the Inigo Rooms, Somerset House East Wing, London from 21st March -- 30th April . The exhibition is open daily 12.00-18.00, and until 8pm on Thursdays. Admission is free. Find out more about it here.

READ THIS: Orphaned siblings create Rwanda's Craigslist

READ THIS: Rwanda's B-Boys - From the streets to break beats

@highlight

A new exhibition in London showcases the work of Rwandan photographers

@highlight

It aims to challenge global perceptions about post-genocide Rwanda

@highlight

The photographers question the way their country is portrayed internationally

@highlight

"Rwanda in Photographs: Death Then, Life Now" runs until the end of next month