(CNN)You may know Mindy Kaling from Fox's cult hit comedy "The Mindy Project," in which she plays Mindy Lahiri, a perky, quirky OB/GYN juggling her career and love life in New York. (Only in the Big Apple can a doctor not afford an apartment!)

The show was a breakthrough for on-screen representation — the first network sitcom created by and starring a woman of color — and it looks likely to be renewed for the coming 2015-16 season.

Recently, however, Kaling's brother Vijay Chokalingam unveiled a project of his own, and while it has been getting a lot of attention, it hasn't generated quite as many laughs — either from observers or from his famous sibling, who told him it brought "shame upon their family."

You see, Chokalingam revealed that, as an undergraduate at the University of Chicago, he engaged in a daring (his view) or ridiculous and offensive (pretty much everyone else) scam: He applied to medical school claiming to be African-American.

Chokalingam had spent his college years as a "hard-partying frat boy," and achieved a less than stunning 3.1 GPA. Upon facing graduation and exploring his med school options, he realized that fellow Indian-Americans with his grades were getting turned down from the universities of his choice — but that "black, Hispanic, and Native American applicants with my grades and test scores were much more likely to gain acceptance."

This revelation led him to make the decision to pose as a black man, both to "dramatically improve" his chances of admission, and to illustrate the unfair advantage that blacks and other underrepresented minorities receive when applying to prestigious schools.

To accomplish this goal, Chokalingam shaved his head of its naturally wavy black locks, trimmed his "long Indian-American eyelashes," checked "black" under the optional race/ethnicity declaration and submitted his application to 14 schools under his childhood nickname "JoJo."

He received invitations for in-person interviews at 11 schools, results that he claims support the notion that African-Americans garner special privileges that are unavailable to whites or Asians. And now that the statute of limitations on his act of fraud has expired, he's looking to write a book on his experiences, titled "Almost Black: The True Story of an Indian American Who Got Into Medical School Pretending to Be an African American."

What's truly curious is that even if you agree with Chokalingam that affirmative action is merely a form of "systematic racism," when all is said and done, it offers very little evidence of the "privilege" that he claims is accorded to black, Hispanic and Native American candidates.

Chokalingam had mediocre grades and MCATs, but he graduated from one of the most prestigious schools in the nation. Yet even while representing himself as black, Chokalingam received only a single admission offer, to St. Louis University's School of Medicine, which falls somewhere between 57th and 67th in national rankings. Harvard, University of Pennsylvania, Columbia and all the higher ranked schools he applied to rejected him.

Meanwhile, he admits, pretending to be black came with disadvantages. He found himself being accused of shoplifting by store clerks and harassed by cops — who would regularly stop him while driving and demand that he tell them how much his car cost, implying that he must have stolen it.

These acts of very real prejudice, experienced regularly by blacks and Hispanics of all backgrounds — multimillionaire comedian Chris Rock has recently been tweeting pictures of the occasions when he is pulled over by police for no reason — didn't seem to dissuade Chokalingam from his adamant belief in the unfairness of a system that seeks to address the shockingly low numbers of minority health practitioners by providing some weight to race and ethnicity in decision-making.

It's not just a matter of what individual applicants "deserve." One-third of Americans are black, Hispanic or Native American; just one in 10 physicians are.

Since minority medical practitioners are up to three times as likely to practice in their own communities, this lack of diversity has produced "doctor deserts," in which urban and rural ethnic enclaves across the nation go without access to primary care physicians.

Years ago, when I told my father — a doctor from a long line of doctors — that I didn't want to follow in his footsteps, he told me that was fine, because medicine is a service trade, and anyone not interested in serving should avoid the profession. A medical degree isn't a reward to be earned, he said, but a responsibility to be accepted.

Which really cuts to the heart of what's so sad about Chokalingam's racial farce.

Like others who've recently been exposed for falsely claiming racial identities — including putative presidential candidate Jeb Bush, who registered himself as "Hispanic" on a 2009 voter form, and Massachusetts Sen. Elizabeth Warren, who was excoriated during her campaign for having claimed Native American ancestry in the past — Chokalingam wanted to claim the fruits of racial affiliation without having to carry black people's burden.

Race isn't just about color or blood; it is about the collective experiences and inherited cultural context and present-day condition of a community of people. Many of the markers of race are persistently corrosive; others are deeply painful.

Affirmative action programs are a means of redress for these awful realities of our nation's history; an imperfect one, but necessary.

There are some fields where the imbalances might never correct themselves on their own. Industries like health care and Hollywood. Because what's most ironic about Chokalingam's decision to ride on his sister's coattails in telling his story: While Asians are well represented in medicine, our numbers are vanishingly low in the entertainment and media world, and until the recent breakthrough of modern pioneers like Mindy Kaling, it was impossible to imagine film and television that included our faces, voices and stories.

Kaling's immense talent and charisma made her a star. But it was a quota-based affirmative action initiative -- NBC's Diversity Writers Program -- that gave her a start.

@highlight

Mindy Kaling's brother Vijay Chokalingam pretended to be black to get into med school

@highlight

Jeff Yang: That's offensive and ironic, considering that minorities experience many disadvantages