(CNN) -- Nikki Stern lost her husband in the 9/11 terrorist attacks, and she doesn't understand why knives would be allowed in airplane cabins 12 years later.

Stern doesn't think box cutters killed her husband Jim Potorti, who was working at the World Trade Center when airliners crashed into the towers. "The planes flying into the buildings is what killed my husband," said Stern, an author and the first executive director of Families of September 11.

But she doesn't think people need knives on airplanes. "I am aware of the argument that anything can be made into a weapon, but knives make it easy," Stern said.

The Transportation Security Administration's announcement last week that pocket knives and other previously prohibited items will be allowed in airline cabins starting in April has sparked an outcry among many concerned travelers, lawmakers and aviation professionals. The new rules won't ease screening for passengers, some say, while adding an unnecessary threat to the safety of airline crews and passengers.

"The rules are so enormously confusing for the passenger and so arbitrarily applied," said Stern.

"They're not really making it more convenient because you can bring a knife but you still have to take off your shoes -- unless you're a senior?"

Many travelers echo that sense of confusion. On Twitter, a user called Terrence poses this question: "So u can bring a knife on the plane but u can't have too much toothpaste or shampoo?"

Under the new rules, knives with blades that are 2.36 inches (6 centimeters) or shorter and less than a 1/2 inch wide will be allowed in airline cabins as long as the blade is not fixed or does not lock into place. Razor blades and box cutters are still prohibited. The rules also allow passengers to carry two golf clubs, toy bats or other sports sticks -- such as ski poles, hockey sticks, lacrosse sticks and pool cues -- aboard in carry-on luggage.

Airlines for America, the airline trade association, said Monday "additional discussion is warranted" before small knives are allowed on planes.

Sen. Charles Schumer called on Sunday for the TSA to reverse the rule change. "These items are dangerous, and have not become less so in the years since they were banned from planes," the New York Democrat said.

Delta Air Lines' CEO Richard Anderson said in a letter to the TSA that the move would add little value in terms of passenger screening efficiency "in relation to the additional risk for our cabin staff and customers."

Despite opposition, TSA chief John Pistole said the changes will bring the United States into alignment with international rules and are in keeping with a "risk-based security" approach that will allow screeners to focus on items such as liquid explosives and improvised bombs that pose a greater threat to aircraft.

TSA spokesman David Castelveter reiterated to CNN Monday that the rules would go into effect on April 25, as scheduled.

Pistole is expected to defend his decision Thursday when he attends a pre-scheduled hearing of the House Homeland Security Committee.

A threat assessment determined that allowing small knives in cabins would not result in catastrophic damage to aircraft, the agency said. But after consulting with Federal Air Marshal Service leaders, the TSA opted to continue excluding knives that most closely resemble weapons, specifically knives with blades that lock in place, or have molded hand grips.

Pistole also decided to keep box cutters and razor blades on the prohibited items list because of their "emotional" connection with the September 11, 2001, said Castelveter.

That didn't matter to travelers Darius Vitonis and Karolina Gelvonauskyte, both 26, visiting Atlanta from Lithuania.

"A knife is a knife," said Vitonis. "Why bring confusion?"

"No knives, no confusion," said Gelvonauskyte.

Risk-based approach

The TSA's moves toward a risk-based approach to security have the support of Rep. Michael McCaul, R-Texas, chairman of the House Homeland Security Committee.

"TSA must continue to improve its risk-based screening and one of its highest priorities must be securing commercial aviation from the type of threats and weapons that could bring down an aircraft. Any modifications to our security system must enhance our ability to detect such threats. As I have stated, my priority is to make TSA more passenger-friendly and threat-focused."

And former TSA chief Kip Hawley supports the change. Sharp objects can no longer bring down aircraft, Hawley said, and the search for knives interferes with the search for objects that can threaten aircraft, he said.

Some CNN.com readers agree. "Small non-locking blades are not very practical killing weapons, as screwed up as the TSA is, I'm on their side on this one," wrote a reader with the handle MeBee. "Stop harassing people about the little stuff and concentrate on the real stuff that can do serious harm."

Security expert Rafi Ron said the TSA should focus on risky people rather than risky objects.

Opinion: Is the TSA serious?

"When you have someone like you or me who doesn't intend to attack a flight, whether we have a Swiss Army knife in our pocket or not doesn't make any difference," said Ron, president of Virginia-based New Age Security Solutions and former head of security of Ben-Gurion Airport near Tel Aviv, Israel.

"If you have somebody like one of the terrorists (who was involved in the 9/11 attacks) or a terrorist who is still out there, I'm not sure we'd want him to have even a Swiss Army knife," Ron said.

"Risk is not measured by the item, whether it is a knife or gun. It is measured by the person holding it. A bad guy with a Swiss Army knife can still cause a lot of damage to the crew and passengers in the cabin before the aircraft can land."

Rep. Markey joins chorus of those against letting knives on planes

That potential for violence is part of what has flight attendants concerned.

Former flight attendant Tiffany Hawk is "stupefied" by the move, "especially since the process that turns checkpoints into maddening logjams -- removing shoes, liquids and computers -- remains unchanged," she wrote in an opinion column for CNN.

And Veda Shook, president of the Association of Flight Attendants, said the move is "completely unnecessary" and "makes no sense." Rather than freeing up time, she predicted that security officers will get more bogged down testing and measuring the knives to see if they meet the criteria.

The Flight Attendants Union Coalition, representing nearly 90,000 flight attendants, and the Coalition of Airline Pilots Associations (CAPA), which represents 22,000 airline pilots, also oppose the rule change.

By Monday afternoon, more than 20,000 people had signed a petition to WhiteHouse.gov calling on the TSA to keep knives off of planes.

Traveler Emma Siemasko, a writer and blogger in Boston, sees "the flip-floppiness" of the TSA's policies as the real problem. "There are too many rules to follow and there also doesn't seem to be much rhyme or reason."

Many travelers see rules that haven't been eased as bigger hurdles to the air travel experience: "I would prefer they get rid of the liquid restrictions. I'll leave my penknife at home," wrote a CNN reader. "But trying to find 3 oz bottles of everything and stuff them all into a quart baggie is a royal pain."

Knives on a plane? Really?

CNN's Mike Ahlers, Melissa Gray, Justin Lear and Todd Sperry contributed to this report.

@highlight

Opposition still heated a week after a rule was announced to allow knives in airplane cabins

@highlight

A 9/11 widow said allowing knives makes accessing weapons "easy"

@highlight

Delta CEO sees little benefit to a change that poses "additional risk" to staff and passengers

@highlight

Supporters say allowing knives will give screeners more time to address larger threats