(CNN) -- Scotland may have voted no on independence, but 16- and 17- year-olds offered a resounding yes to the question of whether young people can be motivated to take part in the political process after being allowed to vote for the first time. With voter turnout reportedly edging close to a remarkable 90% in some areas, many are pondering what we can expect from the youth vote in the upcoming U.S. midterm elections.

As members of America's largest generation, the millennials, young voters certainly made their mark on U.S. politics when they turned out in force and paved the way for Barack Obama to win the Iowa caucuses in 2008. In fact, if that vote had taken place only among caucus-goers over 30, Hillary Clinton would have won Iowa (and likely would be president today).

Six years later, however, a different picture emerges. Rather than being empowered to remain active in politics after making history in 2008, young voters are sadly becoming more disillusioned and distrustful of all things Washington. In our most recent Harvard Institute of Politics survey, only 23% of 18- to 29-year-olds indicated they would "definitely" be voting in November -- a number that has grown smaller as the election nears and that trails the benchmark from 2010.

Meanwhile, trust in almost every institution tested annually in our survey has also fallen since the last midterm campaign: Trust in the presidency is down 12 percentage points to less than one-third, trust in both Congress and the federal government is also down -- to 14% and 20%, respectively. Meanwhile, the number of young voters who believe that elected officials seemed to be motivated by selfish reasons has increased from 54% in 2010 to 62% today.

The factors leading up to Obama's runaway victory against John McCain in 2008 were clear. The older millennials were raised in the shadows of the patriotism Americans felt after 9/11; they felt let down by President George W. Bush's handling of Hurricane Katrina and the march to Baghdad, had witnessed two razor-thin presidential wins in 2000 and 2004 and quickly connected with the first-term senator's powerful combination of message and media.

Young voters came out in force then, turning red states to blue because in their mind, in this one instant, politics mattered. For millions, the election of 2008 was their chance to become an active participant in an unfolding chapter in America's proud history. The same went for Scotland on Thursday, with the vast majority of teenagers over 16 voting because it mattered to them as well. Like their cousins in America, they imagined a time telling their grandchildren what it was like the day everyone voted.

The problem today is that through word and deed, it seems like every elected member of our government is going out of his or her way to illustrate to young people that government does not matter, that the fundamental challenges of our time are better left for others. This is why youth turnout has fallen in every election since Obama's first. In a poll we released a few days ago for Politico, for example, we found that millennials are less likely than every other age group to vote in November, they are less enthusiastic about the election, and more than 60% disapprove of the way that each party is doing its job in Congress.

It is impossible to have an election without choices, even bad ones. This week Scotland chose to remain part of the union rather than forge its independence, a choice with real consequences. Unfortunately, young U.S. voters by and large just do not see the midterm elections offering legitimate choices because, in their eyes, Congress has proven to be largely ineffectual, and worse uncaring.

By eschewing regular participation in electoral politics, young people are making the choice to serve their community and country in other ways, namely through volunteerism. It is now up to the President and members of the House and Senate to take heed of this disillusionment and make a choice to inspire our largest generation to be civic-minded, to participate in the debate and process of politics working together to make our country a better place.

In fact, when you step back and think about it, it really shouldn't be a choice at all.

@highlight

Young voters paved the way for Obama to win Iowa caucuses in 2008, John Della Volpe says

@highlight

Recent survey shows 23% of 18- to 29-year-olds "definitely" plan to vote in November

@highlight

Young voters do not see midterm elections offering legitimate choices, he says