North Korea is showing no signs of scaling back its fearsome labor camp system, with torture, starvation, rape and death a fact of life for tens of thousand of inmates, according to human rights group Amnesty International.

The rights group released satellite images, purportedly showing evidence of expansion, including the construction of new housing blocks and production facilities, at two of the isolated regime's largest camps or "kwanliso" --15 and 16 -- used to hold political prisoners.

"The gruesome reality of North Korea's continued investment in this vast network of repression has been exposed," said Rajiv Narayan, Amnesty International's East Asia Researcher.

"We urge the authorities to immediately and unconditionally release all those prisoners of conscience held in political prison camps and close the camps immediately."

Orphaned and homeless: Surviving the streets of North Korea

Horrific conditions

Amnesty commissioned the images from DigitalGlobe, a commercial satellite imagery vendor. In their release, Amnesty claims that up to 200,000 prisoners, including children, are being held "in horrific conditions in six sprawling political prison camps."

Survivor recounts escape from camp

Pyongyang denies their existence, despite satellite images and testimony from witnesses. Amnesty claims many prisoners are allegedly being held for nothing more than watching foreign soap operas or holding a particular religious belief, while others are incarcerated simply for having a family member deemed politically undesirable.

Camp 16, which is located near Hwaseong in North Hamgyong province, housed an estimated 20,000 people, according to previous analysis by Amnesty in 2011. But the group claims the latest images, taken in May this year, indicate a slight increase in population with the new housing blocks clearly visible. They also appear to show significant economic activity -- including mining, logging and agriculture.

Amnesty said the camp covered an area of around 216 square miles (560 square km), or three times the size of America's capital, Washington DC.

Camp 15, also known as Yodok, is located in the river valleys of central North Korea just 75 miles (120km) from the capital Pyongyang. In 2011, Amnesty reported that around 50,000 people were imprisoned there, though it said 39 housing blocks have since been demolished with only six new blocks built. While Amnesty conceded this might indicate a reduction in prisoner numbers, it said significant industrial activity was visible in the area, including logging.

Amnesty said its analysis of the images pointed to tight security at both sites with perimeter fences and security points clearly marked. "Movement appears to be restricted and controlled through secured entrance gates, guard towers and internal check-points," its report read.

Veteran POWs recall misery of North Korean captivity

New witnesses

Amnesty also published previously unheard testimony from witnesses in its new report. A former security official, identified only as Mr. Lee, who was at Camp 16 in the 1980s until the mid 1990s described the methods used to execute prisoners in an interview with Amnesty last month. He said detainees were forced to dig their own graves and were then killed with hammer blows to their necks. He also witnessed prison officers strangling detainees and then beating them to death with wooden sticks.

How voice from gulag affected human rights discourse

According to Mr. Lee, women were "disappeared" after being raped: "After a night of 'servicing' the officials, the women had to die because the secret could not get out. This happens at most of the political prison camps."

Kim Young-soon, a former detainee in Camp 15 in the 1980s, described a public execution she witnessed of two detainees caught attempting to escape: "They were brought to a stage after they were badly beaten. The prisoners were tied to wooden stakes and shot three times in their head, chest and feet," she recalled.

In September this year, a United Nations inquiry into human rights abuses in North Korea highlighted the "unspeakable" and "widespread" atrocities being carried out in camps that required an international response, including a mother forced to drown her own baby and a prison camp inmate compelled to eat rodents and lizards just to survive.

The rights group says it has shared the latest evidence with the U.N. Commission of Inquiry investigating human rights abuses in North Korea.

@highlight

Amnesty: New images show new activity, including the construction of new housing blocks

@highlight

The group says up to 200,000 prisoners held in infamous camp system, facing torture, rape

@highlight

New images show one camp to be three times the size of Washington DC -- Amnesty

@highlight

Recent United Nations inquiry highlighted "unspeakable" and "widespread" atrocities in camps