Washington (CNN)  -- As you turn on your HDTV and watch the endless controversy over embryonic stem cell research, ask yourself: Should the government spend taxpayer dollars to develop that bulky old cathode-ray television you once owned?

As you install your $79 Blu-ray player, what if Uncle Sam was paying millions to develop Betamax videotapes?

This kind of government waste is what embryonic stem cell researchers are demanding even when science itself, according to scientists such as former NIH Director Bernadine Healy, has made embryonic stem cell research obsolete.

Yet the Obama Justice Department is appealing a recent federal court ruling that stopped funding of embryonic stem cell research because it was contrary to Congress' 1995 law that decided to spend tax dollars on projects that produce treatments instead of destroyed embryos. This is a far-from-baseless ethical concern, as it is tied to the fact that an embryo is a genetically distinct human being from the moment of conception.

In denying the administration's request for a stay, the court rightly found, "Defendants are incorrect about much of their 'parade of horribles' that will supposedly result from this court's preliminary injunction. Congress has mandated that the public interest is served by preventing taxpayer funding of research that entails the destruction of human embryos."

Nonetheless, upon being given a short temporary stay by the appeals court while it receives briefs in the case, the National Institutes of Health immediately began spending American taxpayer dollars like a drunken sailor on 24-hour shore leave.

Another view: Court ruling a blow to U.S. science

Human embryonic stem cell research is the $10,000 toilet seat of the 21st century. Years ago, science created a cell that appears to be, in the words of an MIT study published last month, "virtually identical" to an embryonic stem cell but is cheaper, promises better compatibility to patients and kills no embryos.

These new induced pluripotent stem cells (iPSCs) "do all the things embryonic stem cells do," explains the father of human embryonic stem cells James Thomson. Harvard's David Scadden agrees that iPSC technology "is absolutely changing the field." IPSCs "perhaps even eliminate the need for human embryos as a source of stem cells," says Keisuke Kaji of the University of Edinburgh. IPSCs even caused the man who cloned Dolly the sheep to abandon cloning three years ago because "changing cells from a patient directly into stem cells has got so much more potential."

"The world has changed," Thomson told The Boston Globe in 2007. "Human embryo stem cell research will be abandoned by more and more labs."

But not by people who put politics over science. For some, "virtually identical" is just not enough. Although all researchers agree or admit iPSCs are a promising development worthy of ongoing research, embryonic stem cell research advocates still want to take millions of taxpayer dollars away from that more promising research to fuel their less promising research. With the help of Washington politicians, they're holding taxpayer dollars hostage to the tune of $300 million spent and pledged in just over a year.

Perhaps that's one reason why, during these times of intense economic strain, a new Rasmussen poll shows that only 33 percent of U.S. voters believe that taxpayer money should be spent on embryonic stem cell research. Talking heads promote embryonic cells by alleging a "potential" for cures, but money is much better spent on iPSCs.

Stem cell research that destroys human embryos is also taking money away from successful adult stem cell work, in which no embryos are destroyed. Found in people already born, adult stem cells are the only cells with a track record of actually and successfully treating patients.

Adult stem cells have grown new corneas and tracheas, restoring sight and speech. Adult stem cells placed into children have repaired damage from fatal genetic skin diseases. As CBS News reported on August 2, adult stem cells appear to have the ability to stimulate tissue repair and to suppress the immune system.

"That gives adult stem cells really a very interesting and potent quality that embryonic stem cells don't have," said Rocky Tuan, director of a cellular engineering institute at the University of Pittsburgh.

Meanwhile, embryonic stem cell researchers have produced no treatments at all. Their own technology dates back to the Stone Age in today's pace of science, whereas this year's prestigious Balzan Prize for biology recently went to iPSC pioneer Shinya Yamanaka.

So, like many failed industries, embryo researchers demand a taxpayer bailout. They claim that they're too big to fail, when in fact they've never succeeded.

NIH Director Francis Collins melodramatically announced that the district court's injunction against his funding of embryonic stem cell research, in spite of the 1995 law against such funding, "poured sand into the engine of discovery." The problem is that Collins is wasting taxpayer money on "discovering" the equivalent of the riverboat steam engine.

Advocates for embryo-destructive research respond that the government should fund all research -- if any money is left over after they get theirs. But American taxpayers are not a bottomless grab-bag of cash. They should not be forced to waste precious dollars on partisan science, especially when economic ruin fueled by government waste is a looming specter.

Embryonic stem cell research should go into the dinosaur museum where it belongs. Any funding should be focused on the real, clean promise of iPSCs and on the miracles that are being produced today by adult stem cell treatments. Embryo destruction has sidetracked good stem cell research long enough.

The opinions in this commentary are solely those of Matt Bowman.

@highlight

Bowman: iPSC cell is similar to embryonic stem cell but cheaper, kills no embryos

@highlight

Embryo stem cell research taking money away from work with adult stem cells, he says

@highlight

Scientist predicts embryonic stem cell research will be abandoned, Bowman says

@highlight

Federal funding for embryonic stem cell research violates 1995 law, Bowman says