How can you not love Hong Kong?

Home of Bruce Lee, divine dim sum, lofty buildings, loftier real estate prices and -- in spite of all those buildings -- easy access to incredible stretches of great outdoors.

It's been more than 15 years since the British handed Hong Kong over to Chinese rule but little has changed.

Hong Kong remains a competitive and independent city, consistently ranked as one of the world's best places to live.

But don't take our word for it.

Here are 10 things this great city does better than anywhere else.

1. Tonal talents

Native English speakers who've managed to learn Cantonese from scratch: give yourselves a pat on the back.

The language has a total of six to nine tones, depending on where you're hearing it, compared to English's zero tones.

No other Asian language comes close. (There are four tones in Mandarin, five in Thai and six in Vietnamese).

That's kind of like saying one English word can be pronounced six different ways and have at least six different meanings.

Locals like to say this makes us particularly good at music (certain karaoke sessions have proven otherwise) and studies have shown there's some truth to this.

To add to the complexity -- and fun -- of the language, Cantonese is a dialect with new slang invented everyday and many words aren't used in written communication.

Intimidated?

Check out Carlos Douh's YouTube channel, the Internet's most entertaining Cantonese language teacher, for quick and easy Cantonese lessons.

2. Staying alive

Don't wanna get murdered?

Come to Hong Kong!

The city not only has one of the lowest crime rates in the world, it ranks third in a list compiled by the United Nations Office on Drugs and Crime in 2011 of places with the least homicides.

Hong Kong -- with an intentional homicide rate of 0.2 per 100,000 people in the last 16 years -- only lost out to Monaco and Palau, where there have been zero recorded murders.

When you consider that Hong Kong has a population of more than 7 million crammed into a city of 1,104 square kilometers, while Monaco only has about 36,000 people and idyllic island nation Palau about 20,000, Hong Kong definitely triumphs as the safest city in the world.

3. Getting you there

Hong Kong is really good at getting you where you need to go.

The public transportation system is famous around the world for its efficiency and profitability, making Hong Kong one of the least car-dependent cities, with only about 710,000 registered vehicles.

In particular, the MTR Corporation that operates Hong Kong's subway system is so good at what they do they run other city's trains as well, including operating sections of subway lines in Beijing, Hangzhou, Shenzhen, London and the whole of Melbourne and Stockholm's underground networks.

4. Building into the sky

When you've got a heck of a lot of people and very little land, what do you do?

Hong Kong's solution is to stack them up on top of each other, inside tall buildings.

Once the city started doing it, it couldn't stop.

Hong Kong now has 1,251 skyscrapers and high-rises, the most in the world, creating a dramatic skyline.

There's the bamboo-like Bank of China by renowned architect I.M. Pei and the 490-meter International Commerce Centre (Hong Kong's tallest), the latter of which will become a gigantic art piece at the hands of sound artist Carsten Nicolai during Art Basel Hong Kong 2014.

5. Daredevil construction

Most of those skyscrapers were built using bamboo scaffolding, an old craft that involves tying long pieces of  sturdy bamboo together to form a freestanding grid structure for workmen to hang out on.

Daredevil scaffolders dangling precariously on bits of bamboo suspended in midair, with a small harness for support, are a common and heart-stopping sight in Hong Kong's streets.

While most other cities are using steel and aluminium scaffolding, Hong Kong stands by bamboo, even establishing a licensing system through the Hong Kong Construction Industry Council.

There are now more than 1,700 bamboo scaffolders registered with the Construction Workers Registration Board.

6. Letting you keep your money

As a financial center that's historically been seen as the gateway to the Chinese market, Hong Kong is a great place to make money.

What truly sets it apart is that residents actually get to keep most of the money they earn.

With one of the lowest salaries tax rates in the world, capped at 15-17% and no sales tax or VAT, Hong Kong is an attractive place to work and play.

The profits tax rate is the same for foreign and local companies at a low 16.5% and there's no capital gains tax in Hong Kong.

That doesn't make the local government a charity case though.

Property and shares trade keep the government flush -- Financial Secretary John Tsang estimates an HK$12 billion surplus for this year.

Editor's note: An earlier version of this story incorrectly identified the salaries tax rate. The error has been corrected.

7. Kung fu movies

Bruce Lee, Jackie Chan, Chow Yun Fat, Maggie Cheung, John Woo, Wong Kar-wai ... the list of Hong Kong's cinematic heavy hitters goes on.

For a relatively small city (population 7 million) tucked away in a far corner of East Asia, Hong Kong sure has produced a lot of Hollywood-worthy stars.

But it's the city's kung fu movies that are the most recognized.

"Enter the Dragon," "Fist of Fury," "Once Upon a Time in China," and "Drunken Master" are just a few of the classics that come to mind.

Much of the city's cinematic martial arts glory is due to the efforts of one legendary movie mogul: Sir Run Run Shaw, who passed away at the age of 107 in January.

Shaw put Hong Kong movies on the map by inventing and popularizing kung fu genre films in the 1970s and pushing co-productions such as "Blade Runner."

Despite all that clout Shaw never got to work with Bruce Lee, as the kung fu superstar was offered a better deal by rival Golden Harvest early in his career.

More: Ultimate Hong Kong kung fu tour

8. Soft landings

One of the most impressive sites for Hong Kong visitors is the airport.

Most love the efficiency, the fast connection to the city through the Airport Express, and the frequent traveler system that allows jet setters to use a fast lane through immigration.

The airport is one of the most lauded in the world, winning nearly 40 awards from international operations since it opened in 1998 and ranking atop Skytrax's World's Best Airport list for eight years in a row.

Sure, it's recently been toppled from the throne by Singapore's Changi Airport.

But Hong Kong handles more passenger traffic, 53 million passengers in 2011.

Take that, Singapore.

9. Foodie-ism

Hong Kong: 7 million people, 15,000 restaurants.

This is a city of unashamedly camera-toting, food-blogging, lip-smacking gourmands.

And while we don't have the restaurant density of New York City, our diversity is staggering.

Foodies here will have lunch at a three Michelin star restaurant and dinner at a street-side dai pai dong hawker stall.

Our cha chaan teng diners can whip up fantastical East-meets-West dishes, considered sacrilegious anywhere else in the world -- ever tried a syrup-slathered French toast filled with satay beef slices?

Or instant noodles dressed in a cheese sauce?

No? You haven't lived.

Take it from this city of people who are very good at eating.

10. Partying so hard the neighbors want in on it

First time visitors to Hong Kong's party area, Lan Kwai Fong, might think they've entered a time warp, suddenly appearing in Ibiza or Cancun at 9 p.m. on a Friday night.

The area crams more than 100 bars, restaurants, clubs and shops into just a few short streets (and in the high-rises along the streets), which themselves are nearly always crammed with expats, flight attendants and other 9-to-5 refugees.

Neon lights blur into happy hour signs, which blur into fridges filled with garishly colored vodka jelly shots.

Come special events, such as the Rugby Sevens or New Year's Eve, the area gets ridiculously, lung-crushingly crowded.

Lankwaifong.com claims it's "Hong Kong's premiere dining and entertainment destination," which makes it sound somewhat more sophisticated than it really is.

But for turning a rubbish Tuesday workday into a heady, beery, feels-like-Friday evening, where you're guaranteed to meet someone you know, there's no place like it.

It's so successful that Chinese cities are asking Lan Kwai Fong Group to re-create the nightlife districts in their cities, namely Lan Kwai Fong Chengdu and Lan Kwai Fong Wuxi.

What other things do you think Hong Kong does best? Tell us in the comment section.

@highlight

Hong Kong has 1,251 skyscrapers and high-rises, the most in the world

@highlight

Movie mogul Sir Run Run Shaw is credited with putting Hong Kong's martial arts movies on global screens

@highlight

Hong Kong has the lowest homicide rate of any major city in the world