(CNN) -- Amid all the talk about storm clouds gathering over the U.S. economy, it's easy to forget there are other places in the world where the sun is still shining.

A shortage of housing is contributing to an inflation rate of almost 14 percent in Qatar

Take Qatar, for example; a small emirate in the Gulf whose economy is booming.

When the final figures come in, Qatar's economy is expected to have grown 17.8 percent in 2007. Qatar National Bank predicts growth to slow in 2008, but at 16.5 percent who could complain?

Well, consumers for one. While growth has steamed ahead, so has inflation. At the end of 2007, Qatar's official inflation rate was nearing 14 percent -- the highest in the region.

Three major factors are contributing to Qatar's soaring inflation rate: High levels of government spending; growing demand for housing, which is pushing up house prices and rent, and the riyal's peg with the dollar, which is pushing down interest rates.

The U.S. Federal Reserve exacerbated the latter problem by slashing U.S. interest rates twice in the past eight days to three percent.

Gulf States with currencies linked to the U.S. dollar were under pressure to follow suit. Qatar reduced its deposit rate to 3.5 percent, but left its lending rate at 5.5 percent.

Liz Martins, Head of MENA, Business Monitor International says Qatar is facing a serious problem.

"You've huge a amount of monetary easing and if you think that that's not even going to feed through properly for six to nine months then, you've got a really dangerous inflationary outlook," she says.

"The only policy option really that they have is to revalue the exchange rate."

Kuwait did just that in May, ditching the dollar-peg for a basket of currencies, and speculation is growing that other GCC (Gulf Cooperation Council) countries will do the same.

Tristan Cooper, Vice President and Senior Analyst at Moody's Middle East, says the argument for revaluation is becoming more convincing.

"The economic justification for revaluation is growing stronger as inflation multiplies and the government increases expenditure."

He says any move by Gulf governments to curb public spending would not be welcomed by locals facing higher living costs.

In Qatar's instance, new housing stock is expected to come onto the market to help ease inflation in the rental market.

"There is some hope that prices will begin to slow as that supply comes onto the market, but that's not guaranteed," Tristan Cooper says.

So that leaves a currency revaluation.

"The easier policy option would presumably be to revalue, but that also has political difficulties. It involves to some extent coordinating with GCC members."

In the past, Saudi Arabia has ruled out any change to its dollar-peg.

Qatar has made it clear that it prefers any move to be made with a GCC consensus.

In an interview with Marketplace Middle East, Qatari Prime Minister Sheikh Hamad Bin Jassim Al Thani said that the emirate is "studying all options" in relation to the dollar-peg.

"Every country has to see its way out of this, but only after a consultation with the GCC," he said.

"For us, our wish is that it's a policy to be taken by the whole GCC, to either basket or revalue our currency. I cannot see a decision. Even in Qatar, we have no decision up to now."

This week, one of Qatar's leading economic advisors was quoted as saying any policy change would have to be substantial.

In an interview with Reuters news agency, Ibrahim Al-Ibrahim said, "change should be major; minor change won't solve the problem."

He ruled out any potential moves to float the Qatari riyal.

"As a small country we cannot float our currency... it has to be tied," he said.

One of the main reasons GCC members are reluctant to abandon their dollar link is because they're working towards their own monetary union.

A policy diversion now may make it more difficult to unite again under a common currency by the nominated deadline of 2010.

There's widespread skepticism that that deadline can be reached.

"The timeframe of 2010 is rather unlikely now, and the project itself seems to be facing increasing difficulties given the pressure on individual states to go their own way and revalue," Tristan Cooper says. E-mail to a friend

@highlight

Qatar's economy is booming, but emirate has the highest inflation rate in Gulf

@highlight

Two recent cuts in U.S. interest rates putting pressure on Gulf currencies

@highlight

Qatari PM says "studying all options" on dollar-peg, GCC consensus ideal

@highlight

Members reluctant to drop the dollar-peg despite growing inflationary pressure