(CNN) -- Every 40 seconds someone in the world takes their own life, a global tally of more than 800,000 suicides a year, according to a landmark United Nations report on the subject.

The research found that suicide killed more people each year than conflicts and natural catastrophes, accounting for more than half of the world's 1.5 million violent deaths annually, World Health Organization staff told reporters at its presentation in Geneva.

The report, the U.N. agency's first on the subject, analyzed data on suicides from 172 countries, and took a decade to compile.

Setting a goal to cut national suicide rates by 10 percent by 2020, the organization said suicide was a major but preventable health problem that health authorities had failed to adequately address due to a number of complicated factors.

Shrouded in taboo

"This report is a call for action to address a large public health problem which has been shrouded in taboo for far too long," Dr. Margaret Chan, director-general of the WHO, said in a statement.

While warning that data on national suicide rates was imperfect, with fewer than half the surveyed countries keeping accurate figures, the WHO said it used available data to produce estimates on suicide prevalence worldwide.

The global rate was estimated at 11.4 per 100,000, with men almost twice as likely as women to take their own lives -- rising to as many as three times more male victims than female in some richer countries.

On average, high-income countries had a slightly higher suicide rate -- 12.7 per 100,000 people -- than low- and middle-income nations, where the rate was 11.2.

Mental health help: Where to turn

Highest rates

The most suicide-prone countries were Guyana (44.2 per 100,000), followed by North Korea (38.5), South Korea (28.9), Sri Lanka (28.8), Lithuania (28.2), Suriname (27.8), Mozambique (27.4), Nepal and Tanzania (24.9 each) and Burundi (23.1).

The report found suicide rates were highest globally among those aged 70 years and over, but highest among the young in some countries -- and was the second leading cause of death for 15-29 year-olds globally.

Among the challenges in tackling suicide were intense media coverage when celebrities kill themselves, as witnessed in the recent death of U.S. comedian Robin Williams, which could glamorize the act and fuel suicide "contagion," the report stated.

Opinion: Suicide doesn't set you free

Most vulnerable

Another factor was that suicide victims often came from marginalized groups and were difficult to access with interventions.

The report stated that the most common methods of suicide globally were pesticide poisoning -- particularly in rural areas -- hanging and firearms. Evidence had shown that restricting access to these methods can could help reduce the number of deaths.

Also vital to lowering the suicide rate was a commitment by governments to implement national action plans on suicide -- something only 28 countries currently had in place.

"We know what works," said Dr. Shekhar Saxena, the WHO's mental health director. "Now is the time to act."

'Suicide tourism' to Switzerland has doubled since 2009

@highlight

Landmark WHO report estimates one suicide in the world every 40 seconds, or 800,000 a year

@highlight

The document estimates a global average of 11.4 people in 100,000 took their own life

@highlight

Men are almost twice as likely as women to take their own lives, the report found

@highlight

High-income countries had a slightly higher suicide rate than poorer countries