NEW YORK (CNN)  -- A 49-year-old woman collapsed and died on the floor of a waiting room at a Brooklyn psychiatric hospital and lay there for more than an hour as employees ignored her, according to the New York Civil Liberties Union, which on Tuesday released surveillance camera video of the incident.

Surveillance video shows a woman lying on the hospital floor for almost an hour before anyone helped her.

Esmin Green was involuntarily admitted to the psychiatric emergency department of Kings County Hospital Center on June 18 for what the hospital describes as "agitation and psychosis."

Upon her admission, Green waited nearly 24 hours for treatment, said the civil liberties union, which was among the groups filing suit against the facility last year seeking improved conditions for patients.

The surveillance camera video shows the woman rolling off a waiting room chair, landing face-down on the floor and convulsing. Her collapse came at 5:32 a.m. June 19, the NYCLU said, and she stopped moving at 6:07 a.m. During that time, the organization said, workers at the hospital ignored her.

At 6:35 a.m., the tape shows a hospital employee approaching and nudging Green with her foot, the group said. Help was summoned three minutes later.  Watch the surveillance video »

In addition, the organization said, hospital staff falsified Green's records to cover up the time she had lain there without assistance.

"Contrary to what was recorded from four different angles by the hospital's video cameras, the patient's medical records say that at 6 a.m., she got up and went to the bathroom, and at 6:20 a.m. she was 'sitting quietly in waiting room' -- more than 10 minutes since she last moved and 48 minutes after she fell to the floor."

The New York City Health and Hospitals Corporation, which oversees the hospital, released a statement Tuesday saying it was "shocked and distressed by this situation. It is clear that some of our employees failed to act based on our compassionate standards of care."

After a preliminary investigation, the corporation said it suspended or terminated six employees, "including staff involved with the direct care of the patient as well as managers of security and clinical services," the statement said.

A Health and Hospitals Corporation spokeswoman said it was aware of the discrepancies in Green's record when it began the preliminary investigation on June 20. That information is now in the hands of various investigatory agencies, she said.

The corporation pledged to put "additional and significant" reforms in place in the wake of the incident.

The civil liberties group and the Mental Hygiene Legal Service filed suit against Kings County in May 2007 in federal court, alleging that conditions at the facility are filthy. Patients are often forced to sleep in plastic chairs or floors covered in urine, feces and blood while waiting for beds, the groups allege, and often go without basic hygiene such as showers, clean linens and clean clothes. The lawsuit claims that patients who complain face physical abuse and are injected with drugs to keep them docile.

The hospital, the suit alleges, lacks "the minimal requirements of basic cleanliness, space, privacy, and personal hygiene that are constitutionally guaranteed even to convicted felons."

The video sent the organizations back into court Tuesday, demanding immediate reform.

"What's happening in Kings County Hospital is an affront to human dignity," New York Civil Liberties Union Executive Director Donna Lieberman said in a written statement. "In 2008 in New York City, nobody should be subjected to this kind of treatment. It should not take the death of a patient to get the city to make changes that everyone knows are long overdue."

The Department of Justice recently initiated an investigation into conditions at the hospital, the organization said, prompting the facility to improve some of its problems. "But the culture of abuse and neglect remains and, as evidenced by the June death, the situation is too dire to wait for the Justice Department to act," the group said.

Among the reforms agreed to in court Tuesday by the hospital are additional staffing; checking of patients every 15 minutes; and limiting to 25 the number of patients in the psychiatric emergency ward, officials said. In addition, the hospital said it is expanding crisis-prevention training for staff; expanding space to prevent overcrowding; and reducing patients' wait time for release, treatment or placement in an inpatient bed.

On Monday, New York Mayor Michael Bloomberg said he was appalled by the surveillance video.

"Look, I saw the film like everybody else did and I was -- horrified is much too nice a word. Disgusted I think is a better word. I can't explain what happened there."

Green, a native of the island of Jamaica, lived alone in Brooklyn's Brownsville neighborhood. She had no close family in the United States, and her neighbor Beatrice Wallace described her as a quiet woman who had few visitors and spent most of her free time at church.

The medical examiner is withholding autopsy results pending further study and investigation into the precise cause of death.

@highlight

Esmin Green was involuntarily admitted June 18 for "agitation and psychosis"

@highlight

Kings County Hospital Center was target of lawsuit over conditions

@highlight

Tape shows Green collapse, convulse and lay still; workers ignore her

@highlight

Group says hospital staff falsified records to cover up incident