(CNN) -- A year ago, Sony and Microsoft were kicking off their new next-generation video game consoles at the Electronic Entertainment Expo (E3) in Los Angeles, California. This year, the event will be all about the games, as developers show what they can do with that new technology.

Some game companies have already shown glimpses of the power of the Xbox One and PlayStation 4 with recent releases like "InFamous: Second Son," "Titanfall," and "Watch_Dogs." E3 2014 promises to showcase even more creativity, flair, and dynamic gameplay with a look at upcoming titles arriving in the next year and beyond.

Even Nintendo will be making a splash with its eye toward boosting sales of its own "next-gen" console, the Wii U. The company chose not to hold a traditional press conference in 2013, and has opted again for a digital event and smaller, more intimate meetings.

But the real question for the expo is, how many of these games will people actually get to play?

Sony

With Sony leading the sales pack with the introduction of its PlayStation 4 console, they will be looking to hold their lead and offer more titles to keep fans interested. They also will be showing off more about their latest hardware project, Morpheus -- a virtual reality headset that undoubtedly will be integrated into some of their own titles.

Expect to see more about popular titles like "The Order: 1886" or "Uncharted 4," two games that have been teased quite a bit over the months. It is also likely that fans will get glimpses of games like "Driveclub" and a possible new title for the "God of War" franchise.

While Sony hasn't pushed as much on the music and movie front as their competition, it would be a surprise if PlayStation Now, their new streaming service, didn't get prominently mentioned. With a new PS4 console/PS Vita handheld console bundle recently announced, cross-play and Vita titles will likely be part of every demonstration.

Microsoft

The Redmond, Washington, company has to feel like it has been playing catch-up for the past year. Fan reaction to some of its Xbox One policies and hardware forced Microsoft into backtracking on many of its E3 statements from last year.

Unbundling the Kinect hands-free controller from the console, along with a price cut, garnered mixed reaction from the public, so expect Microsoft to explain why it was a good idea and how it will influence the user experience.

A "Halo 5: Guardians" presentation will surely get everyone's blood pumping and a new title, "Sunset Overdrive," should excite fans with its colorful and quirky gameplay.

Will there be more exclusive title announcements? Likely, but how many will move consoles is the real question. Microsoft has been aggressive in pushing the Xbox One as an all-in-one entertainment center, so don't be surprised by more content partnerships to be showcased.

Nintendo

Nintendo's struggles with the Wii U have been well documented. The company just can't seem to explain to customers why the 2012 console offers a different entertainment experience and is feeling financial pressure to do something big.

The company is banking on new games to help get more Wii U's into homes. "Mario Kart 8" and a new "Super Smash Bros." game will help. There are also rumors of a new "Zelda" game for the Wii U and a major new title for the handheld 3DS console.

Hopefully, they will also give more details about a series of figurine-based games, similar to "Disney Infinity" or "Skylanders." Called the Nintendo Figurine Platform, a demonstration in May showed a Mario figurine being used with different games on the same platform. Can you imagine the demand for Mario-based figurines?

PCs

Nearly every new game that comes out for the consoles also comes out for the home computer (well, except for Nintendo). The popularity of "World of Warcraft," "Neverwinter," and other massive multiplayer online games has opened up the field for new MMOs to try their hand.

With the new games, companies are going to be showing off new bells and whistles for computer gamers -- specialized keyboards and mice, chat headsets, and high-powered gaming laptops and towers. It's a good bet a few booths on the show floor will be packed with the latest and greatest hardware for people who game on PCs.

More games

Third-party game developers will also be showcasing their talent with promises for this year and next.

Warner Bros. Entertainment just announced a new "Mortal Kombat X" title, which should get some play at E3, as well as more about "Batman: Arkham Knight." Both of those games are likely to be available in 2015.

Electronic Arts plans on a mix of updates to classic franchises, like "Madden," "FIFA," and "The Sims," while planting the early seeds for new, original projects set to blossom over the next few years. They will also announce a game from Criterion Games that is NOT another "Need For Speed" game, but something brand new.

Ubisoft will be showing off a new "Assassin's Creed Unity" game they said was built specifically for the next-gen consoles. They also announced "The Division," an open-world, role-playing game set in the heart of New York City, and "Far Cry 4," taking the action to the Himalayas.

"Civilization: Beyond Earth" from 2KGames, "The Evil Within" and "Battlecry" from Bethesda Softworks, and "Destiny," a Bungie-produced title from Activision are all expected to be shown with more video, more explosions, and more excitement for the fans. Plenty of other third-party developers will be announcing titles throughout the three-day event.

What else?

Virtual reality gaming is likely to be on the rise with the strides Oculus Rift has made toward a home headset in the past two years. Some companies are looking to be the first to produce a blockbuster hit for the VR headset.

Mobile gaming, both on its own and as a companion to console gaming, will get more attention this year as many games produce one-off titles for smartphones or incorporate gameplay into tablets. It will also be curious to see how much social-platform gaming is featured this year.

Regardless of what is predicted, expected, or promised, E3 always manages to have a few surprises and twists just to keep everything interesting.

What do you hope to see revealed at E3 this year?

@highlight

The Electronic Entertainment Expo kicks off Monday in L.A.

@highlight

With all the new consoles released, games will take center stage

@highlight

Sony hopes to press its advantage with new titles, virtual reality

@highlight

Nintendo is going low-key, hoping to spur Wii U sales with software