(CNN) -- In front of cameras and on the pages of widely promoted books, the wives of a few high-profile cheating husbands have been finding and broadcasting their own voices, a pronounced shift that has some who study infidelity applauding.

Available in bookstores Friday is "Staying True" by Jenny Sanford, who filed for divorce in December from South Carolina Gov. Mark Sanford, whose affair with an Argentine woman was exposed by reporters after he disappeared for several days last summer. Staffers said he was hiking the Appalachian Trail. He later admitted he was actually in Argentina with his mistress.

Sanford's published perspective is the latest addition to a small library of books written by wives betrayed by their prominent husbands. And the book arrives with perhaps the shortest time between marital shock and print.

Dina Matos McGreevey was one of the first political wives to make the public about-face with the release in 2007 of "Silent Partner: A Memoir of My Marriage." She stood shellshocked three years earlier, by the side of her then-husband, New Jersey Gov. James McGreevey, as he stepped up to a microphone, quit the office, and came out as a "gay American."

Elizabeth Edwards provided a glimpse into her journey with "Resilience: Reflections on the Burdens and Gifts of Facing Life's Adversities," published last May and months before she and her husband, former Democratic presidential candidate John Edwards, eventually separated.

So what happened to the women who used to stand silently by their disgraced husbands?

"While we look at these women as political wives," said CNN senior political correspondent Candy Crowley, "some of these wives are powerful career women or have been powerful career women."

And these women have grown up in an entirely different age which gives them more choices about how to deal with an unfaithful husband, said Crowley, who now hosts CNN's "State of the Union."

Wives can now publicly opt to let their husbands clean up their own messes. And that is one reason why former investment banker Jenny Sanford wrote her book, says publisher Ballantine Books on its Web site.

"She chose to let Mark Sanford deal with the embarrassment and political fallout from his own actions while focusing her own efforts privately on raising their children to be men of character, even in the face of the lies their father has told," says the synopsis of her book on the site.

And it's not just the marital foibles of political leaders that are seeing print.

Gayle Haggard, wife of former mega-church pastor and evangelical leader Ted Haggard, recently published "Why I Stayed," in which she explained how her marriage has grown stronger since her husband's infidelity was revealed.

Though each woman's story is unique and their current marital statuses vary, what they seem to have in common is that they are not, like so many under-the-spotlight wives before them, staying silent.

"By speaking out they're giving the public a peek behind the curtain," said Ruth Houston, author of "Is He Cheating on You? 829 Telltale Signs" and founder of InfidelityAdvice.com. "These wives who are telling it like it is are doing a wonderful service to others who are or may become victims of infidelity."

When Houston found out more than 16 years ago that her first husband was cheating on her, she said, she wished she'd had touchstones like these women and their books to turn to. Instead, she said, she found herself grasping for answers in bookstores where the selection was slim and the references hard to come by.

"How could this happen in a good marriage? How could it happen to me? How do I handle it," Houston, who's been remarried for 10 years now, remembers asking herself over and over again. "I vowed that once I got over it, I would make it my mission to get information into the hands of people who need it most -- the infidelity victims, both men and women."

Houston has spent 16 years studying infidelity and interviewing couples.

"What started out as a fact-finding mission," she said, "turned into a second career."

The key to avoiding problems, said Houston, is not assuming your marriage will be safe from infidelity and being aware of clues that there might be trouble.

"We do a breast exam every single month," she said, and looking out for warning signs in a pair of people is equally important. The earlier that problems, including infidelity, are caught and discussed, "the better the chances are for survival in your relationship."

This kind of thinking was generally foreign to women of earlier generations.

For seven long years, starting in the 1960s, Peggy Vaughan had suspicions about her husband.

She didn't dare say a word about the feared affairs, though -- not to him or her friends. Instead, she did what she thought wives were supposed to do. She kept her worries to herself and allowed the not knowing to gnaw at and, in fact, torture her. Simply put, she said, "That's how it was back then."

But when the truth came out in 1974, and after they fought through their feelings and emerged stronger, she and her psychologist husband, James, did something that was unheard of at the time. They wrote a book in 1980 about their experiences and agreed to talk publicly about their painful journey. Their book "Beyond Affairs," which publishers initially wouldn't touch, sent them off on the TV circuit. Phil Donahue dedicated a full hour to their story.

"As long as it feels like it's too awful to talk about, it'll feel like it's too awful to get over it," said Vaughan, 73, author of "The Monogamy Myth" and host of the Extramarital Affairs Resource Center at dearpeggy.com. And talking about it, she said, made her feel empowered and her marriage work.

"The more I did it, the better I felt, the stronger I felt," Vaughan said. "I was the one who owned it."

This, however, doesn't mean that the public -- so quick to condemn affairs and yet eager for details -- needs to be privy to every salacious twist and turn, Vaughan said. She said she disapproves of books such as Andrew Young's recent tell-all, "The Politician," calling some of the claims he makes about John and Elizabeth Edwards "beyond the pale."

Taking back the story may be especially important for the famous. In a time when tabloids, Internet chatter and even mainstream media will speculate wildly about famous couples, some, like authors Elizabeth Edwards and Jenny Sanford, choose to be part of the conversation and not just the topic of it.

@highlight

Writing books and doing interviews, wives of famous cheating husbands speak out

@highlight

Jenny Sanford's "Staying True," in stores Friday, is the latest example

@highlight

Not taking the traditional "stand by your man" approach, infidelity experts applaud honesty

@highlight

Expert: Authors provide "service to others who are or may become victims of infidelity"