Washington (CNN) -- Republican K. Carl Smith is African-American and he knows that the GOP's racial reckoning won't come from 100-page reports from party headquarters with carefully worded prescriptions about "outreach" to "demographic partners."

Instead, the type of sea change needed to shake the GOP's image as a party of old, white and culturally-insulated men will require the type of profound grassroots shakeup that might make some in the GOP uneasy.

"You got your establishment Republicans who want to keep things the same," said Smith, an Army veteran who grew up in Alabama during the Civil Rights era. "The status quo needs to go through some, I won't say diversity classes, but I'll say liberty classes and learn about helping people on the bottom of the ladder."

He said the party also has to deal with small but noisy elements that co-opt any message of inclusiveness if it wants to win the "propaganda battle."

Full CPAC coverage

When Smith, founder of the Frederick Douglass Republicans, tried to share his message while leading a panel at last weekend's Conservative Political Action Conference in Maryland, he found himself face to face with that fringe.

Smith said one young attendee said Douglass, an abolitionist, should have thanked his slave masters for giving him food and shelter and that segregation wasn't such a bad policy.

The Republican National Committee knows it has major work ahead as it tries to make inroads with racial minorities, young voters and women.

The group released a 100-page report analyzing its losses in the 2012 presidential election as well as seats in the House. GOP presidential nominee Mitt Romney lost big among Latinos, African-Americans and Asians.

"The report notes the way we communicate our principles isn't resonating widely enough," RNC Chairman Reince Priebus said. "Focus groups described our party as 'narrow-minded,' 'out of touch,' and 'stuffy old men.'"

"It all goes back to what our moms used to tell us: It's not just what we say; it's how we say it," Priebus continued.

Republicans want to change perception of 'stuffy old men'

Romney's hardline stance on immigration, including his endorsement of a policy of "self-deportation," may be one reason why he won just 27% of Latino voters -- a lower percentage than the last two GOP presidential candidates.

But Romney isn't the only Republican politician who has used that type of rhetoric. Similar comments from other GOP politicians coupled with the occasional pronouncements of President Barack Obama as "lazy" helps to cement for minorities an impression of the Republican Party as out of touch and out of sync with minority communities, said Andra Gillespie, an associate professor of political science at Emory University in Atlanta.

Outreach and naming minorities to committee positions is great, Gillespie said, but the party has much harder work ahead. Party leaders will have to work to better understand the minority groups they are reaching out to.

In the case of African-Americans and Latinos, that will mean recognizing the fact that a strong sense of "linked fate" means many members of this group may be loathe to take a hardline position on cutting entitlement programs, immigration or changing the Voting Rights Act because someone they know may be adversely affected, Gillespie said.

"If prominent Republicans are signing amicus briefs supporting dismantling affirmative action, African-Americans and Latinos will have a problem with that," Gillespie said.

She added that the GOP also won't win broader minority support "in the budget talks advocating dismantling programs that disproportionately help people of color while keeping programs that are perceived in helping the well off."

"It's going to take some platform changes," Gillespie said. "The identity politics they decry is something minorities hold dear. That's a compromise some people will be unwilling to make."

The RNC report underscored this point.

Opinion: GOP has power where it counts - the states

"If Hispanic Americans perceive that a GOP nominee or candidate does not want them in the United States, they will not pay attention to our next sentence," it states.

In one of its few policy recommendations, the report counsels Republicans to "embrace and champion" comprehensive immigration reform.

Lionel Sosa, a veteran Latino GOP strategist who has helped advise candidates since 1980, put it more bluntly.

"Token efforts, such as tamale parties, will no longer work," Sosa told CNN last year. "Winning will require more than outreach. It will require inclusion."

"Latinos, African-Americans and people of other races must be represented in the important decision-making strategies of any given campaign, whether it be for a Democrat or Republican."

For his part, Smith holds out hope that the GOP's attempts to bring more minorities into the Big Tent will align the party's views with those of Douglass, his personal hero who he says shared Republican values.

But he's looking for more than platitudes about inclusiveness.

The party, Smith said, has got to tie principles about self-reliance and getting weaned off government dependence to efforts to help people become entrepreneurs and gain a stronger economic foothold.

"The Republican Party has to be sincere, otherwise the outcome is not going to work and it's going to fail," Smith said.

5 things post-CPAC: New faces, old music and winners/losers

@highlight

Republican outreach to minority cited as a priority in new report

@highlight

The GOP will have to work hard to gain trust, voters in minority communities

@highlight

Previous GOP policy positions on immigration, entitlements a hurdle for some minorities

@highlight

Some platform changes may be needed in order to win over more minority voters