Next month, U.S. President Barack Obama will become the first sitting American president to visit Myanmar, the strongest endorsement yet of the country's efforts to tread a path to democracy.

Much has changed in a year since U.S. Secretary of State Hillary Clinton made a historic visit to the country in December 2011. CNN was also invited to enter Myanmar, also known as Burma, for the first time in years.  With an official journalist visa stamped in our passport, we and other media invited for Clinton's visit, knew this was a big change for a country that has repelled any kind of scrutiny for half a century.

Q&A: What's behind sectarian violence in Myanmar?

Obama's visit will come at a time when Myanmar is in the news again but not for the right reasons.

Violence between Rohingya Muslims and local Buddhists continues in Rakhine state in the west of the country. The United Nations says at least 89 people have been killed in the past two weeks and 110,000 are displaced.  Some aid organizations are questioning whether now is the right time for Obama to add legitimacy to the government of President Thein Sein.

But there's no denying a lot has changed in the past year and a half.

Read more: Aung San Suu Kyi has "soft spot" for the military generals

So far, a quasi-civilian government has been sworn in, although the military still holds great sway. Hundreds of political prisoners have been released, ceasefires have been signed between the government and some but not all ethnic groups. Political and economic reform is well underway. Another change that didn't make headlines but has been clear to us during numerous trips over that 12-month period is the attitude of the Burmese people.

Last year, very few people would speak to us on camera or in some cases even off-camera for fear of retribution. Decades of brutal military rule turned freedom of speech into a luxury most could not afford.

Aung San Suu Kyi: Peaceful freedom fighter

But just four months later, during a bi-election in which the freed opposition leader Aung San Suu Kyi and her party won almost all seats, caution was thrown to the wind and celebrations were passionate and unrestrained.

Thousands of jubilant Suu Kyi supporters spilled into the street, holding posters of the woman who had spent much of the past two decades under house arrest -- these were scenes which just a couple of years earlier would have ended in arrest and imprisonment.

U Myint Maung, a man from Yangon, had a simple explanation of the election.  "The people were living in prison. Aung San Suu Kyi held the key to open the door," he said.

We, as journalists, were welcomed and thanked on the streets as if the fact we were there documenting these changes meant they could never be reversed.

Read more: Myanmar eases restrictions on news organizations

But not one person we spoke to over many months said their lives had physically improved.  They were more hopeful and believed democracy was now possible but they were still struggling to survive.

Daily life is hard for many Burmese. A country that was one of the richest in Asia 50 years ago is now one of the poorest. Authorities are struggling to shore up institutions and update laws to protect people and resources from hungry international investors snapping at Myanmar's heels.

The ethnic unrest in Rahkine state has tested the efforts of President Thein Sein's administration to seek reconciliation with Myanmar's different ethnic groups.

There's no doubt that some changes in Myanmar have been swift and Sein deserves the international praise he is receiving. But the transformation from pariah to ally is not complete and the skeptics among us worry it could yet stumble.

@highlight

President Obama will become first sitting U.S. president to visit Myanmar

@highlight

U.S. Secretary of State Hillary Clinton visited country in December 2011

@highlight

Uncertainty remains for Myanmar as ethnic violence continues in Rakhine state