Athens, Georgia (CNN) -- The still charred brick walls reverberated with music for the first time since a 2009 fire gutted the iconic Georgia Theatre. The historic venue, though rebuilt and modernized, still showed the scars of the blaze that almost devoured the entire building.

The Glands, an indie rock band from Athens, Georgia, began their sound check in the same spot that helped launch the careers of R.E.M., the B-52s and many other influential groups.

"That's the first song that's been played in here in two years," said owner Wilmot Greene, a smile beaming from his face now that construction was complete and the music had returned.

After two years of working to the sounds of backhoes and jackhammers, Greene hears rock 'n' roll.

There were major doubts about whether the musical landmark would come back after the fire. But on August 1 the theatre opened its doors to ticket holders for a triumphant two-week series of performances.

Greene said he will never forget the reopening. "It was just such a magical night to finally see people back in here."

The still-unexplained fire ignited overnight inside a guest dressing room and fully engulfed the building's mostly wooden interior.

In just a few hours the blaze destroyed the interior of the more than 100-year-old building.

August 2010: Theater struggles after fire

The final cost to rebuild the theater and retrofit it to modern building codes: $4.5 million.

Insurance only covered what little was owed on the original structure and the owners were limited by how much they could borrow from the bank.

Donations and fundraising benefits have brought in more than $250,000. The largest donation came from the Grammy Award winning Zac Brown Band, another product of the Athens music scene.

Without these contributions, the theater might not have been brought back to life.

"We raised exactly as much as we had to. Had we raised any less it wouldn't have worked," said Greene.

The theater continues to accept donations and high-level donors are honored in a photo gallery inside the theater that documents the fire and rebuilding process.

The new space has been transformed from four blackened exterior brick walls and a heap of smoldering rubble to what theater production manager Ric Wallace describes as a world class music venue.

"Everything is designed to operate and support A-list artists," he said.

The Drive-By Truckers' guitarist and singer Patterson Hood was heartbroken when he got the call that the theater had burned down.

"It's a very important part of our town's music history," Hood said. "We were all very upset."

He was pleased with how much the re-build matches the original grandeur. "I think they did an absolutely fantastic job with it," he said. "I was blown away!"

The rickety wooden steps that at one point led patrons to the balcony have been replaced with an elevator and three floors of a fire-safe enclosed spiral staircase.

The worn and tattered bars have been rebuilt using wood salvaged from the rubble. And the new 65,000 watt sound system fills the room completely to ensure the 1,087 fans get what they came for, the music.

Though the insides have changed, the remodeled structure still pays homage to the original.

The signature marquee remains. There are still two bars that flank either side on the main level. Stately red curtains still outline the stage and the same exposed brick walls, though more charred than before, are all still there.

Starting with a blank slate also gave theater management the ability to make improvements. A three-tiered balcony gives a great vantage point to see the shows and a rooftop bar allows concertgoers the opportunity to step outside and soak in the evening.

The remodelers' ultimate goal, though, was to give the theater an updated look without taking away from the feel of the original layout.

"Even though it's a different place, it's still the same, it's still the grand old theater," Wallace said.

The building was transformed into a movie theater in the 1930s and has been everything from a YMCA to a Masonic temple to a furniture store. It became a music venue in 1978 and was the backdrop for R.E.M.'s "Shiny Happy People" and John Mayer's "No Such Thing" videos. Other major artists, such as Widespread Panic and Zac Brown, cut their teeth playing to sweaty fans inside the theatre.

It became the type of venue that gave something to everybody. With so many shows that span several genres, any music fan can find their niche.

On one night, the Derek Trucks Band would jam on mellow Southern blues. Another night, Cee Lo Green would blow the roof off with R&B.

With this in mind, the owners decided to hold the two-week grand opening to cover the full gamut of musical styles that fully encapsulates the diversity of the theater.

"What I've always loved about the Georgia Theatre is that it's a clean palette that any kind of artist can paint on," said Greene.

Drive-By Truckers were among a dozen acts who performed during the grand reopening. Others included Big Boi and Bela Fleck and the Flecktones.

"It has been fabulous, " Greene said of the first weeks of shows. "The crowds have been full and the bands have been happy. It's really just gone fantastic!"

The fans have come back in droves, selling out most shows since the reopening. The theatre is now able to resume its purpose: giving people a place to just enjoy the music.

"There's this real primeval thing about going to a concert," Greene said. "I feel like people have been dancing around the fire since we were humans."

Now, after two years and a massive effort, the dancing has returned.

@highlight

Burned in mysterious '09 fire, venue holds grand re-opening

@highlight

Theater hosted early gigs for R.E.M., B-52s, Indigo Girls, Widespread Panic

@highlight

2-week re-opening features artists from Drive-By Truckers to Big Boi

@highlight

Truckers' Patterson Hood: "I was blown away!"