(CNN) -- In her new, already much-discussed book, Facebook COO Sheryl Sandberg argues we need to "lean in" more to our careers. We need to ask for flexibility even when the thought of doing so scares us, say yes to the promotions and the big projects, and radiate our own worthiness at cocktail parties just like the Harvard boys. Agreed.

But to prevent falling flat on our faces from all that forward momentum, we also need to learn to "lean out" in other areas of our lives.

Too many women might let their employers off the hook, shying away from salary negotiation or accepting policies that prevent working mothers from thriving, but more still never let themselves off the hook.

Opinion: Why women must seize this moment

It's time that women wave the white flag of surrender over our own messy, beautiful lives. We must accept imperfection -- physical, domestic, social -- and strive, instead, to be whole, bold, interesting. We must embrace psychologist D.W. Winnicott's decades-old idea of the "good enough mother."

At the TED conference last week, surrounded by uberachievers, I was chatting with a superstar organizational leader in the hallways, and she told me that it was her 4-year-old daughter's birthday. "It must be hard not to be with her. It's such a special day!" I said.

"Not really," she immediately responded. "We all turned 4 -- it's not that special. There will be plenty more birthdays, and she's having a great day with her dad."

Photos: The historical analogs of brilliant women

I was stunned. Regardless of what you think about her nonchalance, you have to admire this woman's capacity to shed the preciousness of motherhood so publicly. In this little exchange, she was boldly "leaning out" of the gender-based expectation that she would be tortured about missing her daughter's birthday. Instead, she owned that she, in fact, was excited to be at a conference that promised to boost her own career. The bonus: Her husband had an opportunity to strengthen his bond and build more memories with his daughter.

Another recent, and rare, sighting of a woman "leaning out": A couple of weeks ago, I was sitting around a coffee table, eating Thai takeout with a circle of women in their 20s and 30s. Another high-achieving friend showed us a photo of her young son, sitting on a hospital bed, smiling enthusiastically while holding out a big thumbs up. Turns out that while she was away on a business trip, he'd fallen out of a tree and had to go to the hospital. The bowl-haired little boy had asked his father to snap this photo with his iPhone to send to his mom so she could see how brave he had been, even and especially without her.

The myth of balancing motherhood and a successful career

Instead of "leaning in" to guilt that she hadn't been there to supervise his stitches, she "leaned out" with a proud smile; her son was already learning the power of resilience.

So yes, part of the revolution is asking for what we're worth at work, but part of it is also not overestimating our worth at home. We must give ourselves permission to be less responsible in the parts of our life that women have micromanaged for decades -- the dishes, the carpool and even the thank-you notes. Too often, we want our friends, our family, our employers to all consider us infallible and "good," what author Rachel Simmons calls the "curse of the good girl."

Work and family: How do you and your partner make it work?

Instead, we need to sharpen our serenity, cut through the guilt and the expectations and the perfection and accept when we just can't live up to our own or others' expectations of perfection.

We need to practice big, radical shrugs: the all-too-rare and oh-so-powerful, "Oh well," of a woman who has accepted that she couldn't be everywhere at once or be everything to everybody.

My own mom is a seriously talented, dynamic woman, but cooking is not one of her favorite things. Even so, she spent almost every night of my childhood cooking up homemade meatloaf, slow cookers full of oxtail soup, chicken casseroles and other Midwestern specialties just like her own mother had done, just like she thought she had to. Sadly, and to my mom's palpable frustration, I don't remember any of these meals. Instead, I remember my mom screening documentary films, jumping on the trampoline, going on power walks in the park with her friends. These are the things she loved. These are the things that shaped who I am.

While Sheryl Sandberg has become the new icon of "leaning in," we need a wide variety of women -- diverse in their ethnic, economic and geographical distribution -- who embody a new era of "leaning out," too.

Editor's note: Join CNN Opinion on Facebook for a live discussion about women and the workplace on Tuesday from noon to 1 p.m. ET. Bring your questions and thoughts!

The opinions expressed in this commentary are solely those of Courtney Martin.

@highlight

Courtney Martin: "Lean in" at work, but learn to "lean out" in other areas of life

@highlight

Martin: We need to stop trying to be perfect at home life, motherhood

@highlight

Let go and let others take care of birthday parties, doctor visits sometimes, she says

@highlight

Martin: Stop being guilty, accept when we can't live up to expectations of perfection