Farmers' frequent use of antibiotics to help their livestock grow is contributing to the rise of dangerous antibiotic-resistant bacteria, according to the Food and Drug Administration.

On Wednesday, the government agency announced a new plan to phase out the use of certain antibiotics in the food production industry.

"It is important to use these drugs only when medically necessary," the FDA said on its website. "Governments around the world consider antimicrobial-resistant bacteria a major threat to public health."

Many of the antibiotics used in animals are also used to treat humans when they get sick. Illnesses caused by bacteria are more likely to be fatal if overuse has made the germs resistant to medication, the FDA says.

An FDA report released in April showed that 81% of all the raw ground turkey the agency tested was contaminated with antibiotic-resistant bacteria. And turkey wasn't the only problem -- antibiotic-resistant bacteria were found in about 69% of pork chops, 55% of ground beef and 39% of chicken.

Antibiotics are used in livestock to prevent disease, but they are also used as a protectant and to aid growth. About 29.9 million pounds of antibiotics were sold in 2011 for meat and poultry production, compared with the 7.7 million pounds sold for human use, according to the Pew Charitable Trusts.

"Antibiotic use in animals is out of hand," said Dr. Gail Hansen, a veterinarian and senior officer for the Pew Campaign on Human Health and Industrial Farming, a project aimed at phasing out overuse of antibiotics in food production.

"We feed antibiotics to sick animals, which is completely appropriate, but we also put antibiotics in their feed and in their water to help them grow faster and to compensate for unhygienic conditions. If you have to keep the animals healthy with drugs, I would argue you need to re-examine the system. You don't take antibiotics preventively when you go out into the world."

What government tests found in your meat

The FDA will now begin working to address how farmers are using these drugs to enhance animals' growth or reduce the amount of feed they have to use.

Its plan also explains how animal pharmaceutical companies can voluntarily revise their drug labels to remove animal production as an approved use, effectively making it illegal to use the drugs for growth enhancement.

Under the plan, therapeutic uses of animal antibiotics would require veterinary oversight, meaning antibiotics could be used in food-producing animals only under a veterinarian's orders to treat, prevent or control disease.

"With these changes, there will be fewer approved uses, and the remaining uses will be under tighter control," said Michael Taylor, deputy commissioner for foods and veterinary medicine at the FDA.

Companies have 90 days to let the FDA know if they intend to participate and three years to make the changes.

In a statement, the Animal Health Institute said it and its member companies support the policy and will continue to work with the FDA to implement it.

"We are in favor of maintaining the important therapeutic uses of disease treatment, disease control and disease prevention, and believe that phasing out sub-therapeutic uses will increase consumer confidence that antibiotics are being used wisely to protect animal health and thereby human health," the organization said.

The American Meat Institute also said it welcomed the move.

What's in your holiday poultry?

"AMI strongly supports the prudent and judicious use of antibiotics in food animal production under the care of a veterinarian, as defined by the American Veterinary Medical Association, which is consistent with protecting both animal and public health, ensuring the ability to medically treat animals, and maintaining the highest standard of animal welfare practices," the group said, adding the FDA proposal "adheres to these principles."

But the Natural Resources Defense Council, a non-profit environmental advocacy group, bashed the FDA's plan, saying it fails to require any change in the use of antibiotics.

"FDA's policy is an early holiday gift to industry," NRDC health attorney Avinash Kar said in a statement. "It is a hollow gesture that does little to tackle a widely recognized threat to human health. FDA has essentially followed a voluntary approach for more than 35 years, but use of these drugs to raise animals has increased."

The Center for Science in the Public Interest noted in a statement the proposal "requires the drug companies who profit from sales of their drugs to initiate the process. The good news is the agency has pledged to evaluate levels of compliance and inform the public after 90 days if the drug industry is cooperating with the relabeling effort."

"No one is advocating that sick animals should not be treated," the CSPI said. "But just as our kids see a doctor to get antibiotics, farmers should call a veterinarian, who can assess whether and when treatment with an antibiotic is appropriate. This simple step could save antibiotics as treatment options for future generations of consumers and farmers."

Currently, federal law tracks only how many antibiotics are sold; it does not mandate data collection on how many animals are given the drugs or how much. Without that information, it is hard to know where antibiotics are used.

Taylor said the FDA still has the ability to take regulatory action against specific products if it's needed to protect the public's health.

This plan is the FDA's latest move targeting food production and quality. Last month, the agency took a step toward potentially eliminating most trans fats from the food supply.

What's in your holiday poultry?

@highlight

The FDA wants to phase out the use of certain antibiotics in food-producing animals

@highlight

These drugs should be used "only when medically necessary," the agency says

@highlight

The antibiotics use contributes to the rise of antibiotic-resistant bacteria, the agency says