Kenya (CNN) -- As a child, Leela Hazzah would spend her summer nights lying on the rooftop of her family's home in Egypt.

Her father and uncle had told her stories of their childhood, when they would sleep on the same rooftop and hear lions roaring.

"I used to lay there, listening for those same sounds. But I didn't hear anything," Hazzah said.

Hazzah's father finally got the courage to tell his young daughter that she would not hear lions roaring because they had long since gone extinct in Egypt.

"That was the moment when I decided I knew what I wanted to do," Hazzah said. "I wanted to hear lions roaring."

Hazzah, now 35, has since devoted her life to lion conservation. While earning her master's in conservation biology, Hazzah's research led her to Kenya. She lived in a tree house and began seeing firsthand the rapid decline of African lions due to habitat loss and human-lion conflict.

"Sixty years ago, there were probably half a million lions in Africa. Today, there are less than 30,000 lions in all of Africa," she said.

Now armed with a doctorate in environmental studies, Hazzah has found one solution to help the lion population grow. Her nonprofit turns Maasai warriors -- who have a tradition of killing lions -- into lion protectors.

The organization employs 65 Lion Guardians throughout East Africa. Their ultimate goal: reduce lion killings.

"The lion is iconic," said Hazzah, who started Lion Guardians in 2007. "If there are no lions left in Africa, it will have a significant effect. ... We could lose a lot more than just the lion."

Changing a culture

Hazzah spent a year living among the Maasai to understand their relationship with lions and why they were killing them.

For one, young warriors receive their lion name when they first kill a lion, a sort of rite of passage.

"It brings a huge amount of prestige to the warrior who kills a lion," Hazzah said.

The Maasai also live a mostly pastoral life and depend on their livestock. They use it to feed their families; they use it for currency. Livestock is also a status symbol.

"Livestock are the core of their culture. ... It's their main source of livelihood," Hazzah said. "When they lose their cows, they don't have anything left. So they retaliate, and they kill lions."

Hazzah's idea for Lion Guardians came together while living in the community and spending time with the warriors.

"They started opening up and telling me stories," she said. "That's when it clicked."

Hazzah realized that Maasai warriors, the leaders and protectors in their community, would be the best ambassadors for lions. She began teaching them the benefits of protecting lions, with an emphasis on preserving their culture. In turn, the lessons began rippling through the entire tribe.

"Maasai have a very close-knit relationship with lions. It's very much a love-and-hate relationship," Hazzah said. "They dislike them because they eat their livestock, but they also admire them tremendously because they are just beautiful animals."

From hunter to guardian

Today, protecting lions is a full-time job for a guardian, who earns around $100 a month.

The group teaches the guardians a number of methods to reduce human-lion conflict in their communities.

If a guardian hears about a lion hunt, he intervenes. He helps the individuals understand the importance of keeping lions alive, including that lions draw tourists to the area, which provides jobs.

Guardians also help farmers strengthen corrals where they keep their livestock. They also help find and safely return lost livestock. These measures have prevented livestock deaths and, more importantly, retaliatory lion killings.

"Becoming a Lion Guardian is a rebirth for (the Massai). They gain even more prestige than they would have from killing a lion," Hazzah said.

Most Maasai warriors come to Lion Guardians illiterate, having never attended school. Hazzah and her team teach each one how to read and write.

The guardians also learn about "their" lions; they keep data on the lions' movements and population changes as part of their job. Director of Science and co-founder Stephanie Dolrenry works with the guardians to study and name their lions and provides the technical field training and equipment the guardians need to monitor the lions.

For Hazzah, watching the transformation of young Maasai warriors has been one of the most rewarding parts of her efforts.

"We never imagined when we first started Lion Guardians that we could transform these killers to the point where they would risk their own lives to stop other people from killing lions," she said.

Hazzah said the Lion Guardian program has had great success in the Amboseli region of Kenya. When used alone or with other conservation programs, the program was 99% effective in stopping lion killings.

"I know we're making a difference," Hazzah said. "When I first moved here, I never heard lions roaring. But now I hear lions roaring all the time."

Want to get involved? Check out the Lion Guardians website at www.lionguardians.org and see how to help.

@highlight

Leela Hazzah wanted to help when she learned lions in Egypt were extinct

@highlight

She has since devoted her life to lion conservation in Africa

@highlight

Her nonprofit turns warriors who have a tradition of killing lions into lion protectors