ATLANTA, Georgia (CNN) -- The doctors, nurses, pharmacists and technicians gathered around her son's crib, their faces grim. Pamela Gorman knew what they were thinking: Her son, Christopher, was about to die.

As a newborn, Christopher Gorman was given little chance of survival. His mom calls his recovery "a miracle."

Christopher was just a few days old and had a rare blood infection and fungal meningitis, a brain infection.

"I could tell in their eyes they had no hope for my son," Gorman said. "They told me to prepare for his death. They told me he might not make it through the night."

Gorman never believed the doctors. In fact, she did something she thinks annoyed these men and women of science: She prayed. She prayed all the time.

"They made me feel ridiculous for praying so much and so hard and leaving it up to God," said Gorman, who lives in Idaho Falls, Idaho. "But I told them my son not surviving was not an option."

When he was a month old, Christopher left the hospital. He's been healthy ever since, she says. He turns 3 next month.

"It was a miracle," she said. "There are just things doctors can't explain. Doctors are not in control of everything. There's stuff that happens every day that they can't explain."  Empowered Patient: Watch more on faith and medicine »

A new study finds that many Americans have that same kind of faith. In the study, 57 percent of randomly surveyed adults said God's intervention could save a deathly ill family member even if physicians said treatment would be futile.

However, just under 20 percent of doctors and other medical workers said God could reverse a helpless outcome.

The study was published last month in Archives of Surgery and is one of many to show a "faith gap" between doctors and patients.

"Patients are scared to death to talk to their doctors about this issue," said Dr. Harold Koenig, co-director of the Center for Spirituality, Theology and Health at Duke University.

Given this gap, how can you discuss God with your physician? We asked advice from Koenig and two other physicians who study faith and medicine.

1. It's OK to ask for a doctor who also has strong religious convictions

Koenig suggests this approach when talking to a physician: "I would say: 'My religious beliefs are very important to me and influence my medical decisions and the way I cope with illness, and I want a doctor who has those same convictions. If you don't come from that perspective, do you know a doctor you can refer me to?' "

If you're a Christian, you might find a like-minded doctor through the ZIP code search at the Christian Medical and Dental Associations.

2. Don't be surprised if you find No. 1 difficult to do

"Religion is the last taboo in medicine," said Dr. Daniel Sulmasy, an internist, a Franciscan friar and director of ethics at St. Vincent's Hospital and New York Medical College in New York. "Doctors and patients talk about intimate details like sexual practices and drug use but still have this great reluctance to talk about religion."

Sulmasy suggests not asking directly about the doctor's own religious beliefs but instead focusing on your own religious needs.

3. It's OK to ask your doctor to pray with you

According to a 2006 study by the University of Chicago, 53 percent of doctors surveyed said it was appropriate to pray with patients when asked.

This can work even when doctor and patient don't share the same faith. For example, Koenig, who's Christian, has prayed with Jewish patients. "In most cases, a general prayer asking for God's comfort, support and healing will be sufficient," he said.

4. Be specific about your religious needs

"If I'm a Muslim and I come to the point of dying, the hospital might need to relax the visiting rules, because it's important to have as many people as possible with me as I recite the Quran," Sulmasy said.

"If I'm a Buddhist, it may be important to me to hear chant as I'm dying," he added. "If I'm a Catholic, I may want to receive the Sacrament of the Sick."

5. If you believe in miracles, say so

"Get that out in the open," advised Dr. Robert Fine, an internist and head of clinical ethics and palliative care at Baylor University Medical Center in Dallas, Texas.

Confusion may ensue if you don't, he explains. For example, sometimes doctors think families are against removing life support at the end of life because they don't understand the medical facts, when they do understand but are waiting for a miracle.

"Once we know that, we can have a discussion about faith," Fine said.

CNN's Jennifer Pifer contributed to this report.

@highlight

Recent study found many Americans believe in divine intervention in a medical crisis

@highlight

If faith is important to you, it's OK to ask for a doctor with similar convictions

@highlight

If you believe in miracles, make sure your health providers know it