The quiet, sandy streets of the southern Jordanian city of Ma'an belie the pro-jihadi sentiments simmering just under the surface.

Black graffiti showing the ISIS flag defaces walls and shopfronts on the main road, the backstreets where children walk to school, and roundabouts where cars packed with families speed past.

One hundred and fifty miles south of the capital, Amman, Ma'an has always been known as a rebellious city in Jordan. For decades it has been at the center of repeated episodes of violent riots and confrontations with the security forces.

But Ma'an is also an important city, historically a key base of tribal support for Jordan's Hashemite monarchy.

In recent months, videos of small but vocal pro-ISIS demonstrations have circulated on social media, with some Ma'an residents waving the black flag of the hardline extremist group which has taken massive swaths of land in Syria and Iraq.

Demonstrators brazenly called for an Islamic state and chanted anti-government slogans.

The government says it has the situation in Ma'an under control, despite the apparent tensions.

"The very few Jordanians who carried ISIS flag were arrested," government spokesman Mohammad al-Momani told CNN on Tuesday of the demonstrations.

According to a government official who spoke on condition of anonymity, "the majority of people who showed sympathy with ISIS were arrested." The official said a total of 71 sympathizers had been arrested over the past couple of weeks across the country.

Key U.S. ally

For years Jordanians have joined the ranks of extremist groups like al-Qaeda in the wars in Afghanistan and Iraq and more recently in Syria.

Jordan, a key U.S. ally, has been on high alert along its borders with both Iraq and Syria, beefing up security and foiling a number of infiltration attempts, according to the government.

But many in the kingdom fear the threat from within is now only going to rise after Jordan joined the U.S.-led coalition in its fight against the terror group in Iraq and Syria.

Like many Jordanians, the mayor of Ma'an is concerned about the repercussions of the country going on the offensive against ISIS in neighboring countries.

"The Salafi jihadi movement has been in Jordan for years, not just in Ma'an but also in other cities ... if this movement in Iraq or Syria declares a war on Jordan, they will not hesitate to carry out operations in Jordan," Mayor Majed al-Sharari told CNN in his office on Monday.

The government downplays these concerns and insists it has the situation under control.

"All Jordanian institutions and security agencies work continuously to stop and arrest any Jordanian that carries an extremist ideology, and Jordan has a good record of facing this phenomenon and dealing with it through its judicial system and security apparatus," al-Momani told CNN.

Grievances fuel unrest

The unnamed government official said at least 11 Jordanians were detained over allegations of being in direct contact with ISIS in Syria days before the start of the coalition's airstrikes last week.

In Ma'an, the mayor insists pro-jihadist residents are not in the majority, but warns that unless the grievances of the people in his city are seriously addressed, there is potential for more unrest.

"The unrest over the years in Ma'an is caused by political reasons, the economic situation and for years this city and Ma'an Governorate has been marginalized for a long time by consecutive governments," he said.

He said the population of more than 60,000 suffers high unemployment and poverty, and very few opportunities.

Al-Momani said the government was working to address such inequalities.

He said Ma'an and some other cities in Jordan "suffer from fair distribution of development, which the government continues to play close attention to."

Hardline Islamists in Ma'an's main market area were not hard to find. One after the other, they came forward to voice support for ISIS, which calls itself the Islamic State.

One man said ISIS is the only solution to Ma'an's troubles. Another declared: "We hope the mujahideen come here and enforce Islamic, Sharia law -- we want Sharia law."

Not surprisingly, most there were opposed to Jordan joining the U.S.-led coalition against ISIS.

"For almost four years our brothers in Syria have been bombed, civilians and children killed ... mosques destroyed and we haven't seen the United States, Jordan's apostate military and the infidel Arab armies move to support our brothers in Syria ... but when it came to the mujahideen, they mobilized all their armies and started striking," said another man.

'The Islamic State is here to stay'

Some residents told CNN that heavy-handed measures by the government were behind the anger in Ma'an.

But al-Momani, the government spokesman, said, "We are talking about a small number of residents which the security agencies are after. The majority of those were already arrested.

"Ma'an is an important and dear city to all Jordanians and the government needs to ensure security in order to introduce economic development."

The spokesman disputed an assertion, raised by some Ma'an residents, of a lack of police or security forces in the city.

"There is a security and police force in the city that is there to ensure the security and safety of the city and residents, and the work continues to support the security agencies with any of their needs," al-Momani said.

While Ma'an has been described as restive, its streets do not appear dangerous. While there is no visible police presence to speak of, there is at least one checkpoint on the road between Amman and Ma'an.

Women, mostly covered, walk freely in the streets of Ma'an. Children run past in school clothes. Dogs and cats play in the street.

A few minutes into any conversation, residents will insist on buying juice or soda for visitors, even offer a lunch invitation.

But their famous hospitality does not mask the dark message emanating from the graffiti on the city walls.

"The Islamic State is here to stay," states one. Another, referring to the leader of ISIS, reads, "Abu Bakr Al-Baghdadi is our prince."

@highlight

Black graffiti showing the ISIS flag trumpets support for ISIS in the streets of Ma'an

@highlight

Videos of small but vocal pro-ISIS demonstrations in Ma'an have circulated on social media

@highlight

Jordan's government says it has arrested people who showed sympathy with ISIS

@highlight

The mayor of Ma'an says lack of opportunity and marginalization are fueling grievances