(CNN) -- Demonstrators in Amman, Jordan, battled riot police Wednesday in a fury over gas prices. And those who stayed after the tear gas and water cannons were fired did something rare in that nation: They chanted slogans against King Abdullah.

The fighting was in the Jabal al Hussein area, along Soukaina -- one of the main roads running through the capital.

Hundreds of demonstrators called on the government to reverse its decision to raise fuel and gas prices. Riot police worked to break up the crowd, and most people fled.

But a handful stayed and engaged in a standoff with the police, who fired tear gas canisters to try to force the demonstrators back. CNN saw police beat one man and take him away, and also saw plainclothes intelligence officials takk away two young men as demonstrators threw rocks at the police.

The protesters who remained chanted for the downfall of the monarchy.

Previous protests have left 14 people injured -- 10 of them by police gunfire, Jordan's public security department said. There was also property damage.

Jordanians have told CNN that while they are incensed about rising prices and government corruption, they're just as worried about the current situation. Many say they've never been so fearful about the future of their country. Many believe that if the government does not reverse its decision, the kingdom will plunge into chaos.

A wave of protests that began in Jordan in December 2010 has recurred sporadically since.

Previously on CNN.com: Thousands rally for political change in Jordan

While the demonstrators have often lambasted members of parliament, cursed the prime minister and called for the government to go, they've rarely spoken out against King Abdullah II. While those voices remain a minority, their call is growing as Jordanians throng to public squares to lash out against the government for cutting fuel subsidies, which resulted in higher gas prices.

"Hey Abdullah, don't be fooled, look around and see what happened to your peers," one crowd chanted with reference to toppled Arab autocrats.

The government, which the king reshuffled under public pressure in early October, announced the price boost for gasoline, diesel fuel, kerosene and cooking gas Tuesday.

Unleaded gas jumped from about $3.80 to just over $4.25 per gallon. Diesel fuel spiked from about $2.80 to around $3.70 a gallon. Cooking gas prices spiked from just over $9 per canister to more than $14.

The government announced a payout to families of just under $600 to soften the blow of the higher prices for the nation's poorest.

Pain at the pump is a drag on government approval ratings anywhere. But in Jordan, where the Arab Spring has kept up the pressure on a monarch who is friendly to the West and a stabilizer in the Middle East, a protest could have explosive potential with effects beyond Jordan's borders.

The Hashemite kingdom, which has good relations with Israel, is wedged among the Jewish state, Syria, Iraq and Saudi Arabia, and serves as a buffer in the region.

As in Egypt, Islamists hold powerful political influence in Jordan. But the protesters are people of all backgrounds, including women without veils and men without beards.

State news agency Petra reported that there were protests in at least seven municipalities.

"Oh, Abdullah ibn Hussein, where is the people's money? Where?" people roared at one demonstration. "Raising the prices will set the country on fire!"

The higher gas prices come on top of high unemployment and inflation.

Jordan's teacher's union announced an open-ended strike Wednesday, saying it would last until the government reverses the price hikes.

Jordanian demonstrators commonly voice anger about corruption and poverty, accusing those in power of misappropriating government money for personal gain.

But as the streets filled, the rhetoric took a caustic turn, dropping the monarch's title and referring to him crudely by first name only, a rare indiscretion in Jordan.

"Hey Abdullah, listen, listen very well, we will kneel to no one but God!" was one chant, along with, "God is mightier than all tyrants."

Insulting the king is illegal in Jordan and can result in a prison sentence.

King Abdullah does not have a reputation for bloody oppression like Syria's Bashar al-Assad or former Libyan dictator Moammar Gadhafi, and is viewed by many as a benevolent king.

He had 20 opposition activists arrested in early October but quickly released them after an international human rights group criticized the move.

His recent announcements of concessions to protesters' demands to democratize have not quelled discontent.

Prime Minister Abdullah Ensour, in office for just over a month, took to the airwaves Tuesday night to address the protests. He accused Islamists of lying in wait for any opportunity to incite the collapse of a stable government.

Speaking of the Islamic Action Front, he said: "They have been trying to mobilize their people in the streets and prepare themselves for such an eventful day."

He reminded them that they had shown no opposition when Egypt's Islamist president, Mohamed Morsy of the Muslim Brotherhood, had to raise gas prices there.

He then appealed to Jordanians not to "be influenced by these petty attempts."

Ensour has blamed the gas subsidy cuts on budget slashing made necessary by the uprisings in neighboring countries, which have reduced the gasoline supply to Jordan.

"In the past 18 months of the Arab Spring, Jordan has lost between $4 and $5 billion at least as a result of oil stoppage, especially the Egyptian gas supplies," Petra quoted Ensour as saying.

It has put the country's budget deficit through the roof, he said.

In the past two years, King Abdullah has fired four prime ministers. In February 2011, shortly before Egyptian President Hosni Mubarak was forced out of office following weeks of intense protest, the king dismissed his government and ordered "genuine political reform," the country's royal court reported.

Political reforms would mean taking power away from his base -- the Bedouin tribes, a group known as the East Bankers.

On top of that concern, the king is also dealing with more than 200,000 Syrian refugees who have entered Jordan recently, fleeing despotism in the neighboring country.

CNN's Josh Levs, Ahmed Al-Assad, Raja Razek and Hamdi Alkhshali and Jomana Karadsheh contributed to this report.

@highlight

Some of the protesters battle riot police

@highlight

Chanting against the king is very rare in Jordan

@highlight

Tuesday night, 14 people were injured, some by gunfire, authorities say

@highlight

King Abdullah II is friendly with Israel and the West and brings stability to the region