(CNN) -- Two years after the end of the Iraq war, the U.S. State Department confirmed this week that it is providing the fragile country with sophisticated weapons and drones. Iraq needs help fighting against a growing and serious threat -- al Qaeda.

For those who don't avidly follow the complicated machinations of the globe's top terror group, this could be confusing.

Hasn't the line for years from the U.S. government and its allies been that al Qaeda is on the run, that its fiercest fighting ability has been weakened by U.S. strikes?

That truth is far more complex, of course. The terror group's manpower has increased in recent years, it has gained control of more territory in North Africa and the Middle East and is taking a different approach to death, according to top lawmakers privy to high-level intelligence and experts who have observed al Qaeda's activities since September 11.

A stake in Yemen

While al Qaeda suffered significant setbacks after Navy SEALs shot and killed Osama bin Laden in Pakistan in 2011, and drone strikes have taken out top terrorists along the Pakistan-Afghanistan border, the terror group and its close allies have rebounded in Yemen, the Sinai region of Egypt, Libya, Iraq, and parts of east and west Africa, among other places.

Al Qaeda in the Arabian Peninsula, or AQAP, headquartered in Yemen, is particularly concerning.

CNN has learned of recent intercepts of messages among senior al Qaeda operatives in Yemen, but the messages don't name specific targets. One source told CNN that the chatter suggested "active plotting."

"There are multiple indications that al Qaeda in the Arabian Peninsula is plotting attacks both within Yemen, against U.S. and Western structures and overseas," said Seth Jones, an analyst at Rand Corp. The Yemeni group is already notorious for sending an operative on board a flight into the United States on Christmas day in 2009 with explosives in his underwear.

Al Qaeda in Yemen "are still capable of conducting attacks" and particularly adept at "taking down aircraft," Jones said.

Al Qaeda: We're sorry about Yemen hospital attack

The U.S. has been fighting back, but not every strike has been successful. This month a drone failed to kill an al Qaeda planner believed to be behind a plot to attack the U.S. Embassy in Sanaa. Instead, the drone hit a wedding party, Yemeni officials said.

A powder keg in Syria

Al Qaeda-linked militants have established a formidable foothold in the complicated civil war in Syria.

There are up to 11,000 foreign fighters from 74 nations in the conflict that has raged since April 2011, according to the December report from the International Centre for the Study of Radicalism (ICSR).

The majority have traveled from other Arab countries, creating a significant risk of blowback when these fighters return home.

"The concern is that the al Qaeda networks of the future are being created in this jihadist melting pot," said Paul Cruickshank, a CNN terrorism analyst who has specialized for years in studying al Qaeda.

READ MORE: Cruickshank: Concerns over al Qaeda's resurgence

An increasing number of them are from Europe -- approaching two thousand, according to the ICSR, an unprecedented number, according to experts.

The United States and its allies fear that those fighters will be able to more easily launch attacks in their homelands or against Western targets, said Cruickshank.

"Syria is now the fuel for the jihadist movement and some of the most experienced operatives from Pakistan and Iraq have relocated there," he said. "Syria has helped al Qaeda rebuild its operations in the Arab world, which has always been its intention anyway."

READ MORE: Al Qaeda-linked group strengthens hold in northern Syria

Cruickshank saiid it's especially scary to consider that al Qaeda members in Syria could receive training in the terror group's traditionally sophisticated bomb-making and detonating courses.

Consider that the Boston Marathon bombing utilized what are considered low-grade explosives, he said. Al Qaeda generally sets the bar higher for destruction on par with the London attacks in the summer of 2005.

"It's possible that new recruits could get training like what we saw al Qaeda in Pakistan giving -- showing people how to make high-explosive bombs made of chemicals bought at beauty or home goods stores and detonate them." Cruickshank said. "All they would need to do is return to Europe, buy what they need to and carry out an attack."

Flashpoint partners, a U.S outfit that tracks jihadist websites, provided the terror analyst with an al Qaeda video that emerged on Christmas day. It features the Boston bombing and also the slaying of a London soldier in May of this year.

The Christmas Day-published video is an updated English language version of al Qaeda's central video "You are Only Responsible for Yourself" which was first issued in June 2011. That video featured senior al Qaeda leaders including Ayman al Zawahiri and American-born al Qaeda spokesman Adam Gadahn.

It calls for al Qaeda sympathizers to take things into their own hands and launch attacks in the West.

Both attacks are called models for the future.

An elusive peace in Iraq

Syria borders Iraq. Though the causes of violence in Iraq are many-fold, al Qaeda's presence there, aided by Syria's weakened state, is being felt among the fragile nation's law enforcement and civilian population. Between January and November 2013, more than 7,000 Iraqi civilians were killed, including 952 Iraqi Security Forces, according to the United Nations.

April 2013 was Iraq's deadliest month in five years.

Since the overthrow of Saddam Hussein, Sunni Arabs have been politically marginalized and Shiites, who represent a majority of Iraqis, have emerged with more power. That has led to sectarian violence -- constant bombings and various smaller attacks. Al Qaeda is targeting Shiites in an attempt to plunge the country into another civil war and hopes to carve out a larger zone of territory under their control on either side of the Syria-Iraq border, Cruickshank says.

Smaller bursts of violence are the hallmark of al Qaeda's new approach to terrorism, according to the chairs of the Senate and House intelligence committees who appeared on CNN's "State of the Union" in early December.

CNN's Candy Crowley asked House Intelligence Committee Chair Mike Rogers if he thought Americans were safer in 2013 than they were a few years ago.

He insisted they're not, and that U.S. intelligence and security officials are having a tougher time than ever before trying to stop so many smaller-scale plots.

But does that translate into a threat specifically in the U.S.? To Rogers, it does.

"All of them have at least some aspiration to commit an act of violence in the United States or against Western targets all around the world," he said.

However, CNN national security analyst Peter Bergen said earlier this month that the data on al Qaeda-linked or influenced militants indicted in the United States suggests that the threat of terrorism has actually markedly declined over the past couple of years.

At least for the moment, "these al Qaeda groups in Syria and Iraq are completely focused on overthrowing the Assad regime (in Syria) or attacking what they regard as the Shia-dominated government of Iraq. And, at least so far, these groups have shown no ability to attack in Europe, let alone in the United States," he said in a column published on CNN.com.

Bergen: Are we hyping the terror risk?

The new Al Qaeda

What motivates al Qaeda's newest members?

Sen. Dianne Feinstein told Crowley she thought there is still a pervasive belief among extremists that a caliphate -- an Islamic state governed strictly by Sharia, or Islamic, law -- is possible and should be fought for.

"I think there is a real displaced aggression in this very fundamentalist, jihadist, Islamic community," she said. "And that is that the west is responsible for everything that goes wrong...I see more groups, more fundamentalists, more jihadists more determined to kill to get to where they want to get."

Cruickshank points to the disappointment many young men felt over what they perceive as a failed Arab Spring revolution.

(Al Qaeda is still mostly comprised of younger men, though women are taking backseat support roles, he added.)

In 2011, tens of thousands of protesters staged a revolution in Egypt that unseated longtime dictator Hosni Mubarak. Mohamed Morsy, then a Muslim Brotherhood leader, was elected president in the country's first democratic election in 2012. He was deposed by the military last summer.

This week Egypt's military-backed government declared the Muslim Brotherhood a terrorist group. On Thursday, dozens of members of the Islamist party were arrested and their property seized, authorities said.

"The great hope of the Arab Spring was that it would liberate the political system. But instead it resulted in increased repression against Islamists," Cruickshank said. "For a lot of young men going into Syria, in some respect, it's a reaction to that feeling."

"They see the Egyptian and Syrian government as tarred with the same brush. They see those governments as blocking the true flourishing of Islam."

CNN's Barbara Starr contributed to this report.

@highlight

Al Qaeda rebounds in Yemen, Egypt's Sinai region, Libya, Iraq, east and west Africa

@highlight

Al Qaeda in Yemen is especially concerning

@highlight

Recently intercepted messages suggest "active plotting," a source says

@highlight

The terror group has established a strong foothold in Syria in the chaos of a civil war