(CNN) -- Syrian tanks and helicopters opened fire and killed at least two civilians as the military advanced through a series of villages in northwestern Syria Thursday, a push that sent residents running for the hills, a villager told CNN.

"They attacked the old church," said Mohamed Smail, a farmer who fled his home and spoke to CNN from the hills around Al Bara.  "We are calling on international organizations to protect our ruins.  They are destroying our cultural heritage."

Syria has been engulfed in violence during more than three months of anti-government discontent.

The crackdown on anti-government protests in the Jabal Zawiya region of Syria's Idlib province comes just days after Syrian authorities allowed a historic opposition conference to be held in the capital, Damascus.

Helicopters swept in and dropped commandos into the area from ropes Thursday morning.

Tanks and helicopters bombarded ancient Byzantine ruins in Al Bara, the site of a famous "dead city," a destination for tourists fascinated by fifth-century Byzantine churches, monasteries, and an intact pyramid-shaped burial chamber.

Smail also said Syrian military units attacked and destroyed the home of a local man named Mohamed Khalife, killing him and his infant son.

"His 1-year-old son, named Hasan Mohamed Khalife, was in the house and we couldn't save him," Smail said.

Smail said Syrian troops and plain-clothed Shabiha militants had blocked escape routes to nearby Turkey.

CNN could not independently confirm the man's account.

The number of Syrian refugees fleeing to Turkey each day has dropped dramatically as Syrian troops have moved into border regions, after days of protests and unrest.

The Turkish prime minister's office released a statement Thursday saying that five Syrian refugees had crossed the border during the prior 24 hours.  More than 15,000 Syrian refugees fled to Turkey to escape the government crackdown in recent weeks.  Nearly a third of those refugees have voluntarily returned to Syria in recent days, according to the Turkish government.

Elsewhere, in the large city of Aleppo, 20 busloads of what an activist called "government thugs" attacked marchers with batons and knives. The attack caused the demonstrators to disperse, and a number of people were injured, but there was no word of deaths.

Video surfaced on the internet of what activists say was unrest on Bab Nasr Avenue in Aleppo, and it showed a panicked crowd fleeing down the street.

Syrian forces later intervened, pushed the "thugs" back, and a peaceful demonstration ensued, an activist said.

Another activist, contacted by telephone by CNN, said the street was the site of a Thursday confrontation between protesters and government forces.

Rami Abdelrahman, of the London-based Syrian Observatory for Human Rights, said anti-regime demonstrations occurred Thursday in Aleppo's Bab Al Faraj, Al Masharqa and Bab al Hadid neighborhoods. Hundreds of demonstrators participated in them, he said.

Some pro-regime demonstrations occurred in the same areas, with demonstrators clashing and a number of injuries resulting, he said.

At the United Nations, Western diplomats exchanged harsh words with the Syrian ambassador in the Security Council, where China and Russia have threatened to veto a pending resolution condemning the violence in Syria on the grounds that they do not want to get involved in Syria's internal affairs.

"This council should send a clear message underlining our collective concern," said Philip Parham, Britain's deputy ambassador to the United Nations. "They have met legitimate demands for reform with brute force."

"I would hope that this esteemed council would focus on the real issues instead of meddling in internal affairs," said Bashar Jaafari, Syria's ambassador to the world body. "Some member states will not cease to use the Security Council as a tool to pass its own policies."

Meanwhile, an American congressman who traveled this week to Syria, where he met with President Bashar al-Assad and opposition leaders, said the situation is "dire."

U.S. Rep. Dennis Kucinich, D-Ohio, said he is working to end the violence. "I appealed to President Assad to remove his forces from the cities. He told me he would, and today we learned that he has begun to do just that."

"A process of national dialogue is now beginning. This process is unprecedented in Syria and should not be dismissed as mere window dressing, because until now there has been no window for people to view what democracy in Syria would look like."

He said he has talked to "many Syrians who said the overthrow of Assad -- without knowing who would take his place -- will add to the instability and make things immeasurably worse, and they want him to deliver on the reforms."

"President Assad has communicated directly to the opposition, and to me personally, that he is prepared to do that, not as a ruse to stay in power, but as a step towards the natural path to Syria's progress and development. We must be mindful however of the actions of extremists who are using this time of transition as an opportunity of cover for their own anti-democratic agenda."

Kucinich said he traveled to Syria at the request of his Arab-American constituents and not in response to an invitation from Damascus. He met with government and opposition figures, including people who had been imprisoned by the regime, and said the situation doesn't "simply involve two players: the government and the opposition."

"It is an extremely complicated and explosive condition involving, among other elements, a historically closed government with an awful human rights record, caught up in demands for democracy sweeping the region; security forces which went out of control killing innocent protesters; sectarian interests which have longed to overthrow a government which has protected religious minorities; violence against minorities; guns flowing across the borders with refugees on the move," he said.

"Too many people have already died in Syria. It is imperative to act to end further deaths."

CNN's Kamal Ghattas and Yesim Comert contributed to this report

@highlight

NEW: Harsh words between Syrian and Western diplomats at the United Nations

@highlight

Villager: 2 dead during military push

@highlight

Protesters are roughed up in Aleppo

@highlight

A U.S. lawmaker says the situation is "dire"