(CNN) -- Patrick Kennedy is sprawled in a too-small chair in a tiny courtyard in Atlanta,  talking to a reporter and trying to catch the early spring sunlight.

The 43-year-old Kennedy left Congress in January, after spending more than half his life in public office. Now he's outside the Carter Center, taking a break after talking up his latest plan to a group of mental health advocates, including former first lady Rosalynn Carter.

One thing Kennedy enjoys is talking, and these days, he can say whatever he wants. He shouts when he gets excited. He laughs a lot. He curses when he brings up frustrations.

What he's talking about now is "Moonshot." If Kennedy has his way, 50 years from now the world will remember next week as the first step on one of the great triumphant journeys -- like the call by Patrick's uncle, President John F. Kennedy, that sent men to the moon.

Patrick Kennedy: Brain research is the new 'moon shot'

That call, as Kennedy likes to point out, came May 25, 1961 -- a half-century ago. Today, says Kennedy, the race is to inner space, the goal to create a detailed map of the brain in 10 years, with advances toward curing "every kind of brain disease."

The role Kennedy plays now would have been hard to imagine back in May of 2006, when he made his woozy emergence from a green Mustang convertible with an old Kerry-Gephardt bumper sticker on the back, which he'd just crashed into a concrete barrier near the U.S. Capitol shortly after 2:30 in the morning. A day later, head bowed, Kennedy blamed sleeping pills for the crash and announced he was checking into rehab at the Mayo Clinic in Minnesota.

We didn't know the whole story then, that the congressman had already been to rehab a half-dozen times. As is often the case, there had been hints. Shoving a security guard at the Los Angeles International Airport. A fight on a yacht, that brought a visit from the Coast Guard. Another boat, and another fight, this time with the rental company.

Kennedy has acknowledged a trip to rehab for cocaine abuse way back in 1985, as a 17-year-old high school senior in Andover, Massachusetts. Along the way he also got a diagnosis of bipolar illness, although he now says recent testing suggests he is not bipolar but has a different, unspecified disorder.

At the time of the infamous Capitol Hill crash, Jim Ramstad was a Republican congressman from Minnesota. He was also a recovering alcoholic, who had his last drink in 1981, shortly before an unpleasant encounter with some Sioux Falls, South Dakota, police officers. "I called Patrick that morning, and told him I knew exactly what he was going through. And if he wanted me to come to him and talk, I would."

Ramstad had worked with Kennedy on mental health legislation but was not a close confidant. That changed over the next few weeks, as he paid repeated visits to the Mayo Clinic. "We really formed a bond of friendship, and got to be close friends,"  says Ramstad.

The former congressman, who became Kennedy's sponsor at Alcoholics Anonymous, says he's proud his friend was so open about the public crackup. "Patrick got up there and told the truth. He let it all hang out, so to speak. And that's why he has been able to recover."

After getting home from the Mayo Clinic, most politicians -- heck, pretty much any politician you can think of -- would have run from the attention. Kennedy seemed to embrace it.

By 2008, he was leading the drive for "parity," the requirement that mental ailments -- addiction included -- must be covered by insurance companies, along with other kinds of illness. President Bush signed the bill into law that year. Says Ramstad, one of the bill's original sponsors a decade earlier: "Without Patrick and his father (Sen. Ted Kennedy) as catalysts, we never would have passed the legislation."

In a Boston hotel suite in early April, Kennedy explained his vision of parity. "If you have diabetes and have a chemical imbalance so you need more insulin, you don't get any questions about it. But if you need a neurotransmitter -- more serotonin, or dopamine -- then (people) look at that as something askew, as if the brain isn't part of the body," says Kennedy, his voice rising. "I mean, we're in modern times and people are still treating this illness, mental illness, as if it's back in the Dark Ages."

If 2008 was a year of professional triumph, it also brought devastating personal news: that Patrick's father was fighting a brain tumor. "He gave me an implicit message when he asked me to be around him at the end of his life," says Kennedy, who calls the final time with his father "the most important year of my life."

As Kennedy recalls it now, "The only thing that mattered to (my dad) when he was alone at the end of his life was not being alone and being surrounded by the people he loved the most, who he knew loved him the most."

The strain took a toll on Patrick. Two months before his father's death, he checked into rehab again. When Ted Kennedy died in August 2009, Patrick took it hard. Six months later, he announced he would not run for re-election.

He seems to have walked away on his own terms. "He would have won re-election easily," according to Darrell West, a political scientist who has followed Kennedy's career closely since the early 1990s. Incidentally, Kennedy's departure in January marked the first time in 58 years that there is no Kennedy in the national government -- no congressman, senator or president.

Kennedy says he was tired of struggling with the stress of public office. "I have put certain days together, and managed effectively to live and fight for another day legislatively," says Kennedy. But, "I'm looking to live more than just surviving. I'm looking to live a life that's fuller in sobriety. I could function (while still in office), but that's not all I want to do. I want to live."

He's seized the opportunity. Come July, Kennedy will be married, to Amy Petitgout, a sixth-grade history teacher he met after, yes, another talk. It was about special education, the cause championed by his aunts Eunice Kennedy Shriver, who founded the special Olympics, and Jean Kennedy Smith, who received the Presidential Medal of Freedom for promoting the artistic talents of people with disabilities. Petitgout's father, a special education teacher, had a ticket to the event but couldn't go. As Kennedy says, "The rest is history."

Ramstad, his AA sponsor, says his old friend is happier than ever. "He was so close to his dad. They used to talk five or six times a day. Losing him left a huge void in his life. And now here comes Amy."

Kennedy glows when he talks about his fiancée, or about reading bedtime stories to her 3-year-old daughter. But he's all impatient enthusiasm when talk comes back around to Moonshot, or as next week's conference is officially called, "One Mind for Brain Research."

The surroundings will be modest, an academic-style conference in Boston. Then again, President Kennedy's original 1961 call for a space race was prosaic too, the last of several budget requests in a businesslike address to Congress four months after taking office.

What we remember better is the stirring speech he gave at Rice University the following year. "We choose to go to the moon in this decade and to do the other things, not because they are easy, but because they are hard," the president famously declared.

His nephew, Patrick, grins at the challenge ahead. "This is a thousand moon shots in order of complexity, and that makes it all the more challenging. For our generation, this is our chance to make the difference."

@highlight

Former U.S. Rep. Patrick Kennedy launching new effort to map the human brain

@highlight

"Moonshot" will work toward curing "every kind of brain disease"

@highlight

Kennedy's own addiction, mental health issue drive passion

@highlight

Kennedy: "I'm looking to live more than just surviving"