(CNN) -- Douglas Cootey is replacing his lightbulbs with brighter ones, but not just to see better. The new broad spectrum lights simulate sunlight, and might help enliven his mood in the gloomy winter months.

A light box like the one shown here may help some people combat seasonal depression in winter.

Cootey, a stay-at-home dad in Salt Lake City, Utah, has struggled with depression for 16 years and shares his story with others on his blog, The Splintered Mind.

He said he started to notice last year that his depression was harder to manage in the winter. His challenge, he told CNN, is "keeping a positive and upbeat attitude in the face of a chemical onslaught induced by winter."

He realized that his symptoms fit those of seasonal affective disorder, a condition that typically generates depression during autumn and winter and then goes away in the sunnier months. In rarer cases, people can suffer from it only in summer.

"I set the clock back and look at this: I've been so unproductive," Cootey said. "Now that I know what's going on, I'm trying to counteract it.'

Between 4 and 6 percent of the U.S. population suffers from seasonal affective disorder, according to the Cleveland Clinic in Ohio, but 10 to 20 percent of the population may suffer from more mild winter doldrums. SAD is more common in women in their 20s, 30s, and 40s, the Cleveland Clinic says.

Some people may be genetically predisposed to SAD, but  the environment can trigger it as well, said Ignacio Provencio, a biology professor at the University of Virginia.  Learn about other mood disorders »

A recent study led by Provencio shows that a genetic mutation in the eye could play a role in seasonal affective disorder. The mutation makes a person with SAD less sensitive to light. The photopigment gene is called melanopsin, which helps detect colors.

"Being able to look at one's DNA and seeing that you're a carrier or contain two copies of this gene may be able to, in the future, allow one to predict whether or not they will be susceptible to this disease," Provencio said.

The information may also help predict which people with seasonal affective disorder will respond to light therapy, because the mutated genes involve light sensitivity, he said.

Light therapy works for some people, experts say, by mimicking outdoor light and promoting a biochemical change in the brain that improves mood.

The researchers looked at 220 people, including 90 nondepressed people and 130 people diagnosed with the disorder. In this group, seven people with seasonal affective disorder had two mutated copies of the gene.

The study results make sense to Dr. David Baron, chairman of Temple University's Department of Psychiatry and Behavioral Science in Philadelphia. The study is "consistent with the literature on understanding genetics in vulnerability to illness," he said.

But Stephen Josephson, associate professor at Cornell University Medical Center-New York Hospital and Columbia University College of Physicians and Surgeons, said the study points to a correlation but does not constitute definitive proof.

Although the specific causes of the disorder aren't known, some biological factors might contribute to it.

Circadian rhythm, which helps regulate the body's internal clock, may be disrupted with the drop in sunlight in fall and winter, MayoClinic.com says.

Other research indicates that the brain chemical serotonin and the sleep-related hormone melatonin may play a role, MayoClinic.com says.

Although seasonal affective disorder symptoms typically kick in around late autumn or early winter, some people experience "summer depression," accompanied by symptoms such as anxiety, insomnia, irritability, agitation, and poor appetite, according to MayoClinic.com.

Experts say seasonal affective disorder is more prevalent in places farther from the equator. Someone who has a genetic predisposition to SAD may not have problems if he or she lives in Singapore, for example, Baron said.

Some people with seasonal affective disorder use a light box, a device that shines a bright light similar to outdoor light, which a patient sits in front of for a half hour or hour a day, Josephson said.

Experts say consult a doctor if you feel you may have seasonal affective disorder. Certain cases require antidepressants or other medications, but some people manage it through light therapy or psychotherapy. For winter depression, MayoClinic.com also recommends exercising regularly and, if possible, taking vacations to warmer, sunnier places.

Cootey said this winter he will try to learn how to ski and ice skate. He recommends finding a support community, such as an online forum or his blog, The Splintered Mind. He also finds relying on humor keeps spirits up.

He has relied on cognitive behavioral therapy to manage depression for 16 years. With a therapist, he   tries to identify what triggers the disorder or other problems.

"Change your thinking, change your life. Mind over mood. These are the mantras that keep me in control of my depression and will help me overcome, or at least manage SAD," he said.

@highlight

Between 4 and 6 percent of the U.S. population suffers from SAD

@highlight

Light therapy, psychotherapy, and medications are treatment options

@highlight

Recent research indicates genetic component to the condition