Washington (CNN) -- For an issue such as health care reform -- and the potential to affect nearly American in a fundamental way -- no one provision, no one medical crisis, no one family can fully represent the complexity and sweep of the Affordable Care Act.

But the polar views of small-business owners John Nicholson and Miles Fawcett provide a glimpse of the personal stakes and deep divide that will be felt across the social, political and legal tapestry. That signature law promoted by President Barack Obama is now being challenged at the Supreme Court.

Preview: 'The implications ... are impossible to overstate'

"Government isn't the answer, government can point to directions. Government can help solidify public involvement in what objectives should we pursue, but the advantage to the private system is you can have changes and modifications," said Nicholson, co-owner with his wife of Company Flowers, a Washington-area florist and gift shop. "Over a period of time it works better than the government saying: this is it." He slaps his hand to illustrate what he sees as burdensome, bureaucratic mandates.

But Fawcett sees things another way. He founded a home security firm, Urban Alarm, nine years ago and uses the medical crisis of his youngest daughter to support the idea of universal health care.

"This law or protections for children getting insurance is critical and potentially a life or death decision," he said about ensuring that even those with pre-existing medical conditions be assured coverage. "So having access to that health insurance is a life or death issue. It's critical for her now, it's critical to her and kids like her for the rest of their lives."

For Fawcett, a newborn in the throes of crisis

At nine weeks, Miles Fawcett's newborn daughter was diagnosed with biliary atresia, a rare birth defect targeting the bile ducts. The only solution was a liver transplant, and the search was on for a suitable donor. Doctors at Georgetown University Hospital in Washington found a match in Fawcett himself.

"They planned the transplant date. The preparation for the transplant was to make sure that she was as healthy as possible so that the outcome was going to be as successful as possible," he told CNN. "They removed 13% of my liver and replaced her entire liver with that graft of my liver. The medication that she requires is a lifelong requirement. And so she'll be on life-sustaining medicines presumably for the rest of her life."

Now 5, the rambunctious kindergartner plays happily in her yard on a recent warm late winter day. She has little outward sign of her medical condition, but her parents say the girl does like to show off her belly scar to classmates.

"So she's really lucky, we're lucky that the underlying issue is gone," said the 42-year-old Fawcett, talking in the kitchen with his wife. "It's fantastic, and it's magical, and every day we feel how lucky we are to have been in a time and a place when this was even an option."

For Nicholson, a dreaded deluge of paperwork

John Nicholson is justifiably proud of the flower shop he and his wife started two decades ago, after an earlier career as head of a trade association. He now mostly handles the paperwork, while Marnie mans the counter, the creative force behind the company's unusual floral arrangements. "You buy our artistic creativity. It's a very major difference," he told CNN.

They employ about 15 people, many part-time, and Nicholson says the economic downturn has been tough on their bottom line. "We used some of our retirement money to keep the doors open, keep our employees. We cut back a little bit, but not a lot," he explained. "And we're very glad that we did because now we're slowly but surely getting back to where we might actually make some money this year."

Reform opponent: 'Congress made a bad situation worse'

Reform supporter: 'This really is going to help the public'

The Nicholsons -- both are older than 65 -- have always offered health care to their staff. They participate in a private pool with other small businesses that offers reduced costs and more portability.

He worries the new health law will not provide better quality of care or better choices, just more bureaucracy.

"Obamacare really affects only the method by which you obtain health care. That's the sadness of that bill, it does nothing to reduce costs. What it does do is change the procedures," he said. "And I'm the only one in the shop that knows about all the procedures and it means basically that all of a sudden, I'm going to have to answer to government, filling out forms. And my experience is when I do that it's a lot longer, it covers a lot of stuff that is extraneous, and thank you just the same -- I'm more than happy to stay with the private side and let the government forms go somewhere else."

The law, known as the Affordable Care Act, does have several provisions to help make health care affordable for small businesses. Nicholson and many independent business owners like some aspects, but think there will be devastating tradeoffs. They also worry the law, if upheld, will only be the start of more government intervention in their free enterprise commerce.

'A simple question ... a very complicated answer'

Miles Fawcett's family crisis four years ago came when he was leaving his employer to start Urban Alarm with his wife, Mira Saxena. They, too, employ about about 15 people.

"As a small-business owner, I'm always concerned about controlling costs but that has to come second to just what fundamentally is right for kids and for people," he said. "I'm concerned about it being more expensive, but that's always a concern. I'm worried about gas prices going up, I'm concerned about how my premiums are going to be affected, but that's a secondary consideration. And the primary concern has to be how do we provide the resources that our employees need and that our families need."

Frequently asked questions about the high court and this case

The couple believes the law's wide scope and its particular emphasis on helping small businesses like theirs will ensure they can continue to thrive economically.

They especially like the provision guaranteeing anyone with a pre-existing condition like their daughter's will not be denied health care coverage as she grows into an adult, something they equate as a basic human right.

"Are we going to deny children, much less anybody, but are we going to deny children a right to health services that are life-sustaining?" said Miles. "I think that's the question and it's a simple question, and I know it's a very complicated answer."

Will flower shop fade under government's shadow?

Like Fawcett, Nicholson supports the idea of universal health care to make sure every American can get access to needed medical care at any point in their lives. The question that has divided the country for decades is how to achieve it and how to pay for it. For the local florist, flexibility is the key.

"I don't have much strength to be able to make changes, if the changes come down the pipe, that are contrary to what really makes sense for us," he explained. "And that's the real problem: How do I get enough clout from a common sense standpoint, so that we can really say: 'OK, good idea, but not this way, let's do it that way.' And the government doesn't work that way."

The grandfather with grown children worries how health care costs -- with or without the Affordable Care Act -- will affect future generations. But he says the immediate focus is on his financial future and that of his beloved flower shop.

"The law is making it hard to be a small business," he said. "Basically we're jogging along, and it's particularly difficult when we have more and more government layered on top of us."

CNN Correspondent Kate Bolduan contributed to this report

@highlight

Small-business owners John Nicholson and Miles Fawcett do not see eye-to-eye

@highlight

Fawcett likes the plan -- he says it puts children like his ill daughter first

@highlight

Nicholson doesn't like it -- he fears his small business will choke on the regulations

@highlight

Both agree there are no easy answers to make sure everyone has health care