Flanked by police officers with assault rifles, and riding down a highway in the back of a police pickup, police commissioner Julian Hernandez explains the difficult task of fighting crime.

"The United Nations recommends that a city of this size have 4,000 officers," he says. "But I only have 1,000."

Overrun by drug violence, San Pedro Sula is the second-largest and most violent city in Honduras -- a country that's the current murder capital of the world.

At the end of the first day of shooting for CNN's "Narco Wars" report, we had arranged to meet the commissioner, expecting a quick interview. Instead, Hernandez jumped into the back of the police truck, taking correspondent Kaj Larsen and the rest of the CNN team onto the streets of San Pedro Sula, a manufacturing city with relatively good infrastructure.

A convoy of other police vehicles joined us as we set off into the city. But instead of a tour, we began following a beat-up maroon truck. A chase ensued. Finally, on the outskirts of the city, we surrounded the vehicle. Its three occupants were pulled out at gunpoint and forced to lie on the highway. We were amazed to capture this all on camera, given how most serious crimes here go unsolved.

In the next moment, the three were standing up, smiling. It turned out the police had staged the takedown to show us their tactics.

A minute later, a call came in, and we were back in a police pickup, heading to the scene of a real crime: another body dumped, another group of neighbors who hadn't seen anything or heard anything, another killing where there wasn't going to be a dramatic chase ending with arrests.

Welcome to the most violent region on earth.

Getting away with murder

Americans are well aware of Mexico's drug war and the horrific violence that takes place a stone's throw away from the United States.

But narco-trafficking and violence aren't just confined to Mexico.

In fact, Honduras, El Salvador, Belize, Guatemala and Panama all had higher per-capita murder rates than Mexico in 2010.

CNN's "Narco Wars" focuses on Honduras and Guatemala because these two countries have become the key corridor for cocaine coming to the United States from South America. This has coincided with a dramatic spike in homicide rates, according to the United Nations. In Honduras, homicides have more than doubled between 2005 and 2010, the United Nations reports. As a result, the U.S. Peace Corps last weekend pulled more than 150 of its volunteers out of Honduras while it reviews the security situation there.

Almost every murder in these Central American countries goes unsolved. The impunity rate -- the rate of serious crimes that go unsolved -- is extremely high, estimated by the United Nations to be 98% in Guatemala.

Here, the odds are overwhelming that someone can literally get away with murder.

True, there are other places where the impunity rate is high, such as parts of Mexico where its drug war rages. But in Mexico, the casualties are the result of a drug war that began with known, organized cartels fighting each other.

In Central America, officials estimate that drug dealing is a factor in 60% of the killings, but it's not always clear who's killing whom and why. Perhaps a murder is related to a big shipment of cocaine.  Or maybe it's over a $50 drug sale on the sidewalk.

Origins of a drug war

It started 30 years ago when hundreds of thousands of Central Americans began immigrating to the United States, many of them illegally. Some ended up in Los Angeles, then the street gang capital of the United States, if not the world. Some of the immigrants' children grew up and became gang members. They formed two large gangs, Mara Salvatrucha, also known as MS-13, and 18th Street.  The neighborhoods where these gangs were based became active areas for the Los Angeles Police Department's homicide division in the 1990s.

It was as if Central America's civil wars in the 1980s had moved north.

So the United States deported many of these gang members back to Central America. As a result, Mara Salvatrucha and 18th Street, originally from Los Angeles, became Central American gangs. The region began to suffer an explosion of robberies, extortion cases and murders perpetrated by gang members.

The threat was so serious that in 2004, the FBI set up a task force to fight these transnational street gangs across the United States, Mexico and Central America. By 2005, homicides in Honduras had risen to nearly 2,500 a year.

With the United States working hard to stop trafficking in the Caribbean and South America, Central America -- with its disruptive violence and high rate of impunity -- became an attractive alternative route.

How Colombia is busting its cartels

Former Cali drug cartel member speaks out

By 2011, the DEA estimated that 25 tons of cocaine a month were moving through Honduras. And there were close to 7,000 homicides there, a 250% increase in half a dozen years. Homicides in neighboring El Salvador reportedly rose to the highest level since that country's civil war of the 1980s.

Of course, those are just numbers. On the ground, the increasing level of violence has created a kind of prison.

When the sun goes down in San Pedro Sula and Tegucigalpa, the capital of Honduras, people retreat to their homes as if it were 4 a.m. Large sections of city become deserted, and armed guards are everywhere.

Forget ideology: It's all about dollars

It's easy to say the increase in drug trafficking in Central America caused the spike in violence. But it's not entirely clear. Some analysts say they believe the instability and violence created by the deported gang members paved the way for drug traffickers.

What is clear is that in the 1980s, the region suffered from civil wars that were ideological in nature. In Guatemala and El Salvador, Marxist guerrillas were fighting governments that were allies of the United States. Honduras was relatively more peaceful -- but not entirely as government forces battled Marxist insurgents to a smaller extent.  These were classic Cold War conflicts as the West and the Soviet bloc squared off.

After the Soviet Union's collapse in 1991 and the acceleration of globalization, a new symmetry has seemed to shape the violence in Honduras and Guatemala. Now combatants are fighting over dollars from the lucrative drug trade, which could make it more difficult to establish a long-lasting peace.

If we look at Mexico's more clear-cut narco war, consider the situation in Tijuana. In the fall of 2008, Tijuana was a city under siege, a ghostly place. Its public areas were largely deserted after dark. Two years later, the city was bustling again, with new restaurants open, people out and about, and civic life restored.  While there are still travel advisories -- including from the United States -- warning visitors to exercise caution in Tijuana, there is a relative peace that authorities publicly credit to their efforts to defeat the cartels.

The authorities publicly credited the relative peace in Tijuana to their efforts to defeat the cartels. People whispered that either the warring cartels had made a truce, or that "one entity has prevailed," the Sinaloa Cartel, Mexico's largest and most dominant, reclaiming its hegemony.

The violence in Guatemala and Honduras seems less organized, so the path to peace appears less clear. Guatemala has seen some success with pilot programs designed to fight official corruption and to convince citizens to cooperate with authorities. Honduras, with a relatively weak government, so far seems to have little in the way of effective programs to end the violence.

Back in San Pedro Sula, on our first morning there, we visited a violence reduction center supported by the U.S. Agency for International Development. Half a dozen or so police officers carrying assault rifles trailed behind for security as the people at the center walked us a quarter mile down a dusty road to a soccer field that represented their greatest triumph.

The field used to be deserted because of gang violence in the neighborhood. After negotiating with the gangs, they reached an agreement allowing youth soccer leagues to use the field during the day.  This fragile coexistence -- sharing a soccer field with drug gangs -- could be a small step toward what Honduras and its neighbors must do to create peace in Central America.

@highlight

Honduras and Guatemala are key corridors for drugs coming to the U.S. from South America

@highlight

In Honduras, homicides have more than doubled in five years, making it world's murder capital

@highlight

Unlike Mexico, there are no big drug cartels battling for control in Central America

@highlight

"Narco Wars" premieres at 8 p.m. ET Sunday on CNN Presents