(CNN) -- Noted for his versatility and breadth of achievement, American opera singer Thomas Hampson is one of the most respected baritones performing in the world today.

The 56-year-old, who hails from Spokane, in Washington, boasts a discography of more than 150 albums, winning him multiple Grammy Awards, two Edison Prizes and the coveted Grand Prix de Disque -- the highest award for musical recordings in France.

The grandeur of opera houses, tail coats and melodramatic librettos is a far cry from the thatched huts and sweltering sun of Durban's traditional Zulu townships. But this is where Hampson chose to land for his Fusion Journey.

He was there to seek out famed South African vocal group Ladysmith Black Mambazo, whose mix of low rumbling harmonies and ululating riffs gained worldwide appreciation when the group appeared on Paul Simon's seminal Graceland album in 1986.

During a 10-day visit, the all-American opera singer was challenged to produce a fusion of sound that blended the diametrically contrasting traditions of Western classical music with Mambazo's distinctive take on ancient Zulu melodies.

In his own words, this is the story of Hampson's journey.

Thomas Hampson: I come from a very different musical tradition to the members of Ladysmith Black Mambazo, but I believe that anyone who stands next to another person and sings is somehow a brother, somehow a sister -- and rarely have I felt this more acutely than on my journey to Durban.

It was my first time there and what I saw of the city was beautiful. After landing I was struck by the deeply brushed low-lying hills and surrounding tundra, and the bustling atmosphere of the huge port.

We traveled to the Clermont township, to the former home of Joseph Shabalala (leader of the group). His old township is on the outskirts of Durban and while, of course, there are many signs of modernization -- like new homes and roads -- the area still carries a distinctive sense of its Zulu roots.

The people made a strong impression on me. They are physically very attractive and all seemed to have a wonderful sense of humor and warmth. It was in this spirit that Joseph and the band welcomed me with open arms and a song -- I couldn't have wished for a better introduction!

See also: Royal Ballet star takes inspiration from Chinese dance

Mambazo showed me the room where the group gathered to rehearse as young men, and the stage on which they first stood to compete in local singing competitions. We went on to see a traditional Zulu wedding ceremony and I saw the modest village dwellings -- the circular huts -- the likes of which most members of the group would have called home as children.

I'm glad we had this experience before we started making music together. I spend so much of my time in life understanding other people's ideas, getting into their language, their music ... their DNA. This is not something you can just imitate.

It seemed to me that in the Zulu Nation, music is part of everyday communication. Their speech has a percussive rhythm, the intonation of the words creates a melody.

See more: Fusion Journeys

We eventually began rehearsing in the garage of Joseph's current home. We all got in a half circle and sang to each other for a couple of hours. Just that simple: I sang their stuff, they sung mine and we'd say "how did that go again?"

One of the most interesting parts of this process for me was seeing how all the members of the group would work off each other -- responding and reshaping each other's words as they sang, instantaneously mixing tone and intonation to create new sounds.

Of course, as an opera singer I've now sung in 11 or 12 languages, but how many people get to say that they've sung in Zulu? A few hours together and a beautiful melody is starting to take shape. We decided to document this wonderful experience and collaboration against the stunning backdrop of Durban's Valley of a Thousand Hills -- where our final performance took place.

We began with a Zulu piece -- and perhaps Mambazo's most iconic hit song -- "Homeless." The song is about the violence and displacement of South African Apartheid. What I find enchanting about it, and other Mambazo pieces that speak of pain and suffering, is that it still sounds so full of hope.

I can tell you all the members of Mambazo have suffered incomprehensible loss in their lives, and yet none of their music ever feels angry or spiteful, it is always rich with love. I found that very inspiring.

For my song, I selected an old American parlor piece called "Hard Times Come Again No More." It was enthralling to perform such a melancholy number with Mambazo's deep soulfulness added to it.

How would I describe my journey looking back? I just put on their clothes for a period of time, but I won't even pretend that I can now walk in their shoes, make music the way they make music, sing how they sing.

It is tempting to contrast the formal, intellectual way that much Western classical music expresses emotion with the mystical, organic way that we hear with Mambazo. But this, I think, is an over-easy simplification.

We're musicians, we have different wells but we all draw from the same river. Would I go back? In a heartbeat.

@highlight

American baritone Thomas Hampson travels to Durban to create musical fusion

@highlight

During journey Hampson teams up with South African singers Ladysmith Black Mambazo

@highlight

The classically-trained opera singer delves deep into Zulu heritage to find inspiration