The chants of protest heard across America in recent weeks echoed Wednesday in the small city where the civil rights movement reached a crescendo five decades ago.

About 20 protesters walked up Selma's famed Edmund Pettus Bridge and yelled: "Hands up! Don't shoot!" and "I can't breathe," in reference to the deaths of Michael Brown in Ferguson, Missouri, and Eric Garner in New York.

But here in Selma, there was an added chant: "Show the tape."

Protesters want Police Chief William Riley to make public a videotape of a police shooting that took place more than a year ago. Ananias Shaw, 74, was killed last December after he rushed an officer while wielding a hatchet, police said.

Shaw was black. So was the police officer.

Riley said the tape clearly shows the killing was justified. A grand jury heard the case and decided not to issue an indictment, as was the case in Ferguson and New York.

It was the Ferguson protests that inspired longtime activist Faya Rose Toure to lead the charge for the Shaw family in Selma, though the circumstances are vastly different here.

Selma, which is more than 80% African-American, has a black mayor, a black police chief, a black district attorney and a majority black city council. But for Toure, the problem in Selma goes far beyond this one case.

Selma once shocked the national consciousness when police beat and tear gassed 600 civil rights marchers as they crossed the Edmund Pettus Bridge on their way to Montgomery. The day became known as Bloody Sunday and led the way to the Voting Rights Act of 1965. A movie depiction of the Selma story will release nationwide on January 9.

Selma, said Toure, has come a long way since then, but black people are not yet free of injustices.

"Even to this day, we are suffering from the inferiority complex stemming from days of slavery," she said. "It's not just about color. It's about a mindset."

Toure demanded Riley release the tape. "It's a matter of transparency," she said.

Shaw's brother, Edward Shaw, said his brother's death was unnecessary.

"Show the tape to the whole town," Shaw said.

But the police chief said he would not release the tape until the family has had a chance to view it. It won't be easy to watch and they deserve space to process what they'll see on their own, he said.

"I don't care who's jumping up and down," Riley said. "I do what's right and that's what I'm going to do. We want the family to see it first. It's only fair."

Riley said he has made arrangements for Ananias Shaw's children, who live in the Chicago area, to view the tape there. A copy is sitting in a Chicago-area law enforcement agency, ready to be seen by Shaw's son and daughter whenever they come in. And on Friday morning, local relatives including Edward Shaw will gather to see it, too.

The day before the protest, Edward Shaw pointed to the spot near a Church's Chicken restaurant where his brother fell to the ground. He said he had rushed to the scene about 15 minutes after his brother was shot to find an entire block cordoned off with tape.

Shaw said he saw his brother's body lie on the ground for hours, uncovered.

"Everyone around here knew him," Shaw said. "He walked the streets for many years."

Ananias Shaw once worked as a mechanic but "lost himself" after his wife left him decades ago and his house burned in a fire. Even so, he earned the nickname Ambulance, because he came to the aid of people, said his brother.

Edward Shaw said Selma police knew his brother "acted crazy" but that he never harmed anyone.

But to hear it from the chief, the officer who shot Shaw had no choice.

When officers responded to a call about a disturbance at Church's Chicken, Shaw had ducked into a vacant building, Riley said. Shaw then came out with a hatchet, "cussing like a dog." Riley said officers told Shaw they didn't want to hurt him and repeatedly asked him to drop the weapon.

But then Shaw turned on an officer, the hatchet raised, and that's when the single shot was fired. Truth is, Riley said, "the officer let him get too close."

Added Lt. Johnny King: "We could have had an officer's funeral."

King has been with the department for nearly 28 years. He said he knew of only two police shooting fatalities in all that time.

But Edward Shaw said his brother left the restaurant on his own accord and there was no reason for the police to give him chase.

"Why would you follow him?" Shaw asked. "That's what gets me."

That Shaw had problems was no secret, the chief said. But he can't help but wonder why Shaw's family, in all the decades he was troubled, didn't get him the help he needed. Why didn't they have him committed?

"They knew his propensity to act crazy. Evidently he was deteriorating, and they saw it happening," Riley said.

The videotape of the shooting was taken by the officer's lapel camera.

Toure, the activist, said it was her husband, Alabama State Sen. Hank Sanders, who was responsible for $30,000 in funding for the city of Selma to buy lapel cameras for the police force.

"Ferguson," she said, "is advocating for something we already have. But why can't we see the tape?"

The chief takes no issue with protests tied to the tensions roiling through the country. What happened to Michael Brown in Ferguson, Eric Garner in New York and Tamir Rice in Cleveland bothers him, too.

"We have things going on in policing that aren't right," he said. If people want to scream outside his department, "I can't breathe," he's all for it. But what he can't get behind is how what happened in Selma is being lumped with these cases.

"It's wrong and disingenuous," he said.

"We're no Ferguson," and pretending Selma is, he said, "hurts the message."

@highlight

Protest links Selma police killing of man a year ago to Ferguson, New York cases

@highlight

Protesters want video of incident to be made public

@highlight

Officer, victim were black; police chief says cases shouldn't be lumped together