(CNN) -- When it comes to airline alliances, there is safety and profitability in numbers -- even more so as the industry tries to stave off the worst effects of the Great Recession and sluggish recovery, where we have seen mergers and code share agreements.

All the major European airlines are part of one of the three big alliances. There is Star (the biggest) based around Lufthansa and United Airlines; Skyteam based around Air France/KLM and Delta; and Oneworld based around BA and American Airlines.

Alliances are a key part of the aviation industry. According to Oneworld CEO Bruce Ashby, 86% of the revenue from travel between the world's top 100 cities business is booked with alliances. "Passengers who travel for business are heavily invested in alliances carriers," he says.

Oneworld has marked a milestone in airline alliance history with its newest member Qatar Airways being the first Gulf carrier to join an alliance. Competition between the "Big Three" (Emirates, Etihad and Qatar Airways) is rife and now that Qatar has made this bold step to join Oneworld, the impact of Gulf carriers on the industry and the relationships they choose to forge are being followed more closely than ever before, to see how airlines and alliances will respond.

See also: Gulf hubs become travel hotspots

"As more airlines are aligned and more consolidation occurs, alliances actually end up competing for members in some ways," said Bruce Ashby, CEO of the Oneworld alliance. "Now that more and more airlines belong, the tension between them has grown."

For other Gulf carriers, a cosy codeshare with different alliances is as far as they'll go. Emirates has codeshare agreements with Oneworld carrier Qantas and, most recently, with Star Alliance member TAP Portugal. Skyteam welcomes Air France's partnership with Etihad and Air Berlin, where Etihad owns 29% of the German airline.

"Gulf carriers and their hubs are well-positioned geographically for a number of major traffic flows, both within the Gulf region itself and between other continents" said Michael Wisburn, CEO of Skyteam.

"These Gulf carriers have developed substantial capacity with high transfer capabilities, making these airlines and their hubs relevant players in aviation today, both in terms of industry developments and possible further consolidation," he added.

Although Etihad has not joined an alliance, Skyteam member Air France says it's a case of "if you can't beat'em, join'em."

"When you see geographically the way the world is built, Gulf carriers bring significant improvement to the alliances," said Alexandre de Juniac, president and CEO of Air France in an exclusive interview with CNN -- his first international television appearance since being appointed.

Watch video: Etihad rejects airline alliances

When asked about doing business with Air Berlin -- which is a member of a rival alliance Oneworld -- Juniac candidly said: "In the future if our ties with Etihad and Air Berlin become closer, Air Berlin will have to make a decision about which alliance they want to belong to. The decision is in their hands."

Air Berlin, Germany's second largest carrier after Lufthansa, has only been a member of Oneworld since March last year and if it were ever to leave, the alliance wouldn't let it go quietly.

"We would regret it very deeply if Air Berlin left Oneworld," says Ashby. "We like Air Berlin and they add a lot of value to us and we think we add a lot of value to them, by the way.

"It would be easier if we had exclusive clubs and we said 'if you join my club you can't use any other club,' but this is the airline business and it's completely impractical. We would be sad to see them leave. I would definitely put up a fight if I thought it were necessary."

Watch video: 'Gulf Three' shake up global aviation

Star Alliance is monitoring this relationship closely, especially because its chief member, Lufthansa, is the only major European airline that hasn't teamed up with a Gulf carrier. Even so, Star Alliance says it doesn't feel left out or threatened.

"We're the only global alliance that flies to all of the countries in the Middle East and we really have no aspirations to have one of the carriers in the Gulf join our alliance," says Mark Schwab, CEO for Star Alliance, which has 27 members.

He adds: "Fifteen years of Star Alliance, 21,900 flights a day, 192 countries, 1,330 cities we fly to -- we have Turkish Airlines in the vicinity, also EgyptAir, so we're not feeling any kind of commercial pressure."

And for airlines like south-east Asia's Royal Brunei, which are too small for it to be worth their while joining an alliance, the best way to compete is not to compete.

"I think you have to cut your cloth in this industry," says Royal Brunei deputy chairman Dermot Mannion. "The Gulf carriers have put a lot of capacity into the region over the last five-six years and that's had an impact on all the airlines, especially the kangaroo traffic between the UK, Australia and New Zealand.

"We've cut capacity, we closed routes to Brisbane, Perth and Auckland. We are backing off competing against the Gulf carriers and focusing on what we do best -- ASEAN. That way we can happily co-exist with the Gulf carriers."

According to the International Air transport Association, airlines were expected to return a profit of $6.7 billion at the end of 2012, only slightly improving to $8.4 billion in 2013.

Adding capacity and connecting continents, Gulf carriers will continue to play a crucial role in helping airlines and alliances expand their networks, filling their geographical gaps.

Ayesha Durgahee is the resident reporter on CNN's Business Traveller. Follow Ayesha on Twitter at @AyeshaCNN.

@highlight

Qatar Airways was the first Gulf carrier to join one of the three big alliances

@highlight

"Alliances competing for members," says Oneworld CEO Bruce Ashby

@highlight

Gulf carriers' location and capacity make them important players in aviation

@highlight

But Star Alliance has "no aspirations" to have a Gulf carrier as a member, says CEO