Jinan, China (CNN) -- The trial of disgraced Chinese Communist Party high-flyer Bo Xilai concluded Monday with a dramatic final flourish as he accused the former police chief who brought about his downfall of having a crush on his wife.

Bo's politically sensitive corruption trial has brought forth a plethora of rich, eye-opening details about the apparently lavish and emotionally fraught life of his family and inner circle, giving Chinese people insights into how some of the ruling elite live.

But at the same time, doubts have arisen about the completeness of the account of court proceedings provided by Chinese authorities.

Still, over the past five days, the court has heard allegations of adultery, a punch to the head, squabbles over a villa on the French Riviera and attempts to cover up the murder of a British businessman.

Was Bo's trial truly transparent?

As the trial wrapped up Monday, the prosecution called for Bo to be strictly punished over the charges of bribery, embezzlement and abuse of power. The court in the eastern city of Jinan said the verdict would be announced at a later date.

Bo, a charismatic and divisive leader when he was in power, has kept up a steady attack on the case against him throughout the hearings.

In comments Monday published by the court, Bo complained that "not even the worst TV script writers could come up with such plots" as some of the bribery accusations.

But he then proceeded to describe a storyline worthy of a soap opera, suggesting a romantic link between two figures who played central roles in the drama that ended his political career.

The people in question are Wang Lijun, Bo's former police chief in the southwestern metropolis of Chongqing, whose failed attempt to defect to the United States in February 2012 precipitated the crisis that shook the Communist Party to its foundations; and Gu Kailai, Bo's wife, who is now in prison after a court convicted her last year of murdering Neil Heywood, a British businessman and associate of the Bo family.

Prosecutors accuse Bo of threatening and improperly firing Wang after learning of Gu's suspected involvement in Heywood's murder.

Five things not to have missed

A punch or a slap?

Wang, who is now serving a 15-year prison sentence for multiple offenses, said in testimony over the weekend that upon learning of the suspicions, Bo punched him in the head, bloodying his mouth and causing a "discharge" from his ear.

Wang told prosecutors that Bo's physical violence against him, as well as the disappearance of his aides and investigators, led to his decision to seek refuge in the U.S. diplomatic mission in Chengdu.

Bo denies punching Wang, claiming it was just a slap. And over the weekend, he questioned Wang's reliability, saying "this man has extremely bad character and lies on the spot."

In his statement Monday, Bo offered a new explanation for Wang's attempted defection.

"The true reason of Wang Lijun's flight was because he had a crush on Gu Kailai and he couldn't get over it," Bo said, alleging that Wang had confessed his feelings to Gu and "slapped himself eight times."

In written and video testimony shown in court last week, Gu linked Bo to some of the crimes the prosecution alleges. Bo responded by suggesting that as she'd already been convicted, she lacked credibility and was seeking a more lenient sentence.

The allegation of Wang's feelings for Gu added a fresh layer of intrigue to the case, which has drawn widespread interest on Weibo, China's Twitter-like microblog service. The court's official Weibo account, which provided updates on developments inside the courtroom, now has more than half a million followers.

How and why Chinese politician veered off script

Doubts about the court's reporting

But with journalists from the international news media denied access to the courtroom, the comprehensiveness of the court's version of events is in question.

The official microblog reported only selected parts of what transpired during the trial, two individuals with detailed knowledge of the court proceedings told CNN. The microblog leaves out some parts that may put Bo in a good light, they said.

Some of Bo's courtroom comments expunged from the official account include his detailing of threats made against him and his family by investigators, the sources told CNN.

During his incarceration, according to those sources, Bo said investigators warned him of the possibility of his wife's execution and his son's arrest, and told him about the cases of other prominent officials -- one of whom confessed and was spared and another who did not cooperate and was executed.

Bo spoke for almost half an hour on Monday, much longer than what the court transcripts show, according to the sources. They said after Bo delivered his closing remarks, five family members in court stood up, clapping and saying: "Well said, Xilai! We will always be with you."

Despite the restrictions on the flow of information, Chinese state-run media have highlighted the microblog disclosures as a new level of transparency.

"They see this as an opportunity to present China as a country where rule of law is developing and where the judicial system is becoming more mature," said political commentator and columnist Frank Ching. "But at the same time, they want to have some control."

Timeline: Bo Xilai scandal

'A good legal mind'

Based on the information that the court has divulged, Bo has come across as a combative defendant, denying allegations against him and attacking the credibility of prosecution witnesses.

"I think he has performed very well in court," Ching said. "He seems to have a good legal mind and has been able to argue his own case very well."

But despite his assertive performance, many observers still expect him to be convicted in a legal system where the Communist Party controls police, prosecution and courts.

Bo appeared to acknowledge his likely fate during his final statement Monday.

"There are times when I felt weak, because I know I'm doomed and there's no escape for me," he said. "Ending up in prison, I have mixed feelings toward the rest of my life."

Trial by social media

The rise of a princeling

Bo is a princeling, a term that refers to the children of revolutionary veterans who boast of political connections and influence. His late father, Bo Yibo, was a revolutionary contemporary of Chairman Mao Zedong and the late paramount leader Deng Xiaoping.

Over the past three decades, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policy-making body of the Communist Party.

With the help of Wang, he was credited with a spectacular, albeit brutal, crackdown on organized crime during his time as the top party official of Chongqing.

Bo's populist policies drew admirers and detractors, but he ultimately ran afoul of party power brokers.

Long underwear from the 1960s

His high profile and connections among the nation's ruling elite have made his case an extremely delicate matter for Chinese authorities.

The court hearings have included plentiful details about the jet-set lifestyle led by Bo's wife and youngest son, which prosecutors allege was funded by rich businessmen to secure influence from Bo.

The favors mentioned include a villa in the South of France, and trips to destinations around the globe for the son, Bo Guagua, who is now living in the United States.

Bo Xilai has denied he knew details about where the money was coming from. And on Monday, he sought to play up his Spartan credentials.

"I have no interest in clothing," he said. "My thermal long underpants were bought by my mother in the 1960s."

Nonetheless, the portrait that has emerged of Bo, his family and their former position near the top of the Chinese system has proved revealing.

"Since the founding of the Communist Party and the People's Republic, this has been the only time that connections among the party, government, judiciary, politicians' private lives, as well as power and interests, are explained in such a clear, public and entertaining way," the dissident Chinese artist Ai Weiwei wrote on his Twitter account.

CNN's Steven Jiang reported from Jinan, Jaime Florcruz reported from from Beijing, and Jethro Mullen reported and wrote from Hong Kong. CNN's David McKenzie in Jinan contributed to this report.

@highlight

The trial concludes after five days of hearings in the eastern city of Jinan

@highlight

Bo accuses his former police chief of having a crush on his wife

@highlight

Two sources say the court hasn't disclosed the full proceedings

@highlight

Some key parts that may put Bo in a good light have been left out, they say