(CNN) -- President Obama's poignant speech at Sunday's interfaith vigil in Newtown, Connecticut, set the tone for our mourning. Now, America's path forward will be decided out of the spotlight. The question of whether the tragedy at Sandy Hook Elementary School will linger only in memory or be memorialized by an enduring shift in gun policy can only be answered by the legislature.

Incoming Judiciary Committee chair Sen. Diane Feinstein has announced she will introduce an enhanced assault weapons ban on the first day of the new Congress, but the fate of that legislation is in the hands of Vice President Joe Biden.

Biden will reportedly lead the administration's political response.

No politician could be better suited to the challenge of passing federal gun control legislation than Biden. Over the past four decades, Biden has been one of the most consistent and effective advocates of gun control and violence prevention legislation. In 1994, Biden shepherded the Violent Crime Control and Law Enforcement Act through the Senate, a near miracle six years in the making.

After Biden wrote the Violent Crime Control and Law Enforcement Act in 1988, Republicans quickly filibustered, blocking the bill for four years. He steered "the Biden crime bill" through the lengthy filibuster by negotiating with Republicans and making revisions. "Every single line in that bill was written with every single major Republican a part of it," Biden said in a September 12, 1994, interview on the Charlie Rose show.

The Clinton administration and then-Sen. Biden repeatedly refused to make concessions that would have jeopardized the substance of the act, even after debate over the amendment we know as the federal assault weapons ban imperiled the entire bill. Instead of backing down, Biden took on Republican Sens. Phil Gramm and Orrin Hatch and faced opponents attacking the bill as taxpayer-funded "dance lessons and midnight basketball for robbers and rapists."

France: Where fear and taboo control guns more than laws

Biden did not budge: "Make no mistake, this is about guns, guns, guns." The crime bill passed the Senate in November 1993.

When the bill foundered in the House, Biden persevered. It reached President Clinton's desk thanks to an unexpected, eleventh-hour push from a "Lost Battalion of Republicans" led by Rep. Mike Castle of Delaware. He'd been swayed during a series of meetings with the House Speaker and other House Republicans, at which Biden was the only Senator in attendance.

The resulting legislation banned the manufacture of 19 types of semi-automatic firearms and criminalized the possession of high-capacity magazines. The process taught a critical lesson: When otherwise "pro-gun'" lawmakers have to choose between a crime bill including a gun ban and inaction, it is more than possible for them to vote to protect Americans. Unfortunately, the assault weapons ban expired in 2004. Since then, numerous lawmakers, including Joe Biden, have tried and failed to get the ban renewed.

Congress now has a rare opportunity to take new action on gun control. After Newtown, proponents of stricter gun legislation are backed by public opinion and bolstered by a surge of political support. The "pro-gun" wing of the GOP and the National Rifle Association remain silent even as their supporters are defecting publicly.

Democratic Sens. Harry Reid and Joe Manchin, whose voting record earned them the NRA's "top rating," have backed off their "pro-gun" positions and declared that "everything must be on the table" for legislative debate. The 31 pro-gun senators have not spoken since Friday's tragedy, signaling the possibility that some of them might be changing their minds on guns, too.

Lawmakers are essentially being asked to consider an updated version of the 1994 assault weapons ban. On Sunday, Feinstein promised the legislation "will ban the sale, the transfer, the importation and the possession" of assault weapons and ban high-capacity magazines as well as "clips of more than ten bullets."

Biden will likely support a new ban on assault weapons and push for improvements. His 2007 Crime Control and Prevention Act would not only have renewed the ban but required background checks for all gun purchases, closing the "gun show loophole.'" Biden has also called on Congress to address the relationship of mental illness to violence in the wake of the Virginia Tech shootings.

Was your gun banned?

The president cautioned Americans Sunday, saying "no single law, no set of laws can eliminate evil from the world, or prevent every senseless act of violence in our society. But that can't be an excuse for inaction. Surely, we can do better than this."

In his first term, however, Obama practiced a policy of appeasement, failing to block the expansion of gun rights or promote gun control. To ensure Congress passes tough, comprehensive gun control laws rather than settling for a watered-down version, as with health care, Obama must let Biden lead.

Why? Biden has distinguished himself as an adroit and effective statesman in both the legislative and the executive branches. The former six-term senator has a deft touch with moderate and conservative counterparts: in 2008, he eulogized Strom Thurmond. As vice president, he has spearheaded the implementation of the American Recovery and Reinvestment Act. Moreover, Biden has a particular passion for protecting students and educators. His wife, Jill Biden, has been teaching for more than 30 years.

The deaths of 20 first-graders and six adults compel all Americans as sons and daughters, fathers and mothers, uncles and aunts, to consult their moral compasses. Legislators face a greater responsibility: a moral imperative to pass any legislation that could possibly prevent a future Newtown, Aurora, Oak Creek or Blacksburg.

Opinion: Gun violence is a national security issue

As Obama ministers to the American people and offers words of comfort, Biden must move lawmakers to action. In 1994, Biden warned his colleagues, "we simply can't let the gun lobby deny to the American people the vital benefits in this bill." Biden must once more appeal to Congress to enact gun control. If anyone can succeed in those chambers, it's Joe Biden.

The opinions expressed in this commentary are solely those of Rebecca Buckwalter-Poza

@highlight

Rebecca Buckwalter-Poza: Obama has apparently tapped Biden as gun control point man

@highlight

She says he was leader in Senate on issue, shepherding 1994 gun control legislation

@highlight

It banned manufacture of many semi-automatic guns,criminalized high-capacity magazines

@highlight

Writer: Biden worked across aisle; he's adroit, determined statesman, right man for job