(CNN) -- There are few rivalries in sport that capture the imagination like the coming together of Real Madrid and Barcelona -- a soccer match of such enormity that it has its own nickname: "El Clasico."

On the field, it is a billion-dollar grudge match between the two best teams in the football-mad country of Spain.

Off the field, it is a tale of two cities -- a clash of Castilian nationalism and Catalan pride; and a rivalry of cultures forged in the Spanish civil war and the reign of General Franco.

The two will clash Wednesday at Real Madrid's Estadio Santiago Bernabéu before traveling to Barcelona for the second leg of the Champions League semifinal next week.

In a freak of fixture commitments, the superpowers of Spain will have met four times in the space of 18 days by May 4, giving the historic rivalry an epic new chapter.

Is Real Madrid's Jose Mourinho the master of mind games?

Billion-dollar ball game

The modern-day El Clasico brings together the world's two highest-earning sports clubs -- boasting combined revenues of over $1 billion, according to international consulting firm Deloitte.   The great rivals also lead the sports world in wages. According to Sporting Intelligence, Barca paid an average salary of $7.9 million to players last season, with Madrid dishing out $7.4 million. The New York Yankees baseball team are third on the list, paying an average $6.8 million.

"Both teams (Madrid and Barca) have steadily grown their revenue streams in recent years, contributing to their on-pitch performance through investment in better facilities, players and the development of youth team players," said Dan Jones, sports business partner at Deloitte.

But while the two teams clearly share a license to print money, they have contrasting approaches to the business of spending it.

Madrid are famed for their extravagance -- with the $130 million paid to Manchester United for Cristiano Ronaldo in 2009 typical of their cavalier policy in the transfer market. They profess the '"Galacticos" mentality -- a team of superstars -- demonstrated by a 2010-11 squad that cost an eye-watering $689 million to assemble.

Barca are not without their big-name signings, but rely far more heavily on homegrown talent -- with the likes of Lionel Messi and Spanish World Cup winners Xavi and Andres Iniesta being products of the club's youth academy. Barca's current squad cost just $254 million to assemble.

History of rivalry

Barcelona and Real Madrid played for the first time in 1902, but the rivalry soon transcended the confines of a soccer match.

Barca came to represent the fight for Catalan independence from Spain, and a rejection of the nationalist regime that ruled the country from Madrid -- especially under the rule of Franco, who came to power at the culmination of the bloody Spanish Civil War in 1939.

"In Spain, the population of Catalonia don't consider themselves Spanish," said Adi-Oula Sebastian, editor of Barca fan site barcablaugranes.com.

"When the General Franco dictatorship forbade the use of regional dialects, the Camp Nou (Barcelona's home stadium) became one of the few places Catalans were allowed to speak their language, without having to fear repercussions."

Madrid were the all-powerful institution. They had political and royal backing -- the "Real" in their name, meaning "Royal," was a gift from King Alfonso XIII in 1920 -- and from the 1950s, boasted a collection of the world's best and most glamorous players.

"For Madrid fans, the game isn't just about getting one over on our eternal rivals, it's about winning a small argument about the country itself," said Gabe Lezra, editor of fan site, managingmadrid.com

"In many ways, Madrid fans view these games as a playful argument about the way to see and understand the country as a whole."

The relationship was exacerbated by the transfer of Alfredo Di Stefano to Madrid in 1953. The Argentine was wanted by both clubs, and both thought they'd signed him. But it was Madrid who got the legendary striker, and Di Stefano duly inspired a decade of dominance at the Bernabeu.

Barca have always suspected foul play. Their official website claims a "royal decree" persuaded Di Stefano to join Madrid, and there has long been the suggestion that the establishment pushed the deal through.

"To this day supporters of Barcelona feel robbed, while Madrid fans argue the legitimacy of the deal," said Sebastian. "Imagine if Michael Jordan gave his word to sign for the Chicago Bulls, then joined the New York Knicks instead!"

El Clasico personalities

The El Clasico as we find it today is defined by two world-class players, and two world-beating coaches. It is Madrid's Cristiano Ronaldo against Barca's Messi on the field, and Jose Mourinho against Pep Guardiola on the sidelines.

Is Jose Mourinho the master of mind games?

Ronaldo is the powerfully-built Portuguese winger, with speed to burn and an armory of tricks at his disposal. Messi is the pint-size Argentine genius, who took Ronaldo's crown as World Player of the Year in 2009 -- and retained the award in 2010.

"There's no-one to touch Messi at the moment. People compare him to the great Diego Maradona, and it's a fair comparison," said Tim Hanlan, author of "A Catalan Dream."

"Ronaldo is not quite on the same level, but his strength and pace can make him just as effective as Messi on his day." Both players are having prolific seasons in front of goal, with each vying to be Europe's top scorer.

Their coaches have equally impressive resumes. Guardiola took over at Barcelona in 2008, and led his team to Champions League glory in his first season in charge. Mourinho oversaw Porto's shock European triumph in 2004, and repeated the feat with Inter Milan in 2010.

"I've always loved Mourinho. Since his time at Porto I wanted him to join Madrid," said Lezra. "He's a brilliant tactician, an incredible motivator and a born winner. And his personality fits Real Madrid perfectly."

Footballing duopoly  Until relatively recently the Real-Barca rivalry was a one-sided affair. Madrid built dynasties in the 1950s and 1960s, and continued to dominate domestically and in Europe throughout the 1970s and 1980s.

Barca enjoyed sporadic success, but it wasn't until the early 1990s that they finally launched a dynasty of their own -- winning four titles in a row under Dutch coach Johan Cruyff before lifting their first European Cup in 1992.

The balance of power shifted back and forth over the next 15 years, but Barca are now in the ascendancy. Guardiola's team have won the last two Spanish titles, and claimed a third Champions League crown in 2009. Meanwhile, Madrid are without a European success since 2002.

"Barcelona are definitely on top right now. They've put together a great team, and have been playing the same style, with more or less the same players, for the last four years or so," said Lezra.

"Madrid, on the other hand, have fired managers, brought in new players and made various tactical adjustments -- not a good strategy if you're looking for long-term success."

Whether Barca can stay on stop will undoubtedly be influenced by the outcome of this year's Champions League semifinal -- the latest chapter in a rivalry as fierce and colorful as any in sport.

Who are you rooting for?

"The rivalry between Barcelona and Real Madrid is special because both teams are made up of superstars," said Sebastian.

"You'll be hard-pressed to find as many world-class players sharing the pitch at the same time. In football, the El Clasico rivalry is as good as it gets."

@highlight

Real Madrid and Barcelona are Spain's richest and most successful football teams

@highlight

Their rivalry began in 1902, when Barcelona won a Spanish Cup semifinal 3-1

@highlight

The teams have since shared 51 Spanish La Liga titles, Madrid winning 31 to Barca's 20

@highlight

In 2011 Barcelona and Real Madrid were drawn to play four times in 18 days