(CNN) -- The tobacco industry was once a well-funded behemoth in American politics, and while Big Tobacco's power is slowly eroding, its influence is far from gone.

Once President Obama signs the new tobacco bill, the tobacco industry will be subject to federal regulation.

President Obama on Monday signed a bill that gives the Food and Drug Administration power to regulate the manufacturing, marketing and sale of tobacco.

Anti-tobacco activists champion the legislation as a historic step forward for public health, but even some who have fought tobacco concede that the tobacco companies scored some wins in the final legislation.

"It's a great victory for the public health community, but I would not overestimate the demise of the tobacco industry and their ability to lobby," said Paul G. Billings, vice president of national policy and advocacy for the American Lung Association.

In the past century, the tobacco industry has been distinctive in its ability to avoid coming under the authority of the FDA, while almost every other consumer product has been subject to federal regulation.

Congress voted in 1965 to require all cigarette packages to carry warning labels, a warning that was made under the surgeon general's name five years later.

The legislation Congress approved this month, known as the Family Smoking Prevention and Tobacco Control Act, would give the FDA power to ban candy and fruit-flavored cigarettes, widely considered appealing to first-time smokers, including youths.

It would prohibit tobacco companies from using terms such as "low tar," "light" or "mild," require larger warning labels on packages that show pictures of the effects of tobacco use and restrict advertising of tobacco products. It also would require tobacco companies to reduce levels of nicotine in cigarettes.

Similar legislation, introduced by Sen. John McCain, R-Arizona, more than a decade ago, failed to make it through Congress.

Patrick Reynolds, whose grandfather founded the R.J. Reynolds Tobacco Co., said the passage of the bill "marks the diminished clout of the tobacco lobby on the Hill."

Stanton Glantz, a longtime anti-tobacco advocate and director of the Center for Tobacco Control Research and Education at the University of California, San Francisco, said the public health community has made "gigantic progress" over the past few decades, but he sees the FDA bill as a win for Philip Morris USA, the nation's biggest cigarette company.

At last week's annual National Conference on Tobacco or Health, a large anti-tobacco gathering, in Phoenix, Arizona, Glantz said only about half of the room applauded when it was announced that the legislation passed.

"People were talking about making lemonade out of lemons," he said. "Basically, the public health people cut a deal with Philip Morris."

Philip Morris, which is owned by Altria Group Inc., was the only major tobacco company to endorse the legislation, although the company has expressed some First Amendment reservations about parts of it.

Glantz argues that the legislation legitimizes the tobacco industry at a time when "legitimacy was being lost."

His biggest complaint: The bill creates a 12-member advisory board through which all regulations will flow. Tobacco industry representatives will hold three nonvoting seats.

"Putting three guys on this committee would be a little bit like putting three mobsters on the Department of Justice committee on organized crime," Glantz said, echoing the sentiment of other strong tobacco-control advocates.

R.J. Reynolds said one of its early objections to the legislation was that Philip Morris had a role in crafting it. "The only way a company can grow is at the expense of another," said Maura Payne, vice president of communications for Reynolds American Inc.

Philip Morris argues the bill won't create a commercial advantage for it and instead will create a framework for an emerging market of "reduced-harm products."

"For adults who use tobacco products who want to avoid the health risks of smoking, the best thing for them to do is quit," said William Phelps, a spokesman for Altria.

"Our goal would be to design the best products that we can and then, under federal authority, make those products available to adults who do not quit."

@highlight

President Obama signs bill putting tobacco under FDA legislation

@highlight

The bill is a win for Philip Morris, anti-tobacco advocate says

@highlight

Grandson of R.J. Reynolds founder: Bill marks "diminished clout" of tobacco lobby