(CNN) -- The nine Supreme Court justices might be camera-shy, but a key federal appeals court is using its own technology to open up its most important proceedings to Internet viewers.

The 9th Circuit U.S. Court of Appeals, based in San Francisco, has announced it will provide live streaming video for some of its oral arguments beginning Monday. Five appeals will be available online this week, beginning with a privacy case testing whether police can keep DNA profiles of criminal suspects, even after charges have been dismissed.

Judicial officials say it is the first time a federal appeals court will use its equipment to offer live streams to the public, which can be accessed for free on the circuit's website, ca9.uscourts.gov.

Media outlets, including CNN, have been allowed to record and air occasional high-profile appeals in the 9th Circuit and the New York-based 2nd Circuit in recent years. Most other federal courts, including the U.S. Supreme Court, have banned photographs and video.

"The 9th Circuit has a long history of using advances in technology to make the court more accessible and transparent," said Chief Judge Alex Kozinski. "Video streaming is a way to open the court's doors even wider so that more people can see and hear what transpires in the courtroom, particularly in regard to some of our most important cases."

Under the new rules, all "en banc" oral arguments -- involving 11 judges sitting together in a courtroom at the 9th Circuit -- will be covered live through the court's website. Most such federal appeals are first heard by three-judge panels, and those hearings will not automatically be streamed live.

The losing party at the three-judge stage can ask the court for wider en banc review, and typically involve matters of "exceptional importance." The court estimates about 20 en banc cases each year will be streamed live.

Previous 9th Circuit cases that were televised by the media involved California's same-sex marriage ban, electronic surveillance by the government, affirmative action and international terrorism.

The largest and busiest appeals court

All of circuit's 11 courtrooms are equipped with video cameras, and broadcast and cable news outlets have been allowed to access the feeds. About 378 media requests for photographic and video coverage have been granted in the past two decades, said officials.

Among the 13 federal judicial circuits nationwide, the 9th is the largest and busiest, comprising of cases originating in Alaska, Washington, Oregon, California, Idaho, Montana, Nevada, Arizona and Hawaii, along with Guam and the Northern Marianas Islands.

Most appeals are heard at the James R. Browning Courthouse in San Francisco. Panels also convene occasionally in Pasadena, California; Portland, Oregon; and Seattle.

Many at the 9th Circuit credit Browning for being a nationwide pioneer in bringing technology to improve public access in the courtroom and increase internal efficiency when managing a court's docket.

"The major innovations in court administration over the past 30 to 40 years, you'll find most of them started through the creative mind of Judge Browning," said Judge Sidney Thomas, a longtime colleague who was a 2010 finalist for a Supreme Court seat. "We had e-mail in the 9th circuit 20 years before anybody heard of the term, and this from a judge who has never been able to operate a computer."

Browning served on the circuit from 1961 until his death last year. He was chief judge from 1976 to 1988.

The Judicial Conference, the third branch's policymaking board, allowed federal courts of appeals in 1996 wide discretion to decide for themselves whether to allow cameras in its courtrooms. Three years ago, a pilot program was extended to federal district, or trial, courts. Fourteen such courts nationwide are participating, and nearly 150 civil proceedings are available to be viewed online.

At almost 18,000, the case with the highest viewership involved a 2012 civil trial where several citizens alleged government surveillance of their phone and computer activity. Most federal courtrooms remain accessible for the public to watch in person, but seating can be limited.

Baby steps at the U.S. Supreme Court

As for the highest court in the land, still no cameras, but incremental steps over the years to greater public access. Audio of that week's arguments are now posted Fridays on the Supreme Court's website. It may be the easiest to sample the flavor of public session: only about 330 courtroom seats are available to the public and only on a first-come, first-seated basis.

A little-known fact about the high court is that it has been taping its arguments since 1955, initially in secret. Until three years ago, the audio from one term was not available until the beginning of the subsequent term, a wait of up to a year. And for decades, the only way to hear the reel-to-reel tapes was to go a National Archives and Records Administration annex in Maryland in person and listen on site. Typically only scholars and researchers were allowed access.

Now all oral arguments from 2010 are easily available to listen or download on the website. Earlier Supreme Court cases are available on the website oyez.org, a digital archive run by Professor Jerry Goldman and the Chicago-Kent School of Law.

But don't expect to soon see Justices Antonin Scalia or Sonia Sotomayor in their robes on CNN, mixing it up in the marble courtroom. Despite congressional efforts to introduce cameras there, the justices warn of unintended consequences.

"Please, senator, don't introduce into the dynamic that I have with my colleagues the insidious temptation to think one of my colleagues is trying to get a sound bite for television," Justice Anthony Kennedy told lawmakers in 2007. "We don't want that. Please don't introduce this into our intercollegial deliberations."

@highlight

9th Circuit U.S. Court of Appeals has been a technology leader

@highlight

The court will provide live streaming video for some of its oral arguments

@highlight

The U.S. Supreme Court has been reluctant to take such steps