(CNN) -- Here's a thought to chew on: America's most intractable problems all double back to our collective mistreatment of animals. Sounds crazy, right? Well, humor me for a minute.

Our own lives would improve if we started showing some basic decency to the 9 billion cows, calves, pigs, lambs, turkeys and chickens that are slaughtered a year in the United States. More than 99% of farm animals in the U.S. are raised in factory farms, many unable to even turn around in small cages.

A slew of investigations by Mercy for Animals, PETA and the Humane Society of the United States have uncovered repeated instances of vicious abuse of animals headed for slaughter.

The latest Humane Society undercover investigation of a large veal calf slaughterhouse in New Jersey showed abuse too gruesome to display on television and resulted in the temporary shutdown of the facility by the U.S. Department of Agriculture.

"Animal abuse is the norm in the meat industry," says Paul Shapiro, vice president of farm animal protection at the Humane Society. "Many standard practices in animal agribusiness are so cruel that they're just out of step with mainstream American values about how animals ought to be treated." The society cites piglet tail docking and castration without anesthesia, the confinement of pigs to crates where they cannot turn around and cutting off the beaks of egg-laying hens before they're confined to tiny cages.

If all of this sounds hideous, it is. And here's how it hurts us humans.

The obesity crisis: Two thirds of American adults are overweight or obese. The American Medical Association has declared obesity a chronic disease in an attempt to get a grip on what some label the 21st century plague. A recent study published in the New England Journal of Medicine shows that kids who are overweight in kindergarten are often condemned to future obesity.

It also showed obesity is highest in the poorest socioeconomic sectors of society, further hobbling already disadvantaged kids. The rise of obesity has paralleled the rise of fast food, laden with meat and dairy products: burgers and shakes.

Obesity affects every aspect of a people's lives, from health to relationships. Less fast food would help stop the obesity epidemic and would also mean raising and killing fewer animals. A 2010 study published in the American Journal of Clinical Nutrition concluded, "a plant-based diet seems to be a sensible approach for the prevention of obesity in children."

The health care crisis: The myriad of serious health risks resulting from poor diet include high cholesterol, heart disease, type 2 diabetes, high blood pressure, stroke and even sleep apnea. Eating too much meat and dairy products, combined with excessive intake of sugars and starch, plays a big role in these medical issues. Cholesterol does not exist in vegetables. Vegetables do not clog arteries.

A report by the Union of Concerned Scientists says we could save 100,000 lives and $17 billion in health care costs from heart disease every year if Americans ate more fruits and vegetables.

The report begs Congress to slash farm policies that subsidize Big Ag's massive production of junk and fast food. Critics say the $956 billion farm bill that just passed is simply a bait and switch that cuts direct subsidies but replaces them with generous crop insurance.

That brings us to money.

The deficit: Skyrocketing health care costs are a key factor in the ballooning deficit. The yearly medical costs of obesity are estimated to be as high as $190 billion a year, according to a study reported in the Journal of Health Economics, with expenditures of almost $1,200 more a year to treat obese Americans compared with those of normal weight.

Natural disasters: Extreme weather phenomena is on the rise leading to more massive, destructive storms as a result of climate change. Hurricane Sandy alone cost $70 billion in damage and lost economic productivity.

Meat production is one of the leading causes of climate change because of the destruction of the rainforest for grazing lands, the massive amounts of methane produced by farm animals and the huge amounts of water, grain and other resources required to feed animals The U.N. Food and Agriculture Organization found the production of meat contributes from 14% and 22% of the world's greenhouse gases.

Hunger: Every five seconds a child dies somewhere in the world of malnutrition or starvation. World hunger could be eliminated if all the produce fed to cows, chickens and pigs raised for human consumption was distributed directly to hungry humans.

Bill Gates, who is championing meat alternatives in his "Future of Food" project, puts it succinctly when he notes: "For every 10 kilograms of grain we feed cattle, we get 1 kilogram of beef in return. The calorie kick-back is just too low to feed a growing world population."

Some of the smartest people in America, from Bill Clinton to Bill Gates, are starting to see the big picture. Clinton, after having quadruple bypass surgery and later stents to open his veins, publicly adopted a plant-based diet.

Bill Gates, in his Future of Food project, sums up the unsustainability of our food system succinctly, noting: "raising meat takes a great deal of land and water and has a substantial environmental impact. Put simply, there's no way to produce enough meat for 9 billion people." The human population of Earth is expected to surpass 9 billion by 2050.

Now, it's time for the rest of us to wake up and vote with our shopping carts. American taxpayers and consumers are being exploited right along with the animals.

The opinions expressed in this commentary are solely those of Jane Velez-Mitchell.

@highlight

Jane Velez-Mitchell: Almost all farm animals in the U.S. are raised in factory farms

@highlight

Velez-Mitchell: Animal abuse and cruelty is the norm in the meat industry

@highlight

She says meat production leads to obesity, disease, high health costs, pollution

@highlight

She says raising meat uses huge amount of energy; plant based diet could feed the world