(CNN) -- Scientists have found a decline in oxygen levels in the Gulf of Mexico following the BP oil spill but have found no "dead zones" as a result, a federal task force reported Tuesday.

Levels of dissolved oxygen in deep water have dropped about 20 percent below their long-term average, according to data collected from up to 60 miles from the well at the center of the worst oil spill in U.S. history. But much of that dip appears to be the result of microbes using oxygen to dissolve oil underwater, and the decline is not enough to be fatal to marine life, said National Oceanic and Atmospheric Administration official Steve Murawski, the head the Joint Analysis Group studying the spill's impact.

"Even the lowest observations in all of these was substantially above the threshold," Murawski said.

The samples were collected from 419 points at varying distances from the ruptured well at the heart of the disaster and at depths as far down as 4,800 feet, the group reported. The task force is made up of NOAA, the Environmental Protection Agency and the White House Office of Science and Technology Policy.

The undersea gusher erupted in April, releasing an estimated 4.9 million barrels (205 million gallons) of crude before being temporarily capped in July. The volume of oil -- and the amount of chemical dispersants used to break it up -- have created concerns about the long-term health of the Gulf. At the same time, the spill delivered a severe economic blow to the region, where fisheries and beach resorts are major employers.

Early findings from a mid-August survey led by the University of South Florida indicated oil had settled to the bottom of the Gulf further east than previously suspected and at levels toxic to marine life. At about the same time, a team from Georgia Sea Grant and the University of Georgia released a report that estimates that 70 to 79 percent of the oil that leaked from the well "has not been recovered and remains a threat to the ecosystem."

The latest study "does not discuss the broad ecosystem consequences of hydrocarbons released into the environment," NOAA said. But it concludes that the oil is continuing to break up and disperse underneath the surface, making the emergency of a major oxygen-poor dead zone unlikely.

In early August, the federal government estimated that about three-quarters of the oil spilled had either evaporated or been dispersed, or had been skimmed or burned off the surface.

The disaster began with an April 20 explosion aboard the oil rig Deepwater Horizon that left 11 men dead. The blast uncorked a BP-owned well off southeastern Louisiana that spewed for 87 days before being temporarily capped.  Operations are under way to permanently seal the well.

BP, rig owner Transocean and well cement contractor Halliburton have blamed each other for the disaster. BP plans to release the findings of its internal investigation of the accident on Wednesday, the company said.

@highlight

Deep-water oxygen levels are down but not deadly, report concludes

@highlight

The study tracked dissolved oxygen levels from May to August

@highlight

Latest federal report doesn't address the spill's "broad ecoystem consequences"

@highlight

BP's report on the disaster is scheduled for release Wednesday