New York (CNN)The house is primitive, constructed of baked mud and stone. The landscape is sparse and mountainous, with snow cover in the winter. The terrain is rugged and challenging for the long walks the owner liked to take with his sons.

Photographs quietly introduced as evidence in the latest major terrorism trial in Manhattan federal court offer a rare look inside Osama bin Laden's lair -- years before al Qaeda flew hijacked planes into buildings or bombed U.S. embassies in Africa and even before the FBI placed bin Laden on its Most Wanted List.

Still, bin Laden was preparing, hiding out in a remote, mountainous area of Afghanistan known as Tora Bora.

A remarkable set of photos -- the first showing bin Laden in the hideout where he would seek refuge after 9/11 -- came to light only last month in the terrorism conspiracy trial of bin Laden lieutenant Khaled al-Fawwaz, a communications conduit for al Qaeda in London in the mid-1990s. Al-Fawwaz would arrange bin Laden's first television interview for CNN's Peter Arnett and Peter Bergen in 1997 and a sit-down for ABC News' John Miller a year later. But before then, al-Fawwaz called on a Palestinian print journalist, whose 1996 journey to Afghanistan yielded these photos.

Bin Laden had declared war on the United States and wanted more people to know it, especially in the Arab world. He reached out to Abdel Barri Atwan, the founder and then-editor-in-chief of Al-Quds Al-Arabi, an independent Arabic weekly published in London that had been critical of certain Arab regimes and the 1991 Persian Gulf War.

Atwan had broken the story about bin Laden's first fatwa, or religious decree, stating his grievances against the United States, such as the presence of U.S troops in Saudi Arabia. He published the entire screed in August 1996. The next month, al-Fawwaz went to Atwan's office to offer him the first print interview with the emerging jihadist leader in Afghanistan.

"I was told that Osama bin Laden was fond of my writing, he liked my style, and he wanted to meet me personally," Atwan recalled in an interview for Bergen's 2006 book, "The Osama bin Laden I Know." "I was hesitant, because it was very dangerous."

Danger aside, in November 1996, Atwan was airborne to Afghanistan. The date-stamped photographs from his trip -- which Scotland Yard detectives discovered two years later in a search of al-Fawwaz's London home -- show a healthy, relaxed, sometimes smiling bin Laden, not yet 40, conversing, hiking, videotaping pronouncements, surrounded by children.

The photos also show rare images of another man who has become an influential ideologue in the global jihadist movement -- Mustafa Setmariam Nasar, better known as Abu Musab al-Suri, a Syrian now in his mid-50s who has not been seen in public or heard from in a decade. Still, al-Suri is arguably the most influential strategic thinker in Islamist militant circles today.

"A generation of jihadis were influenced by his teachings," said Paul Cruickshank, a CNN terrorism analyst who has written about al-Suri. "He wanted a global jihadist intifada, where people rose up and fought  as individuals.

"His teachings have deeply influenced jihadis in Syria -- how to build up an organization, how to win support for it," he said.

Bin Laden, from Saudi Arabia, first went to Afghanistan in the 1980s to participate in the armed resistance to Soviet invaders, one of thousands of Arab fighters defending a Muslim nation. As the anti-Soviet jihad wound down, bin Laden began organizing al Qaeda, meaning "the base," around the border city of Peshawar, Pakistan. By 1992, Pakistan forced him and his fighters to leave.

Bin Laden relocated to Khartoum, Sudan, welcomed by a new Islamist regime. But after four years headquartered there, in 1996, under pressure from the United States, Sudan made bin Laden go. By then, the ideologically in sync Taliban had taken control of Afghanistan, and bin Laden decided to move there.

In May 1996, bin Laden settled in the eastern Afghan city of Jalalabad. His mountain fortress in Tora Bora was a long drive up a dirt road he had built. Atwan was driven there in a red Toyota pickup in a twisting seven-hour drive through the mountains. As a photo of him shows, Atwan donned Afghan-style baggy trousers and a turban to get past security checkpoints and fit in.

Atwan met bin Laden in his cave. It was small, 13 by 20 feet in Atwan's estimation, and as the new photos show, it was lined with shelves of books about the Koran and the Prophet Mohammed. Bin Laden liked to use the bookshelves as a backdrop for his videotaped edicts and interviews. The cave not only offered bin Laden a hiding place but also street credibility in the Muslim world, as the prophet is believed to have received the revelations of the Koran while camped in his own mountain cave.

After hours of conversation and an inedible dinner featuring salty cheese and sandy bread, Atwan ended up bunking in the cave on a mattress that rested on boxes of grenades.

"He wanted media exposure," Atwan recalled in the interview for Bergen's 2006 book. "He wants to say, 'Now I am an international figure; I'm not just a Saudi. I am aggrieved at  Americans who are occupying Saudi Arabia who are desecrating the Holy Land.' "

As seen in the photographs, bin Laden always carried a Russian-made Kalashnikov rifle. His comrades addressed him as "Abu Abdullah," for father of Abdullah, his eldest son. Two younger sons, Saad and Ali, then in their early teens, sometimes were at the compound. As one photo shows, Atwan and bin Laden took a two-hour walk around Tora Bora.

"He loved that nature there. He loved the mountain. They were trying to have their own community, grow their foods," Atwan recalled. "It's like an oasis in Afghanistan."

Bin Laden's three wives and more than a dozen children did not share bin Laden's joy in living the life of medieval peasants in the Tora Bora mountains, where the only light at night was from the moon and gas lanterns, and the only heat in a place where tremendous blizzards were common was a wood-burning metal stove. Hunger was a frequent companion to the bin Laden children who lived on a subsistence diet of rice, bread, eggs and that salty cheese.

In December 2001, with U.S. troops retaliating for 9/11 closing in, bin Laden fled Tora Bora, eventually making his way to Pakistan, where U.S. Navy SEALs ended a decade-long manhunt by killing him in his Abbottabad hideout, an hour north of Islamabad.

Atwan stepped down from the helm of Al-Quds in 2013 and recapped his journey in a deposition for the al-Fawwaz trial. Al-Fawwaz was convicted in Manhattan federal court on February 26 and faces a possible life sentence.

Even in Tora Bora, Atwan felt bin Laden was vulnerable to intelligence agencies. "I thought this man would not last," Atwan said Tuesday. "He wasn't really well-protected. He was visible and moving freely."

In 1996, bin Laden knew but certainly did not disclose the lethal plots he had set in motion -- the embassy bombings, the planes plot that would become 9/11. Atwan said, "He was very optimistic, and it never occurred to me that this would be the most be dangerous man in the world."

With his pale skin, short red hair and beard, and green wool hat, Abu Musab al-Suri could pass for Irish.  But he is Syrian, originally from the ancient city of Aleppo, fought in the anti-Soviet Afghan war, and lived in London in the 1990s.

Al-Suri was close to bin Laden, which explains his comfortable presence in the 1996 photos of Tora Bora, seated next to al Qaeda's leader in his cave or hiking with him, carrying his own cameras. (Al-Suri also accompanied Bergen and Arnett on their visit to bin Laden in 1997.)

The United States has since accused al-Suri of training recruits at al Qaeda's pre-9/11 al-Ghuraba and Derunta camps in Afghanistan, where operatives such as Ahmed Ressam, who planned to bomb Los Angeles International Airport in December 1999, learned how to kill with poisons and chemicals.

Eventually, al-Suri publicly criticized bin Laden for making al Qaeda so hierarchical, for courting publicity and being so controlling, even calling him a "Pharoah" for his imperial leadership style.

But al-Suri was no less militant. He set up his own training camp in Afghanistan and advocated a "leaderless jihad" featuring, as he put it, "spontaneous operations performed by individuals and cells all over the whole world without connection between them."

Al-Suri summarized his philosophy in his 1,600-page treatise, "The Call for Global Islamic Resistance," which he published on the Internet in 2004. He coined the Arabic slogan nizam, la tanzim, meaning "a system, not an organization," to describe his belief that there should be no organizational bonds between "resistance fighters."

Al-Suri advocated terrorist cells of no more than 10 men and envisioned more "lone-wolf" attacks, such as the Fort Hood, Texas, massacre carried out in 2009 by rogue U.S. Army Maj. Nidal Malik Hasan, who was inspired by the radical Yemeni-American cleric Anwar al-Awlaki, himself an al-Suri disciple.

Strategically, al-Suri argued, a less centralized jihadist network would make operatives who were arrested less likely to expose fellow militants to intelligence or law enforcement agencies, because the fighters would not know who else was part of the movement. Al-Suri was forward thinking about al Qaeda evolving into an international ideology more than a centrally controlled organization.

After 9/11, al-Suri appeared on the U.S. Most Wanted Terrorists list with a $5 million reward for information leading to his capture.

In 2005, al-Suri was tracked down in Quetta, Pakistan, and sent to Syria, where he was imprisoned. There were unconfirmed reports that he was released in 2012, followed by al Qaeda statements by leader Ayman al-Zawahiri and spokesman Adam Gadahn in 2014 saying, "May Allah release him."

A decade after his arrest, al-Suri's whereabouts are a mystery.

A gripping glimpse into bin Laden's decline and fall

Phil Hirschkorn is a fellow at the Center on National Security at Fordham Law School and a former CNN senior producer. Peter Bergen is CNN's national security analyst.

@highlight

Photos from terrorism trial offer rare glimpse of Osama bin Laden's hideout before 9/11

@highlight

Palestinian journalist went to interview bin Laden in 1996 in Afghanistan's Tora Bora area

@highlight

Abu Musab al-Suri, an influential figure in global jihadist movement, appears in images, too