(CNN)Debates on climate change can break down fairly fast. There are those who believe that mankind's activities are changing the planet's climate, and those who don't.

But a new way to talk about climate change is emerging, which shifts focus from impersonal discussions about greenhouse gas emissions and power plants to a very personal one: your health.

It's easy to brush aside debates involving major international corporations, but who wouldn't stop to think -- and perhaps do something -- about their own health, or the health of their children?

This new way of talking about climate change -- and linking it to public health issues -- was part of a roundtable discussion Tuesday at Howard University's College of Medicine. President Barack Obama joined U.S. Surgeon General Dr. Vivek Murthy and EPA Administrator Gina McCarthy for a roundtable discussion on the topic as part of National Public Health Week.

"I think we've always known -- or at least in the 20th century we've understood -- that environment has an impact on public health," the President told CNN's Dr. Sanjay Gupta.

"I remember when I first went to college in Los Angeles in 1979, the air was so bad that you couldn't go running outside," Obama said. "You'd have air quality alerts, and people who had respiratory problems or were vulnerable had to stay inside. We took action, and the air's a lot better."

"There are a whole host of public health impacts that are going to hit home, so we've got to do better in protecting vulnerable Americans," Obama continued. "Ultimately, though, all of our families are going to be vulnerable. You can't cordon yourself off from air or climate."

Murthy revealed to the group that asthma is a personal issue for him, as a favorite uncle died from a severe attack when he was younger.

"It's also personal to me because I've cared for many patients over the years who have suffered from asthma and have seen firsthand how frightening it can be to suddenly be wheezing and fighting for every breath," Murthy said.  "Asthma can be very difficult for patients, but also for their families. The impacts of climate change could make the situation worse."

"This is not just a future threat -- this is a present threat," said Brian Deese, a senior adviser to the President.

Deese cited a recent study by the American Thoracic Society that found seven out of 10 doctors reported climate change is contributing to more health problems among their patients.

"The good news is that, in addition to having doctors and nurses, public health officials, schools of medicine joining together to raise awareness -- and to in some cases impact their practice -- they anticipate, for example, increased asthma instances, and plan ahead of time to deal with those," Obama told Gupta. "What we have is companies like Google and Microsoft that are going to take data we're releasing and start developing apps so that, potentially, individual families are going to be able to monitor the air quality in their communities in a real-time basis."

"Communities can start planning for prevention and mitigation efforts more effectively, and hopefully the other thing that happens is that families and parents join with these doctors and nurses to start putting some pressure on elected officials to try to make something happen to reduce the impacts of climate change," said Obama.

The impacts of climate change on health will depend on a multitude of factors, according to the Environmental Protection Agency.

"These factors include the effectiveness of a community's public health and safety systems to address or prepare for the risk and the behavior, age, gender, and economic status of individuals affected," the EPA says on its website. "Impacts will likely vary by region, the sensitivity of populations, the extent and length of exposure to climate change impacts, and society's ability to adapt to change."

The World Health Organization estimates climate change will cause an additional 250,000 deaths per year between 2030 and 2050. "Most will likely perish from malaria, diarrhea, heat exposure and under-nutrition."

"Around the world, variations in climate are affecting, in profoundly diverse ways, the air we breathe, the food we eat, and the water we drink," writes Dr. Maria Neira, director of the WHO's public health and environment department. "We are losing our capacity to sustain human life in good health."

"Consider air pollution, the single greatest environmental health risk we face. In 2012 alone, exposure to indoor and outdoor pollutants killed more than 7 million people -- one in eight deaths worldwide. Under-nutrition already accounts for 3 million deaths each year in the world's poorest regions. Rising temperatures and more variable rainfall patters are expected to reduce crop yields, further compromising food security. Floods are increasing in frequency and intensity, creating breeding grounds for disease-carrying insects. Mosquito-borne diseases, like malaria, are particularly sensitive to heat and humidity. What will happen if rising temperatures accelerate the lifecycle of the malaria parasite?"

"Children and the elderly will be among the most vulnerable," writes Neira. "Areas with health infrastructure will be least able to cope. Developing countries will be hardest hit. The health gaps we have been trying hard to close may grow even wider."

Earth's average temperature has risen by 1.4 degrees Fahrenheit over the past century, and is projected to rise an additional 2 degrees over the next hundred years, according to the EPA.

"Small changes in the average temperature of the planet can translate to large and potentially dangerous shifts in climate and weather," the agency warns. "Many places have seen changes in rainfall, resulting in more floods, droughts, or intense rain, as well as more frequent and severe heat waves."

Still, there exists a sizable group of people who doubt climate change is happening.

"Although climate scientists have been in the news describing this winter as a strong signal that global warming is producing extreme weather, Americans are no more likely today (55%) than in the past two years to believe the effects of global warming are occurring," according to a March Gallup poll.

A 2013 TIME magazine article makes the case that medical professionals may be the best messengers for global warming.

"Framing global warming as a public health issue rather than as an environmental or national security one produces the most emotionally compelling response among people, since it focuses on the immediate implications a warmer climate would have on people's lives," the article says. "This strategy also has the benefit of providing a sense of hope that the problems can be addressed and avoided, if action is taken early enough."

The President said what happened with Los Angeles' air proved that point.

"When the Clean Air Act was passed, not only was there a terrible smog in Los Angeles, it was true in most metropolitan areas across the country," Obama said. "The fact is that air quality has dramatically improved and it's been much cheaper than anybody expected, because technology advanced and people figured out how to do it. As a consequence, the American people are a lot healthier, in addition to being able to, you know, see the mountains in the background because it's not covered in smog."

"We know how to do this," Obama said. "We just have to be bold and recognize and trust the kind of innovative spirit that the American people have always displayed."

@highlight

President Obama attends Howard University roundtable on climate change and public health

@highlight

Linking climate change to how it affects a person's health is a new way to talk about the subject