New York (CNN) -- "Before my mother's ... experience, I never even looked at seniors on the street," said Irene Zola. "They were pretty much invisible to me."

In 2008, Zola's mother, Faye, was admitted into a nursing home after suffering a stroke.

"I knew from that very first night I would have to spend a lot of time there," she said. "I didn't want to leave my mother in a place where people were ignoring her."

Four months later, Zola's mother passed away.

"I was outraged that our culture doesn't have a place for very old people except in nursing homes," she said. "I decided that I wanted to do something about that."

A New York native and 30-year resident of Morningside Heights -- a neighborhood on Manhattan's upper west side -- Zola researched the senior population and how their needs were being met and found a solution in her own backyard.

"[A] friend said, 'What about having some people in our neighborhood taking care of the elders who live here?' "

Borrowing on that idea, Zola started Morningside Village in 2009, an initiative that pairs the elderly in her neighborhood with local volunteers who assist them with their day-to-day needs.

Do you know a hero? Nominations are open for 2010 CNN Heroes

"Sometimes it'll be a stroll, or shopping or helping them pay their bills. We're their daughters and sons helping them to manage their home life," said Zola, 64.

All the seniors and most of the volunteers live within a 24-block area. Volunteers range in age from 18 to 81 and include college and graduate students, doctors, lawyers and social workers.

"I wanted to establish something to support the aging-in-place community and bring people across generations together," Zola said.

According to the U.S. Census Bureau, approximately 40 million people older than 65 live alone. That number is expected to grow as baby boomers reach their twilight years.

"Families are living far away from their older mother [or] father. So who's there to take care of old people?" Zola said. Older parents often don't tell their children about their needs because they fear being a burden or being put into a nursing home.

"This is one way a community can help provide informal care that really makes a difference in the lives of the old people," she said.

Morningside Village is just one initiative of Zola's nonprofit, S.O.S., Support Our Seniors. In addition to its efforts to improve the quality of elder care, the group hosts an annual awards event to honor older adults and is working with educators to create high school and college courses to increase the visibility of the elderly.

All Morningside Village volunteers go through the group's application process and orientation. They are advised how to interact with seniors and given wheelchair and emergency training. Zola pairs a veteran volunteer with a novice and then teams them up with a senior with similar interests.

In addition to companionship, volunteers provide a wide range of assistance tailored to the needs of the elders, including help with home management, grocery shopping and meal preparation as well as accompanying them to doctor's appointments.

For 96-year-old Dolores Saborido, Zola's group not only helps her face the challenges of living independently, it also provides her with hope. In the past year, Saborido has fallen twice. The second fall left her bedridden and depressed until a friend introduced her to Zola.

"When I first met Dolores she spent her days thinking about how her casket would look," Zola said. "We got her a whole team of doctors, and now she has six to seven visits from Support Our Seniors' volunteers every week. She doesn't talk about caskets anymore."

About 50 volunteers are tending to the needs of 27 elders. Zola believes that by limiting its reach, the group can maximize the feeling of community. That's the case for 24-year-old volunteer Caroline Pavloff.

"It's nice," Pavloff said. "It's made me feel more connected to my own neighbors and my own neighborhood."

Still an active volunteer herself, Zola said her neighbors have turned into family. She said she hopes to see Morningside Villages pop up across the country and plans to help those who want to replicate the program.

"Some people believe that old age is a time when people stop learning, but it's not. And so why not live life to the fullest to the end?" she said. "That's what I love to see."

Want to get involved? Check out the Lifeforce in Later Years (LiLY) website at lifeforce-in-later-years.org and see how to help.

@highlight

New York native was outraged at lack of options to nursing homes after mother's stroke

@highlight

She started an initiative to pair elderly with neighborhood volunteers to help with daily needs

@highlight

So far, about 50 volunteers are tending to the needs of 27 older adults

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes