(CNN) -- Some house important corporate meetings; others are family homes. Some are gearing up to welcome top athletes while others open their doors to school children each day.

But all these buildings have one thing in common: This year they have won coveted architecture awards for innovative design and construction methods and for promoting sustainability.

CNN puts the global spotlight on a handful of buildings that have been recognized not only for their good looks but for their green credentials too.

Casa Locarno -- Locarno, Switzerland

Overlooking Lago Maggiore in Switzerland, Casa Locarno was designed by Designyougo and insulated to low energy standards. Instead of using conventional heating, solar collectors on the roof provide energy for the low temperature under-floor heating, as well as for hot water during most months of the year.

Award: Green Good Design 2011

Swarovski Headquarters -- Lake Zurich, Switzerland

Located on the eastern shore of the Lake Zurich in Switzerland, the transparent building houses some 500 staff of crystal manufacturer Swarovski. The low-energy, horseshoe-shaped structure uses water from the nearby lake for heating and cooling.

Award: Green Good Design 2011

OS House -- Racine, Wisconsin, United States

This LEED Platinum-certified family house, located in the town of Racine on the edge of Lake Michigan, was built by Johnsen Schmaling Architects to achieve maximum natural cross-ventilation and make the most of its solar exposure. It features a compact structured plumbing system with low-flow fixtures on taps and shower heads and an on-demand hot water circulating pump.

Award: AIA 2011 COTE Top Ten Green Projects

Velodrome -- London, United Kingdom

Sitting at the north of London's Olympic Park, the Velodrome will open its doors this summer to welcome thousands of track cycling fans during the 2012 Olympic and Paralympic Games. Designed by Hopkins Architects and built to be lightweight and efficient to reflect the design of a bicycle, it is is one of the most sustainable Olympic Park venues. Strategically positioned roof lights allow the use of abundant daylight, while openings in the venue's external timber cladding help to achieve natural ventilation.

Award: RIBA

FUSMH -- Madison, Wisconsin, United States

The First Unitarian Society Meeting House was designed by the Kubala Washatko Architects and is a 20,000-square-foot addition to the historic Meeting House in Madison, Wisconsin. The LEED-Gold certified building is about 40% more efficient than a comparable building that doesn't contain the same innovations. Carbon dioxide sensors trigger a ventilation system that provides energy savings when spaces are not occupied, while more than 90% of regularly-occupied areas are daylit.

Award: AIA 2011 COTE Top Ten Green Projects

House in Shimogamo -- Kyoto, Japan

"To be able to see green from every room." This was the request made to designers, Edward Suzuki Associates, of this two-storied building, in the northern part of Kyoto, Japan. The modern house features a circular screen of frosted glass, behind of which there is a green zone that strikes a pleasant contrast to the industrialized material.

Award: Green Good Design 2011

Sandal Magna School -- Wakefield, United Kingdom

This community primary school in Wakefield is one of the most carbon-efficient schools in the United Kingdom. Inside, all services and building elements are visible and make the school itself a valuable tool for teaching about sustainability. Sarah Wigglesworth Architects made sure that ecological features include completely natural ventilation through wind towers and on-site energy generation for heating and cooling.

Award: RIBA

Livestrong Foundation -- Austin, Texas, United States

This 1950s-era warehouse, which previously had no windows, was "adaptively reused" by Lake|Flato Architects and transformed into a LEED Gold-certified building. Nearly 90% of the materials from the demolition of the old building were recycled and used in the new structure. As part of the changes, the workers put windows in the roof that harvest Texas' ample daylight for the main workspace.

Award: AIA 2011 COTE Top Ten Green Projects

Ixsir Winery -- Basbina, Lebanon

Overlooking Basbina in northern Lebanon, this winery combines a restored 400-year-old feudal house with a modern-built, green-skinned (walls or roof of any building that have green capability e.g. they could have plants growing in them) structure. Designed by Raed Abillama Architects, its cellar spaces are buried within the ground as a thermal sponge, creating the needed equilibrium of temperature and humidity.

Award: Green Good Design 2011

Park Hotel Hyderabad -- Hyderabad, India

This five-star luxury boutique hotel in Hyderabad, India, achieved the first LEED Gold certification for a hotel in India in 2010 and was designed by SOM. The project is distinctive for its implementation of sustainable design strategies, with special focus on daylighting: Perforated and embossed metal screens over a high-performance glazing system allow ample diffused daylight to enter the interior spaces.

Award: Green Good Design 2011

Cherokee Studios -- Los Angeles, United States

This mixed-use housing project in LA was designed by Brooks + Scarpa Architects to make the most of the the mild local climate with passive cooling strategies of cross-ventilation and thermal convection. The entire regularly-occupied building area is daylit and can also be ventilated with operable windows.

Award: AIA 2011 COTE Top Ten Green Projects

Marco Polo Tower -- Hamburg, Germany

Designed by Behnisch Architeckten, the Marco Polo Tower brings together a high-end residential project with a holistic ecological building concept. The recessed facades are protected from direct sun by the carefully designed projecting balconies, vacuum collectors on the roof using a heat exchanger turn heat into a cooling system for the apartments. Solar collectors on the roof provide the necessary energy to warm water for the apartments and the communal fitness area. Photograph by Roland Halbe.

Award: Green Good Design 2011

@highlight

CNN presents a selection of eco-friendly buildings that were honored this year

@highlight

Eco-friendly buildings include schools, homes, sports arenas and office buildings

@highlight

Awarded by Royal Institute of British Architects and American Institute of Architects among others