Washington (CNN) -- If you commute using one of the 10 most clogged highways in the United States, you could ride a bicycle to work faster than you could drive, according to a new study that evaluates the countless hours drivers waste in gridlock on roadways each year.

By using GPS-equipped vehicles to record commuting experiences on the nation's roads, analysts studied traffic from a database containing approximately 100 million vehicles including taxis, airport shuttles, service delivery vans, long haul trucks and passenger cars in 2011.

A 13-mile stretch of the San Diego Freeway outside Los Angeles ranked as the most traffic-choked freeway in the nation. But drivers in Honolulu spent the most time in traffic, averaging 58 hours a year stuck in stop-and-go traffic.

Researchers found urban areas are actually seeing traffic congestion decrease at a significant rate nationwide for the first time since 2008. Seventy of the country's Top 100 most populated cities showed a drop in traffic congestion last year.

The study was commissioned by INRIX, a software company based in Kirkland, Washington, that provides traffic- and driver-related mobile apps and online services.

Among the study's findings:

-- Overall, there was a 30% drop in traffic congestion nationwide, but it came with a cost. Due in part to weak employment conditions and higher fuel prices, there are fewer drivers heading to the office, and those who do drive are driving less, the study found.

-- Last year, only 890,000 of the 2.6 million new jobs were in urban areas, according to the research.

-- In cities such as Tampa, Houston and Austin, Texas, research showed improved jobless numbers led to busier roadways.

-- Eight of the 10 worst stretches of road for average travel time and delays were in New York or Los Angeles.

-- On average, Americans spend around 40 hours per year behind the wheel in commuter bottlenecks.

-- Both the best and worst weekday times to be on the road occur on Fridays. Between 6 and 7 in the morning is the best commute time; 5-6 p.m. is the pits.

-- The worst morning commute is on Tuesday.

So when's the best time to be on the road? The research says Monday.

"People tend to take a little more time getting to the office" on Mondays, said INRIX communications chief Jim Bak. "Also, when people take a long three-day weekend, it's often on Monday,"

The 10 cities with the worst commutes, including hours spent in gridlocked traffic and worst 15-minute traffic intervals, were:

-- Honolulu: 58 hours; 5:15-5:30 p.m. Tuesday.

-- Los Angeles: 56 hours; 5:45-6 p.m. Thursday.

-- San Francisco: 48 hours; 5:45-6 p.m. Thursday.

-- New York: 57 hours; 5:30-5:45 p.m. Friday.

-- Bridgeport, Connecticut: 42 hours; 5:30-5:45 p.m. Friday.

-- Washington: 45 hours; 5:45-6 p.m. Thursday.

-- Seattle: 33 hours; 5:30-5:45 p.m. Thursday.

-- Austin, Texas: 30 hours; 5:30-5:45 p.m. Thursday.

-- Boston: 35 hours; 5:30-5:45 p.m. Thursday.

-- Chicago: 36 hours; 5:30-5:45 p.m. Thursday.

Top 10 worst stretches of highway in the nation in 2011 for daily commutes were:

1. Los Angeles: A 13-mile stretch of San Diego Freeway/I-405 North from I-105/Imperial Highway Interchange through the Getty Center Drive Exit, which takes 33 minutes on average with 20 minutes of delay.

2. New York: A 16-mile stretch of the Long Island Expressway/I-495 East from the Maurice Avenue Exit to Minneola Avenue/Willis Avenue Exit -- 39 minutes; 22 minutes of delay.

3. Los Angeles: A 15-mile stretch of the Santa Monica Freeway/I-10 East from CA-1/Lincoln Boulevard Exit to Alameda Street --35 minutes; 20 minutes of delay.

4. New York: An 3-mile stretch of I-678 North (Van Wyck Expressway) from Belt Parkway to Main Street -- 13 minutes; 10 minutes of delay.

5. Los Angeles: A 17.5-mile stretch of I-5 South (Santa Ana/Golden State freeways) from E. Caesar Chavez Avenue to Valley View Avenue exits -- 40 minutes; 22 minutes of delay.

6. New York: A 10-mile stretch of I-278 West (Brooklyn Queens/Gowanus Expressway) from NY-25A/Northern Boulevard to the NY-27/Prospect Expressway exits -- 31 minutes on average, with 18 minutes of delay.

7. Los Angeles: An 8-mile stretch of I-405 South (San Diego Freeway) from Nordhoff Street to Mulholland Drive -- 22 minutes; with 14 minutes of delay.

8. New York: A 6-mile stretch of Van Wyck Expressway from Horace Harding Expressway to Linden Boulevard -- 20 minutes; 13 minutes of delay.

9. Pittsburgh: A 3-mile stretch of Penn Lincoln Parkway/I-376 East from Lydia Street to the US-19 TK RT/PA-51 Exit -- 13 minutes; nine minutes of delay in the morning peak period.

10. San Francisco: An 11-mile stretch of the California Delta Highway from Bailey Road to Somersville Road --16 minutes; 11 minutes of delay.

@highlight

Honolulu drivers spent the most time in gridlock in 2011, the INRIX study found

@highlight

Traffic congestion was down in 70 of the largest 100 U.S. cities

@highlight

Weak employment and high fuel prices were contributing factors, researchers say

@highlight

Most of the worst stretches of traffic congestion were in New York and L.A.