(CNN) -- Chile is unfortunately no stranger to earthquakes. A quake similar to Saturday's struck almost exactly the same part of Chile on February 20, 1835 -- almost exactly 175 years ago.

On that occasion, the young English naturalist and geologist Charles Darwin was in Chile as part of his voyage on HMS Beagle. The 1835 earthquake has been estimated as magnitude 8.5, whereas that of February 27, 2010, has been measured as 8.8.

The earthquake of 1835 occurred around 11 a.m. and lasted about two minutes. The main shock destroyed much of Concepción in just six seconds. There were aftershocks for several weeks and three tsunamis, each one larger than the last, starting about half an hour after the earthquake and bringing further devastation.

Darwin was on shore near Valdivia, 200 miles south of Concepción, during the quake and recorded in his diary:

"I was on shore & lying down in the wood to rest myself. It came on suddenly & lasted two minutes (but appeared much longer). The rocking was most sensible; the undulation appeared both to me & my servant to travel from due East. There was no difficulty in standing upright; but the motion made me giddy.  I can compare it to skating on very thin ice or to the motion of a ship in a little cross ripple. ... An earthquake like this at once destroys the oldest associations; the world, the very emblem of all that is solid, moves beneath our feet like a crust over a fluid; one second of time conveys to the mind a strange idea of insecurity, which hours of reflection would never create."

The Beagle, with Darwin aboard, reached Concepción on March 4. The devastation there was appalling. Darwin called it "the most awful yet interesting spectacle I ever beheld." The entire city lay in ruins. The cathedral was shattered and wreckage and debris lined the coast.

Darwin spent the next weeks investigating the effects of the earthquake. He found that rocks lined with recent marine shells were now elevated above the tide. The island of Santa Maria was raised an average of about 3 meters (9 feet).

Combining his own observations with those of many local people, Darwin attempted to reconstruct the event and to understand why it had occurred. He found that three volcanoes had erupted along the Chilean coast at about the same time as the earthquake.

Not only did he collect widespread evidence of the uplift of the coast during the earthquake, but traveling inland and into the mountains, he discovered a series of remains of marine shells -- proof that the shifting that had recently uplifted the coast by a small amount had occurred over and over in the recent geological past.

The experience convinced him that the great geologist Charles Lyell was right -- mountain chains were not created by sudden immense catastrophes, but grew almost imperceptibly, the product of thousands of successive uplifts over almost endless geological time.

Even more ambitiously, Darwin later came to connect earthquakes, volcanoes and vertical movements of the Earth's crust as the results of same great unknown subterranean phenomena. In an ambitious and important scientific paper published after the voyage, Darwin concluded that "this large portion of the earth's crust floats in a like manner on a sea of molten rock" and indeed that it was likely this was true of "the entire globe."

This firsthand appreciation of an ever-changing surface of the Earth, over endless eons of time, was one of the major influences leading Darwin to ask how it was that living things changed in order to adapt to an ever-changing world.

His answer was, of course, evolution, or that new species are the genealogical descendants of earlier ones, adapted according to natural selection to the environment and each other.

The recent tragic earthquake in Chile demonstrates, as Darwin knew well, that our Earth is not static, it is still changing, still evolving.

The opinions expressed in this commentary are solely those of John van Wyhe.

@highlight

Saturday's earthquake was similar to one that struck Chile when Darwin visited

@highlight

John van Wyhe says Darwin's theories were shaped in part by the experience of the quake

@highlight

He says Darwin observed that the quake elevated the Chilean coastline

@highlight

It prompted him to ask how life changed to adapt to a changing world, van Wyhe says