(CNN) -- We love the glamor of alpine skiing, the glow of tradition, the glitz of stars like Lindsey Vonn, and the gumption of her quest to race the men.

But do we love it enough to keep watching when skiing's "dark side" is so much more exciting and dangerous?

Freestyle skiing is taking over the Olympics. A global passion for taking two skis to new extremes is reaching its zenith, and the Olympic movement has responded by adding a succession of new events to its program.

When slopestyle and ski halfpipe make their debut at the Sochi 2014 Winter Games, freestyle skiers will for the first time have as many medals to aim at as their alpine counterparts.

And as fans are increasingly drawn to new, high-octane breeds of winter sport, so top athletes are making the switch too.

In 2009, Kelsey Serwa left behind alpine racing for ski cross. Within two years she had become an X Games gold medalist and world champion.

"Ski cross is full of outcasts from alpine," the Canadian 23-year-old tells CNN. "Alpine is so strict on rules. Ski cross is more relaxed, for free spirits or people looking for something more exciting than racing the clock."

Ski cross, a thrilling four-way straight fight to the finish line, blew the socks off TV audiences on its debut at Vancouver 2010, where Serwa finished fifth overall.

For some, it made the blue riband downhill races look almost pedestrian. Serwa calls it the "dark side" of ski racing.

"It's so simple," she says. "You don't have to know anything about it, it's obvious: Whoever is leading is the best, right? And if they make a mistake and get passed, you see why. You don't have to understand, just watch and enjoy."

Contrast that with alpine, where even experts can struggle to identify exactly how and why a race was won -- including Serwa.

"I've raced alpine but even I didn't understand everything," she admits. "Is that guy faster than the fastest split time? Or faster than the fastest racer in general? It's kind of like, 'I don't know what's going on.' "

As president of the International Skiing History Association, John Fry has been watching alpine skiing for more than half a century. In that time, he hasn't solved this problem.

"It's very difficult, even for a highly trained eye, to see how a race was won. Sometimes you have five or six racers who finish within one second of each other. It's a built-in problem," says Fry, who helped to found alpine's World Cup circuit in the 1960s as the editor of Ski magazine.

Yet having witnessed the birth of freestyle skiing in the 1970s and its subsequent explosion, he believes freestyle could end up eating itself. Is the proliferation of events making freestyle as hard to grasp for the novice as the intricacies of downhill?

"To me, there are too many Olympic events," he says. "They keep inventing more and more, and they're all relatively minor. In your great classic sports such as golf and tennis, which I think are comparable to skiing, you have all this history.

"Commentators and writers can refer to golf's Masters champions, how Jack Nicklaus did, how Bobby Jones played, and how that compares to today. There's great history there.

"All these novelties, these new events, have very little history to them."

But Fry also thinks alpine skiing is missing vital chances to broaden its appeal in an era where younger generations, their attention spans waning by the second, are overwhelmed by choice.

"A couple of years ago, when (alpine superstars) Lindsey Vonn and Maria Riesch were virtually tied for the season title, they refused to have a race-off which would have attracted a huge television audience," he said.

"They didn't let it happen 'because of a rule.' It's the same thing now that Vonn wants to race the men. They say: 'No, there's a rule, women can't race.'

"Can you imagine the international TV audience they would attract with that race? These opportunities are presented on a platter, but they don't seem to happen."

For freestyle skiing's fans, TV is largely irrelevant. Their home is the web, where anyone with the right moves and a camera can find a huge audience.

Meet the Hannula brothers -- Ilkka and Verneri, both 19 -- their friend Juho Kilkki, 20, and cameraman Janne Korpela, 18. They call themselves Real Skifi. They live in the town of Jyvaskyla, in central Finland, and the internet loves them.

"Our latest episode has been viewed over half a million times," Korpela tells CNN. "I didn't dare to dream we would get this popular."

The quartet spend their days and Jyvaskyla's long, dark midwinter nights finding rails, walls and other beguiling items of street furniture in their hometown. What they find, they ski on. Or over, or under, or through. They call it "urban skiing."

"We try to choose our spots so we aren't too close to people's homes," says Korpela. "The one time the police kicked us out was when we were filming about 200 meters from the local hospital, in between two roads."

Dozens of dangerous takes might be needed to get each trick right, but it pays off: short compilations are uploaded to Vimeo and each one becomes a hit with thousands of Facebook fans. There have, as yet, been no serious injuries.

Disciplines like slopestyle incorporate a lot of the same moves you will see Real Skifi pulling off in their videos.

As a sport, freestyle speaks to them far more than watching one skier after another race the clock down the same old slope -- Vonn or no Vonn.

"It would be boring to just ski down the slope," says Verneri Hannula. "That's why we like to do tricks. When we do tricks, the only limit is our imagination. But when we do alpine skiing, the limit is the 100m-high slope we have."

Kilkki adds: "The only skiing you see on television is pretty much alpine stuff, and that's boring to my eyes.

"Freeskiing is a wildly rising sport. Our local ski hill is full of young kids on their new twin tips (double-ended freestyle skis). That's one reason our videos have become popular. Freeskiing is a lot different from alpine, the videos are a much bigger part of the sport."

Freestyle skiing now enticingly combines a young, passionate fanbase, avidly consuming the sport through the web, with a raft of Olympic disciplines which are guaranteed mainstream airtime next year.

But if alpine racing's position on top of the pile is ever to be truly threatened, freestyle needs to match alpine's impressive presence on worldwide TV, which remains the kingmaker of sports even this far into the 21st Century.

For example, Olympic downhill champion Vonn (televised) has more than 150,000 Twitter followers; ski cross world champion Serwa (streamed) has 650. That makes Sochi 2014 an unparalleled opportunity which freestyle athletes know they must take.

"Alpine will always be strong, it has its roots set pretty deep," admits Serwa. "But we're going to get more followers from a younger crowd. We race at the X Games and that crowd, those kinds of kids will be watching it when they grow up.

"Right now we're battling most with exposure. I believe we have only three or four races broadcast in Canada this year, and last year we had none, not even a race that was held in Canada. For us to get big, we need that TV time.

"Once people see freestyle skiing, they'll really get into it. We won't have to do anything different from what we're doing right now to get people to follow it."

@highlight

A pair of freestyle skiing events to be introduced at 2014 Winter Olympics

@highlight

The "dark arts" of slopestyle and ski halfpipe will make their debut at Sochi

@highlight

Several athletes are making switch from alpine competitions, including Kelsey Serwa

@highlight

Some experts say there are too many "minor" freestyle events included at Games