TEHRAN, Iran (CNN)  -- Supporters of Iranian President Mahmoud Ahmadinejad and his main political rival attended demonstrations at separate locations in Tehran on Tuesday in the wake of last week's disputed presidential election.

Al-Alam footage shows Ahmadinejad supporters rallying Tuesday in central Tehran.

While pro-Ahmadinejad crowds descended on Vali Asr Square in central Tehran, Mir Hossein Moussavi urged his own supporters to cancel their plans to rally at the square after mass protests a day earlier in which seven people were reportedly killed.

Instead, his supporters gathered at a different location in Tehran, according to video footage of the rally.

Iran's government banned international journalists from covering election rallies Tuesday and blocked access to some online communication tools. (Full story)

Reporters for international news outlets, including CNN, could talk about the rallies in their live reports but were not allowed to leave their hotel rooms and offices.

The decision was an apparent reaction to video showing violence at recent demonstrations in support of Moussavi, who is disputing the results of Friday's presidential election.  Watch government coverage of a pro-Ahmadinejad rally »

Iran's government has criticized some of that coverage and the images, describing them as biased.

Also Tuesday, Iran's powerful Guardian Council announced a partial vote recount, an apparent U-turn after the country's Supreme Leader Ayatollah Ali Khamenei endorsed ultraconservative Ahmadinejad's win.

The Guardian Council met with the three opposition candidates -- Moussavi, Mehdi Karrubi and Mohsen Rezaie -- and asked them to specify the areas where they wanted a recount, a council spokesman told the official Islamic Republic News Agency.  Watch how the decision may not satisfy the opposition »

Moussavi rejected the recount, according to an official close to his camp, demanding fresh elections and accusing the country's religious elite of trying to further manipulate the outcome of the original vote.

An official close to the opposition leader's camp, speaking on condition of anonymity, said a recount would provide another opportunity for the government to manipulate the results.

He said the council ordered the printing of 53 million ballots for the elections, but only 39 million were used. Fourteen million ballots were missing.

Khamenei appealed to Iranians on Tuesday to stand behind the Islamic republic.

"Some people are against the unity of the Iranian nation and the solidarity of the Islamic system," Khamenei said in a meeting with representatives of the four presidential candidates, government-funded Press TV reported.

"Such acts and vandalism and some crimes that were committed are not related to the candidates' supporters but to disturbers of peace and all should stand against them," Khamenei said.

A former Iranian parliamentary speaker, addressing Tuesday's pro-Ahmadinejad rally, called on Moussavi to accept defeat.

Gholam Ali Haddad Adel urged Moussavi to "take the leaders' advice" so that "everyone will benefit"

"I want to remind my brother Mr. Moussavi that we do know that the leadership of the revolution likes you and he has advised you if you have any complaints please refer to the Council of Guardians," Adel said.

Iranian security forces arrested three reformist politicians Tuesday for their alleged involvement in orchestrating post-election violence, Press TV reported.

Mohammed Ali Abtahi, an adviser to presidential candidate and former parliament speaker Mehdi Karrubi, was one of the three detained. Abtahi was also Iran's vice president under reformist President Mohammed Khatami.

The other two were identified as Behzad Nabavi and Saeed Hajjarian.

Ahmadinejad's resounding election win surprised many experts who had expected Moussavi to win or put up a much stronger fight.

Moussavi, a former prime minister thought of as a reformist, enjoys tremendous support among youth, who make up almost 60 percent of Iran's population of 70 million.

He tapped into their dissatisfaction with the faltering economy under Ahmadinejad and with an unemployment rate that tops 30 percent by some accounts, analysts said.  Watch how cyberspace is used by opposition »

But Kaveh Afrasiabi, a political scientist who supports Ahmadinejad, said the incumbent's widespread support in rural areas and small towns was the reason for his win with more than 62 percent of the vote.

Since Moussavi contested the results, his supporters have taken to the streets every day, often clashing with police and Ahmadinejad's backers. iReport.com: On the ground in Iran

Seven people were killed on Monday night in the capital, Tehran, after they allegedly attacked a military post near Azadi -- or Freedom -- Square, government-funded Press TV said.

The site was the same one where Moussavi had earlier in the day appealed to his supporters, a crowd of at least 10,000.  Watch crowds call for change »

Moussavi's presence was his first public appearance since the election. He called on authorities to stop attacks on his supporters and urged his followers to continue demonstrating peacefully.

"You are not breaking glass," he said. "You are breaking tyranny."  Watch Christiane Amanpour report from rally »

Ahmadinejad was in Russia on Tuesday to meet with President Dmitry Medvedev. He was welcomed as the "newly re-elected president of Iran," with deputy Foreign Minister Sergei Ryabkov telling reporters, "The issue of elections in Iran is an internal affair of the Iranian people."

Reaction from other world leaders to the disputed election has been, for the most part, guarded.

In Washington, President Obama reiterated his "deep concerns" about the election during a White House Rose Garden appearance Tuesday with South Korean President Lee Myung-bak.

"When I see violence directed at peaceful protesters, when I see peaceful dissent being suppressed, wherever that takes place, it is of concern to me and of concern to the American people," he said. "My hope is that the Iranian people will take the right steps in order for them to be able to express their voices, express their aspirations."

He said the initial reaction from Iran's supreme leader indicates that "he understands the Iranian people have deep concerns about the election."

"People want to see debate," he said. "How that plays out is something for the Iranian people to decide."  Criticism of the Iranian election earned the representatives of several European nations -- France, Germany, the Netherlands, Britain, Italy and the Czech Republic -- a visit to Iran's Foreign Ministry on Tuesday, where each received a notice of protest for interfering in Iran's internal affairs, according to Press TV.

The European Union had expressed concern over the use of force on protesters.

CNN's Octavia Nasr, Reza Sayah and Samson Desta contributed to this report.

@highlight

NEW: Supreme Leader Ayatollah Khamenei urges Iranians to stand behind republic

@highlight

Thousands of Ahmadinejad supporters crowd streets of central Tehran

@highlight

Supporters backing Mir Hossein Moussavi protest for fourth day elsewhere in city

@highlight

Iran's election authority to recount disputed votes in presidential election