(CNN) -- Passengers on a United Airlines flight from Brussels were quarantined at New Jersey's Newark airport and later released this weekend over Ebola fears that turned out to be unwarranted. In this case and that of the Ebola patient in Dallas, government and our citizens struggle to define the parameters of the sanctioned suppression of individual liberty that is the quarantine.

In the modern United States, the people boast unparalleled personal freedoms. Whether enumerated in the Constitution or "penumbral," the inalienable liberties of the individual are designed to never be overridden by the interests of the majority.

Unless, of course, you are really, really sick.

In that case, all those liberty and property rights we talk about? Yeah, not so much.

Government policies of quarantine and isolation raise the classic balancing test of the rights of the individual versus the security of the people. Nearly every law or regulation can be boiled down to this analysis in one form or another.

The game changer here is that with an epidemic, the potential harm to the masses is tremendous, so large that it justifies virtually any invasion of individual rights. Indeed, when one man threatens mankind itself, individual liberties go out the window, and then that window is hermetically sealed. And as long as you are not that "one man," you are fine with that.

Quarantine is perhaps the ultimate invasion of privacy by the state, but constitutionally, it's an authorized intrusion. Under the police power granted it by the Tenth Amendment, states can quarantine and isolate a person, property, a geographic area, and even common carriers -- which are trains, buses and airlines.

Some definitions: The difference between quarantine and isolation is that isolation applies to persons who are known to be ill with the contagious disease. Quarantine applies to people exposed to a contagious disease but who may not actually be sick. The United Airlines passengers were only quarantined.

The state of Texas, on the other hand, has exercised its authority to swiftly isolate Thomas Eric Duncan, the Liberian citizen who is ill with Ebola. Of course, Texas would prefer you use their euphemistic moniker "control measures". See how much less invasive that sounds than "quarantine" or "isolation"? Sometimes government words can sooth government action.

Of course, the authority to quarantine is not unlimited. State quarantine statutes are subject to some constitutional constraints. The Fifth and Fourteenth Amendments require some "due process" before depriving citizens of constitutionally protected liberty interests.

In Texas, that just means an order. Not an order obtained from a judicial or democratic process, but a form filled out by the appropriate health official and served on the persons to be isolated or quarantined. From there, the state's power to enforce these control measures is practically limitless and includes criminal penalties.

There are collateral effects to quarantine and isolation. When people are confined to their homes, they are deprived of property rights and the right to earn an income. Currently only a few states have enacted laws providing any job security to quarantined employees. And Texas has no requirement that quarantined persons be reimbursed for the consequences of being isolated.

Texas and other courts permit an individual to challenge his or her isolation or quarantine by a petition for a "writ of habeas corpus," asking a court to declare that the quarantine law is unconstitutional or violates due process. Courts will defer to the state's police power and public health decisions unless they are "arbitrary, oppressive and unreasonable." That doesn't mean it's without precedent: if the state cannot show good enough reason, some courts have struck down a quarantine.

While the process may not overall feel very protective of individual rights, contagious diseases force a sobering realization. "Due process" is ultimately a fluid concept, defined by the circumstances. In this case, we balance Duncan's liberty interests against the governmental interest served by the restraints, and ask whether the measures are reasonably calculated to achieve the government's aims. With the nation whipped up into a fear over Ebola-calypse, most people will support the government's authority to impose these control measures, even when it appears undefined or limitless.

But the Constitution is not the only check on the broad state authority to impose control measures. State power is ultimately limited by the people; control measures must have public support and cooperation. Isolating a single Liberian is one thing. On the other hand, quarantining a population any larger than a cul-de-sac or a passenger jet is going to require a modicum of public support.

If not, then, no amount of statutory or regulatory authority can prevent a popular revolt, short of the National Guard, assuming they haven't taken ill too.

The truth is, we don't ask about the limits of the quarantine power because we really don't want to have to find out. How far can Texas "control measures" go? More appropriately, how far will we, as citizens, allow them to go?

It raises an interesting legal and moral question, one any fan of the zombie genre has wondered about: If one of our citizens is living but fatally infected, and will harm others if allowed to live out their doomed life, does the state's broad authority include authority to terminate the infected? At what point would we be comfortable with that? In the zombie movies, it's a no-brainer: generally, as soon as the group knows someone's infected, execution follows. And it's not always humane. Don't think we're above that in the real world. If the life of one threatens millions, does the state's police power authorize the pre-emptive taking of that one life?

Constitution aside, the view of quarantine that we all really hold is one we won't admit to: in the case of Ebola, we endorse any suppression of the rights of the individual ... until that individual is "me". Then, we may all become champions of individual rights.

@highlight

Danny Cevallos: People tend to think of constitutional rights as unlimited

@highlight

In fact, he says, people can be deprived of their liberties if they may carry a contagious disease

@highlight

Passengers on a jet at Newark were quarantined until Ebola was ruled out

@highlight

Cevallos: Rights of the individual can be subordinated to those of society as a whole