Bamako, Mali (CNN) -- French and Malian forces squaring off with Islamist militants seized a key city from them Friday, a high-ranking French source told CNN.

The city is Konna, in the central region of Mali, a sprawling, landlocked Saharan nation. That region is the latest front in the grinding fight between the West and al Qaeda-linked militants.

Read more: Opinion: Why Africa backs French in Mali

The development is an important advance a week after France launched an air and ground military offensive against a strong militant presence across northern Mali and other locations in the sprawling country.

Insurgents advancing south toward the capital, Bamako, took Konna on January 10. They started retreating a week ago after the French and Malian forces pushed back, with attacks from the air and other firepower.

Read more: France continues Mali airstrikes; residents frantic

The fighting in Mali has captured the world's attention.

It was one of the most successful democracies in Africa until last year, when a coup toppled the president and Islamists capitalized on the chaos by establishing themselves in the north.

Read more: Six reasons events in Mali matter

There, they imposed a strict interpretation of Sharia law, banning music, smoking, drinking and watching sports on television. They also damaged historic tombs and shrines.

France, once the colonial power in Mali, unleashed an offensive against the militants last week, a mission that President Francois Hollande says is designed to "destroy" the terrorist groups that have taken root.

French envoy stresses urgency

France is sending troops to Mali from military facilities in Africa and from France. Paris is seeking help from its regional allies and the international community.

Such assistance has its perils. After Algeria permitted France to use its airspace to take on insurgents, militants angry about the move stormed a gas field in eastern Algeria and took hostages in what is now an ongoing hostage crisis.

French Ambassador to Mali Christian Rouyer reiterated the need for the French offensive.

"We had a friendly country that was on the verge of dying," he told CNN in an interview Friday.

"It was absolutely necessary to act with urgency. We did it, I believe, with full knowledge of the reasons. Faced with the seriousness of the situation, to my knowledge, there was no other solution."

French military power has been boosted, he said, "because we know we have an adversary who's determined, who's not afraid, knows the terrain well and who's well-equipped."

The offensive has made an impact, stopping the "terrorist advance" and saving other towns: Mopti and Sevare, for example, Rouyer said.

"The advance of terrorist forces -- either in the western or eastern sectors -- has stopped," he said, adding that this is helping to establish calm in Bamako.

"If Mopti and Sevare had fallen into terrorist hands," he said, "I believe that today, we would have chaos in Bamako and all Mali."

Prepare for a refugee crisis in Mali

France seeks help

Leaders from several countries have offered troops or logistical support for the offensive.

The European Union has approved a training mission. The Canadians and British are deploying military transport aircraft. Nigeria is set to deploy soldiers as part of a U.N.-mandated African force to fight the insurgents.

U.S. policy prohibits direct military aid to Mali because the fledgling government is a result of a coup. No support can go to the Malian military directly until leaders are chosen through an election, said Victoria Nuland, a State Department spokeswoman.

"We are not in a position to train the Malian military until we have democracy restored," she said this week. "But we're not precluded from assisting allies and partners in trying to restore security to that country."

So far, the United States has only shared intelligence from satellites and intercepted signals with the French, defense officials said. The Pentagon is also considering sending refueling tankers so that French jets can fly longer, more sustained combat missions, according to the officials.

U.S. trainers will be in African nations to train forces that are set to be deployed in Mali.

"We have deployed 100-ish, about 100 trainers to Africa. They're traveling to Niger, Nigeria, Burkina Faso, Senegal, Togo and Ghana to discuss training and equipping and deployment needs of those countries in the interest of getting them ready to go into Mali," she said.

U.N. says warring threatens cultural heritage

The United Nations Educational, Scientific and Cultural Organization has issued calls for the protection of cultural heritage sites in Mali.

The ancient city of Timbuktu is a UNESCO World Heritage site of huge cultural significance, but its carefully preserved heritage has come under severe threat amid the ongoing conflict.

The fabled city, whose name is sometimes used in the West as a synonym for a faraway place, was at the center of trans-Sahara trade in earlier times. Last year, al Qaeda-linked rebels in northern Mali destroyed historic and religious landmarks there, claiming such relics are idolatrous. Now it is threatened by warfare.

"I ask all armed forces to make every effort to protect the cultural heritage of the country, which has already been severely damaged," UNESCO Director-General Irina Bokova said in an appeal to all combatants.

"Mali's cultural heritage is a jewel whose protection is important for the whole of humanity. This is our common heritage, nothing can justify damaging it."

Refugees flee

The U.N. refugee agency said that in treks that began last year, when the crisis started, Malians are fleeing to other nations, including Burkina Faso, Mauritania, Niger, Guinea, Algeria and Togo, and many are internally displaced.

Refugees in Burkina Faso said "they fled the recent military intervention, the lack of any means of subsistence, and fear of the strict application of Sharia law," the agency said.

People talked about family members disappearing.

"They reported having witnessed executions and amputations, and mentioned that large amounts of money are being offered to civilians to fight against the Malian Army and its supporters. According to the accounts from refugees there are children among the rebel fighters," the United Nations said.

Ethnic Tuareg women and children are among the latest refugees.

"They said that more people, including their husbands and fathers, are on their way to Burkina Faso by foot, many using donkeys or local transport, and many bringing livestock with them. Despite ongoing insecurity in northern Mali in recent months, they say that people have delayed fleeing Mali to allow the men to take care of businesses and animals," the United Nations said.

Human rights abuses

The United Nations has noted accounts of amputations, floggings and public executions, such as the July stoning of a couple that reportedly had an affair. The International Criminal Court has launched a war crimes investigation amid reports that residents have been mutilated and killed for disobeying the Islamists.

"The current human rights situation is linked to long-standing and unresolved issues," and "human rights violations have been committed both in the North and in the area under government control," the Human Rights Council said, citing abuses since January 2012.

"In northern Mali, serious human rights violations have been taking place since January 2012, including summary executions and extrajudicial killings," the council said. It also said:

-- Fighters "allegedly used students as human shields to force military forces to surrender and later on allegedly executed 94 of the 153 captured and disarmed soldiers."

-- Several Tuareg soldiers, including nine in Timbuktu, were also reportedly victims of reprisals by members of the Malian army in the North.

-- Among civilian deaths were people who tried to resist the looting of humanitarian warehouses by armed groups.

-- Ten amputation cases by extremists were reported in the north, including the case of a 30-year-old man whose right hand was cut off with a kitchen knife for allegedly stealing cattle following a summary trial set up by a militia.

-- Women have been assaulted, harassed and abused after being accused of being improperly veiled or dressed, or for riding on a motorbike. In April, six armed men allegedly belonging to the Ansar Dine extremist group raped a woman "for not wearing her veil in her own home."

-- Rapes of women and girls have been done "at times in front of family members and often apparently carried out on an ethnic basis."

-- Girls as young as 12 or 13 are reported to have been forcibly married to members of militias.

-- Child soldiers who were recruited were sometimes as young as 10.

CNN's Joe Sterling reported and wrote from Atlanta. CNN's Ingrid Formanek and Nima Elbagir reported from Bamako, Mali.

@highlight

Insurgents are pushed out of Konna, which they captured last week

@highlight

France is seeking help from its regional allies and the international community

@highlight

The European Union, Canada, Britain and Nigeria are among those assisting

@highlight

UNESCO wants protection of Mali's historic sites