Greek Prime Minister George Papandreou expressed optimism late Wednesday that the Greek people, in a vote to be held as soon as December 4, will support his plan to remain in the euro zone despite having to endure the austerity measures that Greece's continued membership in the euro club would require.

"I believe the Greek people want us to be a strong partner in the euro zone, a strong partner in Europe, and this is at stake," Papandreou told reporters who had assembled for the G-20 meeting in Cannes, France. "This is at stake," he repeated.

His optimism came in the face of an unveiled threat. If the referendum fails, Greece may be kicked out of the euro zone, French President Nicolas Sarkozy told reporters in a separate news conference in this chic resort town on France's southern coast.

If Greece opts not to adhere to a deal reached on October 27, then it must leave the euro zone, Sarkozy said after meeting for more than two hours with Papandreou and German Chancellor Angela Merkel.

But Papandreou said the referendum -- whose wording he would not discuss -- would prove key. "I want to say that we will have a yes," he said.

But first, Papandreou faces a confidence vote, slated for Friday, that will determine his own political fate. "This is our first battle," he said. Asked whether he believed he would win, he said, "I do hope so but, obviously, this is a democratic process."

Sarkozy said the ministers of finance of France and Germany will meet Wednesday. The countries are determined to help Greece, but require that Greece meet its commitments, he said, adding that the other members of the euro zone would not allow the euro to be destroyed.

Greek authorities were informed that Europeans and the International Monetary Fund would disburse a sixth tranche of $8 billion euros only after the uncertainty is ended and the October 27 deal is implemented, Sarkozy said. Greece is now in the last third of its May 2010 bailout, which is worth a total of 110 billion euros.

In a statement, IMF Managing Director Christine Lagarde lauded the October 27 plan, despite its belt-tightening requirements.

"I remain convinced that the agreement reached by the leaders of the Euro Area at their Summit last week, which includes a substantive reduction in Greece's debt burden and additional financial support for a new ambitious program, will greatly benefit Greece by helping to restore growth and create jobs," Lagarde said.

She said she welcomed Papandreou's indication that the referendum would be held as soon as possible. "As soon as the referendum is completed, and all uncertainty removed, I will make a recommendation to the IMF Executive Board regarding the sixth tranche of our loan to support Greece's economic program," she said.

Asked whether withholding of the tranche would bankrupt Greece, Papandreou said, "If everything goes well in the referendum, it's quite a few days before the sixth tranche is needed to pay up salaries and pensions and so on."

Papandreou did not attend the news conference at which his French and German counterparts spoke.

The tense times in Cannes came on the same day that Greece's cabinet voted to support Papandreou's call for a referendum on the bailout plan.

The vote was unanimous, though some of the ministers expressed criticism prior to casting their votes, CNN affiliate Mega Channel reported.

German and French markets rallied Wednesday after tumbling Tuesday on the news of the referendum call, and London's FTSE also closed slightly higher. The Dow Jones Industrial Average index closed up 178 points (1.53%).

Papandreou is seeking public backing from the Greek people for last week's bailout deal, an accord that took months to craft.

But the move has created turmoil in domestic politics and angered his European counterparts.

A "no" vote could not only force Greece to abandon the euro but could send shock waves through the global financial system.

Greek Foreign Minister Stavros Lambridinis told CNN he was confident the Greek people would vote yes. "Everyone is getting a bit tired of doubting the wisdom of the Greek people and their commitment to Europe," he said, adding that Greece had proven its dedication in the painful measures it has already taken.

European Commission President Jose Manuel Barroso appealed Wednesday for national and political unity, saying it would be "critically important to have stability" for the bailout deal to be implemented.

"Without the agreement of Greece to the EU/IMF program, the conditions for Greek citizens would become much more painful, in particular for the most vulnerable. The consequences would be impossible to foresee," he warned.

Last week's deal would halve the country's sky-high debts, but at a price that has led to angry demonstrations in the streets of Greece.

Vanessa Rossi, an economics adviser to Oxford Analytica, a global analysis firm, said Papandreou's referendum call was "almost inevitable, given that the Greek population has continued to protest heavily against the plans agreed (to) in Brussels."

But she said the Greek people are aware that they would suffer greater financial pain if the country defaults.

Meanwhile, several senior military leaders in Greece have been replaced.

The Government Council for Foreign Affairs and Defense, which Papandreou chairs, decided Tuesday on "sweeping changes in the armed forces' leadership," the Athens News Agency reported.

The council replaced the general staff chiefs for the Greek army, navy and air force, the news agency said.

Though the government said it was a long-planned, routine move, its sudden announcement after an extraordinary meeting with the heads of the armed forces makes many dubious, said Kostas Gemenis, an assistant professor of politics at the University of Twente in the Netherlands.

Politicians have kept a tight rein on the Greek armed forces since a seven-year military junta was brought to an end in 1974, Gemenis said, but people's memories are long.

He speculated that the government acted to allay any concern that the military -- which seized power in 1967 as the country was anticipating an election -- might be planning to repeat history.

"People want to be on the safe side and try to prevent even worse things happening," he said. He added that the news media had not treated it as a major event given the ongoing political and economic crisis.

But the news of the bailout referendum rattled Papandreou's hold on power Tuesday, when a lawmaker defected from his party, leaving him with a majority of only two in Parliament.

Milena Apostolaki said Papandreou had made "an erroneous political decision" in calling for the referendum. "It jeopardizes the efforts and the painful sacrifices that are made by the Greek people," she told CNN on Wednesday.

Sarkozy and Merkel issued a terse statement Tuesday saying they were "determined to ensure the full implementation, without delay, of decisions adopted by the summit, which are necessary now more than ever."

In the United States, White House Press Secretary Jay Carney struck a similar note, saying Papandreou's move reinforced the need for Europe to "implement rapidly the decisions they made last week."

Greece's former deputy finance minister, Petros Doukas, a member of the opposition New Democracy Party who is not currently in office, told CNN he doubted the referendum would take place.

Papandreou is under enormous pressure from Europe, the markets and opposition forces within Greece to backtrack on the proposal, Doukas said.

He suggested Papandreou would have to call elections or stand down as leader, as Greece was "not governable" with him as prime minister.

Greece's opposition leader, Antonis Samaras, called Tuesday for a snap election, but it is unlikely he has the votes to force one.

International lenders are demanding that Athens raise taxes, sell off state-owned companies and slash government spending, which would mean firing tens of thousands of state workers.

The deal would wipe out 100 billion euros in Greek debt, half of what it owes to private creditors, and comes with a promise of 30 billion euros from the public sector to help pay off some of the remaining debts, making the whole deal worth 130 billion euros ($178 billion).

The deal was greeted last week with fanfare as a way to keep debt woes in Greece and other European nations from spilling across other borders, threatening the 17 nations united under the euro currency.

A weekend survey in Greece found nearly 60% opposed the debt deal, but other surveys have shown a more complicated picture.

A survey carried out last week by Kappa Research for the Greek daily newspaper To Vima showed a majority of Greeks wanted a referendum on the international rescue plan, and that more would oppose it than accept it.

But in the same survey, 70% of Greeks wanted to stay in the euro, according to RBS European Economics -- a result that may not be possible if they vote "no" on the referendum.

Besides the Greek debt-reduction plan, last week's European Union deal pledged to quadruple the EU's bailout fund to about  $1.38 trillion and to raise the capital required to help cushion the region's banks from financial shocks.

@highlight

George Papandreou speaks to media gathered for G-20 in Cannes, France

@highlight

Papandreou believes Greeks "want us to be a strong partner"

@highlight

Sarkozy: If referendum fails, Greece may be kicked out of the euro zone

@highlight

Greece's cabinet voted to support the call for a referendum