(CNN) -- Joyful supporters cheered as President Barack Obama stepped out to speak at his victory party in Chicago in the early hours of Wednesday, thanking them and millions of voters for allowing him another four years to lead the nation forward.

"Tonight, in this election, you, the American people, reminded us that while our road has been hard, while our journey has been long, we have picked ourselves up, we have fought our way back, and we know in our hearts that for the United States of America, the best is yet to come," he told them.

When Obama finished, the first family and Vice President Joe Biden and his family joined him onstage in a celebration of waves and hugs amid a blizzard of confetti.

But despite the happiness and relief, the mood was perhaps more subdued than that experienced by those who were present for the wild celebrations four years earlier in Grant Park.

Nearly everyone in the room had worked to get the president re-elected, either making phone calls or knocking on doors, and as they eagerly awaited his remarks early Wednesday morning there seemed to be less of the dreamy optimism that surrounded the 2008 campaign.

Those seated in the bleachers energetically waved tiny American flags, and those on the floor calmly mingled, cheering sporadically whenever networks called a state for the president.

But gone were the chants of "yes we can," replaced instead with chants of "four more years," and the president's re-election message was echoed in conversations throughout the convention hall -- there's still more work to do.

Gov. Mitt Romney's concession speech was played on the monitors flanking the stage, and the crowd cheered as the defeated challenger admitted that "the nation chose another leader."

But it also cheered, albeit somewhat begrudgingly, when the president thanked campaign volunteers from both parties, saying, "Whether you held an Obama sign or a Romney sign, you made your voice heard and you made a difference."

And when Obama talked of sitting down with his former rival "to talk about where we can work together to move this country forward," there was scattered yet enthusiastic applause at the prospect of bipartisanship.

After getting their pictures taken or recording some cell phone video, a few members of the audience floated toward the exits to beat the crowds, but the vast majority stayed through to the end.

In conversations they expressed a conviction that the country is indeed moving in the right direction, but most admitted readily that the change they'd voted for would require more hard work.

The president's final exit from the campaign stage had come more than 24 hours earlier.

With the imposing Iowa State Capitol looming over a soggy crowd that bore near-freezing temperatures in windswept Des Moines, Obama made his last major appearance of the 2012 campaign to urge the more than 20,000 supporters to maintain the enthusiasm that first catapulted him from a fresh-faced senator to presidential front-runner nearly five years ago.

Flanked by first lady Michelle Obama and rock star Bruce Springsteen, Obama's final bow just before midnight marked at long last the arrival of Election Day and the end of the president's last campaign -- 105 rallies after kicking off his re-election effort in Ohio and Virginia seven months prior.

How Obama got to 270 electoral votes

And when Air Force One touched down in Obama's hometown of Chicago 60 minutes later, the president's role as a candidate was all but done.

On Election Day itself, Obama largely lay low, as has long been his practice when it comes time for voters to head to the polls. That's not to say the president closed the book on entirely on his re-election effort. Obama sat for a string of satellite interviews with television stations in battleground states in a final effort to get his message out, including two each in Iowa, Ohio and Florida -- states the president's campaign particularly focused on.

Markets in Nevada and Colorado also got interviews. And in the afternoon, the president sat for an additional six interviews in yet more battleground markets.

The president also turned up at a campaign field office in Chicago on Tuesday to shake hands with volunteers.

"I just want to say how grateful Michelle and I am for all the families, all the communities who have welcomed us, into their homes in some cases, into the neighborhoods, and have in some cases worked so hard on our behalf," the president said at the stop.

"The great thing about these campaigns is after all the TV ads and all the fundraising and all the debates and all the electioneering. It comes down to this, one day, and these incredible folks who are working so hard," he said.

But for all intents and purposes, Obama remained largely out of sight Tuesday, containing whatever nerves he felt behind closed doors surrounded by friends, family and a circle of advisers who have been with him since the early days of his 2008 presidential race.

A heavy dose of nostalgia and reflection was in the air, given that whatever the result Obama would never run for political office again. Some of the president's senior advisers, including David Axelrod and David Plouffe, were spotted wearing Obama 2008 fleece jackets Monday. Meanwhile, other veterans of the 2008 campaign, such as speechwriters Jon Favreau and Ben Rhodes, were also on hand for the president's final sprint.

The 2012 campaign in 27 tweets

"It's like the end of a long-running series, and all the characters are coming back," Axelrod mused.

Perhaps with an eye toward recreating some of 2008's magic, Obama reconvened a game of pickup basketball that he got in the habit of playing every Election Day during that year's drawn out primary process.

Senior campaign aide Robert Gibbs said instructions were sent several days ago to Reggie Love, the president's former body man and frequent basketball companion, to organize an Election Day game.

The game kicked off shortly after 2 p.m. at the Attack Athletics facility in downtown Chicago. A White House aide said that in addition to Love, "friends and staff" were participating in the game, including Education Secretary Arne Duncan and Obama friend Mike Ramos.

Kamarck: Five things Obama must do

"I think it's safe all rituals will be observed," said Gibbs, who also noted that the one time the president didn't play basketball on an Election Day was when he had a surprise loss to Hillary Clinton in the 2008 New Hampshire primary.

"We won't make that mistake again," he joked.

Kennedy: Obama's win won't transform America

One thing the president did not do Tuesday was visit any additional battleground states, the campaign's traveling press secretary Jen Psaki said, even as Romney went out to meet and greet voters in Ohio and Pennsylvania until polls closed.

That was a calculated decision not to get in the way of the campaign's get-out-the-vote efforts in the battleground states, said Stephan Cutter, a senior adviser to the campaign.

"On Election Day, the last thing you want to do is take your GOTV staff off from getting people out to the polls," she told CNN.

Instead, the president was aware his fate was largely out of his hands and instead in those of the thousands of grassroots operatives and volunteers who are charged with getting voters to the polls across the country.

Speaking to a Virginia crowd Saturday night, Obama mused that he now felt like a "prop" because there was little left he could do with so few hours remaining until voters issued their final judgment.

"It's up to the volunteers," he told the Virginia crowd. "It's up to somebody knocking on a door. It's up to somebody making a phone call."

Share your reaction to the results

Ultimately, the president spent the majority of his time Tuesday simply trying to stay at ease with a close circle that includes the first lady and old friends such as Martin Nesbitt and Marvin Nicholson.

He also put the finishing touches on two speeches -- one for a victory, and the other for the eventuality that he lost.

And just as the first wave of results flowed in, the president sat down to dinner with the first lady, his two daughters and mother-in-law -- all of whom flew in from Washington earlier in the evening.

At that final rally in Iowa on Monday night, Bruce Springsteen ended his 30-minute concert with his classic, "In the Land of Hopes and Dreams," crooning, "Well, you don't know where you're goin' now, but you know you won't be back."

It was a fitting end for a president who didn't yet know if he'd hold on to White House but could be certain his days as a candidate were forever over.

Obama: My vision for America

CNN's John Helton contributed to this report.

@highlight

NEW: Supporters cheer Obama at a victory rally in downtown Chicago

@highlight

NEW: The mood is upbeat but less dreamily euphoric than in Grant Park four years earlier

@highlight

Obama made final campaign stop in Iowa, where his 2008 campaign took off

@highlight

Election Day ritual of a basketball game, which began during 2008 primaries, continued