(CNN) -- The rapid evolution of mobile technology has placed quite a burden on our brains.

Nowadays, attention to even the most pressing of matters can be interrupted at any moment by a familiar buzzing in the pocket -- a friendly nudge to "pay attention to me!" that many find virtually impossible to resist, even while driving on busy roads.

These frequent and unplanned interruptions, coupled with growing expectations for immediate responses, challenge our cognitive control system at its very core.

Cognitive control is our ability to focus on accomplishing a task in the context of competing demands. This increasingly taxed ability is what has allowed humans to achieve remarkable feats, such as developing languages and building complex societies.

Special series: Our mobile society

Although data are still lacking on the direct impact of mobile technology on cognition, there is extensive evidence showing that our brains are exquisitely sensitive to external interference by both irrelevant distractions and multitasking. This "noise in the system" erodes our performance on a wide spectrum of cognitive activities, including the ability to recall details in our lives. In other words, an overload of "noise" can wear down our memory.

For example, we found that a simple task that intervenes while you are holding a piece of information will degrade your ability to remember it. This is because the memory network in your brain that is responsible for remembering is disrupted by the interrupting task and has to be reactivated. This is why we often consider multitasking a myth, and feel it is more accurate to think of it as rapid task switching.

Likewise, we found in another experiment that even having your eyes and ears open and exposed to normal visual and auditory environmental stimuli can diminish the details of visual memories when you try to recall them.

The negative impact is greater for those with undeveloped or impaired cognitive control, such as children and older adults, and is exacerbated by the presence of neurological or psychiatric conditions like ADHD or Alzheimer's disease.

There is no doubt that we have to be careful about the influence of unending streams of interference on our minds. We should make more informed decisions about how best to interact with the technologies in our environment. When we are engaged in something that requires high-quality attention, especially if it is time sensitive, we should attempt to conduct ourselves in a manner that is most appropriate for how our brains function: in focus mode.

Just because all of this marvelous technology exists does not mean that we have to use it all at the same time. We are not slaves to it, obliged to respond whenever it calls. Turning off mobile notifications and making an effort to use only one high-tech device at a time is a way to stretch our cognitive resources. While this is not always feasible, we should be mindful to do so.

Despite all the very real concerns, mobile technology can be harnessed to improve our minds. There are ongoing efforts by cognitive science laboratories and companies to develop cognitive assessment and brain training software that will function on mobile phones and tablets. This field is still in its infancy, but early signs are encouraging.

For example, one day we might be able to design apps that allow people to probe their own cognitive abilities (processing speed, memory, decision-making, etc.) at any time during the day and track these abilities over the years, transmitting the results from their smartphones to a health care provider if desired. This real-time data will be more powerful than what we currently obtain by using questionnaires and cognitive snapshots during stressful visits to the doctor's office. Over time, with growing databases across the population, you can compare yourself to any of your cohorts.

Such tools that measure our biological signals can help advance our understanding of our bodies and aid doctors and scientists in their efforts to combat illness and diseases. In addition, we might be able to play immersive apps that incorporate the best video game mechanics into brain training programs to enhance cognition, perhaps allowing people to correct neural deficiencies and even delay the development of dementia.

Of course, this potential needs to balance against any unforeseen negative effects. For now, it's exciting to speculate on the promises of what mobile technology can offer.

The opinions expressed in this commentary are solely those of Adam Gazzaley.

@highlight

Adam Gazzaley: Frequent interruptions challenge our cognitive control system

@highlight

Gazzaley: "Noise in the system" erodes our performance, including memory

@highlight

He says we're not slaves to technology; we should try to operate in focus mode

@highlight

Gazzaley: Despite concerns, mobile technology can be harnessed to improve our minds