The U.S. decision to cripple the finances of the insurgent Haqqani network has put the limelight on its influential and respected leader, Sirajuddin Haqqani.

Based in North Waziristan, a tribal area of Pakistan, the group is aligned with the Taliban and al Qaeda and is considered one of the most significant threats to stability in Afghanistan.

Jeffrey Dressler, a senior analyst with the Institute for the Study of War, said Siraj, as he is known to intelligence sources, is the "name, the face" and the "guy with all the clout" in a group that has been a major problem for coalition forces along the Afghan-Pakistan border.

"He's very, very competent, a very capable leader who has really grown the network over the past five, six years," Dressler said.

Clinton labels Pakistan-based group as terrorists

U.S. intelligence officials believe Sirajuddin began turning the Haqqani Network into a "killing machine" in 2007. The network -- long regarded as a proxy of Pakistani security services -- is believed to have been behind a slew of attacks.

One was a 2008 coordinated suicide bomb attack on the Serena Hotel in Kabul that left six dead. Another was a strike in June 2011 that killed 12 at the InterContinental Hotel. A third was an attack on a military base near Kabul around 10 years after the September 11, 2001, attacks that left 77 coalition soldiers injured.

The Haqqani clan is believed to be holding Army Sgt. Bowe Bergdahl, who disappeared in June 2009 after finishing guard duty at a combat outpost in southeastern Afghanistan's Paktika province, U.S. military officials have said.

The Taliban previously claimed to have captured the soldier but it is possible, because of the close ties between the two groups, that Bergdahl was handed over to the Haqqani network.

Secretary of State Hillary Clinton will notify Congress of her intent to formally designate the Pakistan-based Haqqani network as a terror organization on Friday, Clinton said.

Individual commanders such as Sirajuddin have already been blacklisted. The United States put a $5 million bounty on him shortly after the Treasury Department designated him as a supporter of global terrorism.

But Clinton's plan to designate the group as a Foreign Terrorist Organization and a Specially Designated Global Terrorist entity would make it easier to pursue those who provide support for the movement.

Sirajuddin has taken over leadership of the group from his father, Jalaluddin Haqqani -- once considered a U.S. ally because of his role organizing Afghan fighters in the war against the Soviets in the 1980s.

The elder Haqqani developed a close relationship with Taliban leaders and Osama bin Laden after the war with the Soviets, according to writings of journalist Ahmed Rashid, one of the foremost experts on al Qaeda, the Taliban and Afghanistan.

The Haqqani network, a family and a terror group

The top leadership is a "family business," said Bill Roggio, managing editor of The Long War Journal, a website that tracks terror-related events and trends.

Along with Sirajuddin, Jalaluddin's son Nasiruddin and brother Ibrahim run the network's extensive financial operation. Another son, Badruddin, had been the day-to-day operational commander, but last month he was reported killed in a drone strike.

The Taliban denied reports of his death, but Dressler said authorities have confirmed the killing. Badruddin's death will "seriously alter" the daily operations, he said.

"Siraj will take a little more of an active role" as a result, "picking the slack in the meantime," Dressler said.

Sirajuddin has been described as the more radicalized and more violent of Jalaluddin's sons.

He is "very much into the global extremism of al Qaeda. ... He has got those ties (to al Qaeda) so he tends to be more violent than his father ever was," according to Jane's Information Group, which cited an unnamed U.S. intelligence official.

Several security experts and U.S. military officials say he has extended the Haqqani network's reach to countries far from Pakistan and Afghanistan. The group has managed to recruit fighters in Chechnya and Turkey, for example, according to a November 2010 Jane's report.

Since 2001, global security experts have said the Haqqani network's specialty has been bold and complex suicide bombing attacks.

In a rare interview, Sirajuddin Haqqani told Al Jazeera in 2010 that the group's fighters were becoming more advanced and that in the future their techniques "will be even better."

"At the beginning of this war, the coordination between our fighters was useless," he said. "But there are so many attacks now, we can't count them ourselves. But it's still not enough. The future will show what I mean."

Dressler said Sirajuddin is "increasingly seen as a respected figure in the tribal areas." He has the ability to "hold sway with a variety of militant groups harboring different agendas."

They pay deference to Siraj, he said.

"He's supposedly pretty sharp and maintains very good relations" with entities ranging from al Qaeda and its affiliates and Pakistan's security services, Dressler said.

U.S. and Pakistani intelligence have estimated the Haqqani network has between 4,000 and 12,000 fighters.

Adm. Mike Mullen, the former chairman of the U.S. Joint Chiefs of Staff, said that the Haqqani network acted "as a veritable arm of Pakistan's intelligence."

The allegations have strained relations between Washington and Islamabad, which have been in an uneasy alliance in the war against terror since 2001.

The relationship between Pakistani intelligence and the Haqqanis goes back to the Soviet occupation of Afghanistan when Pakistan, Saudi Arabia and the United States supported the resistance. Intelligence officials believe Pakistan still regards the Haqqanis as an important tool in countering Indian influence in Afghanistan and helping shape any future peace process.

Haqqani network militant killed, Afghanistan says

@highlight

Haqqani Sirajuddin is described by analysts as more radicalized and violent than his brothers

@highlight

His network is based in Pakistan's tribal region

@highlight

He is widely respected among other insurgents

@highlight

The Haqqani network has been described as a 'family business'