Brussels, Belgium (CNN) -- NATO members agreed Thursday to take over enforcement of the no-fly zone over Libya, but stopped short of interpreting that mandate as a license to attack government troops who may be threatening unarmed civilians.

"What we have decided today is that NATO will enforce the no-fly zone," NATO Secretary-General Anders Fogh Rasmussen told CNN's Wolf Blitzer from the organization's headquarters in Brussels.

Under Thursday's agreement, NATO forces will be able to close air space to all flights except for humanitarian ones and will be able to use force in self-defense.

NATO also has sent a directive to its military chain of command asking for a plan on how to execute an expanded role for enforcement of U.N. Resolution 1973, according to NATO sources. Under what some officials were calling "no-fly plus," NATO would be given more robust rules of engagement to ensure that civilians are protected, the sources said.

And, in an effort to ease concerns from Turkey -- the organization's sole Muslim country -- coalition forces would be allowed to withdraw from certain missions, such as those involving attacking Libyan soldiers, the sources said.

As for the prospect of a more robust mandate, one that the U.S.-led coalition has followed so far, "That decision has not been made yet," Rasmussen said.

He added that NATO will have outside help in whatever mission it opts to pursue. "It's of utmost importance to stress that this is not primarily a NATO operation," he said. "It is a broad international effort in which we will include partners from the region that have pledged to contribute to this protection of civilians in Libya."

Secretary of State Hillary Clinton, who will travel to London to attend an international meeting on Libya on Tuesday, gave an upbeat assessment of what the coalition has accomplished in five days. "We have made significant progress," she told reporters. "A massacre in Benghazi was prevented. Gadhafi's air force and air defenses have been rendered largely ineffective, and the coalition is in control of the skies above Libya."

She welcomed the fact that the coalition includes aircraft and pilots from Qatar and Thursday's announcement by the United Arab Emirates that it, too, would send planes to protect Libya's civilians.

"In the days ahead, as NATO assumes command-and-control responsibilities, the welfare of those civilians will be of paramount concern," she said. "This operation has already saved many lives, but the danger is far from over."

Rasmussen said the issue did not represent a split in NATO over the mission. However, he also acknowledged that, if unaltered, the agreement would mean the overall mission would have two parts, with NATO enforcing the no-fly zone and the U.S.-led coalition handling a naval blockade and airstrikes.

Thursday's deal was reached after a conference call among Clinton and her counterparts from Britain, France and Turkey, according to diplomatic officials who spoke on condition of not being identified by name.

So far, U.S. forces have shouldered the bulk of the mission, according to figures provided by the Pentagon. Of the 175 Tomahawk missiles fired, 168 were from the United States and seven from Great Britain, the only two countries to possess them, while U.S. planes have flown almost two-thirds of the sorties and U.S. ships comprise more than two-thirds of the total involved.

The flurry of diplomatic activity came as the battle for control of Libya was continuing to unfold. After a fifth consecutive night of pounding by coalition jets, Libyans gathered at a seaside cemetery in Tripoli on Thursday for the funerals of 33 people Gadhafi's government said were victims of an airstrike.

State television said the dead were victims of the "crusader colonial aggression." Earlier, a Libyan government official said coalition planes struck the suburb of Tajura and state TV showed images of fires, smoldering vehicles and the charred bodies of the dead.

At the cemetery, anger trumped grief and Gadhafi's message was loud and clear: innocent people were wrongly killed and the Libyan people will fight back.

CNN could not independently verify the circumstances of the deaths or who the victims were. In Tripoli, CNN reporters go on government-organized tours in an effort to do their own reporting; Libyan authorities forbid independent movement by international journalists in Tripoli.

The reports of civilian deaths were given little credence by coalition forces, which launched airstrikes Thursday near Tripoli, Misrata and Ajdabiya in Libya.

"The only civilian casualties we know are for certain are the ones that the Libyan government itself has caused," U.S. Navy Vice Adm. Bill Gortney said.

At the United Nations, Secretary-General Ban Ki-moon said he has seen no signs of a cease-fire by Libyan government authorities, as called for by U.N. Resolution 1973, which was hurriedly passed last Thursday as Libyan forces were closing in on the rebel stronghold of Benghazi.

Ban told council members, "to the contrary, fierce battles continue in and around the cities of" Ajdabiya, Misrata and Zinan. He added that his envoy told Libyan authorities that if the government did not comply with the cease-fire resolution, "the Security Council was prepared to take additional measures."

Ban said he had sent his envoy to an African Union meeting to be held Friday in Addis Ababa, Ethiopia, at which representatives of the Gadhafi government and the opposition were expected to attend. "Their aim: to reach a cease-fire and political solution."

But there was no sign that any such solution was near. The battle for Misrata, Libya's third-largest city, has been ongoing for more than a week.

British Foreign Secretary William Hague said Thursday that many residents remain trapped in their homes without electricity and communications and with a dwindling supply of food and water.

In the east, Gadhafi's tanks were shelling Ajdabiya, where fighting had occurred the day before. Loyalist forces still controlled the northern and western gates to the city.

"This underlines the appalling danger its inhabitants would be in without coalition action, as do continued threats by Gadhafi forces to 'massacre' residents in areas under bombardment," Hague said.

The coalition has established a no-fly zone that spans from east to west along Libya's coast. French jets fired air-to-ground missiles on a Libyan combat aircraft Thursday that was in violation of the no-fly mandate, destroying it, the French Defense Ministry said. The plane was struck as it was landing in a Misrata airfield.

The civil war was sparked in February by protests demanding an end to Gadhafi's nearly 42-year rule. The Libyan strongman responded with force against civilians, prompting the international community to take action beginning last weekend.

Though the rebels' position may have improved since then, a U.S. official said Gadhafi's forces still have the upper hand. They remain capable of carrying out attacks on the opposition, are relatively well-organized and continue to fight effectively, the official said.

CNN's Nic Robertson, Arwa Damon, Elise Labott, Paula Newton and Jim Bittermann contributed to this report.

@highlight

All 28 NATO allies authorized a plan that includes civilian protection

@highlight

Transition to be complete by Sunday night, sources say

@highlight

Questions on rules of engagement remain to be worked out