Washington (CNN) -- It's been five years since the banking and credit crisis rocked the U.S. economy, causing markets to plunge, unemployment to spike, housing values to crumble and placing more Americans in financial peril than at any time since the Great Depression.

On Monday, President Barack Obama touted his administration's successes in helping to turn things around even though national economic growth remains sluggish and millions of people have given up looking for work.

Obama said government's response "put a floor under the fall" and his policies set the stage for an end to economic contraction and created an environment for the economy to grow again.

The president specifically pointed to the impact of the economic stimulus, creation of seven million jobs, the resurgence of the bailed out Detroit automakers, higher taxes on the wealthiest earners and an increase in exports.

"We've cleared away the rubble from the financial crisis and we've begun to lay a new foundation for economic growth and prosperity," Obama said.

Although Obama paints a rosy scenario, there are still key questions on the economy.

Larry Summers, a leading name to become the next chairman of the Federal Reserve, withdrew his name from consideration on Sunday, clearing the way for Janet Yellen, who serves as vice chairwoman at the Fed, to become the leading candidate.

Also, the White House announced last week that top economic adviser, Gene Sperling, will step down as head of the National Economic Council and be replaced by Jeffrey Zients, the acting director of the Office of Management and Budget.

There is also the looming showdown with Congress on funding the government, raising the ability of the nation to borrow money to pay its bills, and continuation of the drastic budget cuts that took effect earlier this year absent a deal in Washington to reduce the deficit.

There is also the potential impact of the Affordable Care Act, the sweeping health care law backed by Obama that is taking effect this year and remains a political flashpoint with Republicans.

It's the economy, stupid

That motto was made famous by political strategist James Carville during Bill Clinton's 1992 presidential campaign, and rang true for Obama's first presidential campaign as well.

And the American public agrees. In poll after poll, fixing the economy is a stubborn No. 1 when it comes to the issues the voters most care about.

A CNN/ORC International poll conducted this month indicates that 41% of the public says the economy is the most important issue facing the country right now, with health care at 16% and the crisis in Syria at 15%.

Soon after taking office, Obama signed a massive economic stimulus bill, led the charge for Wall Street reform and accelerated the bailout of the U.S. auto industry, which threatened to collapse and take more than 1 million jobs with it.

Some began to compare Obama to President Franklin Delano Roosevelt, who transformed the fabric of American society in the face of the Depression with aggressive government intervention.

'Poor marks'

But since his first two years in office, some experts say, the president has struggled to keep focused on the economy.

Liberal economist Dean Baker has been highly critical of his record.

"I give him very poor marks. Five years later, the economy is still very far from recovering," said Baker, co-founder of the Center for Economic and Policy Research, pointing to an unemployment rate that he says would hover around 9% instead of 7.3% if so many people hadn't given up and dropped out of the work force.

And it shows in Obama's approval ratings.

Through much of last year, he had a 30% approval rating on the economy. That number is up this year -- to 43% -- but most still disapprove of his handling of the issue.

A screeching halt

In 2010, many conservatives, led by the tea party movement, sought to stop the president's agenda. They voted out the Democratic majority in the House of Representatives and replaced them with conservative Republicans.

Then, those Republicans did what they were sent to Washington to do.

The president has struggled to pass any major economic legislation since 2010. Instead, he's been jumping from one political crisis to the next. Fights over federal budget and spending levels locked Congress in multiple battles in 2011 and 2012 that nearly led to the shutdown of the government.

The narrative didn't always fall in Obama's favor; nor did the policies that ensued. Republicans shifted the conversation from economic stimulus to deficit reduction. The president jumped on the deficit-reduction bandwagon and made that a priority.

Through protracted political battles over the size of the government, forced spending cuts, which sliced up to 10% of most of the federal budget, went into effect. It wasn't the president's favorite idea, however, for how to revive the economy.

He still had hopes of repairing old bridges and building new windmills. So did his supporters, who grew frustrated with the president.

"We're getting tired. ... The unemployment is unconscionable. We don't know what the (president's) strategy is," Rep. Maxine Waters, D-California, said in 2012.

But in the frame of deficit reduction, Obama was able to obtain a few concessions. He won a series of tax increases, including an increase on the top tax earners: those making more than $400,000 per year.

And the needle moved.

The budget cuts, tax increases and a recovering economy will reduce the deficit by about $4 trillion over 10 years, according to the White House.

The nation's debt ratio to size of the gross domestic product is expected to stabilize in the next decade, which economists hail as good for the economy.

The foreign affairs president

While the president came into office with little experience in foreign affairs and hopes to implement an expansive domestic agenda, overseas conflict has kept his plate full.

He expanded the war in Afghanistan and ended the war in Iraq. He kept his attention on the citizen-led revolts that swept the Arab world and expanded the use of drones.

Under his administration, al Qaeda leader Osama bin Laden was killed and the U.S. joined a NATO campaign to overthrow Libyan dictator Moammar Gadhafi, and Obama is now working on an intense campaign to respond to the use of chemical weapons in Syria's civil war.

Although presidents are forced to walk and chew gum at the same time, world events have created challenges for Obama's ability to implement his domestic agenda.

"When you look at issues like military strikes in Syria ... it takes the full time and attention of the leaders," Norman Ornstein of the American Enterprise Institute said recently.

As the president decided to hold off on a military strike in Syria while Secretary of State John Kerry works with his counterpart in Russia to devise a plan to rid the regime of its chemical weapons, the president attempted to revitalize discussion of his domestic agenda.

"Even as we have been spending a lot of time on the Syria issue ... it is still important to recognize that we've got a lot more stuff to do here in this government," Obama said during a meeting with his Cabinet on Thursday.

Economist Mark Zandi said that, all things considered, the president has been fairly successful on the domestic front.

"It has been a tough road, but I think he did a pretty good job," said Zandi, chief economist at Moody's Analytics.

But economist Baker offered a more critical perspective, saying the president hasn't shown a willingness to push an economic agenda.

"Let's say Syria didn't happen. What would he be doing right now? I am not sure he has some agenda that is being obstructed by events in the world," he said.

Syria aside, much of the White House's attention this fall will be spent on getting Americans to sign up for the health insurance exchanges, the heart of the Affordable Care Act. Open enrollment begins October 1, and the administration is expected to spend $8.7 million on a media blitz to promote the exchanges.

Super Bowl champs to promote Obamacare

Second term, second chance

After his re-election, the president hoped to reset his economic agenda. In his 2013 State of the Union address, Obama said he will work to "reignite the true engine of America's economic growth: a rising, thriving middle class."

This summer, he launched a campaign to revive his focus on the economy.

In a series of speeches this year, he acknowledged the troubling economic indicators that are keeping the economy from a full recovery, including income inequality and employment disparities.

Americans' real median household income fell from $63,000 to $55,600 between 2000 and 2011, and as of December, 9.1 million jobs were necessary to restore the job market to pre-recession levels, according to the Economic Policy Institute.

"Reversing these trends has to be Washington's highest priority. It has to be Washington's highest priority. It's certainly my highest priority," Obama said in Galesburg, Illinois, in July.

Job creation, affordable education and home ownership were central to his proposals. Those initiatives included expanding development of renewable energy, creating new power grids and expanding access to early childhood education.

But what has the president done since that July speech? Some say, not much.

"Nothing has happened on any front," economist Zandi said.

White House press secretary Jay Carney pushed back, arguing that the president is still focused on those economic priorities.

"The president remains committed to pushing forward on an economic agenda that creates a better bargain for the middle class," Carney said Wednesday.

As new threats of a government shutdown over government funding and the debt ceiling loom, the president confronted the issue Monday.

"I can''t remember a time when one faction of one party promises economic chaos if it doesn't get 100% of what it wants," the president said, blaming the Republicans for potential "massive economic turmoil."

With ongoing political stalemates and a protracted fight over the budget and debt ceiling, Zandi said immigration reform, which would be a major catalyst for economic growth, appears to be heading nowhere in the House. And tax and entitlement reform, which would also help to stimulate the economy, have no chance of happening this year.

There's always next year. But 2014 is an election year, which creates an even more difficult environment for passing legislation. After that, the president is in his final two years of office, and the political machine begins shaping the next occupant of the Oval Office.

Then, by definition, it can be hard for a lame duck president to get much done.

CNN's Dan Merica, Paul Steinhauser and Kevin Liptak contributed to this report.

@highlight

Other issues take attention away from economic struggle

@highlight

Obstinate House, threats of shutdowns, fears of starting war have been obstacles

@highlight

Still, the deficit has been reduced, and the economy is improving

@highlight

White House report: "We've cleared away the rubble from the financial crisis"