Minneapolis (CNN) -- Minneapolis is a conflicted city. It's home to one of the largest gay pride festivals in the Midwest and was once dubbed the "gayest city in America" by The Advocate magazine. The metropolitan area is also home to the conservative power base of Rep. Michele Bachmann.

And in six months, voters there and across the state will decide whether to amend the state's constitution to ban same-sex marriage.

It is one of four states where voters will cast ballots on the issue, along with Washington, Maine and Maryland.

Across the nation, 29 states have approved constitutional amendments banning same-sex marriage. Six states and the District of Columbia allow same-sex marriages while five states allow civil unions between same-sex couples.

Same-sex marriage by the numbers

President Barack Obama's May 9 announcement that he supports same-sex marriage helped mobilize activists for the lesbian, gay, bisexual and transgender (LGBT) community in Minnesota.

The day after Obama spoke, "more than twice as many" people signed up to volunteer for Minnesotans United for All Families than on previous days, according to the group's campaign manager Richard Carlbom.

Carlbom's group is working to defeat the November measure that would ban gay marriage. He said that even North Carolina voters' decision on May 8 to ban same-sex marriage there helped energize Minnesota's pro-LGBT lobby to get out the vote in November.

"[Obama's decision and North Carolina's vote] was an incredible one-two punch for us in Minnesota in terms of punching up the amount of energy," Carlbom said.

He added that the goal is to capitalize on the energy from both events.

Kate Wulf and her partner of 31 years Marianne Christianson, both volunteers for Minnesotans United for All Families, desperately want to see the amendment defeated for both political and personal reasons.

"North Carolina was kind of a wake-up call for everyone," Wulf said.

She and Christianson were legally married in Canada, but they would like nothing more than to walk down the aisle -- and have their commitment for each other recognized -- in their home state.

"We want the equality of marriage that I don't think we should be denied according to the Constitution of this country," said Christianson.

In his recent announcement, Obama said while he personally supports same-sex marriage, he still believes the issue should be decided by each state. That's something that Wulf and Christianson don't agree with.

"I think marriage is a fundamental right," Wulf said. "(It) shouldn't be determined on a state-by-state basis."

Christianson said she's believes that won't be Obama's position forever.

"He had to start somewhere," Christianson added. "And where he started right now is a good beginning. I'm hoping he will evolve into a stance where ... it is recognized nationwide."

The couple believes defeating the amendment will be an uphill battle, particularly when those on the opposing side have the resources of the Roman Catholic Church, they say.

"I'm hoping that we're going to see the goodness of people of Minnesota come out, but it's really hard to fight the church," Christianson said. "They have a built-in organization."

Two years ago, the Minneapolis-St. Paul archdiocese sent out 400,000 DVDs to its parishioners urging them to support legislation banning same-sex marriage, even though the issue wasn't even on the ballot.

So far, Catholic churches across the state have donated $350,000 to Minnesota for Marriage, a group that supports the constitutional ban on same-sex marriage, according to Jason Adkins, executive director of the Minnesota Catholic Conference, which represents the state's Catholic bishops.

"The various dioceses are giving money to the Minnesota Catholic Conference to use to support the marriage amendment," Adkins told CNN. "We're going to raise and spend the money we need to get the message out about what marriage is, why it's important and what the consequences will be if it's redefined."

Advocacy groups opposed to same-sex marriage say their supporters also got a boost from Obama's comments.

"[President Obama's] comments ... alerted our base to the fact that there are politicians who are trying to meddle with the definition of marriage," said Chuck Darrell, communications director for Minnesota for Marriage. "When they hear that they're motivated to get out and do something to pass the marriage amendment."

The group's chairman, John Helmberger, said it's too early to tell if there has been an increase in volunteers after Obama's statement. However, he agreed that the president's admission that he supports same-sex marriage will help Minnesota for Marriage rally supporters ahead of the November ballot.

"That will energize them to make phone calls, knock on doors, and to make sure they turn out in November," Helmberger said.

While the recent media coverage of North Carolina's vote and Obama's comments have raised awareness of the issue, Minnesota for Marriage volunteer Michael Blissenbach said this did not affect how hard he's been campaigning against same-sex marriage.

Blissenbach, 25, has been volunteering in support of the proposed amendment on behalf of the Catholic Church since August.

He personally believes that marriage should be between a man and a woman because "redefining marriage would diminish the importance of having the influence of the mother and the father on the life of a child."

"I see marriage as an institution primarily oriented to the raising and procreation of children, and I see that as why the government recognizes marriage," Blissenbach said.

He said that doesn't mean he is opposed to same-sex relationships.

"I respect their right to live as they wish, and I don't deny that there's love in those relationships," Blissenbach explained. "But I see marriage as about a particular kind of love between a man and a woman that brings a child into the world."

While many predict this fight could get ugly as the two sides duke it out for the next six months, the same-sex marriage issue could also fade from voters' minds by the time the November election rolls around.

After all, economic issues are expected to be the top issue for voters across the United States this fall.

Either way, it could help the president gain some voters, according to University of Minnesota political science professor Larry Jacobs.

"Social issues including gay marriage are unlikely to affect voter choice between [Mitt] Romney and Obama," Jacobs said. "But it could be a big tool for Obama to turn out disaffected Democrats who are likely to sit out the election."

However Minnesota's voters decide on the proposed constitutional amendment to ban same-sex marriage, the issue isn't going away anytime soon, Jacobs said.

"It doesn't mean that gay marriage is coming to a state near you," he said. "But it does begin to shift the balance and reflects a very significant shift in public thinking about gay marriage."

What are your top election issues of 2012? Share what matters most to you on iReport and you could participate in the next round of the iReport Debate!

@highlight

Minnesota voters will decide in November whether to implement a same-sex marriage ban

@highlight

Same-sex marriage supporters say they've gotten a boost from President Obama's comments

@highlight

Obama said he favored same-sex marriage, although agreed states should decide the issue

@highlight

Same-sex marriage opponents say their base was also energized by Obama