(CNN) -- Riding through the streets of Moscow or flipping through channels of Russian TV, it's difficult to escape messages from the country's natural gas monopoly, Gazprom.

Russian Prime Minister Vladimir Putin visits the central control room at the Gazprom HQ, Moscow, January.

"I'm driving under a huge Gazprom sign right now," Yuri Pogorely, vice-president of Interfax, the Russian business news wire, said in a phone interview. Television ad campaigns have promoted the company as a "national treasure" and, more recently, the business that makes "dreams come true."

"It can make someone think, why does a Russian monopoly need this kind of branding? After all, there are other state-owned companies that don't present themselves as a symbol of Russia," Pogorely said. "But Gazprom is not just any company."

If the Soviet Union promoted its interests through satellite states and military prowess, Russia today flexes its might on the global stage through its vast oil and natural gas fields. And no company exemplifies this more than Gazprom.

"By reputation, it is the largest and most powerful Russian company," said Lev Snykov, an analyst with VTB Capital in Moscow.  Watch Gazprom chief Alexander Medvedev explain future strategy »

But its strong-arm tactics in contract negotiations with the Ukraine -- shutting off gas supplies three times in the past four years at the height of winter -- have European Union customers looking for alternatives to their reliance on Russian natural gas. The company has the world's largest distribution system of gas, maintaining 97,560 miles (157,000 kilometers) of pipelines that stretch, like Russia, from the Far East to Europe.

The perennial conflict with the Ukraine -- through which much of the natural gas supply of Eastern Europe flows -- is of deep concern to nations such as Germany and Greece, which depend on Russia for up to 50 percent and 90 percent of their natural gas, respectively.

Gazprom saw its market share in the European Union drop in the second half of 2008. Gas exports from Russia to Europe dropped 33 percent in October alone, according VTB Capital.

"The Ukraine conflict may have served as a catalyst for European customers to become more averse to Russian gas imports," says a VTB report on the Ukraine crisis.

The Russian economy, reliant on commodities, is suffering because of the fluctuating oil market, down from its record of nearly $150 a barrel to about $60 today. As a result, Gazprom saw profits fall 84 percent in the last quarter of 2008, prompting the company to slash its dividend by 86 percent, to 11 cents a share.

Russia has 20 percent of the world's gas reserves, and is the single-largest producer of natural gas. Gazprom posted profits of $30.8 billion last year -- down from $40 billion the year before -- and its business alone accounts for 10 percent of Russia's gross domestic product.

So it's no surprise that Gazprom is a pet project of Russian Prime Minister Vladimir Putin. His replacement as president, Dmitry Medvedev, is a former chairman of the company.

Putin's "interest in Gazprom is very deep. As a journalist who writes about energy issues, I've seen him give very detailed information and knowledge about what's happening with the company and company logistics," said Pogorely of Interfax. "When you hear him speak, it's like you're not talking to the prime minister of Russia, but one of the top company managers."

Alexander Medvedev, deputy chief executive officer of Gazprom Exports, deflects questions about the perception that Gazprom is a tool of Russian government and energy policy.  Watch Medvedev explain Gazprom's plans »

"Nobody is challenging the view that Gazprom is a very special company, that we have a mixed capital structure, the majority of our shares are in the hands of the Russian government," he said. "But the rest are in the hands of private shareholders, including private citizens all around the world."

The company's goal is to become an energy leader with a diversified portfolio around the world, he said.

"Like Alexander Ovechkin... not everyone enjoys him, but he's a leader, and we would like to perform as good as Ovechkin in hockey," he said, referring to the controversial Russian ice hockey star who was named Player of the Year this week by National Hockey League players.

That sentiment echoes how Russians feel about Gazprom. A recent poll by the Public Opinion Foundation found one in five Russians under 26 would like to work for Gazprom. "In rural areas, Gazprom is dramatically important for people because of our harsh winters," Pogorely said.

"Russians love someone big who sticks up for you. OK, sometimes they may not be very nice to you. But if he cares for you and makes your life better, that's OK," Pogorely said. "But if you're doing business in Russia, Gazprom is the power you wouldn't mess with."

@highlight

Russia, single-largest natural gas producer, has 20 percent of global gas reserves

@highlight

Gazprom business accounts for 10 percent of Russia's gross domestic product

@highlight

Gazprom disputes with Ukraine has seen European nations wary of the company

@highlight

Russian president and prime minister show strong interest in the company