(CNN)  -- The Food and Drug Administration announced Thursday it is conducting a safety review of the asthma drug Xolair after data from an ongoing study suggested an increased number of heart attacks and strokes among patients who use it.

The drug, made by Genentech and co-marketed by Novartis, was approved in 2003. The study, which started in 2004 and is slated to end in 2012, was mandated by the agency as part of its post-approval process.

The data "suggest a disproportionate increase in ischemic heart disease, arrhythmias ... cardiac failure" and other conditions "in patients treated with Xolair compared to the control group of patients not given the drug," the agency said.

Xolair is approved for use by adults and adolescents (12 and older) with moderate to severe persistent asthma who react to a perennial airborne allergen and whose symptoms are not well controlled with inhaled corticosteroids.

The study that raised the questions is called "Evaluating the Clinical Effectiveness and Long-Term Safety in Patients with Moderate to Severe Asthma" -- EXCELS for short. It counted outcomes among some 5,000 Xolair-treated patients and compared them with a control group of about 2,500 patients who were not taking Xolair.

The FDA did not recommend changes to the prescribing information and is not advising patients to stop taking Xolair.

The agency said it is working with Genentech to get more information. It noted that the observational study is not a randomized trial, the kind that researchers consider to be the gold standard in determining cause and effect.

In an observational trial, there can be differences in underlying risk factors for heart attack and stroke between the two study groups.

The agency underscored the uncertainty it faces in deciding how to act: "Posting this information does not mean that FDA has concluded there is a causal relationship between the drug products and the emerging safety issue," it said. "Nor does it mean that FDA is advising health care professionals to discontinue prescribing these products. FDA is considering, but has not reached a conclusion about, whether this information warrants any regulatory action."

In an e-mail, Novartis noted that the study was being "conducted in a real-world setting" so the two groups "differed in their baseline characteristics."

The patients being treated with Xolair, it said, "had more severe asthma" and related conditions. That, along with the focus of the study's data collection, made it hard to determine whether the relationship to strokes and heart attacks was causal, it said.

But patients and their doctors must cope with even more uncertainty than the FDA has faced, given that neither the drug company nor the agency is making public the data that sparked the alert.

"We're not getting into numbers at this point because we're still in that evaluation stage," said Genentech spokeswoman Tara Cooper. "It's premature to really get into the details at this point."

The drug is used by 30,000 to 35,000 patients, representing less than one half of 1 percent of the eligible patient population, Cooper said. It is administered by injection every other week in a doctor's office. The estimated annual cost of the drug to the doctor -- before it gets marked up for the patient -- is about $19,000, Cooper said.

Dr. Tom Casale, the executive vice president of the American Academy of Allergy, Asthma & Immunology, said he will recommend that his patients who are on the drug remain on it.

"These are the patients that are more likely to have (emergency room) visits, hospitalizations and more problems with their asthma," he said.

Still, he said, he would like to see the data that the FDA regulators have seen.

@highlight

Study suggests increased number of heart attacks, strokes among Xolair users

@highlight

FDA says results are from observational study, not a randomized trial

@highlight

FDA is not advising asthma patients who use Xolair to stop

@highlight

Drug is used by up to 35,000 patients with moderate to severe persistent asthma