LONDON, England (CNN) -- On March 30 the Open Skies treaty went into effect, liberalizing air travel between the U.S. and Europe. But how will the ease of restrictions on transatlantic routes affect business travelers?

Under Open Skies, European and U.S. airlines will be given unlimited access between Europe and U.S. points.

The treaty puts an end to the exclusive arrangement granted to British Airways, Virgin Atlantic, United Airlines and American Airlines to fly transatlantic out of London Heathrow.

But with the airport currently operating at almost-maximum capacity, new flights will be severely limited. As a result competition is fierce for Heathrow slots, with airlines paying as much as $60 million to get their hands on them.

For each flight that is added, another less lucrative service is scrapped. Airlines are giving priority to high-yield business routes to and from Heathrow.

While European carriers are now allowed to fly from any point within E.U across the Atlantic, the U.S. domestic market remains closed to them.

Operators in Europe hope that a second phase of the Open Skies deal will mean a relaxation of restrictions on European airlines' investment in U.S. carriers and the ability for European airlines to compete in the U.S. domestic market. The issue is pending in U.S. Congress.

If the U.S. doesn't deliver, there is a clause in the agreement that states the Open Skies treaty -- phase I included -- can be torn up.

Industry experts foresee some fare wars in both economy and business-class. Service options are also likely to improve as competition intensifies.

U.S. airlines will vie with BA, the dominant carrier at Heathrow, that currently has flights to 24 U.S. cities.

The biggest challenge to the incumbent airlines operating out of Heathrow will come from carriers in the SkyTeam alliance, that includes Air France and KLM, Delta Air Lines, Northwest Airlines News, and Continental Airlines.

Before Open Skies, the SkyTeam alliance offered no transatlantic routes to and from Heathrow. By summer they will offer 10 percent of these flights. SkyTeam carriers will be located for the first time in Terminal 4.

Given the size of the market for U.S.-London flights, airlines will continue to offer services from Gatwick, London's second-busiest airport.

Open Skies will intensify competition for ailing U.S. airlines on what has been their most profitable route. Analysts expect to see consolidation between U.S. airlines as they combine international networks to beat competition.

One advantage U.S. airlines can offer is opportunity for connecting flights to other European cities as well as on to Asia and the Mideast. European carriers on the other hand, cannot operate domestic flights within the U.S.

New flights and new airlines

Oneworld Alliance

British Airways will shift its Dallas and Houston services from Gatwick to Heathrow and its Warsaw operation to Gatwick. Flights to Detroit and Harare will be axed.

In June, the airline will also launch services between Continental Europe and New York. Operated by subsidiary OpenSkies, the daily flights will fly from either JFK or Newark to Brussels or Paris CDG using Boeing 757s from its existing fleet.

In the future, OpenSkies plans to fly to other business centers, including Amsterdam, Frankfurt, Milan, Madrid, Zurich, and Geneva.

BA will also commence business-only flights between New York and London City Airport next year using Airbus A318 jets in a 32-seat layout.

SkyTeam Airline Alliance's new transatlantic flights starting between March 30 and June 2008

• Air France in joint venture with Delta: daily service to Los Angeles • Continental: twice-daily service to Houston and twice-daily service to Newark Liberty International (EWR) from May 29 2008 • Delta in joint venture with Air France: daily service to Atlanta and twice-daily service to New York JFK • Northwest in joint venture with KLM: daily service to Detroit, daily service to Minneapolis and daily service to Seattle.

Slots were secured as a result of Air France ditching four daily rotations from London to Paris Charles de Gaulle and KLM dropping three of its slots to Northwest from Eindhoven and Rotterdam.

Non-aligned airlines

Aer Lingus launched services from Dublin to Washington DC, Orlando and San Francisco last year. This followed agreement between the Irish and U.S. governments that the airline could begin operations before others.

Low-cost airline Ryanair is considering setting up a separate long-haul carrier that would fly ultra-low-fares between secondary airports in Europe and U.S. such as Stansted and Baltimore-Washington International.

Virgin Atlantic has decided to wait to see if Open Skies Phase II is adopted before starting new flights to New York from non-UK cities.   E-mail to a friend

@highlight

Biggest challenge to Heathrow incumbents will come from SkyTeam alliance

@highlight

New flights start this year from Air France, Continental, Delta and Northwest

@highlight

BA will launch services between Continental Europe and New York in June