(CNN)When Wadha and her family abruptly fled from Iraq's Nineva province on a balmy August day, they left all their possessions behind. "I left with nothing, only a bottle of water, and this shirt," says Majdi, Wadha's eldest son.

The family traveled by foot for 15 days to reach the safety of Iraqi Kurdistan. Majdi's wife was pregnant, slowing their travel. By the time they arrived, 13 members of their family had been killed or kidnapped, including one 12-year-old girl.

Today the surviving family members rely on plastic sheeting, cardboard and pallets for an improvised shelter. It was here that Majdi welcomed a baby girl into their family, and in just a few weeks, he and his family may have to move again as local authorities, hoping to get children back in school, move displaced families into temporary shelters. Many of these shelters are built of flimsy materials and some are missing walls, leaving families open to the chilly weather. It's a terrible decision Wadha and her family may have to make just as the freezing temperatures are expected to arrive: school or shelter?

"We don't need anything else," says Wadha, "but, please, just help us for winter."

From northern Iraq to Jordan, Turkey and Lebanon, the continuing fighting across Syria and Iraq is forcing families to run, and those who survive do not have what they need to last the winter.

At the Za'atari refugee camp in Jordan, where I visited last year, the cold wind shakes the tents and the temperature drops to freezing. Drafty, damp shelters will spread illness and disease. While most of the year this desert city is bone dry, during winter the rain washes along the rocky ground. It can flood quickly, destroying what few things families still have and making even these sparse accommodations unlivable. In the past, floods have caused riots in the camp.

There, a 10-year-old girl, Haya, said to me, "We fear you are forgetting us. ... Have you ever thought of the children of Syria?"

Roughly 6.5 million children have been affected by the war in Syria, and 1.6 million children are refugees. Children represent fully half the 3 million refugees across the region. Many Syrians have sought refuge in Lebanon and Turkey. Neighboring countries are being overwhelmed by the influx of refugees who have nothing but the clothes they wear. Something as simple as a blanket can help a family adjust to their new situation, easing the burdens on their host communities. A blanket can keep out the cold during these harsh nights and make life as a refugee a little more bearable.

When I was in Jordan, I met a man named Mohammed, who had fled after being threatened by militants. His life as a refugee was nothing like what he left in Syria. Like many refugees, his life wasn't too different from a middle-class American's. "We had everything," he told me on my visit to Za'atari last year. He had a good job, a nice home and regular vacations with his family. Hanah, Mohammed's wife, told me, "Helping my children with homework was the most difficult part of my day."

But the family was caught in the epicenter of the civil war. Their hometown, Da'raa, is nicknamed "The Cradle of the Revolution." Mohammed has scars and burns after being arrested and detained for six days. After getting out, he fled with his wife and seven children toward the Jordan border, fearing for their safety the whole way. The family's oldest daughter, 11-year-old Rama, told me  the road up and down mountains made her "so scared I didn't talk."

In Dohuk, where Wadha and her family now live in Iraqi Kurdistan, 100 other families are seeking refuge. There is no proper sanitation, and people have taken to relieving themselves in the open air. Heavy rains have caused flooding. These unsanitary conditions, experts believe, will lead to the spread of disease. As much as half of the vulnerable population is likely to need medical care. Wadha and her son Majdi, with his wife, are hopeful that the family's 3-week-old baby will be among those who live through the winter. The family hasn't named the baby girl yet, in case she doesn't survive.

Across the region, refugees need adequate shelter and other cold weather supplies such as coats, mattresses and blankets, boots and shoes, and socks and hats. World Vision is distributing kits with these materials. However, the need continues to grow.

Wadha's family has survived a harrowing few months, but the hardest 40 days are yet to come.

@highlight

More than 6 million children are affected by the war in Syria, Richard Stearns says

@highlight

More than 1.6 million children are refugees, he says

@highlight

Many families who fled their homeland abruptly left everything behind, he says

@highlight

Refugees need adequate shelter and cold weather supplies, Stearns says