(CNN) -- When Autumn Preble was a teenager in the 1960s, she spent hours gazing at black-and-white LIFE magazine photographs that documented the journey of Peace Corps volunteers all over the world.

George Stouter, 67, is helping build mental health programs in Saint Kitts for his Peace Corps stint.

Preble, of Whidbey Island, Washington, wanted to join, but after college came marriage and a child.

Now at 58, with her son off to college, she has begun her two-year stint as a Peace Corps volunteer working in the public health sector in Francistown, Botswana, where nearly one in four individuals are infected with HIV.

"I'm getting to experience what it's like to live in another culture, and that has a lot of value to me," Preble said from her simple two-bedroom bungalow in Botswana. Preble is known to natives in her community as Masego (Ma say ho), which means "many gifts." "This is the kind of travel that I'm interested in."

Forget the mapped-out cruises or packaged vacations to see the world. A growing number of Americans over 50 are dedicating time in their golden years to volunteering abroad. The decision is becoming more attractive with a sickly national economy sparking more layoffs and early retirement packages.

"The economic crisis is giving them an opportunity to take a break," said Vanessa Noel, an associate director in the nonprofit department of Alliance Abroad Group. The Austin, Texas-based company offers work, teaching and volunteer programs to students and graduates in the U.S. and abroad. Noel coordinates volunteer trips abroad that typically last between two and 12 weeks.

Inquiries from eager adults over 50 have flooded her office in recent months -- so much so that she is creating new programs this summer to Costa Rica and Ecuador tailored to older volunteers that will last several weeks. "Life is short, and now they can seize the opportunities out there."

Applications for the Peace Corps from adults over 50 have spiked 44 percent in 2008 compared to 2007, driven largely by the weak economy and a campaign launched in 2007 to lure mature volunteers. All applicants to the Peace Corps -- a federal program created in 1961 that puts Americans overseas in places of need -- must pass background checks and a health test. Married couples are allowed to join together.

By the end of 2008, there were 428 Peace Corps volunteers over age 50 in the field in countries all over the world, from South Africa and Romania to the Eastern Caribbean, challenging the traditional image of the 20-something, post-college volunteer.  See the stories of Americans over 50 who have volunteered abroad »

Other nonprofit groups specializing in shorter "voluntourism" trips also are seeing a spike in interest. For those unable to leave for the 27 months required by intensive volunteer programs like the Peace Corps, these paid programs last from a week to a year.

Cross-Cultural Solutions, a nonprofit in New York that offers volunteer trips to countries like Russia and Peru from one to 12 weeks, experienced more than a 10 percent growth in volunteers over 50 in 2008, compared with 2007, according to company officials.

San Francisco, California-based Global Services Corps, a nonprofit that coordinates service trips to Thailand, Tanzania and Cambodia for stays from two weeks to a year, saw a 25 percent jump in information requests from older Americans after the stock market tanked in October.

Older volunteers have long donated time to volunteering abroad, perhaps most famously President Jimmy Carter's mother, Lillian Carter, who applied to the Peace Corps at age 68. As global health and economic issues abroad have become more publicized in an increasingly connected world, older Americans venturing overseas hope they can serve some of the poorest communities in the world while improving the tarnished American image abroad.

Many older Americans, like Preble, say they are volunteering abroad in response to President John F. Kennedy's inspiring words from their younger years, asking them to serve their country. Now, they finally have the time.

"They have had a pretty lifelong pattern of community activism, so it makes perfect sense that as they approach the retirement years, they will do a lot of volunteering abroad," said Linda George, a professor of sociology specializing in aging at Duke University.

Some volunteers also say they are motivated by President Obama's call for change. This month, Obama signed the Edward M. Kennedy Serve America Act, which will pour an estimated $6 billion into volunteerism, including programs for older adults and retirees.

Mary Hecht, 66, and her husband Norman Hecht, 68, left their cozy home in New Jersey to embark on a one-week trip this month to save the giant tortoises in the Galapagos Islands. In the midst of packing, she said she is excited to stay with a host family and learn more about the native food and culture.

"I think the older you get, the more set in your ways you become," said Hecht, who worked in the education sector for most of her career. "I think the trip will teach me to be flexible and roll with the punches."

While many volunteers over 50 say there are some drawbacks to volunteering later in life -- such as missing their children and grandchildren back at home --there are many advantages, too. Mature volunteers bring with them valuable life and career experiences, and many countries tend to pay more respect to older people.

"The kinds of things they are struggling with in terms of creating programs are exactly the sorts of things I was previously involved with," said 67-year-old Peace Corps volunteer George Stouter, who started in Saint Kitts in the West Indies last fall. He consults on mental health initiatives at a local boys hospital, among many other projects. Stouter worked as a psychiatric social worker in Michigan for 35 years.

Greg O'Neill, director of the National Academy on an Aging Society, added that Americans are retiring earlier and living longer, which lends more time to volunteering or making a career change.

Darlene Grieger, an 81-year-old grandmother from Arizona, says there are no limits with age. In March 2007, she bid farewell to her five children and 14 grandchildren and went on her first volunteer trip to Costa Rica -- thanks to money donated by her family -- where she volunteered at an orphanage for three months.

There, younger volunteers on her program usually called her "grandmom," she said, chuckling.

Last fall, she jetted off to Thailand for six weeks to work with a women's group. She did find time to do touristy things between her volunteer duties: Before coming back to the states, she flew on her own to Cambodia to catch a glimpse of Angkor Wat, one of the most famous temples in the world.

"I couldn't even imagine just going on a trip," said Grieger, who is planning on selling her home so she can continue volunteering abroad. "That has to be so boring."

@highlight

Applications for the Peace Corps from adults over 50 have spiked 44 percent

@highlight

Nonprofit groups offering "voluntourism" trips report more mature participants

@highlight

Older Americans are motivated by President Obama's call for change

@highlight

"I'm getting to experience what it's like to live in another culture," one volunteer says