(CNN) -- Post-traumatic stress disorder begins as a natural response to danger, according to psychiatrists.

Rachel Hope says her life had been the stuff of nightmares. She reached out to South Carolina psychiatrist Dr. Michael Mithoefer in 2005 after suffering the effects of PTSD for years and trying various treatments, to no avail.

"My mom was 19 when she had me, and she was very ill-equipped," Hope said.

But the worst arrived when Hope was 4 years old and her mother went on vacation, leaving her with a male friend who'd agreed to babysit.

As it turned out, says Hope, he was a pedophile who raped her repeatedly over the six-week stretch that her mother was gone. When they finally reunited, her mother noticed a change.

"She told me, 'I just wondered why you were kind of withdrawn and weren't the happy child you used to be,' " Hope said. But the angry, bewildered child didn't tell tell her mother what had happened, and no one put the pieces together.

Not long after, Hope went to live with her grandmother in San Diego, where she did well in school and became accustomed to a "normal" life.

Read the first installment of this three-part series

But five years later, another catastrophe struck -- literally. She was hit by a delivery truck as she was riding her bike to a dance lesson. Hope nearly died. As it was, she needed two reconstructive surgeries on her face and was partially paralyzed for four months.

Yet, she survived. The 11-year-old found strength in stoicism.

'"That was good and bad. I mean, it was heartbreaking to be a kid like that," she said. "To realize, there's not gonna be a magical fairy that shows up. 'Bad news, kid, no one's saving you.' And that was a big turning point."

Seemingly against all odds, she pulled her body and mind back together. She became fascinated by notions of human potential, the way the mind works.

And she asked herself the big questions. "I wanted to make sense of it all."

It took years, however, to reach out to Mithoefer. Her plan: to see whether she could free herself from torment by taking a drug called MDMA, commonly known as Ecstasy.

Party drug and forbidden substance

The compound known as 3,4-methylenedioxymethamphetamine, or MDMA, was first synthesized in Germany in 1912. No one quite knew what to do with it. It was studied by the military in the 1950s and eventually emerged from the lab in the late 1970s.

The first report on its effect in humans was published in 1978 by independent chemist Alexander Shulgin and David Nichols, a professor of pharmacology at Purdue University.

At the same time, Shulgin was churning out the drug in his lab and sharing it with a handful of psychiatrists and therapists who saw MDMA as a lever for human growth.

Dr. George Greer helped Shulgin make an early batch and offered it to interested couples and individuals. "MDMA reduced the fear response, so people could talk about the things that made them afraid or upset," he recalled.

At the same time, "people were able to have normal cognitive function, and the insights they had were able to translate to everyday life." A few people had mild panic attacks, says Greer, "but in general, it was well-tolerated." He described his experiments in a paper, detailing the experiences of 29 people.

Not everyone was so careful. By the mid-'80s, Ecstasy was also in use as a party drug. In the spring of 1985, the alarm was sounding, and Ecstasy was making headlines.

Congress held hearings, and the Drug Enforcement Administration put MDMA on the list of forbidden substances alongside heroin and LSD.

The uproar left the small community of MDMA therapists shaken. Greer submitted testimony asserting the drug's safety to the DEA, but to little avail.

Rick Doblin, a soon-to-be Harvard graduate student who would later found the Multidisciplinary Association for Psychedelic Studies -- a group wanting to turn mind-altering drugs like Ecstasy into prescription medicine -- saw the writing on the wall. Shortly before MDMA was banned, he persuaded Nichols to synthesize two kilograms for researchers, for the cost of materials.

"Doing science that gets reported, that's an idea we can sort of leverage," Doblin said. To win broader acceptance for MDMA -- and for cousins like LSD and psilocybin, the mind-altering compound in so-called magic mushrooms -- "the medical route was the only route. Everything else was blocked."

That meant a formal plan for drug development: study protocols, institutional review boards and the rest. Mithoefer, a University of Virginia-trained clinician who specializes in trauma and had a long-running interest in MDMA, was the perfect partner.

Before taking Hope's call, Mithoefer had spent nearly three years navigating the federal bureaucracy to win approval for his small experiment, designed to test a simple question: Is MDMA, used in a clinical setting, safe?

'I got to survive. But for what?'

As a teenager, Hope marched with a precocious sense of purpose. At age 13, she moved across the country to live with family friends in New Jersey.

A year later, she was back in California, where she found a full-time secretarial job while completing her high school coursework. She built a strong relationship with her father, who had separated from her mother when she was an infant.

By the time she was 17, she was back with her mom but supporting herself financially.

She was wary of relationships but wanted a family, and at 19 she found a like-minded colleague who agreed to co-parent a son. They moved to Hawaii, because she had fond memories of a childhood vacation.

"I think there was a part of me that thought I could run away from all that crazy horrible stuff," she said. "I was trying to find ways to be okay."

But the peace was fragile. When her father died in 1991, Hope became so depressed, she fell into a stupor. She was hospitalized, and for the first time, a psychiatrist listened as she talked about her childhood abuse. It was eye-opening, but therapy offered limited relief. She grew well enough to leave the hospital but found little joy outside.

In 1998, she suffered another breakdown after learning from a friend that the man who'd sexually abused her was under investigation for molesting another girl.

Under the weight of stress and emotion, Hope's carefully constructed shell began to crack.

"I started having these outrageous flashbacks, and body memories," she recalled. "The first time, I thought someone slipped me a drug. Because it would be these unstoppable, full-body blackout memories, and people would tell me later, 'You were just screaming for an hour.' "

She stopped sleeping. Her stomach problems worsened; she vomited every time she ate.

Once again, she checked herself into the hospital. Once again, it was all the doctors could do just to tape the pieces back together.

"I became like a survival machine. And I'm kind of blessed, because I didn't become violent or hostile or self-destructive," she said.

At the same time, a "normal" life felt out of reach. "It was kind of like, 'OK, I got to survive. But for what?' "

To be continued in Monday's story

@highlight

Rachel Hope says her childhood was the stuff of nightmares

@highlight

She weathered childhood trauma but suffered breakdowns as an adult

@highlight

She reached out to a South Carolina psychiatrist in 2005

@highlight

Dr. Michael Mithoefer is studying whether MDMA, or Ecstasy, is safe in a clinical setting