San Diego, California (CNN) -- When exactly did the donkey become an endangered species?

Democrats had big victories in recent years, taking back control of both houses of Congress in 2006 and the White House in 2008. And, in response to those defeats, Republicans seemed to be wandering in the wilderness. Unsure of whom to be, GOP strategists have been wasting time locked in a completely unconstructive debate over whether to do more outreach or get back to the basics of conservatism. (It's not as if you can't do both those things.)

Today, Republicans are still lost in the woods. But suddenly, things look even bleaker for Democrats, who seem as if they're headed off in a dozen different directions.

Polls show a detectable amount of angst among many Americans over the cost of health care reform, government bailouts and other massive expenditures. There is a sense in many parts of the country that President Obama and Congressional Democrats are trying to do too much too fast and running up too high a bill in the process.

Worse, there is growing anxiety that -- in trying to do so much at once -- the administration and Democrats in Congress have taken their eyes off more important matters. Like keeping the country safe.

The recent terror scare orchestrated by Umar Farouk AbdulMutallab, the 23-year-old Nigerian suspected suicide bomber who allegedly intended to blow up a U.S. airliner on Christmas Day, has only heightened those concerns.

And frankly, Obama's comments Thursday about the incident and the changes that his administration is preparing to make to ensure that nothing like this ever happens again won't do much to reassure the country. The remarks were underwhelming and predictable.

While Obama was right to take responsibility and insist that the buck stops with him, he should have explained exactly why the dots weren't connected by the intelligence community and been more willing to assign blame.

That might have convinced more Americans that Obama and everyone who works for him understand that, in this deadly game of counterterrorism, you have to catch every possible threat. We got lucky this time. But luck runs out. Americans need to see that their leaders understand this simple fact. Maybe the Congressional hearings into the incident will accomplish that.

The GOP may not be in the best shape, and it can still be its own worst enemy. And yet, Republicans look pretty good compared to Democrats, whose moves have been even more questionable. It's no wonder that some Democratic lawmakers are bailing out. Two longtime Democratic senators have announced their retirements and according to polls, a handful of others are trailing against Republican opponents

This week, Democratic Sens. Christopher J. Dodd of Connecticut and Byron L. Dorgan of North Dakota dropped out of re-election bids.

Both are longtime senators with powerful committee chairmanships, so why would Dodd and Dorgan throw in the towel? And why would recent polls show the Democratic candidate for the Senate running behind the Republican in at least seven states -- Connecticut, Nevada, Ohio, Arkansas, Pennsylvania, North Dakota and Colorado? And why would some prominent Republicans be newly energized to run for top offices -- such as former Rep. John R. Kasich challenging Democratic incumbent Gov. Ted Strickland in Ohio.

The liberal media is helpfully putting forth its own explanations for the Democrats' doldrums.

Dodd and Dorgan were facing tough re-election battles, we are told. Dodd had been struggling with personal challenges, including his bout with prostate cancer and the death of his best friend in the Senate, Ted Kennedy, who died last year. According to the Los Angeles Times, the economic climate might have been a factor and Dodd could be another casualty of the recession.

That's a rather benign explanation -- and an unsatisfying one. It's closer to the truth to suggest that a key factor in all this -- the Dodd and Dorgan retirements, the growing unpopularity of Democratic Senate candidates, the new energy among Republicans -- is the health care debate. It is true that Democrats are polling badly in states where Congress' health care reform remedies are unpopular.

But even that doesn't tell the whole story. For that, you need to look at a CNN/Opinion Research Corp. poll from last month that found that Republicans had closed the popularity gap with Democrats. In that survey, 40 percent of those questioned say the United States would be better off if Democrats ran Congress while 39 percent feel things would be better if Republicans ran Congress. The one-point margin was a statistical tie.

Just a few months earlier, in August, Democrats had enjoyed a 10-point advantage over Republicans. In January, about the time that President Obama took office, Democrats had a 25-point advantage.

For now, the American people seem to be saying, loud and clear: Slow down. Think about what you're doing. Pay your way. Don't simply borrow and print money. And, above all, choose your priorities carefully. Don't forget what's really important.

That message will get through, sooner or later -- even if, when it does, not all of today's members of Congress are around to hear it.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Two Democratic senators dropped their bids for re-election this week

@highlight

Ruben Navarrette says suddenly the Democrats look more lost than the Republicans

@highlight

He says the nation is worried that White House, Congress are trying to do too much

@highlight

Obama's statement on terror plot didn't do enough to reassure Americans, he says