(CNN) -- "I do not believe we can keep doing the same thing for over five decades and expect a different result," President Barack Obama pronounced Wednesday. "Moreover, it does not serve America's interests, or the Cuban people, to try to push Cuba toward collapse." And with these words, Obama introduced a long-absent element of lucidity into U.S. policy approaches to Cuba.

On the Cuban side, President RaÃºl Castro also welcomed the renewal of dialogue and committed his government to work with the United States to resolve "profound differences" on a host of issues.

The implications of the action go far beyond Obama abandoning an utterly anomalous policy, one without internal logic, one that was both counterproductive and contradictory -- a policy in fact that contributed to the very conditions it professed to abhor.

To speak to Cuba is to speak to Latin America. It is a powerful affirmation of a U.S. willingness to respect the propositions of national sovereignty and self-determination in a region of the world where centuries of colonialism have made the pursuit of national sovereignty and self-determination something of national obsession. It is an acknowledgment that history does matter, and that a shared awareness of that history cannot but result in salutary outcomes.

The commitment to normalize diplomatic relations also signals the end of a policy that had as its overriding objective the overthrow of the Cuban government. The idea was to use economic sanctions to induce calamity, make daily life as difficult and as grim as possible, and increase Cuban suffering as a means to foment popular disaffection in the hope that Cuban people, driven by want and motivated by despair, would rise up against their government.

This has served as the cornerstone of a half-century policy. "The only foreseeable means of alienating internal support is through disenchantment and disaffection based on economic dissatisfaction and hardship," a State Department official insisted in a memo in 1960, and thereupon proceeded to call for actions designed "to bring about hunger, desperation and (the) overthrow of government."

The President's assertion that it is not in U.S. interests to push Cuba toward collapse is a remarkable policy reversal. But it is also true that to signal the end of a policy of "regime change" has far-reaching implications in Cuba. For much of the last 50 years, and especially since the collapse of the Soviet Union, U.S. policy has served as a means for the Cuban leadership to sustain moral authority. The United States has represented a looming threat to Cuban national sovereignty -- that is, Cuban national security.

As Americans have learned in the last dozen years, the invocation of "national security" does not readily accommodate to the demands of civil liberties. A commitment to ease economic sanctions serves to counter the perception of the United States as a threat to Cuban sovereignty, thereby denying those in Cuba the pretext of U.S. hostility to limit public debate and restrict civil liberties.

The change of policy represents a momentous occasion -- rare indeed in U.S.-Latin American relations -- where the Americans are signaling a desire to engage the Cubans on the basis of mutual respect, to engage Cubans in normal political and economic interactions, and thereby contribute to the creation of space in which Cubans themselves could proceed to address their most pressing issues, on their terms, within the logic of their own history, and act accordingly.

It is a measure, in the end, of enlightened American self-interest.

It shows respect for the Cuban people by acting on the premise that Cubans themselves know what is in their best interest.

@highlight

Louis Perez: Obama normalizing relations with Cuba an overdue moment of U.S. lucidity

@highlight

Perez: In Latin America scarred by colonialism, move shows support for national sovereignty

@highlight

He says it removes Cuban leadership pretext for "moral authority" in face of U.S. hostility

@highlight

Perez: Change in misbegotten U.S. policy gives Cubans space to decide own best interests