Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

A man from Honduras reads in an "English As A Second Language" class in Miami, Florida.

According to the U.S. Census Bureau's 2006 American Community Survey, approximately 80 percent -- or 223.2 million people -- of Americans use only English at home.

The remaining 20 percent -- 55.8 million people -- speak a language other than English. Add the millions of tourists visiting the country each year and you have a huge demand for workers who can communicate in more than one language.

Thankfully, bilingual workers come to the rescue. In almost every line of work the ability to speak a second language makes you a valuable asset.

Any job that requires you to interact with customers -- either in person, on the phone or online -- can use your knowledge of a second (or third) language. Think about it: Every additional customer you can speak with not only improves his or her experience but also brings in revenue to your employer.

The states with the largest percentage of citizens speaking a language other than English at home are California, New Mexico, Texas, New York and Arizona.

Spanish is by far the most popular non-English language spoken at home with roughly 34 million speakers nationwide. Still, there are millions of people speaking other languages -- including French, German, Mandarin, Arabic and lesser known languages -- that also benefit from bilingual workers.

If you speak more than one language or have thought about learning a second one, here are some industries and jobs where your skills will come in handy.

Industry: Health care  Why: Patients visiting emergency rooms and doctor's offices come from all walks of life. In fact, America's reputation as a leader in medicine attracts people from around the world, so you never know what language you'll hear when someone walks through the door.

Jobs: Registered nurse, paramedic, physician's assistant, home health aide

Industry: Hospitality  Why: Spas, resorts and hotels help visitors escape their daily routine and makes them feel like royalty. Creating a little bit of paradise -- for a tourist or a local just trying to get away -- is easier when you can understand what your client is saying to you.

Jobs: Concierge, resort manager, hotel manager, desk clerk

Industry: Education  Why: One of the richer aspects of an American education is the exposure to different cultures. You can walk into most classrooms, from kindergarten through graduate levels, and find students who come from multilingual households or who are studying abroad.

Jobs: Teacher, ESL instructor, guidance counselor

Industry: Law enforcement  Why: Among the many duties of law enforcement personnel is interviewing people, either to solve crimes or to understand what's happening in a conflict. You can save a lot of time (and maybe even a life) if you don't have to wait for an interpreter.

Jobs: Police officer, investigator, security guard, probation officer, corrections officer

Industry: Customer service  Why: Every aspect of customer service involves dealing with people. Depending on where you work, you might have customers who are tourists or who come from households where English isn't spoken. Knowing more than one language means you can communicate to a larger amount of visitors, which both your employer and customers will appreciate.

Jobs: Sales clerk, demonstrator, retail store supervisor, computer support specialist, customer service representative

Industry: Social services  Why: Social service workers meet with families, adoption agencies and schools in order to ensure the well-being of children. The fewer language barriers between the worker, children and important people in their environment, the smoother things can run.

Jobs: Family social worker, substance abuse social worker, social work administration

Industry: Finance Why: Money doesn't only stay on one continent, so in the world of finance, whether you're a teller or the CEO of an investment bank, you're dealing with euros and yen and the languages that come with them.

Jobs: Teller, financial adviser, investment banker, accountant

Industry: Communication  Why: Whether your job is talking to the media or writing for a publication, words are your livelihood. The more you know, the better you can do your job. Whether it enables you to speak to a reporter or interview a source for a story, being bilingual makes your job easier.

Jobs: Translator, public relations specialist, journalist, media relations officer

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

In almost every line of work, speaking a second language makes you valuable

@highlight

Twenty percent of Americans don't speak English at home

@highlight

California, New Mexico, have largest percentage of non-English speakers

@highlight

Spanish is most popular with 34 million speakers nationwide