LONDON, England (CNN) -- Picture this: The European champions and current highest-ranked soccer team in the world, Spain, are beaten 3-0...by a team of robots.

On the way: Robots are developing steadily towards the goal of beating humans at football.

It may sound ridiculous, but robot developers in Asia, the U.S. and Europe are dreaming of that very goal.

Working under the umbrella organizations FIRA (Federation of Robot-Soccer Association) and the RoboCup Federation, researchers and developers are aiming to advance robot technology to the point that a team of humanoids can beat the best humans in the sport by 2050.

Since robot soccer competitions began in the mid-1990s, researchers have already made significant developments towards their goal.

Phil Culverhouse of the Center for Robotics and Intelligent Systems at the University of Plymouth told CNN that the first robots in competition were controlled by humans and many were on wheels or four-legged, but that is changing.

"Since 2007 the team have progressed to bipedal robots that have cameras on board," he said. "Our robots are autonomous -- they have no control from outside sources. The cameras try to work out where the goal is, where the ball is and where the other players are."

Further robotic developments appear to be close. Researchers at Carlos III University of Madrid released a study in the March 2009 online edition of 'Expert Systems with Applications,' showing they had refined a technique known as machine-learning.

Basically, the scientists were able to teach a virtual player simple reactions to visual stimuli -- based upon how real humans react in the same situation.

Do you think robots will one day be able to beat humans at football? Sound Off box below.

This year robots will go head-to-head at both the RoboCup event in Austria in June/July and the FIRA RoboWorld Cup in Korea in August. The most advanced classes at present are the bipedal classes for 'humanoid' robots.

Co-chair of RoboCup 2009, Gerald Steinbauer, told CNN this year's event was the 13th edition of the cup, and he was impressed by progress by advances since the competitions began.

"At the last RoboCup in China 2008 we had games of teams of three humanoid playing attractive soccer. They walk on two feet, fight for the ball and of course score... so we are approaching the goal," he said.

Culverhouse said interest in both events had steadily grown, especially since the two-legged robots had been introduced. This year up to 3,000 competitors from 40 countries are expected at RoboCup.

"This has been extremely effective in gaining interest. These are much more exciting to watch. We have seen a steep level of change in interest from not just young people but everybody."

Despite the increasing profile, Culverhouse said there are still plenty of major challenges before the humanoids can seriously compete with humans.

"This is still a long way from competing against humans. The next big challenge to be met is to get robots walking like humans and then running like humans.

"One of the most challenging things is getting a robot to walk on uneven terrain without falling over," he said, explaining that some fall over after kicking at goal. (Although, it's not hard to think of professional footballers who have suffered the same problem.)

The University of Plymouth team is currently researching how robot's feet can be improved, and hope to release a concept later this year that could usher in a new era of in foot design.

For Steinbauer, the critical issues are that of perception and cognitive abilities.

"Perception is one of our major problems. It is important that a robot is able to understand a scene like a human does. If you enter a complete unknown room you are able to recognize the important things like furniture and also relations and functions of objects very fast," he said.

"Despite huge progress in this area we are far behind the capabilities of animals or humans.

"And of course there's cognitive capabilities. To reason about new, uncertain or even inconsistent facts is easy for a human but very hard for a robot," Steinbauer said.

Size and cost are other limiting issues.

"In order to make this affordable we are developing robots 50 to 60 centimeters high. At that size each robot costs about 10,000 pounds to make. At full human size each would cost about 50,000 pounds," Culverhouse said.

Soccer is an ideal testing ground for robotics as it encompasses many different elements including movement, vision and strategy, Steinbauer said. But the applications developed in these robots could serve a greater purpose.

Steinbauer said robot technologies could be used for entertainment or performing simple tasks around the home and office. They also could be used in rescue scenarios -- where robots could be sent into dangerous situations in place of humans, he said.

@highlight

FIRA and RoboCup organizations promoting development of robots

@highlight

Robots have been competing in regular soccer contests since the mid-'90s

@highlight

Scientists hope to be able to beat world's top team of humans by 2050

@highlight

Robotics developments tested in robo-soccer have uses in other fields