LONDON, England (CNN) -- If the craggy, icy west coast of Greenland doesn't inspire them, perhaps Vanessa Carlton's vodka infusions will.

Singer KT Tunstall relaxes as the Cape Farewell tour heads towards Disko Bay.

On Friday, the American singer-songwriter and self-professed "expert infuser" will join an unlikely ensemble of 40 artists, scientists and musicians aboard the 10-day "Cape Farewell" expedition to Disko Bay.

Musicians Jarvis Cocker, KT Tunstall, Martha Wainwright and Leslie Feist will be there negotiating the bridge with acclaimed French artist Sophie Calle, performance artist Laurie Anderson and novelist Nicole Krauss. See the full crew list

They're not there to perform but to be inspired by the scientists, their work and their surroundings, in the hope they'll return home with a deeper understanding of climate change.

"It's two-way traffic," explains Cape Farewell founder, artist David Buckland. "The place itself is inspiring, the dialogue about climate change is inspiring and the science that we actually do on board is important to the scientists, but it's also inspiring to see scientists working.

"You don't just look at a graph; you actually see who gets the data that feeds into the graph. And from all that, the output is that we find this new language, this new way of communication and that's what the creative souls are there to do."

Around midday Friday, the sturdy and ice-strengthened science research vessel, the "Grigory Mikheev," will depart Kangerlussuaq in Greenland bound for Disko Bay, a location on the west coast that provides some of the starkest examples of the island's melting ice caps.

There, the geologists on board will acoustically measure the seabed some two kilometers below.

"What happens is that as ice melts from Greenland it lessens the weight on the land and the land rises. This causes cracks to appear in the ocean seafloor -- this is what we think," explains Buckland, adding "So you can measure what's happening to the landmass of Greenland by looking at the sea."

It's fair to say that the work the artists are hoping to achieve on board requires less scientific rigor.

When CNN spoke with British comedian Marcus Brigstocke the day before departure, he was trying to decide which suit to pack.

"I'm wearing a suit jacket and a waistcoat, trying to work out what's the lightest thing I can put in my bag which will also keep me sufficiently warm if I do a stand-up routine on an iceberg."

Brigstocke joined the Cape Farewell crew last year on their most ambitious voyage yet, down the east coast of Greenland. After suffering the combined trauma of seasickness and a cabin awash with sewage after a plumbing failure, Brigstocke vowed he'd "never, ever" do it again.

"When I asked him, he sort of went white," Buckland laughs. "I promised him a bigger boat this time, in a cabin that doesn't do somersaults. We're not sailing this time, which is a sadness for me, but it means we can do a lot more work."

On his return last year, Brigstocke wove his experience into a stand-up routine. This time, he's hoping to complete the program they started filming last year on climate change and the Cape Farewell trip.

"I don't know what the end result will be," he says. "It doesn't particularly matter. The footage already is astonishing."

Vanessa Carlton, the U.S. musician best known for her Grammy-nominated single "A Thousand Miles," describes herself as "pretty green."

"Right now I'm walking and I'm carrying a reusable grocery bag -- I've just been to the grocery store," she tells CNN by cell phone from New York.

"I wear mostly vintage clothes. I have a very energy-efficient house -- very long-lasting light bulbs. Everything's off unless I really need something to be on. If I'm away for a long time, I turn off my water heater."

She's intrigued to see how her experience on the Cape Farewell Expedition will manifest itself in her music. She's also unsure of what she can teach the scientists on board.

"Perhaps I will have a more emotional response to the surrounding than they normally do," she guesses, adding "I hope that inspires their work and injects a bit of 'non-scientific' spirit into the voyage."

Or perhaps another kind of spirit: "I'm an expert vodka infuser and will be teaching a thing or two about infusions."

It was a much more sober affair when Cape Farewell's Youth Expedition wound its way from Iceland, around the southern tip of Greenland, across the Davis Strait and down the coast of Canada earlier this month.  See photos of the Youth Expedition »

Most of the 28 students on board returned to their respective schools this week. Luisa Lizoain, a 16-year-old grade 11 student from the University of Toronto Schools described the experience as life-changing.

"We went to a few small villages when we were in the north of Greenland and Baffin Island," Lizoain told CNN. "Meeting the people who live in the north put a face to climate change for me."

"I want to try and raise as much awareness as possible and tell as many people as possible about this experience and what I've just seen."

Martin Rose, director of the British Council Canada, which organized the Youth Expedition with Cape Farewell, says, "It was clear that the snow was late and the glaciers are retreating year by year."

"There are all sorts of complicated arguments around that, but symbolically it's quite powerful to see green and red hillsides when normally there'd now be snow," he continued.

Upon boarding, the Youth Expedition students were given sketchbooks and were encouraged to spend at least ten minutes a day being creative. While sketchbooks won't be standard issue for the professional artists on the Disko Bay Expedition, David Buckland says creative freedom will be encouraged.

"If anybody is inspired to do anything we'll stop the boat and we'll do it, we'll find a way to do it, and that's the rule, that's the only rule: follow the inspiration."

And he doesn't care how long it takes. Author Ian McEwan boarded the boat in 2005 and has only just revealed that his new book, "A Boot Room in The Frozen North," is about climate change.

"Brilliant. I can sit and wait for that, that's fine," Buckland says. "It's a difficult subject, it's a great big amorphous subject, it's abstract and therefore to try to make it real, on a human scale, that's the really important message they get across."

Everyone on board the boat will be blogging about their adventure. You can have your say by posting a comment below.

@highlight

Forty artists and scientists board science research vessel off Greenland coast

@highlight

Crew includes Jarvis Cocker, KT Tunstall, Vanessa Carlton, Sophie Calle

@highlight

"Cape Farewell" expedition aims to blur barriers between art and science

@highlight

Ten-day trip will take crew to Disko Bay to see the affects of climate change