(CNN) -- Ratko Mladic, the onetime Bosnian Serb commander accused of presiding over Europe's worst massacre since World War II, was in custody Thursday after more than 15 years in hiding, Serbia's president announced.

Mladic was the highest-ranking war crimes suspect to remain at large from the wars that accompanied the breakup of Yugoslavia in the 1990s. He was arrested in the Serbian town of Lazarevo after a three-year investigation, President Boris Tadic said in a dramatic and hastily announced news conference in Belgrade.

"All war criminals must face justice," Tadic said. He refused to give more details about the operation but said Serbian authorities continue to probe "who aided and abetted Mladic ... and those people will face justice."

Mladic, now 69, led Bosnian Serb forces during the 1992-95 war that followed Bosnia-Herzegovina's secession from Yugoslavia. The International Criminal Tribunal for the former Yugoslavia has charged him with leading a genocidal campaign against Bosnia's Muslim and Croat populations and with having "direct involvement" in the 1995 killings of nearly 8,000 men and boys in the Muslim enclave of Srebrenica.

He was transferred from Lazarevo, about 80 km (50 miles) north of Belgrade, to courthouse in the capital for a preliminary hearing after his arrest, and the tribunal said it looked forward to his "expeditious transfer" to the Hague, Netherlands, for trial.

Once there, he will be allowed to enter a plea to the charges against him, which include genocide, crimes against humanity and violating the laws of war, according to a statement from the court.

"The arrest of Mladic is a milestone in the Tribunal's history and brings the institution closer to the successful completion of its mandate," the tribunal said. The sole remaining fugitive from the court is former Croatian Serb leader Goran Hadzic, "and the Tribunal hopes he will be arrested in the very near future."

Mladic is accused of leading a campaign of "ethnic cleansing," widespread killing, forcible deportations, torture, forced labor and physical, psychological and sexual violence during the Bosnian war. But he remains a hero to some of his former soldiers, said David Owen, a former European Union envoy to Yugoslavia, suggesting that his supporters had sheltered him in Serbia.

The international police agency Interpol praised the arrest as "a triumph for international justice." Interpol officials had met with Tadic in January to discuss closer cooperation in the hunt for war crimes suspects, the organization's secretary-general, Ronald Noble, said in a statement on Mladic's capture.

"After today's arrest, no one should doubt Serbia's commitment to the rule of law and justice," Noble said.

Tadic said the arrest will help the process of reconciliation throughout the Balkans and should pave the way for Serbia's entry into the EU. James Ker-Lindsay, a senior research fellow at the London School of Economics and Political Science, called Thursday "an incredibly important day for Serbia."

"Ratko Mladic was the person to get hold of. This totally transforms Serbian prospects for getting into the European Union," he said.

EU foreign policy chief Catherine Ashton hailed the arrest as a victory for "the rule of law in Serbia" and praised Tadic and his government for "this courageous action."

Ashton called for the quick transfer of the suspect to the Netherlands for trial. But Tadic declined to say how long the extradition would take, explaining it was not up to him.

Mladic had been on the run since the war in Bosnia and Herzegovina ended in 1995. The Croatian newspaper Jutarnji List was the first to report his arrest, saying police were doing DNA tests on a suspect to determine whether he was the notorious former commander.

Mladic was the last fugitive from a triumvirate of Serbian leaders accused of genocide against Muslims and Croats as the three populations fought a brutal war over Yugoslav territory.

Former Yugoslav President Slobodan Milosevic was toppled in 2000 and sent to face charges in The Hague. He died in 2006 while the trial was still going on.

Bosnian Serb leader Radovan Karadzic was arrested in July 2008 and is now on trial in The Hague.

Karadzic was removed from power under the Dayton Peace accords that ended three years of brutal fighting. He went into hiding, grew a full white beard and long hair, and was working in an alternative medicine clinic in Belgrade -- right under the noses of authorities -- when he was captured.

Karadzic has insisted on defending himself at The Hague. Prosecutors accuse him of deliberately obstructing the trial with delaying tactics, and judges have threatened to impose a defense lawyer on him if he does not cooperate.

The Bosnian war was the longest of the conflicts spawned by the breakup of Yugoslavia in the early 1990s. Backed by the Milosevic government, Bosnian Serb forces seized control of more than half the country and launched a campaign against the Muslim and Croat populations.

The United Nations declared Srebrenica to be a safe haven, and tens of thousands of Bosnian Muslims flooded in, expecting protection. But a small contingent of Dutch U.N. peacekeepers, lightly armed and aware that no reinforcements were coming, stood aside and allowed Mladic's troops to overrun Srebrenica, leading to the slaughter.

NATO intervened in the conflict, bombing Bosnian Serb military positions. The United States brought the leaders of the warring factions to an agreement in Dayton, Ohio, in 1995, bringing the violence to an end.

CNN's Joe Sterling, Moni Basu and Lateef Mungin contributed to this report.

@highlight

NEW: Mladic has been transferred to a courthouse in Belgrade

@highlight

NEW: The Balkan war crimes tribunal praises Mladic's arrest

@highlight

Mladic was wanted on charges of genocide, extermination and murder

@highlight

He was the highest-ranking Yugoslav war crimes suspect still at large