(CNN) -- Merrill Newman -- the 85-year-old American detained by North Korean authorities earlier this fall -- has been "deported," North Korea's state news agency KCNA reported early Saturday.

His son announced late Friday that he is on his way home to the United States. "We are absolutely delighted to confirm that Merrill Newman is on his way home," Jeff Newman said.

A senior Obama administration official said soon after the North Korean announcement that U.S. authorities have Newman "in hand." State Department spokeswoman Marie Harf subsequently tweeted that U.S. Embassy officials met "Newman at the airport in Beijing and provided all appropriate consular assistance." Video showed him smiling as he walked past a cavalcade of reporters through the Chinese capital's airport.

The out-of-the-blue release became all the more real for Newman's relatives in the United States shortly before 8 p.m. (11 p.m. ET), when they talked with Merrill by phone, his family said.

The KCNA report stated that investigators determined that "Newman entered the DPRK with a wrong understanding of it and perpetrated a hostile act against it."

"Taking into consideration his admittance of the act committed by him on the basis of his wrong understanding (and the) apology made by him for it, his sincere repentance of it and his advanced age and health condition, the above-said institution deported him from the country from a humanitarian viewpoint," the official North Korean report added.

On Thursday, Harf said American officials had spoken the previous day with relatives of Newman and Kenneth Bae, another American being held in North Korea, but added little else.

Hours later, Harf issued a statement saying Washington was "pleased that Mr. Merrill Newman has been allowed to depart the DPRK and rejoin his family."

"We welcome the DPRK's decision to release him. This positive decision by the DPRK throws into sharper relief the continuing detention of ... Bae," she added. "... We call on the DPRK once again to pardon and grant Mr. Bae special amnesty and immediately release him as a humanitarian gesture so that he too can return home to his family."

Coincidence or not, the news of Newman's release came on the day that Vice President Joe Biden was in South Korea, where he was to lay a wreath at a memorial for veterans of the war that pitted North Korea against its southern neighbor as well as the United States.

Biden told reporters in South Korea that he "played no direct role" in the release. He added that his office offered to let Newman fly home with him on Air Force Two, but State Department officials said he'd take a direct commercial flight to San Francisco.

"It's a positive thing they've done," said the vice president, who talked Saturday morning by phone with Newman, according to another Obama administration official. "But they still have Mr. Bae, who has no reason being held in the North (and) should be released immediately."

Former New Mexico Gov. Bill Richardson, who has undertaken private diplomatic efforts with North Korea seemed more perturbed over Newman's detention than he was pleased at his release.

"While the release of Merrill Newman is welcome news indeed, he never should have been detained in the first place. The North Koreans should also release Kenneth Bae as a humanitarian gesture," Richardson said in a statement.

According to his family, Newman went on a 10-day organized private tour of North Korea in October. From phone calls and postcards he sent, the trip was going well and there was no indication of any kind of problem, son Jeff Newman said.

The day before the Palo Alto, California, resident was to leave, "one or two Korean authorities" met with Newman and his tour guide, the son added. They talked about Newman's service record, which left "my dad ... a bit bothered," according to Jeff Newman.

Then, just minutes before his Beijing-bound plane was set to depart Pyongyang in late October, he was taken off the aircraft by North Korean authorities.

For weeks, the Pyongyang government didn't explain why they were holding Newman.

An explanation came a few days ago, when state media published and broadcast what they described as the Korean War veteran's "apology." In fact, that word -- "apology" -- was written atop the first of four handwritten pages detailing his alleged indiscretions.

In the note -- which was dated November 9 -- Newman talked about his having advised the Kuwol Unit, part of the "intelligence bureau" fighting against Pyongyang during the Korean War. He detailed how he commanded troops to collect "information" and wage various deadly attacks.

"After I killed so many civilians and (North Korean) soldiers and destroyed strategic objects in the DPRK during the Korean War, I committed indelible offensive acts against the DPRK government and Korean people," Newman said, according to that KCNA report.

The reported message also touched on his return 60 years later to North Korea, admitting that he "shamelessly ... had a plan to meet any surviving soldiers and pray for the souls of the dead soldiers."

His statement ended: "If I go back to (the) USA, I will tell the true features of the DPRK and the life the Korean people are leading."

This public apology -- which University of California, Berkeley, professor Steve Weber characterized as "highly scripted political theater" -- left some wondering what would happen to Newman.

Would he join Bae, an American arrested in North Korea in November 2012 who last May was sentenced to 15 years of hard labor after North Korea's government found him guilty of "hostile acts" and attempts to topple the government?

Or would he be released?

As Weber said days ago: "When it comes to North Korea, nobody knows very much."

Pyongyang has long been regarded by many as a repressive state, with its insularity, sharp restrictions on speech and other freedoms, and decades of saber-rattling primarily targeting its chief foes, South Korea and the United States.

Its isolation is exacerbated by widespread uproar over its nuclear program. The East Asian nation's reported quest to create a nuclear weapon, as well as its resistance to international monitoring of its activities, have resulted in economic sanctions, compounding difficulties in getting enough energy and food for its people.

But there have been some indications of change of late. Is Newman's release signal even more of an opening by Pyongyang? Will it lead to even more of a thaw?

Given the ups and mostly downs in these relationships, it's hard to tell now what will happen.

Still, this news affects the global political landscape, at the least it appears that the Newman family -- including Merrill's wife, Lee, who last month told CNN that "we need to have Merrill back at the head of the table for the holidays" -- should be complete once again.

CNN's Jill Dougherty and Joseph Netto contributed to this report.

@highlight

NEW: Newman's son confirms that the released American is on his way home

@highlight

Video shows Newman smiling as he walks through Beijing's airport

@highlight

The 85-year-old was detained in North Korea in October, issued a public apology

@highlight

State news reports Newman was released for "humanitarian" reasons