Orlando (CNN) -- "Businesses adding jobs" is a headline every elected official loves to read. Sadly, it's one that's getting harder and harder to find because of a policy and regulatory landscape that makes it increasingly difficult for businesses to see why and where creating new jobs makes sense.

That's especially true for me and my colleagues in the restaurant industry, who find ourselves facing a plate piled high with more and more federal, state and local regulations.

Regulatory mandates flowing from federal health care reform may be the most visible, but the list also includes measures such as new mandatory paid leave provisions that require us to change the way we accommodate employees who need to take time off when they are ill and ever more unrealistic requirements regarding employee meal and rest breaks that, in California for example, force our employees to take breaks in the middle of serving lunch or dinner.

This reality is the result of the best intentions. Policymakers working in silos at every level are pushing through regulations that on their face seem to address admirable goals -- that are each directed at outcomes that seem desirable.

The cumulative effect of these regulations, however, is significant damage to the hard-working Americans who are the intended beneficiaries.

The employer mandate contained in the new health care reform law, for example, forces us to change the way we have offered health care coverage to our full- and part-time workers and, together with all the other looming regulations, causes us to rethink the way we schedule the hourly work force that is at the heart of how we deliver our product to customers.

Some suggest we accommodate the costs of new regulations in one of two ways: Accept lower profits, or charge customers more. Neither is a realistic alternative for many businesses, and certainly not for those in our industry. Like most in retail, low profit margins are a fact of life for us for good reason -- low margins are consistent with charging prices our customers can afford.

The difficult reality is that neither our shareholders nor our customers -- who are of course, the very working people policymakers champion -- can afford the cost of the unbridled increase in regulation we're experiencing.

This is not to say that the restaurant industry should not be appropriately regulated. Food safety and cleanliness standards are just two examples of categories of regulation we welcome given their importance in helping protect two critical elements of our promise to our guests, which are their safety and well-being.

So, what are restaurants doing about all of this? We are labor-intensive businesses and always will be, but we're relying more and more on technologies that make our businesses less labor intensive. It's an ominous development considering restaurants' role as a path to opportunity and entrepreneurship.

More than half of today's adults worked in food service at some point in their career, for example -- whether as a first job, a way to pay for higher education, a bridge to a new direction in their lives or as a path to a career in restaurant or food service management.

To preserve this important driver of economic opportunity, we need policymakers to understand the snowball effect of too many regulations. Their collective effect is to threaten job creation and prevent us in the restaurant industry from doing our part to put our economy back on its feet.

Policymakers and pundits bemoan the economic news of the day and chastise the business community for not "investing" or creating jobs to help lead us out of the recession. But through the lens of a business owner, a regulatory "perfect storm" is forming that causes even the most well-intentioned business leaders to pause.

Some industries -- including the restaurant industry -- continue to grow and add jobs, but what we see on the horizon puts that at risk. In the year ahead, the company I lead expects to open roughly 80 new locations, each with about 100 jobs. The entire industry projects adding 1.3 million jobs over the next decade, according to the National Restaurant Association.

My plea to policymakers is simple: Before you impose another well-meaning mandate, consider the burden we already bear and engage us in conversation. Regulations are not inherently detrimental to growth. Responsible companies such as ours, that have been supportive of the president and elected officials of both parties across the country, won't say "no" to everything and, indeed, what you might find is that we can help craft solutions that truly are better for everyone.

Our success depends on our ability to deliver on three promises: a promise to our guests to provide them exceptional dining experiences at appropriate value; a promise to our employees to provide them jobs with appropriate compensation, benefits and opportunity for advancement; and a promise to our shareholders to provide them appropriate returns on their investment. Our ability to deliver on these promises in the future is directly challenged by the regulations we see as we look ahead.

The opinions expressed in this commentary are solely those of Clarence Otis Jr.

@highlight

Clarence Otis: Everyone wants to see businesses creating jobs

@highlight

As CEO of a major restaurant company, he says regulations are inhibiting job growth

@highlight

Otis says state and local rules, combined with health reform, push firms to avoid hiring

@highlight

Darden: Rather than hire, companies look for technology to reduce the need for labor