(CNN) -- A massive political fight over defense spending is about to take place.

If Congress does not take action by March 1, there will be $1.2 billion in across-the-board spending cuts that Congress and President Obama had agreed to as part of the debt ceiling agreement of 2011.

Like with many other issues, Republicans are trying to figure out what their position should be in the post-2012 election world. With two consecutive losses in presidential elections and approval ratings in the tank, the party leadership is trying to figure out how to broaden rather than contract their electoral coalition. The best evidence of this came with the bipartisan agreement on immigration reform announced last week.

Republicans face the same important challenge when it comes to defense.

During the presidential campaign, Mitt Romney embraced a predictable response by warning that cuts would devastate the military and endanger American security. He often drew on Secretary of Defense Leon Panetta's warnings to make his case. Other Republicans have joined the chorus of politicians who want to paint the Democratic administration as weak on defense.

Writing for CNN.com, William Bennett, who worked in President George H.W. Bush's administration, warned that the defense cuts would be the "most dramatic and dangerous" in history. Likewise, South Carolina Republican Sen. Lindsey Graham remarked: "How do you go to somebody in the military who's been deployed four or five times ... and say, 'For your good work over the last decade, we're going to ruin the military. ..."

This approach to the defense cuts, insisting that they should not happen and that high levels of spending are essential to the safety of the nation, fits into the recent history of the GOP.

Over the past four decades, Republicans became increasingly hawkish on national security. Skeptics of military intervention, such as Sen. Chuck Hagel, were pushed aside as mavericks and neoconservative rhetoric became the staple for the party. When it came to defense, big government was good and any questions about military spending were in fact challenges to our security.

Republicans might consider tapping into a different tradition, one that grows out of their own party history, in the coming months if they want to take a more nuanced approach.

For many decades, the Republican Party was skeptical about the expansion of military spending and national security programs. This was not about being isolationist. During the post-World War II period, there were important voices in the party that believed the excessive growth of government on defense posed the same kinds of risks as did domestic spending growth.

Ohio Sen. Robert Taft, "Mr. Republican," who was the leader of the party in the upper chamber, was a well-known critic of the Cold War buildup. While believing that the United States needed to be able to respond to the Soviet threat, he feared that excessive military spending would lead to the creation of a "Garrison State" that trampled on the very liberties that Americans were trying to protect.

Republican President Dwight Eisenhower, a military hero who was instrumental in the World War II victory, also didn't have much tolerance for endless defense spending. He spent much of his second term fighting against hawkish Democrats to hold down the military budget. Eisenhower, who believed as much as anyone that the United States had to be tough in the fight against communists, thought that too much of defense spending was driven by partisan interests and military contractors, having little to do with what the nation actually needed.

Like Taft, he feared that the huge appetite of Congress for rising spending was going to destroy the liberties and limited government that was at the center of what the United States was trying to protect. He also thought the expanding deficit would ultimately crush the U.S. economy. His famous farewell address about the "military-industrial complex" sent a strong warning to those who ignored this issue.

But those voices were drowned out by the hawks. Republicans, especially after the Vietnam War, adopted a very different posture where the drive for higher defense spending became a core issue, as much as tax cuts.

Now that defense cuts are on the table, a better partisan debate would be over where to cut defense spending and how to make our dollars give us the best security bang for the buck. This would entail a serious look at spending that has been driven too often by the needs of legislators to satisfy contractors in their district rather than decisions about what kinds of weapons are most effective.

Despite all the dramatic rhetoric, the fact is that the United States spent more in 2011 ($711 billion) than did China, Russia, the UK, France, Japan, India, Saudia Arabia, Germany, Brazil, Italy, South Korea, Australia and Canada combined ($695 billion).

Even with the sequestration, according to Time, U.S spending would only decline from being 40% of all military spending around the globe to 38%. As Lawrence Korb, former assistant secretary of defense under Ronald Reagan wrote in U.S. News and World Report, "The defense budget should and can be reduced significantly without harming national security." Korb pointed out that the cuts would only amount to 15% a year, which would still have the United States spending much more on defense on average than the country did in the Cold War.

Right now, Republicans are not well positioned for this debate. Ironically, President Obama is -- given that during his first term he broke with his party with an aggressive stance toward terrorism, including the killing of Osama bin Laden, and potentially with picking a Republican secretary of defense. He is well positioned to push for defense cuts without opening himself up to charges of being a reckless dove.

Republicans need to show the nation that they can engage in serious debates over the policy needs of the nation, rather than simply reiterating talking points meant to please the base. If they don't, on this issue, like so many others, the party will stand far off center and make it that much harder for the next presidential candidate to build a winning coalition.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: A massive political fight over defense spending is about to take place

@highlight

Zelizer: Republicans are trying to figure out what their position should be after election loss

@highlight

He says in decades past, the GOP was not an advocate for expansion of military spending

@highlight

Zelizer: Republicans must have real discussions and not go along with the hawkish voices