(CNN) -- Three years ago, Phillip Loughlin made a choice he knew would brand him as an outsider with many of his fellow hunters:

He decided to shoot "green" bullets.

"It made sense," Loughlin said of his switch to more environmentally friendly ammo, which doesn't contain lead. "I believe that we need to do a little bit to take care of the rest of the habitat and the environment -- not just what we want to shoot out of it."

Lead, a toxic metal that can lower the IQs of children, is the essential element in most ammunition on the market today.

But greener alternatives are gaining visibility -- and stirring controversy -- as some hunters, scientists, environmentalists and public health officials worry about lead ammunition's threat to the environment and public health.

Hunting groups oppose limits on lead ammunition, saying there's no risk and alternatives are too expensive.

The scope of the trend is difficult to measure. Americans spent an estimated $1.08 billion on ammunition in fiscal year 2008, according to tax reports from the Alcohol and Tobacco Tax and Trade Bureau. But the bureau does not track ammunition sales by type.

Industry groups are tight-lipped about their sales figures. Manufacturers contacted by CNN declined to release specific numbers.

Barnes Bullets, which manufactures copper bullets because, the company says, they perform better than lead, is seeing increased interest in its non-lead products, said Jessica Brooks, the Utah company's spokeswoman.

Loughlin, of Union City, California, has noticed new manufacturers jumping into the green bullet game.

"They're definitely coming out. Winchester and Remington, all the big-name ammo makers are loading green ammunition now," he said.

Some firing ranges are banning lead for safety reasons. Lead bullets contaminate military training grounds across the country and are the subjects of many environmental cleanups.

California and other state governments have taken up lead bullets as a matter of policy. They worry that lead from the bullets contaminates ecosystems and could affect people.

Last year, California banned lead bullets in the chunk of the state that makes up the endangered California condor's habitat. The large birds are known to feed on scraps of meat left behind by hunters. Those scraps sometimes contain pieces of lead bullets, and lead poisoning is thought to be a contributor to condor deaths.

Arizona, another condor state, gives out coupons so hunters can buy green ammunition. Utah may soon follow suit.

In North Dakota, a hunter has raised concerns about lead's potential impact on humans.

Dr. William Cornatzer, a dermatologist and falconer, saw a presentation about the potential dangers of lead at a board meeting of the Peregrine Fund, a group devoted to conserving birds of prey. He decided to collect and test venison samples that were going to be donated to a local program for the hungry. About half of the 100 samples -- all shot by hunters -- tested positive for lead, he said. Food banks and shelters pulled the meat from their shelves after the report.

"When we did this, I about fell out of my shoes," he said. "The scary thing is these fragments are almost like dust in the meat. They're not like metal fragments you would feel when you bite down."

States in the area started investigating the issue after Cornatzer's findings.

Working with the Centers for Disease Control and Prevention, the North Dakota Department of Health ran a test to find out the health effects of lead-shot game. The agency compared blood-lead levels of people who regularly eat meat shot with lead bullets with the levels of those who don't eat much wild game.

The results were inconclusive. Those who ate the lead-shot meat had slightly higher blood-lead levels than those who didn't, but none of the 738 people in the study had levels above the government's threshold for danger.

Still, the health department recommended that children younger than 6 and pregnant women stop eating venison shot with lead bullets because those groups are at particular risk for lead poisoning, even at low levels.

The department also recommended lead-free bullets as the simplest solution to possible contamination.

The Minnesota Department of Natural Resources followed with its own study, which found that when lead bullets explode inside an animal, imperceptible particles of the metal can infect meat up to a foot and a half away from the bullet wound -- farther than previously thought.

More research is needed to tell for sure if lead-shot meat poses a risk to people, said Dr. Steve Pickard, an epidemiologist at the North Dakota Department of Health. But until that research is done, people should take sensible precautions, he said.

"There is no cause for alarm, but it is another source of lead in the environment," he said of lead ammunition.

Hunting groups say lead bullets pose no risk to people or the environment.

Available studies -- particularly the one from North Dakota -- prove that point, said Ted Novin, spokesman for National Shooting Sports Foundation.

"The CDC study confirmed what hunters have known for centuries: Consuming game hunted with traditional [lead] ammunition has never been shown to pose a health risk to anyone," he said.

Pickard said Novin's group is misrepresenting science.

The NSSF and the National Rifle Association say efforts to ban lead ammunition are veiled attempts to take guns away from hunters. They also point to the fact that lead's main alternative, copper, is more expensive and isn't available in all calibers.

Novin said the added expense will drive many people away from a sport that is part of American heritage.

"Many hunters believe lead is the best metal to be used for hunting," he said. "Add into that that it [lead] is very affordable and it is very available. We think this absolutely should be left up to hunters."

Dr. Joseph Graziano, interim department chair of environmental health sciences at Columbia University's Mailman School of Public Health, said the public should switch away from lead bullets -- even if the research is still developing.

"It's hard to imagine that you could make a bullet out of something more toxic than lead," he said.

Loughlin, who switched to green ammo and blogs on the issue, said that lead shouldn't be banned from hunting but that hunters and the public should be more aware of lead's potential to cause harm.

"Lead will get into you, and we need to be working towards getting it out of the system," he said. "I think it's something we could do away with over time."

@highlight

Green bullets are those that don't contain lead, a toxic metal

@highlight

Last year, California banned lead bullets in the area where an endangered bird lives

@highlight

Copper bullets are the main alternative to lead

@highlight

Hunting and gun groups oppose bans on lead bullets, saying they pose no risks