(CNN) -- A coalition of civil rights organizations has filed a motion in federal court seeking to block an Arizona law that requires officers to make immigration checks while enforcing other laws if "reasonable suspicion" of illegal immigration exists.

The so called "show me your papers" provision is perhaps the most controversial aspect of Arizona's tough immigration law, SB 1070. The U.S. Supreme Court last month, in response to a challenge by the Justice Department, struck down three provisions of SB 1070, but upheld the police immigration checks.

The civil rights groups asked the court to block implementation of the law while they make their case that the provision is unconstitutional.

Even though the Supreme Court upheld the provision, the civil rights organizations say they are presenting new arguments and new evidence against it.

In the motion, the organizations argue that the provision in question will result in extended detentions while statuses are being checked, violating the Fourth Amendment protections against unreasonable searches.

The motion also argues that the provision violates the Equal Protection Clause because "racial or national origin discrimination was a motivating factor in its enactment."

It also calls for an injunction to another part of SB 1070 that makes it a state crime to harbor immigrants who are in the country illegally.

"In a state that's more than 30 percent Latino, requiring police to act as immigration agents is an invitation to racial profiling on a massive scale," Omar Jadwat, a senior staff attorney with the ACLU Immigrants' Rights Project, said in a statement. "Police chiefs and communities know these laws don't work, and we hope that the courts will continue to block them from going forward."

According to the ACLU, the new evidence shows that lawmakers who supported SB 1070 used false statements and discriminatory language with the intention to impose a statewide practice of racial profiling.

The motion was made on behalf of plaintiffs in Valle del Sol v. Whiting, et al., a class action lawsuit challenging SB 1070, filed in May 2010.

In addition to the ACLU, those presenting the motion include the National Immigration Law Center, the Mexican American Legal Defense and Educational Fund, and the National Day Laborer Organizing Network.

Earlier this month, federal officials said they had not seen a change in the number of illegal immigration checks sought by local Arizona police as allowed by the partially upheld law.

The Phoenix Police Department and at least two sheriffs in Arizona told CNN that the law won't result in great change for their departments.

But Tucson Police Chief Roberto Villasenor expressed concern in an interview after the ruling about whether his 950-officer agency has been dealt an "impossible mandate." The state law allows citizens to sue his department or others if they fail to enforce federal immigration laws, the chief said.

"Just for my agency, it will be a huge workload, just making the calls and waiting for a response on what to do," the police chief of Arizona's second-largest city said.

"I'm not sure the federal government is capable of handling all the requests that they will be receiving," Villasenor added. "I don't know what effect it will have on my agency."

@highlight

A coalition of civil rights groups wants to block parts of Arizona's immigration law

@highlight

The Supreme Court has upheld a controversial provision, but the groups want it blocked

@highlight

There are new arguments and evidence that SB 1070 is unconstitutional, the motion says