(CNN) -- Several sitting governors might be contenders in the 2016 presidential election. New Jersey Gov. Chris Christie and New York Gov. Andrew Cuomo have given indications they are thinking of running, although they haven't announced candidacies at this very early stage of the contest.

Both are serious candidates. Christie, a Republican, has demonstrated his ability to handle the heat from the national spotlight and he has positioned himself as a tough, northeastern budget cutter who can appeal to moderate Republican voters and disaffected Democrats.

Cuomo, a Democrat, has earned considerable praise for advancing a brand of pragmatic liberalism by championing issues like same-sex marriage, progressive tax reform and rent regulation while also fighting to reduce spending, taking on public unions and reforming government.

Each governor faces some difficult challenges within their states. Over the past week, Cuomo has watched as a massive political scandal has unfolded within the Democratic Party, centering on an official who tried to bribe his way into becoming a candidate in the mayoral election of New York. The stories coming out of the state suggest the culture of Albany might not have become as different as Cuomo has claimed.

Christie also finds himself in the national spotlight after the release of a shocking video showing the coach of the Rutgers University basketball team berating and hitting his players. The revelation that Rutgers officials knew about this behavior for at least a year has led to calls for the resignation of top administrators at the state-funded university, including the president. Thus far, Christie has backed away from calls to have the president removed, though he has used some tough rhetoric in his comments about the coach.

Other governors are thinking of running as well. For example, Maryland Gov. Martin O'Malley, a Democrat, is gaining some national attention by pushing his state to the left on a number of key issues, including a proposal to repeal the death penalty and the recent passage of sweeping gun control legislation. Bobby Jindal, governor of Louisiana, has long been considered a potential superstar for the GOP. O'Malley has received some flak from the right for his fiscal record in the state, while Jindal's falling approval ratings in Louisiana could pose a big problem for a national run.

The governors need to handle these challenges with extreme caution and each must make sure that his record as the chief executive of his state, always one of the biggest selling points for governors running for president, does not turn into an albatross that brings his candidacy down.

In 1988, Massachusetts Gov. Michael Dukakis ran for the presidency against Vice President George H.W. Bush. Dukakis started his campaign by touting his role in bringing about the "Massachusetts Miracle," the revitalization of the state's economy around high-tech industries along Route 128.

At first, Republicans were worried that his record could allow the governor to position himself as a new kind of Democrat, someone who understood how to nurture economic growth and whose economic policies offered a model of smart government investment as an attractive alternative to Reagan's free-market economics.

But Massachusetts, miracle and all, soon turned into a nightmare for the Democrat. Vice President Bush and his aggressive campaign staff found ways to rip apart his record in the state and they used it to defeat him. Some of the attacks were vicious, taking aspects of the state government's record and twisting them into devastating campaign arguments.

The Republicans, for instance, pointed to a law that Dukakis had vetoed as governor that would have required teachers to conduct the Pledge of Allegiance with their class. Dukakis had been told in no uncertain terms that such a law would be unconstitutional. The Republicans highlighted the veto to paint Dukakis as a liberal of the far left variety.

Bush adviser Lee Atwater also put together a television ad focusing on a program that a Republican governor who served before Dukakis had put into place that granted prisoners short furloughs. One prisoner, Willie Horton, had killed a man and raped his fiancÃ© during his time out of prison. The famous ad, playing on racial fears, focused on the program, presenting it as one of Dukakis' legacies.

Vice President Bush targeted the pollution in Boston Harbor to question Dukakis' environmental record. "Two-hundred years ago tea was spilled in the Boston Harbor in the name of liberty. If tea were spilled in the Boston Harbor today," Bush said, "it would dissolve in the residue of my opponent's neglect and delay."

As economic conditions changed, Bush pointed to evidence that the state was starting to falter. Combined with reports of a looming budget deficit, Republicans used the data to challenge the very centerpiece of Dukakis' campaign.

In 2012, another man who served as Massachusetts governor, Mitt Romney, suffered from similar challenges. Romney's signature legislation as governor, the health care program of Massachusetts, undercut some of his ability to challenge President Obama on this issue. His record of increased "fees" in the state and problems with the economy also became fodder for the primaries and general election.

The condition and record of their states almost always becomes the prism through which presidential candidates who are sitting governors are evaluated. Sometimes governors use this to their advantage, like Bill Clinton in 1992 and George W. Bush in 2000. But often the states can turn into a problem.

Cuomo, O'Malley, Jindal and Christie, who still have to decide whether to run, need to handle these challenges with extreme caution. If they don't, they might find themselves suffering the fate of Dukakis, who, like them, was once touted as the most exciting voice of his party.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Christie, Cuomo, Jindal could run for 2016 nominations

@highlight

He says governors come under special scrutiny for their in-state records

@highlight

In 1988, Massachusetts Gov. Dukakis was harshly criticized for his record

@highlight

The attacks, many of them unfair, helped sink his candidacy, Zelizer says