ATLANTA, Georgia (CNN) -- In spite of prevention efforts, new cases of some of the most common sexually transmitted diseases are going up, according to a new report from the Centers for Disease Control and Prevention.

Much of the burden of STDs falls on adolescents and people in their early 20s, the CDC says.

The report, "Sexually Transmitted Disease Surveillance 2007," also said that women and minorities in particular are more likely to have sexually transmitted diseases, or STDs.

That fact isn't surprising, experts say, as studies on STDs in the past have also shown that women and minorities bear the greatest burden of STDs. The age of those affected hasn't changed much either -- nearly 19 million new sexually transmitted infections occur each year, and almost half of those affect 15- to 24-year-olds.

The CDC began a national syphilis elimination program in the late 1990s, targeted at African-American heterosexuals, especially women and their babies. As a result, the condition was nearly eradicated as an ongoing health problem in the United States.

But in the last two years, the trend has reversed, said Dr. John Douglas, director of the CDC's Division of STD Prevention.

"The success we've been experiencing for a number of years in African-American heterosexual populations, particularly women, is beginning to be eroded," he said.  Watch more on the CDC's report »

Syphilis resurfaced as a danger in 2001, and cases went up by 15.2 percent between 2006 and 2007, the CDC said.

Reported cases of chlamydia and gonorrhea together surpassed 1.4 million in 2007, the report said. Both of these conditions can cause infertility when left untreated. The CDC will address HIV rates in the United States in a later report.

A record number of chlamydia cases were reported nationally this year, the report said. But Douglas noted that a major strategy is detecting infection before it spreads, so each case is an opportunity to prevent ongoing transmission.

Chlamydia is the most common reportable STD and infectious disease, he said.

Since the early 1980s, there has been a dramatic downturn in gonorrhea cases, but for the last 10 years, the rates have leveled off, especially in African-American populations. The CDC is looking at a number of ways to create awareness of the problem, he said.

STDs affect not only individuals' health, but also the economy, the CDC said -- the conditions cost the U.S. health care system as much as $15.3 billion annually.

The report reflects what Dr. Yolanda Wimberly, assistant professor of clinical pediatrics at the Morehouse School of Medicine and the medical director for the Center for Excellence in Sexual Health, sees in the clinics where she works. In her 14 years of practicing, she has been diagnosing more and more cases of chlamydia, syphilis and gonorrhea, she said.

Based on the report and her own observations, it's safe to say that some of the prevention efforts are not working, Wimberly said. New, innovative methods will be required to get through to this generation of young people, for whom text messaging and the Internet are integral parts of daily life.

Many people hold the misconception that STDs come along with a visible sign, such as irregular discharge or a rash or bump. But, in fact, most STDs do not present symptoms, she said.

"That's how STDs are so easily spread," she said. "It's not people who know they have gonorrhea and who go out say, 'I'm going to spread it to all these people.' It's the people who don't even know, who maybe don't get checked up regularly."

It's important to be screened at least once annually, even twice a year for younger people, Wimberly said. She offers to test everyone who comes into her office for STDs, even if they do not have any symptoms or came to see her for a different reason, if they haven't been tested in at least the last six months.

However, not all doctors are so conscientious about STD testing, Douglas said.

Particularly in nonminority populations, doctors are inclined to think, "The young woman sitting in front of me looks pretty healthy, she looks pretty respectable -- she wouldn't have a sexually transmitted disease, right?" Douglas said. "We simply miss those screening opportunities."

Other doctors simply don't want to broach the subject of sex with their adolescent female patients, he said. There's also the problem of access to health care -- some women do not have physicians for this reason.

Current prevention efforts include promoting awareness of STDs, personal protective behaviors such as limiting partners and using condoms, and screening programs, Douglas said. A key area to work on is normalizing conversations about STDs and sexual health, he said.

"If the parents assume that's the doctor's business, or the teacher's business, and don't roll up their sleeves and get in there themselves, and if our schools aren't giving comprehensive education, and if our clergy and other community leaders who are interested in youth well-being aren't including sexual health on the agenda, we're going to create missed opportunities."

@highlight

CDC: Women, minorities, 15- to 24-year-olds bear greatest STD burden

@highlight

Progress in eliminating syphilis has, to some extent, been reversed

@highlight

STDs cost the U.S. health care system as much as $15.3 billion annually