(CNN) -- "Where do you live?"

Facebook highlights territorial disputes, such as one between Israel and Syria over Golan Heights.

Seems like a simple question, doesn't it?

But the answer is not clear-cut for everyone. Take people who live in Srinagar, the capital of Kashmir, which is wedged between India, Pakistan and China. India and Pakistan have gone to war repeatedly over the disputed territory.

Technically, it's "Indian-administered."

But on Facebook, it's simply in India.

Shujaat Bukhari, a journalist in Srinagar, was slightly uncomfortable about the classification.

"As far as the traditions of the people are concerned, the political issues, it might not match with the people's mindset," he said, even while conceding it could be seen as accurate.

"It is administratively part of India, so as far as that is concerned, it is correct," he said. "But it doesn't gel with the mood of the people."

The Indian government is very sensitive about how international media organizations characterize Kashmir, he said by phone from Srinagar.

"If the Economist (magazine) publishes a map which is related to India or Kashmir, if that map is not acceptable to the Indian government, they put a stamp when (the magazine) reaches India saying these maps should not be treated as as authentic," he said.

Srinagar is just one of many examples of the diplomatic minefields social-networking sites can stray into when seeking basic information about their users.

Facebook recently changed its listing for the Golan Heights -- which Israel captured from Syria in 1967 -- so users there could choose to say whether they live in Israel or Syria.

It was responding to pressure from a pro-Israel group called HonestReporting -- and from Facebook users who set up a group on the site itself called "Facebook, Golan Residents Live in Israel, not Syria."

"It is not for Facebook to decide the national origin of Golan residents," the group says on its page.

Facebook may have pleased pro-Israel users there by giving them the choice to say where they live, but not all Syrians were happy about the change.

"I think Facebook sort of shot itself in the foot to make it optional for the Golan to say this is part of Israel," said Ammar Abdulhamid, a Syrian scholar based in the United States.

"This is against international law," he said.

And the Golan is only the tip of the iceberg.

Jerusalem, which remains hotly disputed between Israel and the Palestinians, is simply in Israel as far as Facebook is concerned.

Tibet's capital Lhasa is in China on Facebook, although many Tibetans and their supporters reject China's rule of Tibet. The "Free Tibet" group on Facebook has nearly 188,000 members.

Russia and the former Soviet republic of Georgia briefly went to war last summer over the breakaway Georgian territories of Abkhazia and South Ossetia, but the Abkhaz capital Sukhumi is listed as being in Georgia on Facebook. Two pro-independence Abkhaz Facebook groups have about 1,200 members between them.

The social-networking site "deals with the listings for disputed territories on a case-by-case basis," Facebook representative Debbie Frost told CNN by e-mail.

She said the site -- which recently announced it has 300 million users -- consults the International Organization for Standardization, the United Nations and other global organizations.

"We also may consider other factors when trying to determine if dual listings would make sense for a given city or region. For example, Srinagar -- the example you gave -- is in the Indian-administered region, and has been since 1947," she said.

"We will continue to look at the listings we provide and may offer more dual listings in (the) future. We will also listen to requests from our users and in the cases of disputed territories we may try to come up with options that enable them to choose one of two countries," she added.

Bukhari, the journalist in disputed Srinagar, suggests that Facebook "should have a separate section for disputed areas."

That's a solution that Yahoo appears to have embraced -- up to a point.

It offers "disputed territory" as an option for users creating a new account, but won't actually register a new account if users choose that option.

It does allow users to say they are from Taiwan -- which China considers a renegade province and is not represented at the United Nations -- and the "Occupied Palestinian Territories." But it does not appear to allow users to create an account if they choose "Occupied Palestinian Territories."

It does not offer Tibet, Kashmir or Abkhazia.

Google, for its part, offers Taiwan and "Palestinian Territories," as well as Western Sahara, a breakaway region of Morocco that is not recognized internationally.

It does not offer Tibet, Kashmir or Abkhazia.

Neither Yahoo nor Google responded to repeated CNN requests for comment.

But if Facebook's experience with the Golan Heights is any indication, they may all be getting comments from users soon enough.

CNN's Tricia Escobedo and Paula Hancocks contributed to this report.

@highlight

Facebook's "Where do you live" question causes problems for some

@highlight

Those who live in disputed territories are unsure how to answer

@highlight

The social network says it deals with the issue on a "case-by-case" basis

@highlight

Facebook allows Golan Heights residents to choose "Syria" or "Israel" as home