(CNN) -- Today, when I turned on the news, I watched in horror as Tropical Storm Isaac marched toward Haiti. Almost every news channel covered the story and the potential damage Isaac could wreak on an already injured Haiti. We'll soon know whether Mother Nature has decided to spare her from Isaac, but more storms will threaten, and Haiti still needs our help.

Haiti's plight has always been close to my heart. It is the country of my birth and I am passionate about it. As we face this latest potential disaster, however, I find myself asking an uncomfortable question: Where has Haiti been in the national and international news? After the devastating earthquake in 2010, the people of the world opened up their hearts, minds, and wallets and pledged help to Haiti.

Ordinary citizens near and far, celebrities, politicians donated time, energy, and money to disaster relief causes and organizations. For a while the spotlight was on Haiti, but lately there's been next to nothing.

I don't mean to say that there aren't people and organizations still committed to Haiti. There are. Organizations such as Habitat for Humanity, Oxfam, the International Medical Corps, Project Medishare, Doctors Without Borders, Food for the Poor, J/P HRO, Donna Karan's Urban Zen organization, and We Advance, just to name a few, have done and continue to do outstanding work. But after the earthquake, most (including the media) stopped paying attention, either believing they had done all they could, or maybe because they were simply tired or overwhelmed.

Today, almost three years later, there are more than 400,000 refugees still living in hundreds of tent cities, where sanitation is primitive and life is dangerous. Health issues abound; wrecked buildings and rubble remain.

While the nation's current president has done an admirable job at letting the world know that Haiti is "open for business," the problems facing the country remain enormous.

The $2.1 billion raised in the earthquake relief effort may seem like a staggering sum, but we have to remember the scale and the magnitude of the devastation -- the total destruction of Haiti's minimal infrastructure. The task of rebuilding remains gargantuan.

For example, people have stayed in tent cities that sprang up in Port-au-Prince and elsewhere because they have nowhere else to go. These places are fraught with dangers for women and children in particular. Many have left and are homeless. Some have moved into transitional shelters, but these must give way at some point to a more permanent solution. The government and charity organizations need more time and locations to build stable and secure homes and move the displaced.

Cholera, which broke out in the year after the quake and has claimed thousands of lives and sickened hundreds of thousands, remains a constant threat because there is limited access to fresh water and sanitation. This, even though an admirable job has been done to contain the disease's spread. This year's rainy season has touched off new concerns about its re-emergence, and the coming storm can only make matters worse.

This week, Haiti has returned once again to the national and international consciousness. This time, let's not forget. Whatever happens in the storm -- and we hope for the best -- Isaac can remind us that things don't change unless we remain active and continue to bring attention to the causes we believe in.

The hardest part is always rebuilding -- and Haiti cannot effectively rebuild if she doesn't get the attention she deserves.

The opinions expressed in this commentary are solely those of Wyclef Jean.

@highlight

Wyclef Jean: Tropical Storm Isaac could renew misery of quake-damaged nation

@highlight

He says Haiti largely forgotten again, now that quake story receded, but still needs help

@highlight

He says Haitians still living in tents, with poor sanitation, ever present threat of cholera

@highlight

Jean: As a new disaster looms, the world must remember Haiti