After a careful review of all relevant research worldwide, the U.S. government's leading analyst of weight data just confirmed what I've long known: Being fat might not be a death sentence.

That this study reported in the Journal of the American Medical Association seems at all shocking is a measure of the intensity and pervasiveness of weight prejudice in our society and in our sciences.

Another recent study found people who were "metabolically healthy" and overweight or obese had no higher death risk than metabolically healthy "normal" weight people.

I take an interest in the topic because I'm fat and because I don't have a death wish. I'm also interested because, like so many fat people, I've encountered weight discrimination when I seek routine medical care. I was 26 years old when I was denied the right to purchase health insurance. I had no significant history of illness or injury. I was just fat. That day, I became a fat rights activist.

Being overweight linked to lower risk of mortality

In the intervening years, I've heard from so many people who fear for their lives when they encounter weight discrimination in our health care system.

As a fat activist, I help as much as I can, but I'm no federal agency.

One woman called in the middle of the night, hoping I knew of an MRI she could use for an important test. The machine at her local hospital, which she'd used before, was being guarded by a technician who strictly enforced the weight limits. The tray that slides in and out of the machine could break. Instead, she was denied potentially life-saving information in a crisis. How many of the deaths blamed on weight are actually caused by medical equipment -- everything from blood pressure cuffs to surgical instruments -- that fails to accommodate fat people when we need it most?

I'll never forget the teenage girl who was told by a nurse practitioner that her complaint would go away once she lost weight. Luckily, she had the nerve and the parental backup to get another appointment and the prescription necessary to treat her condition. How many of the deaths blamed on fat actually happen when people are diagnosed as fat instead of being diagnosed and treated for an illness?

Then there are the fat people who did everything their doctors recommended to lose weight ... and died from dangerous diet drugs, from starvation diets, from mutilating weight-loss surgeries. I also hear from many people who live with the devastating physical and psychological consequences of such weight-loss attempts.

Some of these stories are referred to as anecdata, meaning they don't count unless they're counted in research -- although there are plenty of studies to support these outcomes. Even so, I believe it still makes a difference when we tell our stories of weight discrimination and its damaging impact on our health.

Living: 'Fatshion' bloggers find beauty in all sizes

People are telling their stories of weight bias in medical care on websites like First, Do No Harm, This Is Thin Privilege and Obesity Surgery Gone Wrong. The National Association to Advance Fat Acceptance has been speaking out on behalf of fat people's civil rights since its founding in 1969.

Health professionals of good conscience are joining this effort in increasing numbers. They've developed an approach called Health At Every Size that is proving to be better for people's health than weight-loss attempts. The Health At Every Size professional organization, Association of Size Diversity and Health, this week launched the project Resolved, a response to New Year's weight-loss resolutions. It invites people to share stories about weight discrimination in health care and opinions about what needs to change.

Weight bias has been documented among doctors, nurses, fitness instructors and other professionals on whom a fat person might need to rely for help. Last year, researchers who themselves are part of an anti-"obesity" institution (Yale's Rudd Institute) surveyed medical professionals who specialize in caring for fat people and found that they had high levels of weight bias, viewing us as "lazy, stupid, and worthless."

These biases don't improve medical care. Two pioneers of the Health At Every Size approach, psychologist Deb Burgard and health promotion expert Lily O'Hara, analyze existing data to point out that using BMI as a proxy for metabolic health mislabels 51% of healthy people as unhealthy. Meanwhile, 23.5% of the thin people with risky indicators will not be screened or treated early because they "look" healthy.

In the medical literature, every time fat people prove to be healthier or to live longer than thin people, researchers call that result an "obesity paradox." I'd call their refusal to view fat people positively a form of prejudice.

Here's a finding from the recent research that didn't make the headlines: For people over 65, being fat wasn't associated with increased risk, not even for the fattest old people. When do most people die, in our increasingly long-lived society? Over age 65, perhaps?

Living: Are we really ready to take a look at 'real women'?

I also learned this week that a highly accurate way to predict a person's risk of dying is to see how easily they can get up from the floor. I'm trying to imagine how different our health care system would be if, instead of focusing on weight and weight loss, caregivers did the sitting-rising test instead.

How much healthier would we be? How much more would we actually enjoy healthy living, free from weight judgment? How much time and money would we save? How much discrimination and human tragedy could we avoid? I'm guessing it'd be tons.

@highlight

Marilyn Wann: Study confirms fat is not a death sentence, and overweight people live longer

@highlight

Wann denied health coverage because of her size; she became an activist afterward

@highlight

Wann: Fat people continually get misdiagnosed, receive poor health care because of  bias

@highlight

Wann: Doctors finding new Health At Every Size approach provides better care