(CNN) -- Imagine hurtling down a mountain at 60 miles an hour. Now imagine doing it virtually blind.

For Kelly Gallagher, it's a thrilling reality. She might not quite reach the speeds of fully-sighted skiers -- Olympic champions can clock upwards of 90 mph -- but it is nonetheless a daunting prospect.

It involves a great deal of trust in her guide, Charlotte Evans, a former skier herself who will play a key role in their chances of success at next month's Winter Paralympics in Sochi.

"I don't really have depth perception, so snow in particular is quite difficult," Gallagher tells CNN's Human to Hero series. "I definitely need Charlotte to be able to help me ski."

The 28-year-old from Northern Ireland was born with oculocutaneous albinism, a condition that affects skin, hair and eyes. Bright lights give her difficulties, forcing her to squint.

"I grew up not really realizing the extent of my visual impairment," she says.

"I was always encouraged by my parents to do whatever I wanted to do and if I wanted rollerblades, my mum would reluctantly let me have them.

"So although I know I have a visual impairment, it hasn't really stopped me in too many ways -- other than I can't drive a car."

Gallagher was certainly a late bloomer when it came to skiing, only taking it up -- understandably with some trepidation -- as a 17-year-old while on a family holiday in Andorra, the tiny landlocked nation bordering Spain and France.

"I tried to convince the instructor that I couldn't see anything," she says. "He thought it was the bad visibility.

"We just got on with it and had a go, and I've never felt that sense of freedom or sense of joy from anything I'd done, so it was something I really threw myself into when I was at university.

"It's a real joy and something I haven't found in another part of my life. Ski racing and skiing at speed, it's something that I'm not able to do on a bike or on a car or on a horse.

"I always have to give away that responsibility or that part of enjoyment to someone else. Somebody else is always driving or I'm not able to go fast on a bike or I'm doing it in tandem, but with Charlotte skiing in front of me, I'm doing it all my own and she's just leading me."

Evans serves as Gallagher's eyes as they twist, turn and descend on tricky terrain.

She guides Gallagher, who trails a few meters behind, down the course, as they communicate through microphones in their respective helmets. Gallagher tunes out the sound of the wind, spectators and looming helicopters, focusing solely on Evans' voice.

It's then up to Gallagher to make adjustments as she's warned about a difficult patch, told to "tuck" or, conversely, drop speed. Call it a sort of leap of faith but also a study in quick reflexes.

"Charlotte and I worked a lot off snow in order for us to have that foundation on snow," Gallagher says, revealing that they saw a sports psychologist early on to help their partnership.

If they can't communicate due to a breakdown in the audio equipment, Evans will -- and has -- stopped races. "Safety first" is her mantra, though Gallagher admits she wasn't averse to throwing caution to the wind earlier in her career.

"There's a confidence that comes with knowing Charlotte is in front of me," said Gallagher. "Even if Charlotte is in difficulty, I am very confident skiing behind her. She wouldn't be bringing me into a situation where I wouldn't be able to cope with anything."

Evans is a former English champion who combined with Gallagher after a serious knee injury essentially ended her own competition hopes.

By the time they met in November 2010, Gallagher had already made history by becoming Northern Ireland's first Winter Paralympian at the Vancouver Games earlier that year.

When her guide -- another ex-racer named Claire Robb -- later left, Gallagher was "desperate" to find someone else in order to continue her athletic career.

In came Evans, who had snapped her cruciate ligament at the British Championships but still harbored hopes of a comeback.

"I was asked to do this and my first instinct was, 'I must be crazy. I can't have that responsibility. I'm 18. I can't. I don't think I'm ready for that,' " Evans recalls.

"It was actually my dad who was very much like, 'You have to just try. What's the problem?'

"I did. The plan was to go back but I made a lot better decision and I'm now here four years later."

The two are like family now. Even when on individual holidays, thoughts of the other are never far away.

"We would talk about this thing called, 'mention-itis,' " says the ever-bubbly Gallagher. "Whenever I go home, it takes me a good four to five days to stop being like, 'Charlotte thinks this' or 'Charlotte doesn't like to eat that.'

"Even on Charlotte's worst day, I would rather be with her than anyone else skiing. I find it a total delight to ski with her."

"Awww!" responds Evans.

There's no doubt that the chemistry has led to fine results, so a medal or two in Sochi -- the Paralympics begin on March 7 -- wouldn't come as a surprise.

They plan to compete for Great Britain in all five alpine skiing events -- the downhill, super-G, super combined, giant slalom and slalom.

The pair warmed up by winning a super combined race in Canada in January, and they grabbed two silver medals and two bronze medals at last year's world championships in La Molina, Spain.

"I think our hopes are just to ski as well as we can and stick to what we know and not try to change anything," says Evans. "It'll be my first Games. I'm normally the confident one who says, 'We're going to this race and we're going to do this,' but maybe Kelly will be my help and bring me back to the base.

"We can't wait to get on the big stage."

At some point Evans wants to finish her degree in sports science. As for Gallagher, she admits she's nervous about returning to her job as a statistician -- because her "brain has really turned to mush" since immersing herself in skiing.

For the time being, though, and with Evans' assistance, the numbers might add up to success in Sochi.

@highlight

Kelly Gallagher and Charlotte Evans will be competing at the Sochi Winter Paralympics

@highlight

The skiers enter the Games in good form, claiming top spot in a recent super-combined race

@highlight

Gallagher is visually impaired and Evans became her guide after a serious knee injury

@highlight

Gallagher says of her native Northern Ireland: "We have hills but we don't have mountains."