The United States and North Korea have long found themselves locked in a bitter cycle of escalating and deescalating tensions but the current cyber conflict may be especially hard to predict.

CNN's Wilfred Chan discussed this with Mike Chinoy, a longtime North Korea expert who has traveled to the country 17 times, Senior Fellow at the U.S.-China Institute at the University of Southern California, and CNN's former Senior Asia Correspondent, whose new book "The Last POW" tells the story of the detention in North Korea of 85-year-old American tourist Merril Newman.

There were reports Tuesday that North Korea's Internet was down, the disruption coming amid a growing war of words between the United States and North Korea over a cyberattack on Sony Pictures. Do you think the United States disabled North Korea's Internet in retaliation for the Sony hack?

Chinoy: I'm not convinced that the U.S. government was behind the outage of the North Korean Internet.

The issue though is not whether it was or it wasn't, the issue is what the North Koreans think it was.

And I think it's safe to assume, unless they themselves took their system offline for their own security -- which is not impossible -- they'll be looking to respond.

And if the U.S. government actually took down North Korea's Internet, that has its own implications.

Because if the United States is officially engaging in cyberattacks then it implies North Korea can do it to us, and everybody else can do it to everybody else.

How does the Sony hacking saga complicate the situation between the United States and North Korea?

It's a brave new world. We now have a situation where it's entirely possible you've got third-party hackers possibly helping the North Koreans in the original Sony hack, entirely possibly taking down the North Korean Internet, who are beyond the control of any government. And that makes it much, much harder to assess.

Part of what makes this dangerous is there are no agreed rules of the road in terms of cyber warfare in the way there are existing broad rules of the road for other security issues -- even if they are frequently violated.

We're absolutely in uncharted territory. And we're in uncharted territory with pundits and the political class outraged in the United States, and a new, unknown North Korean leader in a system that we don't understand the dynamics of very well. So that's a worrisome combination.

Do you think North Korea hacked Sony?

I don't think the President of the United States would've been given talking points that so explicitly blamed North Korea if the U.S. government didn't have very high confidence there was a North Korean connection.

Now, whether or not the North Koreans explicitly gave the order and then farmed it out to teams of people in China or elsewhere, we don't know enough about the decision-making process.

How sophisticated are North Korea's hacking capabilities?

We know they have a robust cyber capability. The North Koreans have devoted a lot of resources to giving themselves a lot of cyber capabilities.

Their broader security strategy has changed under Kim Jong Un -- there's a heavy focus on nuclear, cyber, and asymmetrical warfare capabilities, which enables them to reduce expenditures on a conventional military.

North Korea is the weaker, smaller power, and asymmetrical warfare is the approach of choice.

The North Koreans are not suicidal. If they were responsible for the Sony attack, they targeted a specific company for a specific reason. It's hard for me to imagine they're going to take out the U.S. power grid.

How do the United States and North Korea view each other right now?

There's layers and layers of hostility and mistrust. Ever since the Korean War, the United States has seen North Korea as this dangerous, threatening country and there's always been concern when the North Koreans do something aggressive.

In North Korea, based on my 17 visits there, what comes through clearly is the reverse image. They feel under siege from the United States. They are convinced that the American goal is to do them in, to bring them down.

They feel alone and beleaguered and they're determined to keep their system afloat at all costs.

The North Korean strategy has always been brinksmanship -- tit for tat, you hit me, we hit back harder. Part of their playbook is to make people think they are more extreme, they are crazier.

A lot of it is rhetoric -- one of the challenges in situations like this is how to judge rhetoric.

So when they threaten to attack the White House and so on, you have to be careful not to take it literally.

Could this hacking crisis continue to escalate?

Look, in 1976, North Korean soldiers crossed the demarcation line at Panmunjon, killed two Americans with axes, and we didn't go to war.

In 2010, the North Koreans sank a South Korean ship, killing dozens of South Korean sailors, we didn't go to war.

In 2010 when they shelled Yeonpyong island and killed South Koreans, we didn't go to war.

We're going to go to war because they hacked a movie production company? I mean, you know, let's have a little bit of perspective about it.

That being said, this has created a kind of perfect storm of a real threat with cyberattacks, with implications in terms of what else might happen.

There's tremendous political pressure on the Obama administration to do something, even though the toolkit is somewhat limited.

And what's new here is this is the biggest crisis since North Korea's youthful leader Kim Jong Un came to power three years ago.

How could this play out in the long run?

One of the likely responses is going to be accelerated moves toward a North Korean nuclear test.

Lost in all the day to day headlines about Sony is the bigger strategic security picture which is the North Koreans are moving full speed ahead to enhance their nuclear capability.

They've got a plutonium program, they've got a uranium program. Each time they do a nuclear test they move further toward having the capability to miniaturize a warhead.

Once they can miniaturize a warhead they've definitely got medium range missiles. They've tested a long range missile, though it's not clear how well it works. There is nothing happening to constrain that.

What worries me is there hasn't even been an attempt in the last couple of years to talk about this.

Without a diplomatic agreement for them to curtail or roll back their nuclear program, they will soon have in a period of time, it's hard to judge how long, a larger nuclear arsenal, the ability to miniaturize a warhead, and a delivery system that can reach the continental United States.

Then it gets really scary.

Short of going to war and taking down the North Korean regime, it's very hard to see how you reverse that, unless you get back into some kind of negotiating process, and that seems very unlikely.

There's a big debate still over whether we should talk to them.

My sense is the North Koreans still would very much like to talk to the United States.

But the Obama administration has not been in the mood to do it.

Obama has just done this major initiative with Cuba, he's been talking to Iran, but in security terms the North Koreans are scarier.

Unlike Iran, North Korea's got the bomb and Pyongyang uses overheated rhetoric which makes the Iranians sound moderate in comparison.

There's very little evidence that sanctions work in terms of changing North Korea's behavior to what the United States wants.

So that just makes the whole thing more dangerous.

READ MORE: An excerpt from Mike Chinoy's new book, "The Last POW"

@highlight

Chinoy: Hacking has created a dangerous, unpredictable situation

@highlight

There are no agreed upon rules of the road in terms of cyber warfare

@highlight

North Korea has invested significantly in its cyber warfare capabilities