(CNN) -- People arrested amid unrest in Syria are being subjected to systematic torture, including electric shocks, beatings and sexual violence, a report by rights group Amnesty International said Wednesday.

Based on interviews in Jordan with dozens of Syrians who have fled the country, the report details "31 methods of torture or other ill treatment" at the hands of the security forces, army and pro-government armed gangs.

This Thursday marks a year since unrest first broke out, prompting a bloody crackdown and massive wave of arrests by the Syrian authorities.

The government says it is battling "armed terrorist groups" but international leaders and rights groups dispute that.

The torture meted out to those arrested on suspicion of opposing the government has generally followed a set pattern, says the Amnesty International report, titled "'I wanted to die': Syria's torture survivors speak out."

Many detainees say they were beaten on arrest, and then subjected to severe beatings on arrival at detention centers.

But their accounts show the greatest risk of abuse came when they were interrogated, the report says.

Several detainees describe being forced into a vehicle tire and then beaten with cables or sticks, the report says. Others tell of being suspended above the ground by their wrists and then beaten, and of being forced to strip naked, often for long periods in extreme cold.

An 18-year-old victim named as "Karim" told researchers that his interrogators used pincers to gouge flesh from his legs while he was held for 25 days in Daraa in December.

Another man, a 29-year-old Arabic language teacher identified as "Musleh," also described horrific treatment while being held in Daraa. "We were hung from wood -- crucified -- while blindfolded and handcuffed, and then beaten mercilessly and repeatedly between 9 a.m. to 7 p.m.," he told the Amnesty researchers.

Detainees also were forced to witness abuse and hear others -- sometimes relatives or friends -- being tortured and raped, the report says.

"I heard the screams of those being tortured for 24 hours a day. While in the cell we were busy praying for the safety of those who are being tortured," Musleh is quoted as saying.

The accounts reveal "a nightmarish world of systematic torture," said Ann Harrison, interim deputy director for Amnesty International's Middle East and North Africa program.

"The testimonies we have heard give disturbing insights into a system of detention and interrogation which, a year after protests began, appears intended primarily to degrade, humiliate and terrify its victims into silence," she said.

She said the experience for detainees arrested over the past year is similar to that endured under former President Hafez Assad, father of the current leader, Bashar al-Assad.

Researchers spoke with dozens of Syrians in Jordan, including 25 who said they were tortured or ill-treated in detention before fleeing the country, an Amnesty press statement says. More than half the 19 cases featured in the report are from Daraa province, it adds.

The abuses are being routinely carried out despite Syria being a party to the Convention against Torture and other international agreements, the report says, and the Syrian authorities "appear to have no desire to try to stamp out these grave human rights violations."

The rights group urges Syria to take "urgent measures" to prevent further crimes under international law, including ending the arbitrary arrest and detention of those protesting peacefully against the government and halting the systemic use of torture.

It also calls on the international community to take on responsibility for protecting the human rights of the Syrian people and ensuring violations are investigated and prosecuted.

International leaders should also assist humanitarian agencies, rights groups and non-governmental organizations in helping the survivors of torture and their families, particularly in cases of sexual violence.

Lastly, the report urges the U.N. Security Council to act by referring the situation to the International Criminal Court for investigation, imposing a comprehensive arms embargo and freezing the assets of al-Assad and his associates.

Russia and China vetoed a Security Council resolution last month that many other countries argued could have helped stop the violence. The resolution would have condemned al-Assad and called on him to step aside.

More than 8,000 people have been killed in the Syrian conflict, including many women and children, Nassir Abdulaziz Al-Nasser, current president of the U.N. General Assembly, said Tuesday. Opposition activists have put the toll at more than 9,000.

About 30,000 Syrians have fled to neighboring countries in the past year, according to Panos Moumtzis, the U.N. High Commissioner for Refugees' coordinator for Syrian refugees.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

But most reports from inside Syria indicate the regime is slaughtering civilians to wipe out dissidents seeking al-Assad's ouster. The al-Assad family has ruled Syria for more than four decades.

Members of the Syrian security forces are also among those killed as the initially peaceful protests have spiraled into widespread violence.

CNN's Bruce Conover contributed to this report.

@highlight

Syrian survivors describe brutal treatment by security forces, Amnesty International says

@highlight

Beatings, electric shocks and sexual violence are widely used in interrogations, detainees say

@highlight

The testimonies are further evidence of crimes against humanity in Syria, Amnesty says

@highlight

Syria's crackdown began a year ago; authorities say they are combating armed terrorists