London (CNN) -- A bold project to explore an ancient lake trapped beneath an Antarctic glacier for up to half a million years may reveal the limits at which life can exist.

The British project, run by a consortium of two environmental research centers and eight universities, will involve drilling through 3 km (1.86 miles) of ice in one of the world's most hostile locations to extract water and sediment samples from Lake Ellsworth, situated deep beneath a glacier on the West Antarctic Ice Shelf.

Ellsworth, about 10 km (6.2 miles) long and 2-3 km wide, is one of about 400 subglacial lakes on the frozen continent, which maintain their liquid form due to pressure from above and heat from the Earth below.

Read: Sci-fi writers to help scientists imagine the future

Scientists believe some of these isolated lakes could be home to micro-organisms unknown to science, potentially holding secrets to the origins and limits of life on Earth. This knowledge could in turn hold clues about the possible conditions for extraterrestrial life, in locations such as the bodies of water thought to exist beneath the surfaces of icy moons of Saturn and Jupiter.

"It will help us define where things can live, and that could guide or inform our investigations for life on other planets," said David Pearce, a microbiologist for the British Antarctic Survey.

Read: $1B mission to reach the Earth's mantle

Scientists do not know what they will discover, but believe they may find bacteria, viruses, single-celled microorganisms and complex cell organisms called eukaryotes.

A less likely, but more scientifically intriguing scenario is that the ancient lake is completely lifeless, going against the prevailing rule that wherever there is water, there is life.

"That in some ways would be more exciting, because it would give us the limits for life as we know if on the earth," said Pearce. "There are even active organisms in clouds."

The project has been 16 years in the making for the University of Bristol's Martin Siegert, the project's principal investigator.

Read: Scientists to simulate human brain inside supercomputer

"What we're doing is testing that relationship between life and water in probably the most extreme place that we can," he said.

"These are isolated pockets of water that have been removed from the atmosphere for some time, under complete darkness and quite high pressures, without that common communication with fluid transport or atmospheric transport with the rest of the planet. The buffer is the ice sheet above it."

Siegert said sediment samples from the lake floor should also contain information about the planet's changing climate, including the age of the West Antarctic Ice Sheet, and the approximate timing and conditions of any previous collapse.

Opinion: How the search for aliens can help sustain life on Earth

"If we can determine sediments that were deposited before the ice sheet was in place, then we can date that sediment and that can give us an estimation," he said.

Siegert, who named the lake in 2004 after the American polar explorer Lincoln Ellsworth, has wanted to explore Antarctica's subglacial frontier since 1996.

But it has taken until now to develop the specialized technology the team of engineers and scientists believe will allow them to penetrate the ice sheet without contaminating the pristine waters beneath.

Using space age "clean technology" -- claimed to be as sterile as surgical equipment -- the team will blast through the ice with a hot water drill at a temperature of 90 degrees Celsius.

Using the heat and pressure of the water, the drill will operate for three days to create a 360 mm borehole, which will shrink in diameter by 6 mm an hour as it refreezes. Ice and water from the site will be recycled as drilling fluid, to reduce the potential for contamination. The team will be left with 24 hours to complete the sampling before the borehole -- at 3 km, the deepest ever made using this method -- refreezes.

A titanium probe, which took three years to develop, will be lowered into the borehole, and a small coring device at its tip will be inserted a few centimeters into the lake floor sediment at the bottom.

The probe will then collect 50 ml samples at intervals as it rises, with sensors feeding data back to the team to determine the optimal locations to collect samples.

The first stage of the project took place at the start of the year, when an advance party of engineers braved temperatures of -35 degrees Celsius to tow nearly 70 tonnes of equipment and supplies more than 250 km (155 miles) over deep snow and crevasses through the Ellsworth mountain range to the drilling site. The equipment was "winterized," and fitted with GPS transmitters so it could be relocated later beneath flurries of windblown snow.

The team hopes to begin drilling on December 14 with the first samples brought to the surface by December 18. But treacherous conditions on the ice mean their schedule is at the mercy of the elements. Nevertheless, Siegert is confident of success.

"It's taken us a long time of planning but we are in a wonderful place," he said.

The team's progress can be followed on its website, on Facebook and Twitter.

@highlight

A British scientific expedition plans to probe a lake beneath a glacier in Antarctica

@highlight

Lake Ellsworth in West Antarctica may have been isolated for up to half a million years

@highlight

Scientists believe it may yield clues about the limits of life on Earth, and climate change