Istanbul, Turkey (CNN) -- The Syrian government blamed last Friday's rebel attack on an electric power station in downtown Damascus on "armed terrorist gangs" -- the same epithet it has used to describe the protest movement that erupted in the southern border city of Daraa more than a year ago.

But the gunfire and explosions that echoed across the Syrian capital in recent days have underscored a turning point of sorts.

The clashes shattered the notion that Damascus exists in a security bubble.

Helicopters said to fire indiscriminately

Syria experts say the battle for Syria's two largest cities -- Damascus and the country's economic capital, Aleppo -- has begun.

"In both places we've seen not just more armed clashes than ever in the past, but also a revival of the protest movement in its peaceful dimension," said Peter Harling, a Damascus-based analyst with the conflict-resolution organization International Crisis Group.

"What has changed is the conflict has moved into areas that the regime claimed was being dominated by the silent majority, which wanted stability, not regime change," Harling added.

That facade has been shattered in recent weeks, not by bullet or bombs, but through padlocks and keys.

On Monday, May 28, row after row of shops and stalls in the cavernous Hamidiya Bazaar in the heart of Damascus were shuttered.

Shopkeepers across the capital staged a general strike to protest against the suspected massacre of civilians in the village of Houla -- allegedly by pro-government militia.

"When the merchants of Hamidiya -- the main souq (marketplace) -- go on strike, you know you have lost the conscience and heart of Damascus," wrote Joshua Landis, a Syria expert and director of the Center for Middle East Studies at the University of Oklahoma. "The Sunni bourgeoisie has now turned on the regime.."

"This is really a very strong signal suggesting that the historical alliance between the regime and the business establishment in the capital is at least partially broken," added ICG's Harling.

Harling pointed out that even during the height of the bloody Syrian government crackdown against the Muslim Brotherhood in 1982, Hafez al Assad, the father of the current Syrian president, succeeded in preventing Damascus merchants from staging strikes.

Several days after last month's market strike in Damascus, however, shopkeepers in several Aleppo commercial districts mounted a similar but smaller protest.

"I didn't open my shop. All the Aleppo suburbs are on strike today (after) what happened in Houla," an Aleppo shopkeeper who asked only to be named Abu Karim, said in a phone interview with CNN.

"We carry the responsibility for continuing to work while people are dying," Abu Karim added. "That is our shame."

In some cases, Syrian security forces lashed out at the silent commercial protest.

One activist video showed men in camouflage uniforms using bolt cutters to force open the metal shutters of locked shops on a Damascus street.

The violence roiling the country, combined with sanctions imposed by Western governments, has contributed to economic hardship faced by ordinary Syrians.

More than a dozen residents of Damascus and Aleppo interviewed by CNN complained of daily power outages and rising prices of commodities including sugar and cooking fuel.

"They cut the electricity for two hours every morning, and of course it affects work a lot, because the whole company runs on computers," said the CEO of a Damascus-based media company, speaking to CNN on condition of anonymity for fear of his life. He said he had assigned one of his employees the task of purchasing diesel to run backup generators, but added that this was complicated by the recent spike in the price of fuel.

"With the economic sanctions on the country, it is difficult for us to continue providing services because money transactions cannot get through to us from our [foreign] clients," the CEO said.

"Due to power outages, all the perishable food stocks in my refrigerators and freezers were ruined," said Usama, a Damascus shopkeeper who asked only to be identified by his first name to protect himself from reprisal.

Usama told CNN he finally decided to shut down his business.

"What's the point of having a shop when nobody buys from you and people have no money to spend, and when they do they only spend it on the most basic needs?" he asked.

As economic conditions have worsened, the security presence in the two main cities has ramped up dramatically. A recent opposition video showed military trucks and hundreds of soldiers dressed in camouflage using the main sports stadium in Damascus as an apparent staging ground.

"It's so different than when I was here six months ago," reported Deborah Amos, a correspondent for U.S. National Public Radio, in a broadcast from Damascus on Saturday.

"This was an alive city. People were out at night. They were in the cafes and in the restaurants. (Now) at night, the people go home and it's time for the army to take over."

Analysts argue that President Bashar al-Assad's regime's decision to use overwhelming military force to try to crush opposition in second-tier cities like Homs has only spread the tentacles of the insurgency into cities that were once bastions of government support.

Al-Assad defined by indecision, violence

"The regime has been sowing dragon's teeth," wrote Joshua Landis of the University of Oklahoma. "For every opponent of the regime killed, several more pop up to take its place."

"What we see is a regime whose narrative boiled down to 'us or chaos.' But increasingly what we see is 'them and chaos," said Harling of the International Crisis Group.

"The regime has been incapable of imposing law and order."

The Syrian regime is still far from defeated.

It has fervent supporters and vastly better weapons than the rebels. But the image it successfully projected throughout much of the first 15 months of the uprising -- that of a government in control -- has begun to crack.

@highlight

Gunfire echoing across Damascus underscores a turning point of sorts

@highlight

Syria experts say the battle for the nation's two largest cities has begun

@highlight

Damascus and the country's economic capital, Aleppo, have seen armed clashes

@highlight

They've also seen peaceful protests including strikes by shopkeepers