(CNN) -- We're used to our phones navigating us from one place to another, giving detailed instructions on how to find our destination in the fastest, easiest way possible.

But there are a few apps that have no intention of ushering you somewhere quickly. Instead, they want to help you get out, get moving and get a little lost, hopefully discovering something new along the way.

That's the idea behind an application called Dérive, which was developed by Eduardo Cachucho, an architect and lecturer based in Johannesburg, South Africa.

Set up like a loosely structured game, Dérive consists of a general set of instructional cards that can be used anywhere or localized versions for select cities.

They prompt the user to set out in a generalized direction, offering cryptic hints to help them along. For example, you might be instructed to "turn left and search for something sweet," and then to "keep going straight and look for a sign of hope."

That emphasis on giving a critical eye to your environment was key for Cachucho and his development partner, Babak Fakhamzadeh.

"The goal for us is to empower everyday people to understand how the urban space works," Cachucho said.

They wanted to do it in a way that took advantage of mobile technology -- a technique that didn't initially make sense to some people. Cachucho said that one of the first reactions some people have is questioning how someone can truly appreciate the world around them with their eyes on a phone.

"I think there's a misconception that you can't interface with the two at the same time," he said. "It's really based on the idea that if you give a person the tools to explore the urban space, given the right cues, it'll get someone to move in an interesting direction."

The pair also host workshops to help interested groups come up with a more location-specific deck of cards.

The San Francisco set, for example, tells the player to go downtown, look for a closed store and then make a left after two blocks. It's almost like a scavenger hunt, but with the prize of seeing your environment in a new way.

Similarly, an iPhone app called Serendipitor is built around the idea of taking detours from one's normal route in hopes of stumbling upon something interesting and previously overlooked.

Developed by Mark Shepard, an architect and researcher who teaches at the University at Buffalo, the Serendipitor is described as an "alternative navigation app." Shepard originally developed the app as part of a larger project, and with funding from the nonprofit organization Creative Capital, rolled it out in 2010.

Instead of cards, Serendipitor uses the familiar interface of Google Maps and adds in options for discovery to the desired route.

"I'm somebody who loves to just wander in cities," Shepard said. "How can we put ourselves in situations where we might discover something new, or have an encounter which we might not have normally thought of through [navigation] technology?"

Of course, the irony, Shepard points out, is "that we're living in an age that we're downloading an app from Apple for something as simple and human as serendipity."

Shepard isn't done tinkering with the application just yet and also wants users to be able to suggest detours for particular routes.

But for those who need more of an incentive than simple discovery to get moving, Google's NianticLabs has come up with an option that a J.J. Abrams fan could love: an augmented reality game called Ingress that's played on Android phones.

Unlike Serendipitor or Dérive, Ingress doesn't guide its players through a specified route.

Instead, it's an open-ended game played globally between two teams -- the Enlightened and the Resistance -- who are battling to control a mysterious energy scientists have uncovered on Earth. Each team is always on the move, seeking to access "portals" that are found in public spaces, such as monuments, art installations, historical markers or libraries.

"The whole purpose of Niantic is to basically invent apps that are designed for the mobile experience and for the coming wearable computing experience to help people get more out of the real world when they're out," said Niantic's John Hanke. "In the case of Ingress, a whole game has been created to make it fun in a different way."

As a video game fan and father of three, Hanke said he was conflicted about how stationary video and computer games are. The idea for Ingress formed when he was commuting back and forth to his old job, overseeing Google Maps and Google Earth.

"I was watching what was happening with mobile phones, and I thought, you know, there's an opportunity to take this addictive quality of video games and to marry it with mobile and break through the downside of games that they're sedentary," Hanke said.

On the Ingress Google+ page, you can find fans who've reworked their own daily commutes to allow for a little play time.

"We have grandmothers playing and we have 6-year-olds playing," Hanke said. "Walking and getting fresh air and getting that hit of adrenaline is a fun experience. A lot of people are busy and have forgotten the pleasure of that. The game has given people an excuse to walk a little bit and see their town. We're piggy-backing on the basic pleasure of being outside and exercising."

We may soon see more apps that want to derail you rather than simply plot your usual path, thanks to advancements in mobile tech.

"With wearable computing and things that you wear on your body, whether that's a bracelet that's tracking your steps or your exercise, or a watch that has your information on it, I think the hardware is evolving to things that are much more suited to using while you're out and on the move," Hanke said.

"The cell phone is a good intermediate step, but in the next few years I think we're going to see devices emerge that fit this idea of really moving with apps and apps that really help you when you're physically engaged and active."

@highlight

Apps such as Dérive and Serendipitor guide the user to discover new things

@highlight

With general directions, the mobile apps help chart an eye-opening course

@highlight

Google's Niantic Labs has also developed apps to get the user moving

@highlight

Ingress is an Android game that encourages interacting with the environment