(CNN) -- Al Qaeda warnings against the United States emerged Friday as the materials taken from Osama bin Laden's compound continued to yield a trove of intelligence, including details about a possible attack on the 10th anniversary of 9/11.

Al Qaeda, the bin Laden terrorist network that carried out the deadly attack in 2001, confirmed its leader's death on Friday in a Web statement and used that opportunity to taunt and threaten the United States.

"Sheikh Osama didn't build an organization that will vanish with his death or fades away with his departure," according to the statement, which CNN could not independently authenticate.

The statement, which congratulates the "Islamic Nation on the martyrdom of their devoted son Osama," repeated themes and threats made over the years in prior al Qaeda statements.

"The blood of the mujahid sheikh, Osama bin Laden, may God have mercy on him, is very dear to us and more precious to us and to every Muslim from being shed in vain," the statement said. A mujahid is defined as a Muslim engaged in what he considers to be jihad.

"This blood will be a curse that will chase the Americans and their agents, a curse that will pursue them inside and outside their country, and soon -- with God's help -- we pray that their happiness turns into sorrow and may their blood mix with their tears and let Sheikh Osama's resonate again."

In its pronouncements, al Qaeda frequently cites the conflict between Israel and the Palestinians, and it did so again, saying Friday that America "will neither enjoy nor live in security until our people in Palestine live it and enjoy it."

"The soldiers of Islam in groups and as individuals will continue to plan and plot without any fatigue, boredom, despair, surrender or indifference until you receive from them a cunning misfortune that will gray the hair of the child even before he gets old," the statement said.

Pakistanis were urged to "rise up" and cleanse the "disgrace that was brought upon them by a handful of traitors and thieves" and "their country from the filth of the Americans who have wreaked havoc in the land."

The statement surfaced as protesters packed the streets of Abbottabad -- where bin Laden was shot and killed -- in a rally organized by Jamaat-e-Islami, Pakistan's largest Islamist party. The demonstrators denounced the U.S. and Pakistani governments.

Also, the statement expressed disdain for the United States, both its efforts and its motives, saying that the Americans managed to kill bin Laden "by disgrace and betrayal." Bin Laden was killed in a U.S. Navy SEAL raid on his compound early Monday in Abbottabad, a military garrison town north of the capital of Islamabad.

"Men and heroes only should be confronted in the battlefields but at the end, that's God's fate. Still we ask, will the Americans be able -- through their media outlets, their agents, their instruments, soldiers, intelligence services and their might -- be able to kill what Sheikh Osama lived for and was killed for? How far! How impossible!"

Bin Laden was buried at sea in what U.S. officials have described as a proper Islamic burial.

But the statement said if Americans treat the bodies of bin Laden or his family members improperly, either dead or alive, or do not hand over the bodies to families, there will be retribution.

"Any offense will open unto your doors of multitudes of evil for which you will only have yourselves to blame."

According to the statement, bin Laden recorded an audio message a week prior to his death regarding the revolutions sweeping the Muslim world and offering advice and guidance. Al Qaeda indicated that the release of this message is forthcoming.

Meanwhile, investigators poring over material seized in the Monday raid found details about a possible attack on the 10th anniversary of 9/11, and the intelligence led Thursday to a nationwide alert regarding rail security.

As early as February 2010, al Qaeda members discussed a plan to derail trains in the United States by placing obstructions on tracks over bridges and valleys, the alert said, according to one law enforcement official.

The plan was to be executed later this year, coinciding with the 10th anniversary of the September 11 attacks, though no specific rail system was identified, the official said.

The Department of Homeland Security confirmed a notice was sent to federal, state, local and tribal authorities.

"We have no information of any imminent terrorist threat to the U.S. rail sector, but wanted to make sure our partners are aware of the alleged plotting. It is unclear if any further planning has been conducted since February of last year," spokesman Matt Chandler said.

Rail agencies across the United States heightened security.

The Chicago Transit Authority reissued security bulletins, "reminding employees of what activities to look for and what steps to take should they encounter any suspicious or criminal activity during the course of their duties," said Wanda Taylor, a CTA spokeswoman.

Amtrak employees also were on a heightened "state of vigilance," spokesman Marc Magliari said.

At Fort Campbell, Kentucky, President Obama thanked the troops for their efforts and vowed to achieve more. "We are going to ultimately defeat al Qaeda," he said to applause. "We have cut off their head and we will ultimately defeat them."

He said the U.S. strategy is working, "and there is no greater evidence of that than justice finally being delivered to Osama bin Laden."

A U.S. official said that "valuable information has been gleaned already" from the information gathered at bin Laden's compound, though no specific plots or terrorist suspects were identified.

But the material suggests that al Qaeda was particularly interested in striking Washington, New York, Los Angeles and Chicago, according to the law enforcement official who spoke on condition of anonymity.

U.S. authorities have found that al Qaeda appeared especially interested in striking on significant dates like July 4, Christmas and the opening day of the United Nations.

The material seized from the compound included audio and video equipment, suggesting bin Laden may have taped messages there, a U.S. official said.

Ten hard drives, five computers and more than 100 storage devices, such as disks and thumb drives, were also found, a senior U.S. official told CNN.

The Washington Post reported on Thursday that the CIA had a safe house in Abbottabad "for a small team of spies" who performed surveillance on the compound.

Citing U.S. officials, the effort "relied on Pakistani informants and other sources to help assemble a 'pattern of life' portrait of the occupants and daily activities at the fortified compound where bin Laden was found."

It was "mobilized after the discovery of the suspicious complex last August that involved virtually every category of collection in the U.S. arsenal, ranging from satellite imagery to eavesdropping efforts aimed at recording voices inside the compound," the Post reported.

Dozens of people in Abbottabad have been arrested because of their suspected connections to the compound where Osama bin Laden was shot and killed, a Pakistani intelligence official said Friday. Investigators want to know whether any of the people are al Qaeda members or sympathizers.

The United States and Pakistan have been allies for years in the anti-terrorism effort, but U.S. concerns that Pakistanis haven't been robust enough in the fight against Islamic militants and suspected U.S. drone attacks that killed innocent civilians have heightened tensions. Another suspected drone strike killed 12 suspected militants on Friday in the Pakistani tribal region.

Questions remain over why and how Pakistani intelligence officials could not have known bin Laden was hiding out in the city, which is home to a military academy and has a strong military presence.

Pakistani armed forces chiefs issued a statement Thursday admitting "shortcomings in developing intelligence" on the terrorist leader's presence in the country.

The army chief of staff, Gen. Ashfaq Parvez Kayani, "made it very clear that any similar action, violating the sovereignty of Pakistan, will warrant a review on the level of military/intelligence cooperation with the United States," the statement said.

Since the raid, Pakistan has ordered U.S. military personnel on its territory drawn down to the "minimum essential" level, the statement said.

@highlight

NEW: "We are going to ultimately defeat al Qaeda," Obama says

@highlight

Dozens of people are arrested in Abbottabad, a Pakistani intelligence official says

@highlight

Al Qaeda says bin Laden's death will curse the United States

@highlight

The group says it isn't going away and will continue to plot