Hong Kong (CNN) -- Tam Chi Tat has driven his bright red taxi for 20 years. Born and raised in Hong Kong, he calls himself not Chinese but a "Hong Konger." The distinction is very important to him.

"The difference between Hong Kong and the mainland is that we grew up in a relatively free environment," he says.

Relative freedom rings in this metropolis on the southern tip of China. There's freedom of assembly, freedom of the press and rule of law.

Since the handover from Britain to China 17 years ago, the people of Hong Kong were granted a wide range of civil liberties and a measure of autonomy under the governing principle known as "one country, two systems."

But many say that way of life is now under threat as Beijing affirms its "comprehensive jurisdiction" over Hong Kong in a white paper issued by the State Council Information Office.

Many in Hong Kong consider the white paper an abrupt missive from Beijing declaring that they call the shots.

Political muscles

Albert Ho is a member of Hong Kong's Legislative Council and organizer of Occupy Central -- a movement of pro-democracy activists who have threatened to "occupy" the central business district if their calls are not heard.

He tells me this is the message from Beijing: Hong Kong is subordinate to the central government.

"And when the time comes -- if it's necessary and appropriate -- all the powers previously given, dedicated and authorized to Hong Kong, could be taken back," Ho adds.

China's political muscle flexing comes at a politically sensitive time for the territory, as scores of Hong Kongers demand true universal suffrage to elect their leader.

The National People's Congress has said that the election of Hong Kong's top leader may be implemented by universal suffrage in 2017. But will it happen without Beijing effectively screening the candidates?

As a hint of what will happen in 2017, Michael DeGolyer, professor and director of the Hong Kong Transition Project, points to how patriotism is emphasized in the white paper.

"Clearly they are saying that (patriotism) is the fundamental requirement," DeGolyer says. "And we have to be assured whoever is being nominated to run is patriotic, according to our definition, i.e. willing to follow orders."

Standing ground

On July 1st in Hong Kong, tens of thousands of protesters -- if not more -- demonstrated for a free and open system to elect their government.

After the march, more than 500 protesters were arrested at an illegal sit-in -- including Albert Ho.

Prior to his arrest, the pro-democracy lawmaker told me he was willing to go to jail to expand democracy in Hong Kong "because we have to make it absolutely clear to Beijing that they have to honor their promises given to the Hong Kong people."

But is civil disobedience the only way forward?

Douglas Young is Hong Kong-born designer and co-founder of Goods of Desire, a retail business and lifestyle brand that draws inspiration from local icons from old mailboxes to mooncakes.

Over the years, Young has courted controversy -- and the attention of Hong Kong police -- with a few eyebrow-raising designs. And yet the rebel designer believes persuasion -- not protest -- should shape the future of Hong Kong.

Young addresses Albert Ho point blank: "I think you are going to create more enemies than supporters."

"At the end of the day, especially in an Asian society, I don't think people react well with aggression.

It's soft power, it's persuasion, that can appeal to them."

True freedom

Like many other business owners in Hong Kong, Young believes demonstrations should take a backseat to dialogue with China to bring about more opportunity.

"We should integrate with China," Young says. "Kids will be able to build their homes and businesses because what we suffer from is the lack of space in Hong Kong."

"If we can embrace Guangzhou, Shanghai, Dongguan and Macau, Hong Kong will be a great metropolis."

But, as Albert Ho points out, such opportunity requires both sound infrastructure and sound governance.

"We need good government," Ho tells me emphatically. "And that must be based on a truly democratic government."

Hong Kong taxi driver Tam Chi Tat wants his vote to truly count one day.

"I definitely want universal suffrage," he says. "So that we can have a leader who is not as corrupt as mainland officials."

It's the aspiration of a people raised on freedom. But true universal suffrage anywhere on Chinese soil is not something Beijing will easily grant.

@highlight

Hong Kong governed by China under "one country, two systems" model allows the territory more freedoms than the rest of the country

@highlight

The election of Hong Kong's top leader may be by universal suffrage in 2017

@highlight

But will it happen without Beijing screening the candidates?

@highlight

Hong Kong resident: "I definitely want universal suffrage so that we can have a leader who is not as corrupt as mainland officials"