(CNN) -- YouTube: It's not just for cute cats anymore.

The Web's leading video site is now the home of a new kind of interactive visual journalism, where "citizen witnesses" are reaching millions of people with the news of the day, according to a new report from the Pew Research Center.

A prime example was the tsunami that hit Japan in March 2011. In the week following the earthquake that caused the deadly wave, the 20 most-watched news videos on YouTube received 96 million views, according to the report. Most of that footage came not from professionals but from users who were in the middle of the disaster that killed more than 18,000 people.

"Citizens are creating their own videos about news and posting them," read the report released Monday. "They are also actively sharing news videos produced by journalism professionals. And news organizations are taking advantage of citizen content and incorporating it into their journalism.

"Consumers, in turn, seem to be embracing the interplay in what they watch and share, creating a new kind of television news."

In effect, Pew describes an emerging partnership of sorts between traditional media outlets and citizen journalists. While many of the tsunami videos were user-generated, they received most of their views after being shared by professional outlets on the site, the report said.

CNN has officially embraced citizen journalism since 2006 with CNN iReport, which encourages users around the world to share news, opinions, images and video on a wide range of topics. The second annual iReport Awards this month honored an iReporter's eyewitness footage of the 2011 Indiana State Fair stage collapse, among other video clips.

The Pew Research Center's Project for Excellence in Journalism studied 15 months' worth of news videos between January 2011 and March 2012, tracking the five most popular videos each week in the "News & Politics" channel on YouTube.

"The data reveal that a complex, symbiotic relationship has developed between citizens and news organizations on YouTube, a relationship that comes close to the continuous journalistic 'dialogue' many observers predicted would become the new journalism online," the report said.

Among the study's findings:

• Video of natural disasters tends to draw the most attention.

• News events outside the United States topped the list. The three most-viewed topics were the tsunami, Russian elections and unrest in the Middle East. As Pew notes, 70% of YouTube's traffic comes from outside the United States.

• More than one-third (39%) of the top videos were clearly citizen-generated and another 51% -- making a whopping 90% of all videos studied -- came from news organizations but included some user-created content.

• Personalities don't seem to be a big deal for YouTube news seekers. No individual appeared in more than 5% of the top news videos, with President Barack Obama topping the list by appearing in 4%.

While the numbers are impressive, they still pale in comparison to the number of viewers of traditional television news. The report compares the 96 million-view week for tsunami videos to the roughly 22 million people who watch network news shows each evening. (That's 154 million over a seven-day period, and doesn't include cable or local news.)

The difference, Pew notes, is that sites such as YouTube provide for "a la carte" news, letting users choose their own programming.

The report does note one potentially troubling aspect of YouTube news sharing. Giving credit for videos, the report said, can get blurry, a problem stemming from a lack of clear ethical guidelines.

Researchers found instances of traditional news sites apparently using citizen-created videos without clearly attributing them as well as citizens posting copyrighted material without permission.

"All this creates the potential for news to be manufactured, or even falsified, without giving audiences much ability to know who produced it or how to verify it," the report said.

@highlight

Report: YouTube is becoming home to a new kind of visual journalism

@highlight

Pew Research Center says news events are some of YouTube's most popular clips

@highlight

Much of the news videos are from users, not traditional news sites

@highlight

Japanese tsunami, Russian elections and Middle East unrest were big on the site