(CNN) -- A prominent Syrian opposition figure was arrested in a suburb of Damascus on Friday, according to witnesses and his wife, and protests sweeping across the country left at least 21 civilians and 10 security officers dead.

Riad Seif, a one-time Syrian lawmaker once said to have the appeal and charisma of South African statesman and former freedom fighter Nelson Mandela, was arrested during demonstrations close to the Al Hasan mosque in Maydan, a suburb of the capital.

This comes as government troops have been battling pro-reform protesters across the country over the past month and a half, and clashes between security forces and protesters have intensified on Friday after weekly Muslim prayers.

The tenacious demonstrations and the fierce government crackdown has garnered widespread international attention from many nations, the European Union and the United Nations.

The White House press secretary Friday condemned the Syrian government's use of violence and mass arrests and saluted "the courage of Syrian protesters for insisting on their right to express themselves and we regret the loss of life on all sides."

In a statement, the press secretary's office made reference to recent sanctions against top members and elements of the Syrian regime of Bashar al-Assad responsible for overseeing the recent violent crackdown against protesters.

Human rights group Amnesty International says more than 500 people have been killed during the clashes and thousands more were rounded up for questioning.

Seif's wife, Pelican Mourad, told CNN: "His nephew witnessed Riad being arrested among tens of other protesters and taken in a bus."

Mourad said her husband was released from prison only last August. He had been arrested in January 2008 for convening a meeting of what was called the "Damascus Declaration," a pro-democracy group.

Seif was a member of the Syrian Parliament in the 1990s before being detained in 2001, when he organized a seminar that called for political reforms and democratic elections. He also was stripped of his parliamentary immunity. It was the first of many times over the following decade that he was held.

A U.S. diplomatic cable written in 2006 suggested that Seif could become a rallying figure for the opposition. The cable, written at the U.S. Embassy in Damascus, was obtained by WikiLeaks.

It said the regime regarded Seif "as a potential Mandela-type figure on the Syrian political scene."

The cable suggested that the government was scrambling to minimize his influence and split the fledgling opposition movement.

After his arrest Friday, his wife said she is very worried for his health.

"Riad is sick with cancer for which he needs a daily medicine," she said. She added that she was trying to find out which branch of the security forces had detained him so she could deliver his medication. Seif has been battling prostate cancer for several years.

In 2007, the U.S. State Department called on the Syrian government to allow Seif to leave the country so that he could receive urgent medical treatment.

Demonstrations broke out across many provinces and cities in Syria, with security forces relying heavily on the army and the regime's guard to disperse demonstrations.

A human rights activist told CNN at least 21 civilians died in two Syrian cities when security forces opened fire on civilians Friday.

At least 15 people were killed in Homs and six others were killed in Hama, according to Ammar Qurabi, chairman of the National Organization for Human Rights in Syria.

Ten Syrian soldiers and policemen were killed in Homs by "armed terrorist groups," according to state-run news agency SANA. Some members of the groups were killed as well, SANA said Friday.

State TV reported that about 50 people took part in "acts of hooliganism" in Damascus. They blocked roads, threw stones and started fires, the report said.

In the Damascus suburb of Barzah, army tanks are present and the western city of Banias is surrounded by tanks and army presence is heavy.

In Jableh, security forces opened fire and there have been reports of injuries. In Tal, there are reports of demonstrators taking fire from security but there have been no reports of casualties.

State TV reported that the Syrian military began pulling out of Daraa on Thursday after a mission to "restore security and calm," but an activist told CNN that the troops still remain in the city.

In the past seven days alone says 3,000 people have been arrested. So many people were arrested that the central stadium in Daraa has been transformed into a makeshift prison by the army and Syrian security forces.

A European Union official who doesn't want to be named told CNN that the EU has agreed to impose sanctions on 13 Syrian officials involved in the regime's crackdown on protesters.

The sanctions include asset freeze and travel ban, and will be enforced early next week said the official. President Bashar al-Assad is not on the list, the official said, "but we keep the list under constant review and we can always add names if necessary."

Britain's Foreign Secretary William Hague, who said sanctions are against 14 individuals, said the EU "is sending a clear message that we will act against those who brutalize peaceful protesters and seek to repress their legitimate aspirations for reform."

U.N. officials said on Friday a U.N. humanitarian assessment team will enter Syria in the next few days, with the flashpoint city of Daraa as a destination.

Humanitarian agencies Friday brought two truckloads of food, baby milk and medical supplies to Daraa residents, hard-hit by the government's security clampdown.

A 15-member team from the International Committee of the Red Cross, the Syrian Arab Red Crescent and the International Federation of Red Cross and Red Crescent Societies entered the city.

CNN has not been granted access into Syria and is unable to independently verify witness accounts.

But CNN has spoken with witnesses, some of whom have also reported what they see via social networking sites and have posted homemade videos. Reports also have been compiled by human rights organizations.

CNN's Rima Maktabi and Hamdi Alkhshali contributed to this report.

@highlight

NEW: White House press secretary condemns Syrian government

@highlight

At least 10 security forces were killed in Homs, state news agency says

@highlight

21 civilian deaths across Syria on Friday, activist said

@highlight

Opposition figure Riad Seif is arrested, his wife says