(CNN) --   Was President Abraham Lincoln dying of a rare genetic disease when an assassin killed him in 1865?

This strip from Lincoln's deathbed pillow is housed at the Grand Army of the Republic Museum in Philadelphia.

A California doctor believes so -- and he hoped to prove his theory by testing the 16th president's DNA.

Dr. John Sotos asked a small Philadelphia museum for blood-stained threads from a scrap of the pillow that cradled Lincoln's head as he lay dying.

On Monday night, the board of  the Grand Army of the Republic Museum and Library denied his request but left the door open for a possible DNA test that could shed light on Lincoln's last days.

The museum plans to convene a forum of Lincoln scholars and forensic pathologists to decide how to proceed.

"We want complete control over this," said Eric Schmincke, the board's president. "We don't want to take the chance of losing the artifact."

The museum did not rule out the possibility of arranging tests. Museum board members declined to speculate on what kinds of tests could be carried out if experts conclude that such testing would not damage the scrap of pillow that is stained with Lincoln's blood.

Sotos is urging DNA tests in the belief that those examinations would prove that the president suffered from a condition known as multiple endocrine neoplasia type 2B, which spurs nerve cells and bones to excessive growth. Click here to learn more about MEN 2B

All patients with that condition develop thyroid cancer without treatment; half also will get adrenal gland tumors.

Sotos argued that the tests could yield a new understanding of the final months of Lincoln's presidency.

"We know how Lincoln died. I am more interested in how he lived," said Sotos, a cardiologist and author who lives in Palo Alto, California.

"I would ask the historians how some knowledge of approaching death would influence the conduct of the presidency during a war," said Sotos, author of "The Physical Lincoln" and a consultant on the TV series "House." "His attitude toward the South was incredibly forgiving in the few days he had."

The doctor's request stirred a debate about ethics and history.

"This is to the Civil War what the Shroud of Turin is to Jesus' burial," said Andy Waskie, a historian and museum board member. "It's a sacred trust from the veterans themselves. They passed it on to us and trusted us to protect it."

The fragment that Sotos asked to test measures about three-eighths of an inch by 5 inches. A group of Union veterans gave the museum the relic, which was obtained from Lincoln's deathbed by someone who was there when he died.

Board members such as Schmincke opposed the doctor's request, fearing that removing even a few strands of thread for DNA testing would damage the relic. Schmincke also discounted the prospects of any new historical insights based on the test results.

"Why should we question whether or not he had a disease?" he asked. "What's it going to prove? It's not going to make the outcome of the Civil War any different."

Schmincke said he is not concerned about Sotos' research but does worry that other Lincoln researchers could misinterpret or misuse information from a DNA test. That's one of the issues the board hopes the expert panel will help resolve.

"We want to respect the memory of Lincoln, not dig in the past and make up things that aren't there," Schmincke said.

As evidence that the president had multiple endocrine neoplasia type 2B, Sotos has cited his long limbs, bumps on his lips and problems with constipation, all classic symptoms of the rare genetic syndrome.

But Sotos says the key piece of evidence lies in Lincoln's family.

"It is the Lincoln children who make me very confident," he said.

Three of Lincoln's sons died young. Each had bumpy lips. His surviving son, Robert, lived to 82 and did not have bumpy lips.

Sotos also cites evidence that Lincoln had developed signs of cancer.

"He did have symptoms," the cardiologist said. "He had a profound change in appearance during the final year of his presidency. He lost a lot of weight during his presidency, and he complained of being tired all the time."

If Lincoln did have the rare genetic syndrome, Sotos said, in a man of his age "cancer would inevitably exist."

Sotos added, "He probably knew something was horribly wrong. If Lincoln was dying, certainly he recognized it because he was a smart and observant man ... but [because of the military implications] he would not have told a soul."

Sotos is convinced that Lincoln was dying even before the assassin struck. After the museum board's decision on Monday night, however, he'll have to wait to learn whether science will ever prove or refute his theory about the 16th president.

@highlight

Doctor  had wanted a piece of Lincoln deathbed pillowcase to test DNA

@highlight

He suspects that Lincoln had rare cancer-causing genetic disorder

@highlight

Museum board voted to deny request but left door open for future DNA testing