Gloucester, Massachusetts (CNN) -- By daybreak, much of this town has already been at work for hours.

Fishermen have long since cast off aboard boats named for their sweethearts and chugged out to sea before sunrise.

Clad in yellow and orange rubber suits, these seafarers drag giant nets across the ocean floor during 12-hour work days, hauling back the fish they will later bring to market.

For some 400 years, fishing has sustained communities such as Gloucester along America's northeastern shores, where thousands of seafood processors, wholesalers, distributors and retailers make a living off the waterfront.

"It's kind of the bread-and-butter and the backbone of the community," said Dennis Robillard, who has scooped up fish off the coast of Massachusetts for more than two decades.

Now the federal government is contemplating what for generations seemed inconceivable -- restricting or shutting down most of the cod fishing in the Gulf of Maine, a region that extends from Cape Cod up through Nova Scotia.

A recent government survey found that Gulf of Maine cod, considered a top earner for fishermen in the region, are in far lower numbers than what experts had thought.

Just three years earlier, the government had projected the area was well on its way to recovery after decades of overfishing. Since then, federal regulators have raised cod catch rates to nearly five times the sustainable level based on what are now reported as overly optimistic and incomplete estimates.

The new data now suggests the stocks are so depleted that even if the fishing industry were to shut down, codfish would still not recover by 2014 to the levels mandated by federal law. Beginning in May, that will trigger a legal requirement that fishermen bring in around 22% less cod than they caught last year. But next year is the big one -- Gulf of Maine cod fishing could face more than an 80% reduction from prior years' catches.

"This is total Armageddon now for the fishery," said Vito Giacalone, a third-generation Gloucester fisherman and policy director for the Northeast Seafood Coalition, an advocacy group for the fishing industry. The coming restrictions, he and others say, are based on assumptions that come from data that's "inherently volatile."

"What happens when you do everything right and they still shut you down?"

Cod also swim alongside other fish, which means the proposed reductions would impact other industry staples such as flounder and haddock, even though those populations are considered to be far healthier.

While larger trawlers capable of traveling to more distant fishing grounds are expected to survive, the reductions could cost most of the region's smaller crews their jobs.

"We basically have a balloon payment now to make up for those years (of overfishing)," said Steven Cadrin, a scientist at the University of Massachusetts-Dartmouth, who worked on the assessment.

Cadrin and others say a year isn't enough time to make up the difference and meet federal mandates, which he says could signal an end to much of the region's small-boat fleet.

Environmentalists say depleted stocks show the region needs time to recover.

"The coastal fishermen are facing an impossible situation through no fault of their own," said Peter Shelley, a lawyer with the Boston-based Conservation Law Foundation, an environmental advocacy group.

"But once those fisheries are gone, that's it."

Still, codfish aren't about to become an endangered species, according to Sam Rauch, head of the National Oceanic and Atmospheric Administration's fisheries service. The coming restrictions are about protecting the overall size of the cod population, which has been at steady but low levels for decades, and complying with federal law.

Confronted with possible drops in domestic supply, industry analysts say U.S. cod consumers will likely look elsewhere, importing more from countries such as Canada and Norway.

"It will affect the local fresh market," said Cadrin. "But there's a lot of frozen cod on the market from elsewhere."

Aboard the Julie Ann II, a not-quite-paid-off fishing trawler named for Robillard's wife, talk of cutbacks is a source of anxiety.

"If they cut half the quota, that's my last day here," said crew member Kevon Hughes, hauling back nets from the day's catch -- a mixture of cod, lobsters and flounder. "I'd have to leave."

Hughes, his face pink from the biting cold of a winter wind at sea, says he's tired of the uncertainty.

"I'm sick of everybody else running my life, my income," he said. "It's up to them. It has nothing to do with me."

Fishermen say the cod report doesn't actually reflect what they've seen out on the water. Surveys come from a murky science, they say, that rely on catch records, government observers and random samplings at sea.

"Fish have tails. They move," said Giacalone, emphasizing the difficulty of counting unseen fish in a region the size of Indiana that nearly spans the length of New England.

"The data they have is 'best available,'" he said. "We're going to destroy 400 years of fishing based on what's 'best available'?"

Cadrin, a former NOAA scientist, said the survey is "not much different than a weather report" and considers the issue more of an "administrative crisis than an environmental one."

But the National Oceanic and Atmospheric Administration says the work is based on three years of additional data, and includes better technologies as well as records of fish discarded by recreational agencies -- something that wasn't tallied in 2008.

"We just have a much more realistic picture of the stock," said NOAA spokeswoman Teri Frady. "The really troubling thing here is the low number of young fish coming in."

Other factors, she noted, like shifts in water temperature and natural predators, also likely contributed to the depletion of a once cod-heavy region.

"Cod fishing in New England is like cowboys out West," said Frady, stressing New England's historical ties to the bottom-dwelling ground fish. "They don't call it Cape Cod for nothing."

Her agency's report has become a hot topic among interests groups and legislators in New Hampshire and Maine, though especially in Boston, where a wooden carving of a codfish still hangs from the House of Representatives.

Massachusetts ranks second, behind California, in the number of jobs supported by the fishing industry. And Gulf of Maine cod brought in nearly $16 million to the regional economy in 2010, before distribution sales were tallied.

"When I was a kid growing up, people would ask who your father went fishing with as a way of identifying who you are," said Mike Parisi, 62, owner of Amanda Marie Fishing Charters in Gloucester.

"It's been a way of life here."

Recreational fishing on charter boats, like the one Parisi owns, now account for more than 30% of the region's total catch.

The danger, industry advocates say, is a loss of market share.

"You can't expect the fishery to come back in the same way after taking years off," said Jackie Odell, executive director of the Northeast Seafood Coalition. "Your suppliers and consumers just go elsewhere. It takes years to develop those kinds of relationships," and marine property owners will eventually want to use their land for something else.

The issue garnered national attention last year when Senate lawmakers petitioned NOAA to reevaluate its findings.

"The most recent Gulf of Maine cod assessment threatens to further exacerbate a number of issues our fishermen already face, with potentially disastrous consequences," Sen. John Kerry, D-Massachusetts, wrote in a letter, asking for a new assessment.

NOAA declined the request, citing time constraints that prevented it from conducting another report ahead of the 2012 fishing season.

"The only real solution is more fish," said Frady of NOAA. "Unless we just decide to make fishing less efficient."

Agency officials also point out that their assessment had been reviewed by other independent scientists and would likely yield similar results.

@highlight

Small-boat fishermen face steep cuts in cod fishing

@highlight

A survey finds that Gulf of Maine cod are in far lower numbers than experts thought

@highlight

The new report suggests the stocks are depleted

@highlight

The local industry could face more than an 80% reduction from prior years' cod catch