(CNN)It was FIFA's handling of the report into bidding for the 2018 and 2022 World Cups that convinced Luis Figo it was time to take a stand.

The 42-year-old, a man of formidable football pedigree, confirmed to CNN in an exclusive interview on Wednesday he wants to replace Sepp Blatter as president of world soccer's governing body.

After growing weary at FIFA's increasingly tarnished reputation, he's asked supporters the world over to follow his crusade to rehabilitate an organization he says has become a byword for scandal.

The tipping point came towards the end of 2014, when FIFA opted not to publish a report by U.S. lawyer Michael Garcia into allegations of corruption during the race to host the 2018 and 2022 World Cups, releasing its own summary of his findings instead.

"I think that was the moment of change and the moment I thought something had to be done," Figo told CNN anchor Alex Thomas.

"If you are transparent and if you ask for an investigation, a report, which you have nothing to hide, why don't you make public that report? If you have nothing to hide about that, you have to do it."

Having decided to run, and with a trophy-laden career to bolster his credibility, Figo now must convince the majority of FIFA's 209 member associations that he means business.

The former Portugal captain has made transparency a key plank of his pitch for soccer's top job, underlining that a change in leadership and governance is the only way to revitalize FIFA's reputation.

He also vowed to release more of FIFA's vast financial reserves to its federations in the hope of boosting the sport at grass roots level.

And he gave short shrift to any suggestion that his candidacy was a publicity stunt, an accusation leveled at former France international David Ginola who recently launched his bid alongside a bookmaker and confirmed he was being paid for his involvement.

"I don't need to be a candidate to get publicity. I had a fantastic career and I'm very proud of so many years playing at a high level," explained Figo.

"I'm not getting paid. Fortunately I have a situation that allows me to pay for my candidature, and I'm lucky that I can pay my travels and support my expenses.

"I think the organization is right now not a football organization-- it is more a political organization," he added referring to FIFA.

"We have to care about the future of football, try to restore the leadership, the governance and big transparency and solidarity with the federations."

Figo does not want for style or substance, but his decision to take aim at Blatter is a gamble.

The 78-year-old has been ensconced in FIFA's corridors of power since 1998 and still enjoys firm support among its member associations despite the increasingly beleaguered nature of his rein.

Many commentators see May's election as a forgone conclusion, but even if Figo is the only candidate to make his way onto the ballot paper it will still represent progress from 2011's ballot.

Back then, Qatar's former FIFA member Mohamed Bin Hammam withdrew from the race after he was suspended on bribery charges, leaving Blatter to run unopposed.

Figo joins a list of presidential hopefuls that includes Ginola, independent candidate Jerome Champagne, Asian Football Confederation vice-president Prince Ali and Michael van Praag, the head of Dutch football.

Of those names, it is arguably only Figo who has the potential to loosen Blatter's stranglehold on FIFA's top job.

"I can say I'm a real candidate after today and I'm looking forward to opening the debate and trying to get the support of many federations to have the chance to be the president," added Figo.

"I think to [take] this step you have to be prepared. Of course I did my homework but I have a lot of things that I have to learn, to improve, but if your mind is open I think it's much more easy.

"I have my ideas about what is football and what is good for improving FIFA but I think my experience of my career is a positive thing that allows me to understand a lot of the game. My first priority is to know from the federations what they need.

"I think one important thing is to increase the solidarity payments to the federations, because right now FIFA has so many financial reserves that belong to the federations."

Figo: A modern footballing great

Figo's glittering, and at times controversial, career began with Sporting Lisbon in Portugal before he moved to Spanish giants Barcelona in 1995, quickly establishing himself as one of its best players.

Alongside an all-star cast that included Brazilian pair Rivaldo and Ronaldo, as well as Dutch striker Patrick Kluivert, Figo was part of the Barca team that won back-to-back La Liga titles in 1998 and 1999.

He also won five cup competitions in Catalonia, including the UEFA Cup Winners Cup and the UEFA Super Cup in 1997.

By this time Figo had established himself as one of the finest players in the world and one who was adored by the club's fans. So when it was announced he was leaving to join Barca's biggest rival, Real Madrid, it was seen as not just a betrayal of the club but the whole region.

Then Barcelona president Joan Gaspart reacted to news that Real had activated Figo's £37.5 million ($56m) buyout clause by vowing: "I won't forget this. Someone who does this to me will pay for it."

Figo was denounced as a "money-grabber" and was afforded a vitriolic reception on his first visit to Barcelona's Nou Camp stadium with his new club, though it would intensify in the 2003 season as coins, bottles and even a pig's head was thrown at him by a rancorous home support.

But his defection to the Bernabeu helped Real re-establish themselves as Spain's pre-eminent force as they won the La Liga title in 2001, going on to secure a prized European Champions League crown the following season.

His signing kick-started Real's "Galacticos" brand with stellar names such as Zinedine Zidane, Ronaldo and David Beckham also acquired. By the time Figo left for Inter Milan in 2005 he had collected seven trophies -- the same amount he won at Barca.

In Italy, Figo won four successive Serie A titles, one Italian Cup and three Italian Super Cups before retiring in 2009.

Figo also represented his national team with distinction, becoming the country's most capped player with 127 appearances.

Portugal made the semifinals of Euro 2000 and went out of the 2002 World Cup at the group stage before suffering a heart-breaking, shock defeat to Greece in the final of Euro 2004, which it hosted.

He retired from international football at the 2006 World Cup, after he captained his side to the semifinals, where it was beaten by France.

The race to become president

Figo's declaration means there are now five potential challengers to Blatter's throne, but two important hurdles must be overcome before any of them can officially join the race.

First, they need to prove "an active role in association football for two of the five years preceding his proposed candidature," then demonstrate they've got the backing of five of FIFA's 209 member associations.

Jerome Champagne, an independent French candidate, was the first to declare his bid back in September, but revealed earlier this month he was struggling to attract five nominations.

Prince Ali, who has been the president of Jordanian football since 1999, announced his intention to stand on January 6 but has said very little publicly about his campaign.

It remains to be seen whether he can muster five backers, but Blatter's stranglehold on power was underlined when the Asian Football Confederation confirmed its intention to support him instead of Prince Ali, who is its vice-president.

Ginola, a former player with French champions Paris Saint-Germain and English Premier League sides Tottenham and Newcastle, launched his bid in London on January 16 saying it was time to "reboot football."

But his charge was immediately undermined by the revelation that his bid was being backed by bookmaker Paddy Power, who has a self-confessed penchant for mischief, and that he was being paid £250,000 ($375,000) for his involvement.

Ginola's prospective bid is reliant on crowdfunding to help him through to May's elections but so far it has only raised £6,300 ($9,500). Doubts also remain as to whether he'll be able to find five associations to support him.

Van Praag, who has been head of Dutch football since 2008, entered the fray earlier this week, vowing to "normalize and modernize" FIFA.

The 66-year-old was critical of Blatter when the Swiss backtracked on his decision to stand down after his current term as president ended, and is confident he has already secured five nominations.

As part of his candidature, Van Praag is reportedly ready to offer Blatter an advisory role if the Dutchman is elected FIFA president.

The deadline for applications was on Thursday but it might be next week before FIFA announces who has made their way onto the ballot paper for the election, held in Zurich on May 29.

@highlight

Luis Figo exclusively reveals to CNN he wants to become FIFA president

@highlight

Figo says FIFA's handling of the Garcia report in WC bidding convinced him to stand

@highlight

Soccer's governing body only published its own summary of lawyer's findings

@highlight

Figo says FIFA is more of a political organization than a football one