(CNN) -- England prides itself on being the home of football, but is the nation dysfunctional in dealing with racist abuse?

Last week British anti-racism group Kick It Out (KIO) published the results of a survey asking over 4,000 English footballers about their experiences of racist abuse. Just 200 chose to respond.

Of those to reply in the anonymous consultation, 24% said they have been subjected to racist abuse in football stadiums, while 57% claim they have witnessed racist abuse.

"It's enough of a sample -- it's never been done before," KIO trustee Garth Crooks told CNN.

"We simply don't have the resources to conduct a wide enough survey and to get the numbers that might make the likes of CNN jump up and down," said Crooks, who was the first black chairman of the Professional Footballers' Association -- the players' union. He's also a former player.

While KIO struggles with resources, Crooks also laid bare the tensions that exist within the professional game, criticizing the English Football Association, the League Managers' Association and the clubs themselves for not doing enough to address the problem of racism.

In October England manager Roy Hodgson had to defend himself against a racism slur after using the "feed the monkey" punchline from an old NASA joke when telling defender Chris Smalling to pass the ball to winger Andros Townsend during a World Cup qualifier.

Smalling and Townsend are both black.

"I would like to apologize if any offense has been caused by what I said at halftime," the 66-year-old Hodgson told British media at the time.

"There was absolutely no intention on my part to say anything inappropriate.

However Crooks says that's just not good enough and called on the League Managers' Association, the body which represents English coaches, to show more leadership.

"So Roy Hodgson isn't making stupid, inappropriate comments at halftime in the dressing room during a World Cup qualifying match."

CNN contacted the LMA for comment and is awaiting a response.

"These football clubs are employers," added Crooks. "They have a duty to their staff, and their staff to their employers.

"Why is this happening? Why should football get some kind of special concession because they're footballers and football clubs?" he wondered.

Almost all of the footballers surveyed by KIO -- 91% -- agreed that "social media has led to an increase in them receiving discriminatory abuse," the organization said in a statement.

Former England and Liverpool striker Stan Collymore has -- more than once -- said he has been racially abused on Twitter, and two years ago a 21-year-old student was sent to jail for racist comments he made on Twitter after Bolton midfielder Fabrice Muamba collapsed on the pitch against Tottenham in a game and almost died.

The 21-year-old had pleaded guilty to the Racially Aggravated s4A Public order Act 1986.

The KIA survey of players also found that 92% of players thought fan-on-player discrimination was common or extremely common, and 69% of players felt that, due to their profession, they are more exposed to abuse. All of this was enhanced by the rise of social media.

"What the social media platforms need to do is acknowledge the level of the problem and introduce some specific procedures," said KIO spokesman Richard Bates. "There has to be a more proactive stance."

Twitter was not immediately available for comment and Facebook declined to provide an official response.

But Crooks is more concerned that the clubs aren't taking enough of a proactive approach.

"I'd like to see them conducting mentoring sessions with football players right across the board in order that players understand the impact making silly statements on Twitter can have on themselves and their clubs," he said.

"It is an employer's duty to ensure that its staff behave in an appropriate manner. A lot of players on social networking sites are making some remarkable pronouncements and it's bringing the game into disrepute, and also bringing the club and its brand into question."

The FA admitted more could be done to educate players.

"Relaying key messages around equality and inclusion into the often 'closed off' domain of the dressing room is something the game as a whole needs to keep working on," said the FA in a statement.

"We hope our new Reporting Discrimination films, which show players exactly what to do when they hear or see discrimination, is one such tool."

The English Premier League said in a statement: "All Premier League clubs have social media policies for their players and the League itself produced social media guidelines, at the request of our member clubs, in 2012.

"Additionally, the Premier League education department runs social media training sessions for Academy players, and has done so for the last three seasons."

KIO was established in 1993 to try to confront racist attitudes within the game. The group says it works with the leagues, clubs, fans and players in combating racism.

The KIO survey was carried out between August 2013 and December 2013 and followed footballer Jason Roberts' refusal in 2012 to wear a T-shirt in support of the anti-racism campaign group due to what he saw was the football authorities' failure to come down hard on those who are found guilty of racism.

"This is not an attack on Kick It Out," Roberts told the Guardian in October 2012. "I am passionate about what the Professional Footballers' Association represents and Kick It Out but they (the league) have to do better, we have to do better."

Crooks has mixed views on Roberts' stance.

"He was right, football wasn't doing enough. I've less sympathy with the way he went about it. We want the same things. That is, we want football to not appear apologetic to racist behavior," the former Tottenham striker said.

"We have bans now, we have automatic bans -- a minimum five matches for the football league, 10 matches for UEFA, and that's fine. But the process can take forever."

Crooks is referring to the time it took the FA to handle high-profile cases involving a handful of players including Nicolas Anelka.

However, England's governing body insisted it was important not to rush these cases in order to reach a fair verdict.

"Many of the cases the FA presides over require detailed expert consideration of a range of issues, where assistance from outside the organization is often enlisted...," it said in a statement.

"To that end, and to get a fair and satisfactory outcome, the process isn't always a swift one."

Nearly two months had passed before Anelka was punished for the controversial "quenelle" gesture he made in late December, arguably creating a vacuum for plenty of heated debate.

Last month Anelka was banned for five matches and fined Â£80,000 ($130,000) by the FA for performing the gesture after scoring for West Brom in a Premier League match against West Ham.

The "quenelle," which the former France international said was dedicated to his comedian friend Dieudonne M'Bala M'Bala -- who uses it as part of his act -- is believed by some to be a Nazi salute in reverse and has been linked with anti-Semitism in Anelka's homeland.

Crooks, the former union chairman, despairs at the way Anelka's case was handled.

"It's taken the best part of two months to make a decision that should've been done in two weeks," Crooks said.

"If Anelka had apologized, which he should have done, and West Brom had imposed a two-week fine immediately, it would've been done and dusted.

"Here the first thing that the employer does is to protect the player because he's a famous footballer.

"There is a lot that is fundamentally wrong with the way football deals with racism and West Brom is a very clear example of that."

West Brom declined to respond directly to Crooks' criticism, but pointed to the statement it released on March 14 after Anelka quit the club.

"The club considers the conduct of Nicolas Anelka on December 28, coupled with his purported termination on Social Media this evening, to be gross misconduct. As a result the club has tonight written to Nicolas Anelka giving him 14 days' notice of termination as required under his contract," it said at the time.

When the row broke out, Anelka defended his actions on social media, arguing his gesture was "anti-system" rather than anti-Semitic.

"This is a dedication to Dieudonne. With regard to the ministers who give their own interpretations of my quenelle, they are the ones that create confusion and controversy without knowing what it really means, this gesture," the Frenchman wrote on Twitter.

"And of course, I am neither racist nor anti-Semitic and I fully assume (stand by) my gesture."

So while the talk and the rants on social media sites grows ever more vitriolic, and controversial, it sounds as if England's football authorities have plenty of work to do - not least in coming up with a co-ordinated strategy in dealing with the issue of race and discrimination.

@highlight

Just 200 out of over 4,000 footballers responded to Kick It Out racist abuse survey

@highlight

Former footballer Garth Crooks reveals tensions that exist within the professional game

@highlight

Crooks asks why football gets "special concession" in dealing with controversial incidents

@highlight

91% of players polled said social media led to an increase in discriminatory abuse