Washington (CNN) -- In a preview of a major constitutional showdown at the Supreme Court over same-sex marriage, the Obama administration said on Friday that a federal law denying financial benefits to legally wed gay and lesbian couples is unconstitutional.

The Justice Department filed the first of a series of briefs in a pair of cases dealing with the multilayered issue, outlining the executive branch's positions.

The high court will hear oral arguments next month on the Defense of Marriage Act (DOMA), a 1996 congressional law that says for federal purposes, marriage is defined as only between one man and one woman.

That means federal tax, Social Security, pension, and bankruptcy benefits, and family medical leave protections -- do not apply to gay and lesbian couples.

This case deals with Edith "Edie" Windsor, forced to assume an estate tax bill much larger than other married couples would have to pay. Because her decades-long partner was a woman, the federal government did not recognize the same-sex marriage in legal terms, even though their home state of New York did.

But now, led by President Barack Obama's recent political about-face, the administration opposes the law.

"Moral opposition to homosexuality, though it may reflect deeply held personal views, is not a legitimate policy objective that can justify unequal treatment of gay and lesbian people" contained in the DOMA law, Solicitor General Donald Verrilli said in the Justice Department's legal brief.

The separate case from California deals with Proposition 8, a 2008 voter-approved referendum banning same-sex marriage. This after the California high court had earlier concluded same-sex couples could legally wed. That case too will be heard in late March.

Though not a party in the California case, government sources say the Justice Department was prepared next week to file an "amicus" or supporting brief asserting a constitutional right to same-sex marriage, and that Proposition 8 should be struck down as a violation of constitutionally guaranteed "equal protection" of the laws.

Those sources say Obama was expected to make the final call on whether to intervene in the state dispute.

"I have to make sure that I'm not interjecting myself too much in this process, particularly when we're not a party to the case," Obama said Wednesday in an interview with CNN affiliate KGO-TV in San Francisco.

Of more immediate concern was the DOMA fight, where the administration is squarely involved. But a tricky gateway or "jurisdictional" question threatens to stall any final consideration of the law's constitutionality. That was the focus of much of the Friday legal papers.

The DOMA law will be defended by House Republicans, after Obama concluded the law was unconstitutional.

Traditionally, that role would fall to the solicitor general's office. But Obama, in an election-year stunner, said last May that he supported same-sex marriage.

The president had already ordered Attorney General Eric Holder not to defend DOMA in court. That raised the question of whether any party could rightfully step in and defend the law.

Besides the constitutional issue, the justices had specifically ordered both sides to argue a supplemental question: whether congressional Republicans -- operating officially as the Bipartisan Legal Advisory Group of the U.S. House of Representatives -- have "standing" or legal authority to make the case.

Lawyers representing the House GOP said Friday that they should be able to take the lead and defend the law, since both Windsor and the Obama administration are taking the same legal position.

"Without the House's participation," said attorney Paul Clement, representing House leaders, "it is hard to see how there is any case or controversy here at all. Both Ms. Windsor and the executive agree that DOMA is unconstitutional and that Ms. Windsor was entitled to a [tax] refund. And the lower courts granted them all the relief they requested. Only the House's intervention provides the adverseness that Article III [federal court jurisdiction] demands."

But the Justice Department said it alone should present the government's case.

"House Republicans lack "any basis for supplanting the executive branch's exclusive role in representing the United States' interests in this litigation, and has no interests of its own that would satisfy" federal court scrutiny, said administration lawyers.

Windsor's legal team also said the House leaders could defend DOMA, at least partially, suggesting the woman wants ultimate resolution on the constitutional questions as soon as possible.

"I was devastated by the loss of the great love of my life, and I was also very sick, then had to deal with pulling together enough money to pay for the taxes," the 83-year-old Windsor told CNN recently. "And it was deeply upsetting."

The story of Edith and Thea

That fundamental unfairness, as Windsor and her supporters see it, is at the center of DOMA legal fight.

In November, three states -- Maryland, Washington, and Maine -- approved same-sex marriage, adding to the six states and the District of Columbia that already have done so. Minnesota voters also rejected an effort to ban such unions through a constitutional amendment.

As more states legalize same-sex marriage, one of the key questions the justices may be forced to address is whether a national consensus now exists supporting the idea of expanding an "equal protection" right of marriage to homosexuals.

A bill known as the Respect for Marriage Act is working its way through Congress and would repeal DOMA.

That law does not prohibit states from allowing same-sex marriages, but it also does not force states to recognize them from other states. Most of the current plaintiffs are federal workers, who are not allowed to add their spouses to health care plans, and other benefits.

Many other states, including New Jersey, Illinois, Delaware, Rhode Island and Hawaii, have legalized domestic partnerships and civil unions for such couples -- a step designed in most cases to provide the same rights of marriage under state law.

But other states have passed laws or state constitutional amendments banning such marriages. California's Proposition 8 is the only such referendum that revoked the right after lawmakers and the state courts previously allowed it. That makes it a somewhat unique legal case for review by the justices.

The DOMA cases are U.S. v. Windsor (12-307) and Bipartisan Legal Advisory Group of the U.S. House of Representatives v. Windsor (12-785).

@highlight

The Justice Department files first in a series of legal briefs involving two big cases

@highlight

Supreme Court will hear arguments next month on Defense of Marriage Act

@highlight

Lawyers for House GOP say they should be able to defend the marriage law in court

@highlight

U.S. still deciding whether to intervene in second case involving California law