(CNN) -- Oil has driven Angola's booming economy over the last decade, helping the resource-rich country emerge from the wreckage of a long, vicious war to become one Africa's major economic players.

One of the biggest producers of black gold in the continent, the southwestern African country has seen its GDP surge by several hundred percent in recent years as the hangover from long conflicts turned into a hunger for profits.

More than 90% of Angola's revenue comes from oil production, but despite its oil wealth, Angola remains largely impoverished.

In Luanda, the vibrant capital of Angola, shiny new boardwalks, luxury properties and an influx of Portuguese expats are all signs of oil money in a city that was last year named as the world's most expensive for expats.

But despite the numerous new developments and Luanda's shiny facade, inequality prevails

Read related: Is oil-rich Angola a development success?

Next to the sleek skyscrapers and luxury apartments, ramshackle shantytowns and crowded slums spread for miles in every direction, housing millions of people living on less than $2 a day.

In many cases, even basic necessities like water and electricity are lacking.

Activists like Elias Isaac say the much-vaunted oil wealth bypasses ordinary people in the country, run by President Jose Eduardo dos Santos since 1979.

"We don't see the money that is being generated from oil having direct impact on people's livelihoods," said Isaac, Angola program manager of the Open Society Initiative for Southern Africa.

"Angola makes a lot of money out of oil, there is no doubt about this," he added. "Angola is one of the few countries that can really pay its national budget without any donor funding, which is great. But where this money goes, that's the biggest issue."

Oil deals are shrouded by confidentiality agreements, making it almost impossible to gauge how much money goes into Sonangol, Angola's state oil company.

In an exclusive interview with CNN, Sebastiao Gaspar Martins, Sonangol's executive manager, admitted that Angola is making "a huge amount" from its oil.

He said Sonangol produces "1.75 million barrels a day, which of course, if we multiply at the end of the year we make billions."

When asked about Sonangol's closed books and the flow of industry revenues, Martins was quick to suggest that the oil money is being used for Angola's rebuilding efforts.

Read related: Angola's post-war generation

But advocacy group Human Rights Watch has contended that tens of billions of dollars of oil money has skipped Angola's central bank entirely and disappeared. The International Monetary Fund says Sonangol spends billions off the books.

Isaac said oil revenues have created an enormous slush fund for the country's elite.

And when asked whether the oil money is being stolen, Isaac replied: "To say that it's not being stolen would not be true to the situation, because if the oil money was not being stolen, we could have better social services in this country."

He added: "Someone is taking it."

Critics have also accused Sonangol -- which is both concession-granter and regulator of the industry -- of acting as a way to funnel part of the oil revenues to the political elite.

Martins responded to the criticisms by saying that "most" of Sonangol's revenues "are used to the wealth of our country and our people."

He added: "I would say all, depending on how you interpret it. Because what is our role? We have a production revenue, we put the production revenues on the hands of the minister of finance ... [it] goes through the hands of the government."

The Angolan government denies corruption in the oil sector. And recently, it announced a $5 billion sovereign wealth fund in a bid to diversify its economy, a move welcomed by lenders for its transparency. The state-owned investment fund, known as the Fundo Soberano de Angola, will invest domestically and internationally, focusing on infrastructure development and the hospitality industry.

At the same time, oil companies will soon be opening up new oil fields off Angola and the country hopes to become the largest producer of crude in Africa.

But with a history of corruption and problems of transparency, the biggest challenge will be ensuring that the profits filter down to ordinary Angolans.

Until then, many in the country say that only a tiny sliver of elites will truly benefit from Angola's oil.

@highlight

Angola one of the biggest oil producers in Africa

@highlight

Vast majority of Angola's money comes from oil but the country remains impoverished

@highlight

Critics say oil wealth is bypassing ordinary people in the country

@highlight

The Angolan government denies corruption in the oil sector.