(CNN) -- While Western banking's reputation was tarnished in the wake of the global economic crisis, Islamic finance is being touted by some as a more ethical alternative, with the potential to appeal to customers beyond its Muslim base.

What sets Islamic finance apart from other models is that it complies with Sharia moral and religious law, including not charging or paying interest. And with more than 700 Islamic financial institutions around the world, the sector is already worth up to $1.3 trillion globally.

CNN's Jim Boulden sat down with Atif Hanif, Islamic Finance specialist and partner at Allen & Overy, to discuss what Islamic finance really is and where it is growing.

CNN: How would you describe Islamic finance?

Atif Hanif: Islamic finance is an alternative form of finance. It is something that is trying to cater to a particular segment of the population, in this case the Muslim segment, because they are ethically constrained from participating in the conventional banking industry.

But the aim is to try and offer to this segment as much as possible of what is available in the conventional sphere -- so in terms of your regular financial services and products, but overlaying that with certain rules which are derived from the Islamic jurisprudence. And the chief among these rules will obviously be the prohibition of charging and paying interest.

CNN: I imagine those who're trying to offer these products are trying to explain that they're not just Islamic, they're just different.

AH: Absolutely -- I think that's the way they are being pitched, and you know, 20 years ago, yes it was very exotic, but I think these days they're much more a feature of the global financial industry.

CNN: Do you think we will see an exponential growth in this?

AH: Certainly where I sit I can see Islamic finance moving into newer markets. It's coming out of its sort of traditional dominion in the Gulf and Malaysia and moving into places like North Africa, Central Asia, and also Western Europe to some extent.

CNN: Is it going to be a slow growth? What would be your projection?

AH: You have to look at a number of factors behind what drives growth in these markets. One, obviously, is the population.

I think the second factor is that there are political issues around what's happening in those markets. There's uncertainty; we've all seen what's happening in Libya. It's places like Bangladesh and Pakistan -- a significant population in both countries, and particularly in the case of Pakistan, a case of instability in the last 10 to 20 years. If that ever gets resolved, who knows? That could be a very fertile land for growth. And there's obviously India in the middle, which is not an Islamic country but again has a huge Muslim population, which is a potential growth area.

CNN: Malaysia and Indonesia are obvious places, and I know it's growing, but I wonder if there's a lot of untapped potential there as well?

AH: Malaysia is very well established. I think that's a very mature market and they are one of, I would say, the pioneers of this industry. So there doesn't seem to be that much further room to grow in Malaysia. But Indonesia is largely untapped. I mean, the Indonesian government is moving in that direction. They have passed some legislation, I understand, to try and facilitate Islamic banking. And some of the Malaysian clients that I work with, the Malaysian banks, they see Indonesia as the last frontier for them to expand their operations and grow.

@highlight

Islamic finance is Sharia compliant and doesn't charge or pay interest

@highlight

Population growth in Muslim countries has meant a boost in Islamic finance

@highlight

North Africa, Pakistan, Bangladesh and Indonesia are potential growth areas