(CNN) -- "Budapest" rolls off the tongue pretty easily, and the Hungarian capital itself feels as if it's been around for a long time.

But Budapest is a relatively recent construct -- the result of an 1873 merger between two distinct cities: Buda on the western bank of the Danube and Pest on the bank opposite.

The result, Budapest, sounds so much more natural than other twin cities -- Minneapolis/St. Paul or Dallas/Fort Worth -- it's difficult to imagine that the alternative "Pestbuda" was floated seriously at the time.

Although they've been populated for centuries, Pest and Buda have developed so separately that the first bridge spanning the Danube, the imposing Chain Bridge, wasn't built until 1849.

Their distinctiveness continues to this day.

View from the hills

Built on a series of hills, Buda is the site of a grand Hapsburg palace and has a detached, imperial air of settled wealth.

In contrast, populous Pest -- as flat as a prairie -- is busy, buzzing and bourgeois, with an assortment of bars, cafés and gourmet restaurants.

Buda offers sweeping panoramas. Most visitors are content with the view across to Pest from the Fisherman's Bastion on Castle Hill and ignore the less accessible Gellért Hill just to the south.

More: 11 things to know before visiting Hungary

Yet here the ramparts of the old Citadella fortress (Citadella sétány 1; +36 1 279-1963; free entry) provide equally stunning vistas over the Danube.

It's in the hiking network of the Buda Hills, where city residents come to picnic and ramble through the woods.

During weekdays, you can walk for hours without seeing another human being.

Kids' railway

Hills hide the Children's Railway (Szechenyi-hegyi Gyermekvasut; +36 1 397 5394; $5.40 adult, $2.70 child; closed Monday) a narrow-gauge line operated entirely by 10-to-14 year olds as ticket sellers, announcers and conductors -- only the drivers are adults.

The line runs for 45 minutes through 11 kilometers of forest landscape with seven stops in-between.

When night falls, Buda goes to sleep and Pest wakes up.

Whether you prefer the opulence of the Opera House, one of Europe's finest, or the conviviality of the city's legendary ruin pubs, you want to be on the Pest side of the river after dark.

Pest has been a hotbed of Hungarian national pride to counter the Austrian Hapsburg court reigning from Castle Hill.

Buda may have the palace, but Pest houses the Hungarian parliament (1-3 Kossuth tér; +36 1 441 4000; daily tours in English April-October, $7.80 EU citizens, $3.90 others), a dazzling neo-Gothic building whose superlative interior is more than a match for its exterior.

Spa wars

Pest is as practical and business-oriented as Buda is aloof and superior.

Buda has thermal spas, such as the Gellért or Rudas Baths, built by the old ruling elites.

Pest has an open-air people's pool: the neo-baroque Széchenyi Baths complex where you can still find old men playing chess, half immersed in the water. (See Spasbudapest.com for complete spa information.)

Pest's bustle is best reflected in its most well-known shopping artery: Váci utca. It suffered during the Communist era but the street has regained its ritzy reputation.

More: 8 must-see Budapest buildings

Fittingly, Buda has the Wolf's Meadow cemetery, where famous Hungarians such as classical composer Béla Bartók and conductor Georg Solti are buried in extravagant tombs.

Pest, on the other hand, has the vitality and life force associated with the fiery Magyar temperament -- nowhere more evident than in the former city's culinary culture.

Café cultured

In Vörösmarty square you can find one of Europe's monuments to confectionary brilliance: the café founded by Emil Gerbeaud (Café Gerbeaud, 7-8 Vörösmarty tér, +36 1 429 9000) in 1885, complete with over-elaborate ceilings and chandeliers.

Not far away, the renovated art nouveau decor of the Gerlóczy Café (Gerlóczy u. 1; +36 1 501 4000) gives traditional Hungarian dishes a modern makeover.

Further out, at the edges of the seventh district, the fin-de-siècle elegance of New York Café (part of the Hotel Boscolo Budapest; 9-11 Erzsébet körút, +36 1 886 6167) has to be seen to be believed.

Some tourists do just that -- constantly snapping diners from the gallery above.

"Visit Buda but stay in Pest" is the advice every Budapest visitor is given.

But in fact the once-separate cities have such distinct characters you should spend as much time exploring each.

It's the only way to do them justice.

CNN Travel's series often carry sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Separated by the Danube, Pest and Buda became one city in 1873

@highlight

Budapest was almost called "Pestbuda"

@highlight

Hilly Buda has great views; Pest is flat but buzzing

@highlight

Even the thermal spas on each side have a different vibe