(CNN) -- An alleged letter from President Barack Obama to Iranian Supreme Leader Ayatollah Ali Khamenei has prompted consternation not just in Washington, but also Tel Aviv and Riyadh.

According to the Wall Street Journal, Obama pointed out some common American and Iranian interests in defeating the extremist ISIS -- which calls itself the Islamic State -- and reportedly also suggested that a nuclear accord between Iran and the P5+1 (United States, United Kingdom, France, Russia, China and Germany) could result in cooperation on regional issues between Washington and Tehran. But the move has, according to one Republican source quoted by CNN, sent "shock waves" through Washington.

Why?

The alleged letter comes despite a consistent message from the White House and America's top nuclear negotiators that nuclear talks would not be linked to larger regional issues on which Iran may possess greater leverage. And while it is not surprising the letter has upset domestic critics of the negotiations, the alleged correspondence has also unsettled Israel and Saudi Arabia, which fear a "bad" deal with Iran and even secret collusion between Washington and Tehran.

But such concerns seem unfounded. For a start, Washington has plenty of leverage to negotiate a good deal with Iran that constrains its nuclear program. Just as important, though, is that the United States has an opportunity not only to resolve the nuclear issue, but also to defuse tensions with Iran while maintaining America's bonds with its traditional partners.

The reality is that the nuclear negotiations between Iran and the United States are not the result of a newfound friendship. Instead, the international sanctions regime against Iran has given it an incentive to compromise on its nuclear program. And although the election of Hassan Rouhani as president has also helped, it's not clear that Rouhani's presidency without sanctions pressure would have gotten the negotiations as far as they have come.

Of course, even after a deal, Washington and Tehran will face real differences over their respective policies in the Middle East; a return of the kind of U.S.-Iran alliance that was seen under the former Shah is highly unlikely. Yet the United States doesn't have to like or agree with the Iranian regime's policies in order to have some sort of relationship with it.

After all, despite increasing tensions on a range of issues, Washington still maintains diplomatic ties to Moscow and Beijing. And while Iran is not a great power, it does play a major role in nearly all the conflicts roiling the Middle East, contributing to instability in the region.

So, can the United States provide enough inducements for Iran to change its ways in the region?

Perhaps. Although Iran has given the world plenty of reason to believe that it will simply go about its business as usual after a possible nuclear deal, it seems more likely that the combination of a deal, Rouhani's presidency, and public demand in Iran for real change would offer Washington an opportunity to exact real changes from the regime.

Such optimism might not be shared by Iran's regional neighbors -- especially Israel and Saudi Arabia. Israeli officials especially these days tend to portray the Iranian regime in the starkest terms possible. But both countries will sooner or later have to accept that Iran as a country is not going to go anywhere, and so crafting policies that encourage its evolution into a more open, tolerant and cooperative country is in the long-term interests not just of the United States, but the Middle East as well.

True, there are no guarantees that such an Iran will ever emerge. The government exercises tight control over the country, and in many ways Rouhani, while more pragmatic than other clerics, is still not as open and reform-minded as the West would like. Yet anyone who visits Iran these days will surely see a country that is very different from the images that have been etched into the American psyche. Scenes like the burning of U.S. flags do occur. But Iran is much bigger and more complex than the black-and-white presentations of it by much of the media. CNN host Anthony Bourdain's recent culinary trip in "Parts Unknown" was a great example of this.

Communicating with one's adversaries isn't a sign of weakness; in order to compel certain behavior, one has to communicate what that desired behavior is. But even if Iran does not accept a compromise by the November 24 deadline for the talks, America will still have greater leverage over Tehran than it has ever had, and will be able to portray Iran as the intransigent party to the international community.

All this suggests that the United States has a real opportunity not only to put the brakes on Iran's nuclear pursuits, but also to bolster larger American goals. And the problem lies not in Obama's letter to Khamenei, but the fearful reaction it has produced; it is time to take a deep breath and consider the success that has been achieved so far in bringing Iran to the table on the nuclear issue.

Khamenei might claim the letter is a sign of strength to his followers. But in reality he has been pushed into a corner.

@highlight

Alleged Obama letter to Iran's Supreme Leader sparks controversy

@highlight

Critics of correspondence missing the point, Alireza Nader says

@highlight

U.S. has chance to leverage pressure on Iran, Nader says