(CNN) -- Once again we see the scenario unfold: A powerful man, with tremendous responsibilities, apparently "caught" in a compromising sexual situation with a woman who is not his wife.

There is the now-familiar ritual of the threats of embarrassing revelations of intimate conversations, the hunted-down "other woman" who either decides to tell more or not, the nationwide harrumphing and moralizing, and the schadenfreude-stoking musings over the humiliations of the loyal wife. And of course, there is the spectacle of another career -- in David Petraeus' case, one that distinguished him in his service to our country -- in tatters.

But while the media tell a familiar narrative of misjudgment and temptation, to me this story is about the terrifying power of the Patriot Act, married to the terrifying power of the resurrected Espionage Act -- and combined with a lethal admixture of our nation's Puritanism, prurience about and ignorance regarding sexuality.

What happened to Petraeus -- and the recent slew of other powerful men or men threatening to some power blocs, from Eliot Spitzer to Bill Clinton? They were surveilled by political elites in an increasingly intrusive surveillance society, and exposed.

Opinion: Must one lose a job over infidelity?

We should understand that the surveillance that keeps tripping up these powerful men is not something about which only heads of state, whistle-blower publishers or generals have to worry. It also includes others in which the allegations of what initiated their downfall are more complex and serious, such as Nicolas Sarkozy and Julian Assange.

Because of the Patriot Act, any of us, if we annoy or threaten powerful interests, can have our e-mails read without our knowledge. Any of us can be subject to a search that could lead from one e-mail correspondent to another until the National Security Agency or the FBI, which have both confirmed that they have invested heavily in domestic surveillance of social networks, find something -- anything -- that could be seen as compromising.

At that point, any of us can be subjected to terrible pressure -- even legal threats -- if what is uncovered can be in any way described as "classified information."

We live at a time in which our government is vastly over-classifying subjects in the name of public interest or that might embarrass the state. Heaven forbid if anyone provides "material support" for the enemy, which is so vague a term that President Barack Obama's own lawyers confirmed to Judge Katherine Forrest, in my presence during the New York hearing on the National Defense Authorization Act this past spring, that it can be used to include basic journalism about, for instance, the Taliban, or other information the government simply does not wish exposed.

Any of us can be threatened with possessing classified information. This is why Bradley Manning has spent months in solitary confinement in prison.

We can be threatened with the Espionage Act. This is why Assange is hiding in the Ecuadorian Embassy in London. If Assange were convicted of receiving classified information, and extradited under the Espionage Act, he could theoretically be shipped to Guantanamo -- for which some congressional voices have called. But that precedent casts a shadow over everyone who might have ever heard about or discussed classified information -- something that is routine in Washington.

There are still many unknowns to the Petraeus story. Maybe it really is just about the CIA and the FBI being very, very worried about Petraeus sleeping with his biographer. But we don't need to buy into this theater. If there is a national security breach -- which would be a real issue if one took place -- that can be investigated and addressed without spectacle or bullying.

Opinion: Blame affairs on evolution of sex roles

In working with these two appalling laws, we need to understand what loss of privacy means: Any of us can be brought down, intimidated, silenced, threatened, by exposure of our personal lives, for any reason.

We all have secrets we do not wish made public. Any of us can be threatened with exposure of infidelity, or sex addiction, or flirtatious communications, or addiction to embarrassing pornographic images, or alcoholism or bipolar disorder, or even our discussions with our doctors, psychiatrists or accountants -- about our most personal information.

It is hard to imagine fully what the loss of sexual privacy means to private life -- and to the human condition.

In the film "The Lives of Others," set in East Germany before the Berlin Wall came down, the state listened in on lovers doing what lovers do: quarrelling, engaging in highly intimate acts of desire and passion, and sometimes, yes, betraying their spouses. But what is clear from the depiction is that whatever private pain such betrayal as infidelity causes, the general pain and the deadening quality for everyone, of living in a society in which there is no privacy -- and no sexual privacy -- is far, far more destructive and more distorting of the human condition.

Sexual privacy is absolutely necessary for human beings to have basic dignity, and that includes the space to make mistakes or do things one may regret. A third of couples, husbands and wives, report that they have committed infidelity. What if all of those marriages were subject to surveillance and exposure?

What if the power regarding who tells you that your spouse has betrayed you, becomes not a private struggle in private life, but a matter for the state to decide? And how many people in marriages that might have survived an infidelity, might have their lives and relationships further shattered by the state, as it can do now, from knowing the details of every single e-mail or credit card record or gift?

Finally, add to this toxic mess American Puritanism and prurience. It is easy to look at what seems to be a man, a mistress and a furious wife, and to assume that one knows all about what has gone on.

But often such situations are complex. Women commit adultery as often as men do, though the media are full of stories asking: Why do men cheat? Indeed, women initiate divorce more often than men do. Female unhappiness in intimate relationships is rife in America, because of some basic misunderstandings of female desire that I have detailed in my new book.

It is not our place to judge and condemn, or to cast the first stone. A new understanding of the dangers of the Patriot and Espionage acts should show us why it is more important than ever for couples to be permitted to experience the pain and betrayal of a possible infidelity in private, without the power of the state breathing down the necks of all involved.

Of course, there is no way ever to justify an infidelity -- betrayal is always wrong. One cannot know from the outside what kind of sexual or emotional loneliness may have been part of any given marriage, what kinds of demons any one of us might struggle with.

Understanding the toxic sexual culture in which American marriages try to thrive should lead us, at least, to see such breakdowns without snap judgments. And understanding the role of a surveillance society in the state's choosing which adulterers to go after should give us pause about joining into to any theatrics of public condemnation.

Unless there was a serious state security issue in relation to this infidelity, what happened between Petraeus and Paula Broadwell should be, personally speaking, the equivalent of classified information: in other words, absolutely none of our business.

The opinions expressed in this commentary are solely those of Naomi Wolf.

@highlight

Naomi Wolf: We live in an increasingly intrusive surveillance society

@highlight

Wolf says for her, Petraeus story is about terrifying power of Patriot and Espionage acts

@highlight

She says loss of sexual privacy would be destructive to the human condition

@highlight

Wolf: We should not rush to judge marriages and those who commit infidelity