Washington (CNN) -- If all goes according to plan for President Barack Obama, his two-term presidency may end up being a case of "second verse, same as the first."

He won re-election last year by touting a first-term recovery from economic recession, as well as a major domestic achievement in health care reform and a major foreign policy triumph in taking out Osama bin Laden.

Now five months into his second term, the priorities and potentially achievable outcomes appear to be a similar trifecta.

Obama is pushing hard domestically for an overhaul of the immigration system that would be similar to the health care reform bill in its scope and appeal to the Democratic base.

He also is increasing U.S. aid, including military assistance, to Syrian rebels trying to oust President Bashar al-Assad, an ally of Iran and Lebanon.

Meanwhile, the economy continues to grow slowly but consistently, with the Federal Reserve signaling last week that it intended to end stimulus policies adopted in response to the recession inherited by Obama when he became president in 2009.

The president has other objectives, including executive actions to reduce carbon emissions he plans to announce Tuesday as part of a second-term push on climate change. A major push of his first term included a sharp reduction over time in auto emissions.

His critics, especially conservative Republicans, will continue opposing his priorities and attacking his administration for what they call overreach and excesses that they say demonstrate the perils of a big government philosophy.

In a statement on Monday, the Republican National Committee listed controversies from the Obama presidency -- the government-aided Solyndra solar panel firm that went bankrupt; the Internal Revenue Service targeting of conservative groups seeking tax-exempt status; and wasteful spending by the IRS and the General Services Administration -- as examples of big government gone wild.

"Obama may not like the big vs. small government debate, but his scandals are tied to a government that keeps growing," the RNC statement said.

Dominating the Washington agenda this week is the immigration reform bill drafted by a bipartisan group of senators in an attempt to resolve a bitter debate over 11 million people living illegally in the country.

The proposal offers a pathway to eventual citizenship for undocumented immigrants while strengthening border, visa and employment controls in an attempt to bridge what for years has been a political chasm.

However, divisions among congressional Republicans remain the biggest threat to passage of the measure.

Conservatives oppose offering legal status to those living illegally in the country, calling such a move an amnesty for lawbreakers.

They want tougher border security measures, and continually criticize the bipartisan Senate proposal as similar to what they call the too-broad and misguided health care reform law passed by Democrats with no GOP support in 2010.

However, moderate Republicans want to avoid another electoral drubbing by Hispanic voters as occurred last year, when Obama won a huge majority of the nation's largest minority demographic in defeating GOP nominee Mitt Romney.

They consider the bipartisan Senate proposal as their best chance to finally move past their party's anti-immigrant stigma, while conservatives call such a move a trap for Republicans because they believe most of the newly legal voters under the law would be Democrats.

U.S. Census figures show the growing political voice of minorities in the United States, particularly Hispanics -- the largest minority demographic at roughly 17% of the population.

Almost half of the country's children under age five are minorities, portending a near future in which non-whites outnumber whites. Already, five states have a larger percentage of minorities than white residents.

While the Democratic-majority Senate is expected to pass the bipartisan immigration measure with support from a dozen or so Republicans, the GOP-led House remains much more hostile to a broad immigration bill.

Opponents in the House want to slow the momentum built by a bipartisan compromise in the Senate announced last week that appeared to ensure support from a solid majority of senators.

House conservatives call for breaking up the legislation into smaller pieces, rather than voting on a comprehensive proposal that includes both the border protection measures they want and the "legal status" provisions they oppose.

"If you look through history, we don't do big things very well in Washington, so I think it's better to break it apart, do smaller pieces, have a heavy debate about it," GOP Rep. Mike Kelly of Pennsylvania told ABC on Sunday.

Referring to the health care reform bill still despised by Republicans three years after becoming law, Kelly said "any time you rush anything through that big -- this was up to 1,100 pages -- I doubt that anybody's really read it and been able to really get through piece of it."

House Speaker John Boehner said last week he would refuse to introduce an immigration bill unless it had support from a majority of Republicans.

However, it appeared that the only way the bipartisan Senate plan could pass the House would be if it received strong support from Democrats bolstered by backing from a minority of Republicans.

Democratic Sen. Chuck Schumer of New York, a member of the bipartisan "Gang of Eight" that drafted the immigration plan, warned that any attempt by House Republicans to stall or block the issue would bring a strong public backlash.

"We have all kinds of allies who are usually conservative pushing for this bill -- the business community, the high-tech community, the evangelical community, the Catholic bishops, the growers throughout the country," Schumer told CNN on Sunday, adding: "I think they're going to have to act whether they have a majority of Republicans or not."

@highlight

President Barack Obama seeks a similar second-term record as his first

@highlight

Immigration reform would be like health care reform of three years ago

@highlight

Ending Bashar al-Assad's rule in Syria would be this term's Osama bin Laden triumph

@highlight

The economy continues its incremental recovery