(CNN) -- On the record, Pakistan has persistently criticized the United States' use of unmanned drones to attack militant hideouts in its mountainous border region.

But diplomatic cables obtained by WikiLeaks reveal that in private the Pakistani government was not unhappy about the strikes and secretly allowed small groups of U.S. Special Operations units to operate on its soil.

In a cable sent in August 2008, the U.S. ambassador to Pakistan at the time, Anne Patterson, recounted a meeting with Interior Minister Rehman Malik and Prime Minister Yousaf Raza Gilani. It coincided with a military operation in one of the restive frontier territories.

Patterson wrote, "Malik suggested we hold off alleged Predator attacks until after the Bajaur operation. The PM brushed aside Rehman's remarks and said, 'I don't care if they do it as long as they get the right people. We'll protest in the National Assembly and then ignore it.' "

On Wednesday, a governing party representative said there was some public support in Pakistan for U.S. missile attacks on suspected militants.

"There is a segment in the country who support the drone attacks, and they feel that drone attacks have been helpful in eliminating many of the militants," Pakistan People's Party spokeswoman Fauzia Wahab said.

"But of course there is another point of view in the country who do not favor the drone attacks, and they think that drone attacks are intervention and violating our sovereignty," she said.

She did not directly answer a question about her party's position on drones.

She also said there is some "soft" support for militants in "every institution" in the country, including the military, but said the government did not "support those who are close to the militants."

Asked about Wahab's comment that there was some public support for drone strikes, Pakistan's ambassador to the United Kingdom stuck to the government's official line.

"No one supports drone attacks by the Americans," Wajid Hasan said Wednesday.

But other U.S. records revealed by WikiLeaks make clear that there were meetings between American and Pakistani officials about drones.

A U.S. diplomat, based in Peshawar near the border territories, mentions in a 2008 cable a meeting he had with a senior official whose name is redacted. The official "said he wanted to say in an unofficial capacity that he and many others could accept Predator strikes as they were surgical and clearly hitting high value targets. He mentioned that fear among the local populace in areas where the strikes have been occurring was lessening because 'everyone knew that they only hit the house or location of very bad people.'"

The same official painted a gloomy picture of the situation, saying, "Our house is on fire and we need to take drastic actions," according to the cable.

It seems that Pakistan saw the drone attacks as so effective, it wanted some of its own. At a meeting in Islamabad in June 2009 attended by then-U.S. National Security Adviser Gen. James Jones, President Asif Ali Zardari "made repeated pleas for drones to be 'put in Pakistan's hands' so that Pakistan would own the issue and drone attacks (including collateral damage) would not provoke anti-Americanism," one cable says.

Zardari said the technology behind them was "not cutting-edge" and said he had raised the issue with the chairman of the Joint Chiefs of Staff.

Similarly, Pakistan has been very sensitive to allegations that U.S. combat forces are at work inside the country. But one cable from Patterson written in October 2009 noted with satisfaction, "The Pakistani Army has for just the second time approved deployment of U.S. special operation elements to support Pakistani military operations. The first deployment ... occurred in September."

That cable goes on to say that a request had come from the Pakistani military commander in North and South Waziristan, Lt. Gen. Masood Aslam, for intelligence and reconnaissance assistance from U.S. Special Operations units. That support would "include a live downlink of unmanned aerial vehicle (UAV) full motion video," it says.

Patterson adds that the move "appears to represent a sea change in Pakistani thinking. Patient relationship-building with the military is the key factor that has brought us to this point."

But she cautions: "These deployments are highly politically sensitive because of widely held concerns among the public about Pakistani sovereignty and opposition to allowing foreign military forces to operate in any fashion on Pakistani soil. Should these developments and/or related matters receive any coverage in the Pakistani or U.S. media, the Pakistani military will likely stop making requests for such assistance."

During discussions on the militant threat, the Pakistani leadership stressed that a short-term victory was unlikely. According to one 2009 cable, Zardari "cautioned that the fight against militant extremism would be a long one, lasting not months but many, many years and that lack of vigilance on the GOP's part would be devastating." In this case, GOP refers to the government of Pakistan.

Zardari also did not miss the chance -- in speaking with Jones -- to have a poke at Pakistan's nemesis, accusing "India of providing the precursor chemicals necessary to produce heroin, which he said was funding the Taliban in Afghanistan."

At the same meeting, according to the cable, Zardari praised the Indian prime minister, Manmohan Singh, but with reservations. "Singh is an excellent economist," he said, but he added that he thought Singh did not understand the constraints under which Zardari was operating.

The cables also reveal great sensitivity on the part of Pakistan to any perceived tilt by Washington in favor of India. A cable prepared this year for FBI Director Robert Mueller says, "Cooperation has frequently been hampered by suspicion in Pakistan's military and intelligence establishment about U.S. intentions and objectives. Among other things, the Pakistanis believe that we have favored India over Pakistan -- most notably, by approving civil-nuclear cooperation with India -- and that we aim to dismantle Pakistan's nuclear weapons program, which, in light of their conventional military disadvantage vis-a-vis India, they consider critical to their national security."

Referring to the Pakistani Taliban, the same cable says gloomily, "In the midst of this difficult security situation, Pakistan's civilian government remains weak, ineffectual, and corrupt."

Support for strikes

There is some public support in Pakistan for U.S. missile attacks on suspected militants in the country, a governing party representative conceded Wednesday, diverging from the country's official position on drone strikes.

There is also some "soft" support for militants in "every institution" in the country, including the military, Pakistan People's Party spokeswoman Fauzia Wahab told CNN.

Pakistan's ambassador to the United Kingdom, Wajid Hasan, stuck to the government's official line, that U.S. drone attacks infringe on Pakistani sovereignty, when asked about Wahab's remarks.

CNN'S Ravi Agrawal and Luke Henderson contributed to this report.

@highlight

NEW: There is some public support for strikes, governing party spokeswoman says

@highlight

A WikiLeaks cable quotes Pakistan's prime minister supporting U.S. drone attacks

@highlight

Yousaf Raza Gilani: "I don't care if they do it as long as they get the right people."

@highlight

Another cable refers to Pakistani approval of U.S. "special operation elements"