(CNN) -- Mike Cianciullo hated the stares.

Whenever his family went out to eat, strangers' eyes would follow -- gawking at the sizes of father and son, judging the food on their plates. At 5 feet 7 inches, Cianciullo weighed 321 pounds. His son, Matt, was 5 feet 3 inches and weighed 333 pounds.

"It's like they'd never seen a fat person before," Cianciullo recalls.

For Mike, the decision to go through with weight loss surgery was about stopping those stares, getting in shape and, most importantly, saving his son's life.

In denial

When his dad first approached him about going to a weight loss clinic, 17-year-old Matt Cianciullo was hesitant. Unlike many children who are bullied because of their weight, Matt had a lot of friends and didn't really see his size as an issue.

Matt was more concerned about his dad's health. Mike was on medication for acid reflux disease, hypertension and high cholesterol.

"To think that, that young, I might lose him before I was 20 -- it's not something you want," Matt says. "And I always thought if I kept going down the same path, I would be like him or worse."

Still, Matt was nervous. Surgery seemed dangerous. Maybe, he thought, I'll just try dieting again.

Fear stops many people from getting weight loss procedures done, says Dr. Carson Liu, the Cianciullo's doctor and a bariatric surgeon in Los Angeles. But often the biggest obstacle is denial -- they don't want to admit they can't do it on their own.

"The hardest thing for patients to do is pick up the phone and go see a doctor," Liu says. "They see it as a kind of defeat."

Bariatric surgery doesn't help obese live longer, study finds

There are several types of bariatric surgery. Most cost between $18,000 and $30,000.

Gastric bypass has been the "gold standard," Liu says, since the 1990s. With gastric bypass, a new stomach about the size of a golf ball is created laparoscopically by cutting across the top of the stomach and connecting the smaller pouch with the intestines.

Mike knew about gastric bypass but didn't like how invasive it was; he didn't know if he wanted to restructure his internal organs that way. Then he started seeing commercials for Lap-Band.

The Food and Drug Administration approved Allergan Inc.'s Lap-Band Adjustable Gastric Banding System in February 2011. (Liu sits on Allergan's doctor approval board.) The first adjustable gastric band, Ethicon Edno-Surgery Inc.'s REALIZE, was approved in 2007.

Both bands are placed laparoscopically around the upper portion of the stomach in an outpatient procedure that generally takes 45 minutes to an hour. The devices can be tightened or loosened at subsequent doctor's visits, helping patients "feel full faster, eat less and lose weight." And unlike gastric bypass, adjustable gastric band procedures can be easily reversed.

The FDA has approved the Lap-Band for patients over 18 with a BMI over 40, or patients with a BMI over 30 who also have a serious obesity-related condition like high-blood pressure or sleep apnea.

Surgery no quick fix for obese teens

Mike had a BMI of 50. His son's was 59.

"With all the excess weight on him, it was putting so much stress on his heart," Mike says. "For me this would be a good thing. My son needed it."

Two years, 200 pounds

Shortly after Father's Day 2009, Mike and Matt were ready for surgery. Mike was ready to give up the Italian food he loved as a child; Matt was determined to no longer constantly eat just because he was bored.

They had completed all the prerequisites. Liu asks patients to lose 5 to 10 pounds before undergoing anesthesia, to ensure they're willing to make the serious commitment that's forthcoming. He stresses that the Lap-Band is just a tool to help patients lose weight.

"The main thing we talk about is motivation," Liu says. "If they can't change their lifestyle, they aren't going to lose more than 30 to 40 pounds."

That might seem like a lot to some, but most who undergo the surgery have 80 to 100 pounds to lose. And if they don't eat right and exercise, they'll most likely gain it all back.

The Cianciullos also knew about the risks. The FDA lists possible complications from the Lap-Band procedure: vomiting, difficulty swallowing, gastroesophageal reflux disease, abdominal pain, pulmonary embolism or leaking that could lead to death.

Weight-loss surgery may raise risk of alcohol abuse

Fortunately, their dual procedures went smoothly.

Mike and Matt were on a liquid diet for two weeks after surgery, and then ate only soft foods for another two weeks. It would be several more weeks before they learned what they could eat and how much.

"You have to chew your food really well, 20 to 25 times before you swallow," Mike says. "The more fibrous vegetables, they don't digest as well. The skin of peaches, apples, don't digest well."

Carbohydrates are pretty much off-limits as well, Matt says. Before the surgery, he would usually have a sandwich, chips and soda or a few pieces of pizza for lunch. Now he eats maybe half a chicken breast and half a cucumber. Dinners used to be double servings. Now he orders off the kids' menu at restaurants and can barely eat half.

"When food gets stuck, it's painful. It feels like you're having a heart attack or something," Matt says.

The results, though, have been phenomenal. Matt has dropped 160 pounds; his dad has lost more than 100.

"It's been fun and exciting to watch them," says his mom, Martha. "They're happy. Matt is always out now, compared to what he used to be. And my husband ... he likes to share his story with everybody. Even with people he doesn't even know."

Matt was named Liu's patient of the month. "He was so shy and introverted, never looked people in the eye," Liu says. "When he lost 100 pounds he opened up and came out of his shell. Plus the guy ate chicken all day long."

Liu likes when family members tackle weight loss together. They motivate each other to stick with the diet, keep junk food out of the house and keep moving. Matt and Mike had a sense of competition -- when his dad was losing weight more quickly, Matt took up basketball to catch up.

At 170 pounds, Matt is almost to his goal weight of 150. He plans to swim more and try other activities that he couldn't do when he was bigger. He also hopes to help other obese teens by sharing his story.

Mike is working on reaching his goal weight as well. He knows as an adult it's more difficult to lose the weight, but he keeps pushing forward.

"I really want to be as healthy as possible for my family."

@highlight

Mike Cianciullo and his son Matt were extremely obese, with BMIs over 50

@highlight

The pair had Lap-Band surgery in 2009 and have since lost more than 200 pounds

@highlight

Having a family support system is great for weight loss surgery, doctor says