"When the sirens sounded, 15 trained defenders would go to the roof. The anti-aircraft gun mounted there was used once, when the Red River was bombed in May 1972. The planes came over the State Bank, and the shooters on that roof also shot at the plane. I don't know if they found their mark."

Cao Xuan Nha's memories of the Vietnam War were brought vividly to mind with the recent opening of Hotel Sofitel Legend Metropole Hanoi's old air raid shelter.

Lost for decades, then rediscovered and now open to the public, the claustrophobic tunnels are a unique memorial to wartime Vietnam -- one to the bonds formed during a time of fear and destruction, and to the role this iconic hotel has played over the last 111 years.

Nha, who was a member of the Commission for External Affairs, Central Committee of the Communist Party of Vietnam, says the Metropole was the only hotel in the city to have a shelter.

He was responsible for taking care of government guests from 1969 until 1972, all of whom were hosted at the hotel, then known as Thong Nhat (Reunification).

"I was really happy when I found out that they had found the bunker and [general manager] Kai's idea was to bring it back," he says. "It's important for the hotel, important for the city and important for the country."

CNNGo: Shenzhou - 9 spacecraft boosts tourism in China's space city

In the months that followed its rediscovery, the shelter has been cleaned out and made safe for exploration.

Wartime relic made amenable

It has a new entrance -- shiny new concrete steps more aligned with the luxurious trappings above than the darkness below -- but otherwise, the shelter is pretty much as it was found.

The bare, low-ceilinged rooms are dark, damp and musty.

Water drips from air ventilation shafts. Old wiring curls out of rusted circuit breakers.

Dandong light bulbs -- Nha remembers them being purchased -- are still screwed into their sockets.

And former Australian Second Secretary and Consul Bob Devereaux's graffiti is still discernible on the wall: "BOB Devereaux, Aug. 17, 1975."

Devereaux doesn't remember tagging the wall, but does recall fishing around the waterlogged shelter, then being used for storage, for documents and the odd elusive bottle of Australian wine during his two-year residency at the hotel.

CNNGo: World's 50 best beaches

Devereaux was one of the first to tour the shelter on the Metropole's new Path of History tour, which explains the hotel's history over the last century and more.

The shelter was built sometime during the mid-1960s, and although the hotel staff has always known of its existence -- general manager Kai Speth says that at least one guest a week has enquired about it during his four-year tenure at the hotel -- the shelter was unearthed by chance during the renovation of the hotel's Bamboo Bar less than a year ago.

Speth says he felt a keen sense of responsibility to reopen the shelter as a tribute to the Metropole's war-era staff.

"Bombs were falling on Hanoi and people were still coming to work -- nobody could guarantee a bomb wouldn't fall on the hotel -- there were no laser-guided missiles then," he says.

When the decision was made to renovate the Bamboo Bar, Speth decided to do some digging of his own.

An adventure

"Eventually we drilled into the space above the stairs," says Speth. "We created a cavity around 70 centimeters deep and were on our chests, looking around, and we could see there was a structure there. It was like an Indiana Jones adventure."

In August 2011, Speth and his chief engineer finally broke through more than two meters of earth and reinforced concrete and the shelter's 278-millimeter-thick ceiling to emerge into a 40-square-meter space, divided into five interconnecting rooms by heavy metals doors.

It took a full week of pumping before the water level was brought down to 20 centimeters, and Speth, wearing boots, shorts and an old T-shirt, could splash down to explore.

The shelter provided a unique glimpse into the hotel's incarnation as a government-run wartime guesthouse -- a world away from the opulence of its French colonial heyday.

After being constructed by two French investors in 1901, the Metropole had quickly become one of Asia's most celebrated hotels.

In 1923, Somerset Maugham checked in with the sole purpose of finishing "The Gentlemen in the Parlour."

Charlie Chaplin spent his honeymoon in the hotel after marrying Paulette Goddard in Shanghai in 1936.

In 1951 Graham Greene stayed for the first time, while writing "The Quiet American" and acting as a correspondent for Paris Match.

But during the war, well-heeled travelers sipping coffee and fine cognac on the Metropole terrace were replaced by scared Vietnamese ducking into bomb shelters sunk into the pavement as the U.S. Air Force flew overhead.

That image made the cover of LIFE on April 7, 1967.

Stars check in

Even so, celebrities continued to check in, despite and often because of the war ravaging the country.

In June 1972, anti-war activist Jane Fonda arrived at the hotel, and stayed on the second floor for two weeks. She spent many hours in the shelter, and autographed a photo taken there for a member of the staff: "To Van, with warmest wishes, Hoa Bin (peace), Jane Fonda."

"I consider Ms. Jane a close friend," says Nha. "She supported our country and I looked after her both times she visited, first alone and the second time with her son Troy and husband Tom."

Although the idea of defending the hotel against enemy aircraft with rifle fire seems laughable, its chefs, receptionists, waiters and cleaners were put through their paces by the army and each carried a weapon to guard the hotel against looters.

While guests retreated to the relative safety of the shelter, the staff was in the open, trying to land a lucky shot when incoming enemy aircraft flew low enough.

CNNGo: Hello Kitty jets, the cutest airplanes ever

Echoes of the past

The shelter did make an impression on one other guest: American folk singer Joan Baez, who stayed at the Metropole during the Christmas bombings in 1972.

Her song, "Where are you now, my son?" was inspired by her experience in Hanoi and the quiet and resolute perseverance of the Vietnamese people. The track incorporates live recordings from her hotel stay while bombers raided the city.

Now, standing in the same space four decades later, we crowd around Speth's mobile phone in the warm, close space, sweat beading on our foreheads and lips, to listen as Baez' voice interspersed with the unmistakable sound of a wailing Vietnamese woman, machine gun fire and bombs exploding cut eerily through the gloom.

It's the first time in 40 years that Nha has been down to the bunker, and he stands proudly, hand on heart, as he surveys the place in which he'd spent many nights hoping for peace.

Path of history

Visitors from all over the world can now retrace the steps of former guests and staff.

Historian Andreas Augustin, who wrote a book on the history of the Metropole, has helped train six volunteers from Hanoi to lead guests of the hotel on a daily Path of History tour, starting with a stroll between 13 glass displays and culminating with the exploration of the shelter.

Among the first to take the inaugural tour on May 21 were Bob Devereaux and Gemma Cruz Araneta, a former Filipino beauty queen and journalist who spent two months in Hanoi in 1968.

Araneta had described the shelter in her memoirs as "a long, narrow, semi-subterranean room of concrete which I thought would have made a groovy discotheque."

Although some had advised Speth, only half-jokingly, that he should turn the shelter into a wine cellar for the hotel, he's glad his determination to preserve the shelter in its wartime state has paid off.

He believes that the Metropole bunker will become a destination in its own right, just like the Cu Chi tunnels in south Vietnam."I want people to feel that space; to transport themselves there in the middle of the conflict," he says. "It's really a place for reflection. If people come out and are a little emotional, that's mission accomplished for me."

To see it for yourself

The shelter will be opened as part of the Path of History guided tour, held daily at 5 p.m. and open to hotel guests only.

Contact the Sofitel Legend Metropole for more details:15 Ngo Quyen St., Hoan Kiem District, Hanoi, Vietnam; +84 4 3826 6919; www.sofitel.com.

@highlight

The Metropole Hanoi's old air raid shelter was recently opened

@highlight

The tunnels had been lost for decades

@highlight

The Metropole has hosted celebrities including Charlie Chaplin

@highlight

Volunteers lead hotel guests on Path of History tours to the bunker