(CNN)  -- In a Nairobi slum, more than one in four children under 5 will die, but in a wealthier part of the Kenyan capital, the mortality rate is one in almost 67, according to a World Health Organization report released Tuesday.

A woman lies next to her sick child at a medical center in Sheshemene, Ethiopia, in July.

The World Health Report 2008 aims to spotlight disparities in health care across the globe, and as the Nairobi example illustrates, the differences exist not only between the First and Third Worlds -- they can occur just across town.

WHO roundly criticizes the organization, finance and delivery of health care and calls advances in the field "deeply and unacceptably unequal, with many disadvantaged populations increasingly lagging behind or even losing ground."

The report says that a citizen of a wealthy nation can live up to 40 years longer than someone in a poor country, and of the 136 million women who will give birth this year, about 58 million (43 percent) will receive no medical assistance during childbirth or the postpartum period.

UNICEF Executive Director Ann Veneman said the sharp inequities in the cost and access to health care often speak to larger societal ills.

"High maternal, infant and under-five mortality often indicates lack of access to basic services such as clean water and sanitation, immunizations and proper nutrition," she said in a statement.

WHO Director-General Margaret Chan insists the dilemma is not just a matter of haves versus have-nots.

"A world that is greatly out of balance in matters of health is neither stable nor secure," she said in a statement from Almaty, Kazakhstan, where the report was released.

The difference in annual government expenditures on health care is more canyon than gap, according to the report. While the wealthiest nations dole out as much as $6,000 per person each year, some countries are unable or unwilling to spend more than $20 per person.

However, while calling for wide-ranging reforms in the delivery of primary health care, the report notes that it isn't always a matter of government expenditures.

Tajikistan and Sierra Leone both spend less than $100 per person on health care. But while the health-adjusted life expectancy in Sierra Leone is under 30 years of age, Tajikistan's is almost 70 -- a figure comparable to the United States, which spends more than $2,500 a person on health care.

"When countries at the same level of economic development are compared, those where health care is organized around the tenets of primary health care produce a higher level of health for the same investment," the report says.

WHO defines primary health care as being "universally accessible to individuals and families in the community by means acceptable to them, through their full participation and at a cost that the community and country can afford."

The organization's report -- titled "Primary Health Care -- Now More Than Ever" -- calls for a move toward universal coverage to reverse a trend over the last 30 years in which disparities in the levels of health care have actually widened.

Universal coverage, the report says, would lower the risks of disease outbreaks for everyone, not just the impoverished.

Currently, the most common means of paying for health care is out of pocket, which WHO says is the "most inequitable method for financing health care services." The report says more than 100 million people fall into poverty in a given year because of health care bills.

Another problem, the report says, is that doctors tend not to focus on prevention.

"Rather than improving their response capacity and anticipating new challenges, health systems seem to be drifting from one short-term priority to another, increasingly fragmented and without a clear sense of direction," according to the report.

But the report also handed out accolades, most notably to Iran and Cuba.

WHO applauded the Islamic Republic's 17,000 "health houses," which serve about 1,500 people each. The report credited the centers with boosting Iranians' life expectancy from 63 to 71 years between 1990 and 2006.

And in Cuba, the nation's "polyclinics" have yielded one of the longest life expectancies (78 years) of any developing country, the report says.

The report called for all sectors of society to help determine how health care is allocated, and it singled out the United States for spending just 0.1 percent of its health budget on health systems research -- the kind of research that policymakers use to decide how money is spent.

The report also points to the pharmaceutical industry's impact on health care in the United States, where the average expenditure on prescription drugs in 2005 was $1,141 per person -- twice the average in Canada, Germany and Britain, and 10 times the average in Mexico.

To combat the problems facing global health care, WHO says in its report that nations must improve coverage and delivery, as well as policy and leadership. It acknowledges that primary health care isn't cheap, but asserts that the "investment provides better value for money than its alternatives."

"The legitimacy of health authorities increasingly depends on how well they assume responsibility to develop and reform the health sector according to what people value -- in terms of health and of what is expected of health systems in society," the report says.

@highlight

Health care disparities make world "neither stable nor secure," WHO director says

@highlight

Report: 43 percent of women giving birth this year will do so without medical help

@highlight

Tajikistan, Sierra Leone have 40-year gap in life expectancy despite expenditures

@highlight

Report applauds Iran, Cuba for finding ways to improve health care