(CNN) -- Pulling Ukraine closer than ever militarily to NATO, the embattled nation's president affirmed Thursday his desire to combat "Russian aggression" while expressing cautious optimism that peace, even if it's temporary, could soon be in reach.

Ukrainian President Petro Poroshenko spoke from the NATO summit in Wales about new steps strengthening his country's security partnership with the European-North American alliance following months of fighting against what he claims are Russian-backed -- despite Moscow's denials -- rebels.

This fighting has gone on for months in spite of rhetoric preaching peace from all sides and a host of diplomatic initiatives, the next of which is a meeting Friday in Belarus' capital that will include representatives from Ukraine, the rebels and Russia.

"As president of Ukraine, (I am) ready to do my best to stop the war," Poroshenko said. "And ... I have, I can say, a careful optimism for tomorrow's meeting ... in Minsk because beforehand (Russian and rebel leaders said) they are ready for an immediate ceasefire."

Standing alongside Poroshenko, NATO Secretary General Anders Fogh Rasmussen said that "the best way forward would be to find a political solution." But he expressed reservations that Moscow's latest public comments on its desire for peace will be an different than its past ones, after which the violence has ratcheted up rather than slowing down.

"What counts is what is actually happening on the ground," said Rasmussen, who accused Russia of having thousands of troops inside Ukraine who have fired on Ukrainian military positions. "Previously, we have seen similar statements and initiatives. And they have actually just been smokescreens for continued Russian destabilization."

Rebels: Open to ceasefire with 'a political settlement'

Rebel leaders in eastern Ukraine's Donetsk and Luhansk regions said in a joint statement Thursday that they would be prepared to order a ceasefire as of 3 p.m. Friday "if agreements are achieved and Ukrainian officials sign a plan for a political settlement of the conflict."

These heads of the self-declared Donetsk and Luhansk People's Republics will take part in talks in Belarus on Friday, the statement said, when they will present their proposals on ensuring compliance with the plan.

Russian President Vladimir Putin recently presented a seven-point road map to end the conflict in eastern Ukraine, though that plan was quickly dismissed by Ukrainian Prime Minister Arseniy Yatsenyuk as a rescue plan for pro-Moscow rebels.

Putin and other Kremlin officials have voiced sympathy for separatists, many of whom are ethnic Russians, while harshly criticizing the Kiev-based government for what they say is a heavy-handed military assault that's killed innocent civilians and contributed to a humanitarian crisis that's affected many others.

But they say they haven't sent Russian troops into the war-torn region in eastern Ukraine -- a claim that Poroshenko, Rasmussen and their allies aren't buying.

The United States believes Russia now has three to five "battalion task groups" conducting military operations inside Ukraine, according to two U.S. military officials. Each group can have as many as a thousand troops. Many more Russian troops control the border with Ukraine for thousands of miles -- from Rostov to Donetsk, the U.S. officials say.

NATO offers funding, military assistance to Ukraine

The reported incursion into Ukraine, and the threat that Russian forces could move even deeper into the country and perhaps into neighboring ones, has caught the attention of many in the West.

"This is the first time since the end of World War II that one European country has tried to grab another's territory by force," said Rasmussen. "Europe must not turn away from the rule of law to the rule of the strongest."

To curb this push, NATO isn't sending troops to the front lines in Ukraine, but it is bolstering its partnership with the Kiev government.

That includes a focus on improving the Ukrainian military's cyber-defense, logistics and command and control capabilities, as well nearly $20 million in NATO funding for Ukraine on top of other monetary contributions from its member states, Rasmussen said.

Furthermore, Poroshenko said there's a push to achieve "full interoperability between Ukraine and NATO" plus systemic reforms that could lead to Ukraine some day formally joining the alliance. That would be significant because all NATO forces are obliged, per the terms of the alliance, to come to the defense of any other NATO member country that's been invaded.

"A friend in need is a friend indeed," Poroshenko said. "And (what NATO countries have done so far) was a very strong demonstration of solidarity with Ukraine."

President: 'Ukraine ... pays the highest price, every single day'

While the sides offer divergent views about who is involved and who is to blame, there's no doubt the violence -- for now, at least -- is in full swing.

Ukrainian National Security and Defense Council spokesman Andriy Lysenko told reporters Thursday that Russia continues to fly reconnaissance drones over its territory and shell Ukrainian military positions.

In the town of Debaltsevo, for instance, Ukrainian troops are being shelled and are nearly surrounded, Lysenko said from Kiev.

A CNN team in Mariupol saw a large plume of smoke from artillery fire less than three miles from the main Ukrainian checkpoint heading out of the southeastern port city toward the border town of Novoazovsk, which Kiev said last week was seized by Russian troops.

Another CNN staffer with a Ukrainian spotter unit about six miles east of Mariupol witnessed sustained artillery bombardment of the area, with firing on a wide front and coming from the Russian border area.

This indicates that the rebel positions are now are much closer to the city than they were previously.

Poroshenko said ending the conflict -- which since mid-April has cost the lives of about 840 Ukrainian troops, with over 3,000 more injured -- will require Russia to pull back its troops from Ukraine and from the border.

"Ukraine (is the) object of the aggression, and we have have to do our best (to) immediately stop the aggression," the President said. "Why? Because it is exactly Ukraine that pays the highest price, every single day."

CNN's Nic Robertson, Diana Magnay, Tim Lister, Jason Hanna and Barbara Starr, as well as journalist Victoria Butenko, contributed to this report.

@highlight

Ukraine's president meets with the heads of NATO countries in Wales

@highlight

Ukraine is bolstering its military partnership with NATO, Poroshenko says

@highlight

He says he's "ready ... to stop the war," hopes talks with rebels lead to peace

@highlight

NATO's chief cautions that earlier Moscow's remarks on peace went nowhere