Hong Kong (CNN) -- China has launched a terrorism crackdown one day after a series of explosions in an open-air market killed dozens in the western Chinese region of Xinjiang, the country's state news agency, Xinhua said Friday.

Without any details, the report said authorities had undertaken a "one-year crackdown on violent terrorist activities" in the volatile region after blasts in the heavily policed city of Urumqi killed at least 39 people and wounded more than 90, according to state media. The number of dead does not include the attackers.

The state news agency reported Friday that five attackers were responsible for the blasts; four were killed in the explosions, and a fifth was arrested Thursday. They were identified through DNA testing, Xinhua said.

In Urumqi, authorities tightened security checks at entry ports in an attempt to curb weapons smuggling, including inspections of individuals, luggage, transport facilities and postal deliveries at land border crossings, Xinhua reported Friday.

After visiting the injured and the scene of the explosions, Guo Shengkun, minister of public security, called for severe punishment for those responsible, state media said.

President Xi Jinping also called for the terrorists behind it to be "severely" punished.

Two SUVs slammed into shoppers gathered at the market in Urumqi at 7:50 a.m. Thursday, and explosives were flung out of the vehicles, Xinhua said.

The vehicles then exploded, according to the news agency.

Some of the photos circulating on social media suggested a hellish scene, with bodies strewn on the ground amid burning wreckage. Others showed flames and smoke billowing out of the end of a tree-lined street guarded by police.

'An enormous sound'

"I heard an enormous sound, then I looked out from my balcony," said a resident of a building near the explosion who would only give his surname, Shan.

He told CNN that trees obscured much of his view of the scene, but that he "could see there was chaos, with people injured."

Many of the victims caught in the blasts were elderly people who regularly visited the morning market, Xinhua reported.

"It's mainly people coming to trade vegetables, especially the elderly who get up early and buy vegetables to cook," Shan said.

The U.S. government condemned the attack.

"This is a despicable and outrageous act of violence against innocent civilians, and the United States resolutely opposes all forms of terrorism," White House press secretary Jay Carney said in a statement.

String of recent attacks

Chinese authorities have stepped up security measures in Xinjiang in recent months amid a series of attacks within the region and in other major Chinese cities.

On Wednesday, Xinhua reported that 39 people had been sentenced to prison in the past two months for "inciting violence" in Xinjiang.

But Thursday's devastating blasts suggest the government is facing a foe determined to wreak havoc.

The market attack comes less than a month after an explosion hit a train station in Urumqi, killing three people and wounding 79 others.

The April 30 blast occurred just after Xi had wrapped up a visit to the region.

Ethnic tensions

Chinese officials have linked a mass knife attack in March that killed 29 people at a train station in the southwestern city of Kunming to Islamic separatists from Xinjiang.

They have also blamed separatists for an October attack in Beijing's Tiananmen Square in which a car rammed into a pedestrian bridge and burst into flames, killing two tourists and the three occupants of the vehicle.

The knife-wielding assailants in the Kunming attack and the people in the car that hit Tiananmen were identified as Uyghurs, a Turkic-speaking, predominantly Muslim ethnic group from Xinjiang.

Ethnic tensions between Uyghurs and Han Chinese people, millions of whom have migrated to resource-rich Xinjiang in recent decades, have repeatedly boiled over into deadly riots and clashes with authorities in recent years.

Some Uyghurs have expressed resentment over harsh treatment from Chinese security forces and Han people taking the lion's share of economic opportunities in Xinjiang. The Han are the predominant ethnic group in China, making up more than 90% of the overall population.

Shift in targets

The pattern of ethnic violence in the region goes back decades, according to James Leibold, an expert in ethnic relations in China at La Trobe University in Melbourne, Australia.

"But what's new, and what I think is significant, is that we have a shift in target," Leibold said. "We have a targeting of innocent civilians, places where innocent civilians gather -- an attempt to maim innocent civilians in large numbers."

The other change is that the violence has "seeped outside" the borders of Xinjiang into other parts of China, he said.

It remains unclear who is behind the recent high-profile attacks.

Chinese officials have pointed to a murky separatist group, the East Turkestan Islamic Movement, which they have blamed for violent acts in the past. East Turkestan is the name used by many Uyghur groups to refer to Xinjiang.

But analysts are divided about the extent of the that group's activities and its links to global terrorist networks such as al Qaeda.

"Generally, the government response is to blame terrorists without providing many details," Leibold said. "So I suspect it's going to be very difficult to get to the bottom of this incident like previous ones."

Q&A: Xinjiang and tensions in China's restive far west

@highlight

State news agency: China begins "one-year crackdown on violent terrorist activities"

@highlight

The report offers no details of the crackdown, but authorities tighten security at entry ports

@highlight

Thursday's explosions killed at least 39 people and wounded more than 90, state media say