(AOL Autos) -- If you don't eat, sleep and breathe cars, or devour car magazines in minute detail, there's a good chance you don't know all the technological terms that pop up in the media, new car advertising and literature.

With new models being released all the time, the acronyms can be overwhelming.

With every new model year, it seems, there are new technology and acronyms. Here's a concise list of the terms you're most likely to see and read about in the 2008 literature.

ABS: The most common passive safety system found on cars today is ABS or anti-lock brake system. ABS continuously counts wheel revolutions electronically and when one or more wheels stops moving during a skid, the system quickly applies and releases the brakes on the skidding wheels.

This is done so that the tires continue to rotate and the car can be steered around an object or an impending accident situation. Tires that are skidding can't do much steering.

ALS: This is a relatively new term that stands for active lighting system or automatic lighting system. On some luxury vehicles, you can opt for headlamps that turn left or right (up to about 15 degrees) as the front tires turn to light the road as you make your turns.

AWD (also FWD, RWD, 2WD, 4WD): These terms refer to how many and which wheels on your car deliver power from the engine to the road surface. AWD means all-wheel drive and generally means there are no buttons, levers or lower gear ranges.

These systems can be full-time, driving all four wheels all the time, or part-time, controlled by computers when conditions dictate the need for more traction. The 4WD label means four-wheel drive and these part-time systems usually have a selector switch or lever to select two-wheel drive, four-wheel drive or even four-wheel drive in a lower gear or locked position for very difficult driving situations.

In 2WD, only the two front or rear tires have power. Traditional RWD or rear-wheel drive is almost always found on luxury cars, sports cars, or racing cars. FWD or front-wheel drive is more compact and is more often found on small cars, minivans and crossover vehicles.

DOHC: Engineering shorthand for double-overhead camshaft. A DOHC engine has one camshaft that opens the intake valves and one camshaft that opens the exhaust valves, a design derived from racing engines. DOHC engines are more complex than single-overhead-cam engines (SOHC) and overhead-valve engines (OHV) but generally make more power and torque at higher rpm levels because they let the engine breathe better.

EBD: An acronym given to the ABS subsystem called electronic brake force distribution. EBD is rapidly becoming standard equipment on cars that already have ABS brakes.

In a panic braking situation, EBD distributes the most braking force to the tires that have the most traction. This helps to keep the car from spinning and reduces stopping distances on slippery surfaces.

ESC/ESP: Electronic stability control or electronic stability program are interchangeable terms for the same software and hardware. An extension of ABS, ESC uses sensors and computers to determine whether a vehicle is oversteering (rear wheels out) or understeering (front wheels not turning in the desired direction).

ESC/ESP reduces engine power and/or applies one of the front or rear brakes to get the vehicle back into its intended path of travel. As a means of protecting against rollover accidents, ESC will be required on all new light vehicles sold in America by September 2011.

GPS: All automotive navigation systems communicate with Global Positioning System or GPS satellites. GPS satellites were launched into orbit by the U.S. Department of Defense but are now used by motorists, hikers and explorers all over the world.

GPS systems are accurate anywhere in the world from 10 to 50 feet. Combined with a CD or DVD map in the vehicle's navigation system, the satellites can track latitude, longitude, altitude and direction of travel in all weather conditions.

I6 (also V6, V8, V10, W12, H4): These terms refer to the number and physical arrangement of cylinders in the engine. The I stands for inline, and means that the cylinders are lined up in a single row, (I4, I5, and I6, usually).

V engines have two rows or banks of cylinders in a V pattern, with three, four, five or even six cylinders per bank, hence V-6, V-8, V-10, and V-12. The W engine used by Audi and VW has three rows of cylinders, in this case four cylinders, making it a W-12.

Other engine designs include H-4 and H-6 engines, horizontally opposed or flat engines with either two or three cylinders on each side, a design used by Porsche (engine in the rear) and Subaru (engine in the front).

The oddball engine on the U.S. market is the Wankel, a rotary engine used only in the Mazda RX-8. It has no cylinders, no banks and no reciprocating parts.

L (as in 1.8L or 3.5L): L is for liters a metric measurement of engine size, also called displacement or swept volume, which has replaced cubic inches in the U.S. industry. It's the total volume of all the engine's cylinders. Smaller engines generally generate less power and use less fuel, larger engines make more and use more, so don't buy more engine than you need.

RSC: One of the newest government regulations proposed for vehicles in the near future is protection against rollover accidents. The system that the industry has created to combat those is generally called roll stability control. RSC uses computers and sensors to analyze vehicle speed, steering wheel angle and body angle.

If it senses that the vehicle is about to roll over, it cuts engine power and applies the brakes on one side or the other to bring the vehicle back to a stable position.

TCS: Like ABS brakes, traction control systems are becoming more widely available, even on low-priced cars, because they add so much safety. A traction control system takes data from the ABS about tire rotation and compares the information in the computer.

If one or two of the tires are spinning faster than they should be, indicating a loss of traction, the TCS system can cut engine power or engine torque going to the tires and apply brakes individually until the tires are all rotating at the same speed again.

TPMS: This is a relatively new acronym that stands for tire-pressure monitoring system. The federal government has mandated that all vehicles in the future should have these systems to protect vehicles and occupants from rollovers and other accidents caused by low or deflating tires.

Some currently available systems work by sending radio messages from each tire to the warning on the instrument panel. Others infer from the ABS system that one or more tires has a different rolling diameter, because it is going flat, than the other three tires and sends a warning to the instrument panel.

VVT: Engineering term that stands for variable valve timing. Until a few years ago, timing the opening and closing of the engine's valves was a purely mechanical function and could not be varied.

VVT systems use a combination of computers, engine oil pressure and mechanical linkages to change valve timing so that the engine idles smoothly, produces lots of power and torque when needed and burns fuel cleanly and economically.

@highlight

Most common car safety system is ABS or anti-lock brake system

@highlight

EBD: subsystem of anti-lock brakes called electronic brake force distribution

@highlight

GPS is system that drives new navigation systems: Global positions system

@highlight

RSC: roll stability control, new government regulation to prevent rollovers