Accra, Ghana (CNN) -- It was no ordinary football match Tuesday in the capital of Ghana, in West Africa.

Partisan fans crowded the stands and players in colorful jerseys competed on the field at Accra Sports Stadium. One team was comprised of retired players from the Ghana Black Stars. The other team was unusual, made up of members of the ruling National Democratic Congress (NDC); the primary opposition party, the New Patriotic Party (NPP); and the Independent Electoral Commission (IEC).

The game was dubbed "Peace Match 2013." Its purpose: A show of unity, and a cooling of tensions, two days before the Ghanaian Supreme Court rules on a sweeping challenge to the December 2012 presidential election.

The famously easy-going people of Ghana are on edge, awaiting Thursday's decision. The drama pits incumbent President John Dramani Mahama of the NDC against his main challenger, Nana Addo Dankwa Akufo-Addo of the NPP.

The IEC declared Mahama the winner of the December 2012 presidential election with 50.7% of the vote, narrowly avoiding a runoff. He was sworn into office in January. The NDC has acknowledged there were some irregularities, but contends they were minimal.

But Akufo-Addo and two other NPP officials sued, alleging widespread mismanagement and voting irregularities at more than 10,000 polling stations, and are asking the Supreme Court to annul millions of votes.

The NPP maintains Akufo-Addo should have won the presidency.

Analysts say the court has three choices: It could throw out all the NPP's election challenges and validate Mahama's election. It could uphold some or all of the NPP allegations, triggering a recount without the disputed votes and realigning the percentages, putting Mahama or Akufo-Addo in the presidency if one or the other tallies 50%+1 or more. Or it could call an entirely new election.

No one seems ready to confidently predict what the court will do.

Nine Supreme Court justices spent 48 days hearing the case, which has riveted the nation.

The proceedings were broadcast live on Ghanian television and radio, the first time the court has allowed such broadcasts. They have been immensely popular.

"Ghanaians are very politically drunk," says MultiTV and Joy Radio presenter and Eastern region tribal chieftain Nana Ansah Kwao. "We all thought it would be a two-week case. So when it started, everyone was glued to the tele and the radio and every dial was on the court."

Across the capital, calls for post-decision calm and national unity are on billboards, banners, across the airwaves and in published statements from both parties and a host of political and social groups. Mahama and Akufo-Addo were to meet to mutually call for calm and respect for the decision, whatever way it goes.

Ghana is one of Africa's fastest-growing economies. It is the world's second-largest cocoa producer, after Ivory Coast, and the continent's second biggest gold miner, after South Africa, according to the United Nations.

But critics say that despite the rich resources that bring billions of dollars annually, the wealth is not trickling down to the rural poor who live on the land where the gold is mined.

Ghana has been largely free of election bloodshed

There is a lot at stake Thursday.

In March 1957, Ghana became the first sub-Saharan European colony to declare independence from a colonial ruler, in its case, Britain. It endured four military coups in the first 14 years, after one of which, three former presidents were executed.

Then, in the election of 2000, it had its first peaceful transfer of power between civilian presidents. The incumbent won a second term in 2004, but term limits prohibited him from seeking a third term in 2008.

In that election, John Atta Mills of the NDC narrowly defeated Akufo-Addo. But Mills died in office last year, elevating his vice president, Mahama to the presidency.

Last December, Mahama ran for a full term against Akufo-Addo, setting off the Supreme Court battle.

The decision and how Ghanaians react to it is significant far beyond its borders.

Unlike its neighbors, Ghana has held successful elections and power transfers since 1992 without descending into bloody chaos.

Just next door, Ivory Coast's 2010 presidential election led to a bloody conflict that left some 3,000 people dead. In Mali, a coup last year opened an opportunity for Islamic insurgents to capture much of the north, leading to a French invasion. Sierra Leone and Liberia have had bloody civil wars.

But Ghana has seen none of that violence, particularly in recent years. Although Ghana's 25 million people represent more than eight tribes and while predominently Christian, has more than 4 million Muslims, it has no history of partisan or religious violence.

Experts credit Ghana's system of sending high school students to boarding schools in other parts of the country for their education, which exposes Ghanaians to other communities and cultures, for creating tolerance and cooperation. For many Ghanaians, the reaction to Thursday's ruling will test that. But most think the reaction will be peaceful.

If that happens, Kwao says he hopes it will resonate across the continent. "I think it would be an extremely good message and that all leaders should look at and by all means emulate," Kwao says, "because as a continent I think we've done ourselves in too long, mostly because of political disagreement. So if we can take this to the Supreme Court and we can accept it, I think the other 52 or 53 nations should look up to it say this is the way forward."

There is one thing Kwao predicts with confidence.

When the Supreme Court convenes on Thursday and the live nationwide television and radio broadcasts go on air, "I think 98% of Ghanaians will be glued to it."

@highlight

Ghanaian Supreme Court set to rule on massive presidential election challenge

@highlight

Decision could remove President Mahama from office

@highlight

Calls for calm and unity sweeping West African country

@highlight

Massive nationwide interest in crucial decision