(CNN) -- Based on profits, Sony Corp. is an outstanding company -- in life insurance sales and hit movies such as the "Men in Black" and "Spider-Man" franchises.

But in the industry where Sony made its name -- consumer electronics -- the company needs a lifeline as it finishes its fiscal year with a record $6.4 billion loss.

New CEO Kazuo Hirai, who took the helm on April 1, promised Thursday to cut 10,000 jobs -- about 6% of its workforce -- in the next year. Moreover, Hirai is refocusing the business away from its once mighty television division to focus on the core businesses of digital imaging, game and mobile products.

"Our entertainment and financial services are poised for future growth," Hirai said. "Our biggest challenge: Rebuilding and future growth of our electronics business. (That) won't come about by easy fixes or tricks. We must tackle it head-on."

The company plans to grow its medical instruments division, he said, and reinvest in research and design. "We must surprise customers with innovative projects, that represents Sony's return to glory.

"Now is the time for Sony to change," he declared, a refrain throughout the hour-long press conference.

Sony faced the same headwinds battling Japan Inc. the past year. The yen reached record highs, eroding profit margins for export-driven companies. Natural disasters hit balance sheets, with record floods in Thailand -- a center for offshore electronics production -- doing as much financial damage as the 2011 Tohoku quake and tsunami for some Japanese firms.

Sony's annus horribilis was further mired by the hacking of its popular PlayStation Network, compromising the personal data of more than 77 million users.

But Sony's problems predate these recent woes -- the conglomerate has failed to turn a profit for the past four years. "If you look at the automobile industry in Japan, it didn't suffer as much as the electronics makers," said Thomas Kang, research director for Strategy Analytics in Seoul. "So you can't just blame the exchange rate -- there's something else wrong here."

The problem, analysts say, represents an existential crisis for Sony: Does it want to be a content company or a gadget maker?

Hirai's steps to scale down its television operations were long overdue, analysts said. "The television business hasn't made any more for the last eight years -- any rational manager would have shut that down by now," said Ben Collett, head of Japanese equities for Louis Capital Markets. "I don't know how you can run a business that loses that kind of money."

The company's share price under previous CEO Sir Howard Stringer hit a high of 7,150 yen in May 2007 in the wake of the company's PlayStation3 release. But the price has dropped nearly 80% in the past five years. "My view on a stock is always relative to its price, and for a long time now there have been better stocks and better companies in almost every line of business that Sony is in, save possibly for its financial services business," Collett said.

For the company that revolutionized the electronics world with low-cost televisions and iconic devices such as the Walkman, the company's core business is now an albatross around its neck -- outmaneuvered by more nimble companies such as Apple and undercut on price by competitors like Samsung.

"In the case of electronics, the life cycle is much shorter, there have been a lot of new breakthroughs," Kung said. "Sony didn't make the right choices when it had to," such as sticking with plasma televisions while Samsung threw its resources into making lower-cost LCD models, Kung added. Or letting Apple and its iPod walk away with the portable music market Sony created.

To be sure, Sony has taken steps toward returning to profitability. The company has also halved the amount of televisions it's projected to sell in the next year. The company bought out partner Ericsson to try to regain a footing in the smartphone market. This month, Sony partnered with Toshiba and Hitachi to create Japan Display Inc., a government-backed project to create smartphone displays.

But Sony's real problem, analysts say, is the company's ability to steer its myriad businesses in the same direction. "The number one thing is, they need a very strong control tower like Samsung and Apple," Kung said. "If you want to move fast, you have a strong control tower."

Hirai acknowledged this in Thursday's press conference, saying the restructured company will be "one Sony, one management."

Consumers and investors will wait see whether this new head of one of Japan's iconic companies can succeed where predecessors have failed.

CNN's Kyung Lah and Jonathan Stayton contributed to this report

@highlight

Sony's new CEO has pledged to cut 10,000 jobs - about 6% of its workforce

@highlight

Comes after the company finishes its fiscal year with a record $6.4 billion loss

@highlight

The iconic Japanese conglomerate hasn't made a profit in four years

@highlight

The firm's electronics business has been hit by low-cost competitors