(CNN) -- It has been a rough couple of months for Netflix. The company that virtually defined online movie rentals was swamped by an unprecedented wave of customer ire two months ago when it raised prices for both its DVD mailing and online streaming services.

Netflix announced this week that it's splitting itself in two and rebranding its movies-by-mail service as "Qwikster." Based on initial online responses, this latest effort didn't make things much better. In fact, it seems to have, in the best cases, re-opened old wounds and, in the worst, given customers a whole new set of issues to be angry about.

"Reed, thanks for reminding me that I should go somewhere else for my DVD rentals. It was an insult enough that you raised the price on me last month, right in the middle of the biggest recession since the Great Depression, but now instead of a sincere apology, all we get is excuses and a flimsy new name."

That's from a customer named Jonathan Ortega and it's one of more than 23,000 comments on a blog post by Netflix CEO Reed Hastings explaining the latest changes. In the post, Hastings announced that the service that made Netflix famous, mailing DVDs in those iconic red wrappers, is being spun off and renamed Qwikster, while Web streaming video will continue to be called Netflix.

Not all the posts took the same flamethrower approach as Ortega's. But even some of the more evenhanded messages raised questions.

"While I appreciate the explanation (and e-mail) and I guess I understand your reasoning for doing this, the thing I'm having the hard time about is the separation of websites," wrote a user named Tellier Killaby Booth. "I don't understand why I will now have to go to two separate websites to manage my queues. The only reason that I have both services is because half the things I watch aren't available yet on streaming."

Chris Taylor of Mashable (a CNN content partner), questioned whether the spin-off of Qwikster was "the worst product launch since New Coke."

"As any marketer will tell you, there are some truly awful times to launch a new product -- like August, when few potential customers are paying attention, or January, when they're all shopped out from the holidays," Taylor wrote. "And then there's launching your new product in the 10th paragraph of an apology for some previous poor communication, as Netflix CEO Reed Hastings did late Sunday with Qwikster. ..."

Taylor, who says he has met and interviewed Hastings several times, calls him "one of the smartest and most amiable minds I've ever met." But he lays out a laundry list of problems, from the odd spelling of Qwikster to creating unnecessary confusion for customers who keep both streaming and DVD service.

And, yes ... that name. Plenty of folks were chiming in about that name -- from its lack of savvy (who's going to remember how to spell that?) to the fact the Twitter handle is already taken to simply mocking yet another random-seeming, oddly-spelled tech startup title.

"It is as though Hastings and the Netflix crew sat in a room and brainstormed the dumbest possible names they could think of and knew they were really onto something truly stupid when they came up with Qwikster ... ," said Huffington Post writer Jason Gilbert in what can only be described as an aggressively snarky post. "My first reaction, when I heard the news, was, "Hey Qwikster, 1991 called, it wants its radical new company name back."

The Internet wasn't unanimously down on Netflix's move, however.

Venture capitalist Mark Suster, who focuses on early stage tech companies, had a more positive take, calling Hastings' explanation "simply brilliant." (Worth noting: His company, GRP Partners, does not list Netflix as one of its investments.)

"[M]any short-termists will think it's a bad idea. Indeed, my Twitter stream tells me so," Suster wrote Monday on his blog. "I find much of the criticism so far fairly reactionary."

He argues that, by splitting off streaming from DVD delivery, Neflix can react more flexibly to the emerging streaming market while maintaining its hold on the mail-delivery market. Keeping them both under one umbrella would have made it harder to respond rapidly to changes in customer demands, he said.

According to Netflix, 9.8 million customers currently have the streaming service only, 2.2 million get DVDs only and 12 million get both. That's a loss of roughly 1 million customers since the price increases were announced in July, with 80 percent of the drop coming from DVD-only customers.

As DVD customers decline in favor of streaming (and Suster says they inevitably will), Netflix may have to raise prices for DVD delivery, but could keep streaming prices the same under this model, he wrote.

"It's rare in business to see somebody like Reed Hastings tackle the massive changes happening to their businesses and deal with them before they're too late," he wrote. "Imagine if the record labels had been as bold. By making the separation, Reed can now point the Netflix business squarely at the future."

Engadget writer Darren Murph also sees the moves as a potentially astute prediction that the future is in streaming video, not DVD delivery.

"Think of it this way: if Reed's forecasting a future where it no longer makes sense to continue the pursuit of a by-mail DVD business, how would he rather say goodbye?" he wrote. "Flushing half of Netflix away and dealing with the backlash? Or quietly shuttering an awkwardly named website no one was particularly enthralled about from the get-go?"

Not that such predictions were doing anything to assuage the customer furor this week.

"This is great news! My dentist just did the same thing. It's so much better," a customer named Bryan Thompson wrote on Reed's blog post. "Now when I have cavities on my top row of teeth I go to one dentist, and when I have cavities on the bottom row, I go to the other dentist across town."

Sanjit Sengupta, a marketing professor at San Francisco State University, understands that response.

"The explanation provided by Hastings in separating the two services into separate business units makes elegant sense to business executives and students but not to all consumers," said Sengupta, the co-author of "Marketing of High-Technology Products and Innovations."

At the end of the day, Sengupta said, it's the pocket-book issue that Netflix is going to have to address above all others.

"I do believe Hastings has got it wrong this time," he said. "And I predict they will have to lower the monthly price of $16 for subscribers who want both DVD by mail and streaming, because the price is not commensurate with value delivered."

@highlight

Responses to latest changes announced by Netflix have been mostly negative

@highlight

More than 23,000 customers comment on a blog by Netflix CEO about the change

@highlight

Under changes, Netflix's DVDs-by-mail service will be re-branded as "Qwikster"

@highlight

Many customers already were upset over price increases in July