The U.S. Army reported Thursday that there were 325 confirmed or potential suicides last year among active and nonactive military personnel.

"Our highest on record," said Lt. Gen. Howard Bromberg, deputy chief of staff, manpower and personnel for the Army.

The grim total exceeds the number of total U.S. Army deaths (219) and total military deaths (313) in Operation Enduring Freedom in Afghanistan, according to figures published by the military's Defense Casualty Analysis System.

For all of last year, 182 potential active-duty suicides were reported, 130 of which have been confirmed and 52 of which remain under investigation, it said.

And 143 potential not-on-active-duty suicides were reported (96 Army National Guard and 47 Army Reserve), 117 of which have been confirmed and 26 remain under investigation.

The total for 2011 was 283 -- 165 confirmed active-duty suicides and 118 confirmed not-on-active-duty suicides (82 Army National Guard and 36 Army Reserve). No cases were under investigation.

The toll comes despite what the military touts as extensive support and counseling programs.

"The Army continues to take aggressive measures head-on to meet the challenge of suicides as every loss of life impacts our family," said Bromberg. "In spite of the increased loss of life to suicide, with calendar year 2012 being our highest on record, the Army is confident that through our continued emphasis in the services, programs, policies and training that support our Army family, we will overcome this threat to our Force."

How virtual reality can combat veterans' PTSD

For years, the Pentagon has struggled with how to identify service members at risk for suicide and to provide counseling and other services. The Army and Navy have focused on teaching "resiliency" to troops in hopes of helping them cope with stress.

Military experts have long said one of the enduring challenges is that there doesn't appear to be a direct link between suicides and the stress of being in the combat zone.

"Nobody knows No. 1, why all the suicides. Nobody has a good theoretical model for explaining this vector, but these are some possible contributors," said Dr. William Nash, an expert in combat stress injuries. "The whole system being strained, more temper, stigma is rampant, leaders who should be getting more education for mental health issues but are not."

Nash said the stigma discourages soldiers from reporting issues related to stress in the combat zone.

"To the extent that a military service branch that is having basically an epidemic of post-traumatic stress disorder  is not embracing it as an epidemic, but instead sees it as 'they're faking,'" he said. "Which has been part of the stigma problem."

Treating PTSD with Ecstasy

The Army's statement said it had expanded the Strong Bonds Program to strengthen relationships and family bonds; certified more than 3,000 additional suicide prevention trainers in the Ask, Care, Escort suicide intervention program; revised the Comprehensive Soldier Fitness program to include family members; increased the volume and availability of behavioral health services; and conducted an Army-wide stand down during Suicide Prevention Month to promote increased leaders' awareness and involvement.

The numbers did not surprise Paul Sullivan, a member of the board of Veterans for Common Sense, a nonprofit advocacy group.

"As the service members return home and as the wars wind down, the mental trauma of war remains and there is an urgent need to make sure every service member receives a psychological evaluation upon returning home, and whenever a service member reaches out for help, the service member needs to receive it immediately," he said.

"In both of those areas, the military is trying to improve, yet it's still falling short. For example, the military is now providing more psychological exams, but it's not doing it for every soldier coming back. And the military still reports that it's short-handed for mental health professionals and, because of the vacancies, that means either veterans don't see a doctor at all, there's delay seeing a doctor, the veteran is put in group therapy instead of individual or the veteran is given prescription drugs instead of receiving one-on-one counseling, which is the best standard."

The suicide hotline is 800-273-8255.

A private-sector group, the Tragedy Assistance Program for Survivors (TAPS), which provides military grief support programs, has reported it receives eight to 10 cases a week of people seeking help dealing with the suicide of a service member. Of the people contacting the organization for care and support, 18% were "grieving a death by suicide," TAPS has said.

Families face more challenges when military parents return

@highlight

The Army reports 325 suicides last year among active and non-active military personnel

@highlight

"Our highest on record," says Lt. Gen. Howard Bromberg

@highlight

The total for 2011 was 283