(CNN) -- Go to the theater?

Visit his hometown?

Drink like an Elizabethan?

What's the most appropriate way to toast the world's best-known writer?

This month marks 450 years since the birth of William Shakespeare.

Bard-o-philes argue over April 23 or April 26 -- the exact birth date is unclear, though historic documents show the date of his baptism as April 26, and newborns were usually baptized within three days of their birth in the 16th century.

Instead of getting into that argument, we prefer to propose six things Bill may have done himself to celebrate the day.

1. Stroll the streets of Stratford-upon-Avon

Shakespeare was born in 1564 in Stratford-upon-Avon, an ancient market town in Warwickshire in the middle of England.

It's perfect for fans of the playwright and also lovers of gardens, cream tea, white swans and black-and-white Tudor buildings.

This quaint town screams England ... or rather, murmurs it politely.

Tea rooms serve cream-loaded scones as big as beef burgers and ale is pumped from 600-year-old pubs.

The playwright's influence is everywhere -- from Shakespeare's Hotel to Hathaway Tearoom to Othello's Restaurant.

But the town's biggest draws are the five houses linked to its most famous son, including Shakespeare's Birthplace and Anne Hathaway's Cottage.

The former is a 15th-century house thought to be where the poet was born.

The latter is the family home of Shakespeare's wife, with beautiful gardens.

Stratford Town Walk is a great way to take in a thousand years of history in two hours.

Tour guide John Hogg, 69, says the walk takes place every day, come rain or shine, even when the River Avon bursts its banks.

Stratford-upon-Avon

2. Join the birthday bonanza

Visitors to Shakespeare's Birthplace on April 23 will be able to sign a guest book that's brought out only once a year.

The book was first signed in 1847 and contains signatures of literary legends such as Thomas Hardy and Charles Dickens.

On the same day, the Stratford-based Royal Shakespeare Company will stage a fireworks show, scheduled to start at 10:30 p.m. from the theater's 36-meter-tall tower.

The company is performing "Henry IV, Part I" and "Part II" during the birthday week.

The traditional birthday procession in Stratford-upon-Avon takes place on the morning of April 26.

Students from King Edward VI Grammar School, where Shakespeare studied as a boy, will parade from the Town Hall to the Holy Trinity Church then place quill pens on the writer's grave.

The procession will be followed by a people's pageant at 11 a.m.

Everyone can chip in to cheer, lament or act like the Bard.

The Elizabethan street party will be joined for the first time by a six-meter-tall mechanical Lady Godiva.

3. Walk the City of London

After leaving his hometown, Shakespeare lived, wrote and acted extensively in an eastern part of London near the River Thames, known as the City of London.

Actor-turned-tour-guide Declan McHugh, 53, hosts a Shakespeare-themed walking tour each Friday -- the tour follows a thread through the cobblestone backstreets of London's financial district.

"There are lots of memorials of one kind or another, including sculptures and plaques," says McHugh. "But many aren't well known and are hidden away in odd nooks and crannies."

Highlights on the 105-minute tour include the sites of the only two documented London addresses where the playwright lived and reading Shakespeare's signature on his housing deeds.

To celebrate the writer's birthday, McHugh will lead two special Shakespeare walking tours in South London (starting at 11 a.m., April 22 and 23), as well as two City Walks (starting at 6 p.m., April 22 and 23).

The Shakespeare City Walk; Â£9.50 ($16); every Friday from 11 a.m.

4. Explore the Globe Theatre

Although the reconstructed Elizabethan theater is no longer standing on its original site (the original Globe, completed in 1599, was about 250 meters to the southeast), it provides a lovely excuse to imagine yourself as an ale-wielding, garlic-chewing, Elizabethan fun seeker.

The theater tour is brilliant.

For a Tudor penny -- or Â£13.50 ($22.75) in today's money -- you're taken through a brief history of the Globe and Elizabethan theater.

You can watch a show at the Globe's new addition, the Sam Wanamaker Playhouse.

The four-month-old candle-lit playhouse is a reproduction of Blackfriars Theatre, another important Shakespearean theater that once existed north of the Thames.

The oak and thatched-roofed structure will open its doors for free on April 21 from noon to 5 p.m.

It will also stage its newest interpretation of "Hamlet" from April 23-26 before the show embarks on a world tour, visiting every country on the planet in the next two and half years.

Shakespeare's Globe, 21 New Globe Walk, Bankside, London; +44 20 7902 1400; opening time varies from month to month, check the official website before your visit

5. Watch fringe events at The Rose

Minutes from the Globe Theatre lay the ruins of The Rose, the first Elizabethan playhouse on Bankside, built in 1587.

They're the only surviving parts of an Elizabethan theater open to the public in London.

The foundations of The Rose were discovered in 1989 under a demolished office block.

Philip Henslowe, the playhouse's owner, kept a detailed diary, documenting everything from how plays were performed to how much had been spent on renovations.

Through this diary, "we know more about Elizabethan playgoing from The Rose than from any other source," says Suzanne Marie, an honorary artistic associate with the theater.

The Rose is now used as a fringe theater.

Plays written by Elizabethan masters are staged here almost every night.

The space also hosts an Open Day every Saturday.

Visitors can watch a 15-minute video about the playhouse's history, enjoy a few fringe-style theater scenes and learn about The Rose Revealed Project, a program aimed to convert the site into a permanent public display by 2016.

The Rose Theatre, 56 Park St., Bankside, Southwark, London; +44 20 7261 9565; Open Day takes place every Saturday from 10 a.m.-5 p.m.

6. Grab a pint at an historic pub

It's hard to know how much or how often Shakespeare drank, but the playwright certainly gave the impression of enjoying a tipple.

Records suggest he rented out half of his old home in Stratford-upon-Avon to a pub called Swan & Maidenhead, which operated for another two centuries after Shakespeare's death in 1616.

The Garrick Inn in Stratford was likely a regular haunt for the bard.

The three-story half-timber building is the oldest pub in town.

It had already existed for about 150 years when Shakespeare was born and was once owned by David Garrick, a renowned 18th-century Shakespearean actor.

It boasts to have served ale since 1594.

In London, things are a bit tricky as the Great Fire in 1666 razed most of the buildings related to Shakespeare.

"The Hoops and Grapes in Aldgate is one of the few buildings in the City of London to have survived the Great Fire," says Matt Brown, managing editor of Londonist.com.

"Its wonky timbers offer a rare glimpse into how much of London would have looked in Shakespeare's time."

The 37-year-old Londoner is a walking encyclopedia of the city's 7,000 or so registered pubs.

He also recommends the Horse and Groom, right next to The Curtain, where "Romeo and Juliet" is thought to have been first staged.

Remains of the early Shakespearean theater in Shoreditch were discovered in 2012.

The Hoops and Grapes, 47 Aldgate High St., London; +44 20 7481 4583; opens 11 a.m.-11 p.m. on Monday-Friday; 11 a.m.-6 p.m. on Saturday and Sunday

Horse and Groom, 28 Curtain Road, London; +44 20 7503 9421; opens noon-midnight Monday-Wednesday; noon-1 a.m. Thursday; noon-4 a.m. Friday; 7.30 p.m.-4 a.m. Saturday; and 3 p.m.-midnight Sunday

The Garrick Inn, 25 High St., Stratford-upon-Avon, Warwickshire; +44 1789 292 186; opens 11 a.m.-11 p.m. Monday-Saturday; 11 a.m.-10.30 p.m. Sunday

Will you commemorate Shakespeare's birthday? Leave a comment -- perhaps a sonnet -- in the comments section.

Tracy You is a freelance writer and journalist based in London.

@highlight

The 450th anniversary of the birth of William Shakespeare is being celebrated in April

@highlight

Visitors to Shakespeare's birthplace can sign a guest book brought out just once a year since 1847

@highlight

John Hogg, 69, leads tours of Stratford-upon-Avon every day, rain or shine