(CNN) -- In dueling speeches that sought to frame the economic debate for their election showdown in November, President Barack Obama and Mitt Romney on Thursday offered differing visions for how to restore strong growth while telling separate Ohio crowds that the other's policies have failed.

The president and the former Massachusetts governor both emphasized particular themes of community in their campaign speeches in a battleground state hit hard by the 2008 recession and its aftermath.

Romney, speaking at a factory in the Cincinnati area minutes before Obama's speech in Cleveland, focused on what he called the president's failure to deliver promised economic growth so far in his first term.

"Talk is cheap," Romney, the certain Republican nominee, said of the incumbent Democratic president. "Action speaks very loud, and if you want to see the results of his economic policies, look around Ohio and the country."

He encouraged voters to ask their friends and neighbors if they are better off since Obama became president, predicting that small business owners, bankers, unemployed college graduates and others will answer no.

Obama, meanwhile, emphasized the election is about a choice for the direction of the country, saying Romney "and his allies in Congress" advocate the same economic policies of tax cuts and deregulation that brought the recent recession.

He cited in particular the refusal by congressional Republicans to accept any kind of tax increase on the wealthy, saying that stance prevented a comprehensive deficit reduction agreement last year.

"The only thing that can break the stalemate is you," Obama said to cheers. "This November is your chance to render a verdict on the debate over how to grow the economy, how to create good jobs, how to pay down our deficit."

The nearly simultaneous addresses reflected what polls have consistently shown -- the economy is the top issue in the November presidential election -- and both campaigns continued their high-stakes efforts to seize the advantage on it.

Obama has been rocked by bad economic news in recent weeks, including a tepid May jobs report and Thursday's news that first-time unemployment claims rose slightly last week.

Last Friday, the president provided fuel to Romney's repeated claims that he is out of touch and his policies have been ineffective by telling reporters that compared to the public sector, the private sector "is doing fine."

Obama clarifies: Economy 'not doing fine'

A new Romney campaign ad Thursday replays the president uttering the phrase several times while highlighting the nation's economic woes by flashing on-screen text: "23.2 million Americans are unemployed," "40 straight months over 8% unemployment" and "middle-class struggles deepen under Obama."

The spot is the first negative ad against Obama by the Romney camp so far in the general election campaign, although super-PACs backing Romney have run attack ads against the president.

Obama tried to play down the rough patch, telling the raucous Cuyahoga Community College crowd that the campaign will be long and tough.

"Over the next five months, this election will take many twists and many turns, polls will go up and polls will go down, there will be no shortage of gaffes and controversies that keep both campaigns busy and give the press something to write about," he said, adding with a smile that "you may have heard I recently made my own unique contribution to that process."

As the audience laughed, Obama added: "It wasn't the first time. It won't be the last."

He summed up the Republican campaign as an attack against his presidency, saying the "scary voice" in television and Romney himself will "tell you the economy is bad, that it is all my fault, that I can't fix it because I think government is always the answer or because I didn't make a lot of money in the private sector and don't understand it, or because I am in over my head, or because I think everybody is doing just fine."

"That may be their plan to win the election but it is not a plan to create jobs," Obama said. "It is not a plan to grow the economy."

He cited the ravages of the recession on the economy and highlighted progress made by his administration, being careful to note that people are still hurting and more needs to happen. At the same time, Obama offered his oft-repeated call for a balanced approach to economic growth and deficit reduction that raises taxes on the wealthy and holds down spending while ensuring that critical areas for future growth such as education, clean energy and infrastructure development get needed money.

In his speech, Romney also stuck with his stump themes, saying Obama blew his chance to fix the economy and now it is time for change.

"My experience in thinking about people who I want to have work for me, whether it's my doctor or the person that's going to be painting the house, I want to make sure they did a good job the first time and if they didn't, I want someone who can do a better job," Romney said.

A survey released Thursday showed that more Americans blame former President George W. Bush than Obama for the continuing economic problems that began in the previous administration.

According to the Gallup poll, 68% of respondents said Bush deserves either a great deal or a moderate amount of blame, compared with 31% who said the former president deserves not much or no blame at all.

In the survey, 52% said Obama deserves blame, with 48% saying he isn't to blame for current economic conditions.

Another poll shows independent voters are dissatisfied with the economic plans of both candidates.

According to the Washington Post/ABC News survey released Wednesday, 54% of independents have an unfavorable view of Obama's plan for the economy, and 47% view Romney's economic plan unfavorably. It says 38% view Obama's plan favorably, compared with 35% who feel the same about Romney's plan.

The survey showing negative marks for each candidate's economic plan reflected strong racial divides among Americans.

White voters were split on Romney's plan, with 42% viewing it favorably and 42% viewing it unfavorably. Minority voters were far less positive, with 68% of black voters and 48% of Latino voters viewing the Republican candidate's plan unfavorably. Both groups gave much higher marks to Obama -- 81% of black voters and 59% of Latino voters had a favorable view of the Democrat incumbent's plan.

Romney's policies reflect the GOP goal of shrinking government and cutting taxes to reduce the mounting federal deficit and national debt. Led by conservatives, Republicans argue such steps will boost economic growth to bring in more revenue -- despite the tax cuts -- and shrink the deficit.

Obama calls for ending Bush-era tax cuts for families making more than $250,000 a year as well as tax breaks for the oil industry and others to increase revenue, while also holding down spending and seeking long-term entitlement reforms.

Both parties and presidential campaigns have been guilty of making dubious claims about the other as the campaign rhetoric has heated up.

Bill Adair, the editor of the Pulitzer Prize winning web site Politifact.org, said his recent fact-checks of the candidates have rated nearly all of their claims to be half-truths.

"The campaigns are cherry-picking statistics that don't tell a full story," Adair said.

Kathleen Hall Jamieson with the Annenberg Center for Public Policy said ad distortions from both candidates in both parties are typical of a campaign that has "specialized in taking words out of context."

Jamieson's office launched its own fact-checking site, Flackcheck.org, to police campaign ads for their distortions. The web site features a montage of television spots that are guilty of using a wide array of deceptive techniques.

"The danger is people hear the sound bite repeated in ads, see it repeated in the news, and lose track of the original context," Jamieson said. "It becomes the reality and in the process, there's a serious deception."

CNN's Shawna Shepherd, Kevin Liptak, Kevin Bohn, Paul Steinhauser, Shannon Travis and Jim Acosta contributed to this report.

@highlight

NEW: President Obama says Republican policies failed before and will fail again

@highlight

NEW: Ask friends, business owners if Obama's policies worked, Mitt Romney says

@highlight

The contenders for president in November both speak in the battleground state of Ohio

@highlight

A new poll indicates independent voters question both candidates' policies