(CNN) -- The hour is almost upon us; FIFA will shortly vote on who will host the 2018 and 2022 soccer World Cup finals.   It sounds like a fairly simple, understated task to complete but the honor to host the tournament has far-reaching ramifications.

The World Cup competes only with the Olympics as the biggest events in global sport; it generates billions of dollars to the economy of the host, and is able to create a "feel-good-factor" that is precious in the current era of austerity.

Unsurprisingly, given the high stakes, the campaigns for the bidding nations have been multi-million dollar affairs, while accusations of vote rigging, bribery and corruption have abounded in global media.

It has been the most scrutinized and controversial bidding process in the history of the game. But why are governments from the USA to Japan gambling so much political and economic capital on securing the rights to host the World Cup?

What is at stake?

There is a good reason why so many countries fall over themselves to host the FIFA World Cup. Since the first low-key event was held in Uruguay in 1930, the tournament has grown into a political and economic phenomenon, not to mention one of the single most-watched television events in the world.

According to FIFA, viewing figures from the 2010 finals hosted in South Africa could have even eclipsed the record set by the opening ceremony of the Beijing Olympics. In Germany this year, 40 percent of the entire population watched their team lose a semi-final against Spain while as much as 90 percent of the Dutch population watched Holland lose against the same opponents in the final.

With the eyes of the world focused on the hosts for the best part of a month, the effect the World Cup can have on a country can be huge. The 1998 and 2010 finals in France and South Africa respectively were feted for bringing together  multi-ethnic populations under one flag, while the 2006 tournament was seen by many as the final piece of Germany's post-Second World War rehabilitation.

Even dictators have got into the act, with Argentina's military junta controversially using the 1978 tournament to bolster its image abroad. But what interests most governments today is the huge economic benefits that hosting the tournament brings.

Bloomberg estimates that Germany made a €150 ($196) million profit from the 2006 tournament. The British government has predicted that a 2018 World Cup in England would be worth $4.7 billion to the country's economy.

For others, like the Qatar 2022 bid, money isn't the real objective; rather a short cut to Qatar being taken seriously on the international stage. With billions of dollars at stake, it's no surprise that the bid process has been long, expensive, at times tetchy, and haunted by controversy.

The favorites

The race for the 2018 World Cup is wide open. All of the bids come from Europe and when FIFA released their technical reports England came out with the highest marks. The country boasts arguably the most watched soccer league in the world, the English Premier League, good infrastructure and, in the bid's own words, the best commercial opportunities.

But the English press has been doggedly pursuing allegations of corruption within the game's governing body, reporting which FIFA and members of England's own bid team have criticized.

Ready to pick up the pieces is Russia. Although their bid report from FIFA faired less well, the Russian government has pledged billions of dollars to build new stadiums and infrastructure. A tournament in Russia would also open a huge, relatively untapped market for FIFA, which has awarded World Cups to South Africa in 2010 and Japan and South Korea in 2002 for similar reasons.

The favorites to host the 2022 World Cup are the USA. The tournament would help to cement soccer's growing popularity in America and build on the gains made when it lasted hosted the tournament in 1994, which broke World Cup attendance records.

If the USA bid fails, the bid with the most to gain comes from Australia. A superb 2000 Sydney Olympics, considered by the IOC as one of the best ever, proves that the Australians have experience in organizing successful international tournaments on this scale. The weather would be perfect too.

But soccer is only the fifth most popular sport in Australia, behind the likes of rugby union and cricket, and arguments with various competing governing bodies angry that soccer would be taking center-stage for a month have troubled the bid.

The outsiders

Everything would suggest that the joint Spain-Portugal 2018 bid is doomed for failure. After all FIFA has already publicly said that it wasn't looking for future joint-hosting of the World Cup after logistical problems at the 2002 World Cup in Japan and Korea. Both countries are also deep in financial crisis.

But recent allegations suggesting that Qatar and Spain-Portugal had agreed a vote swap, allegations both bids deny, have raised the possibility that the bid was enjoying more support within FIFA than many initially thought.

The joint Holland-Belgium bid has been very low key. So low key in fact that the bid team delivered their bid documents to FIFA on bicycle. But that might also go in their favor. Whilst every other 2018 bid has been mired in controversy, Holland-Belgium has been quietly going about its business in the background. Could it be a compromise candidate?

The biggest surprise package in the bidding process for both World Cups has been the Qatar 2022 bid. A tiny, gas-rich emirate on the Persian Gulf, Qatar posses many seemingly intractable problems, namely its size -- the country's population is less than a million -- and the fact that the tournament would take place in the middle of summer when temperatures can hit 50 degrees Celsius (122 degrees Fahrenheit).

But a well-funded, innovative campaign has come up with a new form of zero-carbon air conditioning technology to be used in the stadiums, technology that could then have application in the third world afterwards.

The Middle East's first World Cup would also appeal to FIFA's desire for the tournament to have a social legacy long after it has finished. Some European bookmakers even have Qatar down as favorites.

Bringing up the rear is Japan and Korea. Despite both countries joint hosting the tournament in 2002 Japan and Korea believe they can go it alone. Japan appears to have very little support for the bid within FIFA. And the recently revived tensions between North and South has destroyed a key element of the Korean bid; namely that the World Cup could help to ease reunification between the warring countries.

Who has been involved?

With the world's media watching on Thursday, the bid presentations can't just be trusted to a handful of faceless bureaucrats. Oh no. Each country has called on the great and good from the spheres of celebrity and politics to come and endorse the bid and shake some palms in the crucial final hours.

The England bid team arrived draped in royalty. As well as Prime Minister David Cameron, Prince William also joined David Beckham, one of the most famous sportsmen in the world. Cameron will be aware that intense last-minute lobbying by former-leader Tony Blair helped snatch the 2012 London Olympics.

Other big political beasts are also involved. Former U.S. President Bill Clinton has been confirmed to appear with the USA 2022 bid, along with the Hollywood actor Morgan Freeman, whilst Russian Prime Minister Vladimir Putin is rumored to be putting in an appearance to bolster his country's 2018 campaign.

With home-grown celebrities thin on the ground, the Qatar 2022 went about collecting the great and good of the game to extol the virtues of their bid. Barcelona coach Pep Guardiola, who used to play in Qatar's domestic league, has endorsed what would be the Middle East's first World Cup, as has France legend Zinedine Zidane.

But the most glamorous bid has been from Australia 2022. None other than Nicole Kidman narrated the original bid presentation, and singer Kylie Minogue is rumored to be turning up. But in Zurich they will be relying on the talents of ex-super model Elle "The Body" Macpherson, who is hoping to have the same impact that Claudia Schiffer had when she was parachuted in before Germany's successful bid to host the 2006 World Cup.

Her impact was such that even Nelson Mandela and his South African bid were eclipsed. FIFA members still refer to the so-called "Claudia effect".

Controversy

The bid process has been by far the most controversial that FIFA has ever overseen. Its decision to decide the fate of both the 2018 and 2022 bids at the same time has been widely criticized for encouraging vote collusion between bids -- an accusation FIFA deny.

But it was the revelations by the British newspaper the Sunday Times that has marred the process. Undercover journalists secretly filmed two members of FIFA's then 24-strong executive committee allegedly offering to sell their votes.

Amos Adamu of Nigeria and Reynald Temarii of Tahiti were both suspended by FIFA's ethics panel following the revelations, reducing the voting number to 22. The same ethics panel also cleared the Qatar 2022 and the Spain-Portugal 2018 bid from colluding to vote for each other, allegations that had been made following the Sunday Times investigation.

Another investigation by the British press, closer to the bid date, has made further uncomfortable accusations about three other FIFA members. Last Monday the BBC alleged that Issa Hayatou, president of the Confederation of African Football, Nicolas Leoz, president of the South American football confederation and Ricardo Teixeira, head of the Brazilian football association, all took bribes during the 1990s.

In the short term it is likely that the allegations will hurt the England 2018 bid hardest. The chief executive of the England bid, Andy Anson, dubbed the BBC "unpatriotic" for screening its Panorama investigation into FIFA so close to the vote and fears that the British press may have upset other members of FIFA's executive committee who may now not vote for it.

But if FIFA's members decide for a clean break to distance itself from the corruption allegations, the race becomes totally unpredictable, and a shock could be on the horizon.

@highlight

FIFA's executive committee will vote on the hosts of the 2018 and 2022 World Cups

@highlight

British govt. predicts 2018 World Cup in England worth $4.7 billion to economy

@highlight

Qatar's 2022 bid would see the event take place in temperatures of 50 degrees

@highlight

Each country has called on celebrities and politicians to endorse the bids