(CNN) --   The death of boxing champion Mike Tyson's 4-year-old daughter after a treadmill accident highlights the issue of hidden dangers in the home.

Exercise equipment injures more than 25,000 children each year according to one safety organization.

While most parents know enough about covering outlets and keeping poisonous household cleaning products locked away from the reach of their small children, most homes still have less obvious safety hazards that can have disastrous results for curious tots.

"Parents often overestimate their child's intelligence, and underestimate their abilities," explains Chrissy Cianflone, Director of Program Operations at Safe Kids USA, a nonprofit organization focused on preventing accidental childhood injury.

Case in point: falls from windows. Though a parent might not regularly open windows in the house, it does not mean a child can't or won't. Placing furniture close to windows is a commonly overlooked safety hazard; it allows children to easily climb up and out of the opening. Relying on screens to protect against falls is an inadequate solution, since most screens can't hold the weight of a child. Window guards are a safe choice: they offer protection and cost less than $30 each on average.

Window treatment cords are another common, hidden pitfall. To prevent accidents, parents should tie up any cords from blinds or curtains, high enough out of a child's reach, and make sure there is no furniture placed close by that would invite little ones to climb. Cianflone warns against unwittingly placing changing tables and cribs within reach of the window coverings.  Dr. Gupta: Watch more on hidden dangers in the home »

Power cords are a source of manifold dangers. They can cause electrical burns, strangulation, tripping, and serious head trauma from appliances being pulled down by little hands or feet. Parents should unplug and secure power cords whenever possible, and move appliances out of the way.

With respect to home gyms, more than 25,000 children each year are injured from exercise equipment, including stationary bicycles, treadmills and stair climbers, according to the Consumer Product Safety Commission. Many of those injuries are related to power cords.

Police in Phoenix, Arizona, say that Exodus Tyson was injured and later died after being strangled by a cord connected to the treadmill, possibly while playing with the machine. Her mother performed CPR after the accident but Exodus was in need of life support by the time authorities arrived.

Since it's usually impractical to unplug a piece of exercise equipment after every use, parental supervision is the primary means of avoiding accidents. Cianflone warns that if you have a home gym, "make sure to limit your child's access to that room. Keep the door shut and locked if you can, and if you have to leave the room, take the child with you."

Furniture tip-overs are another major unsuspected hazard. A 17-year study published in May 2009 by the Center for Injury Research and Policy at Nationwide Children's Hospital found that capsized furniture sent an average of 15,000 children a year to the emergency room.

The most commonly toppled furniture pieces are dressers and flat-screen television sets. Pulling out one or more dresser drawers decreases the stability of the piece if it isn't attached to the wall. Inexpensive wall mounting kits, available at hardware and baby stores, can secure up to 400 pounds of weight.

Similarly, flat-screen TVs -- lighter and less stable than their predecessors --  should be mounted to a wall when possible. If that's not an option, Cianflone recommends positioning the set far back on a stand, enough so that a child climbing the stand would still be unable to reach it.

Parents should also keep tabs on toy and product recalls, in case any purchases are found to be potential hazards. A simple method to stay aware is to sign up for recall alerts via email from the Consumer Product Safety Commission.

A child's ability to get into certain types of trouble varies with the age and developmental stage of each individual child. For general guidelines, parents can go to Safe Kids for an age-based breakdown of hazards.

Most critical is for parents to be aware of their particular child's abilities and level of curiosity. "Nobody knows a child better than the parent, so it's important to be well-educated so a parent can take the steps necessary to mitigate hazards for their own child," says Cianflone.

@highlight

Death of Exodus Tyson puts spotlight on hidden household hazards

@highlight

Police: Mike Tyson's 4-year-old was accidentally strangled with treadmill cord

@highlight

Falls from windows, furniture and flat screens that tip over cause many injuries

@highlight

Parents need to be aware of their own child's abilities and level of curiosity