(CNN) -- Summer is a time when people ritualistically hit the gym to trim down for swimsuit season, working out to look good in a bathing suit. But this time three years ago, all Kit Ooraikul wanted was to be able to move again.

He was struck with Guillain-Barre Syndrome (GBS), a disorder in which the body's immune system mistakenly attacks the nervous system. He spent months lying in a hospital bed, watching his muscles deteriorate. Finally, his health started to improve enough for him to go into rehabilitation.

In rehab, he started running. It was his way of building back the muscle he'd lost. But after he was discharged, he needed something to keep him moving. That's when he turned to RunKeeper, a fitness application that tracks, maps and records the progress of its users' running activity.

"I couldn't see myself just running on my own without some motivation tool," the 37-year-old said.

Ooraikul is one of many people using fitness apps and sites to get in shape. More than 10 million people use RunKeeper, according to the company. It's just one example of the exponential growth of fitness apps available online and via mobile devices.

From social media networks to videogame-like interfaces to health resources, technologies like RunKeeper are transforming the way Ooraikul and others approach fitness.

Work out with your social network

You can be an athlete at any age. That's what Canadian Virginia Champoux said she learned from using a fitness app. Two months ago, a close friend introduced her to the app Fitocracy. It was then that she decided to be more than just active.

"I am 42 years old, I have kids and I work in retail, so I am on my feet all day. I am active. But in my 40s I told myself I was going to be fit," she said. "This is the new me."

Although always on the go, this busy mom logs her daily workouts consistently.

"It works as a way to reach my fitness goals, but it also is helping me on a deeper level," she said.

Champoux finds herself making more health-conscious decisions since starting Fitocracy. "Last night my husband was like, 'You don't look so good,' and I was like, 'Yeah, I am frustrated, I am going out for a run' at 8 in the evening. It was either wine or running, and I choose to go for a run," she said. "It's a life change."

It also keeps her diligent about her workouts. "It is motivational and it offers me support. It's the social aspect that helps," she said.

Fitocracy has more than a half-million users, the fitness app reports. Although that number is nowhere near those of other social networking sites, it's a dramatic growth for the niche app, which is geared toward bringing together users who share a common interest of increasing fitness and physical activity.

Fitocracy started off with only a few thousand users during its beta testing days in 2011. Now, it is growing in popularity with fitness enthusiasts who use the iPhone. The fitness app functions as a social networking site with a videogame-style interface that lets users "level up" based on their physical activities.

For Champoux, Fitocracy's social network makes the app an invaluable resource. "It is literally a social network for working out, like Facebook for fitness," she said. "It is very motivational because it allows me to work out with my social network." The application gives her the opportunity to build relationships with others trying to meet their fitness goals.

"I have friends on Fitocracy that I have never even met," she said. "People keep track of each other and it is very encouraging."

Be fit at any age

Middle age met the digital age for fitness enthusiast Karen Waldkirch. The 51-year-old Milwaukee resident was introduced to Fitocracy and Calorie Count by her son. At the time, she was on weight loss program Jenny Craig, and playing tennis occasionally, but she wanted to make sure she stayed on track.

"I knew I was going to lose the weight," she said. "But I didn't want to gain it back."

By combining Fitocracy and Calorie Count, Waldkirch found resources that filled the gaps in her diet and exercise plan. Calorie Count allows her to record and monitor what she is eating, while Fitocracy works as a fitness motivator.

"It is a little extra push," she said. "It is this weird dynamic that gets into your head. You are sitting on the couch, watching TV and you think, 'I better get off the couch and get some points.'"

Waldkirch says the apps she uses help her physically and mentally. "In a funny way, it kind of enriched my life. It gave me tools to help me. It happened to come along and it really raised my self-esteem."

Although she is a relatively active person, Waldkirch says it is easy for people her age to become complacent when it comes to fitness. "I wish people my age would look to tools like this and think, you don't have to accept your body is declining," she said.

"Technology doesn't have to make you lazier; it can do the opposite."

Get motivated to 'just do it'

One year ago, Jason Tolentino tipped the scale at 230 pounds. It was a combination of a poor diet and eating out every day that lead him down his weight-gaining path.

But one day Tolentino said to himself, "Just do it," and he strapped on a pair of sneakers and ran, jogged and walked a little over five miles.

"I think what got me going was anger and willpower. I was angry at myself, and I was motivated," he said.

He started using Nike+ as a way to monitor his physical activities. Nike+ is a fitness app that allows its users to track their physical activities, which it then displays using visually rich graphs. The app also lets users share their fitness progress with other users.

Monitoring progress is a big part of why the San Francisco resident uses Nike+ consistently.

"The Nike+ app was the greatest thing that happened because it kept me going," Tolentino said. "When you look at the app and you can see your progress and see that I started off at zero and I ran 700 miles, it is incredible."

But the app didn't instantly turn Tolentino's life around.

"When I first started running, I told myself and other people that if I am running I can keep eating, but that isn't how it works," he said. A year of complete diet change -- worked out through trial and error -- and increased fitness helped him drop the weight.

"It may sound clichÃ©, but I want to live a healthier lifestyle and inspire others," he said with regard to why he decided to lose weight.

"I inspired a few friends to go with me on my runs and they are also living a healthier lifestyle. At the same time, I'm unemployed and it's the best way to improve myself," he said.

Work on a better life

The day David Eickelmann and his wife had their daughter Brianna, his life changed. His family was changing, and he wanted to change, too.

He was living a sedentary life, spending many hours on the couch watching television or surfing the Internet. His lifestyle led to overeating and it started to show around his waist. Curious about calculating body fat and increasing fitness, the Flensburg, Germany, resident discovered WeightTraining.com, a website aimed at tracking its users' weight training and fitness progress while also offering video and fitness tutorials.

"I had never considered using (a fitness site) before, but when I started doing the data entry to get my body fat percentage, I became really curious about the other aspects of the site, and that was what got me started," he said.

Easy data entry makes the site convenient for him, and it encourages him to set more personal fitness goals. His overall goal is to gain more energy for his family's sake.

"I think a large part of who we are is developed when we're young," said Eickelmann. "I think that if my wife and I do a good job of presenting ourselves as positive role models in all facets of life, as my daughter goes through her childhood, being fit will become a part of her life as well."

It's not only about you

Ooraikul admits he was never a runner. He's more concerned with keeping up his endurance after GBS than becoming an athlete. And years after his hospitalization, Ooraikul says his fitness is not only about him anymore.

"It was not about returning to just a level of fitness. We just had a baby and I wanted to quickly get back to shape so that I can actively engage with her as she grows up," he said.

Even after three years, Ooraikul still uses RunKeeper because he knows how fast life can change.

"Experiencing GBS, you find out how quickly health can disappear," he said.

"You should try to keep up with your levels, because you don't know when you won't be able to do the things you want to do."

When he talks about using RunKeeper, he can't help but be reminded of his time spent in rehabilitation. "During rehab they group you with people with spinal cord injuries, and you think, 'I will get better,' because that is how GBS works, but they will not get better. They are just trying to get to a level where they can cope (with) what happened to them," he said.

"When you see something like that, you want to get healthier."

@highlight

Fitness apps allow people to remotely work out with their social networks

@highlight

RunKeeper, a running application, has more than 10 million users

@highlight

Videogame-style interfaces on fitness apps are motivating people to exercise

@highlight

Fitness apps and websites function as workout guides and health resources