(CNN) -- Republicans have been engaged in a lot of soul searching since the election. There are many reasons that they were not happy about the outcome of the election, but most frightening of all for the party was the fact that demographic changes and public opinion on social issues like gay marriage and abortion seem opposed to the party's stances. "I went to bed last night thinking we've lost the country," said radio host Rush Limbaugh.

To be sure, Republicans did well with large swaths of white voters and much of the map remained red. Yet Republicans clearly had trouble attracting Latinos, African Americans, Asians, women, younger college-educated voters or working class voters in states like Ohio and Pennsylvania. Polls show that Republicans are out of step with where most Americans are when it comes to the big social and cultural issues of the day.

Many voters felt that the GOP looked stale while Democrats, even after four years with President Obama in the White House, looked like the party that was fresh and moving in a forward direction. The question that many are asking is whether it is possible for the Republicans to really remake their image, to sell themselves as a different kind of party that speaks to the future and not the past?

The answer from history is yes. Between 1928 and 1936 Democrats redefined themselves from a party that appealed primarily to urban machine voters and Southern rural voters into a national party that represented a broad coalition of industrial workers, progressive business leaders, university experts, farmers, immigrants and African Americans. The coalition would endure for decades, sustaining the party into the 1970s.

Jindal: How Republicans can win the future

Republicans remade their image between 1974 and 1984 by scrapping the image of their party that had been seen as corrupt after the Watergate scandal as well as a party that had little to say to younger generations of Americans. In the late 1970s and during Ronald Reagan's presidency, the GOP became the exciting party of the future, bringing together a coalition of the religious right, neoconservatives, Southerners, financial and business leaders, and "Reagan Democrats" who bolted with their party.

In each case, the parties made a number of crucial moves that were vital to the transformation. Investing in the world of ideas helped give the parties some intellectual firepower. Franklin D. Roosevelt drew on some of the best and brightest social scientists, most evident in his Brains Trust, that introduced into the campaigns and Washington new programs for dealing with pressing social problems.

During the 1970s conservatives invested huge resources in creating new think tanks, to counteract liberal institutions like Brookings, and nurturing conservative intellectuals in the universities, all of whom contributed to the strength of Ronald Reagan's arguments about deregulation, supply side economics and fighting communism.

The next important step was to figure out ways to pick off key parts of the electoral base of the opposition, which was in some ways central symbolically to demonstrating that the electoral winds had shifted.

Frum: Can GOP handle prosperity?

During the 1930s, FDR did well with African Americans as well as some Midwestern progressives, both constituencies that had made their home in the GOP until that time. But FDR demonstrated that he was the candidate better prepared to fulfill their ambitions.

Reagan did the same with Southerners who had been so loyal to the GOP as well as with neoconservative Democrats who were frustrated with their older party's foreign policies.

FDR and Reagan themselves were also central to the story. In the 1930s and 1980s, having a charismatic and transformative leader who could define the party, and not just represent it, helped shift how people felt about these political leaders.

During the 1930s immigrants hung pictures of FDR in their saloons and Americans listened on pins and needles to every word he said on his "fireside chats." Reagan also proved hugely popular even with voters who were not fully comfortable with his views.

Today, Republicans need to find a little of all these things if they want to make a serious push to move forward. In the search of a compelling agenda, they will need to nurture new intellectual voices like Yuval Levin at National Affairs. They will need to move forward on immigration reform which gives them the best chance to pick off some of the voters who brought Obama into office.

They will need to challenge some of their own orthodoxies in an effort to move forward on big policy challenges as U.S. Sen. Saxby Chambliss, R-Georgia, recently suggested when he took aim at Grover Norquist. "I care more about my country than I do about a 20-year-old pledge," he said with regard to the now famous promise, organized by Norquist, never to raise taxes. Others in the party, including Sen. Lindsey Graham and Rep. Peter King, agreed with Chambliss.

They will need to find a leader, unlike any in the pack in recent years, who can shine on the campaign trail and who has the capacity to give the GOP a new brand name rather than just convincing voters to dutifully vote the party line.

Transformation is possible, but not easy. Unless the GOP can take these kinds of steps it will continually struggle to retain the segments of the vote it already has, while ceding even more ground to the Democrats.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Republicans are debating their future after a disappointing election

@highlight

He says GOP lost many demographic groups, seems out-of-step with America

@highlight

Zelizer: History shows it's possible to find ways to turn the party's fortunes around

@highlight

He says GOP needs new ideas and new leadership to transform itself