(CNN) -- New York prosecutors dropped charges against one of two men arrested in a chaotic motorcycle chase that ended in the beating of SUV driver Alexian Lien. It started when his Range Rover collided with a motorcycle in a phalanx riding down a Manhattan highway on Sunday. Video, taken by a camera on the helmet of one of the many bikers who chased Lien as he sped away, shows bikers catching up with Lien's SUV and bashing its windows.

This has brought bikers under intense scrutiny. But I'll say it: Motorbike enthusiasts, on the whole, get a bad rap. A minority of them cause trouble, sometimes a lot of trouble, which causes an undeserved prejudice against the majority. And that prejudice can subtly influence law enforcement, just as it can the public at large.

Bikers have a rich history of misbehavior. In the most infamous case, the Rolling Stones hired the Hell's Angels to provide security at a concert in 1969 at Altamont, California. A member of the audience was killed by a gang member, reaffirming the bikers' reputation as thugs.

Most bikers who tarnish motorcyclists' reputation commit far less dramatic and tragic acts. Riders do themselves no good when they remove the perfectly operational mufflers from their bike for maximum urban volume or pop wheelies in a downtown metropolis.

At minimum, these riders are massively annoying, and at worst, they are very dangerous. Either way, the bias against many is caused by the few.

The transgressions of a few bikers do not represent the true biker spirit, which is a celebrated part of Americana. Like the cowboys and horsemen of the frontier, riding the open road exemplifies the rugged individualist tradition of our country. But like many issues in society and law, often the actions of few negatively affect the policies applied to the rest of us.

How important is bias? The arrest, and the almost immediate dropping of charges, demonstrate how fine the line is between "criminal" and "victim" in a police investigation.

Bias works both ways. Have you noticed that every news story has mentioned "Range Rover" several times? What if the Range Rover was a Lamborghini? How about a 1980 Ford Pinto? Would that make the driver more sympathetic to you? Less sympathetic? Bias is intrinsically neither evil nor good. It just is.

How fine is the line between victim and defendant? Consider how the law might apply to these facts:

First, in the video, a motorcyclist appears to deliberately slow down in front of the SUV, which then collides with the cycle. The law in most states presumptively holds the rear ending vehicle liable. If the driver in front makes a sudden stop, that can overcome this presumption. But in the case of rear enders, even defense attorneys will often concede liability, so it's certainly possible that a jury could find Lien completely at fault for an accident.

Second, as bikers surround his vehicle, Lien speeds away. As he drives off, motorcyclist Jeremiah Mieses is run over in the chaos. Mieses remains hospitalized with two broken legs and spinal injuries and might be paralyzed for life. Those are very serious injuries under any civil standard or penal code.

If it's proven that Lien ran over Mieses, he could be considered a "fleeing felon." New York, like other states, criminalizes leaving the scene of a motor vehicle accident. In a case like this, in which someone is seriously injured, flight is a potential felony. So was Lien fleeing for his life, or was he a fleeing felon?

Third, it's true that a lot of bikers gave chase. Was this alone permissible? In New York, a citizen acting on his own may use non-deadly force to prevent the escape of a person who has committed a crime. Lien's tires were slashed and his windows bashed in. Was that appropriate force? Those acts themselves are non-deadly. If so, were the bikers apprehending a fleeing criminal within the law?

Finally, if any of the bikers charged claim they were justified in preventing the escape of a criminal, the burden is on the prosecution to disprove it and disprove it beyond a reasonable doubt.

Police officers have the unenviable task of making snap judgments under chaotic circumstances. They're human, as is their process of assigning blame. New York Police Commissioner Ray Kelly says the investigation is continuing. More arrests on more serious charges may follow.

Motorcyclist Christopher Cruz faces reckless driving charges after police say he was the one who slowed down in front of Lien's SUV and touched off the whole bloody encounter. Nobody has been charged yet in the actual beating that sent Lien to the hospital, but Cruz's attorney has told reporters that his client is not guilty.

What would you do? Whoever is charged, you have this dilemma. Party No. 1, a young male member of a noisy biker rally carving up the West Side Highway vs Party No. 2, a 33-year-old dad out for a Sunday drive with his wife and baby. Who do you think gets the benefit of the doubt in a close call? That's bias. It's not intentional, and it's not categorically evil. It just is.

But a lot of people don't realize that there's often a fine line between criminal and complaining witness in our criminal justice system. The proliferation of technology and video evidence has made investigations more objective, but it's unreasonable to think humans can cure themselves of all prejudice.

Are bikers discriminated against unfairly? Maybe. But the alternative for them is taking up a less controversial pastime, and I don't see them trading their rides for golf clubs anytime soon.

The opinions in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: Case of driver beaten by motorcyclists raises issues of bias

@highlight

Cevallos: Motorbike enthusiasts get a bad rap for the transgressions of a few

@highlight

The true biker spirit is a celebrated part of Americana, Cevallos says

@highlight

He asks: In a trial that puts a man in a biker rally vs a dad in an SUV, who wins?