(CNN) -- A German citizen of Afghan descent was the source of much of the information on a potential "Mumbai-style" terror plot in Europe, a German counterterrorism official said Wednesday.

The man, Ahmed Sidiqi, was detained in Kabul in July and transferred to U.S. custody where he has "revealed details about the terror plot," said the official, who did not want to be named because he is not authorized to talk to the media.

The man and several other Germans traveled from Hamburg to the Afghan-Pakistan border area in 2009, where he joined the Islamic Movement of Uzbekistan, an extremist group allied with al Qaeda, German intelligence officials said.

Sidiqi, once captured, "started to talk a lot," and detailed a "Mumbai-style" attack in Europe, the German official said.

Eiffel Tower evacuated after bomb threat

Ten men launched a carefully planned attack on buildings in Mumbai, India, on November 26, 2008. The attack on such prominent sites -- such as the Taj Mahal Palace and Tower hotel, the Oberoi-Trident hotels, the historic Victoria Terminus train station and a Jewish cultural center -- lasted three days and killed 164 people.

Sidiqi is from Hamburg where he worked for a cleaning company at the Hamburg international airport, the German official said.

He attended the Masjid Taiba mosque, formerly known as the Al-Quds mosque, in Hamburg, which became known as the meeting place of those behind the September 11, 2001, attacks on New York and Washington.

Among those who prayed there was Mohammad Atta, one of the hijackers who commandeered the first plane that crashed into New York's World Trade Center. Sidiqi was part of Atta's circle, the official said.

Hamburg shut down the mosque this year, not long after Sidiqi's capture.

National Intelligence Director James Clapper would not talk about a plot Tuesday evening.

"We are not going to comment on specific intelligence, as doing so threatens to undermine intelligence operations that are critical to protecting the U.S. and our allies," he said. "As we have repeatedly said, we know al Qaeda wants to attack Europe and the United States."

Meanwhile, a federal law enforcement official in the United States, said "the volume seems to be turned up" on the threat information coming out of Europe.

The intelligence indicates there is interest in using people with Western passports in an attack, that official said. This source says the potential operatives may be a mix of Europeans and others possibly including North Africans, Pakistanis, Turks, Uzbeks, and Tajiks.

There is concern about an "active shooter" scenario that would create as many casualties and as much chaos as possible in a short period of time.

The Mumbai attacks showed how effective this kind of an attack can be in drawing attention.

According to this source, economic targets in Europe could be possible targets, including institutions such as banks and stock exchanges.

A separate law enforcement source said "the belief is" that Osama bin Laden signed off on a European attack plan, and that source confirmed the intelligence related to a Mumbai-style attack.

The German government is increasingly concerned about the number of Germans becoming jihadists. According to a senior German counterterrorism source, some 200 individuals have traveled to train with Jihadist groups in the Afghanistan-Pakistan border region since the 9/11 attacks.

The potential plot against Europe was one factor contributing to the uptick this month in missile strikes by unmanned drones against terrorist targets in Pakistan, according to a U.S. official.

"We would be remiss not to try to take action to thwart what might be underway in Europe," said the official.

The official emphasized that the potential plot was not the sole factor.

U.S. officials say they are taking advantage of what they call "precise intelligence."

Most of the drone attacks this year have been focused on North Waziristan, a mountainous area bordering Afghanistan where Pakistani security forces have little control. That has continued to be the pattern this month.

Based on information from Pakistani officials, CNN estimates there have been 20 drone attacks in the area in September alone, a higher number than in any previous month, and more than twice the monthly average.

Acknowledging the spike, one U.S. official told CNN: "Our operational tempo has been up for a while now, we have good information driving it, and given the stakes involved, we hope to keep the pressure on as long as we can."

According to the official, the mix of threats remains the same. It comes from groups like the Haqqani network, al Qaeda, the Afghan Taliban and the Pakistan Taliban. The threats they pose are "all deadly," said the official.

Pakistani officials say many recent strikes have been aimed at compounds in or around the town of Miramshah, a stronghold of the Haqqani network.

Western intelligence officials have long regarded the Haqqanis as one of the most dangerous terror groups and have linked them to several attacks in Kabul.

Intelligence analysts point to other reasons for the escalated drone attacks.

They include better information from sources in the border area and better surveillance technology -- including the growing use of spy balloons fitted with high-powered cameras.

In addition, the rising number of drone strikes is designed to deprive the Afghan Taliban of "strategic depth" as the Obama administration's campaign to defeat the insurgency enters a crucial phase and tighten the noose on the senior al Qaeda leadership.

Pakistani officials say one strike last weekend killed Sheikh Mohammad Fateh al Masri, described as the group's senior operational commander.

CNN's Pam Benson, Paul Cruickshank, Tim Lister and Jeanne Meserve contributed to this report.

@highlight

Man talks about a "Mumbai-style" attack in Europe, official says

@highlight

He attended the same mosque in Hamburg as 9/11 hijacker Atta

@highlight

Europe plot is one factor in the increase in drone attacks in Pakistan

@highlight

U.S. officials say they are taking advantage of what they call "precise intelligence"