(CNN) -- Is college worth the cost? The question has echoed in the halls of government, over the family dinner table and throughout the media for decades. But the alarm bell has rung even louder in recent years, when student loan debt in the United States grew to over $1.2 trillion and tuition increases continued at nearly triple the rate of inflation.

Just this summer the debate about the cost of college seemed to reach a fever pitch, as dueling perspectives seized national headlines.

On the one hand, Senator Elizabeth Warren bemoaned the fact that "Millions of young people... can't buy homes, they can't buy cars ... all because they are struggling under the weight of student loan debt." In the same vein, President Obama declared that "we're still seeing too big a debt load on too many young people" as he signed an Executive action that would extend income-based repayment programs for graduates who can't earn enough to handle loan payments.

But on the other hand, a Brookings Institution study released just days later offered a starkly different message. Prominently covered by the News/Opinion vertical at The New York Times called "The Upshot," the study said that "the impact of student loans may not be as dire as many commentators fear." David Leonhardt of the New York Times crystallized the argument with a headline reading, "The Reality of Student Debt is Different From the Cliches." He pointed out that students with six figure debt loads represent a fraction of the overall picture and cited data that the ratio of borrowers' monthly loan payments to monthly income has remained consistent when measured since the early 1990s. The authors of the study further questioned whether student debt was creating any kind of drag on the economy at all.

So the question arose, was all this effort for student loan reform at the highest level of government an overreaction? Perhaps just a symptom of simplistic media coverage? Was The New York Times' own magazine cover about "boomerang kids" (featuring a recent graduate with $80,000 in debt living at home) or  its front-page series on "Degrees of Debt" (featuring "a generation hobbled by the soaring cost of college") just another media clichÃ©? Certainly a media organization can accommodate competing perspectives, but was the take away that we should finally stop worrying and sign every student up for more loans already?

It became quickly apparent, however, that the Brookings study had its flaws. One notable omission was the fact that 70% of the class of 2014 would graduate with an average debt of $33,000 per borrower, as reported by The Wall Street Journal.

Analysts also criticized various aspects of the study's method. For example, using data from 2010, the Brookings authors define "young households" as homes headed by people ages 20-40. This dataset includes people who graduated college in the early-1990s, when average debt per borrower was less than half what it is today. Perhaps even more importantly, this dataset excludes young people still living at home with their parents and therefore not the heads of their households. Such an exclusion is significant, since one in five college graduates under age 35 still live at home, and they are most likely the graduates with the highest debt levels (hence the phenomenon of "boomerang kids").

Another important caveat is the fact that the average repayment period on student loans has increased from 7.4 years in 1992 to 13.4 years today. So while monthly payments may be similar to what they were twenty years ago, they now last for almost double the time. This is where the meme of "student debt slavery" enters the conversation. It used to be the case that student loan debt could be paid off by the time one might decide to start a family and buy a home. But now, there is a sense that student loan debt will haunt borrowers deep into adulthood, negatively affecting their ability to make life choices that are part of a healthy future and a key to the health of our economy.

Perhaps the biggest oversight in the Brookings study, though, is that the data includes only borrowers actually making monthly repayments on their debt. Thus the study doesn't include all those who are in default, deferment or forbearance. And as data released in August revealed, less than half of student borrowers are actually paying their federal loans back on time, with defaults on the rise.

So the Brookings argument reads a bit like a tautology: those who are not having trouble paying back their loans are not having trouble paying back their loans.

But lets take a step back from all of this data-crunching about student debt, and consider an even more fundamental question: is higher education a public good that benefits the whole country, or is it simply a private good that adds to an individual's net worth? This is the culturo-historical perspective that Ivory Tower seeks to explore in order to come to a more nuanced understanding of whether college is worth the cost.

From the arrival of the first colonists in New England, college in America has been a place for the moral development and intellectual uplift of young people. By the time of our nation's founding, college had expanded from an institution simply meant to train the clergy to a critical component of a nascent democracy. An educated citizenry, according to Jefferson, was the best defense against tyranny. With the emergence of a new industrial economy in the 19th Century, college education became both a source of individual edification and national prosperity, and with the Morrill Acts of 1865 and 1890, the federal government created free (or nearly free) institutions accessible to people who never would have dreamed of going to college before. Private institutions also embraced this notion of education as a public good, with the wealthiest philanthropists of the era, such as Andrew Carnegie, John D. Rockefeller, and Peter Cooper endowing institutions for the benefit of both individual students and the broader society.

In the 20th Century, the GI Bill of 1944 continued this tradition, offering free college education to millions of returning veterans, and laying the groundwork for an economic boom and vast expansion of the middle class. The federal student loan program itself began as a small part of Lyndon Johnson's vision for a Great Society, as he aimed to increase access to college through the Higher Education Act of 1965.

But by the 1970s, this tradition was derailed, and the emphasis shifted to the private good of education. State legislatures, inspired by the example of Ronald Reagan, made the argument that if students were receiving a wage premium from college, they should pay for it themselves. This attitude resulted in shifting the cost of college increasingly onto the shoulders of individual students through more and more student loans.

At the same time, colleges and universities have found themselves in an ever more perverse arms race to compete with each other. As students have become more like customers, colleges have become more like businesses trying to attract those customers with fancier dormitories, recreation centers, and other amenities not essential to their core academic mission. And while the soaring "sticker price" of college has been at least somewhat offset at many institutions by increased financial aid, many of those discount packages actually include loans. Indeed, only 1.25% of the over four thousand institutions of higher education in the country offer financial aid that meets a student's full need.

Returning to data and statistics, perhaps the most significant number one can cite in terms of the value of college is the $1 million lifetime earnings premium a bachelor's degree confers. For some, this statistic puts the debate about whether college is worth it to rest. But while we can say that statistically a bachelor's degree is worth it, that does not mean "college" as a whole is worth the cost. Indeed, 68% of students at public institutions do not graduate in 4 years, and 44% fail to graduate in 6 years. That means that nearly half of the students who are signing up for a public university education will not enjoy the wage premium promised to them, yet they may still be saddled with debt.

For students like these, the question of whether college is worth it is far more complicated. And in an economy where the disparity between the wealth of high school graduates and college graduates is increasingly stark, the choice to not go to college seems like financial suicide, even if the choice to take on debt may seem very risky as well. As Anthony Carnevale from the Georgetown Center on Education and the Workforce puts it, "The only thing worse than going to college is not going to college." Ultimately, our society should not put so many young people, especially those from less advantaged backgrounds, in such a precarious position, particularly when the potential value of a college education for both students and society is so high.

Andrew P. Coffman contributed to this report.

@highlight

"Ivory Tower" documentary maker Andrew Rossi examines the higher education crisis

@highlight

Is proposed student loan reform an overreaction?

@highlight

Is higher education more beneficial to individuals -- or the nation as a whole?

@highlight

Colleges have become more like businesses, with students as their customers