(CNN) -- It's sacrilege to some Apple fanboys. It's also something none of Apple's competitors have been able to claim since that "magical" day in early 2010.

But when Microsoft unveiled the Surface tablet (actually a pair of them) Monday, the software company clearly had one ultimate goal: to make a tablet that's better than the iPad.

By most standards, Apple has crushed its tablet rivals that have tried to compete feature-for-feature. No single tablet running Google's Android system has gotten much traction (save the smaller, cheaper Kindle Fire from Amazon) and BlackBerry maker RIM's Playbook hit the market with a thud.

And Microsoft's past attempts at building Apple-like gadgets -- witness the iPod-copying Zune -- have failed.

Unlike some hasty competitors, Microsoft took its time getting into the tablet game. Earlier this year, the company rolled out the Windows 8 operating system, software that is optimized for mobile and that manufacturers such as Samsung and Asus are already building tablets around. But Microsoft clearly wanted to control at least one version of the hardware, a move it has largely shied away from during its history.

And Microsoft seems determined to get this one right. So, the question remains -- will this be the tablet that finally gives Apple a run for its money?

Details about the Surface are sketchy -- no price or release date were announced, and info about apps is scant. But there are at least five features CEO Steve Ballmer and friends showed off Monday that might make the Surface better than the iPad.

Keyboard

A frustration for many users of the iPad and other touchscreen devices is the keyboard. While it's possible to get somewhat proficient at tapping spots on a flat screen, most acknowledge it's impossible to get e-mail and other documents written as quickly as with physical keys.

Sure, there are third-party keyboards you can buy to add onto the iPad, but they can be clunky.

The Surface keyboard will be part of its Touch Cover, which is connected with magnets and flips open. There will be a version with pressure-sensitive flat keys and another with more traditional raised keys called a Type Cover.

They're both sleeker and thinner than many of the third-party offerings for the iPad. The Touch Cover is 3 millimeters thick, and the Type Cover is 5 millimeters.

And for the style-sensitive among us, they'll come in a variety of colors, including black, pink, red and blue.

Some folks see the inclusion of a keyboard as the Surface's big selling point.

"If it works well, the keyboard -- which I got to inspect at great length but not actually type on -- is going to be the Surface's killer attraction," wrote Slate's Farhad Manjoo.

"Lots of people get frustrated with the iPad because typing on it is a major chore. They want to use it like a full-fledged desktop, but they're stymied by the input method. ... If the Surface ships with the keyboard -- and if Microsoft markets the device as a tablet that will let you get some work done -- it could be a big hit."

Add the machine's trackpad and built-in "kickstand," and you've got usability features that current iPads don't possess.

Size

Apple has made such a compact, stylish tablet that many of its competitors look chunky by comparison. That's not true of the Surface, at least as it was demoed Monday.

First, its display screen is 10.6 inches, almost a full inch bigger than the iPad's. And the company says it's optimized to have essentially the same dimensions as a movie screen: So, farewell black bars when watching video.

The Surface for Windows RT is a fraction of a millimeter thinner than the iPad (9.3 vs. 9.4), while the heftier Surface for Windows 8 Pro will be 13.5 millimeters. The RT weighs virtually the same as the iPad (it's less than an ounce heavier), while the Pro will be around 2 pounds.

The Surface's Touch Cover, with the keyboard, is 3 millimeters thick.

"Every micron matters within Microsoft Surface," Microsoft's Panos Panay said Monday.

Power

Especially with the Windows 8 Pro model, Microsoft has set out to blur the line between tablets and the new wave of light, slim ultrabooks and their predecessor, Apple's Macbook Air.

Tablets have always been a hybrid hovering somewhere between a smartphone and a laptop, best used for game playing, Web surfing and media consumption. Microsoft wants the Surface to be something you can actually do some work on.

The Windows Pro model will run on an i5 Intel processor and come with up to 128 gigabytes of internal memory (the iPad currently goes up to 64).

USB ports

Both versions of the Surface come with two USB ports (2.0 on the RT and a faster 3.0 on the Windows Pro). The lack of ports has been one of the few persistent compaints about the iPad.

These ports open up the possibility of extra storage, printing and other external capabilities that should be easier and quicker than the workarounds iPad users need involving cloud storage, Wi-Fi connections and the like.

Xbox SmartGlass

The Xbox SmartGlass feature, which Microsoft rolled out at this month's E3 video gaming expo, will work with the iPad and Android tablets.

But it's not hard to envision Microsoft optimizing the technology for its own piece of hardware.

The system looks to make the Xbox a central device in the living room -- one that may or may not be even used for video games.

It will connect a smartphone or tablet with the Xbox, which in turn will be connected with the television. By connecting the devices, users can watch a movie on their television while getting bonus material on their tablet. They could also start enjoying a game or movie on the tablet, then transfer it to a TV -- or vice versa.

If the feature is front and center on the Surface, it will be one more step in Microsoft's push to bring all of a user's devices together within the flexible Windows 8 system.

@highlight

From early showing, Microsoft's Surface tablet could be superior to the iPad in some ways

@highlight

A built-in keyboard and trackpad will make Surface easier for some to use

@highlight

It has USB ports, making printing and external storage simpler

@highlight

No price or release date has been announced for the Surface, unveiled Monday