(CNN) -- A young woman steals her way down darkened passages in Korogocho -- one of Kenya's largest slums. Crime, prostitution and drug use are rampant in the locality where a quarter of a million people reside and the young woman's eyes dart around erratically on the lookout for danger.

It should be one of the happiest days of her life -- she is pregnant and has just gone into labor. She is also one of the fortunate few that can afford to go to hospital. Some women face a homebirth where, instead of medical equipment, they must make do with cotton wool and razorblades. But the journey to hospital leaves her vulnerable to opportunistic assault.

For Aggrey Otieno, a human rights activist, this scenario is exactly what he is trying to prevent. A facilitator of social change, he has dedicated his life to improving the living conditions -- especially for women and children -- in the Kenyan slum where he spent his childhood.

"Korogocho has been in the news for all the bad things ... HIV/AIDS is very rampant. People who do drugs are here. People who do prostitution are here," says Otieno. "It is our responsibility who stay in the slum, to bring the change that we want."

Read this: African midwife, Nobel Peace Prize?

In his mission to help the area where he grew up, Otieno established Pambazuka Mashinani, -- meaning "grassroots awakening" in Swahili -- with an ethos of empowering "urban poor in Nairobi slums."

After being granted a scholarship through the Ford Foundation, Otieno attended Ohio University in the United States, receiving a Masters degree in communications and development and a diploma in African community health.

Using these learned skills, Otieno returned to Kenya to begin passing on his knowledge and start Pambazuka Mashinani.

"So many people in this community look up to me -- in fact I think I am the most educated person here because I have a Masters degree," he says. "Because of that, I feel I have to really give back to this community."

He adds: "It is out of that I am trying to bring other people together to save lives in Korogocho."

Otieno's organization now has a number of programs including reproductive health, research and advocacy, youth and women's empowerment.

One of the most widespread obstacles for women in the slum is the fact that most cannot afford healthcare so part of Otieno's mission is to bring healthcare directly to them in the form of support groups with trained professionals.

"(Local people) get trained on a number of topics -- like today's topic is on breast feeding ... when you support them, they end up supporting their children and the whole community and they end up being empowered.

"I believe by empowering one woman, I have empowered so many communities."

In addition to community education workshops, Otieno has also set up a network of 24-hour mobile medical units called telemedicine centers, which provide assistance for pregnant women from afar via text messages and, where necessary, vans are sent to pick up women from the slums and take them to a local hospital.

"We are making use of simple technology to save lives in the community -- through some laptops and computers," says Otieno. "We have integrated them with software installed in health facilities around Korogocho and we also have mobile phone texting technology.

"What we have done is come up with some software to link the front-line health workers that are supporting us -- these people have mobile phones and they visit pregnant women in their homes -- and at the moment they see complications, they send text messages to the telemedicine center."

Doctors then review the text messages and provide analysis and support for pregnancy-related matters.

"Eight percent of Kenyans -- regardless if you are poor -- own a mobile phone. People do a lot of texting. It is very cheap for you to text ... so that really inspired me."

One doctor on the end of a mobile phone is Peter Muguma who greatly admires the work Otieno has done to lower maternal mortality rates in Korogocho.

"So many women are dying during delivery, dying during pregnancy," says Muguma. "In the slums it is due to poverty, lack of awareness, transport."

"We get a text message on our computer. This tells us the mother is sick or in labor and then I make arrangements for (an) ambulance or for someone to pick her up and take her to hospital ... When you save a life a lot of satisfaction comes out of that," adds Muguma.

Otieno takes a lot of pride in what he is doing to change the lives of those in Korogocho, saying that facilitating social change at the grassroots level can have a ripple effect for years to come.

"I have seen my friends going through prostitution, drugs and a lot of my friends are criminals that were my classmates," he says.

"I am offering myself that you can also live here and be the change you want to be and at the same time you can be a role model that they can look up to so they can bring change in the community."

@highlight

Aggrey Otieno grew up in one of Kenya's poorest slums

@highlight

He created tele-medicine centers, which provide assistance via text message

@highlight

The human rights activist says empower one person and it will have a ripple effect