(CNN) -- On a stormy January night in 1992, out in the Pacific Ocean, 29,000 plastic yellow ducks, blue turtles and green frogs fell from a cargo ship and were lost at sea.

For the past 21 years, these durable plastic bath toys have been floating around the world, passing the site where the Titanic sank, landing in Japan, Alaska and Hawaii and even spending years frozen in an Arctic ice pack.

Originally sealed in a 40-foot steel shipping container, rough seas and huge waves knocked the bath toys overboard, along with several other containers that sank straight to the ocean floor.

See also: Is this the age of the super-ports?

Some estimates suggest that up to 10,000 containers fall into the ocean every year. The World Shipping Council, whose members represent 90% of the world's container ship capacity, say that figure is grossly exaggerated and estimate that on average no more than 350 containers are lost annually.

Due to severe weather and high seas, accidents or incorrect stowage, there are now shipping containers littering the seabed all around the world. Many float on the surface for months, some rupture and release their goods, but most eventually sink to the bottom -- creating deep-sea stepping stones between ports across the globe.

Oceanographer and self-confessed beachcomber Curt Ebbesmeyer says, "Usually container ships lose containers when the ship starts rolling side-to-side at more than a 55-degree-angle. You have to imagine a couple of dozen containers falling overboard together. When they start banging together, it's a very, very violent episode."

Approximately 90% of worldwide cargo travels by sea -- an overwhelming percentage. While often overlooked, shipping containers have transformed global trade, easily moving between truck, train and ship.

See also: Introducing the world's biggest ship

Drewry Shipping Consultants, who track container inventories at a microscopic level of detail, say 183 million TEUs (20-foot equivalent units) are moved globally by sea every year and at any one time, approximately 6.7 million containers are in transit.

According to Peter Glover, Master Mariner and Senior Associate at international law firm Norton Rose Fulbright, "There is no international convention which places an obligation on shipping companies to report losses of containers at sea." However, a report will likely be required if the loss of the container is considered to be a marine accident, presents a danger to navigation, or if discharge of the contents of the container is such that it breaches the International Convention for the Prevention of Pollution from Ships.

In June of this year, a five-year-old container ship, the MOL Comfort broke its back in heavy weather and split apart off the coast of Yemen. There were no casualties but all 7,000 containers, reportedly carrying consumer electronics and clothes, were lost after the ship caught fire and subsequently sank -- a catastrophic event that cost insurers between $300-400 million in claims.

Over the years, a great wealth of unusual items has washed up on beaches around the world. In 2006, beachcombers scavenging the Outer Banks of North Carolina were greeted by thousands of sealed bags of Doritos tortilla chips that floated onto the beach, dry and still in an edible condition.

During a storm in 1990, a large wave washed 21 shipping containers into the North Pacific Ocean. 60,000 Nike shoes -- en route from Korea to the US -- splashed into the waves. Over the next year, hundreds of shoes -- from hiking boots to children's shoes -- were discovered on the beaches of the Queen Charlotte Islands, western Vancouver Island, Washington and Oregon.

See also: Navigating the world's busiest shipping lane

But it is the plastic animals that have proved most valuable for scientific research of great ocean currents -- the so-called engine of the planet's climate.

For the last 21 years, Ebbesmeyer has been tracking the ducks, frogs and turtles from Sitka, where they first landed, all the way to Scotland and Maine. Having patiently recorded the date and location of each sighting, he has been able to learn an enormous amount about the ocean's conveyor belt.

While Ebbesmeyer says only 3% of findings are reported, the last sighting he is aware of was a frog in August of this year. Today, he believes there are only a few hundred left... still at the mercy of the winds and surface currents.

Once the tale of the tub toys is over, Ebbesmeyer says he still has plenty of other container spills to help him track the currents -- 34,000 hockey gloves and 5 million Lego pieces were dropped in the ocean 16 years ago, for example.

"It's a strange thing to be living on a planet and not know what's in 70% of it," Ebbesmeyer says. "You literally never know what's going to wash up onto shore."

Eoghan Macguire contributed to this article

@highlight

A container of plastic ducks, frogs and beavers broke free from a cargo ship and fell into the North Pacific in 1992

@highlight

The durable bath toys have been floating around ever since providing insights into the flow of ocean currents

@highlight

Some estimates suggest as many as 10,000 containers fall into the ocean every year