Washington (CNN) -- Cory Booker already had a national identity before he decided to run for senator.

The media-savvy, tweet-happy mayor from Newark -- who easily won the New Jersey Democratic primary for Senate Tuesday -- has been known for his man-of-the-people streak, charismatic presence and social media intensity, or as some say, fixation.

Cory Booker becomes Democratic nominee for N.J. Senate seat

But can he make the switch from a nationally popular hands-on mayor to the contentious spotlight of the United States Senate?

Booker, in his path to Tuesday's win, weathered a few negative headlines, but came out largely unscathed by his Democratic opponents. His Republican challenger, former Bogota Mayor Steve Lonegan, may be able to go after Booker for spending more time on his national profile than on running the city he leads.

But several polls show Booker running away with the special election on October 16 and becoming the first African-American elected to the Senate since Barack Obama.

Despite the possible attacks, experts in New Jersey politics and friends close to Booker tell CNN that there is little chance the mayor's national profile will diminish if he heads to the Senate later this year.

"I wouldn't expect those media requests are going to abate because he moved into a new role," said Andra Gillespie, a friend of Booker's and the author of "The New Black Politician: Cory Booker, Newark, and Post-Racial America."

But is that a good thing?

Booker shoots down 2016 presidential bid

Elizabeth Warren or John Edwards?

When Elizabeth Warren of Massachusetts was elected to the Senate in 2012, she came in as someone with substantial liberal chops and national notoriety for her expertise on banking and consumer rights issues.

After arriving in the Senate, however, Warren shied away from national media attention and is no longer a regular on the interview circuit.

That likely won't be the case with Booker.

"The difference between him and Elizabeth Warren (is), he has already mastered social media and mainstream media in a way that she hasn't," Gillespie said.

In six years as Newark's mayor, Booker gained notoriety for an experiential kind of leadership. Late last year, the mayor lived on food stamps in order to show how difficult relying on the government program can be. From 1998 to 2006, Booker lived in a housing project as a way to connect with constituents.

These stories -- along with others -- have made Booker a household name in New Jersey and national politics.

On Twitter, the mayor has a massive 1.4 million followers and has sent more than 30,000 tweets in his time on the site. It isn't unusual to see Booker direct message constituents who tweet him with issues -- in fact, it has become part of his persona.

And that might be a problem for Booker. As a possible preview to attacks that could be leveled against the mayor in the future, Republicans have questioned how Booker could rise so high nationally from such an unusual perch.

"There is something decidedly odd about the whole Cory Booker phenomenon," wrote Stuart Stevens, a Republican strategist, in a Daily Beast opinion piece. "Someone who managed to become a national political figure as mayor of the nation's 67th-largest city, he is dangerously close to falling into the celebrity trap of being famous for being famous."

That idea -- that Booker is famous for being famous -- has begun to circle at home, too.

"The phrase that everyone has been throwing around here is workhorse vs. showhorse," said John Weingart, associate director of the Eagleton Institute of Politics at Rutgers University.

"I think he certainly has a unique path to political prominence," Weingart said. "People used to say being mayor of New York was a dead end job politically, but nobody ever said being mayor of Newark was a path to higher office. He has certainly had some accomplishment as mayor of Newark, but it is almost (that) his fame is on a separate track as his record from Newark."

In particular, Weingart notes, Booker is regularly in front of the camera on national news, but rarely to talk about Newark. Instead, he said, he is booked because of his charisma and ability to talk about Democratic politics, in general.

Gillespie thinks those critiques are somewhat unfair. Instead of comparing him to the media-shy Warren, the Booker chronicler said the more apt comparison is with former Sen. John Edwards of North Carolina.

When Edwards was elected to the Senate in 1998, the North Carolinian was known as the charismatic lawyer who gained national attention for protecting patients' rights against doctors and hospitals in a 1985 case. When he got to the Senate, he became a party standout and was the champion of an issue that put him in front of cameras with some regularity: tort reform.

If Booker can find an issue, Gillespie said, the comparison with Edwards -- who ran for president in 2004 and 2008 -- could stick.

How far can Booker go?

Even when Booker was a Newark City Council member, people who came into contact with him said they could see him running for president someday.

"Having known him for a long time, people were talking about him being the first black president in 2001 and 2002," Gillespie said. "It is looking more plausible now."

Weingart shared a similar story.

Cost to win congressional election skyrockets

"I think a small number of political figures who from the beginning of their career, lead people to say I can imagine him becoming president," Weingart said. "It has been true of Cory Booker."

Earlier this month, Booker ruled out the possibility of running for president in 2016. Asked by Politico whether he would rule out a presidential or vice presidential bid in the next election cycle, Booker responded with three words: "Absolutely yes, unequivocally."

But that doesn't mean never. And with the Democrats' markedly short bench on future presidential candidates, along with Booker's ability to command national attention and hefty amounts of fundraising dollars, the possibility is clearly there.

With those attributes comes another, more grandiose comparison, with President Barack Obama. Supporters, such as Gillespie, said the comparisons have to do with a mix of race, charisma and electoral history. And, of course, possible presidential aspirations.

But it is in that last regard that Gillespie looked to distance Booker from Obama.

"If Booker were to run in 2020, he would have served a full term as U.S. senator," she said, "which would be different than President Obama."

Last month, the two sides of Booker -- the political rising star and the national media figure -- came into conflict when a scheduling snafu for a speaking gig at the University of Iowa, the state that traditionally hosts the first caucus of the presidential election season, put his possible White House aspirations into focus.

All part of the game, says Weingart.

"I think Booker will have to face that," he said, referring to the mayor being asked about running for president "If he goes to Iowa, that will be looked at through the lens."

"The Democrats don't have a deep bench, so I think every conversation about the future of the party that extends past Hillary Clinton and Joe Biden, he will be on the list."

@highlight

Newark Mayor Cory Booker won the Dem. primary for the Senate seat from N.J.

@highlight

Many polls have him well ahead of his Republican challenger for the Oct. 16 special election

@highlight

His national popularity has led some to worry if he is "famous for being famous"