(Mental Floss) -- As the economy continues to look grim, the word "bankruptcy" is on the tips of more and more tongues. While being unable to pay one's creditors is never a good situation for a company or an individual, it may not be the financial kiss of death that you might think. (Just ask Donald Trump, whose casinos have gone bankrupt twice.)

Abraham Lincoln was just one of several U.S. presidents who declared bankruptcy during their lifetimes.

A number of successful people have found themselves overextended and ended up filing for bankruptcy, only to successfully stick it out and find firmer financial footing again.

Here are a few famous names who knew what it's like to be strapped for cash:

1. Abraham Lincoln

His face may now appear on the penny, but at one time, Lincoln didn't have a single cent to spare. Lincoln tried many occupations as a young man, including buying a general store in New Salem, Illinois, in 1832.

While he may have been terrific at splitting rails, winning debates, and wearing stovepipe hats, Honest Abe wasn't much of a shopkeeper. Lincoln and his partner started buying out other stores' inventories on credit, but their own sales were dismal.  Mental Floss: How ex-presidents make ends meet

As the store's debts mounted, Lincoln sold his share, but when his partner died, the future President became liable for $1,000 in back payments. Lincoln didn't have modern bankruptcy laws to protect him, so when his creditors took him to court, he lost his two remaining assets: a horse and some surveying gear. That wasn't enough to foot his bill, though, and Lincoln continued paying off his debts until well into the 1840s.

Lincoln's not alone in the annals of bankrupt commanders-in-chief, though. Ulysses S. Grant went bankrupt after leaving office when a partner in an investment-banking venture swindled him.

Thomas Jefferson filed for bankruptcy several times, including after leaving office, possibly because he threw around a lot of cash on food and wine.

William McKinley went bankrupt while serving as Ohio's governor in 1893; he was $130,000 in the red before eventually straightening out with the help of friends. He won the White House just three years later. iReport.com: What are you doing to keep your job?

2. Henry Ford

Speculation abounds about the future of the Big Three motor companies, leading some observers to wonder what Henry Ford would think of this financial peril. Ford actually couldn't be too judgmental, though, because he was no stranger to debt himself.

In 1899 the young mechanic and engineer started the Detroit Automobile Company with the backing of three prominent politicians. Ford hadn't quite mastered the innovation and production techniques that would eventually make him rich, though. Over the next two years, Ford proved to be too much of a perfectionist, and his plant only produced 20 cars as he painstakingly tinkered with designs.

The enterprise went bankrupt in 1901 and reorganized into the Henry Ford Company later that year. Ford eventually left that group and finally got things right in 1903, when he founded the Ford Motor Company. Things didn't go so badly for the Henry Ford Company after he left, either; it changed its name into one you might find a bit more recognizable: the Cadillac Automobile Company.

Ford wasn't the only auto magnate who knew how bankruptcy felt, though. General Motors founder William Crapo Durant took a massive hit during the Great Depression that saw his fortune fall from $120 million to bankruptcy. He spent his last few years running a bowling alley in Flint, Michigan.

3. Walt Disney

His name may be a stalwart brand today, but early in his career, Disney was just a struggling filmmaker with too many bills. In 1922 he started his first film company with a partner in Kansas City, Kansas.

The two men bought a used camera and made short advertising films and cartoons under the studio name Laugh-O-Gram. Disney even signed a deal with a New York company to distribute the films he was producing. That arrangement didn't work out so well, though, as the distributor cheated Disney's studio.

Without the distributor's cash, Disney couldn't cover his overhead, and his studio went bankrupt in 1923. He then left Kansas City for Hollywood, and after a series of increasingly successful creations, Disney debuted a new character named Mickey Mouse in 1928. Mental Floss: The secrets behind your favorite toys

4. Milton Hershey

Milton Hershey always knew he could make candy, but running a successful business seemed just out of his reach. Although he never had a formal education, Hershey spent four years apprenticing in a candy shop before striking out on his own in Philadelphia in 1876.

Six years later, his shop went under, as did a subsequent attempt to peddle sweets in New York City. Hershey then returned home to Lancaster, Pennsylvania, where he pioneered the use of fresh milk in caramel productions and founded the successful Lancaster Caramel Company.

In 1900 he sold the caramel company for $1 million so he could focus on perfecting a milk chocolate formula. Once he finally nailed the recipe down, he was too rich (and too flush with delicious chocolate) for anyone to remember the flops of his early candy ventures.

5. Burt Reynolds

Burt Reynolds was one of Hollywood's biggest stars of the 1970s. Unfortunately, though, he spent money like his career would never hit a downswing. He owned mansions on both coasts, a helicopter, and a lavish Florida ranch.

Gradually, his financial situation got grimmer as he made boneheaded career choices and weathered a pricey divorce from Loni Anderson. By 1996, the Bandit owed $10 million to his creditors, and the royalties from "Cop and a Half" just weren't flowing in quickly enough. Reynolds declared Chapter 11 bankruptcy, from which he emerged in 1998.

Not only did he not have to sell his trademark mustache at auction to pay his bills, Reynolds even got to keep his Florida estate, Valhalla. This homestead exemption raised the ire of some observers who didn't think hanging on to a $2.5 million mansion while writing off $8 million in debt was quite in the spirit of bankruptcy laws' provisions about keeping one's home.

In fact, when the Senate passed measures tightening these loopholes in 2001, Reynolds' keeping his ranch was one of the examples they used to decry bankruptcy proceedings as going too easy on the wealthy. "There is no greater bankruptcy abuse than this," said Wisconsin Senator Herb Kohl.

6. H.J. Heinz

When Heinz was just 25 years old, he and two partners began a company that made horseradish. As the legend goes, the spicy root was the first of Heinz's famed 57 varieties, but it wasn't as lucrative as he'd hoped. A business panic in 1875 bankrupted his enterprise, but Heinz's passion for condiments remained strong.

The very next year, Heinz got together with his brother and a cousin to start a new company in Pittsburgh, Pennsylvania. The reorganized group started making ketchup, and the business took off. Last year the H.J. Heinz Company had over $10 billion in revenue.

7. P.T. Barnum

Famous showman P.T. Barnum was always quick with a quip, but he wasn't so snappy about paying back his loans. Although he was successful showing off oddities in New York and around the globe, Barnum had a habit of borrowing cash from anyone who would open their wallet for him.   Mental Floss: 12 oddball museums preserving our history

He'd use these funds to buy real estate, particularly around Bridgeport, Connecticut, where he was trying to foster industrial development. Unfortunately for Barnum, he went too far with borrowed cash, and in 1855, things bottomed out. Barnum was bankrupt and owed his creditors nearly half a million dollars.

Barnum didn't give up, though, and he slowly worked himself out of debt over the next five years. The showman gave lectures around England about showmanship and making money, and he regained control of his main attraction, The American Museum in New York City, in 1860.

In 1871, just a few months shy of his 61st birthday, Barnum entered the circus business with Barnum's Grand Traveling Museum, Menagerie, Caravan, and Circus, which raked in over $400,000 in its first year.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Milton Hershey's first candy shop went bankrupt

@highlight

Burt Reynolds had to file for bankruptcy after he spent more than he earned

@highlight

A business panic in 1875 bankrupted H.J. Heinz's first enterprise

@highlight

P.T. Barnum had a bad habit of borrowing cash and not paying it back