(CNN) -- Stacking building blocks is a popular way for children to fight boredom. Now stacking food cans has become part of a national campaign to fight hunger.

An Atlanta-based organization called Canstruction challenges architects, engineers and volunteers to make sculptures by using cans of food. The late Cheri Melillo founded Canstruction in 1992 in New York after seeing similar exhibits in Denver and Seattle. One year later, she started the first competition in New York.

Canstruction coordinates relief efforts with dozens of cities around the United States, from Long Beach, California, to Baton Rouge, Louisiana.

The exhibits are held in public places such as malls, convention centers or even state fairs. The idea is that volunteers are able to raise supplies for food banks and simultaneously raise awareness of the problem of hunger throughout the United States.

A 2012 U.S. Department of Agriculture report estimated there are around 49 million people who live in "food insecure" households (meaning anyone who is at risk of hunger or may not have consistent access to food.) Of that total, 8.3 million are children.

Canstruction has collected more than 25 million pounds of food since its first competition more than 20 years ago.

"It's important for us that we continue to get the word out," said Jennifer Schaefer, chair of the Canstruction competition in Phoenix, "so people are aware of the hunger issues that we have, not only here in Arizona but across the country because it's a big issue."

Judges grade the exhibits on their structural design, attention to detail, creativity and level of difficulty. When the event is over, the cans are donated to local food pantries.

"It's a really creative outlet for people," Schaefer said. "It's a huge event, and it's just a lot of fun for all of us."

The idea of Canstruction is pretty simple. Making one? Not so much. Groups of five to 10 people start planning and designing months before the event. They are responsible for finding can labels with colors that match their design as well as raising enough money to pay for them.

Canstruction's motto to solving hunger is "one can at a time," but some projects, such as the Phoenix best use of label winner from 2013, included as many as 7,000 cans -- all tuna. It was four-sided, one with the Rev. Martin Luther King Jr., one with Mother Teresa, one with Abraham Lincoln and one with a large QR code.

The time limit for building varies. But most groups finish their designs within seven hours, depending on the number of cans and the complexity of the project. Despite the sinuous arcs and bends that seemingly defy gravity, the use of glue, leveling boards and most other foreign objects are prohibited.

"You can use materials for leveling purposes, such as up to a quarter-inch plywood or Plexiglas or cardboard," said Sarah Barnard, co-chair of the Syracuse, New York, event. "But those structures should be self-supporting out of cans. They discourage the use of props of any kind -- not taping eyes onto something but trying to use the labels to create the effect."

The culmination of months of planning, designing, fund-raising and, finally, building is a completed product of which the "architects" can be proud. But what goes up must come down.

After a few weeks on display, the cans are "de-canstructed" and transported to charity. Like the feeling of slicing up a colorful cake you don't want to cut into, the emotion of clearing away the cans can be bittersweet.

"It's a little sad to see all of that hard work come back down," Barnard said. "But since we know that all of the food is going to a great cause, I think it makes it a little bit better."

Proceeds of the Syracuse event go to the Food Bank of Central New York. Barnard said its workers are happy to have a large donation around the beginning of September. The number of charitable donations spike during major holidays such as Thanksgiving and Christmas. But the need for hunger relief continues year-round, even after the holiday spirit goes away.

"You always hear the news reports -- the food bank is having trouble or the food bank has a deficit," said Jessica Sappington, chair of the Syracuse Canstruction event.

Sappington's modest goal?

"Maybe one less news report a year that the food bank is struggling."

@highlight

Around 49 million Americans are "food insecure," Department of Agriculture report says

@highlight

Canstruction has collected more than 25 million pounds of food for food banks since 1993

@highlight

Some sculpture projects use up to 7,000 cans of food

@highlight

Sculptures are later dismantled, and cans are donated to local food pantries