This month, the Supreme Court will deliver a hotly anticipated decision on whether for-profit companies should have to comply with the Affordable Care Act's contraceptive care rule. The companies that appeared before the court in March, Hobby Lobby and Conestoga Wood Specialties, cited religious grounds in objecting to providing female employees birth control without a co-pay.

But there's another issue in this case that, as a physician, I feel merits more attention: the importance and indeed revolutionary nature of the rule. Between 2007 and 2011, my colleagues and I conducted a study that shows that improving access to contraception promises to reduce our nation's unintended pregnancy and abortion rates dramatically. It isn't hard to understand why.

Birth control lets women determine whether and when to have children. But that's not all. Women also need contraceptive care for other medical reasons, such as preventing ovarian or uterine cancer and regulating painful periods. There's a reason why the Affordable Care Act includes contraceptive care at no cost to the individual -- it's basic health care.

We also know that cost is a factor in what contraception women use. Nearly one-third of women say they would change their contraception method if cost were not an issue.

So what happens when cost is no longer an issue? That's what we tested during the Contraceptive CHOICE Project.

During this long-term study, we offered more than 9,000 women the reversible contraceptive method of their choice while at the same time improving their knowledge of contraceptive methods and eliminating the most common barriers women face: cost and access. The results demonstrated the extraordinary promise of giving women the tools they need to control their reproductive lives.

Three quarters of women chose the most effective methods of contraception: intrauterine devices and implants.

This figure radically differs from the contraception chosen by women in the current landscape. Far fewer women in the general population use these methods, in large part because they are expensive.

Our study suggests that when we remove cost barriers and improve education and access, as would be the case with full implementation of the contraceptive rule, we have the potential to make an astounding impact on the public health of women in our country.

Wouldn't it be great if an unintended consequence of this mandate was a reduction in the number of unintended pregnancies and the need for abortions?

Meeting the contraceptive needs of women will never be achieved when all methods of birth control are not equally accessible to every woman.

@highlight

Colleen McNicholas: Court to rule on challenge to Obamacare contraception coverage rule

@highlight

Rule could have big impact on unintended pregnancy, abortion rates, McNicholas says

@highlight

Study showed women used better birth control methods when cost not a factor, she says

@highlight

McNicholas: Wouldn't it be great if mandate's outcome was a lowering of the abortion rate?