The debate over annual mammogram screenings continues this week, as follow-up data from a long-term study come under fire.

Researchers with the Canadian National Breast Screening Study conducted a 25-year follow-up with their participants and concluded that "annual mammography in women aged 40 to 59 does not reduce mortality from breast cancer beyond that of physical examination or usual care when adjuvant therapy for breast cancer is freely available."

(Adjuvant therapy is treatment given after surgery; this can include chemotherapy, radiation or hormone treatments, according to the National Cancer Institute.)

The results were published Wednesday in the British Medical Journal. But several professional associations and experts have questioned the study authors' conclusions.

Results from this study have been reported periodically over the last two decades. The screening data were originally collected in six Canadian provinces between 1980 and 1985. Close to 90,000 women aged 40 to 59 were randomly assigned to either an experimental group or a control group. The experimental group received annual mammograms; the control group received none.

The latest data show almost identical results from the two groups. Invasive breast cancers were diagnosed in 666 patients in the mammography group; 524 were diagnosed in the control group. In the mammography group, 180 patients died of breast cancer during the 25-year follow-up; 171 women died in the control group.

There was a significant difference in survival rates for the two groups. The 25-year survival rate was 70.6% for women with breast cancer detected in the mammography group, but only 62.8% for women with cancers diagnosed in the control group. The researchers said this difference was due to "lead time, length time bias, and over-diagnosis."

The researchers determined that overall, 22% of the invasive cancers detected during screening were overdiagnosed, meaning they would likely not have presented a danger to the women over their lifetime if they had been left alone.

Approximately 38.7 million mammogram procedures are done in the United States each year, according to the U.S. Food and Drug Administration. In one survey, nearly 75% of women over the age of 40 reported having a mammogram in the past two years.

In a joint statement, the American College of Radiology and the Society of Breast Imaging said this newly published study is "an incredibly misleading analysis based on the deeply flawed and widely discredited Canadian National Breast Screening Study."

Experts have criticized the CNBSS for using low-quality imaging machines and untrained technicians to do the original screenings.

The technology used in the study was a "generation behind," says Dr. Otis Brawley, chief medical officer of the American Cancer Society, who noted that the randomization between the study's control and experimental groups was also flawed.

As such, the professional organizations said in their statement, the results should not be used to create breast cancer screening policy, "as this would place a great many women at increased risk of dying unnecessarily from breast cancer."

One problem with screening for any type of cancer is that sometimes the tests pick up cancerous cells that never would have caused a problem for the patient. Treating these cancers with chemotherapy, radiation or surgery can damage the body unnecessarily.

Prostate cancer screening: Why can't doctors agree?

Dr. H. Gilbert Welch, co-author of "Overdiagnosed: Making People Sick in the Pursuit of Health," explains it using turtles, rabbits and birds.

The goal, he writes, "is not to let any of the animals escape the barnyard pen to become deadly. But the turtles aren't going anywhere anyway. They are the indolent, nonlethal cancers. The rabbits are ready to hop out at any time. They are the potentially lethal cancers, cancers that might be stopped by early detection and treatment.

"Then there are the birds. Quite simply, they are already gone. They are the most aggressive cancers, the ones that have already spread by the time they are detectable, the ones that are beyond cure."

National Health Services in the United Kingdom says that for every one woman who has her life saved by a mammogram, three are diagnosed with a cancer that never would have become life-threatening.

Currently the American Cancer Society recommends yearly mammograms for women starting at age 40, and clinical breast exams every three years for women over the age of 20.

The U.S. Preventive Services Task Force recommends mammography screening every two years for women between the ages of 50 and 75. Anyone under 50 should talk to her doctor to assess her individual risk.

Both organizations have indicated that they will be reviewing their guidelines this year, taking into account any research that has been published in recent years.

The best approach to mammography screening is probably somewhere in the middle, says Brawley, a practicing oncologist.

"I believe there is a small benefit to screening," he says, but women should also be aware of mammography's limitations. "Women have to make an informed decision."

Brawley: Most cancers are preventable

@highlight

Researchers publish 25-year follow-up to Canadian breast screening study

@highlight

Study authors conclude mammography does not save additional lives from cancer

@highlight

Authors: 22% of invasive cancers detected during screening were overdiagnosed

@highlight

Experts say study's methods were flawed, technology used was behind the times