Editor's note: CNN contributor Bob Greene is a best-selling author whose current book is "When We Get to Surf City: A Journey Through America in Pursuit of Rock and Roll, Friendship, and Dreams."

Bob Greene says that when an illness threatens, we realize the vital role of medical researchers.

(CNN) -- These are times when the cult of celebrity seems especially empty, when our national love affair with multimillion-dollar shortstops and with beautiful actresses whose flawless faces are enough to guarantee huge box-office weekends feels devoid of meaning.

Right now, as the eventual path of the swine flu emergency remains uncertain, the world is beginning to turn its pleading eyes in the direction of men and women whose names and faces we don't even know.

They are the men and women who, wearing lab coats in medical and scientific facilities, are working -- as they do every day -- toward the conquest of disease. The wider world seldom gives them a thought until suddenly we realize that we need them. Until abruptly, in the midst of our constant cultural obeisance to flashiness and surface glamour, we are forced to stop and recognize:

We need help. Sickness is upon us, and there are conflicting reports on its potential severity. Our political leaders say not to panic because it may turn out to be relatively mild, but in the absence of definitive facts the words sound somehow hollow. There is no vaccine. There may not be a cure for all cases. The disease, in many ways, seems to hold all the cards.

Times like these don't come along very often. When they do, it is probably a good idea to pause and reflect upon the quiet work done every day by those men and women in the laboratories.

There were two men, now dead, who, toward the end of their lives, could pass through any airport in the country without being recognized. They saved the world's children: saying those words is not much of an exaggeration. Yet, by the time they were old men, they were less applauded than the average NBA forward or prime-time television make-believe cop.

But talk about the definition of heroism.

In the early 1950s the world was in utter terror because a relentless, paralyzing virus was spreading and turning into the cruelest of epidemics. In hospitals across the United States, children were confined to iron lungs because polio had robbed them of the power to breathe on their own. Parents were fearful of letting their sons and daughters play outdoors or swim in public pools, yet the caution wasn't helping. The disease was winning.

In separate American laboratories, two men working separately -- Dr. Jonas Salk and Dr. Albert Sabin -- were determined to defeat the polio virus, to end the heartbreak. Salk developed the first, injectable polio vaccine; Sabin developed an oral vaccine that would eventually supplant it. Years later, as they were entering the winter of their lives, I sought both of them to speak about what it was like to be working, with the clock ticking, against such a disease.

"I never thought it couldn't be done," Salk told me. "Yes, of course there were doubters. But I didn't pay attention to anybody."

There is self-confidence, and then there is self-confidence. Growing up, Salk was not the kind of boy who often heard cheers. As one biographical sketch of him put it: "To his schoolmates Salk was a person of little importance. A thin, small-boned child, untalented at games and not gifted in class, he was tolerated but not sought after."

Yet he was there when the time of reckoning arrived, when the world needed someone to come through.

"You ask me what persuades a man that something is doable? Your self persuades you that something is doable," Salk said.

Why, of all the doctors in the world, did it fall upon him to finally stop polio in its tracks?

"I didn't think I was the person appointed to do this," Salk said. "I was simply granted the opportunity to help. We do not all see the world in the same way. There are those of us who see it in terms of solvable problems. If you have a problem that can be solved, then it will be solved."

And the frustrations that came with trying, on deadline -- in every sense of that word -- to stop a crippling virus?

"You're not on a golf course," Salk said. "You don't say to yourself, 'Today's the day I'm going to break par.' What you do is have a continuing dialogue with nature. You ask questions in the form of experiments. And you get answers. Yes or no. Yes or no. Yes or no. And then you use those answers to ask your next question, and you keep doing it until you have the ultimate answer."

Sabin was looking for the answer at the same time.

"You had an epidemic involving thousands upon thousands of children," Sabin said. "There was obviously a great need, and when there is a need like that, you've got to keep working even when you have no idea what the outcome is going to be."

Despondency, he said, was always lurking over his shoulder.

"There were many times when not only did my colleagues tell me it couldn't be done," he said, "they told me to throw the whole thing down the rathole. And I confess to wondering at times whether they might not be right.

"But I kept at it. I kept asking myself, 'What do I have to do? What is the next step?'. . .In the middle of the night you often wake up with an idea. You have a notebook by your bed so you can write these things down,so that they're not lost in the morning.

"The fear. The fear! You never lost sight of the human side of what you were doing. You were driven on by the knowledge that there was human misery, and that you could use your knowledge to help eliminate it."

Jonas Salk died in 1995 at the age of 80; Albert Sabin died in 1993 at the age of 86. But right now, there are men and women at work in laboratories, men and women whose names we do not yet know. Suddenly we are depending on them. Perhaps they are feeling exhausted, or overwhelmed.

I can still hear Dr. Sabin's voice:

"There is a line -- I believe it is by Sir Francis Drake -- that a superior officer of mine during World War II quoted to me. I shall never forget it: 'Grant us to know that it is not the beginning, but the continuing of the same until it is thoroughly finished, that yieldeth the true glory.'"

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Our culture places premium on what celebrities are doing

@highlight

He says when illness threatens, we realize importance of medical researchers

@highlight

Greene says Jonas Salk and Albert Sabin gained fame for their work on polio

@highlight

Confidence and persistence helped them conquer the disease, Greene says