Las Vegas, Nevada (CNN) -- I am and always will be completely against any food that has been altered genetically for human consumption. And never, in the 30-plus years I have been a restaurant chef, has one customer requested a genetically modified organism for dinner.

This is why I was alarmed to learn early this month that the Food and Drug Administration announced with "reasonable certainty" that a new genetically modified Atlantic salmon awaiting approval posed "no harm" to humans who might soon have the opportunity to buy it and eat it as though it were a fish from nature.  The announcement brings this "Frankenfish" one step closer to your table.

But make no mistake. The creation of this fish is just another tactic for big industry to make bigger, faster profits with no consideration for the impact it will have on our personal health and the health of our environment and ecosystem.

The fish, an Atlantic salmon, contains growth hormone from a Pacific species, the Chinook salmon, as well as genetic material from another species, the ocean pout, that causes the "transgenic" salmon to grow at twice the normal speed.

The claim made by its developer, AquaBounty Technologies, is that this altered fish is as safe to consume as farmed Atlantic salmon. This argument doesn't convince much, since farmed salmon aren't really that safe to eat. They have been found to have higher concentrations of polychlorinated biphenyls than wild salmon, which gets into their bodies from the concentrated fish meal used to create their feed. AquaBounty also plans to sell the eggs of its fish to fish farms.

As we have learned over time, farmed Atlantic salmon is horrible for the environment. The fish are grown in overcrowded, open-net pens in the ocean, placing an unnatural stress on the surrounding ocean environment as well as on the fish themselves.

In those conditions it becomes necessary to use antibiotics on an already unstable fish in order to control bacterial infections and other diseases -- and to protect the investment of carnivorous fish farming. The byproducts of all this -- a wonderful stew of feces, unconsumed fish food and dead fish called, sweetly, "effluent" -- create a suffocating blanket that spreads across the ocean floor, resulting in a massive dead zone surrounding the farming area. It kills clams, oysters, eel grasses -- where young fish feed and grow -- and more.

If the point of genetically engineering fish is to produce more salmon faster,  introducing these fish into the fish farm scenario will only magnify an already big problem. And it will create a larger demand for smaller species of wild fish to be used for fish feed necessary to support these constantly feeding frankenfish.  Wild species don't stand a chance.

It has also been proven that escapes from fish farms into the natural population are inevitable. These transgenic fish have a voracious appetite that has no regard for season or feeding cycle.

What could happen?

Well, estimates of farmed salmon escapes in British Columbia from 1991 to 2001 total at least 400,000 fish. The wild salmon population is already severely endangered. If escaped, the farmed -- and now free-swimming aggressive gluttons -- will compete for the food that is essential for wild stocks to survive, further threatening  this already endangered species (nearly all Atlantic salmon sold now comes from fish farms).

What process has the FDA used to determine whether the genetically modified fish is safe for human health and the environment? We did not know during most of the agency's evaluation process.

FDA regulations allow genetically modified animals to be evaluated under the same rules as veterinary pharmaceuticals. So the information given to the agency by the applicant is confidential; in the case of this fish, the information was not posted on the FDA website until the announcement on safety was made in early September.

The FDA will hold a public meeting on February 21 to discuss how the fish should be labeled. I don't trust this fish. It is an overweight fish being introduced to an already obese society. Protecting a greedy company's "confidential information" should not be acceptable when you are introducing the first genetically modified animal for human consumption into the marketplace.

And I'm terrified to consider that rules are being considered that would allow this fish to be created and then distributed without any kind of mandatory label stating that it is a genetically modified product.

In restaurants, chefs are in a position to assure their guests that the food being served to them is not only delicious but also wholesome and safe to consume. How do we do this when there is no required labeling indicating that a fish has been manufactured by science and not a product of nature?

If these genetically engineered salmon are approved, it will set a worldwide precedent.  It will open the door to other kinds of genetically modified animal foods that may pose health or environmental dangers, and the true extent of these might not reveal themselves for years to come.

At the very least, given the amount of data that we have seen to date, the creation of these frankenfish for mass consumption should not be approved. It's simply against nature and is a huge step back in the worldwide movement to eat local, organic and sustainably.

Bon appétit -- enjoy your dinner.

The opinions expressed in this commentary are solely those of Rick Moonen.

@highlight

Chef Rick Moonen opposes genetically modified organisms for public table

@highlight

FDA set to OK modified salmon that its developer says is as safe as farmed salmon, he says

@highlight

But farming already a health, pollution problem, he says; fast-growing fish compounds it

@highlight

Moonen: Approval with no required labels would set back sustainability movement