(CNN) -- There's a coming showdown between Democrats and Republicans on the issue of income inequality. President Obama has called it the "defining issue of our time."

Progressives recognize that sustaining unemployment benefits, increasing the minimum wage and ensuring equal pay are key weapons. Republicans, who recently voted to leave 1.3 million Americans in the cold by not extending unemployment benefits, frame the inequality debate as yet another attempt to implement liberal, anti-free market, big-government giveaways. Americans know better.

In a speech last week, GOP presidential hopeful Marco Rubio said federal money should be given to the states to figure out how to deal with poverty. He called for replacing the Earned Income Tax Credit with a subsidy to encourage people to take low-wage jobs, and for the federal government to encourage marriage. He called President Lyndon Johnson's War on Poverty a failure.

But there is no question that without the War on Poverty, millions more would be in it today. Attempts to paint it any other way will backfire, as majorities of Americans support its policies. Republicans have a chance to show they are on the side of the American people in addressing poverty and inequality. America's women and children, in particular, are depending on them.

In fact, 50 years after Johnson declared war on poverty, an astonishing new report by Maria Shriver paints a bleak picture of today's barren economic landscape for 42 million women and 28 million children.

Shriver's father, Sargent Shriver, helped lead the Johnson administration's all-out campaign on behalf of the elderly, the hungry and vulnerable families and children. While facts show that without this effort many more Americans would be in poverty today, Maria Shriver's report, "A Woman's Nation Pushes Back From the Brink," describes a much-changed nation in which poverty wears a different face.

On the one hand, it is indisputable that women have made much progress. A majority of women are now family breadwinners, and they hold more college degrees than men. Women have also made gains in reaching the highest levels in business and politics. But these benchmarks mask a disturbing reality: Too many women are one missed paycheck, one illness, one hospital visit or car breakdown away from economic disaster.

A recent best-seller urged career women to "lean in" to succeed in the workplace. The Shriver report underscores how many women lie awake at night worrying that they could fall out of the middle or working class and into the ranks of the poor. While many of us are pondering how to have it all, these strong women are doing it all, without having much. Shamefully, the richest country in the world does not invest enough to allow women to keep fueling America's economic growth while securing their own economic futures and those of their children.

The report lists many reasons for this predicament -- the lack of well-paying jobs that offer upward mobility; the change in the family structure where majorities of low-income women, many of them single, are heads of households; and most importantly, the lack of good education.

Those are the overarching realities, but there are many more subtle, hidden aspects of the economic landscape for women in America. One-third live in or on the brink of poverty. They struggle to get their children to school at 7 for breakfast, so they can take their mothers to medical appointments and still make it to work by 9. Forty-two million women represent two-thirds of minimum-wage workers in the country, and women still make just 77% of what men make.

So what can be done? For starters, we can fix the wage discrepancy between men and women. This could cut the poverty rate in half for struggling working women and it would represent an economic stimulus of half a trillion dollars.

The Shriver report also outlines a set of other public policy solutions, including raising the minimum wage for all and helping women access better paying jobs through job training. It describes how government support structures could allow for better and more affordable child care, enabling women to balance the roles of caregiver and breadwinner.

And in a surprising revelation, it uncovers the regret many of these low-income women express about marrying early -- and also, in many cases, their satisfaction at having gotten divorced. Republican lectures about marriage and family values will not work to solve poverty. But making education and child care accessible, closing the wage gap and leveling the playing field will.

Republicans should note that one of the studies in the Shriver report shows that women of color -- a key demographic with whom the party desperately needs to make inroads -- overwhelmingly believe government has a role to play in providing adaptive workplace structures and policies that support today's contemporary families. No, this is not a plea for a handout. These women, while in a more financially precarious position than their white counterparts, are also more optimistic about their futures. As in: I want to work hard and know there are better economic opportunities out there for me to succeed.

These policy solutions the report offers are not new; progressives have been fighting for them for a very long time. But it also outlines what we can do as individuals, communities and corporations. We can, for example, help young girls make smarter choices, promote a "college before kids" mentality, and help businesses identify best practice policies that can better support low-wage women workers.

So let's forgo the showdown. These are common-sense proposals that uphold mainstream principles of taking care of our families and children. They are not liberal, progressive or Democratic values. They are American values that will protect and secure the American dream for everyone once and for all. Americans expect our leaders from both parties to uphold them. Let's get to work.

The opinions expressed in this commentary are solely those of Maria Cardona.

@highlight

Maria Cardona: In parties' inequality debate, GOP has chance to show it gets it

@highlight

She says economy's failure to help Americans seen clearly in the lot of women,children

@highlight

She says women need equal wages, workplace policies that support women

@highlight

Cardona: Rubio, GOP slam War on Poverty policies; issue needs attention, not partisanship