Tripoli, Libya (CNN) -- Tripoli's two million residents faced increasingly dire shortages of food and water Tuesday as rebels estimated the number of people killed during the past six months to be at least 50,000.

"I cannot overstate the urgency of this moment," U.N. Secretary-General Ban Ki-moon said. "Time is of the essence." Ban said his goal was to get U.N. personnel on the ground "as quickly as possible."

Sixty percent of Tripoli was without water or sanitation, Ban said.

The European Union said Gadhafi forces had closed water-pumping stations in Jebel Hassouna along the route from Tripoli to Sabha while fleeing the capital. The resulting disruption of the water supply in Tripoli is "a major issue," an EU spokeswoman said, adding that security concerns along the road to the stations made it impossible to predict when the flow could be restored.

All 31 EU countries have been asked whether they can help if the situation worsens, she said.

The U.N. children's agency was procuring five million liters (1.3 million gallons) of water to ship to Tripoli.

The United Nations' World Food Programme was sending 600 tons of food commodities -- wheat flour, pasta, vegetable oil and tomato paste -- for the Red Cross to distribute in Tripoli.

The impact of the parched conditions was visible at the city's main zoo, where the zookeeper said that, for seven days, the animals got nothing. By Tuesday, 10 of the usual complement of 200 workers had returned to their jobs. They said rations for the big cats had been cut in half. In the sweltering heat, rail-thin lions paced their cage, forlorn hippopotamuses looked askance at the tank of fetid water in their cage. Most of the cages were empty.

Concern over the unfolding humanitarian disaster came as a rebel military commander said that at least 50,000 people, civilians and combatants had been killed in the war to oust Moammar Gadhafi.

The number was calculated by adding death tolls reported in battle zones and accounts from agencies such as the Red Cross, said Hisham Abu Hajer, the Tripoli Brigades coordinator.

But he did not divulge the data underlying the total and CNN cannot independently verify it.

The threat of more bloodshed loomed as reports of human rights violations surfaced and the leader of Libya's National Transitional Council issued an ultimatum Tuesday for tribal leaders in towns still under the control of loyalists: Surrender or face attack on Saturday, after Eid al-Fitr festivities have drawn to a close.

NTC head Mustafa Abdul Jalil told reporters that the rebels were in negotiations with the loyalists and hoped to "avoid more bloodshed and to avoid more destruction and damage," but would use force if the loyalists don't surrender. "It might have to be decided militarily; I hope this will not be the case," he said.

As fighting continued for the last bastions under Gadhafi's grip, the longtime dictator's whereabouts remained unknown to rebel authorities. A clue came from a 17-year-old who told Sky News he had seen Gadhafi on Friday at the compound in Tripoli belonging to one of Gadhafi's sons, Khamis. The teen said he had been working for the previous month as a guard for Khamis Gadhafi.

The leader arrived and spoke with his son for 10 to 15 minutes, Abdu Salam Ataher-Ali said.

Friday's visit by Moammar Gadhafi came as rebels were taking control of the capital and Gadhafi loyalists were preparing to flee, the teenager told a translator during an interview in a rebel compound.

"He said Gadhafi was visiting us at the same time when we run away from Khamis' compound," the translator said. During the visit, the leader's daughter, Aisha, arrived at the compound, where she and her father got into a convoy of vehicles and drove off, the teen told the translator. "He said one of the high-ranking soldiers come to us and we asked him, 'Where is Gadhafi going?' and he said 'To Sabha,' " the teen said.

Sabha is a city in southwestern Libya and one of the loyalist strongholds.

Khamis Gadhafi then got into an armored Toyota Land Cruiser and drove toward the town of Bani Walid, the teen said. Bani Walid is a city in the Misrata District in the north, another Gadhafi stronghold. An armored Land Cruiser was among a number of vehicles that were destroyed later by NATO bombs along the road northward.

But it was not clear whether Khamis died in that attack. Tripoli residents greeted the end of Ramadan with celebratory gunfire amid news of Khamis' death Sunday night after a battle with rebel forces in northwest Libya between Tarunah and Bani Walid.

A rebel commander said Khamis Gadhafi was buried in the area.

The teen said he had been persuaded to join Khamis Gadhafi's group when he was told that foreign forces were attacking the country, Sky News reported. CNN has not been able to verify the Sky News report.

Khamis Gadhafi's legacy includes his eponymous Khamis Brigade, also known as the 32nd Brigade, which has been accused of human rights abuses. Human Rights Watch said Monday that the brigade executed detainees a week ago in a warehouse near Tripoli.

Forces led by Khamis Gadhafi also killed scores of captive civilians as they tried to retreat from Tripoli, according to Muneer Masoud Own, who survived the attack, and CNN's Arwa Damon, who saw the bodies being hauled off. Human Rights Watch and Amnesty International both documented the alleged incident.

The legacy also apparently includes Shywega Mullah, who told CNN she worked as a nanny for Hannibal Gadhafi, one of Moammar Gadhafi's sons. Her face and torso a grotesque, infected mass of scar tissue and infection, she said Hannibal's wife, Aline, had poured boiling water over her head as punishment for failing to beat into silence one of Aline Gadhafi's crying children.

During her year of employment, the 30-year-old Ethiopian immigrant said, she had received no pay. But on Tuesday, she was being treated with antibiotics in a hospital, where she said she was feeling better.

Another of Gadhafi's sons, businessman Saadi Gadhafi, has offered to negotiate an end to the war with the rebels who, he said, cannot "build a new country without having us (at) the table." He has made previous offers, though this time he appeared ready to cut loose from his father and his brother Saif al-Islam, once considered the Libyan leader's heir apparent.

"If (the rebels) agree to cooperate to save the country together, then it will be easy and fast. I promise!" Saadi Gadhafi said in an e-mail to CNN's Nic Robertson.

In a later e-mail, Saadi Gadhafi said that the NTC had asked him to travel to Tripoli to negotiate, but the rebels would not guarantee his security.

Asked about the offer, NTC Deputy Prime Minister Ali Tarhouni said Saadi Gadhafi would get safe passage to Tripoli and would be well treated, but would be put on trial rather than given a chance to negotiate.

Other members of Gadhafi's family fared better than Khamis apparently did: Moammar Gadhafi's wife, Safia, daughter Aisha and sons Mohamed and Hannibal crossed Monday into neighboring Algeria.

Mourad Benmehidi, Algeria's ambassador to the United Nations, said his nation allowed them to enter on "humanitarian grounds."

Unlike Libya's other neighbors, Algeria has not recognized the authority of the National Transitional Council and the authoritarian government in Algiers has much to fear with Arab revolutions so close to home.

In Washington, State Department spokeswoman Victoria Nuland said the government of Algeria had sent a letter to the United Nations about the matter. "We are reviewing that letter now in New York," she said. "But clearly, there has to be an international community decision in response with regard to the travel ban restrictions that (Resolution) 1970 imposes."

The resolution, which was passed in February, imposes international sanctions on the Gadhafi regime for its use of force against peaceful protesters. Any nation that takes steps beyond the resolution has 48 hours to explain itself to the Security Council, she said.

Referring to the Algerians' letter, she said, "With regard to our response to it, I think it's too early to tell."

Jalil said Tuesday that the rebels would ask Algeria to extradite members of the Gadhafi family back to Libya. He also said that, once the rebels have full control of the country, courts will be set up to hear people's complaints against the Gadhafi regime.

But victory remained elusive, with loyalists controlling Bani Walid in the north and Sabha in the south and Gadhaffi's hometown of Sirte, which is located on the Mediterranean between Tripoli and the opposition nerve center of Benghazi.

On Tuesday, the front line of the rebel forces was about 100 kilometers (62 miles) west of Sirte and about 70 kilometers (43 miles) from Gadhafi forces.

"All we're waiting for is the order from the NTC to move into Sirte," one rebel said. But he and his fellow fighters expressed the hope that negotiations would succeed in the forces laying down their weapons.

In addition to expressing concern over the humanitarian situation in Tripoli, the United Nations voiced "extreme alarm" over reports of "atrocious human rights violations" in Libya, including summary executions.

"We are also deeply concerned about reports that there are still thousands of people unaccounted for who were arrested or taken prisoner by Gadhafi security forces either earlier in the conflict or before it even started," said Rupert Colville, spokesman for the U.N. High Commissioner for Human Rights.

Another report, released Tuesday by Physicians for Human Rights, documents crimes in Misrata, which had been under siege from Gadhafi's forces until rebels seized control.

The report cites four witnesses who said they saw Gadhafi's troops detain 107 civilians and use them as human shields to guard munitions from NATO strikes.

One father told the physicians group that soldiers forced his two young children to sit on a tank, and threatened the family, saying, "You'll stay here, and if NATO attacks us, you'll die too."

The report, which says Gadhafi shielded weapons by moving them to markets, mosques and schools, also details accounts of detention and torture.

Still, signs of normalcy were visible Tuesday in Tripoli, where some shops reopened, traffic picked up and humanitarian aid was trickling in. France reopened its embassy Monday and Britain said it was preparing to do the same.

CNN's Nic Robertson, Fred Pleitgen and Dan Rivers contributed to this story

@highlight

Dire shortages of food and water

@highlight

U.N. says, "Time is of the essence"

@highlight

Teen says he saw Moammar Gadhafi on Friday in Tripoli

@highlight

Rebels set a Saturday deadline for loyalists to surrender