From samba and carnival to food, music and religion, African culture is everywhere in Brazil.

The cultural heritage stems from the estimated four million slaves who were brought to the country over a 300-year period, at least four times as many as to the United States.

Brazil was the last country to abolish the slave trade in 1888. More than half of Brazilians now identify themselves as black or of mixed race, according to the latest census.

Rio de Janeiro now has the most famous carnival in the world, attracting an estimated 1.1 million visitors to the city this year and with 5.3 million people taking part in street parties, according to the English language newspaper The Rio Times.

Carnival, which is celebrated across Brazil, combines samba -- music and dance which grew out of Brazil's black neighborhoods -- and the Catholic tradition of celebrating the run-up to Lent brought by Portuguese colonialists.

After the abolition of slavery, the rituals of the Catholic former colonialists and their former slaves merged to form the origins of modern carnival, according to the Rio Times.

Mixing sushi and samba - meet the Japanese Brazilians

One explanation for the origins of carnival is that it began in a Catholic church, Our Lady of the Rosary, built by slaves in the 1700s whose masters wanted them to convert to Catholicism.

"The black people that were part of this congregation, most of them came from Congo," said Joao Carlos Desales, a tour guide who took CNN around Rio de Janeiro.

"So they were able to organize a celebration where they would choose a man and a woman, and they would be the king and queen of Congo. That celebration turned out to be the beginning of carnival celebrated in Brazil."

Even many of Brazil's Catholic saints are said to have African heritage.

St Benedict, whose name is remembered in Our Lady of the Rosary church, was a slave from North Africa, who promised to devote himself to Catholicism if he became a free man, Desales said.

Brazil's patron saint, Our Lady of Aparecida, a black clay statue of the Virgin Mary, was -- according to some -- found by runaway slaves on their way to Quilombo, a community of runaway slaves.

Quilombo communities continue across Brazil to this day.

Luis Sacopa, president of the association of Quilombos, runs a restaurant with his 17 members of his family in a piece of jungle in what is now an expensive suburb of Rio de Janeiro.

His grandparents found this piece of land after escaping slavery.

The family has fought a legal battle to hold on to its land against the threat of eviction, and now has official protection for their right to remain.

"Thanks to god we have had success and we're still here at the end of our dispute," said Sacopa. "Thanks to god, the family has united, we're fighting and we're winning the fight against the elite in this expensive neighborhood of Rio de Janeiro."

Sacopa said he was able to resist eviction with the help of his Orixas, gods of the Yoruba people of Southwest Nigeria, Benin and Togo.

In Brazil, the religion is known as Candomble, and it has a large following in some Afro-Brazilian areas, particularly Salvador in Bahia state.

Also on Inside Africa: Why Tanzanians believe in witchcraft

Candomble was prohibited in Brazil up until the 1950s, but influenced much of the country's food and music.

In Sacopa's restaurant he serves feijoada, a typical Brazilian dish originally created by slaves from their masters' leftovers.

A new Historical Circuit of African Heritage opened in Rio de Janeiro in 2010 to help tourists and descendants of slaves reconnect with the past slavery.

The project began after workers installing a new drainage system in the central districts of Saude and Gamboa discovered hundreds of personal objects belonging to African slaves, according to the Rio Times.

Archaeologists established that this was the site of the 19th century slave trading complex, the Cais do Valongo, or Valongo Quays.

Many of the discoveries are now on display in the Valongo Gardens, the newspaper reported.

Another discovery of recent years is the remains of a squalid slave cemetery in the courtyard of a home in central Rio de Janeiro.

Renaldo Tavares, an archeologist who has been studying the discovery, said: "These are human remains mixed in with the garbage from the city. It shows how society in the 19th century treated slaves.

"Bones, pieces of ceramic, bits from construction, tiles, animal remains, bits of food, society threw all sorts of things in here. Slaves were considered garbage by society."

Ana de la Merced Guimaraes, the homeowner who discovered the bones in her courtyard, said: "When we started a reform in our house, we found all these bones. We thought it was a family grave, but there was so much we thought maybe it had been a serial killer.

"But then we calmed down and talked about it and called a lawyer and the police. And he said don't worry, we aren't going to accuse you, it's probably something very old.

"A neighbor told us, a long time ago, your street was a slave cemetery."

Brazil's third city Salvador, in Bahia state, northeast Brazil, has some of the strongest links to Africa.

Salvador was the first colonial capital of Brazil and its central district, Pelourinho, now a UNESCO world heritage site, was the New World's first slave market from 1553, according to UNESCO.

@highlight

African culture is evident in Brazil's carnival, music, dance food and religion

@highlight

It was the last country to abolish the slave trade, with an estimated four million slaves shipped over 300 years

@highlight

A Historical Circuit of African Heritage in Rio de Janeiro helps to connect the past and present