(CNN) -- After just over a century of amicable relations, Brazil has decided to cool its relationship with Iran.

Gone are the days when Brazil's leader, President Luiz Inacio "Lula" da Silva (2002-2010), worked hard to strengthen Brazil's partnership with Iran, defending Iranian interests, sharing and learning from similar policy experiences over cafezinho.

At a time when Brazil has sought every opportunity to engage the international community and increase its influence as a mediator of conflict and peace, why has Brazil's new president, Dilma Rousseff, refrained from strengthening the government's ties with Iran?

The answer lies in Rousseff's personal experiences and geopolitical ambitions.

As someone who experienced human rights violations first hand under Brazil's military dictatorships (1964-1985), Rousseff has been unwaveringly committed to human rights. She has made it crystal clear that she will not support Iran unless President Mahmoud Ahmadinejad seriously addresses this issue.

It's striking how quickly two nations sharing similar economic and geopolitical interests have suddenly distanced themselves from each other and how Brazil's decision may negatively affect Iran's relationship with other countries.

What this also suggests is that amicable relationships between similar nations are never guaranteed and that a sudden change in government interests and aspirations can reverse historic partnerships while having broader geopolitical ramifications.

For Rousseff, personal experiences matter.

As a high school student from the city of Belo Horizonte, she joined a Marxist revolutionary group called Palmares Revolutionary Armed Vanguard (Var-Palmares), which sought to dethrone a military government that repeatedly violated civil and human rights.

In 1970, she was arrested, interrogated and placed in prison. While serving three years, Rousseff was periodically tortured: electrical shocks ran throughout her body; she was incessantly beaten and called names; she was hung upside down in between two steel platforms in what the military called the pau de arara, "parrots perch." By the time of her release at 25, she lost more than 22 pounds and her thyroid glands were nearly destroyed.

Needless to say, these horrific experiences had an enduring imprint on Rousseff's foreign policy views.

Indeed, when questioned about Iran during her campaign trail in 2009, the first two words to often come out of her mouth were "human" and "rights." The Iranian regime's atrocious history of killing thousands of dissidents, when combined with Iranian court orders to have several people stoned to death for violating the law was viewed by Rousseff as "medieval behavior." Moreover, the regime's decision to continuously throw political opponents in jail touched a sensitive nerve with Rousseff.

She made it very clear that before any business took place with Iran, Ahmadinejad would need to stop these barbaric acts. Yet this may prove difficult as Ahmadinejad's political influence is often perceived as limited because of the presence of Iran's Supreme Leader Ayatollah Ali Khamenei.

Being blamed and essentially ignored by Ahmadinejad also didn't help. Last year, Ahmadinejad's media adviser, Ali Akbar Javanfekr, was quoted as stating that Rousseff had "destroyed years of good relations" between them.

Under Lula, Brazil strengthened its political and economic ties with Iran through trade (indirectly via Dubai, estimated at $1.25 billion in 2010) and investment in Iran's oil sector. But when Ahmadinejad visited Latin America this January, he avoided meeting with Rousseff. Apparently he regrets having done so and plans to meet with her later this year.

Rousseff's geopolitical aspirations have also caused her to step away from Tehran. After Lula joined Turkey in 2010 to vote against U.N. sanctions on Iran for failing to disclose information about its nuclear reactor site and ignoring Secretary of State Hillary Clinton's request to do so, it appears that Rousseff views distancing herself from Iran as a way to strengthen Brazil's relationship with the United States.

Through these efforts, it seems that Rousseff is seeking to garner U.S. support for a permanent seat on the U.N. Security Council, as well as increasing Brazil's influence in major international financial institutions, such as the International Monetary Fund.

Without Rousseff's support, Ahmadinejad faces problems in Latin America.

Iran has tried to strengthen ties with Venezuela, Ecuador, Bolivia, Cuba, and until recently, Brazil. And it's opened six embassies in the region since 2005, sans Brazil. But Ahmadinejad can essentially forget about getting the support of Brazil's close economic allies, such as Mexico, Argentina and Chile. Ahmadinejad has also failed to live up to his promise of helping spur economic development in the region.

At a time when he is trying to increase his legitimacy, given his hostile relationship with Israel and efforts to develop his nuclear reactors, Ahmadinejad might not be able to afford losing his Latin friends, as they have defended him in the past and their support makes him look less isolated in the world.

This freeze in relations with Brazil, and Iran's gradual loss of allies in the region, also opens up further opportunity for the United Nations to impose and enforce additional sanctions on Iran. Should this occur, Ahmadinejad faces the specter of other allies questioning their relationship with Iran, which could have serious political and economic repercussions for Iran.

Despite the rich history that these two nations share, it seems unlikely that Rousseff will want to strengthen her ties with Ahmadinejad.

With aspirations to increase Brazil's international influence and geopolitical importance, she will likely place more stock in strengthening her relationship with the United States and other cooperative nations within the United Nations. Unless Ahmadinejad changes his tune on human rights and decides to fully abide by U.N. rules, Iran's losses may go beyond Brazil.

The opinions expressed in this commentary are solely those of Ed Gómez.

@highlight

For a century, Brazil has had amicable relations with Iran, says Eduardo Gómez

@highlight

He says President Dilma Rousseff has taken steps to distance Brazil from Iran

@highlight

Rousseff, a torture victim, has raised concerns about human rights in Iran, he says

@highlight

Gómez: Brazil's actions could strengthen ties with U.S., further isolate Iran