(CNN) -- With austerity measures exposing sharp ideological rifts between European nations, and a shadow now hanging over the future of the single currency, it's safe to say that relations on the continent have seen better days. With this in mind, a new force has emerged to resuscitate the old ideal of a truly unified Europe.

But it's no political party, lobby group or think tank. The latest vehicle flying the flag for EU solidarity (quite literally in this case) is a 30 meter-long, 44 meter-high yacht.

According to its founders, the "Esimit Europa 2" aims to promote pan-European cooperation and a sense of common identity through the unifying power of sport.

"This boat represents the best of Europe in terms of sailing, and it shows that people from different countries can set their differences aside to compete and win as a team. When you are not working together you can't win, and without winning there is no future," said the project's Slovenian co-founder Igor Simcic.

"Esimit Europa 2" is the only yacht in the world that has been granted the right to fly the blue and gold European flag. It has also won the backing of two of Europe's most powerful men -- the President of the European Parliament, Martin Schulz, and the President of the European Commission, Jose Manuel Barroso.

Effusive in his support of the yacht, Shulz recently spoke about the importance of such projects:

"A yacht, navigated by a truly European crew, sailing under the European flag, is a strong symbol of European unity and cooperation. Europe needs such symbols, which have power to unite and inspire," he said last month in a specially recorded video message, laden with suitably apt sailing metaphors:

"Today, more than ever, Europeans are all in the same boat and only together we can ride out of current storm and reach safe harbor. The "Esimit Europa" project is a bright example of the optimism that better times are ahead," he said.

If only Europe's economic prospects really were aligned with the fortune's of the "Esimit Europa 2". Its highly experienced 18-man pan-European crew, led by two-time America's Cup winner and three-time German Olympic champion Jochen Schumann, has so far claimed 11 consecutive wins -- breaking two course records in their 2010 rookie season alone.

More from Mainsail: Solo adventurer says she's relieved to be back on land

But working with so many nationalities on one boat (the crew is composed of representatives from six EU countries) poses evident communication problems.

"To become successful we had to agree on a common language," says skipper Schumann. "We chose English for obvious reasons, but as people don't have that many words in their personal English dictionary we've ended up with a very efficient and 'to-the-point' language, which works in our favor during races."

Schumann, who grew up in East Berlin, believes his experiences -- both before and after the fall of the Berlin Wall -- has made him appreciate the vision of a united Europe.

"I am proud to be German, but I am also proud to be European. Being the skipper of this boat is very much like my personal vision for Europe. Of course there are always going to be some Europeans that feel more nationalistic than others -- even in a team like ours -- but as long as we share the same goal and work together we can win," he said.

However, at the moment there are few instances of teams competing under the European flag, with the rare notable exception of the Ryder Cup - the biennial golf competition between Europe and America.

According to the University of Michigan's professor Andrei Markovits, who has written extensively on the connections between sports and politics, the reason there are so few pan-European sports teams reflects the problem of individual emotional engagement.

"In sports where the emotional stakes are very high, such as football or ice hockey, it's unlikely that these (continental) types of teams will appear because people care too much about their clubs and national teams," he said.

"In sports where the emotional stakes are low it could work -- but then it will just remain cute and nice, simply because it doesn't matter to people. It's always easy to unite in intellect but not as easy in terms of your guts," he added.

The greater issue, Markovits argues, is that sport is by its very nature combative. "In sports you will always have a winner and a loser. It's a zero-sum game. So you have to ask yourself whom is a pan-national team competing against?"

Watch related: The secret world of the America's Cup

As things stand, the "Esimit Europea 2" is only scheduled to compete against boats represented in the big European regattas. But if its visionary founder Igor Simcic has anything to do with it, there will soon be a new breed of regatta.

"I think in the future you might see continents or regions race against each other, such as Europe against the U.S. and China," he said.

But with national anti-European sentiment spreading, and the Euro on the brink of a possible collapse, can a yacht really be the a symbol which unifies a continent?

Schümann, at least, believes it can.

"For centuries sailing has been a way of connecting countries and continents," he said. "So I think 'Esimit Europa 2' is a very fitting symbol of what we are trying to achieve -- which is to show the world that we are always stronger if we work together."

@highlight

The "Esimit Europa 2" yacht was founded to promote unity among EU nations

@highlight

Skipper Jochen Schümann is a three time German Olympic champion and two times America's Cup winner

@highlight

The project is backed by the Presidents of the European Parliament and the European Commission

@highlight

The "supermaxi" yacht is 30 meters long and has a top speed of over 38 knots