(CNN) -- Little Rhode Island made big news in the education arena last month. Superintendent Frances Gallo fired all the teachers at Central Falls High School after negotiations with the teachers' union failed.

The move was triggered by low test scores -- only 7 percent of 11th-graders passed the state math tests, and 50 percent of the students at Central Falls failed to graduate in four years. Appalling numbers. Gallo wanted teachers to increase the length of the school day and spend time tutoring kids. The teachers' union was not convinced.

Even President Obama got involved and supported the firing, saying, "If a school continues to fail its students year after year after year, if it doesn't show signs of improvement, then there's got to be a sense of accountability."

Yes, accountability is right, but who is supposed to be accountable for this massive failure to learn? The general consensus is that the teachers are responsible.

Is it really all the teachers' fault? Columnist Ruben Navarrette Jr. thinks so. Having been a teacher himself for five years, he says teachers just like to complain. He doesn't say why he is no longer teaching, but he applauds the firing and blames the teachers. Superintendent Gallo agrees. She fired all of them.

Everyone agrees that the K-12 schools are failing, but the reasons are not as simple as Navarrette and Gallo think. Firing all the teachers is not the answer. Closing schools is not the answer.

Schools aren't failing because the teachers don't care or aren't trying. It's not because teachers fail to follow the curriculum. It isn't because they are poorly paid. Teachers go into teaching because they want to make a difference and help kids. They certainly don't go into teaching to get rich. They don't want to do a bad job, either; no one likes to fail. A recent survey of 40,000 teachers by the Gates Foundation shows that teachers are more interested in reform than money.

If you examine Central Falls High School closely, a few things stand out: More than 96 percent of the students are eligible for free or reduced lunch, according to the school's Web site, and only 6 percent of the people in the town have a college degree. Does that tell you something important about the parents? They are struggling financially and lack postsecondary education.

Central Falls provides little or no parental support for students or for the teachers, yet everyone expects teachers to do it all with few resources. Clearly, it does not work.

In his book entitled "Does Money Matter? the Effect of School Resources on Student Achievement," Gary Burtless argues that the "home environment has strong effects on student achievement, stronger in fact than social class effects." He argues that the most important home environment variables involve "parents expending time participating in activities with children that enhance learning."

Very little, if any, of this is happening in the communities of a failing school. Look at where the schools are failing -- in the most densely populated areas of the 50 largest American cities.

Teachers are not magicians. Low test scores and the dropout rate cannot be blamed on the teachers alone. They need help from the parents, help from the community, help from the administrators, help from state and federal governments.

Thousands of kids starting kindergarten each year don't know colors, counting, or even the names of fruits and vegetables. Their vocabularies are hundreds of words fewer than their more advantaged peers. Who is talking to these kids? The electronic nanny -- the television.

No teacher can effectively educate a child without support from the parents. Support at the elementary level means spending time with their child, reading to their child, talking with their child, providing a stable home for their child. Support in high school means a quiet place to study, recognition and approval for kids' efforts, and helping when they are not doing well.

Strong schools have supportive parents and an involved community. Schools like Central Falls High School have struggling communities. To fire all the teachers and blame them for the failure is to dismiss the important role that parents and communities play in the education of their children.

Imagine firing all the parents -- does that solve the problem? What we have in communities with failing schools is parents who are for a variety of reasons -- mostly economic -- failing to parent effectively. They have no time. The job of mothering is passé.

Let's look at how ineffective school closures have been in Washington, where Chancellor Michelle Rhee has closed many schools. Test scores are up, but scores dropped on the federal government's broader measure of how local schools are doing in meeting the standards of the No Child Left Behind law.

Or take a look at the Chicago Public Schools, where former CEO Arne Duncan, now U.S. secretary of education, closed many schools. There's been little change in scores because students are being transferred to other low-performing schools. It hasn't worked because the community's attitude and level of support hasn't changed.

A report released on March 1 by The Education Trust shows that schools often lumped together as "low-performing" are not all alike. "Examining data from reading and mathematics assessments for elementary and middle schools in ten states, the study's authors found that some low-performing schools remain stuck year after year, and others that started low performing are among the fastest improvers in their states." Solving the problem requires individual solutions tailored to each school, not a blanket approach.

The U.S. Department of Education needs to change its focus and stop its policy of supporting the closing of failing schools; it does not bring long-lasting change. No Child Left Behind has had unintended negative consequences. Instead, we as a nation need to support teachers in the classroom and stop using teachers as scapegoats in seeking to solve a major national problem. We need to work with teachers, not fire them.

The opinions expressed in this commentary are solely those of Esther Wojcicki.

@highlight

Rhode Island school district fired teachers at a failing school

@highlight

Teacher Esther Wojcicki says that's not the answer to poorly performing schools

@highlight

She says parents, administrators need to share blame, help solve problem

@highlight

"No teacher can effectively educate a child without support from the parents," she says