Fort Hood, Texas (CNN) -- The military judge overseeing the trial of admitted Fort Hood gunman Maj. Nidal Hasan told defense attorneys Thursday that they can't drop out of the case -- even though they believe it's tantamount to helping him commit suicide.

"This is nothing more than their disagreement with Major Hasan's strategy in conducting his defense," said the judge, Col. Tara Osborn, rejecting a motion by the standby counsel who are tasked with assisting Hasan as he represents himself.

The attorneys argued Wednesday that Hasan is trying to help the prosecution achieve a death sentence.

Osborn's decision sparked a bitter fight in a trial focused on charges that Hasan shot and killed 13 people and wounded 32 in the November 2009 rampage at the Army installation near Killeen, Texas.

"We believe your order is causing us to violate our professional ethics. It's morally repugnant to us as defense counsel," said Lt. Col. Kris Poppe, head of Hasan's legal team.

He asked for a stay on her order, which would prevent it from going into effect. The judge then asked for a written document from the state bar establishing that continuing to work with Hasan would be an ethical violation.

"I will make it easy for you. I've given you an order ... and that relieves you of every ethical liability," Osborn said.

Poppe would have nothing of it, his voice raised in obvious frustration.

"The order does not relieve us of the responsibility. ... We believe we are doing something that is morally repugnant. This is not about saving my license ... this is about what you are requiring me to do today: assist this man in achieving the goal, which we believe is achieving a death sentence."

The lead prosecutor chimed in, questioning the defense team's claims, saying that Hasan is mounting a legitimate defense.

"The government sees only two defenses: either 'I didn't do it,' or 'I did it, with an excuse.' He was caught with a gun in his hand," said Col. Michael Mulligan.

"I don't understand how that's repugnant to defense counsel -- I'm truly perplexed."

In a military capital trial, a guilty plea is not an option. Hasan's official plea is that he is not guilty of the charges. But on Tuesday, Hasan used his opening statement to declare "I am the shooter."

After the standby counsel argued Wednesday that Hasan was seeking the death penalty, Hasan objected, calling it "a twist of the facts." But he refused to submit his objection in writing, a move that Osborn requested to avoid revealing privileged information in open court.

The defense attorneys Thursday immediately appealed Osborn's ruling. But she gave no stay in the meantime. "We're going to move forward," the judge said, allowing the trial to continue unless a higher military court weighs in.

The trial resumed with the prosecution calling to the stand soldiers who were witnesses of Hasan's shooting spree.

The attorneys' request Wednesday halted what would have been the second day of testimony.

Although Hasan, a U.S.-born citizen of Palestinian descent, was granted his request to represent himself, Osborn ruled before the court-martial began that defense lawyers would act as standby counsel during the proceedings.

Expert: Judge can't let attorneys stop

Geoffrey Corn, a military justice expert at the South Texas College of Law in Houston, said the defense lawyers are in "a terrible predicament."

"They have to stand by and watch the person they are ostensibly charged with assisting to represent himself essentially put a noose around his own neck, and they view this as fundamentally inconsistent with their ethical obligation as lawyers," he said.

But Corn said Hasan not only has the right to defend himself, "he has the right to do it poorly" -- even to the point of asking for death.

"The defense lawyers would love to get off this case, because it becomes unbearable," Corn said. "If you imagine having to sit there, being an ardent opponent of capital punishment, watching this guy seal his own fate with every move he makes, it must be torture. But the judge can't let them off the case."

Military death row: More than 50 years and no executions

Witnesses describe horror of shooting

Hasan, an Army psychiatrist, was paralyzed by a police bullet during the rampage. He listened impassively as one of the first witnesses recounted the horror unleashed that November day at a processing center for soldiers heading to Afghanistan and Iraq.

Staff Sgt. Alonzo Lunsford stared hard at Hasan, appearing to brace for a cross-examination from the man who had admitted to shooting him seven times. But Hasan just stared back.

The courtroom turned silent as Lunsford was called as a witness. He was the first of several survivors scheduled to testify against Hasan.

Lunsford recounted how the gunman rose from a chair in the processing center, shouted "Allahu Akbar," pulled out a pistol and began shooting.

"It was a state of panic," Lunsford said.

Lunsford, a health care specialist, described how his friend and colleague, physician's assistant Michael Cahill, tried to hit Hasan with a chair to stop the shooting; Hasan shot him dead. Soldiers tried to flee or take cover inside the processing center as Hasan fired dozens of shots.

As Lunsford was checking behind him, "Major Hasan is turning the weapon on me," he said. "He has a laser on his weapon and it goes across my line of sight and I blink. In that time, he discharges his weapon. The first round, I'm hit in the head."

A second shot caught Lunsford in the back. He decided to play dead for a while before changing his mind and deciding to run for the door. He made it out of the building but was shot five more times outside, he testified.

Hasan continued shooting at Lunsford even as he was receiving first aid outside the processing center, before police arrived. Officers shot and wounded Hasan, ending the rampage and leaving him paralyzed from the chest down.

After the prosecution finished questioning Lunsford, the judge asked Hasan whether he had any questions for the witness.

"I have no questions," Hasan said.

Hasan also declined to question Michelle Harper, who worked at the deployment center and was inside when the shooting began. Prosecutors played a recording of her 911 call, where she pleaded for help.

Scheduled to go to Afghanistan

Hasan had been scheduled to deploy to Afghanistan before the killings. Prosecutors hope to show that the devout Muslim had undergone a "progressive radicalization," giving presentations in defense of suicide bombings and about soldiers conflicted between military service and their religion when such conflicts result in crime.

Hasan did not want to deploy to fight against other Muslims and believed "that he had a jihad duty to kill as many soldiers as possible," said Col. Michael Mulligan, the lead prosecutor in the case.

Investigators found 146 spent shell casings in the room where the attack began, Mulligan said. Hasan carried two laser-sighted pistols and 420 rounds of ammunition, his pockets lined with paper towels to muffle the sounds of the magazines banging together, he said.

Internet searches on Hasan's computer used keywords like "terrorist killing," "innocent," "Quran," "fatwas" and "suicide bombings," Mulligan said.

Hasan told the panel in his opening statement, "We mujahedeen are trying to establish the perfect religion." But, he added, "I apologize for the mistakes I made in this endeavor."

The mujahedeen consider themselves warriors who defend the Islamic faith.

Witness: 'His punishment will come'

Hasan told his family he had been taunted after the al Qaeda attacks of September 11, 2001. Investigations that followed the killings found he had been communicating via e-mail with Anwar al-Awlaki, the Yemeni-American radical cleric killed by a U.S. drone attack in 2011.

The case was first set to begin in March 2012, but was delayed repeatedly, notably over a previous judge's unsuccessful demand that the beard Hasan has grown while in custody be forcibly shaved.

Josh Rubin reported from Fort Hood. CNN's Ed Lavandera and Jason Morris contributed to this report.

@highlight

NEW: The judge rejects standby counsel's request

@highlight

NEW: The decision triggers a fight with the defense counsel

@highlight

Admitted Fort Hood gunman "is working towards a death penalty," lawyer says

@highlight

Hasan faces a death sentence if convicted of 13 killings and 32 attempted murder counts