(CNN) -- It was the first house she looked at upon arriving in the small town in central Italy that would be her home for a semester abroad.

But Amanda Knox immediately knew it was the one for her.

The University of Washington student had been in Perugia for just a few hours on a hot summer day in 2007 with her younger sister, Deanna, who saw a poster that included the word "appartamento."

They followed the girl who had posted the ad to a charming, four-bedroom villa near the University for Foreigners of Perugia overlooking a small valley where figs grew.

The sisters chatted for hours in the kitchen with the two friendly Italian girls who lived there and made plans with them to tour the town the next day.

To the wanderlust-driven young American, who had been hitting the books hard and working multiple jobs since high school so she could study abroad, it was a dream come true.

"She didn't need to see any other place, she didn't need to see any other listings, she was set," says her sister.

British exchange student Meredith Kercher moved into the house shortly after Knox settled in. The two foreigners became fast friends, Knox's friends and family say, as they explored Perugia together.

None of them had any way of knowing that just weeks later, the home would be the scene of a grisly stabbing that would leave Kercher dead and Knox branded her cold-blooded killer.

Prosecutors in Perugia said Knox directed then-boyfriend Raffaele Sollecito and another man infatuated with her, Rudy Guede, to hold Kercher down as Knox played with a knife before slashing Kercher's throat.

Knox and Sollecito were convicted in 2009. Knox was sentenced to 26 years in prison and Sollecito is serving a 25-year sentence. Guede, a drifter originally from the Ivory Coast, was tried separately and is serving a 16-year sentence.

Knox and Sollecito are awaiting a ruling on their appeal against conviction.

Media paints two portraits of Knox

The sordid saga has played out in worldwide media long enough to have broken into dual narratives.

Some journalists have portrayed Knox as an overly trusting college student who some believe was railroaded by the Italian justice system. Other media paint her as a licentious, manipulative young American still trying to get away with murder, despite an alleged confession, which she quickly recanted, and a conviction.

To Knox's friends and family, it's a no-brainer. They grimace at the description prosecutors painted of Knox as a resentful American so angry with Kercher that she exacted revenge during a twisted sexual misadventure.

Nothing in her past indicated she had the desire or capacity to kill anyone, let alone a friend, they say. One friend told CNN she was the kind of person who would pick up a spider and take it outside rather than kill it.

More than anything, they say, her life had been all about immersing herself in new experiences and creating opportunities to travel abroad.

Easy daughter

Growing up in Seattle, Washington, Knox was an easy daughter from the start, says Edda Mellas, Knox's mother.

She was a child who never had to be told to do her homework or go to bed on time. She maintained a balance between a life indoors, where she studied regularly and read for pleasure, and a passion for outdoor activities and sports, in particular gymnastics and soccer.

Knox's desire to study foreign languages and experience different cultures also became apparent early on, Mellas says.

She took Latin in middle school and began expressing a desire to travel abroad. Even though her parents told her they couldn't afford a private high school, she applied on her own and was accepted with a substantial scholarship.

She learned Japanese in high school and spent time in Japan as part of her studies, her mother says.

"She loved learning languages. She thought about being an interpreter. She really wanted to be a writer and I said, 'Maybe you need to get a day job while you're trying to make money being a writer.' And then she thought about being an interpreter. Languages were definitely her kind of gift."

In 2004, her mother took her daughters to Europe. They visited family in Austria and spent Oktoberfest in Munich, Germany.

"They just loved seeing the history and the culture and differences in people. And it was a great experience," Mellas said.

Knox eventually turned her sights to studying abroad in college. She rejected soccer scholarships from several schools because she knew she would have to commit to the sports program.

So again, she set her sights on a longshot: the highly competitive University of Washington. She got in and made a positive first impression on practically everyone she met, says friend Andrew Seliber, who testified at her trial as a character witness.

"I think it was her just open personality to, you know, see the good things in people and have always a positive attitude about everybody and everything in the world.  And it was really refreshing coming to school and meeting people like that, especially like her, who were, you know, so willing to see everybody's perspectives about, you know, anything."

Seliber adds she worked hard to keep up her GPA, making the dean's list almost every quarter, so she could travel her junior year.

"I think (studying abroad) was kind of an extension of that personality where she always wanted to meet people and -- and just get their perspectives on the world, because there's really no better way of opening yourself up than to travel the world," Seliber says.

She considered Germany, Austria and Scotland, her mother says, before deciding on Italy, a place she'd never been and where the people spoke a language she hadn't studied.

"She wanted to try something different," Mellas says. "Once she decided on Italy, she thought about going to the really typical places: Florence or Rome. But she really thought that to her seemed more touristy. And she wanted just everyday, small-town, regular Italians and not where there would be hundreds of English-speaking people. She wanted to immerse herself in a smaller town and -- she looked around and Perugia had a program."

Mellas worried about her but took comfort in the fact that she would be close to relatives in Europe.

"You worry if you send your kids that far away. But it was also a dream of hers that you know, nobody was going to squash. I worried that she was too trusting. I worried that she didn't have enough self-preservation kind of instincts."

European adventure

Knox worked in two coffee shops and an art gallery, living frugally to save the $10,000 she would need for the trip.

Finally, the time arrived for her to begin her adventure in August 2007.

She and her sister went to Europe to visit relatives before catching a train to Perugia. From the start, it was an adventure, her sister says.

"We showed up in Perugia on the train and just thought we could find our way to her hotel, and realized that we had no idea where we were going. So we ended up hiking with our backpacks like, five miles right off the train station to even find a bus that would take us to our hotel," Deanna Knox says.

As soon as they arrived, Knox made her way to the University for Foreigners of Perugia to get the lay of the land.

"The city was really beautiful. You could really tell on Amanda's face and how she was acting that she was instantly in love."

After school began, Knox sent enthusiastic e-mails to her family nearly every day. She described attending a chocolate festival and a book fair with Kercher.

A few weeks into her stay, she wrote in various e-mails that she had met a handsome computer engineering student who looked like Harry Potter at a classical music concert.

Knox had been a "late bloomer" in terms of dating, so news that she had met Raffaele Sollecito made her sister happy.

"She was just infatuated with the whole idea of him. First of all, he was a foreign guy, he was sweet, he was really kind, he was smart. ... He was exactly my sister's type." Deanna Knox says. "It was pretty exciting. I wanted to learn more about him, and it just happened that they were only dating for two weeks before everything happened. I wish -- I really wish that they could've gotten to know each other a lot better."

CNN's Mallory Simon and Todd Schwarzschild contributed to this report.

@highlight

Friends, family: Nothing about Amanda Knox's past suggests she's a killer

@highlight

Knox is serving a 26-year Italian prison sentence for killing Meredith Kercher

@highlight

Friends grimace at description prosecutors painted of Knox as resentful American