(CNN) -- It's nicknamed "The Kingdom in the Sky" -- where blue, chilly skies linger over barren mountains, lush green mountains, snow-covered mountains. This is truly a kingdom of mountains -- the southern African country of Lesotho.

But the breathtakingly beautiful landscapes are a tough place to live and some remote highland areas can only be reached on foot or horseback. During winter time, temperatures can drop down to -4 Fahrenheit (-20 C) and bad weather can cut off much of the population for months.

The rural mountainsides are where boys as young as five tend cattle and sheep. They are the herd boys of Lesotho, often spending months or even years away from their families.

It is estimated that around a third of Lesotho's school-aged boys are shepherds. Becoming a shepherd is a cultural obligation in the country and often deprives young boys of any form of education. Instead, they lead isolated lives.

"I wake up at seven in the morning. I boil some water and take a bath. I clean my surroundings and prepare for the day ahead. Then I take the cattle to the grazing field," says 17-year-old shepherd Thuso Leeto, who over time has formed a special bond with the cows that are his only companions and which he considers to be his friends.

"I have (even) given them names and when I reprimand them they listen and respond to their names," he says.

Read this: Africa's magnificent mountains - seven amazing climbs

The work of the herd boys is both mentally and physically demanding, but their income is often the only means of support for their families. For one year's work, some boys will receive just one cow or 12 sheep.

Prince Seeiso, younger brother of Lesotho's King and the country's High Commissioner to the United Kingdom, has co-founded a charity called Sentebale, together with Britain's Prince Harry. The aim is to help support some of Lesotho's most vulnerable children, the herd boys included.

"There is not much social security in this country as far as the welfare or wellbeing of the herd boys (goes)," says Prince Seeiso.

Prince Seeiso explains that whilst the tradition of the herd boys goes far back in time, the herding used to be done by older men.

"When the migrant labor began to get into Lesotho when the mines were opening, the older men went into South Africa and then there was a void. Then the kids became the herders," he says.

Lesotho has one of the world's highest HIV/AIDS rates, with around 23% of adults aged 15-49 being HIV positive, according to UNAIDS.

Providing support and information about HIV/AIDS is one of Sentebale's missions, and it is also providing an education for the herd boys through night schools.

"We are looking at the long-term goals of eradicating the need for herding, but in the meantime we try and bring some kind of respite in terms of education, in terms of appropriate clothing, in terms of appropriate technology, introducing them to mobile phones, so that when they are out there, they can be alerted to weather reports," says the prince.

Improving the lives of young herd boys

It's not only the possibility of floods, or the biting winds that easily find their way through the worn-out, thin clothes of the young shepherds, that threaten them. After rounding their livestock into holding pens and retreating to their own small huts, the herd boys nervously await the impending night.

This is peak time for cattle thieves and jackals.

Julius Majoro, one of the local night school teachers, became a herd boy when he was 12 years old. He knows the fears these young men face.

"Many thieves come during nighttime and attack the shepherds. They sometimes kill them with a gun," Majoro says, recalling the feeling of isolation. "I used to be lonely because I was just staying with the animals, also not feeling free, during the day and also during nighttime because I was supposed to care for (them)."

The isolation, the hunger (Majoro says he sometimes had to eat food left out for the dogs by the farmer who employed him) and the hard weather conditions motivated him to fight for the rights of the herd boys.

"The word shepherd, it sounds like an insult ... because those people have been abandoned by society, by our nation by everybody. Nobody cares for them," he says.

"Now what I always try to tell the shepherd, (being) a shepherd doesn't mean something bad, it means you're doing something special."

Read this: Maasai Cricket Warriors

Going the extra mile for education and a hot meal

As of October this year, Sentebale has three night schools for the herd boys, and Majoro runs one of them, in Semongkong, one of the remotest parts of the country. He has been teaching there for five years now, and this season he has about 30 students.

It's winter time, and the classroom is cold. But many shepherds walk for hours after they have finished their work for the day, to get basic education and a hot meal.

"It's very, very cold," Majoro says. "Even if it's worse than now, they will still come. Education is their need. They need love. They want to socialize. And only here at school is where they get what they need."

The lesson plans involve math as well as English and Sesotho --- the language of Lesotho. The young men are also being informed about HIV and AIDS.

But it's not only about the education. Their eyelids may be heavy after a long day of working, but here they can socialize. Here, they can break through isolation.

"They don't grow spiritually, they don't grow emotionally," Majoro says. "They don't grow socially, which is part of their life, because if they are not getting those things, they are not well complete.

"That's why we bring them here, teach them how to behave, counsel them. This is just like a big family."

Before returning to their respective cattle posts, the herd boys of Lesotho sing and dance together, forming a community spirit in remote highlands, 1,000 meters above the sea. Then they walk off alone, again.

@highlight

In Lesotho, around a third of school-age boys work as herd boys

@highlight

Boys as young as five can spend a year away from their families

@highlight

Lesotho's Prince Seeiso and Britain's Prince Harry started charity Sentebale to help them