(CNN)  -- As he surveys the nation's landfills, chemical plants, waste facilities, and smelters, Robert Bullard sees an insidious form of institutional racism.

Robert Bullard is the director of the Environmental Justice Resource Center at Clark Atlanta University.

"When you look at the neighborhoods that are where you have a lot of different waste facilities... the people who live closest are oftentimes the most vulnerable people who have the fewest resources to escape neighborhoods because of residential segregation, housing discrimination, and limited incomes," said Bullard, a professor at Georgia's Clark Atlanta University and the director of that university's Environmental Justice Resource Center.

"Just because you're poor, just because you live physically on the wrong 'side of the track' doesn't mean that you should be dumped on."

Those people are predominantly minorities, Bullard said. In fact, more than half of the 9 million people living within two miles of the nation's hazardous waste facilities are minorities, according to "Toxic Wastes and Race at Twenty, 1987-2007: Grassroots Struggles to Dismantle Environmental Racism," a recent report that Bullard co-wrote.

Widely acknowledged as a pioneer in environmental justice, Bullard has worked in the field since 1978. He is the author of several books on the topic, including "Confronting Environmental Racism," "Dumping on Dixie" and "Unequal Protection."

In his nearly two decades of work in the field, Bullard said little has changed.

"I've visited dozens of communities and done these toxic tours," Bullard said. "What's so disheartening is that it looks so familiar. I could have been in Louisiana, Richmond, California...I could have been in Chester, Pennsylvania.

"And I think this phenomenon of concentrating polluting industries in communities [of] working class...low incomes, communities of color, this phenomenon has to be dealt with."

Living near these facilities puts people at higher risk for health problems, Bullard said. "We're seeing elevated asthma rates, we're seeing higher than average cancer rates, we're seeing lots of diabetes and kidney failure," he said.

In a response to the "Toxic Wastes and Race at Twenty, 1987-2007: Grassroots Struggles to Dismantle Environmental Racism" report, the Environmental Protection Agency said "The EPA is committed to delivering a healthy environment for all Americans and is making significant strides in addressing environmental justice concerns. Since 1993, EPA has awarded more than $30 million in grants to over 1,100 community-based organizations focused on addressing local environmental and public health issues."

The agency also said that it is developing an Environmental Justice Smart Enforcement Assessment Tool, which will look at environmental, health, socioeconomic and compliance factors to ensure that the EPA's enforcement activities will focus on communities that need it most.

"EPA expects to begin using this tool later this year," the agency said. E-mail to a friend

@highlight

Robert Bullard is a professor at Georgia's Clark Atlanta University

@highlight

Bullard has worked in environmental justice since 1978

@highlight

People living near waste sites are predominantly minorities, Bullard says