Washington (CNN) -- Tuesday is the biggest single day of primary voting this year, with eight states holding contests from coast to coast.

Once again, there's a high-profile tea party vs. mainstream GOP Senate primary showdown. The election, in Mississippi, is the anti-establishment's best shot at ousting an incumbent Republican senator running for re-election this year.

In Iowa, the front-runner in the GOP Senate primary has rare support from both sides in this intra-party battle. If Republicans can flip Iowa and five other Democratic-held seats, they will regain control of the Senate.

And keep an eye on California, which becomes the largest state in the country to hold an open, or "jungle" primary, where the top two finishers advance to the November election, regardless of party affiliation.

Here are five contests worth watching on Tuesday:

1. A big test for the tea party: For tea party supporters, the GOP Senate primary in Mississippi represents perhaps their most high-profile chance to claim victory after facing a string of defeats this year.

With the exception of some races in Texas last week, conservative challengers have lost in key congressional contests, including in Idaho, Kentucky, Georgia, North Carolina and Oregon.

Polls in Mississippi show the Senate race there will go down to the wire.

At 76, Thad Cochran is the second oldest Senate incumbent running for re-election this year. State Sen. Chris McDaniel says Cochran's six terms in Washington are enough and he's running on a platform of change for Mississippi.

"We don't have six more years of the status quo," he told CNN's Dana Bash. "I am not going to Washington, D.C., to be a member of the cocktail circuit or to make backroom deals. I'm going up there to fight and defend the Constitution."

Cochran supporters argue the senator knows what's best for the state, and they point to McDaniel's out-of-state help. Former Gov. Haley Barbour blasted McDaniel for bringing in "outside celebrities" such as former Pennsylvania Sen. Rick Santorum and former Alaska Gov. Sarah Palin, who campaigned for McDaniel in the past week.

New ads in nasty Mississippi GOP Senate race

Cochran was considered the most vulnerable GOP senator facing re-election. But momentum shifted after questions arose about the McDaniel campaign's knowledge of a bizarre plan to shoot pictures of Cochran's ailing wife in a nursing home bed.

Nasty Senate race digs deeper into the mud

2. Both sides in the bag: Iowa State Sen. Joni Ernst doesn't have to take sides in the battle between grass-roots conservatives and the Republican establishment: She's got the backing of both.

Ernst, a lieutenant colonel in the Iowa National Guard who grabbed national attention earlier this year by touting her hog castrating skills in a campaign commercial, has the support of some top names and groups among both the tea party movement and the mainstream GOP.

A Des Moines Register poll released over the weekend put Ernst at 36%, 18 percentage points ahead of businessman Mark Jacobs. If no candidate cracks 35% of the vote, the nomination will be decided by around 2,000 delegates at a state party convention.

The GOP nominee will face off in November against Democratic Rep. Bruce Braley, who faces token opposition in his party's primary. The winner of November's general election will succeed longtime Democratic Sen. Tom Harkin, who is retiring at the end of the year. Republicans feel they have a good shot at flipping Harkin's seat in their drive to retake the Senate.

Big name Republicans from both establishment and conservative wings of the party like Mitt Romney, Marco Rubio and Sarah Palin have joined Ernst on the trail and she's gotten support from establishment groups like the Chamber of Commerce as well groups like the Senate Conservatives Fund, which often backs conservative candidates who launch primary challenges against incumbent Republican senators.

Ernst has backing from both sides

3. The battle for second: No one is questioning whether Democrat Jerry Brown, who's bidding for an unprecedented fourth term as California governor, is the overwhelming favorite in Tuesday's Golden State primary. The big question is whom the incumbent will face come November.

For the first time in statewide races, California is holding "open" or "jungle" primaries, in which all candidates compete in a single contest and the first and second place finishers, regardless of party affiliation, advance to the general election.

So, who will be Brown's opponent in November?

The latest polling indicates former Bush administration treasury official Neel Kashkari is slightly ahead of State Rep. Tim Donnelly for the second spot. Both are Republicans but which candidate advances to November could make a difference for the party's chances in the general election.

Some GOP strategists said they're concerned that if it's Donnelly, a conservative with tea party backing, it could hurt Republican candidates in down-ballot races in a state where the general election electorate is much more moderate than that of the GOP primary.

But wait, there's more.

One time anti-war protester Cindy Sheehan is also on the ballot, the nomine of the Peace and Freedom Party, a socialist party whose gubernatorial candidates have traditionally grabbed about 1% of the vote.

Sheehan became the face of the anti-Iraq war movement in 2005 when she protested for weeks outside then-President George W. Bush's ranch in Crawford, Texas, after her son Casey was killed in combat.

4. A very, very crowded primary: A new-age spiritual healer. A public radio host. A sports executive. A television producer.

Those are just four of the 16 candidates running in the primary for California's 33rd Congressional District, which includes Hollywood.

The district also contains parts of Westside Los Angeles, as well as the opulent cities of Beverly Hills, Bel Air and Brentwood. The area is losing its longtime congressman, Democrat Henry Waxman, who announced earlier this year he would retire at the end of his 20th term.

Keeping up with the celebrity endorsements and the money race in this part of the state can be a challenge. Marianne Williamson, the self-help guru, has the backing of Katy Perry and Kim Kardashian, for example.

Los Angeles City Controller Wendy Greuel and state Sen. Ted Lieu, both Democrats, are considered the most likely candidates to place in the top two and advance to the general election.

But with just as many Republicans and independents as Democrats running for the seat -- and an expected low turnout -- it's possible the race may not end up as an intra-party fight.

Wild battle to represent Beverly Hills

5. Democrat incumbent challenged in Montana: Republicans view Montana as another chance to pick up a Democratic seat and regain control of the Senate.

The incumbent, Democrat John Walsh, was appointed to the seat in February after longtime Sen. Max Baucus resigned to become U.S. ambassador to China.

Walsh faces two Democratic primary challengers, rancher Dirk Adams and former Lt. Gov. John Bohlinger. Walsh is considered the front-runner and political observers will watch to see how big -- or how small -- his margin is over his competitors. If he fails to win by a landslide, it could spell trouble in the fall.

The Democratic nominee will face the winner of the GOP race -- another three-way contest -- in November.

Rep. Steve Daines is considered the favorite in the GOP primary and has the support of the National Republican Senatorial Committee. He faces state Rep. Champ Edmunds and political newcomer Susan Cundiff.

@highlight

What has been the country's nastiest primary is to be decided in Mississippi

@highlight

Iowa Senate candidate has backing from both tea party and establishment Republicans

@highlight

Only question for California Gov. Jerry Brown is who he'll face in November

@highlight

Democratic incumbent in Montana Senate race gets challenge from within