(CNN) -- In life, Aaron Swartz was a force in creating today's Web, helping write game-changing code in his early teens before turning his attentions to Internet activism.

In death, an apparent suicide that came as he faced federal charges that could have sent him to prison for decades, he became a martyr of sorts -- a champion for a new generation of believers that the Web, and the information on it, deserve to be free.

Now, his story is the subject of a documentary film being released Friday.

"The Internet's Own Boy" is a look at Swartz's life and untimely death at age 26.

For director Brian Knappenberger, it's a tale that merges a captivating life story with a look at some of the most important legal, social and ethical issues of the digital age.

"On the one hand, it was a very compelling personal story that was just, by itself, inspirational and interesting but, ultimately tragic," said Knappenberger. "Then there's this kind of sharp combination with the issues Aaron was involved in, which are really, really relevant for our time.

"I wanted to tell this personal, ultimately tragic, story that also touches on a broken criminal justice system, outdated computer laws" and other issues, he said in a phone interview.

'Digital savant and wise elder'

Swartz was a digital prodigy who helped craft the Internet we know today. By age 14, he had co-written the specifications for RSS -- a Web-publishing system for delivering content from frequently updated sites like blogs. As a teen, he was one of the architects of Creative Commons, writing code for the nonprofit devoted to letting creators make their works available for others to share and improve upon.

At 19, after a single year at Stanford, he formed his own company, Infogami, which would merge with, and help create, Reddit -- the vast, freewheeling social-sharing site built on the foundation of free-expression and online anonymity.

"World wanderers, we have lost a wise elder. Hackers for right, we are one down," said World Wide Web creator Tim Berners-Lee, in a tweet about the death of a man 31 years his junior.

'A legal nightmare'

On January 6, 2011, Swartz was arrested by police officers from MIT and charged with breaking and entering for downloading more than 4 million documents from a campus digital library. Federal prosecutors tacked on wire fraud, computer fraud and other charges. In all, Swartz faced up to 35 years in prison and a $1 million fine if convicted.

Supporters note that none of the documents he acquired included sensitive personal data or would have netted Swartz any financial gain. JSTOR, the digital library from which the documents came, declined to press charges and asked prosecutors to drop the case.

Two years later Swartz was found hanged to death in his Brooklyn apartment, just two days after prosecutors had turned down his lawyer's second plea-bargain offer.

"He certainly was the kind of person who carried the weight of the world on his shoulders," Knappenberger said. "While he was rousing the troops for this political cause, he was also going through this kind of personal hell."

His film notes that friends described depression-like symptoms in Swartz and that he suffered from ulcerative colitis, a painful intestinal condition similar to the one suffered by Nirvana front man Kurt Cobain, who killed himself in 1994.

But Knappenberger feels it was the legal ordeal that pushed Swartz to his final desperate moments.

"I think it was the two-year legal nightmare that left him exhausted, emotionally and mentally," he said. "I don't let the case off that easily. I think that, without this, we'd still have him."

'A beautifully crafted film'

"The Internet's Own Boy" was funded in part through a Kickstarter campaign and screened earlier this year at the Sundance and South by Southwest film festivals, where it got largely positive reviews.

"While the film borders on hagiography ... the celebration of what Swartz accomplished never feels forced or inauthentic," wrote Geoff Berkshire in Variety. "Instead, 'The Internet's Own Boy' is a beautifully crafted film that opens a window on a world not everyone has entered yet, and exposes ways in which both the legal system and the U.S. government is lagging hopelessly behind technology."

Katherine Kilkenny, writing for IndieWire, said one of the film's running themes is the question of whether "this generation's programming magicians" will choose to use their power for purpose or profit.

"We often see stories of slight, sloppy-looking young coders like Swartz transformed into national icons by the tech industry, but rarely with such close attention to ethics," she wrote. "Knappenberger has delivered a film brimming with outrage."

It's that sort of outrage that turned Swartz's death into a cause celebre among Internet-freedom advocates.

Tributes after death

Multiple memorials were held for Swartz, from his hometown of Highland Park, Illinois, to Cooper Union in Manhattan to Capitol Hill, where attendees included U.S. senators and representatives who spoke out in favor of the freedom of information online.

An online movement tagged #PDFtribute encouraged academics and others in the public sector to make their writings and other documents freely available online, and many did.

Princeton University announced new scholarships in Swartz's name. He was posthumously named to the Internet Hall of Fame, and members of the "hacktivist" movement Anonymous hacked two MIT websites, posting calls that Swartz's death become a rallying point for the open-access movement.

"That was part of the reason I was so drawn to it," said Knappenberger, who had previously profiled Anonymous in the documentary "We Are Legion: The Story of the Hacktivists."

"There was obviously this big wave of anger and frustration and sympathy that came out of the Internet after he died that was notably not there during his case.

"It wasn't just people who knew him. It was people from far beyond the online world where he was a celebrity. All kinds of people really responded to his story."

To those closest to him, the film is a bittersweet tribute.

"It's extremely difficult for me to watch," Aaron's father, Robert Swartz, told CNN. "I think that Brian has done a wonderful job presenting who Aaron was, where he came from, what he tried to accomplish, and what kind of role model he represents to others who can use those skills rather than simply making money as a means to improve the world and make the world a better place."

"The Internet's Own Boy" premiered Thursday in Los Angeles and begins rolling out to theaters in more than 25 cities on Friday. It is being released simultaneously in multiple digital formats, including on Creative Commons, where it will be made available for any use that does not involve making a profit from it.

CNN's Laurie Segall and Brandon Griggs contributed to this story.

@highlight

'The Internet's Own Boy" explores life, death of Aaron Swartz

@highlight

Swartz was a digital savant helping create the Web at age 14

@highlight

He died from apparent suicide facing decades in prison

@highlight

Filmmaker calls Swartz's film a look at issues of digital age