(CNN) -- A series of cities are in the grip of soaring temperatures this weekend. From Phoenix, to Las Vegas, to Death Valley in California, which set a world-record high a century ago.

Death Valley was the hottest spot Saturday, reaching 127 degrees, and Arizona and Nevada continued in a record-setting heat wave that is forecast to last through Tuesday.

The heat may have led to the death of a man in his 80s in Las Vegas, where the temperature Saturday hit 115 degrees, tying a record set in 1994, the National Weather Service said.

Paramedics found the man dead in his home, which did not have air conditioning, said Las Vegas Fire & Rescue spokesman Tim Szymanski.

He died of cardiac arrest and the heat may have contributed to his death, although the coroner will make the final determination, he said.

The heatwave comes just a couple weeks before the 100th anniversary of what the National Weather Service calls the "highest reliably recorded air temperature on Earth" -- 134 degrees on July 10, 1913, in Death Valley's Greenland Ranch.

At Furnace Creek, the heat will stay on full blast through Tuesday, at least. At night, the mercury will drop to a relatively cool 96 degrees.

"We have more work than we can handle," said Max Ghaly of Cathedral City Air Conditioning and Heating in Palm Springs, California. "We're running all over the place trying to do what we can."

The only time the technicians can have some cold air, Ghaly told CNN, is when they're driving.

Fun aside, the heat wave scorching the Southwest is dangerous, as 170 concertgoers found out Friday evening in Las Vegas, according to the fire department.

Ambulances plucked them out of 110-degree heat in an open-air music venue and drove them to a shady spot, where they could sit down and drink water. Another 30 people were treated for heat ailments in local hospitals.

Heat hurts your insides too

"I'm not worried as much about the people who have lived here a while," said Sgt. Troy Stirling, police spokesman in the Lake Havasu, Arizona, near the California state line.

"It's more the tourists coming into the area, even from Southern California, who aren't used to this kind of heat."

A man driving from northern Nevada to southern Arizona stopped at a Las Vegas highway exit Saturday after his car's air conditioning unit broke and he drove for several hours without it, Szymanski said. He stopped at the exit to call 911, and when paramedics arrived, they found the man suffering from heat stroke.

Civic and emergency officials throughout the Southwest say that if there was ever a time to worry, this would be it. The reason isn't just the oppressive heat that is plaguing the region: It's the fact it is expected to hang around, and possibly even get worse, over the next few days.

Extended heat warnings

The National Weather Service issued an excessive heat warning for large parts of California, Nevada and Arizona, and a heat advisory for other parts of Nevada.

Many of the excessive heat warnings extend through Tuesday night. Starting Wednesday, temperatures will drop by a couple of degrees, moving closer to normal temperatures.

"It'll still be hot, but not as intense as we're seeing now," said Chris Stachelski, a meteorologist with the National Weather Service in Las Vegas.

Forecasters say temperatures through the weekend could rival a 2005 heat wave that killed 17 people in the Las Vegas area.

The culprit is a high pressure dome that's blocking cooler air coming down from the Pacific Northwest, CNN meteorologist Indra Petersons said. That system won't begin to break up until early next week, she said.

As a result, Phoenix residents saw a high of 119 degrees on Saturday -- setting a new record for the day. Temperatures should max out at 113 in the coming days in Palm Springs, California.

It's not like sunset will provide much respite, as temperatures may not drop below 90 degrees in many places, even in the middle of the night.

Some heat wave advice

"The No. 1 thing is to absolutely know your limitations and to stay hydrated by drinking plenty of water," Stachelski advises those coping with the high temperatures.

He recommends limiting time outdoors. For those who have to do any strenuous activity outside, he advises doing it in the early morning, evening or simply putting it off until the end of the week when the temperatures are lower.

Such high temperatures can put people at risk for heat exhaustion or heat stroke, which can be fatal. The elderly, infants, children and people with chronic medical conditions are the most prone to heat stress.

Heat exhaustion is the body's response to an excessive loss of water and salt, usually through excessive sweating, according to the U.S. Centers for Disease Control and Prevention.

Symptoms of heat exhaustion include extreme weakness or fatigue, dizziness, nausea and fast and shallow breathing.

Heat stroke is even more serious and happens when the body becomes unable to cool down, the CDC says. It can cause death or permanent disability if untreated.

Heat stroke symptoms include hallucinations, chills, confusion and dizziness, along with slurred speech.

To protect against heat stress, the CDC advises spending time in air-conditioned places, staying informed of heat warning and drinking lots of fluids.

CNN's Joe Sutton, Michael Martinez and Michael Pearson contributed to this report.

@highlight

NEW: The heat may have contributed to the death of a Las Vegas man

@highlight

134 was "highest reliably recorded air temperature on Earth" on July 10, 1913

@highlight

Excessive heat warnings extend from northern California to Arizona and beyond

@highlight

The temperature reaches 127 in Death Valley on Saturday