WASHINGTON (CNN) -- Judge Sonia Sotomayor, who rose from the housing projects of the Bronx to the top of the legal profession, made history Thursday when the Senate confirmed her to become the nation's first Hispanic Supreme Court justice.

Sonia Sotomayor, 55, will be the first Hispanic on the Supreme Court.

Sotomayor was easily confirmed in a 68-31 vote. Nine Republicans joined a unanimous Democratic caucus in supporting her nomination.

Sen. Ted Kennedy, D-Massachusetts, supported Sotomayor but was not present for the vote because of illness.

Sotomayor, a 55-year-old federal appeals court judge, will be the 111th person to sit on the high court and the third female justice.

She will be sworn in at the Supreme Court by Chief Justice John Roberts on Saturday.

President Obama, who selected Sotomayor on May 26, said he was "deeply gratified" by the Senate vote.

"This is a wonderful day for Judge Sotomayor and her family, but I also think it's a wonderful day for America," Obama said at the White House.  Watch Obama's remarks »

Watching the final vote with friends and family at the federal courthouse in Manhattan, Sotomayor was confirmed after senators spent a final day of debate rehashing arguments for and against her.

Democrats continued to praised Sotomayor as a fair and impartial jurist with an extraordinary life story. Many Republicans portrayed her as a judicial activist intent on reinterpreting the law to conform with her own liberal political beliefs.

Among other things, Republican opponents emphasized concerns over her statements and rulings on hot-button issues such as gun control, affirmative action and property rights.  See how Sotomayor measures up with her new colleagues »

They also raised questions about some of her most controversial speeches and statements, including her hope that a "wise Latina woman, with the richness of her experiences" would reach a better conclusion than a white man "who hasn't lived that life."

Vermont Sen. Patrick Leahy, chairman of the Senate Judiciary Committee, helped close the debate by stressing the historic nature of the nomination.

"It is distinctively American to continually refine our union, moving us closer to our ideals. Our union is not yet perfected, but with this confirmation, we will be making progress," Leahy said on the Senate floor.

"Years from now, we will remember this time, when we crossed paths with the quintessentially American journey of Sonia Sotomayor, and when our nation took another step forward through this historic confirmation process."

Senate Minority Leader Mitch McConnell, R-Kentucky, took aim at what he claimed was Sotomayor's inability to refrain from bringing her personal political opinions to bear on her rulings.

"This is the most fundamental test for any judge and all the more so for those who would sit on our nation's highest court, where a judge's impulses and preferences are not subject to review. Because I'm not convinced that Judge Sotomayor would keep this commitment, I cannot support her nomination."

Several Republicans, however, bucked party leadership by voting in favor of Sotomayor.

Sen. George Voinovich, R-Ohio, announced Thursday morning that he had decided to back Sotomayor after weighing a range of factors, including her education, experience and temperament.

"Judge Sotomayor is not the nominee I would have selected if I were president, but making a nomination is not my role here today," Voinovich said.

"My role is to examine her qualifications to determine if she is fit to serve. ... Based on my review of her record, and using these factors, I have determined that Judge Sotomayor meets the criteria to become a justice on the Supreme Court."

Voinovich was joined by Maine's Susan Collins and Olympia Snowe, New Hampshire's Judd Gregg, Indiana's Richard Lugar, Missouri's Kit Bond, Florida's Mel Martinez, South Carolina's Lindsey Graham and Tennessee's Lamar Alexander.  Watch the Senate vote »

In a telling political sign, none of the Republicans who voted for Sotomayor is seeking re-election in 2010. Conservative activists, including the powerful National Rifle Association, mounted a concerted effort to rally GOP opposition to Sotomayor.

The abortion issue also played a significant role in the nomination, with abortion-rights supporters backing Sotomayor and opponents urging her defeat.

"Today's historic vote is a sign of progress for Americans who want a Supreme Court that values individual freedom and privacy," said Nancy Keenan, head of the group National Abortion Rights Action League Pro-Choice America.

Charmaine Yoest, head of Americans United For Life, praised the 31 Republican senators who opposed Sotomayor for a "stunning vote of 'no confidence' in a nominee whose background of abortion advocacy and record of judicial interventionism raise serious questions about her fitness for the high court."

Underlying the debate over Sotomayor was the larger political question of whether the Republican Party risked alienating Hispanic voters by opposing the first Latina nominee. The party's share of the Hispanic vote dropped sharply in last year's presidential election.

"If you meet all of the challenges that you are told you need to meet and still you can be told no, despite fidelity to Constitution, the law and precedent, then it sends a tough message to us as a community," said Sen. Robert Menendez, D-New Jersey.

Sotomayor's confirmation capped an extraordinary rise from humble beginnings. Her parents came to New York from Puerto Rico during World War II. Her father worked in a factory and didn't speak English.

She was born in the Bronx and grew up in a public housing project, not far from the stadium of her favorite team, the New York Yankees. Her father died when she was 9, leaving her mother to raise her and her younger brother.

Her mother, whom Sotomayor has described as her biggest inspiration, worked six days a week to care for her and her brother, and instilled in them the value of an education.

Sotomayor later graduated summa cum laude from Princeton University and went on to attend Yale Law School, where she was editor of the Yale Law Journal.

She worked at nearly every level of the judicial system over a three-decade career before being chosen by President Obama to replace retiring Justice David Souter on the Supreme Court.

Accepting the nomination, Sotomayor thanked Obama for "the most humbling honor of my life."

After the selection, Sotomayor was touted by her supporters as a justice with bipartisan favor and historic appeal. She has served as a judge on the 2nd U.S. Circuit Court of Appeals since 1998. She was named a district judge by President George H.W. Bush in 1992 and was elevated to her current seat by President Clinton.

Sotomayor presided over about 450 cases while on the district court. Before her judicial appointments, she was a partner at a private law firm and spent time as an assistant district attorney prosecuting violent crimes.

CNN's Lisa Desjardins, Kristi Keck and Bill Mears contributed to this report.

@highlight

NEW: Abortion opponent praises 31 Republican senators who voted "no"

@highlight

Sonia Sotomayor wins confirmation by 68-31 vote

@highlight

She will be the 111th justice, the third woman and first Hispanic on high court

@highlight

Nine Republicans join unanimous Democratic caucus in supporting nomination