Jerusalem (CNN) -- Israeli military experts Sunday worked around the clock to examine the remains of a mysterious drone that was shot down after penetrating Israeli airspace from the Mediterranean Sea.

The Israeli military announced Saturday that the unmanned aerial vehicle was shot down over the northern Negev Desert. They say the drone did not take off from Gaza, leading them to consider the possibility that it originated in Lebanon.

Israeli security experts point the finger at Israel's longstanding rival Hezbollah, the Shiite militia based in southern Lebanon.

"We know it originated in Lebanon," said Ron Ben Yishai, an Israeli national security and defense commentator for Israeli news portal Ynet. "It is entirely clear the UAV was sent by an Iranian proxy. The Iranians provided Hezbollah with their very first drones and they have also funded the organization."

Opinion: U.S. drone monopoly gone

While Israel has yet to officially announce who it sees as responsible for the penetration into its airspace, Lebanon's national news agency on Sunday reported that Israeli fighter jets have flown into Lebanese airspace, causing sonic booms in the area.

Military spokeswoman Avital Leibovich said Saturday that the drone did not carry any weapons or explosives. Leibovich would not discuss the drone's route or whether it had flown over military installations.

If Hezbollah were responsible for the launch of the drone, flying it for more than 200 km (125 miles) down the Mediterranean and deep into Israel, that would represent a significant upgrade to its aerial capacities. But Ben Yishai said neither Hezbollah nor the Palestinian militant groups Hamas and Islamic Jihad in Gaza have claimed responsibility for launching the drone.

"I can imagine they are quiet, concerned of the Israeli response to this operation, but it is not for me to say what Israel's reaction would be," he said.

Iran, which supports Hezbollah, has had no comment.

While the Israeli military has stated that the drone did not carry explosives, the objective of the flight was a mystery Sunday.

"The question is, what exactly did they look to achieve? Was it merely a demonstration of strength, or an operational mission for collecting intelligence?" said Ben Yishai.

One possible target for any of Israel's enemies is the secret nuclear plant at Dimona, in the Negev. Built with the help of the French government in the 1960s, the reactor stands several dozen miles from where the drone was shot down.

Israel does not comment on whether it has nuclear weapons, but details leaked by a former technician at Dimona in the 1980s led international observers to conclude that it could have produced as many as 200 nuclear bombs. In December 2010, the Israeli military announced it had shot down an unidentified flying object over the nuclear plant.

Ben Yishai said crashing a drone carrying explosives onto the plant would be considered a phenomenal achievement for Hezbollah, even though the aircraft can't carry a big enough bomb to inflict serious damage. Even photographs of the tightly guarded plant would be an intelligence prize, he said.

The drone incident comes amid a tense international standoff over Iran's nuclear fuel program, which Israel fears is a cover for a nuclear weapons program.

Iran has defied calls by the U.N. Security Council to halt its production of enriched uranium, insisting it has a right to make fuel for civilian power plants. But the U.N. nuclear watchdog agency says it can no longer verify that Iranian nuclear research is strictly peaceful.

That's fueled talk of Israeli military action against Iran, with Israeli Prime Minister Benjamin Netanyahu warning the U.N. General Assembly in September that time for a diplomatic solution was running out. The United States, Israel's leading ally, says it won't tolerate a nuclear-armed Iran, but says diplomatic and economic sanctions are starting to take a deep bite out of Iran's economy.

On Sunday, Leibovich, the Israeli military spokeswoman, said an Israeli warplane shot down the drone. Ben Yishai said small drones are difficult to spot on radar, and missiles aren't designed to hit such slow-moving targets.

The decision to closely follow the drone for almost 30 minutes within Israeli airspace was a wise choice, Ben Yishai said.

"Having identified the drone flying over the Mediterranean, the Israeli air force could have chosen to shoot it down right away," he said. "The ability to track the drone, take pictures of it from all directions and examine its capabilities serves as an outstanding resource for intelligence information."

Anti-drone peace march halted in Pakistan

@highlight

"We know it originated in Lebanon," an Israeli security analyst says

@highlight

Israel is investigating the craft's origin and hasn't pointed any fingers yet

@highlight

The drone was shot down over Israel's Negev Desert on Saturday

@highlight

The craft was several dozen miles from the top-secret Dimona nuclear plant