Tokyo (CNN) -- The owners of the crippled Fukushima Daiichi power plant must start paying up to 1 million yen ($12,000) per household to residents displaced or forced indoors by the nuclear accident there, Japan's government ordered Friday.

The Tokyo Electric Power Company will start handing out checks "as smoothly and as early as possible," hopefully by April 28, its president, Masataka Shimizu, told reporters. Sole residents will receive 750,000 yen and multi-person households will get 1 million, Shimizu said, with the company's interim cost estimated at about $600 million.

A government committee ordered the payments as an advance on the compensation that Tokyo Electric will owe nearby residents and businesses for the month-old crisis at Fukushima Daiichi, Chief Cabinet Secretary Yukio Edano said Friday. Edano said the government hopes to have payments in residents' hands by Japan's "Golden Week," a string of national holidays that begins April 29.

Tokyo Electric offered a token payment to residents of 10 municipalities around the plant in early April. But officials in one of those towns, Namie, rejected the offer, saying it amounted to about $12 for each of its roughly 20,000 residents.

Tokyo Electric has no timetable for resolving the accident, and the yet-unknown cost of compensation has called the survival of Japan's largest utility into question. The Japanese government has agreed to support the company to keep power flowing to its 25 million customers without big rate increases, Deputy Finance Minister Fumihiko Igarashi told CNN, but he said a government takeover of the utility was unlikely.

"The way the government will approach that is still in the decision process," Igarashi said.

The utility reported 2010 profits of more than 1.4 trillion yen ($17 billion).

About 78,000 people living within 20 kilometers (12.4 miles) of the plant were ordered out of their homes in the days after the March 11 accident, which now is ranked at the top of the international scale for nuclear disasters. Those living another 10 kilometers out were told to remain indoors as the plant belched radioactive particles into the environment from three damaged reactors.

Monday, Japanese authorities told residents of five municipalities in that outer belt and beyond to evacuate within a month, due to lower levels of radioactive contamination that are likely to pose a long-term health hazard. Other towns have been put on notice that evacuations may be required soon, bringing the total number of people directly affected so far to about 146,000, according to Japanese government estimates.

But in Washington, the U.S. State Department on Friday lifted a departure recommendation for families of U.S. diplomats in Japan. While it still advises Americans to stay more than 50 kilometers from the plant, the latest notice calls the situation "dramatically different" than in mid-March.

"Today, while the situation remains serious, and there is still a possibility of unanticipated developments, cooling efforts are ongoing and successful, power, water supply, and back-up services have been partially or fully restored, and planning has begun to control radioactive contamination and mitigate future dangers," the travel alert states.

Plant workers have been battling to cool the cores of reactors 1-3 at Fukushima Daiichi, about 240 kilometers (150 miles) north of Tokyo, for a month. The plant was swamped by the tsunami that followed March 11's historic earthquake, knocking out normal coolant systems.

All three cores are believed to have been damaged by overheating in the aftermath of the tsunami, but a Friday report by the Atomic Energy Society of Japan painted a fresh picture of the extent of the damage.

The zirconium alloy sheaths that surround the fuel rods in the reactor core are believed to have ruptured in all three units, sending molten uranium fuel pellets tumbling to the bottom of the reactors. The pellets are since believed to have cooled and solidified at the reactor bases or in the framework of the fuel assembly, according to the report.

The Atomic Energy Society is an association of nuclear engineers, scientists and professors. Its deputy director, Takashi Sawada, called the new account the clearest picture to date of conditions inside the damaged reactors.

"It's our best effort to imagine what the core looks like," he said.

About 70% of the fuel rods in the No. 1 reactor have been damaged, the report states. In reactor No. 2, that figure is 30%, and in No. 3, 25%.

In addition, the pools that house used but still-energetic spent fuel assemblies are an ongoing concern, Sawada said. Hydrogen explosions blew apart the reactor buildings at units 1 and 2, while the No. 4 reactor building has been damaged by fires of still-unknown origin -- leaving the pools exposed to the environment.

"If there's water enough, there's no problem," he said. "But if some of the fuel is damaged, fission products will come out from those pools."

At the plant on Friday, efforts continued to drain highly radioactive water from the basements and service tunnels of the reactor units' turbine plants -- a necessary first step to restoring normal cooling systems. Japanese authorities drew the ire of fishermen and some of their country's neighbors by authorizing the dumping of thousands of tons of less-contaminated water into the Pacific Ocean last week.

The 10,000-plus ton discharge was billed as an emergency measure aimed at making room for the more dangerous fluid, some of which is believed to be leaking from the No. 2 reactor. More than 9,000 tons of that came from a waste treatment facility at the plant, which could hold up to 30,000 tons now that it's empty, Tokyo Electric officials said.

Crews have been laying fresh pipes to the treatment center and hope to start transferring water from unit 2 on Sunday, the company said. But its capacity could be only a fraction of the volume now sloshing around in the turbine building basements, and engineers are still pouring hundreds of tons of water into the reactors every day to keep them cool.

Susan Olson and CNN's Paula Hancocks contributed to this report for CNN.

@highlight

NEW: A Japanese report paints a new picture of the state of the reactors

@highlight

NEW: The United States lifts a travel warning, citing improved conditions at the nuclear plant

@highlight

Tokyo Electric must pay 1 million yen to displaced households and 750,000 to individuals

@highlight

About 146,000 people have evacuated, are sheltering in place or have been warned to leave