(CNN) -- In what must be the most extraordinary statement of his presidency, Barack Obama on Monday blasted the possibility that the United States Supreme Court might overturn the Affordable Care Act. Obama said the court would take an "unprecedented, extraordinary step" if it overturns the law, because it was passed by "a strong majority of a democratically elected Congress."

Setting aside the point that the ACA did not pass with an overwhelming majority, but by a party-line vote in the Senate and seven votes in the House, and without the support of a single member of the Republican Party, the most astonishing thing about Obama's diatribe was the fundamental misunderstanding of our constitutional tradition it revealed.

Since 1788, in the famous defense of the Constitution set forth by Alexander Hamilton in the Federalist Papers, it has been understood that it is the task of the Supreme Court to rein in majoritarian legislatures when they go beyond what the Constitution permits.

This is not, as Obama implies, judicial activism, or political activity on the part of the justices. This is simply, as Hamilton explained, fidelity to the Constitution itself, fidelity to the highest expression of "We the People of the United States," the body whose representatives ratified that Constitution.

That doctrine of judicial review was most famously expressed by the great Chief Justice John Marshall in Marbury v. Madison (1803), but it had been noted not only by Hamilton, but by many other federal judges in the late 18th century. And over the years, in more than 50 instances, courts have struck down unconstitutional behavior by the federal and state legislatures.

Judicial review is not usurpation -- it is the manner in which the rule of law is preserved in this nation. It is certainly true that sometimes courts, and even the Supreme Court, have erred in their interpretation of the Constitution, and some legislative acts that clearly were permitted by the Constitution have been struck down. But if the ACA's individual mandate is rejected, this will be fully within the legitimate exercise of judicial powers.

Opinion: Supreme Court is playing with fire

This is because, as was made clear in the recent arguments in the court, that mandate, for the very first time in history, is an attempt to compel virtually every adult American to participate in commerce. It is not an attempt to regulate commerce -- which the Constitution permits -- but is, instead, an attempt to create and compel commerce, which the Constitution does not authorize.

The Tenth Amendment to the United States Constitution, a measure regarded as fundamental by those who argued for the passage of the Bill of Rights in 1791, provides that the powers not granted to the federal government are reserved to the states and the people thereof.

As the Supreme Court told us in the Lopez (1995) and Morrison (2000) cases, this means that there must be some limits on the powers of the federal government, and it also means that the basic law-making power, the police power, must reside in the governments closest to the people themselves, the state and local governments.

This is our tradition, and the ACA's individual mandate is a fundamental break with that tradition. If, as it should, the Supreme Court declares the individual mandate unconstitutional, it will be reaffirming our traditions, and not usurping them. The president, a former constitutional law teacher, should be ashamed of himself.

The opinions expressed in this commentary are solely those of Stephen B. Presser.

@highlight

President said top court would break with precedent if it overturns the health care law

@highlight

Stephen Presser says Obama, who taught constitutional law, should know better

@highlight

He says the Supreme Court has long exercised power to overturn unconstitutional laws

@highlight

Presser: Judicial review doesn't usurp Congress' power; it maintains the rule of law