(CNN) -- The recent hacking of a Twitter employee's personal e-mail account is raising questions about the security of storing personal information and business data on the Internet.

A Twitter co-founder says password toughness is important to online security.

The Web has been buzzing since a hacker allegedly broke into a Twitter administrator's personal e-mail account about a month ago and used that information to access the employee's Google Apps account.

That account housed some of Twitter's private financial documents and notes, according to Twitter's official blog.

Some of those documents circulated the blogosphere on Wednesday, and TechCrunch, a technology blog, published a Twitter financial forecast. The hacker sent 310 documents to the tech site, according to a post by Michael Arrington, TechCrunch's founder and co-editor.

In what appears to be a separate incident, a hacker broke into Twitter chief executive Evan Williams' wife's e-mail account and then accessed Williams' PayPal and Amazon accounts, Twitter says.

It's unclear what if any impact the incidents will have on the future of cloud computing, the idea that documents and computing power can be stored "in the cloud" of the Internet rather than on desktops or laptops.

Many tech blogs are weighing in on the hacking's impact. Some see the incident as an indication of serious security flaws at Twitter. Others say it's a sign Twitter has gotten big, and any rising company makes a good target for a cyberattack.

People outside the Silicon Valley micro-blogging company, such as Twitter account holders, reportedly were not affected in the incident.

"This was not a hack on the Twitter service, it was a personal attack followed by the theft of private company documents," Twitter co-founder Biz Stone writes on the company's official blog.

Google's suite of online applications, which allows users to share and store calendars, spreadsheets and text documents, is not to blame for the hacking, Stone said in the post, adding that Twitter continues to use Google Apps.

"This isn't about any flaw in Web apps," Stone writes. "It speaks to the importance of following good personal security guidelines such as choosing strong passwords."

Security experts say it's best for users to create new passwords for each of their online accounts. The passwords generally should be complicated, combining letters, numbers and symbols. And they should be changed often.

CNET, a tech site that partners with CNN, says the hack highlights how interconnected information is online -- and how vulnerable that setup is to attack.

"Although it seems that Twitter has been thrust into this situation a bit unfairly, a hack along these lines could have happened to the executives of more Web companies than anybody would like to admit," Josh Lowensohn and Caroline McCarthy write on the news site.

"What it really highlights is the extreme interconnectedness of the social Web: with the likes of e-mail contact importing and data-portability services like Facebook Connect now commonplace, a savvy hacker can have access to multiple accounts simply by accessing one."

Ken Colburn, a computer security expert, recently told CNN.com/Live  that Google Docs are "as secure as anything you're going to do on the Internet. It's not any more or less secure than Microsoft Office."

Writing for Mashable, a blog that covers online social media, Stan Schroeder says the latest Twitter breach proves the micro-blogging site needs to address nagging security flaws.

"There have been so many problems [at Twitter] over the past couple of months that it's getting hard to keep track of them," he writes. "It's time to fix it once and for all, because these security issues are a dark shadow looming over the otherwise bright future of this company."

Adam Ostrow, editor-in-chief at Mashable, says the hacking is "another embarrassing moment in Twitter's torrid growth, but nothing that's likely to bring the house down."

Peter Kafka, senior editor at AllThingsD.com, offers another analogy.

"This looks roughly akin to having your underwear drawer rifled: Embarrassing, but no one's really going to be surprised about what's in there," he writes.

Another debate happening online concerns TechCrunch's decision to publish some of the information stolen from Twitter.

Arrington, of TechCrunch, writes that "a few of the documents have so much news value that we think it's appropriate to publish them."

Still, "there is clearly an ethical line here that we don't want to cross, and the vast majority of these documents aren't going to be published, at least by us," he writes.

Some, including TechCrunch readers, have criticized the blog's decision to publish any of the information.

Twitter has said it is seeking legal counsel on the matter.

"We are in touch with our legal counsel about what this theft means for Twitter, the hacker, and anyone who accepts and subsequently shares or publishes these stolen documents," Stone writes on the site's blog.

Ostrow, of Mashable, writes that there's nothing "really juicy" in the Twitter documents.

"The bottom line seems to be this: your Twitter accounts are safe, but there are a number of documents that Twitter would rather not have published publicly in other people's hands," he says.

"But if you're expecting something really juicy (like, how Twitter plans to make money), you should probably prepare to be disappointed."

What do you think of the news? Are you worried about security and cloud computing? Do you use Google Docs and will you continue to? What about TechCrunch's decision to publish the info stolen from Twitter?

Feel free to chime in with comments below.

@highlight

A hacker allegedly broke into a Twitter administrator's personal e-mail account

@highlight

The hacker stole Twitter financial documents and leaked them to several blogs

@highlight

Web is abuzz with opinions on the hacking's impact and the ethics of posting the info

@highlight

Twitter says it is seeking legal counsel on the matter