U.S. Secretary of State John Kerry met Iraqi leaders Monday as radical Sunni militants continue their march toward Baghdad during the country's tensest time since the U.S. withdrawal of troops in 2011.

"The future of Iraq depends on decisions made in the next few days and weeks," Kerry said after meeting with Iraqi Prime Minister Nuri al-Maliki, the man who some observers say needs to step down.

Al-Maliki has agreed to a July 1 deadline to begin the process to form a new government, a requirement for U.S. assistance in fighting the Islamic State in Iraq and Syria, or ISIS, Kerry said.

"Our support will be intense, sustained," and will be effective if Iraqi leaders unite to face the militant threat, he said.

With al-Maliki's Shiite-led government losing more ground to ISIS, Kerry implored the leader to rise above "sectarian motivations" to become more inclusive and make the government more representative of Iraq's population.

Map: On the ground, who controls what?

Kerry also met with Iraq's foreign minister as well as Shiite and Sunni leaders.

Al-Malaki's office issued a statement after his meeting with Kerry, saying the Prime Minister told Kerry the current situation "poses a threat" not only to Iraq but the region as well. Al-Malaki "called on the countries of the world, especially countries in the region, to take it seriously," the statement said.

But outside the rooms of high-level talks, parts of Iraq are falling by the day. Here's the latest on the crisis that is spilling far beyond Iraq's borders:

Where is Iraq's military?

The United States believes "multiple Iraqi military divisions" outside Baghdad have dissolved and are plagued by problems in morale, leadership, training and equipment, according to a senior U.S. defense official.

"The readiness outside of Baghdad is certainly in question as they have ceded multiple towns. Forces in Baghdad seems to be holding today," the official said.

The United States believes there are around 10,000 fighters who are either affiliated with ISIS or members of the group, the official said, and while they are stretched thin over vast territory, they are getting support in the Sunni areas they increasingly control.

Kerry said Monday in Baghdad that President Barack Obama has prepared "a range of options for Iraq," including enhanced intelligence, joint operations centers, military advisers and "steady supplies of munitions."

But the United States is being more careful about sending additional weapons and ammunition to Iraq, because of a  lack of confidence in the Iraqi troops, the defense official said.

ISIS captures more ground

Militant fighters believed to be ISIS have seized the Baiji oil refinery, the largest in Iraq, three Iraqi security sources told CNN Monday.

Earlier in the day, an Iraqi military spokesman had said that an attack was under way, but had been repelled by security forces. CNN cannot independently confirm either claim.

The Baiji refinery is a key strategic resource because it refines much of the fuel needed for internal consumption. There are already long lines at many gas stations across the country.

ISIS militants also advanced toward Baghdad over the weekend from the north and the west. At least 70% of Anbar province is now under the control of ISIS, two security officials in the region told CNN.

ISIS is on a mission to create an Islamic state across Sunni areas of Iraq and in Syria.

Militants have taken over the Tal Afar airbase in northern Iraq as well as the city of Tal Afar, officials said.

On Monday, Iraqi troops prepared to recapture the airbase, Iraqi Maj. Gen. Abu al-Waleed said. "At least 1,000 Iraqi troops have amassed to the north of Tal Afar and are firing rockets at militants in control of the city,"  he said.

The fighters also seized the western Anbar town of Rutba, 70 miles (113 kilometers) from the borders of Jordan and Saudi Arabia, security sources in Baghdad and Anbar told CNN on Sunday.

Then there's Qaim. ISIS captured the city along the Syrian border Saturday, and the militants now enjoy a stronghold and a number of other towns in Anbar province. The fighters have a direct line to the western outskirts of Baghdad, where tension simmers just beneath the surface.

Checkpoints in the capital seemed to pop up overnight, particularly the closer one got to central Baghdad. Security forces appeared to be controlling access to neighborhoods through a mix of checkpoints and road closures.

Dozens of prisoners, five police killed

At least 71 prisoners and five police officers were killed Monday when militants attacked an Iraqi police convoy transferring inmates from one prison to another, police said.

Five militants were also killed. It was not immediately clear whether ISIS was behind the attack.

The convoy was traveling from Hilla, a predominately Shiite city south of Baghdad, to another prison north of the city. Police did not provide further details about the attack.

Iraq's military is accusing ISIS of carrying out massacres.

"Hundreds of Iraqi soldiers have been beheaded and hung and their bodies have been desecrated," said Iraq's military spokesman, Maj. Gen. Qassim Atta. "Why has the U.N. not decried these atrocious crimes, which are among the biggest crimes against humanity?"

Sharia law spreads

One of ISIS' biggest victories came when it took over Mosul, Iraq's second-largest city, this month. On Sunday, witnesses said militants paraded around the city in vehicles, announcing on loudspeakers that they have decided to form Islamic Sharia courts in Mosul.

Sharia law covers religious and nonreligious aspects of life, and ISIS has begun imposing Sharia law in the towns it controls.

Boys and girls must be separated at school. Women must wear the niqab, or full veil, in public. Music is banned, and fasting is enforced during Ramadan.

The military denies huge losses

But Iraq's military said it's not losing as much ground to ISIS as some may think. The military made a "strategic withdrawal" in some areas, Atta, the military spokesman, told reporters.

He said the withdrawals were part of a campaign to "open all these fronts so we can strengthen our positions." But Atta did not detail the specific locations.

Two security officials told CNN that Iraqi forces have withdrawn from Haditha, 168 miles (about 270 kilometers) northwest of Baghdad.

But even if some withdrawals were strategic, it's unclear when or how Iraqi forces could retake areas now in the hands of well-armed ISIS fighters.

The military said it has fought back against militants with airstrikes. Officials showed reporters footage of airstrikes they said took place in Tal Afar.

Atta said the video showed a "large number of ISIS forces fleeing these strikes" that left up to 50 people dead.

Recruiting station gets pummeled

Apparently, those trying to join Iraqi forces are at risk before they even enlist.

In the Shiite-dominated Hilla, at least four people were killed in a shelling attack on a recruiting station. Another 34 people were wounded.

Hundreds of predominantly Shiite men went to the recruiting station to answer a call to arms to protect Iraq.

U.S. sends more help

The U.S. will have a greater presence in Iraq aside from Kerry's visit this week. About 300 U.S. military advisers will arrive, a senior defense official said. They will not be deployed all at once.

The United States has reached an agreement with the Iraqi government over legal protection for those advisers, Pentagon spokesman Rear Adm. John Kirby said Monday.

"We believe these protections are adequate to the short-term assessment and advisory mission our troops will be performing in Iraq.   With this agreement, we will be able to start establishing the first few assessment teams," he said.

In addition, some U.S. military personnel already at the U.S. Embassy in Baghdad will be reassigned and become advisers.

The first military advisers will focus on assessing the strengths and weaknesses of Iraqi security forces, U.S. officials said. The advisers will also assess what Iraqi military equipment and weapons may now be in the hands of ISIS, and try to get better intelligence on ISIS strategy, weapons, and movements of its fighters.

But Obama said there's only so much the United States can do.

"Part of the task now is to see whether Iraqi leaders are prepared to rise above sectarian motivations, come together, compromise," the President told CNN's Kate Bolduan.

"If they can't, there's not going to be a military solution to this problem. There's no amount of American firepower that's going to be able to hold the country together, and I've made that very clear to Mr. Maliki and all the other leadership inside of Iraq."

How has ISIS become one of the richest ever militant groups?

Political Chatter: The new Iraq debate

View from Baghdad: Answering your questions about Iraq

@highlight

Militant fighters believed to be ISIS seize the Baiji oil refinery, sources say

@highlight

United States, Iraq reach agreement over legal protections for U.S. advisers

@highlight

John Kerry says Iraqi leaders agree to form a new government by July 1

@highlight

U.S. defense official says Iraq's military is plagued with morale, training problems