MINNEAPOLIS, Minnesota (CNN) -- Investigators trying to figure out what caused Wednesday's massive bridge collapse are focusing on the southern end of the span, which "behaved differently" as it fell, the National Transportation Safety Board said Friday.

The NTSB says one part of the bridge shifted 50 feet as it fell, while other sections collapsed in place.

The NTSB, which is investigating the disaster that killed at least five people and injured dozens, is also hoping another video provided by the Army Corps of Engineers will provide new images of the collapse.

What's getting investigators' attention is the way the southern part of the bridge fell in a video they've already examined -- recorded by a security camera near the bridge's north end -- and the way the section settled after the collapse.

"It appears that it has shifted approximately 50 feet to the east and when we compare that to what we've seen in the rest of the bridge -- the rest of the bridge appears to have collapsed in place, " said NTSB Chairman Mark Rosenker, who is leading a 19-member team charged with determining the cause of the accident.

"We're going to take a look at any unique design factors that could have created that shift...for whatever reason."

It's not the answer to the mystery of why the bridge fell, but a step forward, Rosenker said.

The NTSB will also examine three more videos provided by the Army Corps of Engineers, one of which may show another view of the bridge falling, Rosenker said. Investigators aren't optimistic the other two will show anything because they weren't pointed at the bridge.

On Thursday, U.S. Transportation Secretary Mary Peters notified state transportation departments to immediately inspect all bridges of the same design as the one that collapsed Wednesday on Interstate 35W into the Mississippi River in Minneapolis.

Brian Turmail, spokesman for the Transportation Department, said there are about 750 bridges across the country that have similar steel deck truss designs.

Turmail said the measure is being taken "out of extreme caution."

Two reports published since 2001 have pointed to structural problems with the Interstate 35W bridge, but both reports determined the bridge was safe despite deficiencies.  See which states have most troubled bridges »

"The bridge's deck truss system has not experienced fatigue cracking, but it has many poor fatigue details on the main truss and the floor truss system," said a report conducted for the Minnesota Department of Transportation in 2001.

The 40-year-old bridge is of a type known as deck steel truss. It has three parts: a deck, superstructure and substructure.

The deck is made of concrete and rebar, the superstructure is made of steel and the substructure is made of steel and concrete footing, according to Rosenker.

The executive summary of the 2001 Minnesota Department of Transportation report -- undertaken by the University of Minnesota's Department of Civil Engineering -- points to fatigue problems with the bridge's approach span, the segments that connect the main span of the bridge to land.

However, the report said, "Fatigue cracking is not expected during the remaining useful life of the bridge."  Watch the bridge collapse »

In 2005, the U.S. Department of Transportation's National Bridge Inventory database concluded the bridge was "structurally deficient."

Minnesota Department of Transportation bridge engineer Dan Dorgan said the term "structurally deficient" is a Federal Highway Administration rating.

Inspectors rate sections of the bridge on a 1 to 9 scale, with 9 being in excellent condition, he said.

"A structurally deficient condition is a bridge that would have a rating of 4 either in the deck, the superstructure or the substructure," he said. "Any one of those in condition 4 or less is considered structurally deficient."

But, he noted, out of 13,000 state and local bridges in Minnesota that are 20 feet and more in span, 1,160 of them -- 8 percent of the state's bridges -- are considered structurally deficient.

Tom Everett of the Federal Highway Administration's National Bridge Inspection Program said the structurally deficient rating was a "programatic classification rather than an indication of safety."

"It does not indicate a bridge is dangerous or that that bridge must be replaced," he said.

The Minnesota bridge was deemed structurally deficient in 1990, Dorgan said, "due to corrosion of the bearings, so they were not able to move as freely as designed."

Later, inspectors found corrosion of steel around joints in the bridge and fatigue cracks in the approach spans. Those problems were repaired in the 1990s.

"Recent inspections in 2005 and 2006 found no evidence of cracking or growth in the existing cracks in the tab well that have been there since the day the bridge was built," he said.

Dorgan also cited an in-depth study of the bridge's fatigue potential conducted from 2004 to 2007 that recommended two alternatives for the bridge's future -- to add steel plates to reinforce critical parts of the bridge or to conduct thorough inspections of the wells inside the box to determine whether there were cracks.

"We chose the inspection route, and began in May," he said, adding that officials intended to replace the bridge about 2020.

"We had the bridge partially inspected and were going to complete that this fall after construction was done."

During a Wednesday news conference, Minnesota Gov. Tim Pawlenty described the bridge deficiencies as "minor" and said the state was told that the bridge's deck might need to be rehabilitated or replaced in 2020 or later.  View photos from the disaster »

"It was last inspected both in 2005 and 2006. There were no structural deficiencies identified according to [the Minnesota Department of Transportation]," Pawlenty said.

Most bridges are inspected every two years and receive ratings based on the conditions of various components, according to the U.S. Department of Transportation.

In addition to "structurally deficient," another bridge classification is "functionally obsolete," according to the Federal Highway Administration.

A bridge is tagged structurally deficient when significant bridge elements have deteriorated and the bridge's load-carrying capacity is reduced, according to the highway administration.

A bridge is dubbed functionally obsolete when the bridge does not meet current design standards.

Neither label indicates a bridge is unsafe for travel, the highway administration said.

As of 2003, there were about 160,570 bridges deemed structurally deficient or functionally obsolete, according to the American Society of Civil Engineers. The number represented 27.1 percent of the nation's bridges.

The American Society of Civil Engineers also reported that the number of bridge deficiencies had steadily declined from 34.6 percent in 1992 to 27.1 percent in 2003. E-mail to a friend

@highlight

NEW: NTSB says one section of bridge shifted 50 feet as it fell

@highlight

The rest of the bridge appears to have fallen in place

@highlight

Investigators to examine video that may show another view of the collapse