Studies already suggest that the Mediterranean diet -- rich in fish, fruits, nuts, and olive oil -- can prevent second heart attacks, delay Alzheimer's disease, and maybe even lower your cancer risk.

Forty-four percent on Mediterranean diet needed diabetes medication, compared to 70 percent on low-fat diet.

Now, new research says the Mediterranean diet may also be a winning solution for people with type 2 diabetes. Compared to people on a low-fat diet, those with type 2 diabetes who ate a Mediterranean diet lost more weight and went longer without blood-sugar-lowering medication, according to a study published this week in Annals of Internal Medicine.

Type 2 diabetes, the most common form of the disease, affects more than 20 million people in the U.S. Researchers estimate that one in three children born this century will get diabetes at some point in their lives. Health.com: How I lost 100 pounds after a type 2 diabetes diagnosis

"A Mediterranean diet isn't a magic diet, but it has a lot of features that we know are generally healthful," said Dr. Richard Hellman, an endocrinologist and clinical professor of medicine at the University of Missouri -- Kansas City School of Medicine, who was not involved in the research.

In the new study, 215 overweight people -- newly diagnosed with type 2 diabetes -- were randomly assigned to either a low-fat diet or a low-carbohydrate Mediterranean diet.

After four years, the researchers from Second University of Naples, in Italy, found that only 44 percent of the people who stuck to a Mediterranean diet needed blood-sugar-lowering medication, compared to 70 percent of people who followed the low-fat diet. Unlike people with type 1 diabetes, who need insulin injections to survive, those with type 2 can sometimes keep blood-sugar levels in the safe range with diet and exercise alone. Health.com: Getting a good night's sleep may lower your diabetes risk

However, if those methods stop working, they may need a pill or insulin injections to manage blood sugar.

"The people on the Mediterranean diet had better blood-sugar control because of the diet, and the trigger for diabetic drugs is when blood sugar is higher than you want it to be," explained Dr. Christine Laine, the editor of the journal.

A Mediterranean diet includes vegetables, whole grains, fish, poultry, and healthy fats, such as olive oil. In the study, women on the diet were allowed 1,500 calories per day, and men were allowed 1,800 calories per day; no more than 50 percent of calories could come from carbohydrates.

Carbohydrates are found in fruit, pasta, and other healthy (and unhealthy) foods, and are largely responsible for the rise in blood sugar after eating. People with type 2 diabetes can sometimes keep their blood sugar in a healthy range by watching their carbohydrate intake. Health.com: Why carbohydrates are so important in diabetes

Study subjects who ate a low-fat diet followed American Heart Association guidelines and consumed a diet rich in whole grains and low in fatty foods and sweets. Women were restricted to 1,500 calories, and men were allowed 1,800 calories; no more than 30 percent of calories could come from fat.

Those on the Mediterranean diet lost 13.6 pounds after one year and maintained an 8.4-pound loss four years later. In comparison, the low-fat-diet group lost 9.2 pounds the first year and maintained a 7-pound loss at four years.

Overall, the researchers aimed to meet three American Diabetes Association goals: keep blood pressure under control; lower low-density lipoprotein cholesterol (LDL); and limit levels of hemoglobin A1C, a protein that's a measure of out-of-control blood sugar. People who have diabetes are at high risk of heart attacks and strokes, so it's important to keep an eye on all three factors. Health.com: 20 Meals that won't kill your cholesterol

Both diets helped people reach those goals, but more people on the Mediterranean diet reached their goals than those on the low-fat diet.

Hellman said he is not surprised by the findings. After all, past studies have found that the Mediterranean diet can decrease the risk of heart attacks and strokes. However, he said this study provides "new information about diabetes, and it's an important trial." Health.com: 15 diabetes-friendly recipes

One limitation of the study is that the researchers who prescribed medication knew if a patient was on the low-fat or Mediterranean diet. Laine said she doesn't think this affected the results, but Hellman pointed out that a researcher who is more biased toward a specific diet may have a "higher threshold" of when to give medication.

Regardless, Hellman said he would recommend the Mediterranean diet to his patients. "If you had a choice, this would be the better choice," he said.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Eating Mediterranean diet, people lost more weight and needed less medication

@highlight

44 percent needed diabetes medication, compared to 70 percent on low-fat diet

@highlight

Mediterranean diets are rich in fish, fruits, nuts, and olive oil