Beijing (CNN) -- Until about four years ago, farmer Zhou Jie and his family had been living in rural Anhui province, growing grain and other staples on a small plot of land.

Now they live in the outskirts of Beijing, renting a tiny house owned by a local farmer.

In the morning he drives a minivan to drop off his seven-year-old daughter to a migrants' school before he plies his trade selling construction materials. His wife augments the family's income by working in the city as a household maid.

The Zhous are among the millions of peasants who have moved away from the land into the cities. They are the new urban dwellers in China and their ranks are growing.

At the end of 2011, China counted over 690 million urban dwellers -- or 51.27% of the country's 1.347 billion people -- according to a report this week from the National Bureau of Statistics. That marks an increase of 21 million from the previous year.

During the same period the rural population dropped by over 14 million to 656 million.

So for the first time, China's urban population now outnumbers the rural population.

"This is one of history's most important population shifts," said Aprodicio Laquian, population expert and professor emeritus at the University of British Columbia in Vancouver.

"It resembles the 19th century Industrial Revolution in Europe, except that in China it's compacted into only a few decades."

Most Chinese traditionally made a living from subsistence farming.

While many still do, their ranks have significantly shrunk.

China's rapid economic growth over the past three decades has expanded the size of China's cities and towns. There are now over 160 cities in China with a population of over 1 million, according to China Today.

Mega-cities like Shanghai, Beijing and Guangzhou have served as the engines of this growth, creating jobs and wealth.

Lured by the prospect of wages much greater than those available in the countryside, millions of farmers headed for urban areas. They constitute the "liudong renkou," or floating population, that moves in and out of China's urban areas every day, taking up odd jobs in construction sites, public infrastructure projects, restaurants and households.

Officials say there are about 200 million of them nationwide.

"They do the heavy, dirty and dangerous jobs that we urbanites are no longer willing to do," said Wu Huan, a Beijing resident who works for a government agency.

These farmers, also known as "mingong" (migrant workers), work in cities but most of them remain as farm residents.

It is difficult for them to become legitimate urban residents because of the "hukou" system, a centuries-old household registration system which categorizes the population into rural and urban residents.

Without an urban hukou permit, they are often denied access to the subsidized health care, housing and education for their children that urbanites enjoy.

This hukou system has been a source of controversy among experts who advocate its abolition and city planners who worry about mass migration.

Critics of the policy say it causes discrimination against the mingong and exacerbates social tensions between the haves and have-nots.

Some rural migrants secure temporary residence certificates but getting them is a cumbersome and expensive process. "It's almost as difficult as getting a 'green card' in the United States,'" Wu quipped.

But with the aim of sopping up excess rural labor and pushing China's urbanization goal, Chinese authorities have gradually relaxed the enforcement of the regulations. It has yet to officially scrap the hukou system but more cities are now allowing farmers to move in, some temporarily and some permanently.

The urbanization movement is changing the face of China, making it more metropolitan and prosperous.

"Urbanization will be the engine to big-scale social changes and provide employment opportunities," said Li Peiling, director of the Institute of Sociology at the Chinese Academy of Social Sciences. "It will affect people's lifestyle, way of production, occupational structure, consuming habits and value systems."

But it is also bringing problems, such as rising criminality, traffic and housing congestion and social tensions.

Just as worrisome, experts say, is the enormous pressure the new urbanites place on the cities' finances and infrastructure.

"The increase of urban population poses a challenge on the distribution of resources," said Li Jianmin, a professor at Nankai University's Institute of Population and Development. That is why, he says, megacities like Beijing and Shanghai are trying to limit population growth, even as small and medium-sized cities are encouraging migrant farmers to shift from being rural to urban hukou residents.

China hopes to avoid the "city diseases" such as mass unemployment, over-crowding, water and power shortages, and slums.

Zhu Xiang, a professor at Hunan Normal University, cautions against the emergence of "a kind of 'over-urbanization' like those in some Latin American countries where the speed of urbanization exceeds that of economic development," and the emergence of a "new poor alongside urbanization, like in many African countries."

Not everyone is impressed with this week's report on the demographic shifts.

"China simply pulled off an urbanization of geographical land mass, not an urbanization of people," said Guangmotuan, a Chinese netizen on Sina.com, a Twitter-like micro-blogging site.

"Many of our population still live in medieval peasant state.Their lifestyle and cultural level do not fit modern cities."

Another micro-blogger frets about food.

"If we have more urban residents, more people will lose their farm land," wrote Chi Yu, "With less people tilling the land, in a few years the price of rice will be more expensive than housing."

@highlight

In 2011 China counted over 690 million urban dwellers -- 51.27% of its 1.347 billion people

@highlight

For the first time, China's urban population now outnumbers the rural population

@highlight

China's rapid economic growth has expanded the size of China's cities and towns

@highlight

Many experts worry about the enormous pressure on cities' finances and infrastructure