(CNN) -- Army troops and rebels clashed on Wednesday in the violence-ridden eastern part of Congo, threatening to undermine an already fragile stability.

Hundreds of people in North Kivu fled toward the city of Goma by road trying to escape the fighting. The sound of heavy artillery echoed through the hills. The Congolese army continued a second day offensive to recover the cities of Rugari and Rumangavo, and to takeover these positions held by the insurgency.

"The situation is deteriorating because of the fighting between various groups," said Ronald Paul Veilleux, the International Rescue Committee's provincial director for North and South Kivu.

As of January 2009, an estimated 1.5 million people in North and South Kivu provinces have been internally displaced, and the number continues to rise, according to the United Nations.

"People are losing their homes, their livelihoods and their hope," Veilleux said.

The massive displacement has also led to an increase in gender-based violence. According to Veilleux, reported cases have gone up by 75% nationwide since April, and many go unreported in a nation that is already known as the rape capital of the world.

In addition, this past week the World Health Organization reported a sharp increase in the number of cholera cases in North Kivu.

"There is potential for this to turn into an epidemic if the situation continues to deteriorate," said Veilleux.

The eastern part of Congo has been embroiled in violence since 1994, when Hutu forces crossed the border fearing reprisals following the genocide in neighboring Rwanda.

In 1998 the vast nation -- previously known as Zaire -- became a battleground for eight African countries. More than 5 million people died in the war and its aftermath, making it the deadliest conflict since World War II.

Despite the signing of peace accords in 2003, fighting continues in the eastern part of Congo between various rebel groups and the Congolese army, which is back by U.N. peacekeepers.

There are many different forces on the ground, all of whom are armed. "The fighting is like a view through a kaleidoscope," said John Campbell, an Africa expert with the Council on Foreign Relations.

Amid growing concerns of an escalating conflict, the U.S. government announced last week that it will cut military aid to Rwanda. The United States has accused Rwanda of supporting rebels in Congo.

"The United States government is deeply concerned about the evidence that Rwanda is implicated in the provision of support to Congolese rebel groups, including M23," said Hilary Fuller Renner, a State Department spokeswoman.

The M23 -- named after a failed peace agreement signed on March 23 three years ago -- is a rebel group that split from the Congolese army earlier this year. It has been accused of killing hundreds of people. One of the M23 commanders, Bosco Ntaganda, is wanted by the International Criminal Court for alleged war crimes.

In a report to the U.N. Security Council in June, a U.N. expert panel on Congo found "substantial evidence" attesting to support from Rwandan officials to armed groups operating in the eastern region. It documents a "systematic pattern of military and political support provided to the M23 rebellion by Rwandan authorities" in the form of recruits, weapons and military equipment.

Rwanda has denied allegations that the M23 are backed by their country's Tutsi leadership. "As we have made clear from the outset, Rwanda is neither the cause nor the enabler of instability in the eastern (Congo)," said Louise Mushikiwabo, Rwanda's foreign minister.

Journalist Gemma Parellada contributed to this report.

@highlight

Army troops and rebels clashed on Wednesday

@highlight

Numbers of internally displaced people continues to swell

@highlight

Disease and violence against women also are seen rising sharply

@highlight

U.S. has accused Rwanda of supporting rebels in Congo