Washington (CNN) -- A federal court has given the Obama administration the go-ahead to continue funding embryonic stem-cell research.

The controversial 2-1 decision Friday is a victory for supporters of federally funded testing for a range of diseases and illnesses.

The U.S. Court of Appeals for the District of Columbia lifted an injunction imposed last year by a federal judge, who said all embryonic stem-cell research at the National Institutes of Health amounted to destruction of embryos, in violation of congressional spending laws.

Legislation passed in 1996 law prohibits the use of taxpayer dollars in the creation or destruction of human embryos "for research purposes." Private money had been used to gather batches of the developing cells at U.S.-run labs. The current administration had broken with the Bush White House and issued rules in 2009 permitting those cells to be reproduced in controlled conditions and for work on them to move forward.

Obama officials have been at odds with many members of Congress over whether the the NIH research actually causes an embryo's destruction, as prohibited by the Dickey-Wicker Act.

Two scientists had brought a lawsuit to block further research. But the three-judge panel concluded in its 21-page ruling, "the plaintiffs are unlikely to prevail because Dickey-Wicker is ambiguous and the NIH seems reasonably to have concluded" the law does not ban research using embryonic stem cells.

The ruling does not deal with separate research on adult stem cells, which remains permissible under federal law. The plaintiffs have the option of now taking their appeal to the U.S. Supreme Court for review. The issue at this stage deals only with the lifting of the injunction allowing funding to continue for embryonic stem-cell research. The larger constitutional issues are still being debated at the district court level.

The government had argued that an extensive list of research projects outlined by the National Institutes of Health would have to be shelved if the court had not acted and granted a stay.

The field of embryonic stem-cell research has been highly controversial, because in most cases the research process involves destroying the embryo, typically four or five days old, after removing stem cells. These cells are then blank and can become any cell in the body.

Embryonic stem-cell research differs from other kinds of stem-cell research, which don't require embryos.

Some scientists believe embryonic stem cells could help treat many diseases and disabilities because of their potential to develop into many different cell types in the body.

The case began with a lawsuit against the NIH by scientists opposed to use of embryonic stem cells, a group that seeks adoptive parents for human embryos created through in vitro fertilization, the nonprofit Christian Medical Association and others.

When the injunction was first issued by Judge Royce Lamberth in August, Ron Stoddart, executive director of Nightlight Christian Adoptions -- one of the groups that filed the lawsuit -- said he supported adult stem-cell research that doesn't require destroying embryos.

"Frequently people will say, 'Why are you opposed to stem-cell research?' and of course our answer is, 'We're not,' " Stoddart said. "We're opposed to the destruction of the embryos to get embryo stem cells."

When President George Bush first approved federal funding of human embryonic stem-cell research in 2001, 60 existing stem-cell lines -- which were created before August 9, 2001-- qualified for federal funding. Of those, only 21 actually were usable for scientists. Bush later rescinded the funding.

Since the Obama administration's rules went into effect, at least total of 75 stem cell lines qualify for federal funding, according to  the NIH.

NIH has invested more than $500 million in human embryonic stem-cell research.

Because such embryos are destroyed when stem cells are removed for research, most opponents believe this is moral issue.

Scientists conducting such research said continued federal funding is necessary, saying they would have greater flexibility to work collaboratively within labs, across labs and around the world on the latest treatments and breakthroughs. Supporters of embryonic stem-cell research say their studies have shown promise to treat a range of debilitating conditions including diabetes, Parkinson's disease, cancers, and spinal cord injuries.

The case is Sherley v. Sebelius (10-5287).

@highlight

NEW: The NIH has invested more than $500 million in human embryonic stem-cell research

@highlight

The District of Columbia appeals court rules 2-1

@highlight

It is a victory for supporters of federally funded embryonic stem-cell research