The flu hasn't hit Europe as hard as it has the United States, health officials say, but when and if it does, don't expect a call for vaccination of the entire population.

Only the U.S. and Canada actually encourage everyone older than 6 months to get the flu vaccine.

Apparently, not a single country in Europe asks the general population to seek that same kind of protection, according to Robb Butler, the World Health Organization technical officer in vaccine preventable diseases and immunizations in the organization's Europe office in the Netherlands.

That's because global health experts say the data aren't there yet to support this kind of blanket vaccination policy, nor is there enough money. In fact, some scientists say the enthusiasm for mass vaccination in the United States may hurt efforts to create a better vaccine.

This year, a year in which the vaccine is supposed to be a good match to the virus, the Centers for Disease Control and Prevention estimates the vaccine is only 62% effective.

And in the segments of the population that are most susceptible to the extreme effects of the flu -- like the elderly, who make up the majority of the cases of flu-related deaths -- the vaccinations are even less effective.

So is why is everyone urged to get vaccinated?

Three things we don't know about the flu

Simply put, it's a clearer policy, and some protection is better than none at all, according to Dr. William Schaffner, the chair of the department of preventive medicine at Vanderbilt University. He was also on the national committee that made the decision to encourage everyone to get vaccinated.

"It was debated by the CDC Advisory Committee on Immunization Practices for many years, and the indication for the use of influenza vaccine for an increasing number of groups on a piecemeal basis didn't make sense," Schaffner said.

In 2010, the CDC expanded its guidance encouraging the vaccination of vulnerable population groups.

"When you do the back-of-the-envelope calculations (of all the separate groups recommended for vaccination), you are actually already making a recommendation that 75% of the population get it," Schaffner said. "And when it became apparent the issue of shortages was largely put on the back burner, then in 2010, we said, 'Let's simplify this and recommended this vaccine for anyone over 6 months old.'"

Regulators approve new insect-based flu vaccine

It also helps that the flu vaccine is easy to get, he said. Pharmacies offer it. Companies sometimes bring in nurses to give shots to their employees on site. In Europe, only doctors are legally allowed to administer the vaccine, according to Butler.

There may be another economic reason for more Americans to get vaccinated -- one in three U.S. workers get no paid time off when they are sick, according to the Bureau of Labor Statistics. Generally, Europeans have much more generous sick leave policies.

"Although flu can be unpleasant, if you are otherwise healthy, the illness will usually clear up on its own and you will recover within a week," according to Britain's National Health Service website.

Homemade survival kits battle the flu

In a contrast to U.S. policy, the World Health Organization recommends only six "priority populations" get "the flu jab," as it's called in Britain.

These six groups are nursing home residents, people with chronic medical conditions like asthma, the elderly, pregnant women, health care workers, and children from ages 6 months to 2 years, Butler said. They are more vulnerable to the severe effects of the flu or come into contact more often with this highly contagious virus.

"We think the recommendations we have right now (are) a good start," Butler said. "Universal campaigns are quite challenging and expensive.

"We have 53 countries in our region that all have different recommendations based on different studies and evidence, and the depth of evidence in Europe right now is pretty limited in terms of flu vaccines. We would need more evidence that more than these six key, target high-risk groups that are prioritized can benefit. "

Online speculation says the U.S. call for general vaccination is merely a plot by drug companies to make a big profit.

Flu vaccine poses no risk to unborn

Shaffner says he hears that a lot, but it's simply not true.

"I have received e-mails after people hear me encourage people to get the influenza vaccine, and they tell me I'm part of some sort of pharmacy company conspiracy and that I'm compromised by them. But influenza vaccines are not real blockbuster money-making drugs," Shaffner said.

"If I could take some of these skeptics and bring them to the Advisory Committee on Immunization Practices meeting, they would see how carefully the members debate these issues -- and it really is all for the benefit of the children and adults to prevent infectious diseases."

Influenza: By the numbers

Michael Osterholm, director of the Minnesota Center of Excellence for Influenza Research and Surveillance at the University of Minnesota, believes people should get the vaccine, but he worries that the current policy gives the impression the vaccine is more effective than it actually is.

"This enthusiasm to get more people vaccinated gets in the way of a critical look at the science," Osterholm said.

Osterholm co-authored "The Compelling Need for Game-Changing Influenza Vaccines," which came out last October. It is an exhaustive study of this country's vaccine war on flu.

The authors examined more than 12,000 articles, studies and transcripts dating back to 1936 and interviewed 88 experts on the influenza vaccine.

What they found was that there were some seasons in which the vaccination offers more protection than others, but ultimately, even in good years, the flu shot only offers moderate protection -- a "pooled estimate of 59% for healthy adults 18 to 64 years of age, inconsistent evidence of protection in children age 2 to 17 years, and a paucity of evidence for protection in adults 65 years of age and older."

For the nasal spray form of the vaccine, there is evidence of high protection for children aged 6 months to 7 years, inconsistent evidence of protection in adults 60 years of age and older, and a lack of evidence of protection in individuals between 8 and 59 years of age, the study says.

That analysis shows significantly less effectiveness than what has been the conventional  wisdom within the scientific community, Osterholm said.

"In promoting vaccination, it became a mantra that it was 70 to 90% effective across all ages completely, and that wasn't true," Osterholm said. Historically, this expansion in policy over who should get vaccinated was based on "professional judgment and not on scientifically sound data," he said.

Had a flu shot? You'll be OK --maybe

Osterholm's study suggests this has been a general pattern in American public health history with relation to the flu vaccine.

"There is a real downside to the promotion (of the current flu vaccine), as it dampens serious investment and shuts down any real interest in start-ups to create a more effective vaccine," Osterholm said. "There is a sense that a 59% match is better than zero, but we wouldn't accept this with a disease like measles, which we seem to take more seriously."

The vaccine, however, is improving, according to Schaffner.

"Researchers are trying to make a genuinely better vaccine, including a universal vaccine that could combat all the different strains of flu that we could get every 10 years, as opposed to needing one annually," Schaffner said.

"So cross your fingers. All of us wish we had a better vaccine. We know what we have is good, but not perfect. Until we have one, we have to do as much good as possible by vaccinating as many people as possible -- and in the meantime I'll be watching the universal vaccine trials very carefully."

Flu shot myths addressed

@highlight

The U.S. and Canada are the only countries to suggest vaccinating nearly everyone

@highlight

This year's flu vaccine is only 62% effective.

@highlight

Some worry that enthusiasm for the vaccine stops progress on more effective ones