(CNN) -- This week, a mother called us about her child hospitalized with a Salmonella poisoning from his day care's chicken lunch. The child's condition was tenuous, with a blood infection, and treatment was especially challenging as the bacteria was antibiotic resistant.

The mom turned to the Center for Science in the Public Interest, a nonprofit consumer advocacy group, for information and help because key government's public health agencies and websites are shut down. Does this have an impact of food safety? You betcha!

Regardless of whether this illness is related to the outbreak linked to Foster Farms chickens, it illustrates that each case of illness is important to track, and protecting our families from unsafe food should be considered an essential function of government.

When the shutdown began, the Food and Drug Administration announced it would have to halt most of its food safety activities, including routine inspections of food manufacturers and monitoring of imports. The Centers for Disease Control and Prevention shuttered some of its key activities, including outbreak detection and infectious-disease surveillance. The U.S. Department of Agriculture kept its meat, poultry and egg inspectors on the job, but furloughed more than 1,200 other food safety workers.

Despite the agencies' planning, a government shutdown makes it easier for contaminated food to slip through to consumers and harder for the federal government to identify and respond to outbreaks.

The outbreak linked to Foster Farms chickenâ€”in which hundreds of people were sickened-- was already under investigation when the furlough began. Nonetheless, it demonstrate the shutdown's real human impact, as consumers are left confused about why there has been no recall and whether it is safe to buy the company's products. Government websites that would normally give them such advice remain dark.

There are other effects of the shutdown that may not be felt for months. During the first six days of the furlough, the CDC shut down its primary systems (PulseNet and OutbreakNet) for gathering information from the state public health agencies. Instead, the few staff left at CDC gathered illness data from the states manually.

Although CDC recalled a number of staff from furlough to continue handling the salmonella outbreak, the agency may end up weeks behind in investigating new outbreaks as it gets its systems up and running again. Meanwhile, key personnel at the food safety agencies that are tasked with preventing outbreaks are not at their posts, investigating suspect facilities, checking imports or analyzing lab samples.

Outbreak investigations involve a complex choreography among many state, local and federal agencies. They begin with state and local agencies receiving reports of illnesses, investigating them, and forwarding their findings to CDC. CDC aggregates these state reports with data collected from monitoring programs. Next, it sifts through huge volumes of information to link up illnesses occurring in different states, identifying common pathogens and common food sources. That information is forwarded to USDA and FDA, which try to track outbreaks to their sources.

USDA or FDA may issue a public health alert or issue a recall (or demand that a company recall potentially tainted foods), alerting consumers to avoid certain foods and getting them removed from supermarket shelves.

Consumers only see the final action but have little knowledge of the complexity and labor- intensive steps by multiple agencies needed to take it. Yet 10 days ago, Congress sent these public health officials home and left consumers (and the food industry) vulnerable to the effects of dangerously contaminated foods.

Food borne disease is preventable, yet 48 million consumers suffer illnesses each year. Usually symptoms are just an upset stomach, but more severe symptoms send 128,000 people to the hospital and kill 3,000 annually. Those who recover may still suffer life-changing conditions, such as kidney failure, Guillain-BarrÃ© syndrome, and reactive arthritis. Our national investments in food safety are important tools that can help reduce those numbers.

In the best of times, investigations of outbreaks of food borne illnesses are complex and hard to solve. But it is truly reckless to continue this government shutdown and leave so many, like the mother and child who called this week, unprotected.

The opinions expressed in this commentary are solely those of Caroline Smith DeWaal.

@highlight

Caroline Smith DeWaal: Shutdown can have serious impact on food safety, health

@highlight

She says recent salmonella outbreak from chicken shows what effect can be

@highlight

She says food contamination can go undetected as food safety offices remain dark

@highlight

Writer: Complex cooperation of agencies interrupted. Inspectors need to get back to work