The tangled David Petraeus scandal highlights how easily the U.S. government can access citizens' private e-mails.

The FBI's request to access Paula Broadwell's personal Gmail account was one of 7,969 similar requests Google received from the U.S. government in the first half of 2012, according to Google and news reports. The company said it complied with the requests, either fully or partially, 90% of the time.

According to the latest Google Transparency report, Google fielded 20,938 requests for private account data from governments around the world between January and June of this year. That's up from 18,257 such requests during the last half of 2011, the company said.

"One trend has become clear: Government surveillance is on the rise," Dorothy Chou, a Google senior policy analyst, writes in the blog post announcing the latest report -- the sixth Google has released in the last three years.

Google stores huge amounts of data and personal information about its users. In addition to the wealth of information in e-mail and Google Drive accounts, the company also has users' IP addresses, which can be used to determine locations.

Beginning in May of this year, the FBI accessed Gmail accounts used by Broadwell to communicate with Petraeus, the former CIA director, during their affair, according to a report in the Wall Street Journal.

The bi-annual Google Transparency report is Google's attempt to "shine a light" on how often governments around the world ask to access user data as part of criminal investigations.

The company also publishes data on how often government agencies request that public content be removed from Google services, such as YouTube videos or blog posts on Blogger. The most common reason cited for wanting content taken down is defamation.

U.S. law enforcement agencies seem to be the most curious. The country continues to top the list for the most requests for user data in the world, followed at a distance by India. While Google is admirably proactive about releasing data on government requests, in the majority of cases it does turn over the requested information. The company said it cooperates with U.S. government requests more than any other country.

Outdated laws have created loopholes that allow government and law enforcement agencies to request information and conduct electronic surveillance without warrants. The piece of legislation at the heart of the issue is the Electronic Communications Privacy Act, passed in 1986.

Technology has changed radically in the past 25 years. E-mails, cellphones, location information and data stored on cloud services weren't considered when the original law was drafted.

Google is an active member of the Digital Due Process Coalition, which has been pushing for reform of the ECPA. The group's members include Apple, Amazon, the ACLU, Facebook, Google and Twitter along with a slew of other big-name tech companies and civil liberties groups. Other technology companies, including Twitter and LinkedIn, are joining Google and releasing their own transparency reports.

The United States Justice department is against any updates to the law that would require more warrants.

Revising the ECPA wouldn't prohibit the government and law enforcement agencies from requesting the information, it would just require they go through an approval process to get the warrants. In a bit of circular logic, the Justice Department has argued that the electronic evidence gathered without warrants is necessary to build enough of a case to later get search warrants.

@highlight

Google's Transparency Report shows increase in government requests for private data

@highlight

U.S. made 7,969 requests for users' Google data in the first six months of 2012

@highlight

Google pushing for an overhaul of the ECPA law which allows warrantless data requests