(CNN) -- The outlook for the underequipped members of the Syrian opposition appeared to brighten Thursday on the eve of a Friends of Syria meeting in Tunisia.

Diplomatic sources told CNN that a number of Arab nations are supplying arms to the Syrian opposition. The sources wouldn't identify which countries.

In London, U.S. Secretary of State Hillary Clinton predicted the opposition will find willing sources to supply them with munitions to counter the Syrian government onslaught blamed for thousands of deaths since last March.

"There will be increasingly capable opposition forces," she said Thursday. "They will find somewhere, somehow the means to defend themselves, as well as begin offensive measures and the pressure will build on Russia and China. World opinion is not going to stand idly by."

Russia and China both vetoed a U.N. Security Council resolution that would have condemned the Syrian government for attacking its people.

Also Thursday, U.S. officials told CNN they are considering providing the opposition with nonlethal aid -- such as secure radio communications and training.

That is a step beyond what the Obama administration was saying Tuesday, when it was still clinging to the hope that political solutions would end the bloodshed. "We don't believe that it makes sense to contribute now to the further militarization of Syria, what we don't want to see is the spiral of violence increase," State Department spokeswoman Victoria Nuland said. "That said, if we can't get Assad to yield to the pressure that we are all bringing to bear, we may have to consider additional measures."

Turkish Foreign Minister Ahmet Davutoglu has recently suggested that, beyond humanitarian aid and diplomatic solutions, "we need to think about contingencies as well."

Both the U.S. military and intelligence community have expressed concern about providing arms to an opposition whose composition is unclear.

The 70-plus countries and international organizations gathering Friday in Tunis are expected to unveil a plan for delivering emergency aid to the Syrian people and issue a stern warning to President Bashar al-Assad. They want him to agree to an immediate cease-fire and provide access to humanitarian groups to deliver the aid or face a yet-to-be mentioned response from the world community.

A draft of the document, shared with CNN, calls on "the Syrian government to implement an immediate cease-fire and to allow free and unimpeded access by the United Nations and humanitarian agencies to carry out a full assessment of needs in Homs and other areas."

Diplomats cautioned the draft was subject to change.

What's more, the communiquÃ© will recognize the opposition Syrian National Council, members of which will be at the session, as a credible representative of the Syrian people.

The United States insists it will not provide weapons to the Syrian opposition, and will leave it to others who have expressed an interest in doing so. Nobody told Washington they armed the Libyans and officials said they expect the same nod-wink in Syria.

Neither Russia, which is a Soviet-era ally and arms dealer to Syria, nor China is participating.

Preparations for the Tunis meeting coincided with the release Thursday of a U.N. report that identifies Syrian commanders and high-ranking officials who may be responsible for "widespread, systematic and gross human rights violations" and apparent crimes against humanity.

The violations have been conducted with the "apparent knowledge and consent" of the country's "highest levels," the Independent International Commission of Inquiry on the Syrian Arab Republic says.

Thousands have died in Syria since mid-March of 2011, when the government launched a crackdown against protesters.

At least 101 deaths were reported Thursday, including 14 children and a soldier killed when he refused to open fire on people, the opposition Local Coordination Committees of Syria said. Seventeen unidentified corpses were found in a military prison in the Zawiya Mountain area of Idlib province, the group said. Residents told the LCC they believe it's likely most of these unidentified bodies were of soldiers who had defected.

Opposition forces reported more shelling of Homs, the 20th consecutive day of attacks on the besieged city at the center of resistance.

On Thursday, the United Nations announced the appointment of former Secretary-General Kofi Annan as joint special envoy of the United Nations and Arab League on the Syrian crisis.

Annan will be tackling an environment described by the U.N. commission report as one in which most of the citizenry is "in a state of disarray."

"The government has manifestly failed in its responsibility to protect the population," the report says. "Anti-government armed groups have also committed abuses, although not comparable in scale and organization with those carried out by the state."

Meanwhile, Britain and France demanded Syrian President Bashar al-Assad cease attacks against Homs so three journalists can receive medical care, even as reports emerged Thursday of renewed shelling in the flashpoint city.

The journalists were in Homs to document attacks by al-Assad's forces when they were wounded in shelling, which also killed American reporter Marie Colvin and French photographer Remi Ochlik.

Al-Assad has denied targeting civilians, saying his forces are after "terrorists" and foreign fighters bent on destabilizing Syria.

Evidence that civilians are being killed by government forces has been documented by citizen journalists who post their work on social media websites and YouTube. The opposition reports the death toll exceeds 9,000.

CNN and other media outlets often cannot independently verify opposition or government reports because the Syrian regime has severely limited access to the country by foreign journalists.

The Syrian Foreign Ministry denied Syria was responsible for the deaths on Wednesday of two journalists "who infiltrated its territory on their own," according to a banner on Syrian state TV.

The British Foreign Office summoned Sami Khiyami, the Syrian ambassador to the United Kingdom, and Political Director Sir Geoffrey Adams said Syria was expected to facilitate the return of the bodies of the two journalists and to provide medical treatment to British photographer Paul Conroy.

Conroy and French reporter Edith Bouvier of Le Figaro were wounded in the shelling in the Homs neighborhood of Baba Amr.

Bouvier said in a YouTube video that she needed immediate medical treatment.

"My leg is broken, the length of my femur. I need to be operated on as quickly as possible, the doctors have treated me as best as they can except they cannot perform any surgical operations, so I need as quickly as possible, during a cease-fire, a car with medical equipment or at least in good condition to take me to Lebanon to be treated as quickly as possible," she said.

Dr. Mohammed Al-Mohammed, who has been treating the wounded journalists in Baba Amr, said Bouvier was in critical condition and Conroy had been moved to a "safe house," which the physician said was a misnomer. "The problem is that we don't have a safe place, anywhere secure, in Baba Amr," Al-Mohammed told CNN Thursday in an telephone interview.

He bemoaned the lack of medical supplies. "We just have the basics," he said. "I have to admit, all very primitive."

CNN's Elise Labott, Hamdi Alkhshali, Brian Walker, Arwa Damon, Hala Gorani, Tom Watkins and Joe Sterling contributed to this report.

@highlight

Arab nations providing arms to opposition, sources say

@highlight

At least 101 people were killed in Syria on Thursday, opposition group says

@highlight

Ex-U.N. chief Kofi Annan will be the U.N. envoy to Syria

@highlight

China and Russia won't attend conference in Tunisia on Syrian crisis