(Tribune Media Services) -- Three hundred and forty.

At the Bandelier National Monument visitors can climb into ancient cliff dwellings used by Native Americans.

That's how many steps and ladder rungs we climb to Bandelier National Monument (http://www.nps.gov/band/), to crowd into its ancient (dating back to before 1300) cliff dwellings about 50 miles northwest of Santa Fe, New Mexico. Even the kids are impressed that Ancestral Pueblo families lived here before Columbus arrived, even before the Pilgrims stepped foot on Plymouth Rock.

We look at the crumbling adobe and try to imagine apartment-type dwellings that stretched more than three stories: We crouch inside the ceremonial Kivas where the ancient people gathered to teach the children, weave, congregate and discuss the affairs of the day.

These unique sites -- Bandelier certainly isn't the only one -- and spectacular desert landscape make New Mexico a terrific family destination winter or summer, and one that will win kudos from all ages. Where else can you ski one day -- in Taos or outside of Santa Fe, gallery hop or take a cooking lesson the next, shop or tour museums till you drop and gain a new perspective on Native American history?

New Mexico is home to 22 sovereign Indian nations, including the Navajo Nation, two Apache Tribes and 19 Pueblos. The Pueblo of Acoma (http://www.skycity.com/), which sits on a 367-foot-high sandstone rock, is considered the oldest inhabited village in the United States. The Indian Pueblo Cultural Center in Albuquerque can help you get started (www.indianpueblo.com).

You can even stay on a Pueblo -- the deluxe Hyatt Regency Tamaya Resort and Spa (http://www.tamaya.hyatt.com), owned by the Santa Ana Pueblo and managed by Hyatt, offers holiday packages. The 350-room resort, halfway between Albuquerque and Santa Fe, sits on 500 sprawling acres of a 73,000-acre reservation and is one of the largest resorts ever built on Native American land. And you can't beat the Sandia Mountains on the horizon for scenery.

Great pains have been taken to respect the ancient spirits at the resort. One of the pools is built in a circle, replicating the ceremonial Kivas that have been an integral part of Pueblo life for centuries. Spa treatments are designed to use products that are indigenous to the area (how about a hydrating treatment using desert seaweed or an exfoliation treatment with Tamaya Blue Corn flour?) The signature Corn Maiden restaurant serves dishes from the region. The profits go back to the Pueblo and fund everything from college scholarships to senior centers.

Sure you can hang out by the pool, opt for the spa, or play golf here, but horseback riding through the pueblo's backcountry to see petroglyphs, making adobe bricks, drums or pottery or visiting the cultural center and museum devoted to the history, culture and art of the Santa Ana Pueblo make this a different experience.

"All of these activities appealed to us," said Eric Shimabukuro, who is from suburban Chicago and was busy making bricks one morning with his two daughters, Lauren, 9, and Carolyn, 7.

New Mexico, I think, as I make my way down the ladder at Bandelier and later, watch my daughters knead the dough for Pueblo bread at the Hyatt Tamaya, under the watchful eye of a member of the Santa Ana Pueblo, can be a terrific winter vacation bet for families whose members are not all equally enthusiastic about spending their entire vacation on the slopes.

Especially at holiday time when there are traditional dances at Northern New Mexico Pueblos and a variety of celebrations in Santa Fe and around New Mexico (www.santafe.org, www.nmtourism.org).

Santa Fe Mountain Adventures (www.santafemountainadventures.com) can help plan a unique sojourn, organizing family activities from touring Bandelier to geocaching, an outdoor treasure-hunting game, to snowshoeing, cooking and pottery making.

"You get so much more out of a visit to a place like this when you're with a guide," offers David Thompson, whose family joined us touring Bandelier with Santa Fe Mountain Adventures guides Bill Neuwirth, a college professor, and Anne Stanley, an artist and guide.

As we climb ladders and steps, courtesy of the National Park Service, Neuwirth points out the foot holes in the volcanic rock that the ancient peoples used. We wonder what it was like to live in this community so long ago when 30 was considered old, when children were married as soon as they reached puberty and when everything was about the community, not individuals. They raised corn, (the Pueblo people have some 50 recipes to prepare corn) squash and beans. The elevation here is 7,000 feet, but it doesn't seem to bother us.

Where we hike at Bandelier, there are as many as 50 dwellings in one section -- and the ground floor doesn't have any doors or windows. The people who lived here climbed up to the roof and then climbed down into the room, which they probably did to protect their homes.

No one, Neuwirth explains, really knows why the ancient Pueblo people decided to leave -- whether it was drought, or illness or an impulse to move to another Mesa; Neuwirth gestures out to the desert landscape, "You couldn't have walked a meter in any direction without running into pueblo remains."

As we prepared to fly home, all I could think about were those ancient families (did their kids drive them crazy sometimes too?) and all those Pueblos I would have liked to visit, the cooking classes I didn't have time to schedule, the Santa Fe galleries and museums we missed, (check out the Eldorado Hotel and Spa's (www.eldoradohotel.com) Winter Wonderland package, valid now through Jan. 31, 2008. Starting at $199 per night, double occupancy, it includes daily breakfast in the hotel's Eldorado Court or via room service.), and the hikes we didn't attempt.

"We did something different every day!" my husband said. More important, no one complained about what we did or where we were going. No one was bored. We ate great food, especially the guacamole at El Pinto restaurant (www.elpinto.com) outside of Albuquerque, which was made right in front of us.

Not that our New Mexico sojourn was perfect. Traveling with kids -- no matter what their ages -- never is, even in the most spectacular locales. What matters, of course, is the chance to explore a new place -- a new culture -- together.

Pass the guacamole, please. E-mail to a friend

(For more Taking the Kids, visit www.takingthekids.com, where Eileen Ogintz welcomes your questions and comments.)

Copyright 2009 EILEEN OGINTZ, DISTRIBUTED BY TRIBUNE MEDIA SERVICES, INC.

@highlight

Several thousand ancestral Pueblo dwellings can be viewed at Bandelier

@highlight

New Mexico is home to 22 sovereign Indian nations

@highlight

Some Pueblos offer tours and activities