(CNN) -- Ten years ago, politicians and pundits liked to say, "9/11 changed everything." For a while, it seemed true.

Now it seems like a vanished era. Today, nothing changes anything.

No matter what happens, our thinking remains frozen exactly in place, impervious to new experience and new evidence.

On December 14 of last year, a deranged man fatally shot and killed 20 students and six teachers with an assault-style rifle, the second deadliest mass shooting in American history. In response, the country has done ... nothing whatsoever. No changes to gun laws. No changes in the treatment of the mentally ill. Last week, a Senate filibuster stopped the milk-and-water Toomey-Manchin proposal to tighten (slightly) background checks on would-be gun purchasers.

Early in 2013, Mike Lupica of the New York Daily News reported Adam Lanza's obsessive fascination with prior mass murders.

"[I]nvestigators found ... a chilling spreadsheet 7 feet long and 4 feet wide that required a special printer, a document that contained Lanza's obsessive, extensive research â€” in nine-point font â€” about mass murders of the past, and even attempted murders. But it wasn't just a spreadsheet. It was a score sheet. 'We were told (Lanza) had around 500 people on this sheet,' a law enforcement veteran told me Saturday night. 'Names and the number of people killed and the weapons that were used, even the precise make and model of the weapons. It had to have taken years. It sounded like a doctoral thesis, that was the quality of the research.'"

The next would-be mass murderer can take up Lanza's obsession from where he left off, with not a single new barrier in his way. Virginia Tech (the deadiest school shooting in U.S. history back in 2007) made no difference. The Aurora movie theater mass murder made no difference. The attack on former Rep. Gabby Giffords made no difference. Nothing changes anything.

It's not just guns. With economics too, nothing changes anything.

Over four years, policymakers in Europe and the United States have argued about public debt. In a recession, should government run deficits to substitute for weakened consumer demand? Or should they cut spending to balance their budgets, accepting pain now to avoid even greater pain later?

Republicans in the United States and the German government in Europe have argued for the second option. Advocates of austerity cited a powerful study by two acclaimed economists, Carmen Reinhart and Kenneth Rogoff. The Reinhart-Rogoff study demonstrated (or appeared to demonstrate) that once public debt climbed past 90% of GDP, a country's future growth slowed, putting at risk the entire next generation.

Then, last week, a 28-year-old graduate student demonstrated that the Rogoff-Reinhart study contained a basic spreadsheet error. Correct the arithmetic, and you found that the connection between public debt and future growth was almost perfectly random: sometimes high-debt countries grew; sometimes they didn't; it all depended on other factors. The most important piece of advice in favor of the "cut now" school of thought collapsed into rubble.

And the result? Nothing, barely even a word of acknowledgment from the people who'd been citing the study and condemning people to the harmful effects of austerity for the past four years.

Nothing changes anything.

On this site a few days ago, CNN contributor Ruben Navarrette expressed worry that the Boston bombing, allegedly by two alienated young immigrants, might harm the prospects for the Senate immigration deal. He needn't fret. Nothing changes anything.

The Fort Hood massacre changed nothing. The Time Square bombing attempt changed nothing. The presence of so many of the 9/11 hijackers on overstayed visas has changed nothing: there is still no mechanism for confirming that persons who enter on visas depart on time. Why would one expect Boston to change anything.?

The immigration debate has been resisting new information for years, not only in the traumatic and of course rare instances of terrorist acts by immigrants and their children, but even more in labor economics. Much thinking about immigration remains shaped by statistics from 30 and 40 years ago, when immigrants arrived with higher levels of education than natives and equaled native wages within a decade.

We don't need horrifying acts of violence to prove that the United States is choosing its immigrants unwisely. Until 1970, immigrants to the United States were better educated than natives. Immigrants who arrived before 1970 took a decade or so to adjust, but then earned more than natives.

Since 1970, however, the skill levels of immigrants to the United States has sharply deteriorated. Relying on data from the 2010 Census, the Center of Immigration Studies observes:

-- 23% of all immigrants and their U.S.-born children live in poverty, almost double the rate for U.S. natives;

-- Immigrants and their children accounted for one-fourth of all persons living in poverty;

-- Immigrant-headed households are 50% more likely than the native-born to use at least one welfare assistance program, such as food stamps or Medicaid.

Yet even so, the president and the Senate's "Gang of Eight" insist: the United States must continue to keep its doors open to the least skilled and ought to actually increase its total immigration intake, as well as granting legal status and eventually citizenship to the present illegal population.

Nothing changes anything. You might almost call it a testament to human fortitude, if the results were not so perverse and the outcomes so costly.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: After the terror attacks of 9/11, people said they "changed everything"

@highlight

He says today's frozen politics means that the Boston bombings won't change things

@highlight

He says even the Newtown killings didn't shift politics enough to widen gun control

@highlight

Frum: Advocates of fiscal austerity aren't admitting their policies are faulty