Washington (CNN) -- An appeal over singer Janet Jackson's "wardrobe malfunction" and brief partial nudity on national television has reached the Supreme Court, the latest free speech episode over indecent, if fleeting, images and words on the public airwaves.

The Obama administration has asked the Supreme Court to decide whether record government fines against CBS should be allowed to stand.

A federal appeals court last November ruled for the network and its affiliates, saying the Federal Communications Commission's sanctions were improper. The agency had punished the network with a $550,000 fine after the pop singer's breast was briefly exposed during a live halftime show with fellow entertainer Justin Timberlake at the 2004 Super Bowl.

The Supreme Court is currently deciding a separate but related issue over whether FCC enforcement policies violate the free speech rights of broadcasters airing profanity and sexual content, both in live and scripted form.

The Justice Department in its appeal over the Janet Jackson incident told the high court there is no "fleeting images exemption from indecency enforcement" and that the singer's act was "shocking and pandering," airing "during a prime-time broadcast of a sporting event that was marketed as family entertainment and contained no warning that it would include nudity."

But CBS countered that the government in recent decades has applied inconsistent rules to indecent words and images, punishing some instances and ignoring others.

The three-judge Philadelphia-based 3rd Circuit U.S. Court of Appeals agreed, finding for a second time the FCC had acted "arbitrarily and capriciously," since the commission did not give the media companies proper prior warning about subsequent changes in its enforcement policies.

"The balance of the evidence weighs heavily against the FCC's contention that its restrained enforcement policy for fleeting material extended only to fleeting words and not to fleeting images," wrote Judge Marjorie Rendell for the 2-1 majority. She said the agency rules changed suddenly, a month after the Jackson incident in Houston.

"An agency may not apply a policy to penalize conduct that occurred before the policy was announced," said the judge.

CBS now has a month to formally reply in writing to the high court, It is expected to urge the justices to stay out of the case. The high court would not decide whether to accept the appeal for review until June or perhaps later this fall. If placed on the docket, oral arguments and a ruling would not likely happen until sometime next year.

After viewer complaints and national media attention, the FCC said the Jackson incident was obscene. In addition to CBS Inc., 20 of its affiliates also were fined.

Congress quickly reacted at the time to the visual shocker by increasing the limit on indecency fines tenfold, up to $325,000 per violation per network. And it said each local affiliate that aired such incidents also could be punished by the same amount.

The FCC claimed the network had "alarm bells" something might have been up, suggesting Jackson and Timberlake may have planned ripping off the woman's bustier, exposing her breast for nine-sixteenths of a second.

Family advocacy groups had blasted the appeals court's 2011 opinion.

"Today's ruling reaches the level of judicial stupidity and is a sucker-punch to families everywhere. In rendering an opinion it wishes to foist on the nation, the Third Circuit has chosen to ignore the law, the facts, Supreme Court precedent, the intent of the Congress and the will of the American people," said Parents Television Council President Tim Winter. "How can nudity and a striptease in front of 90 million unsuspecting TV viewers not qualify as indecency?"

There was no immediate reaction from the CBS or the other networks to the FCC's appeal to the high court.

The administration's request comes as the high court is preparing a separate ruling in coming weeks on larger constitutional issues surrounding programming content.

The justices in 2009 narrowly upheld the authority of the FCC to punish networks for airing profanity. But they refused to decide whether the commission's policy violates the First Amendment guarantee of free speech. It ruled at the time only on the government's enforcement power.

Then in January, the justices revisited the issue and have been working behind the scenes on one of the most closely watched petitions this term.

The government clampdown on obscene images and words began in 2003. The changes became known as the Golden Globes Rule, as it stemmed from singer Bono's acceptance speech at the live awards show on NBC, in which he uttered the phrase "really, really, f---ing brilliant."

The commission specifically cited celebrities Cher and Nicole Richie for potty-mouth language in the 2002 and 2003 Billboard Music Awards, which aired live on Fox. Richie, in an apparent scripted moment, said, "Have you ever tried to get cow s--t out of a Prada purse? It's not so f---ing simple."

A separate complaint against ABC involved "NYPD Blue," a scripted police drama, and a complaint against CBS involved "The Early Show," a news and interview program.

Enforcement of the law, as well as fines and sanctions for the incidents, has been put on hold while the cases are being argued.

The television networks say their scripted shows no longer air nudity, racy images or expletives, even after 10 p.m., when some potentially vulgar words are permitted.

They worry, however, about unplanned, often spontaneous indecent or profane incidents at live events, such as awards shows and sporting events.

Company officials say such programs are often on a five-second delay, and censors are on hand to bleep any offensive language. But some indecent words can slip through, they admit, and they want to be protected from heavy government fines.

Critics call that laughable. Winter, in a CNN interview, noted that CBS edited the F-word into a recent episode of "Big Brother," a taped reality show, which he said had to go through multiple reviews, by multiple people in the media organization.

The "wardrobe malfunction" case is FCC v. CBS Corp. (11-1240).

@highlight

The Obama administration wants the Supreme Court to rule on FCC fines

@highlight

An appeals court last year said the agency's sanctions were improper

@highlight

Family advocacy groups have blasted the appeals court's opinion

@highlight

The Supreme Court will decide later this year whether to accept the case