Istanbul (CNN) -- Over the last six months, Iran has evaded U.S. sanctions by importing Turkish gold to pay for billions of dollars worth of energy sales to Turkey.

Turkey's deputy prime minister has described what amounts to a gold-for-oil barter system.

Read more: Turkey: Facing a soft landing or serious turbulence?

"Why did, all of the sudden, Turkey's gold exports, especially gold bullion, go up?" Ali Babacan asked while speaking before a parliamentary budget commission this month. The official transcript of his statements was published by a Turkish government website Wednesday.

"An important part of that is Iran," he said. "When Turkey buys Iranian oil, we pay for it in Turkish lira. ... However, it is not possible for Iran to take that money as dollars into its own country due to international restrictions, the U.S.A.'s sanctions. Therefore, when Iran cannot take this money back as currency, they withdraw Turkish lira and buy gold from our market. They take the gold back to their own country."

Read more: Turkey boom dampened by Europe's troubles

According to Turkish government statistics, Iran has imported billions of dollars worth of gold from Turkey since it was ejected from the SWIFT international electronic banking system in March.

Babacan's rhetorical question and answer resolved suspicions that Turkish economists have had for months, after they noticed an enormous spike in Turkey's gold exports to Iran in April.

CNN Blog: Turkey's changing world

"Our gold has always been there, the Iranians never paid any attention to it up until the last year when they were kicked out of the SWIFT banking system," said Atilla Yesilada, an economic analyst with Global Source Turkey.

The Turkish government reported that Iran leapt to first place among Turkey's export markets in April. That month, Turkey exported $1.2 billion in gold to Iran, a 438.2% jump from the previous year.

"Turkey is the big hole, the big gap in the wall of sanctions," Yesilada said.

He was pointing to the U.S.-led campaign to impose an economic blockade on Iran. Many economists say Washington has effectively declared economic war on Iran because of disagreements over its controversial nuclear program. The U.S. accuses Iran of secretly trying to develop nuclear weapons, charges that Tehran has long denied.

Read more: Press freedoms watchdog slams Turkish government

Since the sanctions have been unilaterally imposed by Washington, Turkey is not breaking any international law by trading oil for gold with Iran. But in doing so, the Turks risk incurring the wrath of the U.S. government, an important military and political ally.

"At the end of July, the President issued an order that authorizes Treasury to impose sanctions on anyone who helps the Government of Iran acquire U.S. dollars or precious metals, including gold," a U.S. Treasury Department spokesman wrote to CNN this week, on condition he not be named. "We can't comment on any investigations that may be ongoing."

Economists say the gold-for-oil trade shows the sanctions are hurting Iran.

"This is very, very 19th century, taking gold around to manage your international sanctions," said Djavad Salehi-Isfahani, a professor of economics at the Virginia Polytechnic Institute.

"Iran lost its ability to sell oil, get electronic credit and use that to buy other stuff."

There has been a great deal of speculation about how the gold is physically being transferred from Turkey to Iran. Those questions extend also to the United Arab Emirates.

In August, Turkish government statistics show that the UAE suddenly replaced Iran as Turkey's chief export market. However, the main Turkish export to the UAE was gold -- $1.9 billion worth in August alone. Dubai has traditionally been the world's most important economic gateway to Iran.

In his appearance before the parliamentary commission, Deputy Prime Minister Babacan declined to comment on the logistics of the gold shipments. Instead, unconfirmed stories have swirled in the Turkish media of gold bullion being hand-carried out of the country in suitcases.

"We need to be more transparent about what Iran is doing with those gold bars, which apparently are being transported by physical couriers using 50-kilo (110-pound) bags, which is the limit of how much gold you can take out of Turkey," said Yesilada, the Turkish economist.

"There are really several James Bondian-like aspects to this, which no government would engage in, in an official or commercial transaction."

"The picture looks like a James Bond movie. You have individuals with black suitcases carrying gold," said Behzad Yaghmaian, an Iranian-American political economist at Ramapo College.

"This could not have happened in any form without the knowledge of the Turkish state. This amount could not have left the country to go to Iran without the state knowing about it."

The Turkish government has not responded to a written request from CNN to comment on the gold trade.

Some concerned observers worry the economic intrigue threatens to draw attention from the growing impact the U.S.-led sanctions are having on ordinary Iranians.

"Sanctions are a form of collective punishment on the Iranian people," said Yaghmaian, the author of "Social Change in Iran: An Eyewitness Account of Dissent, Defiance and New Movements for Rights."

"Iranians who oppose the Islamic Republic (of Iran), who have been under pressure by the Islamic Republic, who have been subjected to different forms of violence by the Islamic Republic, are once again facing a new form of violence that is economic violence."

Iranians have watched their buying power collapse over the last year, as the value of the Iranian rial plunged. There have also been reports of shortages of foreign pharmaceuticals and medical supplies, since Iranian companies have found it next to impossible to pay foreign suppliers because of restrictions on international banking.

@highlight

Deputy prime minister describes what amounts to a gold-for-oil barter system

@highlight

Government says Iran has imported billions of dollars worth of gold from Turkey since March

@highlight

In April, Turkey exported $1.2 billion in gold to Iran, a 438.2% jump from the previous year

@highlight

Economists say the gold-for-oil trade shows the U.S.-led sanctions are hurting Iran