(CNN) -- Two issues -- security and immigration -- often get too much attention when it comes to talking about the U.S.-Mexico relationship, U.S. President Barack Obama said Thursday.

Now, Obama said, it's time to forge deeper economic connections to create more jobs and more trade on both sides of the border.

"That's the focus of my visit," he told reporters after meeting with Mexican President Enrique Peña Nieto in the country's capital.

But even as Obama and Peña Nieto pushed to shift the tone more toward trade and economics, security issues loomed large over Thursday's meeting.

Peña Nieto said his government remains committed to fighting organized crime, but that the United States and Mexico must "cooperate on the basis of mutual respect, to be more efficient in our security strategy that we are implementing in Mexico."

Obama stressed that the countries will continue to cooperate closely on security, but he didn't specify how.

"I agreed to continue our close cooperation on security, even as that nature of that close cooperation will evolve," he said.

It's up to the Mexican people, Obama said, "to determine their security structures and how it engages with other nations, including the United States."

In the meantime, he said, the United States remains committed to reducing the demand for drugs north of the border, and the southward flow of illegal guns and cash that help fuel violence.

"I think it's natural that a new administration here in Mexico is looking carefully at how it's going to approach what is obviously a serious problem," Obama said, "and we are very much looking forward to cooperating in any ways that we can to battle organized crime."

High-profile cartel takedowns were a hallmark of former President Felipe Calderon's tenure. Peña Nieto has vowed to take a different approach, focusing more on education problems and social inequality that he says fuel drug violence. The details of his policies are still coming into focus, and analysts say his government has deliberately tried to shift drug violence out of the spotlight.

Before Obama's arrival, a spate of news reports this week on both sides of the border detailed changes in how Mexico cooperates with the United States.

Under the new rules, all U.S. requests for collaboration with Mexican agencies will flow through a single office, Interior Minister Miguel Angel Osorio Chong told Mexico's state-run Notimex news agency.

It is a drastic change from recent years, when U.S. agents enjoyed widespread access to their Mexican counterparts.

Critics have expressed concerns that Peña Nieto's government will turn a blind eye to cartels or negotiate with them -- something he repeatedly denied on the campaign trail last year. On Tuesday -- two days before Obama's arrival -- his government arrested the father-in-law of Joaquin "El Chapo" Guzman, head of Mexico's Sinaloa cartel and one of the country's most-wanted drug lords.

Speaking to reporters after his meeting with Obama on Thursday, Peña Nieto emphasized the importance of reducing violence, and also the importance of Mexico's relationship with the United States extending beyond the drug war.

"We don't want to make this relationship targeted on one single issue," he said. "We want to place particular emphasis on the potential in the economic relationship between Mexico and the United States."

To achieve that goal, Peña Nieto said, the presidents agreed to create a new high-level group to discuss economic and trade relations between the two nations. The group, which will include Cabinet ministers from both countries and U.S. Vice President Joe Biden, will have its first meeting this fall, Peña Nieto said.

Imports and exports between the United States and Mexico totaled nearly $500 billion last year, and before Obama's arrival officials on both sides of the border said economic relations would be a focal point during the U.S. president's visit.

"When the economy in Mexico has grown, and people have opportunity, a lot of our problems are solved, or we have the resources to solve them," Obama said Thursday.

The emphasis on the economy Thursday was a significant shift, said Jason Marczak, director of policy at the Americas Society and Council of the Americas.

"The conversations between Mexico and the United States are changing," he told CNN en Español.

Obama is scheduled to deliver a speech at the National Anthropology Museum in Mexico City on Friday morning. In the afternoon, he will travel to Costa Rica, where he will meet President Laura Chinchilla and other regional leaders.

CNN's Mariano Castillo and CNN en Español's Juan Carlos Lopez and Mario Gonzalez contributed to this report.

@highlight

A new high-level group to discuss economic cooperation will convene in the fall

@highlight

Obama says ties between the U.S. and Mexico go beyond security and immigration

@highlight

Mexico's president says his administration is committed to fighting organized crime

@highlight

The U.S. president will travel to Costa Rica on Friday to meet with Central American leaders