Washington (CNN)The Supreme Court jumped into the same-sex marriage debate again, deciding Friday to hear arguments this spring on the question of whether states have the right to ban same-sex couples from getting married.

It's expected to hammer out a decision on one of the most controversial social issues by June when the 2016 presidential race will be well underway, forcing the debate into full view during what's expected to be a crowded and diverse Republican primary.

It's not an issue that establishment Republicans are eager to drag into the spotlight. On the national level, the party is increasingly reluctant to focus on social issues, especially after the 2012 debacle over Todd Akin's rape comments and as polling continues to show a majority of Americans support same-sex marriage.

A recent CNN/ORC International survey indicates that 57% of Americans think gays and lesbians have a constitutional right to get married.

Off the table or on?

Some Republican strategists say quietly that a decision could bring some finality and take the issue off the table well before the election, while others say it could reignite the debate.

"I fear there could be a bigger fight within the GOP because of a Supreme Court decision than there would be without one," said Vin Weber, a former congressman from Minnesota and an adviser to Mitt Romney's 2012 campaign.  "I don't want to see a fight over this issue, because I think it's evolving on its own state by state."

He added: "I would guess social conservatives would take up umbrage, make it a divisive issue, and force every Republican candidate to go on record saying what they really believe."

It's a tough issue to talk about for Republicans, consultants say, because no matter what position they take, they're going to get in trouble with one side of the party or the other.

Former Florida Gov. Jeb Bush, who adamantly stood against same-sex marriage during his unsuccessful 1994 gubernatorial run, struck a conciliatory tone last week when Florida became the 36th state to legalize same-sex marriage.

"We live in a democracy, and regardless of our disagreements, we have to respect the rule of law," Bush said in a statement, calling for "respect for the good people on all sides of the gay and lesbian marriage issue."

Weber said that Bush's statement likely reflects the position of a majority of Republican candidates and elected officials on the issue.

"They're not quite ready to endorse gay marriage, but they really don't want to crusade against it like they used to," he said. "They're looking for ways to describe their position that don't put them directly at odds with supporters of same-sex marriage."

'Profound consequences'

Opponents of same-sex marriage, however, argue that anyone who thinks the fight will slowly die down is highly misguided.  Brian Brown, president of the National Organization for Marriage, said a Supreme Court decision that reverses same-sex marriage bans will be "a frontal assault on the religious liberty of all Americans."

"There are going to be profound consequences," he said. "If the Supreme Court rules, it will be just like Roe v. Wade all over again."

With the 2016 GOP field spanning a wide ideological spectrum, there's a sizable crop of potential candidates who've signaled that they're ready for a fight.

Sen. Ted Cruz spelled out a 10-point agenda for the new Republican Congress in a speech Monday that also read like a potential presidential platform. One of his themes was the need to "rein in judicial activism," pointing to federal court rulings on same-sex marriage.

"The Constitution makes clear marriage is a question for the states," he said. "It's not a question for a bunch of unelected federal judges who may disagree with the democratic views of the people who live in the United States of America."

Mike Huckabee last fall threatened to leave the GOP if Republicans don't take a stronger stand against a wave of acceptance.

"If the Republicans want to lose guys like me and a whole bunch of still God-fearing, Bible-believing people, go ahead and just abdicate on this issue," he said.

He seemed to soften his tone a little bit, writing in his newly released book that the idea that "same-sex marriage is destroying society is actually greatly overstated," adding that Christians who get divorced "have as much to answer for as do those who militantly push to redefine marriage."

Still, while conservative candidates are more vocal about standing on principle, strategists say it's not as likely that they'll start a war over same-sex marriage in the face of issues involving the economy, terrorism, and health care -- especially when the tide has rolled in favor of same-sex marriage at such a rapid pace in the last couple of years.

"It's not 2004. Gay marriage is not going to determine the outcome of presidential election like it did in Ohio," said GOP strategist Tara Setmayer, referring to the surge of Republicans who showed up to the polls to approve same-sex marriage bans in nearly a dozen states a decade ago. The turn-out helped tip the scales for George W. Bush's re-election.

"The issue may come up in the primary, but I don't think anyone wants this to be the hallmark of this campaign," she said.

@highlight

The Supreme Court decided Friday to hear same-sex marriage arguments this year

@highlight

That could lead to a major decision during the early 2016 presidential race

@highlight

Strategists say a decision could be welcome news to some Republicans, while others are ready to fight