(CNN)Golf's landscape has changed in myriad ways since Tiger Woods launched his design business in 2006.

Back then he was the game's bulldozer, barging inferior players out of the way in an all-out assault to overhaul Jack Nicklaus' tally of 18 majors and cement his title as the best of all time.

Tiger Woods Design was supposed to form another facet of his burgeoning legacy; a series of lasting monuments to augment his immense standing within golf.

Except the best laid plans of men often go awry.

Woods hasn't won a major since the scandal that engulfed his private life in 2008 and only now, nearly a decade on from the inception of his design arm, is one of his plots open for business.

With the verdict still out on whether he can recapture that magical form, and fatherhood having altered his outlook on life, the concept of legacy is very much back on the agenda.

"My goal is to design a limited number of distinct and memorable golf courses," Woods told CNN in an exclusive interview.

"I hope that one day the courses I design will become a lasting contribution to the game that has given me so much."

Architects forever talk about "moving earth" when it comes to course layout, and the sands have undoubtedly shifted under Woods' feet.

After locking down 14 majors in a nine-year spell, the former world No. 1 (and current No. 47) has just five top 10 finishes in them across the last five injury-hit seasons.

The benefits of those spells in rehab has been more time to dedicate to design, culminating in Woods' first opening at Cabo San Lucas in Mexico just before Christmas.

And though there might have been an eight-year wait for his first completed course, which has been well received, the second should be along within eight months.

It will represent an important landmark too -- his first opening in the United States, at Bluejack National in Houston.

The fact that Woods' design operation is finally laying down roots across the Americas has taken on an extra significance, with his kids now of an age when they can start to play alongside their all-star dad.

"He's obviously won a whole bunch of tournaments and major championships, and they remain very important to him," says Michael Abbott, partner of Beacon Land Development -- the company that's building Bluejack National's course -- and a friend of Woods for over 20 years.

"But to be able to take his kids Charlie and Sam to a golf course he's done is also very important to him."

Abbott agrees that a large slice of Tiger Woods Design is about legacy. "I think so. I think he's very proud and he wants to share that with not only those close to him but also everybody else.

"To say this is what I've learned and this is my creativity and now I'm putting it on the ground for you to see."

Perhaps unsurprisingly, the junior Woods are showing early signs of promise, much to the delight of their proud father.

"I saw as much of his son Charlie's swing as I did of his over the time we spent together (at the opening of the El Cardonal course in Mexico)," Abbott explained. "He'd say 'Come look at this -- this is the way I want to swing right here.'

"Tiger talks about the old days when he and his father used to go and play the short course in California and how the short course at Bluejack reminds him of that -- the ability for young girls and boys to come out and play and challenge themselves but also have pure fun.

"He also built junior tees into the course at Bluejack -- that tells you everything."

Woods, who began his 2015 season in Phoenix on Thursday, is still active in his pursuit of Nicklaus' bumper haul of major titles.

But he won't be trying to match the prolific nature of "The Golden Bear" when it comes to rolling courses off the production line at an exponential rate.

The majority of Nicklaus Design's 380 properties are in the U.S. while others are dotted around the globe in far flung places such as China, Russia, Nicaragua, Japan, Costa Rica and New Zealand.

Woods' dedication to recapturing the heights he reached in the early part of the decade prevent him from taking on too much but even after he retires, he insists he'll only pick projects that mean something to him.

"Golf course design has always been something that I have been interested in," Woods, who attempted his first design for a magazine competition aged nine, explained.

"It wasn't until my 10th year on tour, after having success on different types of courses all over the world, that I had the knowledge and experience to start Tiger Woods Design.

"I see it continuing to be very selective, looking for only the best sites and partners to work with, even after my golf career slows down."

That the fruits of Woods' design labor are only starting to emerge has much to do with the financial downturn of 2008.

Several projects have been on the table for some time; The Cliffs in North Carolina and Punta Brava in Mexico are yet to yield a completion date.

A much-trumpeted project in Dubai was shelved in 2011 due to funding problems, though Woods recently announced he was teaming up with Donald Trump for another go at building in the Emirate.

And while he has been enlisted to build another course at Cabo San Lucas, one industry expert thinks Woods needs to go further if his design arm is to enhance his standing in the game.

"I can't see Tiger's design business affecting his legacy unless he gets a project that really moves the dial," Adam Lawrence, editor of Golf Course Architecture magazine, told CNN.

"Either a site where he and his team can build something that is universally viewed as one of the best courses in the world -- which presupposes they have the ability to do so, something that hasn't be proven yet -- or alternatively they do something that has a real impact on golf's development.

"With the best will in the world, you don't change golf by building extremely expensive resort courses in Cabo, an ultra-high end residential project in Houston or a monster expensive course to be run by Donald Trump in Dubai."

Lawrence also believes Woods might also benefit -- not just himself, but also the game of golf itself -- by looking at designing a course in the BRIC countries.

"I would like to see Tiger take on a low budget project in an emerging market," he added. "A Tiger-branded course in India, or Brazil -- but a proper, public access, cheap golf course and not a fancy housing development -- could really impact on how golf grows in that market."

Those projects in developing nations may well come down the line but listening to Woods, it is clear he believes Bluejack National could enter the pantheon of great U.S. courses when it opens for business.

"Bluejack National has one of the best natural settings for golf I have seen," he said.

"With its changes in elevation, the beautiful pines and hardwoods, Bluejack National is reminiscent of the pinelands of Georgia and the Carolinas.

"The opportunity is here to create a golf course unlike any other in the Houston area, and our goal is for it to be among the best in the nation."

Due for completion in October, Woods has been making regular visits to the site near the small town of Montgomery in Texas.

Abbott says he has been struck by Woods' willingness to take other opinions on board and how in tune he is with those players at the other end of the skill spectrum to himself.

"Bluejack National is spectacular and I think it's incredibly special that this is his first course in the United States," Abbott said.

"When I first talked to Tiger he mentioned the playability; this one cut of turf, how you create great vistas and how all levels of players can find some success.

"When Tiger Woods goes in, he goes all the way. He doesn't do anything half way, he's an all-in guy and that's reflected in his work ethic on and off the course.

"This is important to him -- he feels like he's designing golf courses that will be meaningful because it will encourage people to play the game.

"At Bluejack he's taken it to an even further level where he's designed this playground section, a nine-hole short course that is spectacular. He's also designed four little loops that help if you only had an hour or two to play.

"Not only is he tackling golf course design from the angle of making it playable he's also tackling it from people's time commitments to be able to play, whether it is someone who wants a couple hours on the course, a corporate person entertaining a guest or a father and daughter.

"He's taken time investment and really put it into his design so you ask 'Is the guy in tune?' When a designer thinks that way I think he's in tune."

Still, any jobbing golfer standing on the first tee of a Woods-designed course could be forgiven for sweating with a mixture of fear and reverence.

Woods' litany of career titles have been secured on a collection of the world's most fiendish courses, giving him ample ammunition when it came to sketching out his own ideas.

But his emphasis on "playability" essentially says to the amateur -- 'I've got your back.'

"I have played enough pro-ams over the years to know not every golfer is a scratch handicap," Woods said.

"Designing golf courses that players of all skill levels find enjoyable is very important to me. The biggest compliment that a designer can receive is if a golfer can't wait to play his golf course again."

Abbott is happy to talk legacy, but he's also keen to stress that Woods still has plenty left in his playing locker.

Having watched him take on a collection of journalists during the opening of El Cardonal, Abbott says Woods' swing has its "speed and power back."

"I'm absolutely backing Tiger to bag some more majors," he said, ominously. "It's exciting to see him play this way.

"He's determined. The appetite is still there -- it's like he's never eaten before."

@highlight

Tiger Woods' design business is to form a significant part of the golfer's legacy

@highlight

Despite starting the company in 2006 his first course opened in December 2014

@highlight

Woods first course in the United States is due to open in Houston in October