Four years after hosting the 2008 Summer Games, Beijing's Olympic legacy appears to be a lasting one.

"Beijingers are still steeped in the Olympic spirit," noted my daughter Michelle, 21, who is visiting Beijing for the summer. She grew up here and saw the city host the sporting showpiece.

As a 17-year-old high school student, she took part in the Olympic torch relay a few days before the Games opened spectacularly in the National Stadium, an iconic structure fashioned after a bird's nest.

"The sports facilities seem a bit run down now but the space is still being used," she reported after a recent trip to the Olympic village. "The Bird's Nest is now a tourist spot and holds sports and entertainment events.

"The Water Cube now has a water park open to the public for a fee," she added, referring the National Swimming Center designed to look like a blue cube.

Michelle says the Chinese are supportive of London, which will host the 2012 Games this summer.

"They have huge ads promoting the London Olympics," she said. "They even have a double-decker bus inside the Water Cube and I saw many visitors take pictures beside it."

With the London Games just one month away, China watchers ask: What legacy did the Olympics leave in Beijing?

"The legacy is bad and good," opined James McGregor, a senior adviser at communications firm APCO in China, and a long-time resident of Beijing.

"The bad side is that China now has very expensive white elephant facilities to maintain with government money because they can't quite allow themselves to properly commercialize them.

"The good side is individual participation in sports and it is now considered important to a healthy lifestyle."

Beijingers are proud to have pulled it off despite earlier skepticism and criticism.

"It's been generally positive," said Zhang Wenjia, a 36-year-old taxi driver. "Infrastructure is much better, more tourists are coming and business remains good."

China has avoided a post-Olympic slump, largely because of the scale, momentum and potential of its juggernaut economy.

With or without the 2008 Games, many observers agree China would have changed rapidly anyway.

Opinion: China has room to grow

Still, they credit the Olympics as a catalyst of change.

"The legacy left behind by the Olympics is multifaceted, from hardware to software," said Wang Hui, director of the Beijing Information Office, and one of the official spokespeople of the 2008 Games.

She credits it for speeding up the modernization of the city's infrastructure, from roads to telecoms, to subway lines.

"In 2001, when Beijing won its bid to host, our subway network was only 60 kilometers long," she explained. "In 2008, it reached 200 km. At the end of 2011, it has grown to 372 km. We plan to expand it to 660 km by 2015."

She also spoke proudly of Terminal 3 at the Beijing Capital International Airport, an ultramodern terminal shaped like a dragon. Over the years, it has relieved the overloaded airport's other two terminals.

"T3 is now the world's biggest stand-alone airport terminal, capable of holding 66 million passengers a year -- the third largest in the world," Wang Hui said.

Inbound tourism remains robust, thanks to the massive media exposure China got before and during the 17-day jamboree.

The Games gave China a chance to use its cultural and historical legacy to attract people who would normally not travel to China.

Who can forget the spectacular shows that film impressario Zhang Yimou staged during the opening and closing ceremonies of the Games?

Wang Hui said the city's "software" has improved too.  "People's habits are changing," she said.

"More and more residents are learning English. Beijing has become more cosmopolitan, more international. The Olympics has boosted our national pride and China's image overseas."

Scott Kronick, Ogilvy Public Relation's North Asia president, agrees.

"The world had a chance to see a different China from the one that is making the headline news," he said. "I think it is fair to say the Games allowed China to be perceived in a different frame."

The frames these days show China in a state of flux -- changing rapidly, prosperous and strong, but also facing intractable problems.

"The Games helped China become more integrated into the world and with that comes different and higher expectations, like transparency, ensuring level playing fields and more," added Kronick, who has advised Chinese and multinational clients during the Olympics.

But Beijing's modernization drive, hastened by the Olympics, has come at a price. This includes the displacement of countless residents and the disappearance of the famed hutongs -- the city's old streets and closely knit neighborhoods, many of which have been torn down to make way for new avenues and skyscrapers.

Photographer Xu Yong, who has published a picture book on Beijing hutongs, noted wryly: "When I photographed the hutongs in 1989, Beijing still had over 2,000 hutongs. Now, there are only 200 honest-to-goodness hutongs left."

Another price of rapid development is pollution.

China air pollution: 'Slightly polluted' or 'hazardous'?

Beijing residents have become more aware of environment issues, but many "green" projects remain unfinished.

The city has allocated billions of dollars to tackle environmental issues, hoping to cut back coal-burning pollution, prevent sandstorms through reforestation, and create a greener and cleaner Beijing.

But four years after the Games, Beijing's pollution indexes are still hitting record highs.

Quite often, tourists drawn to the Bird's Nest find it shrouded by a thick film of grime.

In 2007, a year before the Games, China also promised greater press freedom for foreign journalists covering China, saying they would be allowed to travel freely across most of the country and interview people with getting official approval.

China has mostly lived up to that promise, but erratically.

In recent months, foreign reporters have encountered a number of obstacles, especially in sensitive areas like the Tiananmen Square protests anniversary, Tibet and unrest in Xinjiang.

China still routinely blocks internet access and locks up whistle-blowing journalists, bloggers and dissidents.

For good or for ill, Beijing is changing fast. Its image now is light years away from the one I witnessed when I first arrived here 40 years ago.

But for all its faults and imperfections, Beijing remains a charming and dynamic city.

Is there any Beijing Olympics-related goal that has not panned out? I asked former Games spokeswoman Wang Hui.

"If you mean yet unfulfilled goals," she replied, "it's that our national football team has yet to meet the expectations of our citizens."

@highlight

Analyst: Beijing has many expensive white elephant facilities from 2008 Olympic Games

@highlight

The summer games' legacy has also been positive with more people playing sport

@highlight

FlorCruz: Many Beijingers remain proud of having hosted the sporting showpiece

@highlight

Evidence of strong support in China for the 2012 Olympic Games in London