(CNN) -- President Barack Obama entered office with two overriding legislative goals: health care reform and climate change mitigation. He obtained the first goal but not the second. Now he has to decide whether the laws that Congress passes pose any constraint on his actions, or whether those laws are simply vessels whose precise contents can be filled as the President sees fit.

On Tuesday, two federal courts rendered contrasting decisions regarding the legality of subsidies paid to those who have obtained insurance through the federal exchange established under the Affordable Care Act, the Obamacare legislation that a deeply divided Congress passed in 2009.

The act contains a provision authorizing federal subsidies to low-income individuals who purchase insurance through a "state" health exchange. The question that the two courts had to answer was whether the specific statutory reference to state exchanges precludes subsidies to those who obtained insurance coverage through the federal exchange.

The U.S. Court of Appeals for the District of Columbia Circuit ruled 2-1 that such subsidies were not permitted; the 4th Circuit, the federal appeals court based in nearby Virginia, held that the subsidies were allowed.

The conflicting decisions reflect conflicting views of what counts as the law. According to the D.C. Circuit's majority, the law is contained in the plain language of a statute. But according to the Virginia-based court, the law consists of what Congress intended to do when it enacted the Affordable Care Act.

For its part, the Obama administration emphasizes what Congress intended instead of what Congress actually wrote and passed. When White House press secretary Josh Earnest was asked if "the letter of the law matters to the White House on this," he responded that "what the courts are charged with doing is evaluating the intent of Congress."

That approach would save the subsidies that underpin the Affordable Care Act, but it would doom the administration's approach to climate change.

When Obama took office, he asked Congress to enact sweeping federal legislation to combat climate change. The President insisted that such new legislation was necessary to respond to climate change -- indeed, some of his more zealous supporters argued that federal climate change legislation was necessary to save the world from destruction. But once Congress rebuffed his plea for such a law, Obama decided that maybe it wasn't necessary after all.

Instead, he turned to the Clean Air Act, which Congress enacted in 1970 to reduce the clouds of air pollution that plagued so many American cities at the time. The intent of the Congress that passed the Clean Air Act was to empower the Environmental Protection Agency to regulate emissions of substances that make people sick when they breathe them.

That Congress did not even think about climate change, and the pollutants that Congress did contemplate are fundamentally different from greenhouse gases that occur naturally in the atmosphere, are not toxic when breathed even at the elevated levels that now exist in the atmosphere, and that cause harm indirectly by facilitating the greenhouse effect that has begun to change the world's climates. If we were to follow Earnest's advice and evaluate the intent of Congress, then the Clean Air Act would not apply to climate change.

But the Supreme Court read the Clean Air Act in the same way that the D.C. federal appeals court read the Affordable Care Act. In the landmark 2007 decision of Massachusetts v. EPA, the high court held the clear text of the Clean Air Act encompassed all sorts of air pollutants, not just those that were in the mind of Congress when it enacted the law. That broad understanding of the Clean Air Act forms the legal foundation for the EPA's ongoing regulation of greenhouse gas emitters and of Obama's Climate Action Plan.

Now Obama, a former adjunct law professor, faces a choice. If he defends efforts to interpret the Affordable Care Act based on what Congress apparently intended rather than on the law's actual provisions, then he undercuts the legal theory for his response to climate change. But if he defers to what the law actually says, then he loses the subsidies that are integral to the success of the Affordable Care Act.

Of course, the President could simply advance whatever legal theory suits his policy aims. We expect more from judges. And few judges have articulated the judicial task better than Oliver Wendell Holmes, who remarked, "We do not inquire what the legislature meant; we ask only what the statute means." Even if Josh Earnest would prefer otherwise.

Join us on Facebook.com/CNNOpinion.

@highlight

President Barack Obama's team argues against a literal reading of the health care law

@highlight

Nagle: View may save Obamacare but flies in face of approach to climate change

@highlight

Obama seeks to use decades-old law to regulate gases related to climate change

@highlight

Nagle: On climate change, Obama wants judges to read the law literally