(CNN) -- The Syrian war has never been a simple fight between good rebels and evil government forces, and the United Nations has said so several times in the past.

But this week, U.N. investigators released a particularly detailed and horrific report that slams both sides, accusing rebels fighting to oust President Bashar al-Assad of murder, rape, torture and forced disappearances.

Government forces and the rebels have violated international humanitarian law in the two-year war, said Paulo Pinheiro, chairman of the U.N. Independent International Commission of Inquiry on Syria.

"The war displays all the signs of a destructive stalemate," he told the U.N. Security Council this week.

"If the national, regional and international actors fail to find a solution to the conflict and stop the agony of millions of civilians," Pinheiro warned, "the alternative will be the political, economic and social destruction of Syria and its society, with devastating implications for the region and the world."

The lengthy report is based on information from 443 interviews that U.N. investigators conducted inside Syria.

One of the more disturbing passages details rebels and government forces recruiting boys as young as 12. Children under 18 are seized at checkpoints, and government-affiliated militia use sectarian affiliation, kinship systems and cash to cajole children into their ranks, the paper notes. The government has used children as informants, but both they and rebels punish children who act as informants by killing them, the report says.

An uncorroborated video, investigators say, seems to show a child associated with an anti-government group beheading a prisoner.

The report says rebels frequently use schools as barracks or offices, children have taken up arms to fight and rebels have used them as lookouts.

In other violations, both groups have also targeted typically off-limits groups like medical workers and indiscriminately shelled each other, killing innocents caught in the crossfire.

Two million Syrians have been internally displaced, and more than 4 million need humanitarian aid, the investigators found.

The United Nations has repeatedly called for more serious and sustained international attention to Syria and a diplomatic end to the fighting.

But the war has affected the body itself. Last week, rebels detained 21 U.N. peacekeepers, claiming they came into an area where they didn't belong and saying they suspected the peacekeepers were secretly trying to help government forces. The captives were released a few days ago.

Rebels on Tuesday said the report was an exaggeration.

Louay Almokdad, a spokesman for the rebel Free Syrian Army, said he was shocked by the report.

"We are quite stunned that the U.N. would issue such a report and try to blame both sides for violations when it is clear who is committing atrocities in the country and who is killing our innocent civilians," Almokdad said.

The Syrian government, meanwhile, has consistently blamed "armed terrorist groups" for killing civilians. While the regime has often referred to opposition fighters as "terrorists," some radical militants -- such as members of the Nusra Front -- have also joined the fight against the government.

Last year, the United States blacklisted the Nusra Front as a foreign terror organization. The move baffles Syrian rebels, an analyst said.

Many Syrians see the group as heroes of the revolution because of its professionalism and its willingness to fight and take causalities, said Jeffrey White, a defense analyst at The Washington Institute for Near East Policy. The organization is active in eight provinces, he said.

More than 70,000 Syrians -- mostly civilians -- have been killed since peaceful anti-government protests led to a fierce government crackdown, an armed uprising and a civil war with no end in sight.

On Tuesday, U.S. Secretary of State John Kerry urged patience.

"You have to have some patience in this process even as you approach it with care, and I think that's exactly what we are doing," he told reporters in Washington.

"We want to stop the killing. And they want to stop the killing. The world wants to stop the killing," he said.

@highlight

NEW: U.S. Secretary of State John Kerry urges patience: "We want to stop the killing"

@highlight

Rebels say they are shocked the U.N. would accuse them of atrocities

@highlight

Both government and rebel forces are accused of recruiting boys

@highlight

U.N. panelist: No diplomatic end to war means "devastating" implications for the region and world