New York (CNN) -- The skirmish between North and South Korea over Yeonpyeong, an island in the disputed zone between the two sides, has brought new danger to a standoff that has been escalating for more than two years.

It happened just two days after North Korea revealed a sophisticated uranium enrichment program to three American visitors from Stanford University, and in the midst of its leadership transition from Kim Jong Il to his son, Kim Jong Un.

How can the international community respond in a way that will deter North Korea without pushing the situation into all-out war? None of the options is particularly attractive: Strong sanctions and displays of force have already been tried, and failed to stop the latest attack. Military retaliation could easily escalate into war involving the Koreas, the United States and possibly China, with devastating consequences.

Negotiations, many would argue, have failed, too. But among the available options, a return to negotiation seems the least bad one.

This would not be "rewarding bad behavior," but trying to test North Korea to see what it would take to bring us back from the brink of war. Negotiation would have to be pursued multilaterally -- most likely through the Six-Party Talks among the Koreas, the United States, China, Russia and Japan -- or perhaps even more importantly, bilaterally between the United States and North Korea.

It is never possible to be sure what is going on within the North Korean regime, but its growing belligerence -- through nuclear tests, military muscle-flexing, and the demonstration of nuclear capacity to foreign visitors -- suggests that North Korea is trying to show the world it is a force to be reckoned with.

Pyongyang has made it known that it wants to be accepted as a nuclear weapons state and wants to deal with the U.S. from that position of strength. This may in turn be related to the transition underway in the North Korean leadership: either Kim Jong Un himself demonstrating his toughness to his military, or groups within the military showing their loyalty to him by their forceful actions.

The United States has stated repeatedly that a nuclear North Korea is unacceptable, especially because of the effect a nuclear North Korea would have on other would-be nuclear powers, above all Iran. But for now, a nuclear North Korea is a reality we must deal with.

North Korea manufactured this crisis

Renewed dialogue between the United States and North Korea could reveal what combination of incentives might get the North to back down and eventually relinquish its nuclear capability -- and a nonnuclear Korean peninsula is the stated goal of all the parties in the six-way talks, including North Korea. China, which has its own interest in a stable Korean peninsula, must be brought into the negotiating process as well.

The government of Lee Myung-bak in South Korea has promised "stern retaliation" over the Yeonpyeong attack, but knows its real options are limited.

The Pentagon and State Department have strongly condemned the North Korean action but have wisely urged restraint. China has also criticized North Korea and called for a return to dialogue and a peaceful resolution of the current standoff.

A space for common interest can be found among all sides with a stake in the Korean situation. What is required is the political courage, not least in Washington, to look beyond condemnation and to engage in the hard negotiations necessary to prevent the situation from spiraling out of control.

The opinions expressed in this commentary are solely those of Charles Armstrong.

@highlight

Charles Armstrong says North Korean attack confronts the world with difficult options

@highlight

Sanctions have failed, military action could be disastrous; talks the least bad choice, he says

@highlight

North Korea may be trying to show it's a force to be reckoned with, Armstrong says

@highlight

Talks could reveal what it will take to get Pyongyang to abandon nukes, he says