(CNN) -- It is well know that leaders at the highest echelons of politics and business tend to be taller -- an advantage called the "height premium." Now, research shows a similar correlation with voice pitch: the lower a CEO's voice, the larger his company and paychecks tend to be.

The new study, led by professors at Duke University's Fuqua School of Business and the University of California at San Diego, looked at the voice pitches of nearly 800 male CEOs speaking in public in the U.S.

Past research already showed that in a laboratory, where researchers played voices that had been artificially manipulated to various pitches, people preferred the lower ones as leaders. So this latest report took the study to the next step, seeing if the experiments translated to the success level of real CEOs.

"It appears that the labor market is matching deeper-voiced individuals with larger firms, which means this is influencing boards of directors' judgments, perhaps," said William Mayew, associate professor at Fuqua, who headed the study.

But Mayew says researchers still need to figure out why this matching is happening for it to have meaningful applications.

"What we don't know yet is where the benefit comes from. Does it come from cutting through red tape in a big corporation a bit faster if you're more authoritative or dominant vocally?" he said.

Read more: Bullying bosses dominate their way to power

Voice pitch could also be related to other physical characteristics that suggest dominance, such as how tall you are, how big you are, what your facial structure is -- and it is still unclear if other factors like these are the true influencers of becoming a high-earning CEO.

While research like this may imply that aspiring leaders who are short and have a high voice pitch are genetically disadvantaged, Mayew says this view places too much weight on a few physical traits.

"It takes a lot of different features that come together in order to make a person who he or she is, and I think it'd be premature to suggest that if you had a high-pitched voice or if you were short that you just have no shot of ascending to leadership ranks. There's much more to it," he says.

While Mayew acknowledges there are ways for CEOs to change how to speak, such as through presentation training, he is skeptical about the usefulness of speaking in an unnatural way or dressing a certain way to make up for physical disadvantages. If executives all take the same measures, he says, then one's position relative to other CEOs does not change.

"There are certain bounds that we're just born with," he says.

Read more: Neurotics make good teammates

But leadership coaches, part of whose job it is to help leaders improve their self-presentation, have long been advising clients on ways to speak to come across as more commanding.

"Voices can indeed be changed and the pitch, pace, tonality and voice pattern can be modified to exude power, control, and position someone as the obvious leader," says Gloria Starr, an image and etiquette consultant.

Using words with two, three or four syllables gives the perception of a high education, she says. Using fewer words, and omitting complaints or explanations are other ways to convey power.

"Women tend to give their power away when they 'chat,' go on and on endlessly," Starr says.

Starr says to look successful in the workplace, executives should dress in one color, which adds height, and wear plain fabric rather than patterned styles. Women should maintain a consistent business look and avoid open-toe sandals, bare legs and dangling or sparkling jewelry in the workplace. "Trust is higher when an elegant, sophisticated business look is consistently presented," she says.

Read more: Why we pick bad leaders

When one of her male clients moved into an executive role, she says, she suggested that he stop wearing short-sleeved shirts, because it is a "blue-collar look."

Starr also advises against dressing down on the weekends or when traveling. Not only does professional attire lead to more upgrades and perks at restaurants, on flights and in hotels, but there is always a chance of striking up business relationships during this downtime, like when seated on a plane.

As for how executives, especially men, should carry themselves: "No hands in your pockets ever," she says.

@highlight

A new study shows that the lower a CEO's voice, the larger his company and paychecks tend to be

@highlight

It is still unclear why lower-voiced CEOs are more successful

@highlight

Image consultants say executives can learn to alter voice pitch

@highlight

Leaders can also convey power by how they dress