(CNN) -- I am an underdog in life. From the moment I entered the world, I was handed a collection of circumstances that most first world people would label as "disadvantages."

I grew up in a poor, single parent family. My dark features and Middle Eastern last name further complicated my Midwestern upbringing. I didn't look like anyone else (including my mother). Racism, economic hardship, and familial struggles were my everyday reality from the beginning.

But I am not the only underdog out there. Maybe you or someone close to you also has underdog status. Our individual stories are likely different, but the biographical details matter far less than the significant and perhaps surprisingly positive traits those obstacles have the power to nurture.

Ask someone who they are and how they got there, and many will begin by describing the hurdles they've encountered -- the repeated rejection, the failed pursuits, the periods of scrimping.

So much of how we understand ourselves is shaped by our losses and hardships, even more so than our victories.

But as uncomfortable as they are, these personal roadblocks make us stronger and better than our more privileged selves.

In Malcolm Gladwell's new book, David and Goliath: Underdogs, Misfits, and the Art of Battling Giants, he argues that being the underdog and experiencing disadvantages breeds "desirable difficulties."

But how much of what's "desirable" is about perspective? Challenges don't improve us merely because they exist. We have to reflect on them and proactively adapt their lessons into our life and work habits.

The immense potential of these desirable difficulties is especially salient in the workplace.

Read more: How 5 of world's leading executives streamline their productivity

Here's why underdogs win in the workplace:

1. We're less likely to take things (and people) for granted.

Once you've felt the pangs of struggle, you don't easily forget it, particularly if it's experienced early in life. At work, this means underdogs are more likely to notice the little things and demonstrate appreciation.

Gratitude makes people happier, and since happiness is contagious, it also positively affects your coworkers. That doesn't mean we're all 24/7 bundles of cheer, but when you grow up without and have a desire for something better, you develop an inherent optimism and immunity to complacency.

2. We have rich imaginations.

Learning to do without demands creativity. Underdogs are well-versed in the art of improvisation; it's necessary for our survival.

We're scrappy. Last minute changes to a presentation? An accelerated deadline? If all other qualifications are relatively equal, I'll choose the underdog to work on my team every time.

Underdogs spend their lives imagining "more," which is invaluable in business. Everyday improvisation leads to large-scale innovation, which transforms how we work and what we collectively produce.

Read more: Deadly sins needn't always be fatal for your career

3. We are hyper-actively observant.

When you're an outsider, you vigilantly pay attention to what it takes to "fit in." Details and differences are not lost on underdogs. We quickly size up a situation and analyze how to optimize it.

Obliviousness is difficult to correct, and underdogs are aware by necessity -- a sort of "mindful compensation."

Being an underdog doesn't mean you're a fraud when you do manage to find your way into more fortunate circles, but it does mean you had to become intimately familiar with the nuances of the rules to get there. This makes underdogs competitive players to watch (and hire).

4. We are not risk averse.

If you've never had a safety net, then you feel like you don't have much to lose.

That doesn't mean underdogs are inherently reckless, but it does bode well for taking calculated risks.

Being an entrepreneur, for instance, means you are likely to "fail" at some point -- but it also means you could score big eventually. And it's not about luck (though many will flippantly dismiss it as such), but rather perseverance, resilience, tenacity, and general strength of character that leads us to succeed.

Underdogs don't take no for an answer and, perhaps counter-intuitively, tend to be very confident (while arguably less arrogant) -- because without that unbridled confidence, we would still be stuck in our previous reality.

It takes a pretty serious belief in yourself to rise above those circumstances.

Read more: What football managers can teach you about leadership

5. We are very hungry.

If there's one thing I know how to do, it's hustle. With underdogs, the default answer is "yes." Yes, I can learn how to do that. Yes, I can make that happen. Yes, that is possible.

Will this can-do attitude backfire? Possibly, sometimes. But more often than not, that inner drive and hunger to excel means we're willing to acquire new skills, push ourselves out of our comfort zone (what comfort zone?), and work toward goals with laser-sharp focus.

Being an underdog in life has shaped my character and my career, making me more successful and, ultimately, happier.

But while being an underdog can make you pretty bad-ass in the workplace, let us not glamorize hardship.

Because make no mistake: It's difficult. Most of us wouldn't want to repeat the past, and we diligently strive for a better future with fewer difficulties for our offspring.

And yet, I for one would not change the personal challenges I've been dealt.

Underdog status is what you make of it. It's not a label I'm looking to overcome. It's a permanent state of being for me.

It reminds me everyday what it took to get where I am, how much I have to be grateful for, and how much room I still have to grow.

Being an underdog isn't a plea for sympathy. It's an invitation to triumph.

Read more: Women value ethics more than men

Read more: Are we ready for GenY leaders?

Read more: Five ways to quit in style

@highlight

Anna Akbari thinks that being an underdog has shaped her character and career

@highlight

In his new book, Malcolm Gladwell argues that people can experience 'desirable difficulties'

@highlight

Akbari lists the ways in which being an underdog can help you succeed