(CNN) -- "What we have done is kicked this can down the road. We are now at the end of the road and are not in a position to kick it any further. ... We have to signal seriousness in this by making sure some of the hard decisions are made under my watch, not someone else's."

So said President-elect Barack Obama at a Washington Post editorial board meeting in January 2009, just days before taking his first oath of office. He was talking about the importance of dealing with the long-term deficit and debt.

The rhetoric hasn't met the record -- debt has exploded under Obama's watch. Reasonable people can forgive the president for expenses incurred while confronting the worst financial crisis since the Great Depression -- and, let's be honest, alternative paths of austerity have not worked that well across the Atlantic. But now is the time to get serious about reigning in our long-term debt, which now exceeds an unsustainable 70% of gross domestic product.

At this moment of maximum political capital, Obama is perfectly positioned to act on his original impulse in the State of the Union on Tuesday night.

But there is a dangerous bit of hubris sweeping the Democratic Party, which says that dealing with deficits and debt is a sucker's bet, best left to the next Republican president.

Instead, the Keynesians are riding high and arguing that deficit and debt is not a primary concern to most voters and irrelevant to economic growth. And so the pregame expectation setting comes: White House minions told The Washington Post not to expect the president to present "an ambitious new plan to rein in the debt" in the State of the Union.

Opinion: Obama needs to lay out a plan on climate crisis

This would be a major mistake and a costly lost opportunity.

With an eye toward his legacy, Obama should follow his original instincts and put the power of presidency behind a balanced long-term plan to deal with deficits and debt -- including spending cuts, tax reform and, most importantly, entitlement reform.

This is the time for Obama to pull a Nixon in China.

Just as only a committed anti-communist such as Nixon could establish relations with communist China, Obama is perfectly positioned to do what he knows is necessary to preserve the long-term strength and solvency of the social safety net: Medicare and Social Security.

This does not mean draconian cuts or a voucherization of the existing system as imagined by Rep. Paul Ryan and many House Republicans. But it does mean following through on the president's previous negotiated offers to consider "chained CPI," which would lower inflation-related increases in Social Security benefits, and to raise the eligibility age for Medicare.

Formula adjustments such as these can save billions of dollars over the next 10 years, keeping these popular programs solvent. Other solutions, such as raising the Social Security payroll tax cap to more than the current income cutoff of $110,000, are worth consideration as part of a package. This is an idea that liberals love because it extends the progressivity of the tax code to the wealthiest Americans.

Alternatively, we could means-test Social Security to make sure it serves primarily as a safety net -- or (gasp!) raise the retirement age. When the Bowles-Simpson commission suggested raising the retirement age to 69 in 2075, it was met with howls of outrage from unions in particular. This makes no sense, especially if common-sense exemptions are made for manual labor.

Beltway cynics say that the bipartisan deficit and debt reduction plans that are often cited have no chance of passing Congress. When you look at the pathetic support for Bowles-Simpson when it was actually put to a vote in the House last March -- 16 Republicans and 22 Democrats supported it -- you see why cynicism is always a safe bet in Washington.

But take a step back, and you'll see much broader support among the American people. The Pew Research Center found that the top three issues are "strengthening the economy" (at 86%), "improving the jobs situation" (79%) and "reducing the budget deficit" (at 72%). Crucially, the deficit has shown the biggest increase as an issue over the past four years -- up 19 percentage points from 2009. This is evidence of a pent-up demand for action -- but it will require presidential leadership.

Of course the devil is in the details, and politicos will point out that when confronted with tough medicine to deal with deficits and debt, even alleged tea party supporters balk (hence the classic "Government Get Your Hands Off My Medicare!" sign that I saw at one 2009 rally).

But strengthening America to remain competitive in the 21st century will require getting our long-term debt under control along with other important but less poll-prioritized policies such as comprehensive immigration reform and a public-private infrastructure bank to fund nation-building "here at home."

The State of the Union is a chance for the president to put forward a balanced bipartisan solution that contrasts with radical conservatives who believe that increased tax revenues from closed tax loopholes can't be part of a big deal to bring down our debt. Wall Street lawyers will fight to protect every loophole they embedded in our tax code, but their argument doesn't begin to make sense to people on Main Street.

Obama will probably point out Tuesday night that economic growth is the essential X Factor to reducing long-term deficits and debt. On this point at least, he and some conservatives might agree. But dumb meat cleaver cuts such as the looming sequestration could push our economy back into recession.

That's why a smart balanced alternative plan is necessary. But it will require presidential leadership and putting some Democratic sacred cows on the table.

This doesn't just make practical sense in a divided government (a reality some Democrats seem to forget) -- it makes compelling political sense as well. By seizing the mantle of fiscal responsibility -- in contrast to fiscal conservatism -- Obama will build on his post-election bump among centrists and some independents.

The more Machiavellian Democrats might argue that this outreach could only serve to isolate Republicans more. Nonpartisan strategists might argue that this approach would drive a wedge between reasonable Republicans and the House radicals.

But the real reason for Obama to address the need to reduce long-term deficits and debt directly is because it's the right thing to do for our country -- and he is uniquely positioned to achieve it. Just as Nixon could go to China, a Southern Democrat such as Lyndon Johnson was needed to pass civil rights legislation and Bill Clinton was able to sign welfare reform after decades of Republicans talking about it, Obama can put our country on a balanced path of long-term economic growth and fiscal responsibility.

Bottom line: Obama has the political opportunity, but does he have the political will? We'll all find out in real time if he decides to lead on this issue or just be the latest in a long line to kick the can further down the road.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: President Barack Obama is well-positioned to help solve debt problem

@highlight

He says Obama should avoid temptation favored by some Democrats to put off action

@highlight

Relatively modest changes in entitlements could help ensure their survival, Avlon says

@highlight

Avlon: Obama can rally his party behind deficit cuts that won't hurt economy