In July and early August, doctors at Children's Healthcare of Atlanta diagnosed 15 to 20 children a week with serious respiratory infections -- a normal number for the summer months.

Then, pediatricians started to see more children who were having trouble breathing, more parents with worried looks on their faces.

Since school started, the hospital has seen an average of 100 cases a week.

"We are seeing a double to quadruple increase in the number of children with respiratory infections," says Dr. Andi Shane, hospital epidemiologist at Children's Healthcare of Atlanta.

U.S. 'ill-prepared' for a pandemic, feds say

More than 10 states around the Midwest and Southeast have reported seeing similarly high numbers of hospitalizations for children with severe respiratory illnesses. The virus has sent more than 30 children a day to a Kansas City, Missouri, hospital, where about 15% of the youngsters were placed in intensive care, health officials said.

Doctors say they think the increase is due to a bug called Enterovirus D68, an uncommon type of enterovirus that seems to be exacerbating breathing problems in children with asthma.

List of states with Enterovirus grows

But nailing down the culprit, and tracking the number of cases, is easier said than done.

Children's Healthcare, like most hospitals around the nation, tests samples from children with respiratory illnesses to determine if they have a viral infection. But the tests don't distinguish between the rhinovirus, which is the most common cause of the common cold, and enteroviruses, which can cause a variety of symptoms.

Once hospitals noticed this upward trend in severe respiratory illness cases, they requested help from the Centers for Disease Control and Prevention in identifying the specific virus at fault. Children's Healthcare of Atlanta is working with the Georgia Department of Public Health to submit specimens to the CDC, which is already testing samples from states like Alabama, Utah and Michigan.

Sick kids flooding ER in Alabama

Six states -- Colorado, Kansas, Kentucky, Illinois, Missouri and Iowa -- have confirmed cases of EV-D68. Yet even in those states, not all samples came back positive for this specific type of enterovirus.

Nineteen of the 25 samples sent from Children's Hospital Colorado were EV-D68, said Dr. Christine Nyquist, medical director of infection control. Kentucky submitted 10 samples; five came back positive. In Missouri, 19 of 22 specimens sent to the CDC were confirmed to be EV-D68.

The problem is that there are more than 60 enteroviruses that are known to infect humans, according to the CDC; these viruses cause an estimated 10 million to 15 million illnesses each year. Symptoms can range from the sniffles to stomach issues to a severe respiratory infection.

What parents should know about EV-D68

The average healthy adult gets two to three colds a year, the CDC says; children usually get more. They're more at risk because their immune systems haven't had a chance to build up immunity to these common viral infections.

The CDC doesn't require state health departments to track these types of infections, since they are usually dealt with at home and patients recover with a little TLC. So getting a firm count of the number of people infected -- or what other states may be at risk -- for EV-D68 is difficult.

"CDC is watching this situation closely," the public health agency's website states.

@highlight

Children's Healthcare of Atlanta has seen a "double to quadruple increase" in respiratory illnesses

@highlight

More than 10 states have reported seeing high numbers of severe infections

@highlight

Doctors say they think Enterovirus D68 is to blame, but nailing the culprit won't be easy