(CNN) -- The Australian Open provides a testing challenge for the world's top tennis players as they turn out for the first grand slam tournament of the season.

The searing heat of the Melbourne summer sun, the high bounce of the blue Plexicushion hard-court playing surface and the boisterous atmosphere generated by the packed stands all blend together to make the January 14-29 event an unforgettable experience.

It may not yet have prestige of the other three majors, but it is a place where stars are born and where legendary reputations are no guarantee of success -- and the rewards have grown greater and greater.

The 2012 edition is the 100th in the tournament's illustrious history, but what do you know about it? CNN Sport digs up nine items of interest about the southern hemisphere's biggest tennis event.

Richest grand slam

Although Wimbledon and the U.S. and French Opens have arguably more prestige than the Australian event, there is no doubt, that in monetary terms at least, the Melbourne grand slam leads the way. And it isn't just the singles champions who will be laughing all the way to the bank after their $2.2 million payouts. The men's and women's doubles winners will each receive $468,000 per pair, while the mixed doubles champions collect $140,000 per pair.

Fighting factions

Melbourne is a melting pot of different cultures and nationalities, and has more ethnic diversity than any other city in Australia. When Cypriot Marcos Baghdatis reached the men's singles final against Roger Federer in 2006 he was cheered on by Melbourne's large Greek-Australian community. Sadly, in recent years, nationalistic rivalry has spilled over into sporadic fighting, notably between Serb and Croat fans.

The heat is on

As part of the Extreme Heat Policy, which was introduced in 1998, Melbourne organizers have a regulation which is referred to as a "heat stress level." The measurement of heat stress is a combination of ambient air temperature, wind speed, humidity and the intensity of solar radiation. When daytime temperatures hit 35 degrees and the heat stress level reaches 28, then play can be suspended and the roofs on two of the main arenas closed for any new matches starting.

Nomadic existence

The tournament was initially known as the Australasian Championships, then became the Australian Championships and enjoyed a nomadic existence in its early years. As well as the 56 tournaments in Melbourne, the other 44 have been spread across several cities, including Sydney (17), Adelaide (14), Brisbane (7), Perth (3). Across the Tasman Sea, New Zealand's Christchurch and Hastings also hosted it in 1906 and 1912 respectively.

Follow the crowd

Once Melbourne was confirmed as the definitive home for the tournament, it soon became apparent that a new site needed to be constructed to accommodate the vast numbers of fans wanting to watch the action. In 1988 the tournament moved to the newly-built Melbourne Park complex and, since then, attendance figures have continued to soar. The main Rod Laver Arena has a seating capacity of 14,820, while the Hisense Arena can hold 11,000.

Surface switches

The tournament was played on grass until it left Kooyong. For the first two decades the new playing surface was the green Rebound Ace hard-court material, made by an Australian company, but in 2008 it changed to the U.S.-produced Plexicushion Prestige -- which supposedly retains less heat and has better stability for players than its predecessor. Roger Federer and Serena Williams are the only players to have won the Australian title on both types of courts, while Sweden's Mats Wilander is unique in his wins on grass and Rebound Ace.

Famous names honored

The Australian Open singles trophies are named after Norman Brookes and Daphne Akhurst. Brookes was a legendary player in the formative years of the game. He was the first non-Briton to win Wimbledon in 1907, and in 1926 he became the first president of the Lawn Tennis Association of Australia -- a post he held for the next 28 years. Akhurst dominated Australian tennis in the 1920s, winning five Australian Opens before tragically dying of an ectopic pregnancy at the age of 29.

Hingis makes history

Martina Hingis was just 16 years, three months old when she beat Mary Pierce in the 1997 women's final to become the youngest winner of a grand slam singles title. Remarkably the youngest men's winner is also the oldest. In 1953, the 18-year-old Ken Rosewall won the first of his four Australian Open titles. The last of his wins came in 1972 at the age of 37 years and two months, making Rosewall the oldest grand slam singles champion in history -- while the 19-year span between his first and last title is also a record.

Edmondson's shock victory

Australian legend John Newcombe was expected to stroll to his third Australian Open title, and eighth grand slam success, in 1976. His unseeded 22-year-old opponent Mark Edmondson had been taken to five sets by Austrian Peter Feigl in his opening match but caused a major upset by dumping top seed Rosewall out in the semifinals. Newcombe was the hot favorite to retain his title but, after winning the opening set, Edmondson hit back to take the next three for a stunning triumph. Edmondson went on to become an accomplished doubles player, claiming four Australian Open titles in the 1980s, but he never won another grand slam singles title.

@highlight

The first grand slam of the tennis season, the Australian Open, takes place in Melbourne

@highlight

Novak Djokovic and Kim Clijsters will be defending their men's and women's singles titles

@highlight

In 1976, Mark Edmondson, world ranked 212th, claimed a shock victory in the tournament

@highlight

Martina Hingis became the youngest grand slam winner when she triumphed in 1997