(CNN) -- A cloud-computing company is building what it calls "the world's first zero-emission data center" in Iceland.

The British company Colt says the data center will be powered fully by geothermal and hydroelectric sources of energy, which Iceland has in spades. The blog Earth2Tech, where we spotted this story, says Iceland could become a "magnet" for data centers because of the wide availability of renewable energy sources there.

"Why is a country, which blipped on the global news radar in recent months because of its ash-spewing volcano and hard-hit financial markets, such a hot place to construct data centers that could house thousands of servers and run web services for Internet giants?" asks Katie Fehrenbacher from that GigaOm network blog. "First off: location. Its placement between Europe and the U.S. means that companies in the U.S. can run their Web services for both continents in one location, potentially saving money," says Fehrenbacher.

"Secondly, because of its abundant hydropower and geothermal power, Iceland can offer data center services powered by 100% clean power for the same price or less than Web services powered by fossil fuel-based grids in other locations. Internet companies can use the clean power to market their green services, or take advantage of green subsidies in certain markets."

Bernard Geoghegan, an executive at Colt, says his company chose Iceland because of renewable energy:

"The location of this data center has been strategically placed so that it will be the first in the world to use 100% dual sourced renewable energy sources," he writes in a company blog post.

This development is significant because data centers -- giant warehouses of computers that store information that's on the Internet -- use lots of electricity. In the United States, these info factories account for about 1.5% of all energy use, according to a 2007 report from the U.S. Environmental Protection Agency. Total data center energy use was expected to double by this year.

Worldwide, data center energy use increased 56% from 2005 to 2010, according to a report from Stanford's Jonathan Koomey, which was commissioned by The New York Times. That's less than was expected, but is still significant, the report says.

Colt expects its Iceland data center to be up and running within four months.

Other data centers have claimed to purchase their energy from 100% renewable sources in the past, and there's some debate about what role renewable energy should play in the greening of data centers. More important than purchasing green power is using less of it, writes Ian Bitterlin at the blog Datacenter Dynamics. To this point, the EPA recently created a program to help data centers go green.

The construction of the "zero-emission" data center in Iceland highlights another trend in information processing: Data centers are often located in bizarre places.

When WikiLeaks was all over the news earlier this year, it was revealed that the secrets-leaking website stored at least some of its files in a James-Bond style data center inside a mountain in Sweden.

In the U.S., these data center are often placed near rivers, so they can use the water to cool down the computer servers, or in rural areas, where they don't attract too much attention.

I took a trip to a data center a couple of years ago, and you can check out that story here.

@highlight

Colt says it's opening a "zero-emission" data center in Iceland

@highlight

Center should be open within four months, company says

@highlight

Data centers store information that's "in the cloud" of the Internet

@highlight

EPA: U.S. data centers account for 1.5% of nation's electricity use