(CNN) -- Hillary Clinton got herself into a frenzy of controversy as a result of an interview with The Atlantic in which she took some shots at President Obama's foreign policy.

Clinton said that "Don't do stupid stuff," an infamous off-the-record quote from the President, didn't cut it as an "organizing" principle in foreign policy. Although she had been relatively silent about her differences with the Commander in Chief, her comments triggered a firestorm from liberal Democrats who felt that this sounded like the same old Clinton, the politician who they had so disliked in 2008.

President Obama's supporters fired back. David Axelrod rebuked Hillary through a tweet: "Just to clarify," he wrote, reminding people of her infamous vote authorizing the use of force in Iraq, "Don't do stupid stuff' means stuff like occupying Iraq in the first place, which was a tragically bad decision."

Hillary called Obama to apologize for any harm her interview might have done the President and both attended a party in Martha's Vineyard, where Obama was having what CNN commentator Jeffrey Toobin called his "vacation from hell." It's not known if they did indeed "hug it out," as predicted.

All of this comes at a moment that Clinton is trying to regain her footing following the difficult roll-out of her book, "Hard Choices," during which she made a number of comments, such as saying that she and her husband were "dead broke" upon leaving the White House, that offered fodder for her critics. Also, her lead in the polls over GOP rivals has narrowed.

Opinion: Clinton, Obama both wrong

The most recent controversy over her differences with President Obama immediately sparked familiar concerns -- can Hillary Clinton win over the liberals in her party so that "the base" comes out in November 2016, should she decide to run? Can she prevent a primary challenge from a candidate like Massachusetts Sen. Elizabeth Warren who stands closer to the left's position on many issues?

The tension between Hillary Clinton and the Democratic base is nothing new. Indeed, both Hillary and Bill Clinton have always been at odds with the more liberal members of their party as they have been insistent on crafting a more coalitional approach to winning elections.

Back when he ran for president in 1992, Bill Clinton infuriated liberals with his "Sister Souljah moment" when he made disparaging remarks about the activist at a conference of Jesse Jackson's Rainbow coalition. During his presidency, his support for certain kinds of deregulation and market-based approaches to public policy, as well as decision to end the federal welfare program, generated considerable heat from stalwarts in the party.

Hillary Clinton has made similar moves, particularly when she served as senator from New York and worked hard to build bipartisan coalitions. Most famously, her vote to authorize the use of force in Iraq in 2002 became a symbol of her alliance with the centrist wing of the party.

Hillary Clinton won't be able to remake herself into something that she is not. Trying to reinvent herself as part of a presidential run just won't work. When Vice President Al Gore sought to do this in 2000, his speeches fell flat. And Hillary Clinton's extensive record in public office leaves too much of a paper trail for her to pretend to be someone else.

Instead, Clinton needs to make a compelling argument to the Democratic base about why she, as opposed to any other member of her party, is the best choice to run for president.

The most important argument that she will bring to the table is that she can be a fierce and aggressive partisan fighter. Following eight years when many Democrats feel that they have watched President Obama get beat up by Republicans on Capitol Hill, Democrats are going to want someone who can fight and fight hard.

Ever since her famous statements about the "right-wing conspiracy" that aimed to bring down her husband, Clinton has demonstrated repeatedly that she has the stomach for the kind of brutal partisan warfare that defines Washington.

While Democrats in 2008 were still looking for someone who could break through the bipartisan noise, now they are searching for a politician who can accept the reality of Washington and take on their opponents by flexing their partisan muscle rather than avoiding it.

Clinton's emerging platform about economic inequality is also one that all Democrats should be able to embrace. In recent months, Hillary Clinton has been telling audiences and reporters that if she ran, fighting inequality would be the major theme of her campaign.

The inability and unwillingness of the nation's leaders to address this issue has been one of the greatest sources of frustration for liberals. Both on ethical grounds -- meaning that the current economic situation is not something Americans should tolerate -- as well as for partisan considerations -- meaning Democrats have traditionally been the party that has been associated with taking on this problem -- the time is ripe for an agenda centered on this theme.

If Clinton is as serious about the issue of inequality as she sounds in recent speeches -- such as the one she made to the New America Foundation where she promised that this would be her main focus in the coming years -- her embrace of the issue could blur divisions between her and some of her critics. She can continue to use this theme to highlight to the left and center that they have much more in common than their bickering suggests, especially in contrast to the Republican agenda.

Gender inequality has also been an issue that keeps getting pushed to the sidelines. Although the government has made some progress on issues like gender discrimination in employment and pay equity, Hillary Clinton is a candidate who has been deeply committed to these issues throughout her career and who could promise to go much further than any president has before her. The rights of women and girls around the world is "the great unfinished business of the 21st century," she said at the Women in the World summit in 2013.

Her victory in itself would be inspirational to the cause of gender equality, a watershed moment just like the election of the first African-American as president. While much of the left-center debate has revolved around how to deal with the power of Wall Street or how to use military power, gender equality can also serve as an issue to bridge the left and center.

Opinion: Clinton dances between loyalty and self-interest

Finally, Hillary Clinton will need to talk more about the importance of internationalism to her foreign policy agenda as a way to highlight to the base that she is more than simply a "hawk."

One of the great questions that came out of the Bush years was how much the United States should work in international alliances to pursue its goals. For the Bush administration, unilateralism was legitimate.

Obama inspired many followers by insisting on a different way. As New York Times columnist Ross Douthat said about his policies in Libya in 2011, when Clinton was secretary of state, "the Obama White House has shown exquisite deference to the very international institutions and foreign governments that the Bush administration either steamrolled or ignored."

He has not always lived up to those goals, as has been evident with the use of drone airstrikes. Regardless, overall the Obama administration and Hillary Clinton did stick to an internationalist strategy and she can make a commitment to this approach as a defining aspect of her vision.

In the Washington Post, Aaron David Miller explained why foreign policy would not have been that different had Clinton won the presidency in 2008. Surveying all the hot button issues, such as Israel and Syria, he finds that the differences between them are exaggerated: "They both are transactors, not ideological transformers â€” smart, pragmatic centrists largely coloring inside the lines in a world of long shots and bad options. In other words, there's no need for them to 'hug it out' on foreign policy.

Both parties have often succeeded when politicians find issues that can unite the different wings of their party.

Historian Meg Jacobs (full disclosure: my wife) has shown that Franklin Roosevelt -- without remaking himself into a far-left Democrat -- championed policies to boost the purchasing power of industrial workers as an issue that could bring together the party.

During the 1960s, LBJ did the same with health care for the elderly, while Ronald Reagan used tax cuts and anti-communism to achieve these goals in the 1980s. George W. Bush achieved a similar effect with the fight against terrorism following 9/11.

Making peace with the Democratic base will be one of Hillary Clinton's greatest challenges if she is going to run for the presidency. Without trying to be someone she is not, Clinton must figure out how to make the case that the Democratic Party can stand united behind her.

Join us on Facebook.com/CNNOpinion.

@highlight

Hillary Clinton had to backtrack a bit on comments critical of Obama foreign policy

@highlight

Julian Zelizer: Hillary has had difficulty with the left, but can make strong arguments for 2016

@highlight

Democrats will want someone, like Hillary, who can be a strong force vs. Republicans, he says