(CNN) -- A plume of black smoke rose over Cairo early Friday after a powerful explosion hit the city's police headquarters, killing at least four people and wounding more than 50 others, Egyptian authorities said.

The blast struck a key symbol of authority in a country that has been shaken by political turmoil and violent unrest in recent years.

It was followed by two smaller explosions near police stations in the Cairo area, one of which killed one person.

And later, a fourth explosion outside a movie theater in Giza city, near Cairo, killed one person and injured seven others, state television said.

The blasts took place at a time of high tension -- the day before the third anniversary of the 2011 revolution that eventually brought down authoritarian leader Hosni Mubarak.

And they come amid the instability ushered in by the military's overthrow last year of the democratically elected former President, Mohamed Morsy, and the ensuing crackdown by security forces on the Islamist movement that supported him, the Muslim Brotherhood.

Suicide bomber suspected

The first blast appeared to have been caused by a suicide attacker who tried to drive a vehicle laden with explosives into the police headquarters, said Maj. Gen. Hany Abdel Latif, a spokesman for the Interior Ministry, citing preliminary reports.

Guards stationed in front of the headquarters in the Abdeen district of Cairo opened fire at the vehicle, and the explosion went off in the building's vicinity rather than inside, he told state news agency Egynews.

The blast destroyed the front of the first and second floors of the eight-story building, he said, and damaged the third floor.

Most of the building's windows appeared to have been blown out. Air-conditioning units dangled by cables from the shattered facade.

At least 51 people were wounded in the explosion, state-run broadcaster Masriya TV reported, citing the Health Ministry.

Visiting the ruined building, Egyptian Interior Minister Mohamed Ibrahim condemned the bombing.

"These are nothing but desperate attacks in an attempt to create chaos, but the citizens here will remain resilient," he told Masriya TV.

Ibrahim said security forces will ensure that Egyptians will be able to celebrate the anniversary of the revolution Saturday "as if nothing happened today."

A powerful blast

CNN's Reza Sayah said the blast appeared to be "the most powerful bomb attack that we've seen here in central Cairo in recent memory."

Speaking from near the scene of the blast, he said the attack will probably intensify the fight between Egypt's military-backed government and the groups that oppose it.

It wasn't immediately clear who was behind that bombing.

Friday is a holiday in Egypt, so the police headquarters is unlikely to have been as busy as it would have been on a weekday. The blast happened around 6:30 a.m., according to state media.

Hundreds of people -- some stunned, some angry -- gathered around the scene, Sayah said. Many of those in the crowd were quick to blame the Muslim Brotherhood, despite no official word on who might be to blame.

The Muslim Brotherhood denied responsibility for the bombing and issued a statement condemning it.

"The Muslim Brotherhood condemns any acts of violence or killing, regardless of who are the perpetrators, and the (Muslim Brotherhood) emphasizes that the revolution that has continued for seven months is a peaceful revolution and it will insist to remain peaceful."

Separately, the Muslim Brotherhood called for protests and sit-ins across multiple sites in and out of Cairo in a show of defiance. The group said security forces fired live ammunition on demonstrators in Beni Suef on Friday; surrounded and mistreated worshippers at a mosque in Suez on Friday; and thugs attacked a funeral in Alexandria on Thursday, among other grievances.

Police arrested 111 protesters across the country, the Interior Ministry said.

Egypt's armed forces condemned the bombings, as did the U.S. government.

"It should be clear to all ... Egyptians that violence has not and will not move Egypt's political transition forward," White House spokesman Jay Carney said. "Ongoing unrest and cycles of violence surrounding protests hurt Egypt's prospects for political and economic stability."

A U.S. State Department official said that Washington is "aware of reports" that one of its citizens "has been detained in Egypt." But the official said the U.S. government wouldn't comment any more than that.

Fears of more turmoil

Friday's second explosion was much smaller and went off near a police station in Dokki, a residential area of Cairo, wounding several people, authorities said.

And in the Al-Haram district of Giza city, a small bomb was thrown at a moving police vehicle near a police station, killing one person, deputy Giza security chief Mahmoud Farouk told state TV.

This new wave of violence follows a referendum earlier this month in which Egyptian voters overwhelmingly approved a new constitution proposed by the military-backed government, according to the country's electoral commission.

But supporters of the now-banned Muslim Brotherhood had boycotted the vote in response to a continuing government crackdown.

Rights groups have expressed concern about what they call an increasingly repressive environment in Egypt, where more than 2,200 people have been killed since Morsy's ouster.

Some anti-government groups have resorted to violence. Bomb attacks and shootings against the security apparatus have taken place across the country in recent months -- a situation described by some as a low-level insurgency.

The government has blamed the Muslim Brotherhood for many of the attacks, even though the movement has condemned them.

The bombing of the Cairo police headquarters suggested the violence is taking on a more serious, high-profile form.

"The fear is there's a very difficult and tumultuous phase ahead for this country," Sayah said.

Democracy: Egypt's beautiful dream in the wrong hands

Egypt passes a new constitution

CNN's Jamie Crawford and journalist Ian Lee contributed to this report.

@highlight

NEW: Official: U.S. is "aware of reports" one of its citizens has been detained in Egypt

@highlight

A huge explosion strikes Cairo's police headquarters, damaging several floors

@highlight

More than 50 people also are wounded in the attack, state media report

@highlight

Smaller blasts follow in other areas of Cairo, wounding several people