(CNN) -- Muslims in Europe face discrimination in education, employment and religious freedom, an Amnesty International report said.

"Muslim women are being denied jobs and girls prevented from attending regular classes just because they wear traditional forms of dress, such as the headscarf. Men can be dismissed for wearing beards associated with Islam," said Marco Perolini, Amnesty International's expert on discrimination. "Rather than countering these prejudices, political parties and public officials are all too often pandering to them in their quest for votes."

The report, titled "Choice and Prejudice: Discrimination Against Muslims in Europe" and issued on Monday, details the problem, with a focus on Belgium, France, the Netherlands, Spain and Switzerland.

Amnesty International raised the issue, as it has done before, of restrictions "on the establishment of places of worship and prohibitions on full-face veils."

The report said employers have been permitted "to discriminate on the grounds that religious or cultural symbols will jar with clients or colleagues or that a clash exists with a company's corporate image or its 'neutrality.'

"Wearing religious and cultural symbols and dress is part of the right of freedom of expression. It is part of the right to freedom of religion or belief -- and these rights must be enjoyed by all faiths equally." Perolini said.

"While everyone has the right to express their cultural, traditional or religious background by wearing a specific form of dress, no one should be pressurized or coerced to do so," he said. "General bans on particular forms of dress that violate the rights of those freely choosing to dress in a particular way are not the way to do this."

There is legislation prohibiting employment discrimination in Belgium, France and the Netherlands, but "it has not been appropriately implemented," the report says.

European Union legislation "prohibiting discrimination on the ground of religion or belief in the area of employment seems to be toothless across Europe, as we observe a higher rate of unemployment among Muslims, and especially Muslim women of foreign origin," Perolini said.

The report said pupils haven't been allowed "to wear the headscarf or other religious and traditional dress at school in many countries including Spain, France, Belgium, Switzerland and the Netherlands."

"Any restriction on the wearing of religious and cultural symbols and dress in schools must be based on assessment of the needs in each individual case. General bans risk adversely (affecting) Muslims girls' access to education and violating their rights to freedom of expression and to manifest their beliefs." Perolini said.

The right to establish places of worship "is being restricted in some European countries, despite state obligations to protect, respect and fulfill this right," Amnesty International said.

For example, the Swiss Constitution "has specifically targeted Muslims with the prohibition of the construction of minarets," it said. Muslims in the Catalonian region of Spain must pray outdoors "because existing prayer rooms are too small to accommodate all the worshippers and requests to build mosques are being disputed as incompatible with the respect of Catalan traditions and culture."

"There is a groundswell of opinion in many European countries that Islam is all right and Muslims are OK so long as they are not too visible. This attitude is generating human rights violations and needs to be challenged," Perolini said.

Muslims from a wide range of ethnic backgrounds have migrated to or sought asylum in Europe over the decades and have "often acquired the citizenship of the country to which they or their relatives have migrated."

Negative and stereotypical attitudes have emerged over what has been seen as the "unwillingness by Muslims to integrate" or the intention to "impose values at odds with European identity," Amnesty said.

"At times, public opinion and political parties do not distinguish between practices clearly violating human rights, such as forced marriage, and other practices relating to the exercise of freedom of expression and religion or belief, such as the choice to wear a headscarf or others forms of religious and cultural symbols and dress." the report said.

After the September 11, 2001, attacks on the United States, "perceptions worsened" and "a rising level of hostility" unfolded. But the report said there also had been "negative views" before the attacks.

Citing 2010 statistics, the report said "Muslims made up less than 10 per cent of the population in any Western and Northern European country: 6 percent in Belgium, 7.5 percent in France, 5.5 percent in the Netherlands, 2.3 percent in Spain, 5.7 percent in Switzerland, 5 percent in Germany and 4.6 percent in the United Kingdom."

Almost half of the Muslim population in France and 55 percent of the Muslim population in Belgium hold national citizenship. In contrast, less than 1 percent in Switzerland hold Swiss citizenship.

The report says the study "does not imply that discrimination on grounds of religion or belief exclusively affects Muslims." It said Christian evangelicals in Catalonia also cited barriers "in establishing places of worship."

And, it said, "Jews are also still discriminated against in Europe and violent attacks perpetrated with an anti-Semitic bias remain a matter of concern."

@highlight

The report focuses on Belgium, France, the Netherlands, Spain and Switzerland

@highlight

Political parties "are all too often pandering" to political biases, the report says

@highlight

The September 11, 2001, attacks have contributed to hostility against Muslims

@highlight

Muslims make up less than 10 percent of the population in European countries