The first time you see this bizarre aircraft floating high above the horizon, you may be confused. It looks kind of like a giant, winged doughnut.

It's 35 feet wide, and inventors call it the BAT.

It's an unmanned, helium-filled, cylindrical blimp wrapped around three spinning blades that turn wind into electricity.

Can the BAT, which stands for buoyant airborne turbine, help bring life-saving electricity to an estimated 1 billion people in rural areas where power is unavailable?

Altaeros Energies, launched four years ago by a group of MIT grads, hopes so. The young company is competing with Google and other outfits trying to bring the first viable airborne wind turbine to market.

The sight of whirling wind turbine blades sitting atop towers has become common in states such as California and Texas and in Europe. But the BAT takes wind turbine technology to the next level, literally -- about 1,000 feet above the ground.

Towers are often too low to catch the best winds. By flying remote-controlled wind turbines where winds are stronger and more consistent, a lot more energy can be harvested, and it's clean energy from an endless source.

It's a dramatic idea that could change the course of countless lives around the planet. Suddenly, with airborne wind turbines, isolated communities in South American jungles or Alaskan islands could have easier, cheaper access to technology that most take for granted.

For those people, the cost of electric light and heat would plummet because fossil fuels for electric generators wouldn't have to be imported.

Electricity would be available to pump clean water from central wells, preventing waterborne diseases. Refrigeration would be possible in hot climates to keep food fresh and store life-saving prescription drugs.

Even cell phone communications might be possible in some places, if cellular repeaters could be integrated into the high-flying turbines.

Experts offer three reasons why airborne wind turbines might work for remote areas:

• They're portable.

• They're computer controlled, requiring no onboard pilots and few operators.

• No expensive infrastructure, such as electrical grids or power stations, is required.

So now, the race is on to figure out the best design for these aerial power generators.

Would it look like an airplane? Google-owned Makani Power in California is working on one.

Or would it look more like a winged blimp? A firm out of Canada called LTA Windpower is working on that idea.

Perhaps the answer will be a huge kite, such as they've got at Berlin-based EnerKite.

Or maybe the BAT will do the trick.

Altaeros and the Golden Valley Electric Association in Fairbanks, Alaska, are planning to partner on an 18-month test run, beginning sometime in 2015.

Electricity in some remote parts of Alaska can cost more than four times the U.S. average of 13.4 cents per kilowatt hour. That's because many Alaskan communities are far from electrical power grids -- the infrastructure networks that connect electricity to consumers. Without a grid, the cost of hauling in fossil fuels to run electric generators is huge.

"In Alaska, we have a very small electrical grid," said Golden Valley systems manager Paul Morgan. "When people live away from that, they generate their own power in all these villages, and that's pretty expensive."

The BAT, Altaeros says, is portable enough to pack into two small shipping containers. It can be set up without heavy machinery in about a day. The thing flies via its helium-filled doughnut-shaped body. It's connected to the ground at all times by strong tethers, which carry electricity to a portable ground station.

The tethers also are connected to a computer-controlled automated system that optimizes the BAT's height, based on changing winds. During operation, no crew is required, Altaeros says. It can be monitored remotely and maintained with periodic on-site inspections.

The ground station can be connected to a power grid, or a local micro-grid, or customer equipment, Altaeros says.

Each BAT can crank out enough power for 12 homes, the company says.

During dangerous weather, the BAT is designed to reel itself down to the ground. Its spinning blades don't pose a significant threat to birds and bats, Altaeros says, because critters don't usually fly as high as the turbines.

And what about nearby airplanes? Existing federal rules allow the BAT to fly nearly 2,000 feet high, below most flight patterns. The turbines include safety lights and locator beacons to warn passing aircraft.

Here's a brief look at the BAT's competitors:

Google's Makani turbine

The Makani Turbine got its name from the Hawaiian word for wind.

This turbine differs from the BAT because it flies more like an airplane. The plane has propellers on its wing and launches from a nearby ground station tower. While tethered to the tower, the Makani continuously circles in a vertical loop while it generates electricity. When it's finished, the Makani flies itself back to the tower.

Development of the Makani started with inflatable fabric kites. But five years ago, engineers switched to a more reliable rigid airframe made from lightweight carbon fiber.

The commercial turbine now under development has the wingspan of an airliner and the weight of a Mini Cooper, and it can withstand the G-forces of a fighter jet, Makani says.

The kite

Germany's EnerKite, founded in 2010, is developing a wind turbine that flies on a kite.

"It will be a mono-wing, like a kite rather than an airplane," said co-founder and CEO Alexander Bormann. The design calls for the kite to be controlled by a bridle and connected by tethers to a ground station.

Bormann says he expects to begin product sales in 2016.

The PowerShip

In Ontario, LTA Windpower's PowerShip concept is basically a blimp with wings and two spinning propellers. What sets this idea apart is the type of buoyant gas that would allow it to fly: hydrogen.

Company founder and CEO Nykolai Bilaniuk acknowledges that using hydrogen, which is more flammable than helium, "is potentially dangerous." However, he said, "we have to decide what would be sufficient to mitigate the risk."

A specially designed envelope surrounding the hydrogen would protect the gas from igniting. Also, Bilaniuk says that hydrogen is cheaper than helium and can be created on-site.

"You can electrolyze water using some of your own electrical output from the generator," he said.

It's possible that all of these technologies may eventually find a place in the growing wind turbine landscape. If the concept of flying wind turbines fulfills its promise, by the end of the decade innovators may transform this big idea into reality while ushering some of the world's most isolated communities into the 21st century.

@highlight

Engineers race to develop unmanned flying machine that turns wind to electricity

@highlight

Altaeros Energies' helium-filled BAT may start Alaska field tests in 2015

@highlight

Google's Makani Turbine uses an airplane-like design

@highlight

Worldwide, an estimated 1 billion rural residents have no access to electricity