WASHINGTON (CNN) -- America's top commander in Afghanistan warns that more troops are needed there within the next year or the nearly 8-year-old war "will likely result in failure," according to a copy of a 66-page document obtained by The Washington Post.

Gen. Stanley McChrystal, right, arrives at a U.S. base in Logar Province, Afghanistan, last month.

"Failure to gain the initiative and reverse insurgent momentum in the near-term (next 12 months) -- while Afghan security capacity matures -- risks an outcome where defeating the insurgency is no longer possible," U.S. and NATO commander Gen. Stanley McChrystal said in the document, according to the Post.

Bob Woodward of the Post -- who wrote the article -- called it "a striking thing for a general to say to the secretary of defense and the commander-in-chief."

McChrystal "really takes his finger and puts it in their eye, 'Deliver or this won't work,'" Woodward told CNN's "American Morning" on Monday. "He says if they don't endorse this full counterinsurgency strategy, don't even give me the troops because it won't work."

The document was "leaked" to the newspaper, but parts were omitted after consultations between the newspaper and the Department of Defense, Pentagon spokesman Geoff Morrell said.

"While we would have much preferred none of this be made public at this time, we appreciate the paper's willingness to edit out those passages, which would likely have endangered personnel and operations in Afghanistan," Morrell said in a statement.

President Obama is considering the assessment of troop levels completed by McChrystal over the summer, however, a review of U.S. strategy in Afghanistan won't be driven "by the politics of the moment," Obama said on Sunday.

"Every time I sign an order, you know, I'm answerable to the parents of those young men and women who I'm sending over there, and I want to make sure that it's for the right reason," Obama told CNN's "State of the Union."

The president put off questions about whether additional troops would be needed, saying, "I don't want to put the resource question before the strategy question." But he said Afghans need to show that they are "willing to make the commitment to build their capacity to secure their own country."

The United States now has about 62,000 U.S. troops in Afghanistan, with NATO and other allies contributing about 35,000 more. The Pentagon is planning to add 6,000 troops by year's end, and some members of Congress say McChrystal soon will call for thousands more.

The fighting has ramped up sharply in the past year as U.S. troops and a NATO-dominated coalition battle a resurgence of the Taliban, the al Qaeda-allied Islamic militia that ruled most of Afghanistan before the attacks. Washington poured an additional 21,000 troops into Afghanistan to provide security for its recent presidential election, which has been marred by allegations of fraud.

In August, 48 U.S. troops were killed in the fighting, surpassing the previous high of 45 in July. And the war has spread into Pakistan, where Taliban fighters are now battling government troops in that nuclear-armed country.

Obama said he has ordered "a soup-to-nuts re-evaluation" of the U.S. strategy, refocusing "on what our original goal was, which was to get al Qaeda, the people who killed 3,000 Americans" in the September 11, 2001, terrorist attacks.  Watch Obama's views on the Afghan war »

"To the extent that our strategy in Afghanistan is serving that goal, then we're on the right track," he said. "If it starts drifting away from that goal, then we may have a problem."

But support for the Afghan war hit an all-time low in a CNN/Opinion Research Corp. poll released last week. That survey found 39 percent still favor the war, compared with 58 percent who oppose it -- making it almost as unpopular as the Iraq war has become in recent years. And calls for more troops could be a tough sell in Congress.

Sen. Carl Levin, the Democratic chairman of the Senate Armed Services Committee, has argued that the allies should bolster Afghan forces before sending in more troops of their own.  Watch what Levin has to say about Afghanistan »

"If we can get the Afghan army much larger, much better equipped, and if we can also get a plan, finally, for co-opting or reintegrating those lower-level Taliban people the way we did in Iraq -- if we can get that in motion -- that hopefully will have an effect on how many additional troops we need to go to Afghanistan," Levin told CNN on Sunday.

Leading Republicans have called for McChrystal and Gen. David Petraeus, the U.S. commander in the Middle East and Central Asia, to testify publicly about their recommendations. Senate Minority Leader Mitch McConnell, R-Kentucky, told CNN that it was time for lawmakers to hear what McChrystal has to say.

"We would like to see Gen. McChrystal and Gen. Petraeus come up to Congress, like they did during the Iraq surge and give us the information about what they're recommending," McConnell said. "We think the time for decision is now." But he added that if more troops were needed, "I think the president will enjoy a lot of support among Senate Republicans."

Sen. Lindsey Graham, another Republican on the Armed Services Committee, said a decision on additional troops needs to be made soon.

"I've been told Gen. McChrystal's ready to hit the send button in terms of how many more troops he needs, and the longer we wait the harder it is," said Graham, of South Carolina.

Levin said hearings would be held "when we have a recommendation that is made to the president, and when the president makes his decision."

@highlight

NEW: General puts heat on president, secretary of defense

@highlight

U.S. commander in Afghanistan says more troops needed or war could be lost

@highlight

U.S. has 62,000 U.S. troops in Afghanistan; other allies contribute 35,000 more

@highlight

Support for Afghan war hit all-time low in opinion poll released last week