CNN Senior Producer Sasha Johnson traveled to Coaldale, Pennsylvania, to talk to voters, including some members of her extended family, about how a typical small town like Coaldale might vote in 2008 and what issues are on their minds.

Coaldale Mayor Claire Remington and her husband, Otis, talk politics in their kitchen

COALDALE, Pennsylvania (CNN) -- Coaldale is a borough of 2,200, nestled in the anthracite-rich mountains in the northeastern part of Pennsylvania.

It's exactly the type of place Sen. Barack Obama referenced last week when he said some Pennsylvanians were "bitter" over their poor economic situation.

Obama said he regretted the word choice but continued to argue that some voters feel desperate.

After spending a day talking with Coaldale voters, it seems to me the anger Obama described in his now controversial comments might not have been too far off the mark.

"It's time for the politicians to come down to our level," said Ruth Weiss during the lunch hour at Tommy's, Coaldale's only casual eatery among a row of shuttered shops and next to a 60-year-old movie theater that has survived.

"People can't afford food. I'm paying for oil for the restaurant out of my own Social Security check."

Ruth and her husband, Tommy, describe their small pizza and sub restaurant on East Phillips Street as a "country store," a place where the regulars can gather to talk, share a meal or -- as is the case lately -- sip a cup of coffee.

"This is my business, but people can't afford it," said Ruth. She detailed the myriad of problems she and others are facing -- rising gas prices, increased taxes, out of control food and prescription costs. It is no wonder, she said, people can't afford lunch or dinner at the restaurant they've owned for 25 years.

Coaldale's history

I did not find Coaldale's quiet streets by accident. My Russian Orthodox grandmother was born here and some family still lives in and around the house on Fisher Avenue where she and her nine siblings grew up while their father worked the mines.

Coaldale, like many other small Pennsylvania communities, has seen better times. Back in the 1930s, when the surrounding hills were bustling with anthracite mining, around 7,000 people lived here.

By the 1950s, the mines were closing. In the 30 years that followed, the garment factories in and around town shut down.

Today, many of Coaldale's residents are elderly and on fixed incomes. The cost of living is low, so there is the occasional new neighbor, but the shrinking population and tough economic times could force the closure of several churches, forcing people to worship elsewhere.

Without a grocery store or a single stoplight, my great-uncle John Zenzel frequently jokes, "Coaldale is more boring than Mayberry."

Coaldale and the '08 election

Claire Remington, Coaldale's mayor since 2001 and lifelong resident, said her constituents are "tightlipped" about who will get their vote in the primary. On a drive through town, only a "Ron Paul for President" yard sign could be found.

Remington says the town is roughly split between Democrats and Republicans, a change from past elections.

Historically, Coaldale -- like Schuylkill County at-large -- has leaned Republican.

This election season, however, the county has mirrored trends across the state -- more voters switching to the Democratic Party and more new voters registering as Democrats.

"I'm a die-hard Republican, but I have to say this year things are going to be a little different for me," said Remington, who is part of the town's tight-knit Russian Orthodox community. "The party is going to be upset with me, but I feel that we need a change."

At this point Remington plans to cast a write-in vote for Obama in the primary. She joins her husband, Otis, in supporting Obama.

"This time around I'm dead set against voting for Hillary Clinton," said Otis, a longtime Democrat and retired Navy reservist. "As far as Barack goes, he's young, he's inexperienced, he's new, but I think given a chance he could be a good president."

Claire said she is reluctant to advertise her support for Obama in the form of a yard sign because she fears her neighbors would think she is supporting him because Otis is African-American. Claire is white.

The two conceded race is an underlying factor in voters' decisions, and both cited the state's rainbow of immigrant ethnic groups and Gov. Ed Rendell's comment that an African-American might have trouble winning statewide.

"I do think he's right," she said. "I hope he's wrong, though."

Both Otis and Claire describe a visceral reaction to Clinton. They say they can't shake the memories of Whitewater or the belief that President Bill Clinton could have done more for the military during his time in the White House.

Back down the hill at Tommy's, Ruth and Tommy Weiss will gladly cast their primary ballot for Clinton. Tommy says Obama is an unknown and believes Clinton will be a "good start, although we don't expect her to do everything."

They are both comforted by the fact that Bill Clinton would play some role in his wife's administration -- but they want her to have the final say.

"She'll hold him at bay when she needs to," said Tommy. Neither of the Weisses could say for sure they would vote for Obama if he were their party's nominee in November.

John Zenzel, a World War II Navy veteran, has been waiting "a long time" to vote for Clinton. He believes she deserves "another chance" to revamp health care, something he is banking on as his yearly health insurance costs approach $3,000.

Zenzel, 82, still lives in the house where he was born and raised. As the April 22 primary approaches, he is not banking on any of the candidates paying a visit to his sleepy town but that doesn't diminish his excitement or hope that a new president will ease the daily hardships that he and his neighbors face.

The last time Zenzel remembers a White House aspirant coming anywhere near the borough was in 1960 when John F. Kennedy drove through nearby Hometown and Tamaqua. Zenzel remembers waiting on the street and jumping through the crowd to shake Kennedy's hand. E-mail to a friend

@highlight

Coaldale is the type of town Barack Obama described last week

@highlight

Obama offended some by saying small-town Pennsylvanians were "bitter"

@highlight

Coaldale faces shrinking population, tough economic times

@highlight

Local residents give a glimpse into the minds of small-town voters