(CNN) -- On Tuesday, 47 Republican senators voted against a measure that would have allowed the Paycheck Fairness Act to go to a vote in the Senate. Why not let the bill go to a full vote? The Republican Party didn't want to confront the fact that by opposing the Paycheck Fairness Act, it stands against the interests of hard-working women across the country.

The Paycheck Fairness Act shouldn't be a partisan issue, and few stories make this clearer than that of my client Terri Kelly. Kelly, a married mother of three boys in Memphis, was born and raised in Mayfield, Kentucky. Her parents live in the same home in which she was raised, and her brother is the pastor of the church she attended as a child.

By her own description, she typically finds her opinions aligning most closely with the Republican Party. Nonetheless, Kelly traveled to Washington last week to testify before Congress in support of the Paycheck Fairness Act.

At the hearing, Kelly explained that she discovered the pay discrimination only because her husband happened to work the same job for the same company at the same time. Month after month, his paychecks were consistently higher. Over the nine years they both worked at the company, Kelly's husband made about $65,000 more.

Performance wasn't to blame; Kelly and her husband were both excellent performers, with Kelly outranking him significantly in his last few years. A lack of drive or commitment wasn't to blame; Kelly frequently won regional and national awards.

Although my firm was able to prove that Kelly -- along with a class of thousands of other women -- were underpaid in a discriminatory way, winning that case took almost seven years, with more than 60 lawyers and staff working about 37,000 hours and spending more than $2 million in out-of-pocket expenses.

At the trial, Kelly was the only witness able to provide direct knowledge of pay discrimination; none of the other victims had been lucky enough to see another man's paycheck for the same job.

As Kelly testified, "We can't hope that the stars align and that those lucky moments fall in place for every woman in America." Instead, the Paycheck Fairness Act puts more of the power back into the hands of employees by making it easier for employees to share information about what they are being paid and to fight unfair pay practices together.

Without it, women will continue to work in environments where they hope -- but don't know -- that they are being paid fairly. The women I represent frequently are unsure whether they are being underpaid; there may be hints but little proof before it's fully discovered in expensive and public litigation.

The lack of transparency and accountability surrounding compensation continually confounds working women. One client went so far as to brag she made as much or more than the men in her department based on her salary negotiations.

While her base salary was strong, what she didn't know was that her employer paid men so much more in routine "bonuses" that her net compensation was thousands less each year. In another case, a witness for a defendant learned that -- even as she testified the company was a good place for women to work -- that same employer was intentionally underpaying her. We discovered these facts only because of documents produced to us by the employers as a part of litigation.

No matter how good you are at your job, how sure you may be that you've negotiated a fair compensation package, or how much you believe in your employer, if you are a woman, it is possible that you are being seriously underpaid. And systemic underpayment of women hurts us all. If women were paid fairly, poverty rates could fall by more than half, and the country's GDP could increase by as much as 9%.

No company should fear the truth about their own pay practices if they are doing the right thing, and the Republican Party should not protect corporate profit margins at the expense of American families. If working women and men across this country want to see fairness returned to the American workplace, they should reach out to their elected officials and put pressure on them to support the Paycheck Fairness Act. If that doesn't work, they should elect candidates who will.

The opinions expressed in this commentary are solely those of Kate Kimpel.

@highlight

Kate Kimpel: GOP senators stopped Paycheck Fairness Act, a blow for working women

@highlight

Act is not a partisan issue; she says. GOP and Democratic women support it

@highlight

Kimpel: Women, minorities have no way of knowing if they make less than white males

@highlight

Fairness Act would make it more transparent and eliminate barriers to finding out, she says