(CNN) -- Five hundred years ago as the Spanish and Portuguese empires were carving up the Western hemisphere into colonial spheres, Europe's imperial competition in the Indian Ocean was equally intense.

As the first to navigate around Africa's southern cape in the late 15th century, Portugal landed upon India and beyond to Southeast Asia, establishing forts, outposts and colonies alongside the Arabian Sea coastal Indian kingdoms of Calicut, Kochi, Goa and Kannur, quickly wresting control of the lucrative Euro-Asian spice trade routes from the Venetians and Ottomans.

Ceylon, as the island of Sri Lanka was known under Portuguese rule, became a crucial trading hub for cinnamon, cardamom, black pepper and gems through agreements with the Kingdom of Kotte, near present-day Colombo.

But after Portugal's economic collapse in the 1620s, the Dutch East India Company took advantage of an invitation from the ruler of the Kingdom of Kandy to oust the Portuguese. But rather than return Portuguese forts to local control, the Dutch deepened and expanded their colonial rule of the island. When England took over Dutch colonies during the Napoleonic Wars, Sri Lanka became a British colony until independence in 1948.

A half-millennium since the Portuguese arrived in South Asia, the Indian Ocean is once again the center of global maritime trade, and a rising global power, China, is underwriting the modernization of Sri Lanka's ports for its gargantuan export volumes. China's so-called "string of pearls" strategy has been to develop maritime access points along the Indian Ocean from Myanmar and Bangladesh to Sri Lanka and Pakistan.

One has to wonder: Is Sri Lanka's location in the saddle of the "new maritime Silk Road" arcing from the Persian Gulf to the Straits of Malacca a blessing or a curse?

Trans-shipment hub

If China is the new Portugal or Holland, it covets Sri Lanka for its geography, not its cinnamon.

The island represents an ideal trans-shipment hub for Chinese goods branching off to Africa, the Arab states of the Gulf Cooperation Council such as Saudi Arabia, India -- and of course: Iran.

In a world of maritime geopolitics, countries such as Oman and Sri Lanka emerge as strategic players whereas in the Cold War they were sideshows.

In this context, President Mahinda Rajapaksa, like Pakistan's former President Pervez Musharraf or other Asian strongmen, knows how to "multi-align," wooing outside powers and playing them off each other to minimize pressure on his regime for greater accountability.

America now views Sri Lanka as increasingly strategic -- mostly because China does.

The paradox of such competition is that it is precisely in the countries viewed as most strategic by multiple powers that one can least impose one's values.

Rajapaksa's regime is the new Kingdom of Kandy, inviting foreigners but attempting to control their influence.

British involvement

Former colonial master Britain is a perfect example. Against domestic opposition, British Prime Minister David Cameron attended the November 2013 Commonwealth summit in Colombo, where he made statements about human rights and even visited a Tamil refugee camp in the northern Jaffna peninsula.

The trip contained staggering ironies. First, much of the funding for the Tamil Tigers has come from the diaspora in Britain, thus fueling and prolonging the very civil war whose brutality Cameron went to criticize.

Furthermore, Cameron has recently presided over an increase in arms sales to the Rajapaksa government, including assault machine guns, pistols and ammunition, ostensibly intended for counter-piracy. But that is small change.

Just one week before Cameron's visit, Sri Lanka signed $1.3 billion worth of investment projects with China, mainly to build Colombo's new 700-acre large port on reclaimed land in exchange for a 99-year lease on 100 hectares of land to China Communications Construction Company Ltd.

China already built the port in the southern city of Hambantota -- which had been devastated by the 2004 tsunami originating near Indonesia -- and named it after President Rajapaksa himself. As with Pakistan, China appears to be Sri Lanka's best friend as well -- for now.

Human rights

Driving alongside the site of Colombo's future port, you encounter the towering, austere Buddhist stupa erected on the site of an old Anglican church, a warning to outsiders sailing in that Sri Lanka is a confident, sovereign nation. Indeed, Sri Lanka and Myanmar have remarkable similarities as former British colonies overcoming decades of civil war through militant Buddhist regimes.

Just as Myanmar's military is fighting aggressively to subdue its many ethnic tribes on the country's strategic borders, Sri Lanka continues a ruthless occupation and crackdown in the country's Tamil populated north, with continued widespread human rights violations.

Sri Lanka's civil war was much more an ethnic than religious conflict, and while minority Tamils still face difficulty getting jobs against the dominant Sinhalese, the overall security improvement means a rapidly growing economic pie (Sri Lanka's growth rate is holding steady at 7%).

More than a few Colombo natives of various backgrounds echoed relief that the government had finally dealt with the security situation "by the roots," code for thoroughly and decisively.

Like the government itself, they prefer freedom to self-criticism. Even villagers outside Colombo, who used to pack up and sleep in the nearby jungle to avoid attacks by the Liberation Tigers of Tamil Eelam (LTTE), can now rest peacefully at home.

Like Yangon, post-civil war Colombo is undergoing a genuine architectural and cultural renaissance.

Colombo renaissance

Beautifully conserved Dutch and British colonial buildings and officers' homes are being restored into hotels, restaurants and shops. Manicured laws and gardens and brimming with children at play, traditional weddings are held at the Geoffrey Bawa designed Meditation Temple along the old Dutch canal.

The Fort area, once fenced off due to the constant LTTE attacks and suicide bombings, is now buzzing with yuppies of all persuasions. As in Yangon, mosques, churches and temples now thrive side-by-side.

It is not only the ports that are getting a big boost from China, but most of the country's highways and roads as well.

Even in a small country, there are few investments as significant to creating jobs and spreading growth and mobility as basic infrastructure.

The travel time between any two cities in Sri Lanka has been cut by more than half, making it possible for visitors to explore more of the country in a single trip.

The Buddhist monuments and caves of the "Cultural Triangle" along with the Wilpattu National Park and Alankude beaches (to which whale and dolphin watchers flock) represent a central and northwestern arc, while southern routes take one to the bustling second city of Galle, the nearby rustic seaside town of Unawatuna and Yala National Park, teeming with elephants and leopards.

Among the fastest growing excursions combine luscious jungle drives and stays at luxurious resorts in manicured tea plantations, the tea-lovers equivalent of a southern France vineyard tour.

Sri Lanka's strategy is to leverage Chinese and other investment to boost its own industries such as tourism, but also its main exports: textiles, garments and tea. But will it succeed in leveraging great power machinations for its own -- rather than foreign -- enrichment?

After all, it wasn't just European colonizers who subjugated Sri Lanka's historical kingdoms. In 1411 -- almost a century before Portugal's arrival to the region -- Kotte kingdom ruler Alakeshvara refused to pay tribute and pledge obeisance to a visiting maritime force. As punishment, Kotte was sacked and Alakashvara and his family were shackled and sent off to bow before the emperor.

The sailors were Zheng He and the 30,000 troops of his "treasure ships," and the emperor was Yongle of Ming dynasty China.

Read more: 5 ways to experience Sri Lanka

Read more: Are Sri Lanka's 'anti-terror' arrests an attempt to intimidate activists

The views expressed in this commentary are solely those of Parag Khanna.

@highlight

Under Portuguese rule in the 15th Century Sri Lanka became a crucial trading hub

@highlight

Parag Khanna says it is again the center of maritime trade and a rising power

@highlight

Sri Lanka is using its strategic importance to minimize pressure for accountability, he says

@highlight

Chinese investment is boosting Sri Lanka's basis infrastructure, Khanna says