(CNN) -- Like many people in the media and political world, I first heard from Twitter the news that Mitt Romney had chosen Paul Ryan as his running mate. The information appeared between 11 p.m. and midnight on a Friday night. The alert was quickly confirmed by multiple news sources on my Twitter feed: TV networks, newspapers, wire services. Like many journalists, I stayed up late that night to write about the decision, filing copy over the next three hours. I was so weary the next morning that I very nearly slept through the broadcast of the actual announcement event in Norfolk, Virginia.

I didn't, quite. And so it was a little less than 12 hours after the breaking of this important political story that I first switched on my TV.

Things move fast in the modern world, so let's cut straight to the point: Cable TV is no longer the place where news breaks, and has not been so for years. Social media have done to cable TV news what cable news, in its day, did to the afternoon editions of big-city papers: shouldered aside its slower and less adaptable predecessor.

In this new world, the distinction between reporters and sources, between media and everybody else, begins to fade away. The correspondent who calls an expert for analysis may find himself on hold while the expert posts her thoughts to her blog for all the world to read. For more than a century, journalists have mediated between knowledge-holders and information consumers. But the Internet is bringing producers and consumers ever more directly into contact, whether the product is steel girders, home mortgages, or breaking news.

What cable news does do, unrivaled, is broadcast images of events to a large global audience. When there's a crowd protesting in Tahrir Square -- or a wildfire raging in southern California -- viewers still turn to cable. Yet how often do such events occur? And how much longer will even that advantage hold? In a world of camera phones, everybody becomes a video journalist. Our images of the violence in Syria all come from locals -- and are available to any media organization that will buy or barter for them.

So what should cable do in such a news environment?

Three things:

1) Accept that the days of "the news is the star" are over. Generic news moves too fast for cable. Nobody will tune to a cable news network unless there is a very compelling reason to tune to that specific network at that particular time. There's only one such reason: "People like to watch the people they like to watch." Everything else is just filler. Like it or not, TV is for personality, not only for information.

2) Go upmarket. Cable news is inescapably a niche market. There are 311 million people in the United States. Even at peak hours, 306 million of them are not watching cable news. At nonpeak hours, 309 million of them are not watching cable news. The 2 million- to 5 million-person cable news audience is made up of unusually smart and curious people, and they should be served appropriate content. The people who can be reached by "dumbing down" TV have already been successfully reached by the Kardashian family.

3) Go deep and long. "'Time, time,' said old King Tut, 'is something I ain't got anything but.'" That funny little poem by Don Marquis also aptly describes cable news. It's got acres and acres of time to fill, 52 minutes an hour, 24 hours a day, seven days a week. As it is, cable news treats that time as a problem to be overcome with sound and visual effects intended to create a feeling (almost always false) of immediacy and urgency. Those effects long ago lost their credibility.

Meanwhile, every day on YouTube some amateur documentarian shows that video can be used to convey ideas and information in interesting and entertaining ways. See the TED lectures, and the Big Think series, and the contrasting videos produced by Paul Ryan for the House budget committee and Austan Goolsbee for the Obama White House. The website SecondDraft.org uses video to correct deceptive reports from the Middle East. The Academy Award-winning documentary "Inside Job" effectively used video to unpack the 2008 financial crisis for a general audience.

Cable TV relishes the confrontation interview. But the public figures that TV wants to interview usually have the poise and practice to sidestep such confrontations. Longer and less confrontational interviews -- such as those Brian Lamb used to do for C-SPAN -- reveal much more than cable TV's mostly misfired attempts at gotcha moments.

In their business-book classic "Barbarians at the Gate," authors Bryan Burrough and John Helyar quote a lament for the Nabisco company. "Some genius invented the Oreo cookie. We're just living off the inheritance." As tough as it is to found a great industry or great company, it is -- in its own way -- even tougher to adapt that industry or company to a new era. It can be done. It has to be done.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says he heard about Paul Ryan pick on Twitter, didn't switch on TV for many hours

@highlight

He says cable no longer has corner on breaking news; social media scooping it more and more

@highlight

He says cable news must face new reality, get more personality-driven, seek upmarket niche

@highlight

Frum: Cable should skip fancy effects, go deep and long in reports, find new relevance