Rep. Paul Ryan concludes that 50 years after President Lyndon Johnson launched the War on Poverty, a pathway out of poverty has become a patchwork of bureaucratic challenges.

The Wisconsin Republican has zeroed in on the subject in a comprehensive analysis that points to repetition and inefficiencies in federal poverty programs.

Ryan, chairman of the House Budget Committee and a possible 2016 presidential candidate, released the 204-page report one day before President Barack Obama was due to unveil his budget blueprint for the next fiscal year.

Read the report

Obama aims to ignite a conversation about federal safety net spending. Fifteen percent of Americans, nearly 50 million people, live in poverty.

Ryan's report questions the size and scope of the government's effort to tackle poverty.  It says 92 federal programs geared for low-income people cost $799 billion per year.

"For too long, we have measured compassion by how much we spend instead of how many people get out of poverty," Ryan wrote said in a statement. "We need to take a hard look at what the federal government is doing and ask, 'Is this working?'"

Considered a Republican policy visionary, the 2012 GOP vice presidential nominee released the report amid a listening and learning tour of low-income neighborhoods that began 18 months ago after President Barack Obama was reelected.

Ryan toured struggling neighborhoods with Bob Woodson, the head of the Center for Neighborhood Enterprise, an organization that works with disenfranchised people.

In an interview with CNN in December, Woodson applauded Ryan's efforts because before he could write policy, he "needs to understand what the needs are."

The political war on poverty

Ryan's report is highly critical of many of the programs, saying they contribute to the "poverty trap."

Because "benefits decline as recipients make more money - poor families face very high implicit marginal tax rates. The federal government effectively discourages them from making more money," the report says.

It does not detail any solutions or alternatives; it identifies the programs, their cost and cites reports and studies on each program, with many concluding that the programs due more harm than good.

For instance, in his analysis of the Social Security Insurance program for disabled, Ryan points to a report that says: "At age 18, approximately two-thirds of beneficiaries remain on adult SSI benefits."

But not all of the reports he cites give negative reviews.

For instance, Ryan cited numerous reports analyzing assistance for low-income families for child care found the program was effective in helping women enter the work force or enroll in education or job training programs.

Paul Ryan welcomes Pope's welfare debate

"This report will help start the conversation. It shows that some programs work; others don't. And for many of them, we just don't know," Ryan said.

The report comes as Obama has amplified the issue of the growing wage gap between the rich and the poor, making income inequality a signature theme for this year that includes lifting the minimum wage.

Ryan, who is a vocal advocate of a smaller government, has already met intense skepticism.

The Democratic National Committee quickly pounced.

This report is just a rehash of a failed economic agenda that Americans keep rejecting," DNC spokesman Michael Czin said in a statement. "Republicans just don't get it.  Their plan is to block a minimum wage increase, cut access to higher education, slash early childhood programs, voucherize Medicare and shred the social safety net â€” a safety net that lifted 45 million Americans out of poverty in 2012 alone."

When he proposed reforms to Social Security, Medicare and Medicaid in 2010, he took immediate flak from Obama and Democrats who said he wanted to dismantle the big-ticket entitlements.

The report was laced with partisan political ideas. For instance, it identified "the breakdown of family" as a main cause of poverty - a common Republican talking point that rankles Democrats.

Dr. Mariana Chilton, director of the Center of Hunger Free Communities and associate professor at Drexel University, said she is pleased Ryan "ignites a new conversation" about poverty.

But she said that some of the evidence he cites in his report, especially regarding food stamps and other nutrition assistance programs, is selective and incomplete.

"It would get an 'F' in my master's classes," she said.

Since the presidential election when Mitt Romney came under fire for his "47%" comments, saying nearly half of all Americans think the government should provide for them, some high profile Republicans have tried to take up the mantle of poverty reduction.

Arthur Brooks, president of the American Enterprise conservative think tank who has worked with Paul on the issue of poverty, said the congressman's involvement in the issue "really signals that this is a priority for conservative politicians today."

Kentucky Sen. Rand Paul, a Kentucky Republican, has proposed "economic freedom zones" and traveled to struggling cities to talk about them. Even Sen. Marco Rubio, a Florida Republican, unveiled an anti-poverty agenda in early January.

Rand Paul fights for felon voting rights

"The truth is, that by any estimation, things have gotten worse for poor people. It's appropriate for the (Republican) opposition to say, 'what do we have that's better?'" Brooks said.

Ryan is expected to continue the conversation and will likely have "more to say in this area" later this year, an aide said.

@highlight

Rep. Paul Ryan releases a report that analyzes 92 government programs for low-income people

@highlight

He says the government's War on Poverty cost $799 billion in 2012

@highlight

Ryan has taken up the mantle of poverty in the past year

@highlight

The report comes one day before President Obama releases his budget