Hong Kong (CNN) -- As thousands of traumatized typhoon survivors struggled to escape the stricken city of Tacloban, Gina Ladrera was desperate to get back in.

It had been five days since Super Typhoon Haiyan slammed into the Philippines coast, obliterating everything in its path.

And five days since she'd last heard from her family: husband Pedro Ladrera Jr., and their two children, 10-year-old daughter Kyra and 11-year-old son Kim.

For the 39-year-old domestic worker living in Hong Kong, the silence was too much to bear. She had to go back home to find them. And miraculously, she did.

READ MORE: Mother's grief as Haiyan aid flows

Leaving Hong Kong

CNN first spoke to Ladrera on Tuesday evening, four days after the typhoon. She was packing for the flight from Hong Kong to Cebu. From there she hoped to fly to Tacloban City, then somehow travel more than 10 miles (17 kilometers) south to her hometown of Tanauan, a city of around 50,000 people.

Ladrera's voice broke as she recalled the last time she spoke with her husband, the previous Thursday, hours before screaming winds sent a wall of water slamming into the coast.

"He told me, 'don't worry, they can manage, my two kids.' It was the last words for me: 'Don't worry, I can manage my kids.' That was the last thing he told to me," she said, bursting into tears.

The Ladreras are used to separation. Gina has been working in Hong Kong for more than two years, sending money to her 39-year-old husband, Pedro, a security guard, to help him provide for their children.

Asked to describe them, Ladrera says Kyra is "very clever," before adding in a stilted, tearful laugh, Kim is "very lazy to do his homework, he likes to play."

VIDEO: Haiyan's path of destruction

Ladrera is one of hundreds of thousands of domestic workers who leave the Philippines to earn money abroad. In the days after the storm, she feared Haiyan may have separated her family forever.

"I asked them to evacuate in another place or another house but (my husband) didn't know the typhoon was very worse. I don't know if they evacuated," she said. "I can't talk to them."

For hours after the storm hit, she tried calling her husband and daughter's mobile phones. There was no answer. By Friday afternoon, there wasn't even a signal.

She hadn't heard from neighbors, or anyone who knew them. Days later, the Philippine Consulate in Hong Kong had no record of their whereabouts.

With the help of her Hong Kong employers, Ladrera packed a large backpack with food, water, a tent and sleeping bag and left for a place described by survivors as "worse than hell."

Returning to Tacloban

Ladrera flew from Hong Kong to Cebu on Wednesday morning with a friend, Rita Ladenia, a fellow domestic worker from Hong Kong who was also frantic with worry about her husband and five-year-old son. Ladenia had heard her family was alive but needed to find out for sure.

Once in Cebu, the women immediately booked tickets to fly to Tacloban the following morning.

Ladrera said she was nervous, scared and worried about having her bag stolen by starving survivors desperate for rations. She wasn't sure how long she'd stay or what she'd find.

Ladrera planned to meet her friend's husband at the airport who would take her by motorbike to her family's home, where she hoped to find them safe and well. For whatever reason, that plan didn't work.

Losing contact

After the typhoon, mobile signals were sporadic at best in Tacloban, a city splintered by the force of Haiyan, which smashed into the coast on Friday, November 8, bringing a storm surge that caught many locals by surprise.

Ladrera had a local mobile but repeated calls to the number were met with the message: "The subscriber cannot be reached. Please try again later."

Her friend Ladenia, who was reunited with her husband at the airport, sent a message to friends in Hong Kong that Ladrera had left the airport with a film crew from GMA-7, a Filipino news channel. A GMA-7 producer told CNN they had spoken to her at the airport, but said when they returned later to pick her up for the trip to her home town she was gone.

There was no sign of her on Friday, one week after the typhoon, and no way to tell her the news she'd been so desperate to hear, that her husband and children had survived the storm and were safe.

"We had an agreement with Gina that if she gets in her place she was going to call me back. I'm also worried about her. I've not heard from her," Ladenia said on Friday.

It wasn't until Saturday that word came through that Gina had made it to Tanauan and had been reunited with her family. She sent a text message to her friend -- all were safe.

READ MORE: Survivors question faith

'I'm so blessed because I found them'

Only later did it emerge the lengths Ladrera had gone to to get home, and her family's astonishing story of survival as the storm lashed their house, and all but flattened the entire town.

From Tacloban Airport, Ladrera begged for a ride from the Philippines military aboard a truck to Palo. From there, she rode with police to her home town of Tanauan.

Everything was gone.

But amid the debris, was her family, sheltering in a makeshift hut her husband made from what he could salvage from the remains of their house.

"They were very shocked. They didn't expect to see me. They were crying tears of joy, and then also my children, they didn't know what they're feeling. I'm so blessed because I found them," she said.

Her husband, two children and parents-in-law had survived by clinging onto electrical wiring on the rooftop for four hours until the storm passed, she said.

They were bruised and scratched by flying debris; minor injuries compared with the devastation around them.

Neighbors gave them dry clothes, and a day later someone handed them rice and water. When Ladrera arrived home, there was no food left. She gave them what she had in her backpack then set about getting them out.

They returned to Tacloban and on Sunday night caught a flight to Cebu. From there they'll fly to Manila before heading to her mother's home in Luzon.

The children are in shock, she said, and are screaming in their sleep: "They are crying no, no, no."

Ladrera plans to ensure her family is safely settled before she returns to work in Hong Kong. "I'm starting from zero," she said, aware of the time it'll take to earn the money to rebuild her family's home and lives.

"I will go back to Hong Kong, I need to. I need to work because of my family," she said.

Another separation looms ahead.

READ MORE: The body collectors of Tacloban

@highlight

Gina Ladrera flew from Hong Kong to Tacloban to find her missing family

@highlight

She'd been unable to contact them for days after Super Typhoon Haiyan

@highlight

Almost one week after typhoon, she found them alive amid ruins of their home

@highlight

Her family survived by clinging to electrical wire on the roof during the storm