WASHINGTON (CNN)  -- The United States is overhauling Bush-era plans for a missile defense shield in Europe, based partly on the latest analysis of Iran's offensive capabilities, President Obama said Thursday.

President Obama on Thursday says the Bush-era missile defense plan will be replaced with a new system.

The "new missile defense architecture in Europe ... will provide capabilities sooner, build on proven systems and offer greater defenses against the threat of missile attack than the... program" that former President George W. Bush proposed, Obama said.

Obama said the change of gears was based on an "updated intelligence assessment" about Iran's ability to hit Europe with missiles.

The Islamic republic's "short- and medium-range" missiles pose the most current threat, he said, and "this new ballistic missile defense will best address" that threat.

U.S. Defense Secretary Robert Gates, speaking from the Pentagon immediately after the president's announcement, denied the United States was "scrapping" missile defense.

"This new approach provides a better missile defense capability for our forces in Europe, for our European allies and eventually for our homeland than the program I recommended almost three years ago," said Gates, who was defense chief in the last two years of the Bush administration and stayed on when Obama took office.  Watch as Obama says the new approach is suited to threats of 21st century »

The Bush-era proposal called for the U.S. to set up a radar site in the Czech Republic and 10 missile interceptors in Poland to counter the threat of Iran launching long-range missiles at America's allies in Europe.  See how the system would have worked » |  See a map of proposed sites under the Bush-era plan »

American officials from Obama on down insisted Thursday's announcement does not reflect any lesser commitment to European defense.

A U.S. delegation held high-level meetings Thursday in Poland and the Czech Republic to discuss the missile defense system.

Polish Prime Minister Donald Tusk told reporters he spoke to Obama and other U.S. officials and received "certain other signals" that left him cautiously optimistic about "Poland's future security and our relationship with the United States."

Czech Prime Minister Jan Fischer issued a statement saying that Obama told him in a Wednesday phone call that the United States would shelve its plans.

"At the NATO summit in April, we adopted a resolution focusing on building a defense system against real, existing threats, i.e. short-range and medium-range missiles," Fischer said. "We expect that the United States will continue cooperating with the Czech Republic on concluding the relevant agreements on our mutual [research and development] and military collaboration, including the financing of specific projects."

Russian President Dmitry Medvedev welcomed Obama's move with a televised statement of his own from Moscow.  Watch how Obama's plan may affect U.S.-Russian ties »

"We appreciate the responsible approach of the U.S. president," Medvedev said, characterizing the new American position as "putting into practice" an agreement he made with Obama earlier this year.

"I discussed this issue with the U.S. president during our meetings in London and Moscow. At that time, in our joint statement, we agreed to, and set in stone that Russia and the United States will seek to work together to assess the risks of missile proliferation in the world," he said.  Watch CNN's Matthew Chance report on the U.S. missile defense shield »  A top expert at the Council on Foreign Relations backed Obama's decision.

"The system that President George W. Bush proposed ... would have deployed interceptor missiles that had yet to be tested under real-world conditions to defend against long-range missiles that Iran had yet to develop," said the council's senior vice president, James Lindsay.

"Meanwhile, the interceptors would have been useless against the short- and medium-range missiles that Iran is rapidly developing," he said in a written statement.

But the change of gears, while making strategic sense, does present Obama with diplomatic problems, Lindsay said.

"Poles and Czechs worry that his decision signals a softening U.S. commitment to their security. Both countries saw the system as a way to tie themselves more closely to the United States and thereby deter an increasingly belligerent Russia," he said.

"Critics will also insist that the Poles and Czechs are right: He axed the Bush program in a foolish and doomed bid to 'reset' relations with Russia," he said. "Here Moscow isn't likely to be of much help to the White House. The Kremlin will claim a diplomatic victory and it won't offer any concessions in return."

Reaction from Poland and the Czech Republic was cautious, with leaders saying they were assured that the United States remained committed to a strong relationship and their security.

The council released a report Thursday that said repeated technological failures had put the Bush missile plan behind schedule and likely over budget, as well.

Obama's Republican adversaries were quick to accuse him of selling out allies to placate Russia.

The "decision calls into question the security and diplomatic commitments the United States has made to Poland and the Czech Republic," said Sen. John McCain of Arizona, the 2008 Republican nominee for president.

Obama has been seeking a stronger relationship with Russia and better cooperation from the Kremlin to support tough U.N. economic sanctions against Iran if it continues to pursue its nuclear ambitions.

Missile defense has been a sore point in relations between Washington and Moscow, with Russia believing the shield would ultimately erode its strategic nuclear deterrent.

But a senior administration official denied a diplomatic motive to scrapping the missile defense program.

"This has nothing to do with Russia," he said. "The notion that we're abandoning missile defense is completely false. It's evolving into a different system."

At the briefing with Gates, the Pentagon's point man on the issue said the new system will have "hundreds" of missile interceptors.

It also will have mobile radar units, including some in space, "that can move to wherever the threat actually emanates and wherever we feel we need to defend ourselves," said Gen. James Cartwright, deputy chairman of the Joint Chiefs of Staff.

Cartwright contrasted the new sensor technology with the radar systems envisioned in the old plan, which he called "basically left over from the Cold War."

The new plan includes three types of missiles to shoot down incoming threats -- Patriot missiles, which defend a single location; SM-3 interceptors, which he said could protect "a general area like the area from Philadelphia to Washington, D.C."; and large ground-based interceptors in Alaska and California.

Pentagon spokesman Geoff Morrell said that the Missile Defense Agency's budget would remain the same through fiscal year 2015.

"Now that the plan is official, we are working with MDA to review all costs," he said.

The Government Accountability Office reported in February that the MDA had spent about $56 billion since since 2002 and is budgeted to spend an additional $50 billion through 2013.

The European strategy, the MDA said, is budgeted at $4.5 billion.

Cartwright did not say how much the new plan would cost compared with the old one. But he pointed out that Patriot and SM-3 missiles are significantly cheaper than the interceptors the Bush proposal relied on.

"You do not want to go after large numbers [of missiles] with the very expensive missiles unless it's absolutely essential," he said.

He said the fact that the United States sells Patriot and Aegis systems to other countries reduces the cost to Washington. The SM-3 missiles are part of the Aegis Ballistic Missile Defense systems.

Other countries, he said, are helping to fund the research and development of the systems.

The first phase of the system is due to be in place in 2011, with the subsequent phases rolling out around 2015, 2018 and 2020, he said.

"It's a more advanced system, more cost-effective and efficient," the senior administration official said before the president and Gates spoke.

"The technology has evolved in a way that allows you to deploy a system that is more effective in countering both short-, medium- and long-range missiles," said the official, contrasting the types of missiles that Iran, for example, is believed to have with intercontinental ballistic missiles of the kind feared during the Cold War.

The Bush administration had cited the perceived nuclear threat from Iran as one of the key reasons it wanted to install the missile shield in Eastern Europe.

But a 60-day review mandated by Congress and ordered by Obama recommended the new approach that was unveiled Thursday.

CNN's Suzanne Malveaux and Barbara Starr in Washington, Per Nyberg in London, England, Matthew Chance and Michael Sefanov in Moscow, Russia, and Richard Roth at the United Nations contributed to this report.

@highlight

NEW: Polish, Czech leaders cautiously optimistic about U.S. commitment

@highlight

Russian president: "We appreciate the responsible approach" of U.S. leader

@highlight

Defense chief Robert Gates denies U.S. "scrapping" missile defense

@highlight

Change of gears does creates diplomatic problems for U.S., expert says