South Padre Island, Texas (CNN) -- Heavy rains pelting northeastern Mexico left at least one person dead and thousands more in shelters as Hurricane Alex moved inland, Mexican emergency officials said early Thursday.

A contractor in Monterrey died when a wall fell on him as a result of the rain, Carlos Eduardo Aguilar of Nuevo Leon's Civil Protection agency said. CNN-affiliate Televisa reported that at least three other people died when a wall collapsed on them in Acapulco, on the country's Pacific coast.

Alex made landfall along the northeast Mexican coastline late Wednesday as a Category 2 storm with maximum sustained winds of about 100 mph, the National Hurricane Center reported. Forecasters downgraded the storm to a Category 1 hurricane early Thursday morning and said it would continue to weaken as it moved inland.

The center reported at 5 a.m. ET that Alex was weakening, but still a Category 1 hurricane, moving west at 12 mph with 80 mph maximum sustained winds. Residents on both sides of the border braced for additional flooding and tornadoes.

Rivers and creeks were already well above their normal levels Wednesday. Rescuers saved a young man from rushing waters, Nuevo Leon state officials said. Officials closed schools across the state Thursday as they braced for floods.

Heavy rains could cause life-threatening flash floods and mud slides, especially in areas with mountainous terrain, the National Hurricane Center said.

Are you affected by Alex? Send photos, video

Power outages were reported throughout the Mexican state of Tamaulipas, where shelters were housing more than 5,200 people Thursday morning, Salvador Treviño Salinas of the state's Civil Protection agency said.

At least 1,500 people were in shelters in the city of Matamoros -- located across the border from Brownsville, Texas -- where flash floods inundated at least 48 neighborhoods after more than 14 inches of rain fell in 24 hours, he said.

The storm also affected other Mexican states Wednesday. In Guadalajara, Jalisco, the water reached more than three feet in some streets, Televisa reported. Heavy rains from Alex were also expected to hit the Mexican states of Veracruz, Nuevo Leon, Coahuila, San Luis Potosi and Zacatecas Thursday.

In Brownsville, Texas, about 40 streets had flooded by early Thursday morning, Assistant City Manager Jeff Johnston said.

Officials predict that the city could see up to 12 inches of rain from the storm, he said -- a significant amount, but less than originally feared.

"We're keeping a very close eye on the rain," he said. "Brownsville is a very flat city...When we get a significat amount of rain in a short period of time, it's very difficult to move that water out of the city fast."

At least 1,000 people in southern Texas were taking shelter in evacuation centers as Alex's winds and heavy rain squalls bore down on the coastline, officials in Cameron and Hidalgo counties reported.

Brownsville appeared to be taking the brunt of Alex's outer bands Wednesday after as many as six tornadoes were reported in the area and about 4,000 customers lost power, officials said.

But by Thursday morning, all but 60 customers were back on the grid, Johnston said.

In Harlingen, just 30 miles north of Brownsville, wind gusts of up to 65 mph were reported hours before the storm's expected landfall.

No injuries were immediately reported from the twisters near Brownsville, but some damage was reported, including downed trees and power lines, weather and emergency management officials said.

Carol Rumsey was riding the storm out in her Los Fresnos, Texas, home, not far from Brownsville and about a half hour from the coast.

She told CNN Radio on Wednesday night that her house had an eerie feel as the storm approached.

"You board up your windows and it's like living in a dungeon," she said. "You can't hear anything, you can't see anything."

She said she had considered evacuating as the region was being pummeled by heavy rain and occasional gusts of wind, but said "this is the price you pay for living in paradise."

Meanwhile, authorities in South Padre Island closed the Queen Isabella Memorial Bridge -- which crosses to the popular vacation spot -- as a precaution ahead of the approaching Alex.

Tropical storm force winds extend outward up to 205 miles from the center of the storm and hurricane force winds extend outward up to 35 miles, according to the hurricane center.

Heavy rain and thunderstorms associated with the outer bands of Alex were affecting the entire Gulf Coast from Texas to Louisiana to the Florida Panhandle. Brownsville received more than 4 inches of rain by Wednesday afternoon, the weather service said.

Harlingen Assistant Fire Chief Cirilo Rodriguez said his region was expecting 7-10 inches of rain.

Coastal flood advisories have been issued for Louisiana and Mississippi. Minor coastal flooding is expected along the shore due to a prolonged strong southeasterly wind caused by the large counterclockwise circulation of the hurricane.

Texas Gov. Rick Perry said Wednesday that the state was prepared for the storm. The State Operations Center was fully activated, he said, and Texas was working with federal and local authorities to track the hurricane and the BP Gulf oil disaster.

President Barack Obama issued a federal emergency declaration for Texas ahead of Alex's expected arrival, the White House said Tuesday night.

After the hurricane made landfall around 9 p.m. CT (10 p.m. ET), forecasters from the National Hurricane Center changed the hurricane warning to a tropical storm warning for the coast of Texas south of Baffin Bay to the mouth of the Rio Grande.

A tropical storm warning issued earlier remained in place along the Texas coast from Baffin Bay to Port O'Connor.

A hurricane warning was in place for the coast of Mexico from the mouth of the Rio Grande to La Cruza, Mexico.

The storm continued to move away from the massive BP oil catastrophe near the Louisiana coast in the northern Gulf of Mexico, but it already was complicating cleanup efforts.

Residual effects from the storm will last for at least four days, CNN meteorologist Chad Myers said, and could prohibit skimming and burning of oil in the Gulf at least until Saturday or Sunday.

The storm created 12-foot waves Tuesday and oil-skimming ships were sent to shore from Louisiana to the Florida Panhandle.

The rough seas may force crews to replace and reorganize booms meant to deter the oil from reaching shore, reported CNN's Ed Lavandera.

Florida Gov. Charlie Crist said that even though Florida may dodge any problems with this storm, the Atlantic hurricane season is just beginning.

"In Florida, we've had a lot of hurricanes a number of years ago, but we handled them very well," he told CNN's Campbell Brown. "The difference and the distinction that we face now is that we have a Gulf of Mexico that's full of oil. So our hope and our prayer is that we don't have a mixture of hurricanes with oil that could potentially damage the beautiful beaches of Florida. But if we do, we're prepared for it."

Pat Ahumada, the mayor of Brownsville, said the city was expecting to distribute 60,000 sandbags and provide shelter for roughly 2,000 families. Utility crews were on standby to handle outages. At the same time, the state government provided 90 buses in case an evacuation is needed.

"I expect about 10 percent of residents to evacuate voluntarily, which already started yesterday," Ahumada said Tuesday. "I see a steady flow of people going out, but no bottlenecks -- which is good.

"We're not taking it lightly," he said. "We're ready for a worst-case scenario."

CNN meteorologist Chad Myers and CNN's Dave Alsup, Matt Cherry, Sarah Aarthun, Gustavo Valdes, Richard Beltran, Brian Walker and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Alex weakening, but still Category 1 hurricane

@highlight

At least one dead in northeastern Mexico as a result of rains

@highlight

Rescuers save man from rushing waters

@highlight

Thousands in shelters in Mexico, Texas