Hong Kong (CNN) -- It was 10 p.m. on Sunday and 22-year-old Michelle Li, a dancer, was supposed to be in her room doing homework.

But when she saw mobile Facebook updates of police tear gassing pro-democracy protesters in downtown Hong Kong, she was too agitated to study. Grabbing her smartphone, she followed online postings to the protest site itself -- and soon had tear gas fired at her as well.

Only then did she peel her eyes from her mobile device. "While we were waging battle, we screamed out news to each other," she tells CNN. "But before and after, I'd update people on the Internet."

It's a high-tech response to a high-stress situation. Armed with top-of-the-line phones on some of the world's fastest mobile networks, Hong Kong's young protesters are able to organize themselves at a lightning pace older generations of activists could have only dreamed of.

"The Internet is a critical reason these protests have exploded so quickly and so out of control," says Li. "We all want instant news, and people are very unsettled."

Barely an hour after Li was sprayed by tear gas, many young people, clutching glowing smartphones, used group chat apps like WhatsApp and Firechat to set up a splinter protest some five kilometers (three miles) north of Hong Kong's downtown Central district.

Just before the clock struck midnight Sunday, at least 1,000 protesters -- many heeding messages that had been posted online just minutes before -- suddenly flooded the main road in Hong Kong's Mong Kok shopping district, leaving police surprised and outnumbered.

Then, in a coordinated move, dozens of young protesters parked vans and trucks in a tight formation, protectively surrounding protesters.

The police seemed unable to respond, and withdrew from the scene. Along with many other parts of Hong Kong, Mong Kok remains occupied with protesters Monday evening.

Crowd confusion

As protesters develop new ways to organize themselves online, it's become less clear who is leading.

Last night, student protest leaders -- including high school striker Joshua Wong -- asked supporters to go home out of safety, but thousands of protesters continued joining protests after midnight.

Rumors of an impending crackdown have also added to the confusion.

One message forwarded to CNN contained a cell phone recording of a young man who claimed to be the son of a police officer.

"There will be 2,000 to 3,000 riot policemen tonight," said the voice. "Please spread this, just don't quote my name."

Another image briefly sparked panic Sunday night, purporting to show Chinese military vehicles moving in toward the protest. They turned out to be photos from an unrelated date.

To try and calm nerves, a group of 11 journalism students at the University of Hong Kong started a Facebook page with minute-by-minute protest updates that they claim to have verified. The page, launched less than 24 hours ago, already has over 70,000 followers.

"Not many of our friends really believe what they see on TV any more," says Gloria Cheung, 23, who helps run the Facebook page. "But there are a lot of rumors causing panic on the internet."

"Right now we just want to verify information, so people don't get confused."

Locals aren't the only ones looking for news, though.

One group of volunteers has used social media to translate protest updates into thirteen languages, using the hashtag #UmbrellaMovement -- a reference to the umbrellas used by Hong Kong's protesters to shield against pepper spray.

'What's terrifying is, we're not scared'

Despite the sophistication of their tools and the efficiency of their actions, students like Cheung and Li share a sense that the world they know is falling apart.

"It's such a shock for me and my friends," says Cheung. "We have been living such a normal, protected, and comfortable life in Hong Kong. We never thought there would be tear gas explosions.'"

Li says it's frightening how quickly young people have adapted to chaos as a new normal.

At first, she said her group of friends were scared of being arrested, then they were scared of pepper spray and then they feared being tear gassed.

"What's terrifying is, we're increasingly not scared -- and the police may have to deploy more terrible weapons to scare us."

The fear of bloodshed is perhaps felt most painfully by Hong Kong's older generation, who still have memories of Tiananmen Square etched into their minds.

Li plays a WhatsApp voice message she was forwarded last night, from her former high school teacher.

"Hello students, this is your teacher, I'm safe right now, please don't worry," the woman says steadily.

Suddenly, her voice wavers and cracks with emotion.

"But please, listen to me, don't come out any more, you are just high school students. You shouldn't have to face these scenes, please go home.

"Because I don't want anything to happen to you," she continues, now crying.

"If you are at the protest right now and you can hear the sound of my voice, please leave immediately, because we just don't know what's going to happen next."

@highlight

Hong Kong's youth protesters are using mobile apps to organize quickly

@highlight

Group messages help protesters regroup and relocate at lightning speed

@highlight

One group chat app, Firechat, has been downloaded 100,000 times

@highlight

Online rumors have caused some confusion