(CNN) -- Marikana lies on South Africa's platinum belt, where the world's richest deposits of the metal are located. Together with Russia, South Africa produces 90% of the world's platinum demand. The people of Marikana know the land is mineral rich, and last year they demanded a taste of that wealth.

In August 2012 thousands of workers at a Marikana mine owned by Lonmin, a London-based firm, went on a wildcat strike, demanding better wages and improved living conditions.

34-year-old Mgcineni Noki was among them. "All we want is more money," he told CNN at the time. "As you can see, we are not fighting, we are just sitting here, waiting for the employer to address our demands so we can go back to work."

But Noki never made it back to work. He and 33 others were gunned down by police in the bloodiest labor dispute in South Africa since the end of apartheid. Police say they acted in self-defense against a mob of protesting miners armed with clubs and machetes.

A commission of inquiry was set up to probe the incident, but a year later the inquiry is incomplete and marred by delays. Amnesty International has criticized the South African government for failing to hold those responsible for the massacre responsible.

Noel Kututwa, the group's deputy program director for Africa, said: "The long-term consequences for the respect and protection of human rights in South Africa will be severe should the South African authorities fail in taking all necessary steps to achieve accountability".

CNN tracked down Noki's family on South Africa's Eastern Cape, where most of the dead miners hailed from. The family says they have no choice but to wait and hope that justice will be served -- but in the meantime, they're preoccupied just trying to survive.

Noki's sister, Nolufefe, said Noki's five children, wife, siblings, nephew and niece all depended on his pay. He sent $200 home every month to ensure they didn't go to bed hungry.

"He was responsible for everything in this household. First our parents died, then our eldest brother," Nolufefe said. "He was our last hope". Now they survive on an $80 grant she gets from the government for taking care of her deceased brother's daughter.

Labor unions say the average South African mine worker supports at least eight dependents. Last year many were given hefty pay hikes after the series of strikes in the platinum belt, but as production costs rose, mass retrenchments have followed and poverty is on the rise.

Back in Marikana the community is finding it hard to cope with the loss of jobs and loss of life.

"We have seen a series of suicides," said Chris Molebatsi, a field researcher with the Bench Marks Foundation, a non-profit group that monitors corporate social responsibility in South Africa's mining sector. At least 10 people who witnessed last year's massacre have taken their own lives since then, according to the group. Two of them were policemen who were on duty that day.

Molebatsi said the appalling living conditions of mining communities in South Africa have been a source of despair for years -- and he believes nothing has changed as a result of the tragedy in Marikana.

Lonmin has announced several initiatives aimed at improving its relationship not only with workers but with the communities where they mine. New CEO Ben Magara said the firm has made land available for housing and will build infrastructure and a recreation center with a library. The people of Marikana say they have heard promises like these before.

But their anger is not just aimed at the mining company; the resentment of the government is palpable here. Million of dollars in royalty fees paid by the industry into a government administered banking account have allegedly vanished, and three independent probes have been launched to trace the cash that was meant to improve the lives of mining communities.

Meanwhile, violence continues to plague South Africa's platinum belt. Another 20 people were killed following last year's massacre, according to labor unions, and experts say the conditions that led to the tragedy still haven't been addressed.

"South Africa changed politically in 1994, but not economically," Moeletsi Mbeki, an economic analyst, told CNN. "The relationships of exploitation that are 350 years old have not changed."

"We are more likely to have Marikana's more often," he continued. "If you look at the negotiations in the gold mining sector now, they're demanding 100% (pay rises) and so on. If they don't get what they want they will go on strike. The state depends on mining revenue, so it will try to force them back to work, and that is where you will see more violence."

This is a sad and disturbing scenario for a country whose economy was built on and still revolves around the mining sector.

@highlight

In August 2012, workers at a Marikana mine demanded better wages and living conditions

@highlight

Thirty four of them were shot by police in South Africa's bloodiest labor dispute since apartheid

@highlight

A year later, a commission of inquiry set up to probe the incident is incomplete

@highlight

CNN tracked down the family of Mgcineni Noki, 34, who was killed in the attack