(Kaiser Health News)The Obama administration Monday announced a goal of accelerating changes to Medicare so that within four years, half the program's traditional spending will go to doctors, hospitals and other providers that coordinate their patient care, stressing quality and frugality.

The announcement by Health and Human Services Secretary Sylvia Burwell is intended to spur efforts to supplant Medicare's traditional fee-for-service medicine, in which doctors, hospitals and other medical providers are paid for each case or service without regard to how the patient fares. Medicare is the federal insurance program that provides health care to the elderly.

Since the passage of the Affordable Care Act in 2010, the administration has been designing new programs and underwriting experiments to come up with alternate payment models.

Last year, 20% of traditional Medicare spending, about $72 billion, went to models such as accountable care organizations, or ACOs, where doctors and others band together to care for patients with the promise of getting a piece of any savings they bring to Medicare, administration officials said.

There are now 424 ACOs, and 105 hospitals and other health care groups that accept bundled payments, where Medicare gives them a fixed sum for each patient, which is supposed to cover not only the initial treatment for a specific ailment but also all the follow-up care.

We need to rethink dying

Other Medicare-funded pilot projects give doctors extra money to coordinate patient care among specialists and seek to get Medicare to work more in harmony with Medicaid, the state-federal health insurer for low-income people.

Burwell's targets are for 30%, or about $113 billion, of Medicare's traditional spending to go to these kind of endeavors by the end of President Barack Obama's term in 2016, and 50%, about $215 billion, to be spent by the end of 2018.

The administration also wants Medicare spending with any quality component, such as bonuses and penalties on top of traditional fee-for-service payments, to increase, so that by the end of 2018, 90% of Medicare spending has some sort of link to quality.

These figures do not include the money that now goes to private insurers in the Medicare Advantage program, which enrolls about a third of all Medicare beneficiaries.

Monday's announcement did not include any new policies or funding to encourage providers, but Burwell said setting a concrete goal alone would prompt changes not only in Medicare but also in private insurance, where some of these alternative models are also being tried. Leavitt Partners, a consulting firm, counts 317 commercial ACOs and 40 in the Medicaid program.

Baby Boomer Generation Fast Facts

"For the first time we're actually going to set clear goals and establish a clear timeline for moving from volume to value in the Medicare system," Burwell said at an announcement at the department's headquarters, where she was joined by leading physicians and leaders from the insurance and hospital industries. "So today what we want to do is measure our progress and we want to hold ourselves in the federal government accountable."

Some providers have eagerly embraced the new payment models, with success. Roughly a quarter of ACOs saved Medicare enough money to win bonuses last year.

Others are wary, particularly since they could lose money if they fall short on either saving Medicare money or achieving the dozens of quality benchmarks the government has established.

"ACOs are quite expensive to set up," said Andrea Ducas, a program officer at the Robert Wood Johnson Foundation, a New Jersey charity that is funding research into ACO performance. "There's a significant upfront investment and if you're not sure you're going to make it back, there's a pause."

In the largest ACO experiment, the Medicare Shared Savings Program, 53 ACOs saved enough money in 2013 to get bonuses from the government, but 41 spent more than the government estimated they should have.

Transgender woman feels 'complete' thanks to Obamacare

Those ACOs did not have to repay any money, but in future years Medicare intends to require reimbursements from those who fall short. Providers have been pushing Medicare to increase the cut they get from these programs and lessen the financial risks in ACOs and the other programs.

"Government needs to do more to make sure there's more shared savings going back to the providers," said Blair Childs, an executive with Premier, a company that assists hospitals and providers in establishing ACOs and other models.

It is still too early to know whether these alternate payment models improve health of patients and whether the savings that have been achieved so far, often by focusing on the most expensive patients, will plateau. Studies on the success of these programs have shown mixed results.

"We still have very little evidence about which payment methods are going to be successful in getting the results we want, which are better quality care and more affordable care," said Suzanne Delbanco, executive director of Catalyst For Payment Reform, a California-based nonprofit that has been tracking the spread of alternative payment models in the private sector.

"We're just wanting to avoid a situation where a few years from now, where we've completely gotten rid of fee-for-service," Delbanco said. "We don't want to wake up and say, 'Oh my gosh, we did it and we're no better off.'"

@highlight

Obama administration plan to redirect spending to health care provides that stress quality, frugality

@highlight

The plan would change Medicare's traditional fee-for-service strategy