(CNN) -- Health officials have confirmed that a patient who underwent neurosurgery at a New Hampshire hospital earlier this year had Creutzfeldt-Jacob disease.

The death, and suspicions that the patient may have had the devastating brain ailment, prompted authorities in two states to warn that as many as 13 patients may have been exposed to surgical equipment used during the patient's surgery, thus to the same disease.

The now-deceased patient had undergone neurosurgery at Catholic Medical Center in Manchester. The patient was later suspected of having sporadic Creutzfeldt-Jakob disease, a rare, rapidly progressing and always-fatal degenerative brain disease.

But by the time this diagnosis was suspected, equipment used in the patient's surgery had been used several other operations. This raised the possibility that the equipment might have been contaminated -- especially since normal sterilization procedures are not enough to get rid of the disease proteins, known as prions, tied to Creutzfeldt-Jakob disease -- thus potentially exposing the other patients to infection.

The patient's death spurred the New Hampshire Department of Health and Human Services to announce September 4 that eight other patients at the same Manchester hospital were being monitored for Creutzfeldt-Jakob disease.

Massachusetts health authorities noted the next day that five Cape Cod Hospital patients may have been exposed to Creutzfeldt-Jakob disease too because their surgeons this summer later used the same potentially contaminated medical equipment as in the New Hampshire facility.

The diagnosis of Creutzfeldt-Jakob disease was confirmed by the National Prion Disease Pathology Surveillance Center, which reported its conclusion to New Hampshire's health department and Catholic Medical Center on Friday.

"Though we are not surprised by the test results, we are saddened by the toll this disease takes on families," said Dr. Jose Montero, New Hampshire's public health director.

People with Creutzfeldt-Jakob disease typically show signs of rapidly progressing dementia, impaired vision and personality changes, among other symptoms, according to the National Institutes of Health. Yet while it can be suspected, the only way the disease can be confirmed is through tests conducted after a person's death.

The status of the five southeast Massachusetts patients who'd been warned wasn't immediately known Friday night. The eight being monitored at Manchester's Catholic Medical Center have been told about the original patient's "autopsy results."

"We let them know we will continue to help and support them and to monitor their health going forward," said hospital president Dr. Joseph Pepe, "even though the risk is extremely low that any of these patients was infected."

Creutzfeldt-Jakob disease has a long incubation period before symptoms appear -- sometimes up to 50 years -- according the National Institutes of Health. There's no test, so it may take many years before these patients would know if they were infected.

About 300 people a year in the United States come down with Creutzfeldt-Jakob disease, according to the U.S. Centers for Disease Control and Prevention.

The CDC has said that no cases of the disease linked to the use of contaminated medical equipment have been reported in the United States since 1976.

Most medical devices are sterilized by heat, but the World Health Organization recommends the use of a caustic chemical like sodium hydroxide to disinfect equipment that may have come in contact with tissues that could cause Creutzfeldt-Jakob disease.

CNN's Kevin Conlon and Miriam Falco contributed to this report.

@highlight

A test confirms a New Hampshire patient died of the fatal brain disease

@highlight

After this patient's death, authorities said 13 others may have been exposed

@highlight

Normal equipment sterilization isn't adequate to eradicate disease-carrying proteins

@highlight

Hospital president: "The risk is extremely low that any of these patients was infected"