(CNN) -- Recently, a puzzling website appeared that seemed to be from the Shell Oil Company. Using Shell's logo and its website's design, the page contained information about Shell's oil drilling activities in the Arctic. It included a function where viewers could caption pictures said to be taken by Shell Oil in the north (a dangerous feature for Shell -- just imagine the captions people would generate under a picture of a baby Arctic fox on an oil company website).

Soon after, a video appeared on YouTube that seemed to show an event sponsored by Shell that went badly awry. A small fountain, in the shape of an oil rig, starts spraying guests and some of the pseudo-environmental decorations of the Alaskan frontier with simulated oil. Finally, in the video, what seemed to be a poorly designed media response by Shell Oil made everything worse.

As you may have guessed (if you have not already heard), the entire thing -- website, video and even Shell's response -- was a hoax created by Greenpeace and the Yes Men, a group of online activists that targets corporations. Shell has wisely decided to remain low-key about the whole thing, issuing a press release that clarifies its lack of involvement but otherwise just hoping the whole concocted ensemble would go away.

Is Greenpeace's prank on Shell oil a 'scam'?

Welcome to the golden age of culture jamming. Coined in 1984, culture jamming is a tactic of subverting the media as a form of protest. But the advent of social media has taken it to a whole new level.

In the old days, culture jamming might mean defacing a billboard, handing out forged fliers, or staging a false corporate or political event and hoping the media would cover it as if it was real. But today, a fake video or website can quickly go viral and be spread through tens of thousands of shares, tweets, repostings and imitations. It is almost impossible to put that genie back in the bottle.

Social media is emerging as a powerful tool, and neither law nor social consensus has yet caught up with it.

On the one hand, it allows a remarkable amount of influence to be wielded by those who traditionally had little. Social media ends the communication dominance of the big players like the mass media and large corporations; it is the great equalizer. From the privacy of one's computer, virtually the entire world can be one's audience.

On the other hand, because it is both relatively cheap and can be so potent, social media is ripe for abuse, whether through scams, gossip, or misrepresentations.

As a medium of protest, the tool is a mixed blessing. Certainly, social media provides some balance in the information battle with corporations who have multimillion-dollar public relations and advertising programs.

But the line between legitimate protest through culture jamming and libelous misrepresentation or trademark infringement is muddy. While the legal issues may be contentious, the ethical boundaries seem clearer.

Opinion: Why we should look to the Arctic

Many sympathize with the intent of the Greenpeace-Yes Men protest. Yet, as much as one might disagree with a particular corporate action, the honest choice demands either engaging in civil protest and accepting the consequences, or staging a symbolic protest (such as culture jamming, parody, or satire) that is clearly identifiable as an act of protest.

The Shell Oil hoax did not announce itself as a parody (though a discerning viewer could detect it), and so neglects the second standard. Satire or parody should be obvious -- maybe not immediately, but soon -- or it is in danger of becoming little more than misrepresentation.

Sometimes misrepresentation is the clear intent of the protester. There is a place in a democratic society for such acts; civil disobedience and other mildly illegal protests have a long history in the United States. But one must cross legal boundaries, even in protest, with a willingness to accept the consequences.

If the Shell Oil hoax is determined by a court to violate a law (such as trademark infringement), Greenpeace and the Yes Men should man up, accept the verdict and pay the appropriate penalty. I doubt that such a verdict will impede people from using social media as a medium of protest. But if tactics like the Shell Oil hoax become accepted and common, they can easily backfire; opponents could just as easily use the same strategy against an organization like Greenpeace.

A culture jamming war would do no one any good. The information overload online is already overwhelming and confusing enough. We don't need a situation where we have to question the validity of every website and video we click on. Let's keep it clean, everyone -- tell us who you are, and then take your best shot.

The opinions expressed in this commentary are solely those of Paul Root Wolpe.

@highlight

Greenpeace, Yes Men stage hoax about Shell Oil company using fake website and video

@highlight

Paul Wolpe: Welcome to the Golden Age of culture jamming

@highlight

He says line between legitimate protest and misrepresentation is ethically questionable

@highlight

Wolpe: A culture jamming war online would do no one any good