(Mashable)  -- Beginning today, Starbucks customers who use the free Wi-Fi at more than 6,800 U.S. company-operated stores will be greeted with the Starbucks Digital Network (SDN) -- an exclusive content network curated by the company and designed to enhance the customer's in-store experience.

Starbucks has been teasing SDN for months, but now that the network is about to go live we have a much clearer idea about the type of content provided and the purpose behind the digital endeavor.

Starbucks's Vice President of Digital Ventures Adam Brotman sat down with Mashable in advance of the October 20 launch day for a complete tour.

"The vision," he says, "is for Starbucks Digital Network to be a digital version of the community cork board that's in all of our stores."

We've known for some time that SDN would offer unfettered access to The Wall Street Journal, The New York Times and USA Today, but that's just scratching the surface.

Starbucks has manufactured a rich experience around each of its six channels: News, Entertainment, Wellness, Business and Careers, My Neighborhood and the customer-personalized Starbucks channel. Here's a comprehensive breakdown of each channel:

News: This section of SDN is comprised of Starbucks media partners offering premium or exclusive content to customers.

The New York Times has opened up access to its Reader 2.0 subscription-based service for free, all content from the The Wall Street Journal is available minus the paywall and the exact replica of the USA Today newspaper is accessible to users on the network.

Newly signed content partner GOOD is providing early access to its infographics, so Starbucks customers can view them before anyone else.

Entertainment: Starbucks has populated the entertainment portion of its network with music, apps and books from Apple's iTunes, full access to a selection of books picked by Starbucks and provided by the Bookish Reading Club (via an HTML5 reader), business e-books courtesy of New Word City, a kid-rich experience powered by Nick Jr. Boost and handpicked documentary films provided by SnagFilms.

Wellness: Health and fitness publisher Rodale is the primary content provider for this SDN channel.

Customers have access to specialized content -- not available to anyone other than Starbucks customers -- from Men's Health, Women's Health, Runner's World, Bicycling, Prevention, Organic Gardening and Eat This, Not That!, along with a custom built "Map my Ride, Map my Run" application.

Business and Careers: Professional social networking site LinkedIn is making exclusive video and blog content available to WiFi users in this channel. The network also provides LinkedIn job search and suggestions, and offers users a 30-day free trial for the premium account.

My Neighborhood: Starbucks is adamant about creating a localized experience to connect customers with the community around the store.

The company delivers on this objective by serving up content to users based on the exact whereabouts of the store where the user is accessing the free Wi-Fi.

Community fare includes local news from Patch, and a look at nearby DonorsChoose.org classroom projects that could benefit from small contributions.

Foursquare users can check in via the web from Starbucks stores, and Zagat makes available full ratings for restaurants in the surrounding area for free.

Starbucks: This channel provides a personalized customer experience for Starbucks account/card management, and also amasses all of Starbucks social (Twitter/Facebook/MyStarbucksIdea) and digital properties under one umbrella.

We may be kicking a gift horse in the mouth, but one thing that struck us about SDN is that there's almost too much content to go around. In some aspects the experience seems saturated and overwhelming, so customer's may not know where to start and partners providing premium content may find some of it gets overlooked.

We broached the subject with Brotman who explained that Starbucks will be tracking user activity via web analytics to get a sense of what users respond to. The network is designed to feel fresh each time you come back and the three promo tiles on the home page rotate to engineer more than 40 unique experiences.

It's a priority for Starbucks to ensure that customers have easy access to content, and "that all the content partners are feeling like they have an equal shot," Brotman says.

A premium mobile experience

SDN certainly packs in a variety of content that makes for interesting material to explore on a laptop, but the network was also designed with the mobile user in mind. Users accessing the network via mobile devices and tablets will benefit from the HTML5 smartphone-optimized network.

SDN for mobile is also touchscreen-friendly, offering a hands-on, swipe-able experience. More than 50% of users logging on to the free Wi-Fi are doing so from mobile devices, so the company was motivated by usage behaviors to build a mobile web experience just as good, if not better than, the standard web experience.

Content was also designed to be "snackable," so the mobile user can get value even while waiting in line, says Brotman.

Where Yahoo fits in

While SDN is cloaked in the Starbucks brand name, Yahoo actually plays a pivotal role in the behind-the-scenes network experience. Yahoo is the coffee retailer's technology partner on the initiative, so it not only developed the site at Starbucks's behest, but it's hosting the network, powering the search experience and providing content as well.

Yahoo will also serve as a promotional partner for SDN, and market SDN on its site in the form of banner ads.

The two partners hooked up after Starbucks approached Yahoo about the initiative. "They're so strong in the three areas we knew we needed help with -- technology, content and search," says Brotman, "so we came to them ... and they were eager."

"They seemed excited by the local and unique nature of the Starbucks Digital Network," explains Brotman on why Yahoo was eager to work with the trendy coffee retailer.

The bottom line is choice

One would assume, correctly so, that Starbucks has not gone to trouble of providing free Wi-Fi and a premium digital network without thinking about how it could profit by these pricey additions.

If we didn't know better, we'd presume that Starbucks was charging its partners for placement. Instead, as we've disclosed before, there's no money changing hands -- unless SDN users make purchases from partners, in which case there is a revenue share.

What it comes down is a matter of choice. Coffee and tea drinkers have a myriad of options, so for Starbucks it's about motivating the customer to choose its stores, and its digital network content partners by association.

SDN is designed with two key objectives in mind, says Brotman: enhancing the customer's experience and better engaging customers while they're in the store.

"Tens of millions of customers are coming in to our stores and logging in to our WiFI on a monthly basis anyways. They're coming in because we provide this great experience -- good music overhead, quality food and coffee and the opportunity to connect with your friends or the baristas ... What we hope is that this is a nice complement to that experience."

The engagement piece is centered around what Starbucks can do with location, and perhaps reveals a bit more about Yahoo's motivation to participate.

"We're really excited about the fact that we can leverage the location-based nature of the site to connect our customers with the communities around the stores," he says.

© 2010 MASHABLE.com. All rights reserved.

@highlight

Starbucks has manufactured a rich experience around six channels

@highlight

Channels include news, entertainment, wellness, business and careers, my neighborhood

@highlight

Yahoo plays a pivotal role in the behind-the-scenes network experience