(CNN) -- Sure, lots of folks might be excited about a Twitter-like social network with no ads or annoying "promoted tweets."

But would they pay for it?

The founders of App.net think so, and so far they've found more than 10,000 people who agree with them.

The startup promises a "real-time feed" that will never be supported by ads. Instead, they'll charge a fee that, at least for now, looks to be about $50. That's how much it took to support a Kickstarter-like fundraising campaign that has netted more than $670,000 and wraps up Monday.

Founder and CEO Dalton Caldwell says he's been disappointed by the advertising models of sites like Twitter and Facebook and thinks users will be willing to plunk down money for an alternative.

"If we're selling a service, our customers are our users and our job is to make our users happy," he said in a video promoting the service. "If we have a free, ad-supported service, our customers are our advertisers and our job is to make our advertisers happy.

"I think that a lot of the friction we're seeing from these disappointing services are just a reflection that all the financial incentive has to do with pleasing advertisers and not the user base."

The logic contains plenty of not-so-veiled swipes at both Twitter and Facebook. After gaining widespread popularity with no real means of making money, Twitter has begun selling promoted tweets, promoted trends and promoted accounts.

But it's also kept a firm grip on its ecosystem by not allowing much leeway for outside developers to tinker.

Caldwell promises to do the opposite.

The multibillion-dollar profits of Facebook come primarly from advertising, leading to a commonly repeated line that Caldwell appears to echo: "If you're not paying for a service, you're not the customer -- you're the product."

(If that wasn't clear enough, there's also the bristly open letter Caldwell wrote to Facebook CEO Mark Zuckerberg earlier this month, in which he pledges "to never write another line of code for rotten-to-the-core 'platforms' like Facebook or Twitter.")

But the question remains: Will users be willing to pay to use a social network? It would be a model that's never been successful before.

Michael Gartenberg, a tech-industry analyst with research firm Gartner Inc., sees some potential. Avoiding ads and opening the service up to developers could offer a glimpse at what Twitter could have become if its creators took a different path, he said.

"I think people are getting hung up on the $50 thing right now," said Gartenberg, who predicts that a membership fee for App.net will ultimately be less than that.

"It was about, 'Are people serious enough about this as an idea to put $50 on the line to help try to create the kind of service they want?" The success of their fundraiser "shows there's definitely a demand," he said.

According to the fundraiser, $50 amounts to "pre-paying a full year of 'member' tier service." Developers pay $100, and big spenders who pony up $1,000 -- as of Monday morning, 60 folks had pledged that much -- get developer access, phone support and a meeting with Caldwell in San Francisco.

This isn't Dalton's first crack at social media.

In 2003, he co-founded iMeem, a social site on which users shared music and videos, and in 2010 launched PicPlz, a mobile photo app that allowed users to add visual effects. iMeem was acquired by Myspace and, in June, PicPlz announced it was shutting down as Facebook-aligned Instagram continued to dominate the photo-sharing space.

Is App.net bound for the same fate? Other efforts that generated initial buzz have faded.

Most notably, Diaspora became one of Kickstarter's first success stories, raising $200,000 in 2010 to launch a "privacy-aware," open-source alternative to Facebook. But it took months to actually launch and, two years later, remains a relatively tiny network that's home only to the most dedicated techies.

App.net "is a really interesting experiment," Gartenberg said. "Time will tell if there's a business here. But when Twitter started, I don't think anyone knew there was a business there either. It was a way to tell people what you had for lunch."

App.net is currently open in an early "alpha" version for donors. Caldwell emphasizes that a great deal of work needs to be done before the platform is finished. But he wanted to provide something to show backers that the service is on its way.

"Along these lines, there are still a great many questions that need to be answered before App.net should be thought of as an operating service, rather than just an alpha prototype," he wrote.

@highlight

App.net plans to offer an ad-free alternative to Twitter, but users will have to pay

@highlight

A Kickstarter-like fundraiser generated more than $670,000 to start up

@highlight

Charging fees lets the service focus on users, not advertisers, founder says

@highlight

Minimum donation was $50, but analyst predicts that will get lower