The Obama administration has taken another step in its effort to combat rape on college campuses with the release of a new report.

The White House Task Force to Protect Students from Sexual Assault produced the 20-page report. The task force, including Attorney General Eric Holder and Secretary of Education Arne Duncan, spent the last three months talking to "thousands of people" and compiled a number of very specific recommendations:

More data: The task force wants to know more about the scope and scale of the problem. The report cites a statistic from the National Institute of Justice that one in five women experience rape or attempted rape in college but say the group needs to know more.

This year, the task force is pushing schools to use its tool kit in 2015 to survey their campuses. By 2016, the task force will be reporting. The report said "we will explore legislative or administrative options to require the schools to conduct a survey."

Survivors need more: In 2011, the administration first alerted schools about their responsibilities to survivors of sexual violence. The administration said that under Title IX schools had to address sexual violence in order to provide equal access to education. But schools have struggled with that. In the past three years many have been publicly cited for failing to live up to these standards.

Most recently, the Department of Education announced that Tufts University "failed to comply with Title IX" in the way it handles sexual assaults. The school wrote it was "surprised and disappointed" with the finding, adding it was "deeply committed to the safety and well-being of our students."

So now the administration is getting more specific. The importance of having confidential advocates is now emphasized. This point clarifies what had been confusing for many, namely that not everyone on college campuses has a duty to report.

"In recent years, some schools have directed nearly all their employees ... to report all the details of an incident to school officials," the report said, "which can mean a survivor quickly loses control over what happens next." That's a critical issue for many advocates who emphasize the importance of returning control to survivors.

The administration calls for further training for those who deal with sexual violence on college campuses.

"Insensitive or judgmental comments -- or questions that focus on a victim's behavior (e.g., what she was wearing, her prior sexual history) rather than on the alleged perpetrator's -- can compound a victim's distress," the report notes.

On the enforcement side, the report calls for new models for investigating and adjudicating cases on campus and for a pilot program aimed at rehabilitating offenders.

Tuesday, the White House unveiled a new public service announcement encouraging men to help women who are in danger of being sexually assaulted. The PSA features several Hollywood stars, including Steve Carell and Seth Meyers and will air in movie theaters beginning in May.

Transparency: One of the biggest problems with sexual violence on college campuses is that no college wants to admit it has a problem. Parents don't want to send their children to a school where data shows more sexual crimes occur, that could ding rankings and potentially cause problems with donors.

Paradoxically, advocates say, those schools that have high numbers may actually be taking the problem seriously. That's because they have robust systems in place that allow for students to file complaints. Now the government wants to centralize all that data on NotAlone.gov.

Accountability: It won't just be numbers on NotAlone.gov. The administration will also put forms online making it easier for students to complain if their school fails to live up to the other obligations. Many of the Department of Justice and Department of Education investigations over the years have resulted from student complaints.

So what does this all mean? According to Know Your IX, an organization that seeks to educate college students about Title IX rights, it's a good step, but more is needed.

"These changes will mean little until Title IX enforcement is finally given teeth," the organization said. Know Your IX said the administration is reluctant to use the best leverage it currently has, namely pulling a school's federal funding.

"The agency has never once sanctioned a school for sexual violence-related violations of Title IX," the organization said.

Students accuse Columbia of mishandling sexual assault complaints

Student activists fight to end rape on campus

Teens trained to spot drama before it turns dangerous

@highlight

White House task force releases new report related to combating rape on college campuses

@highlight

Task force wants to gather more data to learn scope, scale of problem

@highlight

Helping campus rape victims framed as an equal education access issue by administration

@highlight

Title IX advocacy group: It's a good first step, but more action is needed