(CNN) -- Progress against global diseases is typically slow, incremental and hard-won. But there are moments -- such as Wednesday's release of the World Health Organization's World Malaria Report -- when the cumulative effort of dozens of nations, millions of people and billions of dollars adds up to a true breakthrough.

With the new report, we have turned a corner in the malaria fight. We have reduced the rate of deaths from malaria among children under 5 by 51% from 2000 to 2012 -- halfway to our goal of ending death by mosquito bite. For the first time, the number of children dying from this preventable and treatable disease fell below half a million.

Progress against malaria is responsible for fully 20% of the reduction in child mortality since 2000. Malaria control has saved 3.3 million lives since 2000 -- 3 million of them children under 5.

This progress stands out as one of the great success stories in global health, even in human history. It's especially impressive when you consider that malaria has been with us since the dawn of man and, by some accounts, has killed more people than any other cause in human history: more than war, famine or any other disease.

Despite today's progress, malaria remains one of the biggest impediments to saving lives, improving health and unlocking human potential in much of the developing world. It threatens 3.4 billion people -- roughly half the globe -- and is a leading cause of school and work absenteeism in sub-Saharan Africa. Malaria literally sucks the lifeblood (energy, livelihood and productivity) from the African continent.

I often compare the malaria fight to the moonshot. Both are human milestones, measures of our progress as a species and a society. And both were made possible by U.S. vision and leadership. The seeds of today's progress were sown under President George W. Bush with the launch of the Global Fund to Fight AIDS, Tuberculosis and Malaria in 2002 and the U.S. President's Malaria Initiative in 2005.

These efforts have accelerated under President Barack Obama, who has expanded the initiative and recently committed to provide $1 to the Global Fund for every $2 contributed by the rest of the world, up to $5 billion by 2016. These investments are paying off, not only in children's lives saved but also in promoting stable, productive nations by keeping children in school, workers at their jobs and families financially secure.

As former Secretary of State Hillary Clinton recently said, "fighting malaria is not only the right thing to do, it's also the smart thing."

Much of the progress to date comes from expanded access to simple tools such as insecticide-treated mosquito nets, and we must maintain high levels of coverage. But how do we end the other 50% of child deaths? How do we ensure that no child dies from a mosquito bite and that we ultimately eradicate this disease from the planet? The answer comes down to three cheap, revolutionary tools.

The first is a rapid diagnostic test, or RDT. Until a few years ago, there was no practical way to get a timely, accurate diagnosis for malaria. If someone thought they might have malaria, they had to travel to a distant clinic that had an expensive microscope -- and a trained lab technician who would examine a drop of blood under a microscope -- and hope the doctor read it right.

Enter the RDT. This simple, 50-cent device tells you in a matter of minutes with 99% accuracy if you have the malaria parasite in your body. There are now 200 million of these tests deployed in Africa each year, and they're transforming the fight against malaria -- driving timely treatment and ensuring people who have other illnesses -- such as pneumonia or respiratory infection -- get the lifesaving care they need.

The second tool is malaria treatment: artemisinin-based combination therapies, or ACTs. It costs less than $1 to deliver a full course of lifesaving treatment to a child in Africa. And the simple fact is: If a child with malaria gets this $1 worth of medicine in time, he or she will not die. At Malaria No More, we're helping to close the testing and treatment gaps in Africa through our new Power of One campaign, where every dollar provides a lifesaving test and treatment.

The third tool may surprise you: a mobile phone. There's a mobile revolution under way in Africa. By 2015, there'll be more than 1 billion mobile phones on the continent. They're not only transforming communication and commerce but also how we fight communicable disease.

Mobile is helping us solve a whole slew of problems in the malaria fight: address health facilities that have a shortage of lifesaving treatments by providing timely updates on stock levels, fight counterfeit drugs by enabling consumers to text a code to confirm a malaria treatment is authentic, expand the reach of health education to ensure people sleep under their mosquito nets and provide the real-time data on malaria cases that is the prerequisite for strategies to eliminate the disease.

These tools are helping us work faster, smarter and more cost effectively. With their help -- and continued investment -- we can write malaria into the history books.

The opinions expressed in this commentary are solely those of Martin Edlund.

@highlight

Martin Edlund: New report finds impressive progress against malaria

@highlight

Rate of death among children under 5 has been cut in half, he says

@highlight

Edlund says new diagnostic and treatment options are key weapons in the fight

@highlight

He says stepped-up American aid, from Bush and Obama, has played a key role