(CNN) -- "Within the oil crisis and climate change there is the opportunity for an economic, social and cultural renaissance the likes of which we have never seen before," says environmentalist and perma-culture designer Rob Hopkins.

Falmouth in England is one of many towns across the world that have 'transition' initiatives.

"If only we can just unleash all the creativity and genius around us, rather than just lurching from crisis to crisis."

Hopkins is the founder of the "Transition Town" movement, and the author of its bible, "The Transition Handbook."

The movement was founded in Totnes, Devon, and Kinsale, Ireland, in 2005 and 2006, with the aim of helping those communities prepare for the twin challenges of peak oil output and climate change.

Since then it's spread across the United Kingdom and to towns across the world.

There are now 60 other projects already in action, and nearly 700 others considering getting involved. There is even a Transition storyline on the popular BBC radio soap opera, "The Archers."

Fundamentally, it's a grassroots initiative, and Hopkins believes that the move to an oil-free society is about community and individuals more than industry and government.

"We use about nine barrels of oil each per year in the UK," he says. "The first three we can influence ourselves, the next three are down to our communities, and the final third are the Government's responsibility. We try and focus on the first six barrels."

Transition works by helping local people get together and find ways they can reduce their reliance on oil as a community, and cut their carbon footprint in the process.

In Totnes, Transition have created local food guides, formed a sustainable building company, given talks and lectures to landowners and local government officials to show them how peak oil and climate change affect their management decisions.

They have even created an alternative currency, the "Totnes Pound", which can only be spent within the town in an attempt to localize the economy and reduce reliance on imports.

The fact that so much food was brought into this rural, agricultural region from many hundreds of miles away seemed one of the crazier excesses of the cheap oil era Hopkins believes is already over.

In an attempt to change this -- both to prepare for the day it becomes too expensive and increase the town's resilience - Transition Totnes encourages everyone to grow their own food.

They operate a "garden share" scheme that unites keen gardeners without land with those who don't have the time, or fitness, to tend their own patch.

They are also aiming to make Totnes the nut tree capital of Britain.

"We have identified unloved and derelict bits of the town, planted fruit and nut trees and trained the people living nearby how to look after them," says Hopkins.

"You can get more protein and carbohydrate per hectare from a hybrid nut tree than anything else."

So far, Transition estimate between 10 and 15 per cent of the population have had some involvement with them.

Ideas spreading from the fringes to the mainstream

Totnes is a town with a strong tradition of alternative lifestyles and environmental awareness, and exactly the sort of place Transition would appeal: the high street is crammed with health food shops and healers.

But in the two years the program has been in operation, word has spread and the concept seems to have struck a chord with thousands of people across Britain, many in areas without such a radical precedent.

"Now the people getting involved now aren't just the usual suspects, the hard core environmentalists," says Hopkins.

"We have professionals, teachers, the Women's Institute. "The Archers" storyline was, for me, a real indication we had reached into Middle England.

"One of the reasons why Transition has grown so fast is that it's expanded into a vacuum.

"People have known about climate change for some time, and now the idea of peak oil is spreading fast. But there was a real lack of action, what could you do after you'd felt bad about it all for a few days? That's where Transition comes in.

"It's not about finding out whose fault it is and chaining yourself to them, it's about rediscovering old skills, like thrift; being practical, taking control.

"Fifty years ago we all had these skills, but now we've become the most useless generation ever to walk this planet. One of the nice things about Transition is that it brings older people in and makes them feel valued -- because they know these things."

Transition works by uniting local communities and forming groups to tackle individual areas -- energy, food, housing -- with the ultimate aim being the construction of an "Energy Descent Plan" to plot out a twenty year divorce from oil.

"The British government's own plans for the future assumes oil will be $65 a barrel in 2010. Well, it has already hit $136, with many analysts predicting $200 soon, so it's quite clear they are not thinking this through.

"I think [UK prime minister] Gordon Brown could really do with being honest about energy. At the moment he isn't and that's a very dangerous situation to be in. It's no good saying we'll up North Sea production or going off to talk to the King of Saudi Arabia, we need leadership that takes a proper appraisal."

Hopkins acknowledges that it's hard for governments to take action until they know the country is behind them, but argues again, that's where Transition comes to the rescue.

"We can help create that mandate," he says, "and revitalize democracy in the process."

@highlight

'Transition towns' help local people get together to work to toward an oil-free future

@highlight

Harnessing creativity to prepare for oil peak and counter climate change

@highlight

Part of wider plan to localize solutions and strengthen democracy

@highlight

Current record oil prices help  bring 'Transition Town' ideas into mainstream