(CNN) -- Syria is heading to an "intolerable situation" according to Turkey's hyperactive Foreign Minister Ahmet Davutoglu, whose country is at the forefront of global efforts to engineer the downfall of the Bashar Al-Assad leadership.

Less than two years ago, relations were diametrically different.

Turkish Prime Minister Recep Tayyip Erdogan considered Assad a close friend and paraded Syria as the epitome of its much vaunted but now defunct "zero problems with the neighbors" policy to encourage rapprochement with Middle Eastern nations. Trade across their 850-kilometer border blossomed tenfold, security cooperation against the Kurdistan Workers' Party -- a militant Kurdish group conducting a violent separatist campaign in Turkey -- flourished and mutual visa restrictions were lifted.

This transformation in ties should not be surprising in retrospect. For Turkey and Syria never enjoyed a strategic relationship as much as a convergence of interests triggered by the Iraq war in 2003 to stymie an independent Kurdistan in northern Iraq. Similarly, both leaderships found common cause against Israel. Their relationship was merely tactical and psychological bereft of common values.

Then the eruption of the Arab awakening upended the stability in Tunisia, Egypt, Yemen and eventually Syria thereby unleashing long simmering sectarian tensions to the surface. Assad's security and intelligence forces dominated by fellow minority Alawites (a syncretic and mystical offshoot of Shia Islam) confronted a largely Sunni popular revolt.

Erdogan, a devout Sunni Muslim, did not hesitate to side with the anti-Assad masses. Gone are the days where Turkey defended Iranian nuclear endeavors and cooperated closely with it on Iraq. In its stead, Turkey patched once frosty relations with Washington jointly calling on Assad to resign, solidified the partnership with Gulf Arab countries and adopted a more muscular and robust approach towards Iran.

Washington's cooperation with regional players such as Turkey is a good example of what U.S. Secretary of State Hillary Clinton coined "smart power" in play to avoid committing scarce resources in money and soldiers as it disengages from Afghanistan and Iraq.

Turkey's anti-Assad inclination stems from its sectarian sympathies with the Syrian protesters, its desire to project Turkish influence in the Middle East and to restrain the regional ambitions of rival Iran. On the other hand, the U.S. seeks to degrade the Iranian nuclear program and to guarantee the security of Israel and the Gulf Arab states.

Despite the toughening rhetoric against Damascus, there is no hiding the fact that Turkey's choices are severely limited. Russia and China will thwart further U.N. initiatives, the Arab League looks exhausted, and the positions of the pro-Assad and anti-Assad alliances are entrenched.

At the heart of stalemate is the future of the Assad dynasty. Turkey and its friends strongly favor regime change while Assad and his allies demand regime stability. How to square this conundrum is testing the limits of Turkish diplomacy.

One possibility -- which is most favored by Turkey -- is a negotiated solution. Ankara proposed on Wednesday an international conference to end the violence in Syria. Yet, it seems highly unlikely that procedural fixes will paper over clashing objectives. Negotiations require an abundance of goodwill and a willingness to compromise, two commodities in short supply.

That leaves the most risky option of a slippery slope to further escalation on the ground. Turkey is already hosting the Syrian National Council and the Free Syrian Army of breakaway Syrian military personnel. Further measures could include unifying the hopelessly fragmented Syrian opposition and providing additional logistical and other support to Syrian armed groups.

Most perilous of all is Turkey unilaterally establishing a security zone or a safe haven on Syrian territory with the backing of the U.S., European powers and the Gulf Arabs but outside the U.N. purview. This would drag Turkey ever deeper into the Syrian quagmire that is descending into a sectarian civil war. After all, the turmoil in Syria can easily spill over into an ethnically and religiously diverse Turkey.

Direct military intervention will also pit Turkey against an angry Russia and a hostile Iran supplying collectively two-thirds of Turkey's energy needs. Tehran is seething after Ankara agreed to host in September last year a sophisticated US early warning radar system under the NATO umbrella to neutralize the threat of long-range Iranian missiles.

Turkey is undoubtedly in a precarious and unenviable spot at the mercy of unpredictable and deteriorating regional circumstances. It is not in control of events but is being controlled by events. What the ultimate outcome will be is anyone's guess.

The opinions expressed in this commentary are solely those of Fadi Hakura

@highlight

Fadi Hakura says Turkey has abandoned its friendship with Syria in wake of violence

@highlight

He says the change in position is unsurprising, given Turkey's lack of strategic links to Syria

@highlight

He says Turkey's Prime Minister Erdogan lost no time in siding with Syria's anti-Assad masses