(CNN) -- This time, history didn't repeat itself.

Democratic Rep. Ed Markey Tuesday won a special U.S. Senate election in Massachusetts, topping Republican businessman and former Navy SEAL Gabriel Gomez in an election marked by low voter turnout.

The contest was the second time in three years that Massachusetts voters headed to the polls in a special U.S. Senate election with national implications.

In January 2010, little-known Republican state Sen. Scott Brown upset Martha Coakley, the Commonwealth's Democratic attorney general, in a contest to fill the remainder of the term of longtime Democratic Sen. Ted Kennedy, who died the previous summer. Brown's victory set the stage for the GOP wave in the November 2010 midterm elections.

Fast forward three years, and this time there was no upset.

With 100% of precincts reporting, Markey led Gomez 55%-45%, according to local media reports.

Markey, who had led in all the pre-election public opinion polls, will serve the remaining year and a half of the term of longtime Democratic Sen. John Kerry, who stepped down earlier this year after being confirmed as U.S. secretary of state.

Humble beginnings

In his victory speech, the 20-term congressman talked about his humble beginnings.

"I was the first in my family to go to college. I drove an ice cream truck to work my way through Boston College as a commuter. But thanks to the opportunities this country gave me, this son of a milkman is going to serve the state of Massachusetts in the United States Senate," said Markey.

Markey, 66, held his election night victory party in Boston's Park Plaza Hotel, the same hotel where Brown celebrated his upset victory in 2010.

Brown, who lost his Senate seat last November when he was defeated by Democrat Elizabeth Warren, passed on running in this special election, setting the stage for Gomez, who had never held public office.

"We can be proud of what we accomplished, literally starting from scratch five months ago. Nobody knew who I was outside of Cohasset, a couple of little league baseball teams and the amazing people I worked with. But look at us now," said Gomez in his concession speech about 90 minutes after the polls closed in the Bay State.

National Democrats, taking no chances this time around, greatly outspent national Republicans in the contest, which Gomez acknowledged in his remarks.

"We were massively overspent. We went up against literally the whole national Democratic party and all its allies and the machine. But in face of all this diversity, we could not have fought a better fight," added Gomez, 47.

No Republican upset

While the GOP looked to comparisons to the 2010 special election and Gomez aides predicted a shocker, much has changed since Brown's upset victory.

President Barack Obama's health care measure was facing key votes in Congress at the time, and Brown's victory gave Republicans a key 41st seat in the Senate, allowing them to filibuster Democratic initiatives such as Obamacare.

The tea party movement, formed less than a year earlier, was on the rise, and played an important role in support of Brown, a charismatic candidate. And many national and state Democrats took the seat for granted as it had been in the party's hands for decades.

While there was still a lot at stake in this election (a GOP upset in Tuesday's contest would take a bite out of the Democrats current slim 54-46 majority in the Senate), and while partisanship is still just as bitter in the nation's capital, the climate has changed a bit, the seat was not considered a crucial vote in any upcoming legislation and the face received much less national media attention than the 2010 campaign.

Low turnout

Special elections often draw low turnout, and this race was no an exception. With many of the high profile names deciding against running, the contest was generating little interest with the public even before it was overshadowed by April's Boston Marathon bombings, which killed three people and injured nearly 300.

Combine that with possible voter fatigue (this was the third Senate election in the state in the past three and a half years) and a heatwave on Election Day, and it all added up to an apparently record low voter turnout for the contest, far below the 52% turnout in the 2010 special contest.

Concerned about low turnout, the biggest names in the Democratic Party all traveled to Massachusetts to lend Markey a helping hand. In the past three weeks, President Barack Obama, Vice President Joe Biden, former President Bill Clinton and first lady Michelle Obama all campaigned with Markey.

In an e-mail following Markey's victory, the Democratic National Committee said that they "built two predictive voter models to gauge support for Markey and turnout, applying the lessons learned from the Obama Campaign's 2012 innovative modeling efforts."

And a memo from Guy Cecil, executive director of the Democratic Senatorial Campaign Committee, said that "the lesson from Scott Brown's accidental win in 2010 was that Democrats must never take a race for granted. Months before Senator John Kerry resigned to become Secretary of State, the DSCC began preparing for a likely special election in Massachusetts."

A rematch?

Markey will succeed William "Mo" Cowan. Democratic Gov. Deval Patrick appointed his former chief of staff to serve as interim senator after Kerry stepped down.

If he wants to stay in the Senate past next year, Markey will need to run for re-election in November 2014, when a full six-year term will be at stake. Gomez has hinted that he'll run again, and minutes after the election was called, some national Republicans already had their eyes on a rematch.

"Today marks the end of the first mile in the marathon to permanently fill the Massachusetts Senate seat. Gabriel Gomez is well prepared to win that marathon over the next 16 months," said Sen. Jerry Moran of Kansas, chairman of the National Republican Senatorial Committee, in a statement.

Marked by nastiness

The race between Markey and Gomez was marked by its nastiness, with both candidates leveling charges of hyper-partisanship to try and sway voters in the Bay State. The back-and-forth between the two candidates spanned a laundry list of issues.

Markey demanded Gomez release more of his income tax returns to shed light on a real estate transaction. Gomez suggested Markey wasn't a valid resident of Massachusetts after three decades in Washington.

Gomez called Markey "pond scum" for airing an ad that pictured him alongside Osama bin Laden. And Markey cast doubt on Gomez's past as a private equity investor since his rival wouldn't disclose his list of clients.

The sniping played out in television ads and in three debates, which featured pointed remarks from both candidates.

In the final showdown, a tense moment arose when Gomez challenged Markey on term limits - a policy that would have prevented the 20-term Democrat from remaining in Washington.

Markey countered by asking his Republican rival whether he'd posed the same question to longtime GOP senators like Mitch McConnell and John McCain.

Gomez said he had.

Markey, without explicitly accusing Gomez of lying, expressed deep skepticism.

The exchange got to the heart of the Republican candidate's central takedown of Markey - that the longtime Democratic congressman's roots in Washington disqualify him as a voice for Bay State voters.

"Who are the people going to trust to put people in front of party and politics?" Gomez asked at the start of the debate.

Markey seemed to bristle at the suggestion he's been outside of Massachusetts too long, even going as far as reciting his home address in Malden where he said he's lived for more than six decades.

"The question isn't where you're coming from, it's where you're going," Markey said before launching into his own main takedown of his rival. "Mr. Gomez, he's backing these tired old Republican ideas...That's a reflection of who he's going to be with down in the United States Senate."

@highlight

The election is marked by low voter turnout

@highlight

Markey beats Gomez 55%-45%

@highlight

Democrats greatly outspend Republicans in the contest

@highlight

Gomez has hinted he'll run again