(CNN) -- A top U.S. Justice Department official warned Alabama's education department that the state's controversial immigration law has had "lasting" and possibly illegal consequences for Hispanic school children, according to a letter released Thursday.

"(The law has) diminished access to and quality of education for many of Alabama's Hispanic children, resulted in missed school days, chilled or prevented the participation of parents in their children's education, and transformed the climates of some schools into less safe and welcoming spaces for Hispanic children," wrote Assistant Attorney General Thomas Perez, head of the federal department's Civil Rights Division.

The legislation, known as HB 56, has several provisions, including one requiring police who make lawful traffic stops or arrests to try to determine the immigration status of anyone they suspect might be in the country illegally.

A federal appeals court has blocked some components, however, including one requiring Alabama officials to check the immigration status of children in public schools.

Even with such changes mandated by the courts and others proposed by legislators, Perez argues in a letter to state Superintendent of Education Thomas Bice that the bill already has had negative effects.

He points to data provided by Alabama officials that, he says, shows that "Hispanic students absence rates tripled while absence rates for other groups of students remained virtually flat." That includes a sharp drop in those getting schooling through English as a second language programs, meaning they did not "receive the educational services to which they are legally entitled."

Perez also writes that "the rate of total withdrawals of Hispanic children substantially increased," with 13.4% of such children having dropped out between the beginning of the current school year and this February."

There was no immediate comment Thursday night from the state about Perez's letter. Three weeks ago, state Department of Education spokeswoman Malissa Valdes said that when the law went into effect last September, there were about 1,200 daily absences more than normal of Hispanic students. This compares to a normal absentee rate of about 900 to 1,000 students.

In mid-March, that number was 1,478 absences among Hispanics and the number fell to 1,340 in April, said Valdes.

Notably, the Alabama law as written allows students to be questioned on their immigration status, though this information was not intended to deny them enrollment in public schools.

One of the bill's authors, state Sen. Scott Beason, defended the idea of checking students' legal status.

"I think it's important that we gather that data," said Beason, a Republican like most of the members of the state's legislature. "I don't think there's anything inherently wrong with collecting the data, and I think the courts will agree."

Nearly 99% of all Alabama K-12 public school students are U.S. citizens, said Perez.

And many of those of Hispanic origin feel "unwelcome in schools they had attended for years," he added, basing these comments on interviews with students, parents, teachers and administrators.

Many reported "being singled out to receive notices or attend assemblies about HB 56," as well as "increased anxiety and diminished concentration in school, deteriorating grades and increased hostility, bullying and intimidation," said the civil rights division chief.

Perez noted the U.S. Department of Justice's duty to enforce laws that bar "discrimination on the basis of race, color or national origin," and requirements that "affirmative measures" be taken to assist students for whom English isn't their native language.

"Further, the United States Supreme Court held (in a 1982 case) that a state may not deny a child equal access to public education based on his or her immigration status," he said.

Several supporters of the law, including Gov. Robert Bentley, have suggested changes to the law -- considered one of the toughest in the country, along with Arizona's landmark legislation -- but have been adamant that the core of it remain in tact.

Todd Stacy, a spokesman to House Speaker Mike Hubbard, said late last year that such discussions dealt with improving the law, "clearing up misconceptions and correcting any portions that might be vague or require additional definitions."

"Make no mistake, the legislature is not going to repeal this law and have Alabama become a sanctuary state for illegal immigrants," Stacy said.

CNN's Gustavo Valdes contributed to this report.

@highlight

Justice Department's civil rights chief sends letter to Alabama's superintendent

@highlight

He says Hispanics' absences, withdrawals soar due to the state's immigration law

@highlight

Some Hispanic students report feeling unwelcome, singled out and bullied, he says

@highlight

Proponents defend the law, saying Alabama won't be a sanctuary for illegal immigrants