TEL AVIV, Israel (CNN) -- Keep your shoes and belts on: Waiting in long airport security lines to pass through metal detectors may soon be a thing of the past.

Airport security checkpoints may become opportunities for screeners to study passengers' intentions.

Security experts say focus is shifting from analyzing the content of carry-ons to analyzing the content of passengers' intentions and emotions.

"We are seeing a needed paradigm shift when it comes to security," says Omer Laviv, CEO of ATHENA GS3, an Israeli-based security company.

"This 'brain-fingerprinting,' or technology which checks for behavioral intent, is much more developed than we think."

Nowhere is the need for cutting-edge security more acute than Israel, which faces constant security threats. For this reason, Israel has become a leader in developing security technology.

Several Israeli-based technology companies are developing detection systems that pick up signs of emotional strain, a psychological red flag that a passenger may intend to commit an act of terror. Speedier and less intrusive than metal detectors, these systems may eventually restore some efficiency to the airplane boarding process.

One firm, WeCU (pronounced "We See You") Technologies, employs a combination of infra-red technology, remote sensors and imagers, and flashing of subliminal images, such as a photo of Osama bin Laden. Developers say the combination of these technologies can detect a person's reaction to certain stimuli by reading body temperature, heart rate and respiration, signals a terrorist unwittingly emits before he plans to commit an attack.

With these technologies, the emphasis is on speed and seamlessness. Ehud Givon, CEO of WeCU, envisions a day when a passenger can breeze through a security checkpoint in 20 to 30 seconds.

Although traditional security profiling can discriminate by race and religion, security experts say behavioral profiling is more fair, more effective and less expensive.

WeCU has received grants from the Transportation Security Administration within the U.S. Department of Homeland Security, which hopes to implement a system to pinpoint internal threats such as airline employees intending terrorist acts.

Once these technologies are in place, a passenger may pass through a security screening without realizing it. For example, passengers could use an automated check-in system or gaze at a screen with departures information without realizing they've just been exposed to the words "Islamic jihad" written in Arabic.

These stimuli, explains Givon, will intrinsically elicit some sort of biometric response -- whether the passenger knows it or not -- that can be picked up by WeCU's strategically placed sensors.

"I believe that we introduce a new layer in security," Givon says. "This is something that couldn't be done in the past: finding the connection between a certain individual and the intent to harm."

The Orwellian-sounding startup has gone further to develop a system that detects a passenger's behavioral intentions by scanning their every step, literally. While walking around certain parts of the airport terminal, a passenger may not realize he has stepped on a "smart carpet" filled with hidden biometric sensors.

The technology is still under development, says Givon, who believes it will be strong enough to pick up biometric information from a footstep. If a passenger is wearing heavy hiking boots, for example, WeCU will rely on biometric sensors combined with video and thermal biometric imaging to detect malicious intent.

Another option from WeCU is a "smart seat," or cushion full of hidden biometric sensors that could provide a more detailed read on someone sitting in an airport waiting area, Givon says.

While the technology sound like something from a James Bond flick or even "A Clockwork Orange," Givon insists that passengers will not find the techniques intrusive. "We don't want you to feel that you are being interrogated," he says.

Givon is negotiating contracts with airports worldwide and believes his company's technology may be implemented as soon as 2010.

Nemesysco, another Israeli-based technology company, believes the key to a person's emotions and intentions lies in their voice. The company's patented LVA, or Layered Voice Analysis, technology can pick up verbal cues from a passenger who may pose a threat.

Unlike a polygraph test, which checks for lies, Nemesysco's systems work as an "emotion detector," says Nemesysco CEO Amir Liberman. In other words, it's not what passengers say, but how they say it.

Nemesysco's devices use a series of patented signal-processing algorithms that can differentiate between a "normal" voice and a"'stressed" voice. If emotional stress is detected, officials can determine if the passenger should be taken aside for further questioning.

The system works on the premise that all voices have a certain frequency, and any deviation of that baseline frequency can indicate stress.

Liberman says it takes approximately five to 10 seconds for their system to capture a "normal" voice in casual conversation, which establishes a baseline. Their system then measures changes from the baseline voice that signify an increase in stress, excitement, anticipation, hesitation or other emotions that can indicate a potential terrorism threat.

A computer processes the voice patterns and then flashes words such as "high risk," "medium risk," "excited" and "highly stressed." Through his system, Liberman says, he "can see what's going on in your brain."

Versions of Nemesysco's system already have been successfully tested at Moscow Domodedovo International Airport, where officials used it to target criminals and drug traffickers. A version was recently implemented at another major international airport which Liberman declined to identify.

Layered Voice Analysis also has been used to test for insurance fraud and on the TV program "Big Brother Australia."

Layered Voice Analysis has limitations, including the inability to trace the vocal patterns of a person with a speech impediment. But the system is more effective than current security measures, claims Liberman, who believes a terrorist currently can pass through airport security with explosive material "that can take down any plane."

In fact, many experts express little confidence in the current state of airport security.

Philip Baum, London-based editor of Aviation Security International magazine, says would-be terrorists could easily slip through security checkpoints, even with new regulations that check for liquids.

"The archaic system of an X-ray machine and metal detector cannot pick up other potential threats posed by passengers," Baum says. "I can have a ceramic weapon or chemical weapons and walk through an archway metal detector and it won't be picked up. Yet we have huge faith in these metal detectors that can only pick up one substance."

Laviv, whose consulting firm focuses on securing mass transportation systems, is equally skeptical.

"It is possible today to hijack an aircraft using only five or six able-bodied passengers who are well-trained in Kung Fu fighting," he says. "There is no technology in place in airports to detect a threat like that.

"The question is, should our desire be to look for each and every threat agent, rather than focus our efforts on identifying the [violent] intention of the passenger?"

@highlight

Airport security screeners' focus is shifting towards studying passengers' intentions

@highlight

Israeli companies have become leaders in developing security technology

@highlight

Systems can detect signs of emotional strain, which may signal a passenger's intent

@highlight

Other programs can study passengers' voice patterns for signs of stress