In the early 1960s, a young postdoctoral student stumbled onto something that puzzled him.

After reading the literature on cannabis, he was surprised to see that while the active compound in morphine had been isolated from opium poppies 100 years before and cocaine isolated from coca leaves around the same time, the active component of marijuana was still unknown.

This simple observation launched his life's work.

That young Israeli researcher, Raphael Mechoulam, is now a heavily decorated scientist, recently nominated for the prestigious Rothschild Prize. More than 50 years ago, however, he had trouble starting his scientific journey.

For starters, he needed cannabis to study and didn't know how to obtain it. Eventually, he obtained his research supply from friends in the police department. The young scientist was in a hurry, and didn't want to wait to cut through the red tape required by Israel's Health Ministry.

"Yes, I broke the law," he told me when I met with him in Tel Aviv last year, "but I apologized and explained what I was trying to do."

It's a good thing the Israeli government didn't stall his progress, because Mechoulam was moving at breakneck speed.

Dr. Sanjay Gupta: "Doubling down" on medical marijuana

By 1963, he determined the structure of cannabidiol (CBD), an important component of marijuana. A year later, he became the first person to isolate delta-9 tetrahydrocannabinol (THC), the psychoactive ingredient in marijuana. Over the ensuing decades, Mechoulam and his team continued to isolate numerous compounds from the cannabis plant.

Their work also went a long way toward illuminating how the drug works in the brain.  When Mechoulam's team identified the first known endogenous cannabinoid, a chemical actually made by the brain itself, he named it "anandamide." In the Sanskrit language, ananda means "supreme bliss," which gives us some insight into what Mechoulam thinks of cannabinoids overall.

It was halfway through our long afternoon discussion that Mechoulam, now 83, pulled out a paper he had written in 1999, describing something known as "the entourage effect."

Think of it like this: There are more than 480 natural components found within the cannabis plant, of which 66 have been classified as "cannabinoids." Those are chemicals unique to the plant, including delta-9-tetrahydrocannabinol and cannabidiols. There are, however, many more, including:

--Cannabigerols (CBG);

--Cannabichromenes (CBC);

-- other Cannabidiols (CBD);

--other Tetrahydrocannabinols (THC);

-- Cannabinol (CBN) and cannabinodiol (CBDL);

--other cannabinoids (such as cannabicyclol (CBL), cannabielsoin (CBE), cannabitriol (CBT) and other miscellaneous types).

Other constituents of the cannabis plant are: nitrogenous compounds (27 known), amino acids (18), proteins (3), glycoproteins (6), enzymes (2), sugars and related compounds (34), hydrocarbons (50), simple alcohols (7), aldehydes (13), ketones (13), simple acids (21), fatty acids (22), simple esters (12), lactones (1), steroids (11), terpenes (120), non-cannabinoid phenols (25), flavonoids (21), vitamins (1), pigments (2), and other elements (9).

Minister's daughter: Cannabis "a gift from God"

Here is the important point. Mechoulam, along with many others, said he believes all these components of the cannabis plant likely exert some therapeutic effect, more than any single compound alone.

While science has not yet shown the exact role or mechanism for all these various compounds, evidence is mounting that these compounds work better together than in isolation: That is the "entourage effect."

Take the case of Marinol, which is pure, synthetic THC. When the drug became available in the mid-1980s, scientists thought it would have the same effect as the whole cannabis plant. But it soon became clear that most patients preferred using the whole plant to taking Marinol.

Researchers began to realize that other components, such as CBD, might have a larger role than previously realized.

To better understand the concept of the entourage effect, I traveled to the secret labs of GW Pharmaceuticals, outside London. In developing Sativex, a cannabis-based drug to treat multiple sclerosis, the company's chairman, Dr. Geoffrey Guy, told me the company ran into some of the same obstacles that Marinol faced.

More than a decade of experiments revealed that a whole plant extract, bred to contain roughly the same amounts of THC and CBD in addition to the other components in the plant, was more effective in reducing the pain and spasms of MS than a medication made of a single compound.

It could be that multiple individual compounds play a role, or it could be due to their interaction in the body; it could also be combination of both, Guy said.

Now, maybe this all sounds obvious. After all, eating real fruits, vegetables and other plants provides better nutrition than just taking vitamin pills with one nutrient or mineral in each. Science is showing us that we can likely say the same about cannabis.

As we move forward with creating medicines, like Charlotte's Web, for the patients who can benefit from cannabis -- this is an important point to keep in mind.

Unlike other drugs that may work well as single compounds, synthesized in a lab, cannabis may offer its most profound benefit as a whole plant, if we let the entourage effect flower, as Mechoulam suggested more than a decade ago.

"This was our only hope": Medical marijuana refugees

@highlight

Scientist Raphael Mechoulam has made studying marijuana his life's work

@highlight

There are more than 480 natural components in the cannabis plant

@highlight

"The entourage effect" means those components may work best together