(CNN) -- When Arnold Palmer drove up Magnolia Lane on the eve of the 1962 Masters, he was in a confident mood. He'd already won it twice, as well as the U.S. and British Opens, but this was to be his "Annus Mirabilis" -- the year he cemented his reputation as a global sporting superstar.

"I was having some of my best times on the golf course," he told CNN, in trademark understated fashion, ahead of this week's Masters. "I felt confident about myself and the way I was playing, and it worked out very well."

As the first major tournament of the golf year, the Masters is a springboard to some of the most magical moments in the sport's history.

Victory at the prestigious and highly exclusive Augusta National Golf Club would be a career highlight for most players, but for a select few it is often just one jewel in an era-defining crown.

Palmer had been determined to erase memories of the 1961 Masters, where he double-bogeyed the final hole to hand victory to South African rival Gary Player, the first international golfer to claim the coveted Green Jacket.

The following year Palmer led going into the final round, but needed two late birdies to go into a playoff with Dow Finsterwald and Player -- "two of my very best friends in golf."

He started badly in the 18-hole contest on Monday but staged a remarkable late surge.

Fifty years on, Palmer's memories of his eventual triumph are still sharp. "I had a pretty good back nine, that was the reason for my victory."

For "pretty good" read "stunning" -- Palmer conjured up birdies at 10, 12, 13, 14 and 16 for a 68 to better Player by three shots and don the famous Green Jacket for the third time -- he would again wear it in 1964.

Palmer's caddy, Nathaniel "Iron Man" Avery, summed it up perfectly.

"He just jerks at his glove, tugs at his trouser belt and starts walking fast," he told reporters after the round. "When Mr. Arnold does that, everybody better watch out. He's going to stampede anything in his way."

That year Palmer went on to claim his second British Open title at Royal Troon -- "certainly one of my best Opens" -- as he finished 12 under par on the seaside links to win by six from Kel Nagle.

His only setback came at the U.S. Open at Oakmont, in his home state of Pennsylvania, despite going into the tournament as a heavy favorite.

An eventual loss in an 18-hole play off to the 22-year-old Jack Nicklaus was "very disappointing," said Palmer -- who three-putted 10 times in five days to undermine his fine play from tee to green.

But victories in six other PGA Tour events, as well as winning the Vardon Trophy (named after the famous English golfer Harry Vardon) for the U.S. circuit's low scoring average, rounded off an incredible year.

Golf's greatest years

By dominating golf as he did that season, Palmer continued a trend started by Vardon in the first year of the 20th century -- following in the footsteps of golf legends such as Bobby Jones and blazing a trail for the likes of Jack Nicklaus and Tiger Woods.

Vardon, known as "Mr. Golf," set the ball rolling.

Born in the British isle of Jersey, he left an indelible mark on the game by inventing the Vardon Grip -- the overlapping of the small finger over the other when holding a club -- which is used by the majority of the top players in the world today.

In 1900 he crossed the Atlantic and became the first player to win both the U.S. Open and the British Open. Overall, he captured a record six majors in his homeland. In 1920, at the age of 50 and having suffered from tuberculosis, he still managed second place in the U.S. Open -- a true measure of his greatness.

Paving the way for professionals

That decade, another golfing superstar emerged in the form of Walter Hagen, who like Palmer helped to popularize the sport with his attacking play and flamboyant lifestyle.

The American was the first golfer to win $1 million in his career, claiming 11 major titles plus five victories at the Western Open -- which in his era was one of golf's leading events.

In 1924, Hagen was at the peak of his powers and won the British Open as well as the U.S. PGA Championship (then a matchplay tournament). He also won three other PGA Tour events plus the Belgian Open.

While Hagen helped the acceptance of professional players in a sport that had been mainly amateur, in 1930 another man became a worldwide name despite refusing to accept a cent for his many triumphs.

Father of the Masters

When the world's elite play at Augusta this week, they owe their participation to the foresight and vision of Bobby Jones, who co-designed the course with Alister MacKenzie and co-founded the Masters Tournament with Clifford Roberts.

Competing on an equal footing with Hagen and the top professionals, Jones had already won three U.S. Opens and two British Opens plus four U.S. Amateur crowns. But his feats of 1930 will surely remain unmatched.

He claimed his own grand slam of the two pro and two unpaid majors on both sides of the Atlantic before promptly retiring at the tender age of 28 to practice law at the Georgia bar.

Lord Byron

The Second World War brought an end to international competition, but that era saw the emergence of one of Palmer's heroes -- the great Byron Nelson.

"I watched him and admired him very much. He was one of the greatest players of all time," Palmer told CNN as he recalled the Texan's feats.

Nelson's greatest year was 1945, near the end of the war, when he set a record on the PGA Tour which will surely remain unbroken.

The Texan won 11 successive tournaments, beating the likes of Ben Hogan and Sam Snead. His 18 victories out of 35 starts included the PGA championship, and his scoring average of 68.33 stood until it was broken by Woods in 2000.

Nelson retired the following year aged 34 to become a rancher but was the host of a PGA event which bore his name until his death in 2006.

Hogan the hero

As the U.S. economy started booming in the post-war years, golf's profile was further boosted by the exploits of a player who bounced back from life-threatening adversity.

Ben Hogan took determination and will to win to new levels in 1953 when he won all three majors he was able to contest, and five of six tournaments overall. Badly injured in a car crash in 1949 which nearly claimed his life, Hogan had to limit his schedule to prevent strain on his body.

H won the Masters by five shots and was six clear in the U.S. Open at Oakmont, while he conquered the field at Carnoustie in the British Open by four strokes to be the only man under par on the tough Scottish links.

Hogan was unable to play in the PGA Championships because it overlapped the British Open, but he would have chosen not to compete because he was unable to cope with the 36 holes per day expected of the players in the match play format.

The "Golden Bear"

A decade after Palmer's great year, one of his arch-rivals bestrode the game like a giant.

Nicklaus, who had denied Palmer victory at the 1962 U.S. Open, was at the peak of his powers. "It was easy to see that Jack would become a great player," said Palmer.

Nicklaus won two majors in 1972, the Masters and the U.S. Open, and was second to Lee Trevino at the British Open. Seven victories came on the PGA Tour and, like Palmer in '62, he won the money list and the Vardon Trophy.

Nicklaus would eventually set an all-time record of 18 majors, the final triumph coming at the Masters in 1986 with a famous final-round charge.

Champions duel

The "Golden Bear" would next be challenged by Tom Watson, nine years his junior.

Watson's win in their famous '"duel in the sun'"at Turnberry in 1977 will go down in golf history, but five years later his emergence was complete.

Watson denied Nicklaus victory again at the 1982 U.S. Open at Pebble Beach with a miracle chip from the rough on the short 17th hole. The pair were tied for the lead with Watson looking certain to drop a shot when his effort hit the flag and went in for the most unlikely of birdies.

It helped seal a two-shot victory, which the American followed up by winning his fourth British Open title at Troon before being named the PGA Tour's Player of the Year for the fifth of six times overall.

Ice-cool Englishman

The balance of power in world golf shifted away from the United States in the 1990s, with England's Nick Faldo taking over as the No.1 as the decade started.

With an attention to detail and competitive edge modeled on Hogan, Faldo claimed the Masters for the second time in 1990 after a playoff with Raymond Floyd. At the home of golf St. Andrews, he dominated the British Open from the start to win by five shots with a record 18-under aggregate.

Faldo also finished tied for third, one shot back, in the U.S. Open at Medinah and was named golfer of the year on both sides of the Atlantic.

Tiger on the prowl

However, golf had to wait another decade before the astonishing feats of a player who has become one of the most recognizable athletes on the planet, and certainly one of the richest.

Tiger Woods could manage only fifth place at the 2000 Masters at Augusta, but it was to prove just about his only disappointment in a record-breaking year.

His 15-stroke victory in the U.S Open at Pebble Beach was "the greatest performance in golf history" according Sports Illustrated magazine. The American broke Faldo's British Open record with an eight-shot win at St. Andrews and made it three majors for the year by beating Bob May in a playoff at the PGA Championship.

Woods won nine of 20 PGA Tour events that year, with the lowest scoring average in history. He then won the 2001 Masters to hold all four of golf's major titles -- the first player to do so in the modern era.

Palmer believes the 36-year-old, who won his invitational tournament at Bay Hill last month to end a PGA Tour title drought dating back to 2009, "can return to his best" in 2012.

The world of golf is waiting to see.

@highlight

50 years since legendary Arnold Palmer claimed his third U.S. Masters triumph

@highlight

1962 statistically his greatest year with victory at British Open and six other tournaments

@highlight

Every great golfer of the past century has had one year that stood out

@highlight

Tiger Woods won three majors in 2000 and nine PGA Tour events