(CNN) -- Route 66 has been called "the most famous highway in the world," and it remains the ultimate road trip. Within the United States and to travelers from around the globe, Route 66 is on par with the Alamo and the Statue of Liberty as an icon of America.

Route 66 offers today's travelers the chance to press their noses against the window peering into another time, and it shows us an America that still exists off the modern freeway system. Here's a glimpse into that world, with seven things most folks don't know about Route 66.

1. Over 2,000 of Route 66's original 2,448 connected miles are still approachable, if not always drivable.

While there are many lovely stretches and remarkable towns to be found along the way, "roadies" still debate which is the top stretch of Route 66 for a modern day road trip.

When autumn leaves fall

Some say the best unbroken drives happen along Oklahoma's 400 miles of the old road, much of it uninterrupted by the interstate. Or possibly the most memorable drive is the 158 continuous miles on Route 66 heading west from Seligman, Arizona, and on to the California state line and Topock.

Uncontested: Kansas has always had the shortest length of this road in any of the eight Route 66 states, and all 13 historic miles are drivable today through Galena and Baxter Springs.

2. John Steinbeck conceived of "The Grapes of Wrath" on a late 1937 summer drive from Chicago west on Route 66, which he called the "long concrete path."

Steinbeck's wife, Carol, suggested the title of the book (in which he called Route 66 "the Mother Road"). She was inspired by "the Battle Hymn of the Republic." The song's first verse reads: "Mine eyes have seen the glory of the coming of the Lord; He is trampling out the vintage where the grapes of wrath are stored."

Oktoberfest close to home

The book's English-language title translated into foreign-edition titles such as "Angry Grapes" in Germany and "Rage of Grapes" in Japan.

3. Of the 116 episodes in the 1960-1964 TV show "route 66" (yes, always spelled with a lower-case "r") only two episodes were actually filmed on Route 66.

The cast and crew moved on location to 81 U.S. communities in 23 states. They also made two side trips to Canada, to film episodes in Toronto and Niagara Falls. Of the two destinations on Route 66 that were part of the series, one is in Needles, California, and the other is on a pre-1937 Route 66 stretch near Santa Fe, New Mexico.

4. Route 66 is the only national highway to be decommissioned from the original 1926 grid that created the U.S. Highways System.

It all came to a head on October 13, 1984, when a new, efficient six-mile freeway heading west at Williams, Arizona, opened to traffic. That's when the last portion of Route 66 was bypassed by the interstates. Because of the new freeway, Highway 40 no longer intersected with Route 66. It now arched away from "the old road" and ended any necessity for motorists to travel on Route 66 to get between Chicago and L.A.

How the world welcomed fall (or spring)

The town of Williams had negotiated three interstate off-ramps to ensure travelers had access to their services. In return, Williams today is a wonderful place to experience Route 66 memorabilia and gain a sense of the road's history (and it is also gateway to the Grand Canyon).

With Williams bypassed, the American Association of State Highway and Transportation Officials voted in favor of the "Elimination of U.S. Route 66" on June 26, 1985.

5. Bobby Troup met Nat King Cole within days of Troup and his wife Cynthia arriving in Los Angeles, after the couple's February 1946 drive across the country, part of it on Route 66.

The Troups had driven U.S. Highway 40 from their Philadelphia home to St. Louis, where they in fact did motor west on U.S. Highway 66. Inspired by Cynthia's suggestion of "Get your kicks on Route 66" as a song title, Troup had written less than half of "(Get Your Kicks on) Route 66" when he met Cole.

Troup sat at Cole's piano at the Trocadero Club on Sunset Boulevard and played his half-song for the first time. Cole liked it so much he joined Troup and played along. Cole told Troup to finish the song and committed to recording it for his upcoming album.

We dare you to take a real vacation

Bobby and Cynthia got out their AAA maps to help frame the next verse, concentrating on their overnight stops. Cynthia said years later, "What I really can't believe is that he doesn't have Albuquerque in the song."

Kansas is the only one of the Route 66 states Troup did not reference, while Winona -- for reasons of rhyme -- is the one place out of driving sequence. Keeping his word, Cole recorded the song on March 16, 1946. Its popularity soared. And the Rolling Stones recorded it for their first album.

6. Route 66 has had many nicknames, such as "America's Main Street," and "the Road of Dreams." But Route 66 is properly co-designated "the Will Rogers Highway."

Rogers, who spent his younger years in and around Route 66 communities, was the most widely read newspaper writer of his time and by 1933 he was the top male box-office draw in the United States movie industry, becoming "honorary mayor" of Beverly Hills.

When he died in a 1935 plane crash, radio stations in many parts of the country went silent for 30 minutes out of respect for their most quoted broadcaster. While the highway signage for this designation seems sporadic, it is official. A wonderful tribute to the man and his times is the Will Rogers Memorial Museum located in Claremore, just outside of Tulsa.

7. Oklahoma's Cyrus Avery, "the father of Route 66," was so confident his proposed road from Chicago to L.A. would be designated "Highway 60" that he printed 60,000 brochures promoting Highway 60 going through his state in 1926.

Avery began erecting Highway 60 road signs along Oklahoma's state road. (Of course, all of these had to be destroyed when the U.S. Highway 66 designation was stipulated later that year.) The decision by Avery and his compatriots to accept "66" as their favored route's designation was made in Springfield, Missouri, on April 30, 1926, giving that town recognition as "the birthplace of Route 66."

To learn more about Route 66, check out the National Historic Route 66 Federation and the eight state associations that support America's love affair with Route 66. The Route 66 News website is independent clearinghouse of news and events along Route 66.

Do you remember driving along Route 66 in its heyday? What are your favorite versions of the famous song? Please share your thoughts in the comments section below.

@highlight

John Steinbeck conceived of "The Grapes of Wrath" on a late 1937 summer drive on the famous highway

@highlight

"(Get Your Kicks on) Route 66" was partially written while the songwriter and his wife were driving to Los Angeles

@highlight

Although the signage is sporadic, Route 66 is properly co-designated "the Will Rogers Highway"