WASHINGTON (CNN) -- A former death row inmate in Tennessee has been cleared of murder, three years after the Supreme Court raised repeated questions about his conviction.

After 22 years on death row, Paul House was released on bail and has now been cleared of murder charges.

State prosecutors on Tuesday asked a judge to drop all charges against Paul House, who was convicted of murder and sentenced to die in 1986. Special Judge Jon Blackwood accepted the request.

House had been scheduled to be retried next month for the 1985 murder of Carolyn Muncey. He had been on death row for 22 years but was released on bail last year. He has multiple sclerosis and must use a wheelchair.

The high court ruled in June 2006 that House was entitled to a new hearing.

"Although the issue is closed, we conclude that this is the rare case where -- had the jury heard all the conflicting testimony -- it is more likely than not that no reasonable juror viewing the record as a whole would lack reasonable doubt," wrote Justice Anthony Kennedy for the 5-3 majority.

House's appeal was championed by the Innocence Project, affiliated with the Cardozo School of Law in New York.

"In the three years since the U.S. Supreme Court stepped into this case and sent it back to the trial court, substantial additional DNA testing and further investigation have shown that he is innocent," said Peter Neufeld, the group's co-director. "Each time a layer of this case was peeled away, it revealed more evidence of Paul House's innocence."

Muncey disappeared from her rural Luttrell, Tennessee, home on July 13, 1985. Her body was found a day later, badly beaten and showing signs of a struggle. She had been raped.

House, who was on parole at the time as a sex offender, was questioned by police. He denied any involvement in the crime. He was a friend of Muncey's husband, but claimed he was in his own house several miles away the evening of the murder. But prosecutors found a hole in his alibi, discovering that he had left his home the night of the murder and returned about an hour later with unexplained cuts and bruises.

Forensic evidence found Muncey's blood on House's jeans, but questions were later raised whether the samples were contaminated en route to an FBI lab for analysis.

Subsequent state-of-the art DNA testing conducted after the conviction showed that semen on the victim belonged to her husband, not House. Blood under her fingernails and cigarette butts discovered near the wooded crime scene also did not match the accused.

But prosecutors maintain that other evidence points to his guilt. Muncey's family has also continued to believe that House was involved in the crime.

In 2005, House told CNN he did not rape or kill Muncey, and he wondered why he was still on death row.

"I guess that's the million-dollar question," he said.

While maintaining his innocence, he said that lying to police about his whereabouts that night was a big mistake.

Kennedy, in his 2006 high court ruling, offered an extensive summary of the facts of the investigation, especially the DNA evidence, which he said might point to "a different suspect." Kennedy said jurors might conclude that Muncey's blood found on House's pants may have inadvertently spilled there during the autopsy or through mishandling by police at the crime scene.

District Attorney Paul Phillips wrote in his petition this week that he still believes House could have been convicted again in a new trial, "but the new evidence (including the forensic examinations) raises a reasonable doubt that he acted alone and the possibility that others were involved in the crime."

But Phillips noted the "substantial sentence" House has served as another reason for the charges being dropped now.

@highlight

New evidence prompts judge to drop murder charges against Paul House

@highlight

House, of Tennessee, spent 22 years on death row for murder of Carolyn Muncey

@highlight

House, who uses a wheelchair, was released on bail in 2007

@highlight

New DNA testing helped raise doubts