(CNN) -- A Swedish performer emerged victorious in the Eurovision Song Contest on Saturday, beating out competition from 25 other nations.

Singer Loreen, 28, won for "Euphoria," an upbeat dance-style song. Dressed in dark colors, she sang in shadows, playing off flashing lights, wind and snow.

"I want to say that I love you so much. Thank you for believing in me," she said soon after winning, addressing her fans. "This is not just mine. This is ours."

The annual event attracts an estimated global audience of 125 million and is loved for its combination of over-the-top costumes, kitsch pop songs, sometimes dubious talent and international rivalries.

Among the more unusual contenders this year was Buranovskiye Babushki, a group of self-described grannies from Russia. Dressed in flowing skirts and sensible shoes, they performed a choreographed baking routine. Russia finished second behind Sweden.

Serbia won third with a performance by Zeljko Joksimovic.

Donny Montell, Lithuania's entry, sang "Love is Blind," ripping off a blindfold as he broke into dance.

Yet for all its entertainment value, talk in the run-up to this year's contest was dominated by where it was being held -- Azerbaijan -- as its performers.

The host nation generally uses the event to promote itself to tourists and foreign investors.

But this year, human rights activists have questioned whether Azerbaijan, formerly part of the Soviet Union, should have been allowed to host the contest given what they describe as its poor record on freedom of expression.

Human Rights Watch last month urged the contest's organizers and other nations to put pressure on Azerbaijan's government to prevent "violence against journalists, social media activists, and human rights defenders; refrain from using politically-motivated criminal charges against journalists and others; release people imprisoned on politically-motivated charges; and allow peaceful assemblies."

At present, Azerbaijan "remains hostile towards free media and other forms of free expression," the group said. "Police have violently dispersed protests, beating and arresting peaceful demonstrators and organizers."

Azerbaijan ranks 162 out of 179 countries in the latest Press Freedom Index compiled by Reporters Without Borders.

Rights advocacy group Amnesty International says 12 people are currently in prison in Azerbaijan because of their connection to anti-government protests held last year.

Eleven of the prisoners began a hunger strike on 15 May that they intended to maintain until the end of the Eurovision Song Contest, Amnesty said. It was not immediately what has or will happen, with the talent show now complete.

Azerbaijan's ambassador to the United Kingdom, Fakhraddin Gurbanov, told CNN that human rights are guaranteed by his country's constitution, but admitted there are problems.

"We are only 10 years old, and we are building a democratic society," he said prior to the event, which he promised would showcase his country's culture and hospitality. "It's a long way to go. It's not easy, it's very challenging."

Emin Milli, a former political prisoner in Azerbaijan now studying in London, accused the government of detaining a few individuals on politically-motivated grounds in order to scare other people. He told CNN he'd hoped performers on the live show would comment on the human rights situation in Azerbaijan -- a statement that would be seen by tens of millions of people -- but that didn't happen.

Despite the "Euro-" prefix, contestants can come from any member country of the European Broadcasting Union (EBU) that includes numerous non-European nations, some, like Azerbaijan, from central Asia.

The EBU is made up of broadcasters, not governments, and each year it is up to the participating broadcaster from each country to submit one act chosen through their own selection process.

With Loreen's victory Saturday, Sweden joins France, the United Kingdom and Luxembourg as countries that have recorded five wins.

They all trail Ireland, whose contestants have walked away with the top prize seven times, including a run of three consecutive victories in 1992, 1993 and 1994.

The voting that led to Loreen's win began after all the finalists performed.

Countries were awarded a set of points from one to eight, then 10 and finally 12 for their favorite songs. Voters could not select performers from their own countries, and the scores were announced in both English and French.

Television viewers cast votes in their respective countries through telephone hotlines, which count toward the final vote.

Many perceive the voting to be tactical, with neighbors or members of regional blocs, such as the former Soviet nations, appearing to base their scoring on geopolitical alliances rather than artistic merit.

Most winning acts or artists go on to sink without trace.

Among the few notable exceptions are ABBA, who won in 1974 with "Waterloo," and Celine Dion, who was imported from Quebec to represent Switzerland in the 1988 contest.

CNN's Atika Shubert and George Webster contributed to this report.

@highlight

Swedish singer Loreen wins for her song "Euphoria"

@highlight

The contest was held in Azerbaijan, amid controversy

@highlight

Singers from 26 countries took part in the final