(CNN) -- "I learned that courage was not the absence of fear, but the triumph over it. The brave man is not he who does not feel afraid, but he who conquers that fear." Nelson Mandela

For Kevin-Prince Boateng it was a depressingly familiar soundtrack: the monkey noises, the name-calling, the crude racial stereotyping.

He'd always ignored it in the past, and for 25 minutes of AC Milan's match with lower league Pro Patria in early January this year he'd done the same.

But then something inside him snapped. The 26-year-old picked up the ball and propelled it in the direction of his abusers before storming from the field of play, followed by his teammates.

The game was over and Boateng's protest transformed this exhibition match into headline news around the globe, plunging football's authorities into crisis management mode.

"I could hear from the crowd some monkey noises and this went on for about 25 minutes. Every time I touched the ball I could hear the crowd," Boateng told CNN.

"I said to myself, in this kind of environment, in this situation, I don't want to play football anymore.

"I came to the dressing room and I was the first, and saw one (teammate), then the second one and then the whole team came. I was really surprised and then really proud. I thanked all of them for following me.

"After not even 10 minutes I had, like, 86 phone calls on my phone and I thought something had happened, but it was just an unbelievable impact. It went all around the world within the first hour."

The authorities react

Boateng's actions were applauded and condemned in equal measure but, undeniably, they forced the game's authorities to stand up and take notice.

As recently as 2011 FIFA president Sepp Blatter told CNN that on-field racism didn't exist in football and that those who thought they'd been abused during a game should simply shake hands upon the final whistle and move on.

He later insisted his comments had been misinterpreted and underlined his commitment to fighting racism in football and society.

But while Blatter insisted that walking off the field was the wrong way to tackle discrimination, there's no doubt Boateng's protest provoked the head of world soccer's governing body into decisive action.

A task force against racism and discrimination was formed, with Boateng invited to join ahead of its first meeting on May 6.

It formulated proposals that would see any player or official found guilty of racism banned for five matches while teams could be docked points, expelled from competition or even relegated for persistent offenses.

Those recommendations were ratified at FIFA's recent congress in Mauritius and were hailed by the task force's head Jeffrey Webb as a "defining moment" in soccer's fight against racism.

Boateng was also invited to the United Nations, where he told the International Day for the Elimination of Racial Discrimination that racism was a "dangerous disease."

UEFA, European football's governing body, went further than FIFA, implementing a minimum 10-match ban for racist abuse by players or officials and escalating measures for clubs including fines and stadium closures for repeat offenders.

But although football's authorities have now adopted a stronger stance to combat what has long been an ugly stain on the game, the picture on the ground is more clouded.

CNN contacted more than 15 European football associations asking a series of questions on the prevalence of racism.

One of only a handful who replied, the Portuguese FA, said they don't have any record of racist abuse cases in their country.

This despite Porto being fined $26,000 by UEFA for racist abuse directed at Mario Balotelli, then a Manchester City player, during a Europa League match in 2012.

The English club was later fined $39,000 in the same competition for taking to the field late after halftime.

On the ground in Serbia

The situation in Serbia reflects the complex nature of such an explosive topic.

The technical director of the Serbian Football Association, Savo Milosevic, told CNN that his country's problems with racism have been exaggerated.

"I think people made out of this a much bigger problem than we actually have," he said. "We don't have a strategy to fight against racism in the FA of Serbia, we also don't have a strategy in our government to fight against racism, simply because we don't consider this a problem here."

He cited the difficulties they face with crowd violence as a more pressing concern, with Serbia repeatedly warned about the conduct of its supporters, who rioted and caused a Euro 2012 qualifying game with Italy to be abandoned back in 2010.

But the Serbian FA was recently fined £65,000 ($84,000) by UEFA after an ill-tempered under-21 match against England in which visiting player Danny Rose claimed he'd been subjected to monkey chants from the crowd.

The incident, and the fine, prompted criticism of UEFA from the British government, whose sports minister Hugh Robertson expressed his disappointment at the sanctions in relation to what he called "widespread racist abuse."

Milosevic, just like the Serbian FA did at the time, insisted the punishment was related to a brawl between the players and not to do with racism.

Passionate fans

On CNN's visit to the Belgrade derby between Partizan and Red Star, notorious for the fervency of both sets of fans, there was violence in the stands, and several fires lit but no audible racism.

Reflecting the diverse nature of many playing squads within European football, Red Star's team contained several black players who told CNN they'd experienced no racial abuse since joining the club.

But while progress has been made on the field, with players from a wide range of nationalities sharing dressing rooms around Europe and standing together to present a united front against the scourge of discrimination, flashpoints keep occurring in the stands, especially in Italy.

Lazio was issued with a $186,000 fine after racist chanting from its fans during three matches in the Europa League: two against English club Tottenham in September and November 2012, and one against Maribor of Slovenia in December.

And in May, Boateng, along with Italy striker Mario Balotelli and Ghana international Sulley Muntari, were the targets when a game between AC Milan and Roma was temporarily halted as visiting fans chanted racist abuse at the trio.

Balotelli, one of Europe's most high-profile black players, told CNN in an exclusive interview that he would walk off the field if the abuse persisted while Muntari expressed his desire to "kill" all racism in the game.

They epitomized a new resolve among the game's top players to stamp out discrimination, sparked by Boateng's actions in the small town of Busto Arsizio in the Lombardy region of the country on that January afternoon.

Boateng's resolve

His abusers at Pro Patria were recently handed jail sentences ranging from 40 days to two months and Boateng is convinced the past five months are proof that there is hope for the future.

"I'm taking care of these things because I want my son to grow up in a nice place and not in a place where he has to be confronted by racism," Boateng explained to CNN.

"But I never ever thought that if something happened like this that I would react the way I did, that was just out of the emotion and anger in that situation.

"I would say that it's there every day. It's still there and that's a big problem, because we are in the year 2013 and we still have to face racism. There are so many people who are fighting it now, and I want to be a part of that.

"I'm very confident. I had so many talks and so much support from people who want to help, who have offered their help."

After years of mixed messages from the top, it appears there is now an appetite to launch an assault on the outdated attitudes that still infiltrate the modern game.

But given the recent resurgence of racist incidents in Europe, and the muddled picture in various pockets of the continent, the path towards zero tolerance is sure to prove painstaking.

Should the globe's most popular sport manage to forge a way through, perhaps it will be able to point to the events of January 3 as a turning point.

As far as Boateng is concerned, had it been a friendly, or one of the planet's most high-profile games his reaction would have been the same.

"I think we should not accept and tolerate racism anywhere, in any game, whether it's a friendly game or a World Cup final or it's a Champions League final," he said.

"For me I would honestly do it even if it was a Champions League final."

@highlight

Kevin-Prince Boateng's walk-off protest marked pivotal moment in soccer's racism battle

@highlight

Milan midfielder left the field after being abused during match with Pro Patria

@highlight

He now sits on FIFA's anti-racism task force as authorities reacted to his protest

@highlight

Both UEFA and FIFA have passed new laws to try and eradicate racism from the game