(CNN) -- Women have finally arrived.

From Washington to Wall Street to Twitter, writers, academics, and business leaders are pointing to the empowerment of women as key to many of the world's greatest challenges. They're publicizing the research and amplifying hard facts, like the fact that when women have equal access to agricultural resources, 100 million to 150 million fewer people will go hungry.

Or that when women participate equally in the workforce, the GDP in the U.S. the eurozone, and Japan will experience a double-digit spike. And while there's no perfect metric for the popular perception of "girl power," a 2010 Pew study found widespread public support for women's equality in virtually every nation.

The excitement over women's potential and progress is warranted. But there's still a large and disappointing disconnect between research and reality. Girls and women do indeed perform 66% of the work and produce 50% of the world's food. But they earn only 10% of the world's income and own a dismal 1% of its property.

And women everywhere experience less access to credit, training, technology, markets, role models, and protection under the law. Girls and women may keep the world running, but someone else is still running the show.

So if women have indeed "arrived," despite key indicators showing continued widespread inequality, where exactly have they landed? All signs point to girls and women at a tipping point.

With leaders finally paying attention to their issues, women are miles ahead of where they once were. But they are also far from where they need to be. And women won't get past the tipping point and onto a level economic playing field until we all ensure that their economic empowerment is a sustainable path forward rather than a fad or figment of the global imagination.

Leaders across various sectors must approach girls and women as actors who drive solutions, not just as beneficiaries who receive their results. We need a shift in strategy and investment to help women around the world to mobilize themselves and their communities.

The moment is ripe for action. Mid-September is the geopolitical busy season, and leaders from around the globe have descended on Manhattan for the U.N. General Assembly, the Clinton Global Initiative, and other global meetings, where girls and women will undoubtedly be a hot topic. For the first time, this game of empowerment has all the cards stacked on the right side: The relevant players, from corporations to governments and nongovernmental organizations, are beginning to recognize that it's time to "invest in women."

Some already are. Members of the Clinton Global Initiative are promoting innovative solutions. Through its Personal Achievement and Career Enhancement program, retailer Gap Inc. helps female garment workers build both life and technical skills, offering managerial and financial literacy training so that they can advance in the workplace.

And that will help them make progress in their careers and lives. Through P.A.C.E.'s partnership with the Washington-based research institute the International Center for Research on Women and local NGOs, 7,600 women have completed the P.A.C.E. program in seven countries.

Unilever is putting women in the driver's seat as well, boldly pledging to make more than half of its senior management team female by 2015.

With women controlling nearly $12 trillion of the overall $18.4 trillion in global consumer spending, it's just good business sense for a global consumer goods company to guarantee itself a leadership that reflects its consumers.

Leaders can also look to the approach taken by the Secretary's Office of Global Women's Issues in the U.S. State Department, which is integrating initiatives for women's advancement into the United States' foreign policy and the duties of every U.S. diplomat abroad. And it has built partnerships with the private sector to mentor and train thousands of women who own small and medium-sized businesses in Africa, Latin America and elsewhere around the world, to combat gender-based violence, and to provide prenatal education to mothers in developing countries.

If the world is truly to mine the untapped potential of women, and bring greater social and economic progress to our societies, then all sectors of society -- government, business, civil -- must work together. Not just because women will reap the benefits, but because everyone stands to benefit. None of us will truly arrive until girls and women leap over the tipping point, too.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Melanne Verveer and Penny Abeywardena.

@highlight

Melanne Verveer and Penny Abeywardena: Empowering women will help the world

@highlight

They say research shows that women perform more of world's work but earn far less than men

@highlight

They say Clinton Global Initiative promotes partnering with companies to lift up women

@highlight

Writers: All sectors of society must work to integrate women for social and economic gains