Islamabad, Pakistan (CNN) -- Secretary of State Hillary Clinton said she had a frank discussion with the Pakistani president on Friday as part of a push to repair the relationship with Islamabad in the wake of a U.S. raid that killed Osama bin Laden.

Adm. Mike Mullen, chairman of the Joint Chiefs of Staff, accompanied Clinton for what one senior State Department official said beforehand would be a "sober" set of talks about the need for Pakistan to root out terrorists in its country.

The meeting between Clinton and President Asif Ali Zardari was behind closed doors, but afterward Clinton described it as "very extensive, open, frank and constructive."

Describing the countries as friends with shared interests, Clinton said the United States and Pakistan must intensify the fight against terrorists who have used Pakistan as a safe haven.

She also commented on a question raised after bin Laden was killed by U.S. commandos.

"I want to underscore a point that I made in public in the last weeks and made again privately today to the president, the prime minister and others," the secretary said in a joint statement with Mullen. "There is absolutely no evidence that anyone at the highest levels of the Pakistani government knew that (bin Laden) was living just miles from where we are today."

The revelation that bin Laden was living in plain sight for years amongst Pakistani military installations, and Pakistan's humiliation at the U.S. decision to undertake the raid without telling them, has thrown the relationship into one of its worst points in history.

"Now is not the time for retreat or for recrimination," Mullen told reporters. "Now is the time for action and closer coordination; for more cooperation, not less; for the friendship to get stronger, not weaker."

Clinton said Pakistan has a responsibility to prevent insurgents from waging war in Afghanistan from its territory.

She also extended an olive branch, saying the United States will stand by the Pakistani people "for the long haul."

Both Clinton and Mullen noted that Pakistani blood has been shed in terror attacks.

Clinton asked Mullen to come with her so they could have one meeting where they are delivering the same message at the same time and gauging Pakistani's reaction together, a senior administration official said.

After the meetings, Zardari's office issued a statement saying, the two sides agreed to "work together in any future actions against high value targets in Pakistan" and to cooperate in promoting peace in Afghanistan.

A senior Obama administration official told reporters after the meeting that it provided an opportunity for the leaders to smooth the relationship.

"I think we walked back from the brink from a week or two, I think this continued the process and I don't think she would have come if they hadn't already taken some of those initial steps. I think this is simply defining and putting that on firmer and firmer grounding," the official said.

That official and a second senior administration official hinted that joint U.S.-Pakistani operations may be conducted soon.

Acording to a CNN / Opinion Research Corporation Poll, about 80% of Americans have an unfavorable opinion of Pakistan and about 25% consider the country to be an enemy of the United States. Last summer, 78% of Americans surveyed had an unfavorable view of the country.

The poll surveyed 1,007 Americans by telephone May 24 through May 26 and had a sampling error of plus or minus 4.5 percentage points.

Clinton had been expected to visit Pakistan earlier this month for more fulsome talks, as part of a "strategic dialogue" that covers more than a dozen areas of cooperation between Washington and Islamabad. But she postponed her visit after the raid on bin Laden's compound by U.S. Navy SEALs.

"The fact of the matter is that the international community has been able to kill more terrorists on Pakistani soil than any place else in the world. We could not have done that without Pakistani cooperation," Clinton told reporters in Paris earlier this week. "I believe strongly it is in our national security interests to have a comprehensive, long-term partnership with the government and people of Pakistan."

Last week, Marc Grossman, special envoy for Afghanistan and Pakistan, traveled to Islamabad, where he delivered the set of demands, emphasizing the United States needed actions, not words from Pakistan, according to a senior official briefed on the talks. The official was not authorized to speak on the record.

During several meetings with Zardari, and others, Grossman said the United States was looking for more cooperation from Pakistan in fighting extremism. The meetings were described by a senior official briefed on the talks as "tough, but fruitful." The talks followed a visit a few days earlier by Sen. John Kerry, chairman of the Senate Foreign Relations Committee, who delivered a similarly tough message

During the meetings with Grossman, the senior U.S. official said, a Pakistani official voiced strong concern about the continuation of U.S. drone strikes against targets inside Pakistan, but he and other members of the Pakistani leadership expressed a willingness to press al Qaeda, conduct joint operations and support reconciliation.

Officials point to enough progress since Grossman's visit, including the fact Pakistan returned the tail of a helicopter that was left behind after the raid, for Clinton to make the trip to Pakistan.

But they say the relationship between the two countries needs serious repair before cooperation on areas important to Pakistan can continue. Two weeks ago, the Pakistanis asked the United States to reduce the number of military trainers in Pakistan. A Pentagon spokesman said this week the U.S. has begun to comply and is removing some of the more than 200 personnel who are posted there.

@highlight

NEW: Clinton, Mullen say U.S., Pakistan must continue working together

@highlight

Clinton will lay out in a "no-kidding" way what the U.S. expects, says one official

@highlight

The secretary will warn that U.S. aid is in jeopardy unless Pakistan makes progress

@highlight

Clinton said recently that a strong U.S.-Pakistan relationship "is in our national interests"