(CNN) -- The people in Rwanda do not want the world to forget what happened there 18 years ago. They certainly haven't.

This week, Rwandans mark the 18th anniversary of the April 6, 1994, genocide that took place in their country. For many, this is a somber but very necessary exercise, and many will visit sites where their families and friends were killed.

But on a recent visit there, I took away that although people want to remember what happened, they also want to show the world how they have moved on.

It was 14 years ago when I last visited Rwanda. I was covering President Bill Clinton as a White House correspondent when Air Force One touched down March 26, 1998. I remember thinking how absolutely beautiful and lush the countryside was flying in. It was hard to believe this was the same place where such atrocities occurred.

We stayed on the tarmac for three hours because the Secret Service deemed it was too dangerous for the president to leave the airport. During our short stay in 1998, Clinton apologized on behalf of the American people to the Rwandans for not doing enough to stop the 1994 genocide. During that period, Rwanda's Hutu majority targeted and slaughtered the Tutsi minority and Hutu moderates, killing 800,000 people in 100 days.

After his speech was over, I interviewed a genocide survivor.

She was a young woman who had been gang raped and carried scars across her head from a huge machete. We sat across from each other in metal folding chairs in the airport hanger. I asked her the only thing that was on my mind: "What gives you the strength to go on?" And she responded "faith."

Fourteen years later to the day, I would be invited to participate in a service project that would bring me back to Rwanda.

Last week, I traveled with a small group of female journalists. We were asked to help teach young Rwandan women how to tell their own stories through journalism. They call it "the girl effect" -- investing in young women early in their lives so that it will pay off later in curbing poverty, disease and despair. In Rwanda, the concept is "ni nyampinga." In their local language, it means striving to be a beautiful woman inside and out.

One of those women I met was 23-year-old Didacienne "Dida" Nibagwire. She is a young actress who has been in a number of films and TV shows in Rwanda. Kids go crazy seeing her on the street because they recognize her from a series she did on children's rights. As in the U.S., making a living as an actor is tough, so she does electronics repair and translations on the side. Like many Rwandans, she speaks at least three languages -- Kinyarwanda, English and French.

Dida is part of the new generation of Rwandans that has hope and the opportunities to pursue their dreams. When I first met her, she smiled easily and exuded a kind of calm that felt maternal. But Dida's path to this point has been difficult, and she was very open about her struggle.

When Dida was 7, her parents and six of her 10 siblings were killed in the genocide. Her earliest memory is of running -- running with her sister, her mother and many others for reasons she says she didn't understand. Dida says she remembers first her father being shot, then her mother attacked.

"They put a spear in her back. ... Then they shot my younger sister and cut the leg off one of my other sisters. Then after that, that's when they killed my mom, but she did not die. She was talking to my sister, asking for water, but she could not go out to search for water. Then she died," Dida says.

Dida and her older sister, Claire, survived after the killers launched a grenade. "She was sleeping in front of me, and her blood was all over over me, and they thought we were both dead. That night she took me to walk," Dida says.

Days later on the dangerous journey, Dida and Claire were apprehended by a group and thrown into a pit of dead bodies.

"A certain day many killers came and the leaders took me and my sister and then they opened a big hole and threw us in. I was asking please forgive us." Dida says she asked Claire whether they were actually dead.

The two survived because a friend of Dida's sister paid someone to pull them out.

"Someone came and opened up and removed my sister and tried to remove me but because there were many dead they said, 'We leave her here.' "

Dida's sister saved her life when she offered to take her place. But they could not save everyone. "The sad thing is that they closed the pit, and they left the other man inside, and he was still alive," Dida says.

This is just a small part of Dida's complicated story.

When I asked her how she endured such tragedy and is able to cope today, she says, "I think it's an obligation. I have to do something good for my country. ... I ask myself why did I stay, why not my younger sister, why not my brother, and I say maybe God has something that he wants me to do."

Dida is doing plenty these days, including theater, teaching and voice-over work. She is most proud of her performances that draw attention to the problem of violence against girls and says it contributes to her healing.

"There is no paradise on Earth. What happened in Rwanda can happen anywhere," Dida says.

But Dida also is somewhat of an ambassador for her country.

"Rwanda is not only about genocide. I think Rwanda is about something else," she says. "I think many people when they hear Rwanda they link it with genocide, but after 18 years, Rwanda is at a certain point. ... We have our culture, we have our history, we have many things.

"We have a developing country. It's a tourist country. ... It is our history but we also want people to know that Rwanda is not all about genocide; Rwanda is something else."

@highlight

On April 6, 1994, a genocide began in Rwanda that claimed 800,000 lives

@highlight

One of the survivors is now a popular actress, Didacienne Nibagwire

@highlight

"What happened in Rwanda can happen anywhere," says "Dida"

@highlight

She says the Rwanda of 2012 is about so much more than its bloody past