Tripoli, Libya (CNN) -- Heavy, sustained gunfire rang out in the Libyan capital of Tripoli early Sunday morning as unrest in the country entered a 20th day.

On Saturday, Libyan opposition leaders announced an alternative government as the United States and other countries helped evacuate refugees of the conflict.

Anti-government forces also claimed two major successes Saturday: preventing pro-government forces from taking the city of Zawiya, near the capital of Tripoli, and capturing the strategic eastern oil town of Ras Lanuf.

The opposition and government forces have battled in recent days for full control of Zawiya, about 30 miles west of Tripoli.

Forces loyal to leader Moammar Gadhafi withdrew from the city's Martyrs' Square and returned to their positions on the outskirts after intense clashes with rebels, according to a witness who is serving as a rebel spokesman.

He reported heavy gunfire and mortar shelling and saw the bodies of three slain opposition members carried in the square en route to burial.

The witness said pro-Gadhafi forces entered a residential area in the city and shot live ammunition and automatic weapons at residents in the streets. The sounds of automatic weapon fire and people yelling could be heard during a telephone interview with the witness.

After a lull in fighting, clashes erupted again Saturday evening.

The pro-Gadhafi security forces are using tanks, armed vehicles, and heavy weapons, and the anti-Gadhafi forces are well-armed, a second witness said. Many deaths and injuries have occurred in the latest round of fighting, and protesters managed to seize tanks and weapons from the security forces.

Saturday, rebels also captured the strategic oil port of Ras Lanuf, a day after pro-Gadhafi forces fought with opposition members there, fighters and commanders said.

The development appeared to embolden opposition members, who prepared to advance west to Gadhafi's birthplace of Sirte.

Government forces, however, worked to thwart their push. CNN reporters following the movement of rebels in As Sidr, just west of Ras Lanuf, saw an air force helicopter pound opposition positions. There was no word on casualties.

Rebels near Ras Lanuf said they shot down a Libyan air force plane, a Soviet-made Sukhoi Su-24MK that crashed in the desert. CNN located the plane's debris, spread over a kilometer (about half a mile), with the headless bodies of two pilots at the site.

The plane was printed with the emblem of the Libyan Arab Air Force.

In the capital, a pro-democracy activist who spoke to CNN described a city filled with tension and mistrust. The woman, who asked not to be named because of fears for her safety, said she has seen people in the streets who, she believes, are monitoring residents' comings and goings and phone conversations.

"I see cars that have people inside them, and they are usually connected with a computer," the woman said, adding that special antennae are connected to the computers.

The same people are also interrupting cell phone signals and hacking mobiles, she said, and the internet has been unavailable since Thursday.

The family's business has been robbed, with millions of dollars' worth of materials stolen, she said. Squatters have also moved into one of the family's homes.

"The police won't do anything about it," she told CNN. "Everyone is focusing on what is going on politically and losing focus on the crime."

The woman said she has been trying to smuggle medication and other supplies into Libya, and that's one reason she refuses to leave -- even though so far, she said her efforts have been unsuccessful.

The strife engulfing the besieged north African nation is reverberating across the country, the region and the world. Death toll estimates range from more than 1,000 to as many as 2,000, and the international community has been pondering strategies on how to end the violence and remove the Gadhafi regime.

The government has been reviled across the globe for violence against civilians, and the International Criminal Court this week launched an investigation of Gadhafi, some of his sons and other leaders for possible crimes against humanity.

Opposition-controlled radio announced Saturday that the country's sole legitimate representative was now the National Transitional Council, a group with 31 representatives for most of the regions in Libya.

The council held its first meeting Saturday in the eastern city of Benghazi. They called Benghazi their temporary location until the "liberation" of the capital, according to a decree the council issued late in the day.

Former Justice Minister Mustafa Abdeljeleel, whom the council said had tried to resign from Gadhafi's government several times, was announced as the council's new leader.

The council also named a representative for military affairs and established a military council to oversee the "liberation" of Libya and reconstruct the armed forces, according to the radio announcement.

The council said its main missions are to represent all of Libya internationally, liberate the country, draft a constitution and hold elections.

In Benghazi, witnesses said forces loyal to Gadhafi pounded a weapons depot, an airstrike that caused casualties and widespread damage.

One witness said the airstrike there was powerful enough "to destroy a whole city." News footage showed the remains of buildings and debris and ambulances arriving.

Such aerial attacks have prompted the West to step up discussions about imposing a no-fly zone over Libya. U.S. military and diplomatic officials have said such a zone would be complicated and risky, and international support for it is not strong.

"If it's ordered, we can do it," U.S. Defense Secretary Robert Gates said earlier this week, but imposing a no-fly zone "begins with an attack on Libya to destroy the air defenses."

The Arab League has rejected international intervention, saying Libya is facing "an internal affair that is decided by the people and their governments." However, the league cannot ignore the suffering of civilians and would consider the imposition of a no-fly zone in coordination with the African Union if fighting were to continue, said Hisham Yousef, chief of staff of the Arab League, on Wednesday.

The fierce fighting has sparked the flight of Libyans and foreigners out of Libya, with nations across the globe scrambling to help people leave.

Almost 200,000 people have fled Libya with nearly equal numbers going to Tunisia and Egypt, the United Nations refugee agency said.

The United States announced Saturday it is contributing $3 million to the International Organization for Migration to help return home thousands of non-Libyans who fled to Tunisia. Four U.S. military flights Saturday were taking a total of 312 Egyptians back to Cairo, the U.S. State Department announced.

Thursday and Friday, about 1,800 people crossed from Libya to Tunisia, and about 3,000 crossed on Saturday, said Firas Kayal, spokesman for the U.N. High Commissioner for Refugees.

He said the situation at the border is "very calm."

A few thousand Egyptians are in Tunisia awaiting travel home, and more than 10,000 Bangladeshis are there awaiting evacuation with hundreds more still arriving, Kayal said.

The agency confirmed that a Bangladeshi migrant worker died after a heart attack from the exhaustion of walking to the border. Many migrant workers told aid workers they had to walk to the border because soldiers took their money and they couldn't afford paying for a taxi.

CNN's Ben Brumfield, Arwa Damon, Ben Wedeman, Salma Abdelaziz, Jomana Karadsheh, Nic Robertson and Jill Dougherty contributed to this report

@highlight

NEW: Heavy, sustained gunfire is heard in the capital city of Tripoli

@highlight

Gadhafi's foes announce the formation of body to represent Libya

@highlight

Opposition members in the east say a military plane was shot down

@highlight

Almost 200,000 people have fled the situation in Libya