(CNN) -- Three years ago, a few days before Andrew Cadieux's 21st birthday, a stranger sharing his last name sent him a message on Facebook. His mother denied knowing the person at first, but eventually admitted the stranger was his birth mother's sister. The woman he'd called mom all his life was another aunt.

The revelation tore the lid off 21 years of family drama that she'd hidden from him.

Cadieux's birth mother had Down syndrome and couldn't care for him; his aunt and uncle had adopted him. When his adoptive father died, a feud tore the family apart, leading Cadieux's mother to decide it was better to sever ties with the family and never share with the young boy his history.

"Without Facebook, she wouldn't be part of my life because they didn't want her to have anything to do with me," the 24-year-old software engineer from Connecticut said.

It's hard to keep secrets in the age of social media and the adoption world is no exception. Cadieux's story is just one that shows how the Internet is making it easier for birth relatives to find each other, hastening the end of the era of "closed" adoption, the nonprofit Evan B. Donaldson Adoption Institute said in a report released Thursday.

Birth parents are seeking out their kids and adopted children are going online to find biological relatives, often without their adoptive parents' knowledge, according to the report, "Untangling the Web: The Internet's Transformative Impact on Adoption."

Adam Pertman, executive director of the Adoption Institute, said he hopes the report will help shape policies and practices that harness the new technology while protecting vulnerable children and parents.

"We hope this report will serve as a wake-up call that something historic is happening that demands the attention of legislators, practitioners, law-enforcement officials and the affected parties themselves," Pertman said.

The report also addresses the "growing commodification" of adoption through scams and unregulated websites that raise ethical and legal concerns. It's now nearly impossible -- and perhaps unethical -- to promise secrecy or anonymity in adoptions, the report suggests.

The report calls for more education and training to help adoption professionals understand the positive and negative uses of the Internet, along with revised training programs that assume most people will be able to find each other at some point.

"Everything from A-to-Z is being rewritten without best practices or guidance," Pertman said. "We have a maze in front of us and we have to learn to navigate it and provide people with resources, or they're going to get lost in it."

Over the past few decades, it has become more common for birth parents and adopted parents to agree to some sort of open relationship, the report says. A recent survey found that 100 infant adoption programs in the United States reported 5% of their adoptions were completely closed, while 55% were fully open and 40% were mediated through an agency, the study said.

Even in open adoptions, it can be hard for people to resist crossing boundaries. Why wait for a picture in the mail when you can peek at someone on Facebook, Twitter or Instagram? But if both sides communicate, they can reach an agreement on how to handle each other's lives online and offline.

Alison Cohen's daughter used to send her letters and pictures through her adoptive parents. But when the 13-year-old started sending Cohen e-mails, she knew she had to tell the girl's parents.

"I was aware of her need for connection and I wanted that so much for myself, too," said Cohen, who lives in Evanston, Illinois. "But then I had to realize I'm not the parent making the decisions and I need to stay in my own place in the picture, and also, we will both get what we want in the future as life plays out.

"Sort of like delayed gratification."

The girl's adoptive parents weren't comfortable with e-mail at the time, but Cohen was grateful to hear they wanted her to have more frequent contact with their daughter as she got older. Last year, for the first time since her birth, Cohen's daughter met her birth mother. The girl is now 16, and e-mails with Cohen with her adoptive parents' permission.

A few years ago, her daughter friended her on Facebook; Cohen hasn't accepted it, but she keeps it in the queue so she can see how the profile picture changes.

"The Internet does provide more opportunities for surveillance of each other but not really in a negative way," she said. "It's hard to walk that line between wanting to respect boundaries and still wanting a connection.

"The Internet opens up possibilities but it doesn't change any of the inherent complicated feelings that everyone has around the situation."

Indeed, not everyone agrees open adoption always works. In a recent guest post on the blog "Portrait of an Adoption," a woman who adopted a child from foster care detailed her decision to close the adoption for the child's safety. The boy's biological parents had a history of drug and alcohol abuse and erratic behavior. In the few instances she initiated contact, the mother angrily demanded to see her child, signaling to the adoptive mother that she was unstable.

"I tried to open up our adoption, maybe just a little bit. And it was a huge mistake. The state created closed adoptions from foster care for a reason," the adoptive mother wrote in her post, "Why My Son Has a Closed Adoption."

"I will never badmouth his birth parents to him. He has seen their photos and I answer whatever basic questions he has. But he hasn't had many. When he is 18, he can read my huge, thick file of his records from the state, including his birth parents' full names etc.

"But while he is underage, I will protect him and keep him safe. Even from his own relatives."

The Internet has created vast support networks for birth parents, adoptive parents and adoptees, including blogs, social media sites and message boards. Among the millions of links, though, it's easy for those seeking guidance to be overwhelmed.

It took Sandi Aiken six years to find BirthMom Buds, a support group for expectant mothers or mothers who found new families for their children. They were the first ones she turned to after she learned that her 17-year-old son wanted to visit her.

Two months earlier, in September 2010, the son she had named Christopher sent her a message on Facebook: "Hello Mom. I finally found you."

Aiken had hoped to one day meet the son she gave up for adoption years earlier, but she worried he would hate her. Friends from the support group told her to be brave.

She went to the airport two hours ahead of time and cried while she waited. She was unsure if she would recognize him but as soon as he rounded the corner she knew it was him. The two embraced, marking the start of a relationship that continues to thrive, she said, even with his adoptive family.

"It's like he was never out of my life even though he went down a different path," the Arkansas woman said. "I feel good about it, too, knowing he had a good life and became the fine young man he is today."

Not every encounter has a storybook ending.

Cadieux is happy he knows who his biological mother is, but it hasn't brought peace or closure to the rest of his family.

It took him two years to respond to the Facebook message and call his mother. They spoke briefly about her decision, and he concluded that Down syndrome had prevented her from making her own decision. Cadieux pitied her.

The two became Facebook friends, keeping in touch through occasional messages, he said. But in the interest of avoiding conflict, he hasn't taken the relationship any further. There's still a lot of tension between his adoptive family and the one he never knew, and he's not interested in starting another feud.

"I can't blame her for wanting to see her son grow up," he said. "This is a way for her to stay quietly in the background and be a part of my life."

"Like" CNN Living on Facebook and follow Emanuella Grinberg on Twitter

@highlight

Internet makes it easier for birth relatives to find each other, Adoption Institute report says

@highlight

It's now nearly impossible to promise secrecy or anonymity in adoptions, the report says

@highlight

Report hopes to shape policies that harness technology while protecting children, parents

@highlight

Some say closed adoptions still necessary sometimes to protect children