Pittsburgh (CNN) -- People ask me why a doctor would dress like a homeless person and make house calls under bridges. I say enthusiastically, "Why not!?" That's just what I did in 1992 in an effort to take my medical teaching career beyond the walls of the hospital.

Dressing like a homeless person seemed the best way to initially enter the street community, which I sincerely wanted to do. I had come to a point where I needed a new "classroom" in which medical students could fully experience the reality of those who did not make it into effective medical care. We needed to understand how health care is shaped by the real life experiences of those who struggle with difficult circumstances.

If there were any people who could teach us those lessons, I believed it would be the people who were living under the bridges of Pittsburgh.

Initially, I didn't tell the hospital (or my malpractice carrier) what I was doing. My guide was a formerly homeless expert, Mike Sallows. Together, we made house calls under the bridges, along the riverbanks and in the abandoned buildings of Pittsburgh.

A whole new world opened to me. The depth of medical need I saw was exceeded only by the hopelessness of the people I came to know. Each person became inconveniently real to me, and going home to my warm bed became increasingly difficult. But what I also discovered was the profound satisfaction of bringing care directly to those who would otherwise have none. I was becoming part of the street world.

Another reality

In the homeless camps and in the alleys, I found people who had suffered extremes of weather, violence and prejudice. Many were older, confused people; some were war veterans holding on to the last shreds of their dignity; others were simply people who had fallen on hard times and lost hope. I saw hideous leg ulcers and cancers that were untreated. But mostly I saw human beings who had minimal access to loving, effective services.

The street homeless live in another reality. It is often brutal and short. Health issues are secondary to immediate survival, but according to the National Coalition for the Homeless, the average life expectancy among that population is estimated between 42 and 52 years, compared with 78 years in the general population. This essentially makes street homelessness one of the most fatal conditions in the United States.

As I watched more and more people die out there, these numbers became a very real experience. Looking in from the streets, I saw my community as a largely hostile, unforgiving place.

The reaction of the non-homeless to those sleeping on the streets is often negative. I know this is born from frustration, but I believe that as long as ignorance and fear dictate how we perceive others, we have little hope of building effective, inclusive solutions. We must get close enough to know each other.

I am also convinced that by "going to the people," health care can learn to engage people on their terms, holistically building health solutions grounded in their reality. This will potentially make health care delivery more cost effective and efficient as the principles of "street medicine" are applied to other populations. How much we can learn from those who are left out!

A model for Street Medicine

As word of our work spread beyond the streets, other volunteers and students joined the effort. Operation Safety Net was officially founded under the Pittsburgh Mercy Health System in 1993. According to the group's records, as of 2014, more than 10,000 homeless individuals have been reached with more than 68,000 visits to the street homeless of Pittsburgh. More than 900 chronically homeless persons have achieved housing directly through Operation Safety Net efforts.

Significantly, for the first time, the medical care of the street homeless is coordinated within the entire city. Students from all over the world now come to Pittsburgh to work with Operation Safety Net, many starting street medicine programs of their own in cities such as Rochester, New York; Detroit; Santa Barbara, California; Prague; and Ibadan, Nigeria.

In 2005, after extensive global networking, the first International Street Medicine Symposium was held in Pittsburgh. Each year, a different city hosts the meeting, which is the only forum for pioneers of the street medicine movement to meet and develop this new field of medicine.

At the 2013 meeting in Boston, 200 enthusiastic professionals and students gathered from five continents. In 2009, the Street Medicine Institute was established with two visions: Every person in the world who remains on the streets will have direct access to health care, and every medical school will have a "classroom" in its own streets. The Street Medicine Institute provides consulting services to assist communities that seek to establish new street medicine programs and improve the care of their own street homeless populations.

Under the umbrella of the Street Medicine Institute, there are now more than 40 street medicine programs in the U.S. and more than 90 programs worldwide. Increasingly, we are finding that by first addressing the immediate medical needs of those on the streets, pathways to housing, financial stability and recovery are being realized.

We believe that by taking care of our own fallen citizens, but by doing it within a global vision, we reclaim the true spirit of health care and build better communities for ourselves.

Donate to Operation Safety Net

Donate to the Street Medicine Institute

@highlight

Dr. Jim Withers has been tending to medical needs of Pittsburgh's homeless for 20 years

@highlight

The average life expectancy for a homeless person is about 30 years less than average

@highlight

Withers' program has become a model for "street doctors" everywhere

@highlight

Withers founded Street Medicine Institute to bring care to the homeless around the world