(CNN) -- Did French intelligence services miss vital clues as Mohammed Merah showed signs of growing radicalization? In the words of the French newspaper, L'Express, on Thursday: "Did the security services fail in their surveillance?"

How do western intelligence agencies choose who to focus on as terror suspects, amid hundreds that express or harbor militant views? Do they have sufficient resources; and where lies the balance between surveillance and the protection of civil liberties?

These are just a few of the questions emerging after Merah's killings.

Merah had been on the radar of the French intelligence service for several years. He'd been detained in Afghanistan in 2010 and repatriated to France -- only to return to the Afghan-Pakistan border area in August of last year. He'd been interviewed by the French security services last November after returning from the Af-Pak area a second time. But he had apparently persuaded them, even showing photographs he had taken, that he had been on a tourist trip.

In addition, it has emerged that Merah was on a U.S. no-fly-list, according to U.S. officials, which would have prevented him from boarding any U.S.-bound flight.

There were also worrisome signs before he left for Afghanistan. Two years ago, Merah "held" a 15-year-old boy in his apartment and forced him to watch videos of al Qaeda beheadings. When confronted by his mother, he assaulted her -- and she made a report to police. French media report that after the incident Merah donned military fatigues and yelled "I'm al Qaeda" in the street near the woman's house. By then, he already had multiple convictions for minor offenses, and several jail sentences.

Both he and his older brother Abdelkader were known to the security services because of their membership of a small Salafist group in Toulouse. French prosecutors say Abdelkader was implicated in a network sending Islamic militants to Iraq in 2007 but not charged because of inadequate evidence. He is currently under arrest but has not been charged.

But at the same time Merah did not fit any "conventional" profile of a jihadist-to-be. He was a motor-bike enthusiast and soccer player. According to his attorney, Christian Etelin, he was usually quiet and courteous -- "not rigid to the point of falling into fanaticism." But Etelin said there were signs of a "dual personality" in Merah. Friends have told French reporters of their shock at his sudden metamorphosis to killer.

French Interior Minister Claude Geant defended the work of France's equivalent of the FBI, the Direction Centrale du Renseignement IntÃ©rieur. The DCRI "follows a lot of people who are involved in Islamist radicalism," he said Thursday. "Expressing ideas, showing Salafist opinions is not enough to bring someone before justice," he said.

Nor had there been any "criminal tendencies" among Islamist radicals in Toulouse, which has a large population of North African origin, he said.

French Foreign Minister Alain Juppe told a radio network Thursday that "light must be shed" on events leading up to the shootings by Merah. "I understand that one can ask whether there was a failing or not. As I don't know if there was a failing, I can't tell you what kind of failing, but light must be shed on that," Juppe said on Europe 1.

One avenue of inquiry may be communication between different security agencies in France. For example the DCRI tracks French citizens who have returned from overseas travels; the role of the external spy service DGSE includes keeping tabs on foreigners in France suspected of links to extremism.

Other questions include the judicial authority needed for some forms of surveillance, although police in France can tap telephones with the approval of the Prime Minister and an administrative panel. There is also the issue of budget cuts at the DCRI over the past few years.

Whether and how the DCRI dropped the ball in Merah's case has already entered the bloodstream of the presidential race in France, with the candidate of the far-right National Front, Marine Le Pen, demanding an inquiry into whether the intelligence services took necessary precautions in Merah's case and complaining of the government's laxity in the face of the "fundamentalist risk."

Another candidate, FranÃ§ois Bayrou, expressed surprise that Merah had been able to buy weapons without drawing attention, after so many convictions.

In past cases efforts by terror suspects to make bombs, or gather the materials to do so, have triggered alerts. For example, attempts to buy large amounts of fertilizer or other ingredients -- such as hydrogen peroxide -- used in bomb-making are often relayed to law enforcement agencies. An attempt by Najibullah Zazi to contact a handler in the Afghan-Pakistan border area as he tried make the high explosive PETN in a Denver motel room was intercepted by counter-terrorism officers. Zazi planned suicide bomb attacks on the New York subway; he is now serving a life sentence in federal prison.

By contrast, planning a gun attack -- such as those in Toulouse or at Fort Hood -- is less likely to trigger alarms. Guns are easier to acquire (though less so in Europe than in the United States) and easier to use than home-made bombs. That's perhaps why al Qaeda propagandists like American-born Adam Gadahn have urged followers in the United States to buy weapons at gun shows.

"America is absolutely awash with easily obtainable firearms. You can go down to a gun show at the local convention center and come away with a fully automatic assault rifle," Gadahn said in a video posted last year.

Across Europe and in the United States, radicalization within rapidly growing North African and South Asian populations has stretched domestic intelligence services, especially given substantial traffic between western countries and places like Pakistan, Yemen and Somalia. Some previous terror cases - in Minneapolis, the United Kingdom and Germany -- have shown second-generation immigrants to be less assimilated than their parents, and more conflicted about their surroundings. Certainly that was the case among the bombers who carried out the July 2005 subway attacks in Britain, and among young some 20 Somali-Americans who suddenly left to wage jihad with al Shabaab in 2008.

Those who are "self-radicalized," who remain beyond any cell structure, who drift from one job or place of residence to another (as Merah did) are the most difficult to track. And counter-terrorism experts say a myriad of factors, many of them unpredictable, may be involved in pushing an individual from expressing militant views into committing bloody acts.

Even apparently obvious signs have been missed in previous terror cases. When British intelligence broke up a plot in 2004 to use fertilizer in a series of attacks, it discounted the plotters' links to two men - Mohammed Sidique Khan and Shehzad Tanweer. The pair went on to commit suicide bombing attacks on the London subway in July 2005. The UK domestic intelligence agency MI5 said in a statement later that Khan and Tanweer "appeared as petty fraudsters in loose contact with members of the plot. There was no indication that they were involved in the planning of any kind of terrorist attack in the UK."

Similarly, new research into the planning of the 2004 Madrid train bombings, published in the latest edition of the CTC Sentinel by the Combating Terrorism Center at West Point, shows extensive contacts between the plotters and al Qaeda's leadership. For two years, according to author Fernando Reinares, a key intermediary who had been part of an al Qaeda cell in Spain since the mid-1990s planned the attacks, returning to Spain from Pakistan months before the bombings. Reinares, who became a senior adviser on counter-terrorism in the Spanish government after the attacks, writes that when the Madrid cell was dismantled in 2001, there was insufficient evidence to prosecute at least three men. All became ringleaders in the bombings that killed 191 people on March 11 2004.

Germany's problems in tracking right-wing extremists are also instructive. After several immigrants were murdered by neo-Nazis between 2000 and 2007, investigations established a lack of co-ordination between different state and federal agencies. The government responded with a plan to establish a central database of right-wing extremists available to the police and state authorities. But legal experts have questioned the criteria for including suspects and the blurring of lines between intelligence services and the police. Some critics also say such databases can include so many names that they become redundant.

By any standard, the record of the French intelligence services has been impressive to date, aided by some of Europe's toughest anti-terrorism laws. More than 200 people in France have been convicted of terrorism-related offenses since 2001. A French counter-terrorism source told CNN in 2010 that the security services had established a large network of informants within France's Muslim communities - but cautioned that it had proved much more difficult to recruit informers among the younger generation of French Muslims.

On Thursday, President Nicolas Sarkozy announced plans for legislation that would make it an offense for anybody to view jihadist websites regularly in France or travel abroad for jihadist training.

There has been no terror attack on mainland France since 1995, when a series of bombings was claimed by a group calling itself the Armed Islamic Group general command. One of the devices exploded at a Toulouse police station. The man behind the attacks, Khaled Kelkal, was also of Algerian origin and had grown up in a poor district of Lyon.

But the 17 years of peace since is unlikely to spare the DCRI from some penetrating questioning after the events of the last week.

CNN Terrorism Analyst Paul Cruickshank contributed to this story

@highlight

Merah "held" a 15-year-old boy in his apartment and forced him to watch al Qaeda beheadings

@highlight

Merah was on a U.S. no-fly-list, according to American officials

@highlight

He'd been detained in Afghanistan in 2010 and repatriated to France