New Haven, Connecticut (CNN) -- A few years ago, researchers at Cornell made a remarkable discovery: When unsuspecting diners were given self-refilling bowls, they consumed almost twice as much soup as those with normal bowls. In other words, it was the quantity in the bowl that determined how much they ate, not their appetite.

While researchers are only recently discovering the power of serving sizes, manufacturers have been manipulating consumers in this way for years, from stealthily shrinking the size of yogurt containers to super-sizing sodas. Now it's time for the government to take advantage of the power of portion size to save lives.

We already know we should reduce the size of many of our food products -- not to mention our waistlines -- but there's another item that needs to go on a diet: the pack of cigarettes.

It's time for the 10-cigarette pack.

The government mandates 20 cigarettes per pack. But cigarette packs with fewer cigarettes could bolster willpower and help smokers quit. Let's imagine that you are one of the 70% of smokers who want to quit or cut back. Craving a cigarette, you have no option but to buy the full pack of 20 -- leaving 19 readily available to soon entice you.

Would changing the pack size really help smokers quit? Many smokers don't purchase cartons, because they want to limit their smoking. They are willing to pay a higher price per cigarette to limit availability, fearing that easy access would increase their smoking.

Now is the time to consider this move. Congress recently gave the Food and Drug Administration the jurisdiction to regulate tobacco products. Before this congressional act, the FDA could regulate nicotine replacement therapies such as the patch and gum, but not the far more toxic tobacco. Now, the FDA has comprehensive authority to regulate the manufacturing, marketing and sales of tobacco products.

In fact, the FDA is developing new tobacco regulations; it should consider portion size.

Most smokers actually want fewer cigarettes. The average number of cigarettes smoked per day declined among daily smokers from almost 19.6 in 1993 to not quite 16.8 in 2004, according to the National Center for Health Statistics. Nondaily smokers consume even fewer cigarettes per day. A smaller pack can nudge smokers to smoke even less, just as buying only a pint of ice cream is safer for a dieter than buying a gallon.

Evidence suggests that those who cut back are more likely to quit.

Think about it: We could change what it means to be a pack-a-day smoker.

The reason that we have the 20-cigarette pack is to prevent youths from smoking by keeping the price high. While preventing teen smoking is critical, according to the Centers for Disease Control and Prevention, only about 14% of youths who smoke buy their own cigarettes directly from a store. The rest get them from family and friends.

Moreover, cigarette prices are higher than ever because of increased federal, state and even city excise taxes -- perhaps making friends and family less likely to share and teens even less likely to buy.

We have other ways to prevent kids from picking up the habit. For example, under the latest FDA regulations, flavored cigarettes that appeal to youths are banned, as is all outdoor advertising within 1,000 feet of schools. And it is still illegal to sell to people younger than 18.

Now that most smokers are trying to quit or cut back, we should allow or require smaller packs. If the size of the bowl can determine how much soup you eat, imagine what the size of the pack could do in determining how many cigarettes you smoke.

It's time to find out how much size matters.

The opinions expressed in this commentary are solely those of Jody Sindelar.

@highlight

Cigarette packs with fewer cigarettes could bolster willpower, Jody Sindelar says

@highlight

If you're craving a cigarette, the only buying option is the full pack of 20, she says

@highlight

Sindelar: FDA can now regulate the manufacturing, marketing and sales of tobacco products

@highlight

"Think about it: We could change what it means to be a pack-a-day smoker," she says