(CNN) -- Residents living in single-family homes in some parts of coastal Texas face "certain death" if they do not heed orders to evacuate ahead of Hurricane Ike's arrival, the National Weather Service said Thursday night.

Texans sit in bumper-to-bumper traffic Thursday on a highway from Galveston County into Houston.

The unusually strong wording came in a weather advisory regarding storm surge along the shoreline of Galveston Bay, which could see maximum water levels of 15 to 22 feet, the agency said.

"All neighborhoods ... and possibly entire coastal communities ... will be inundated during the period of peak storm tide," the advisory said. "Persons not heeding evacuation orders in single-family one- or two-story homes will face certain death."

The maximum water level forecasts in nearby areas, including the shoreline of Matagorda Bay and the Gulf-facing coastline from Sargent to High Island, ranged from 5 to 8 feet. But authorities warned that tide levels could begin rising Friday morning along the upper Texas coast and along the shorelines of the bays.

The advisory summoned memories of the language used to describe 2005's Hurricane Katrina, which devastated parts of the U.S. Gulf Coast.

"Most of the area will be uninhabitable for weeks ... if not longer," an advisory issued at the time said. "The vast majority of native trees will be snapped or uprooted. Only the heartiest will remain standing."

The Ike advisory follows comes on the heels of similarly urgent messages earlier Thursday from federal authorities, who warned of a "massive storm" that could affect roughly 40 percent of the U.S. Gulf Coast.

"Do not take this storm lightly," Michael Chertoff, secretary of the U.S. Department of Homeland Security, said Thursday afternoon. "This is not a storm to gamble with. It is large; it is powerful; it carries a lot of water."

Chertoff and representatives from the Federal Emergency Management Agency said their efforts were focused on evacuations as Ike moved northwest at 12 mph across the central Gulf of Mexico with maximum sustained winds of 100 mph.  Track the storm »

Chertoff also urged people not to succumb to "hurricane fatigue," referring to concerns that authorities were overestimating Ike's potential impact.

"Unless you're fatigued with living, I suggest you want to take seriously a storm of this size and scale," he said Thursday.

Houston Mayor Bill White said he's heard that people who live in areas under a mandatory evacuation order say they plan to stay in their homes. He strongly urged against it.

"If you think you want to ride something out, and people are talking about a 20-foot wall of water coming at you, then you better think again," White said.

At 5 p.m. Thursday, the National Hurricane Center said a hurricane warning was in effect between Morgan City, Louisiana, and Baffin Bay, Texas. A warning means hurricane conditions are likely within 24 hours.

Ike's forecast track was through Galveston and the Houston metro area as a Category 2 hurricane with maximum sustained winds of 110 mph. Currently a Category 2 storm about 700 miles across, Ike could make landfall near Galveston Island as early as Saturday morning.  Watch CNN meteorologists track Hurricane Ike »

At 11 p.m. ET, the National Hurricane Center said hurricane-force winds extended outward up to 115 miles from Ike's center, and tropical storm-force winds extend outward up to 275 miles.

The storm was centered 445 miles east-southeast of Corpus Christi, Texas, and about 340 miles east-southeast of Galveston, and was moving west-northwest at near 10 mph. Watch: National Hurricane center predicts Ike's path »

Roughly 3.5 million people live in the hurricane's potential impact zone, FEMA Administrator David Paulison said Thursday.

In Galveston, Mayor Lyda Ann Thomas told the island's 60,000 people that they should leave. By 7:30 ET, the city had finished evacuating to Austin thousands of residents who needed assistance leaving because of age, disability or lack of reliable transportation.

Mandatory evacuations remained in effect for low-lying coastal areas northeast and southwest of Galveston, in Chambers, Matagorda and Brazoria counties.

Some Brazoria County residents said they didn't want to leave but realized it was in their best interest to do so.

"You don't have a choice when you have kids," Deborah Davis of Freeport told CNN affiliate KPRC-TV in Houston.

Farther inland, about 100,000 residents in low-lying areas surrounding Houston began evacuating Thursday afternoon as Ike headed for the Texas coast, officials said.  Watch Gov. Rick Perry warn residents of Ike's potential »

But the remaining 4 million residents were told they could stay home, even as government offices and schools prepared to close Friday in Houston in anticipation of the hurricane.

"We are only evacuating areas subject to a storm surge," said Harris County Judge Ed Emmett, the county's chief executive officer. "Yes, we know you will lose electricity. But you're not in danger of losing your life, so stay put."

Ships in port were told to leave, said Port of Houston spokeswoman Linda Whitlock. The area's two major airports, George Bush Intercontinental and William P. Hobby, also halted all commercial flights.

More than 1,300 inmates from the Texas Correctional Institutions Division's Stevenson Unit in Cuero were being evacuated to facilities in Beeville and Kenedy, Perry's office said, and 597 were transferred from the substance abuse Glossbrenner Unit in San Diego, in south Texas, to Dilley.

CNN's Mike Mount contributed to this report.

@highlight

Life-threatening floods expected in parts of coastal Texas, agency says

@highlight

Hurricane Ike could make landfall near Galveston Island as early as Saturday

@highlight

About 100,000 evacuated from Houston; 4 million more told to stay

@highlight

All of Galveston Island ordered to evacuate; special needs evacuations completed