(CNN) -- One of the great Olympic ideals is the importance of taking part, bringing together athletes of all backgrounds from all around the world.

But not everyone has had the chance to compete. Saudi Arabia is one of only three countries -- along with Qatar and Brunei -- which have never sent female athletes to an Olympic Games.

That may change in London this year after a groundbreaking meeting with Olympic and Saudi officials, but it raises a bigger question -- are the Arab kingdom's women actually ready to compete in top international sporting competitions?

The plan, at this stage, is to send Saudi women to the UK capital for the July 27-August 12 event. The International Olympic Committee (IOC) met with Saudi Arabian Olympic officials this week.

"A list of potential female athletes for the Games was presented. This will now be studied by the IOC together with the relevant International Sports Federations in order to assess the level of each athlete," ran a statement on the IOC's website.

It's a significant development, says Rima Maktabi, host of CNN's Inside the Middle East, but the move might come a bit too late for Saudi Arabia's female athletes.

"When you talk to Saudi women, even those who are professionals, they tell you that they are not even qualified," Maktabi said.

"We're not even close," says Lina Al-Maeena, co-founder of Jeddah United Sports Company.

"At this point, we are trying to make it on a national level, integrate into public schools and then maybe compete on a regional level before we even think of the Olympics," Al-Maeena, who is also captain of the Saudi women's basketball team, told CNN.

Al-Maeena says that Qatar and Brunei's non-participation at the Beijing Olympics four years ago wasn't because they didn't allow women to compete, but rather their female athletes just weren't at the required Olympic standard.

"We will need a long time," she concedes.

Saudi Arabia is a conservative country which has historically failed to promote women's participation in sport, says Christoph Wilcke of Human Rights Watch.

"Government policy hasn't been effectively challenged -- there is a predominant conservative view in society that doesn't afford women equality in a number of issues, including sports," Wilcke, senior researcher in the organization's Middle East and North Africa Division, told CNN.

The IOC says an assessment of each athlete's capabilities will make up part of a formal proposal which will be submitted to the IOC Executive Board next meeting which takes place in Quebec in May.

"The IOC is confident that Saudi Arabia is working to include women athletes and officials at the Olympic Games in London in accordance with the International Federations' rules," the IOC said.

Wilcke believes the move is a "very positive" development.

"I think international public pressure by the IOC and public media pressure helped get us where we are today," he said. "The goal has to be trying to open up the possibilities, the access for women to sports in Saudi Arabia."

But he added a note of caution.

"The female participation in the Olympics is a symbolic leap forward, but in order for it not to remain symbolic it's really for the Saudi authorities to start acting," Wilcke said.

"If sporting opportunities truly increase, I think it will have a broader impact on life for women."

Maktabi said recent Saudi government reforms, aimed at putting more women in the workforce, gave them encouragement for a greater role in society.

"There is high unemployment, it is 17% across Saudi Arabia -- 7% among men, and 28% among women," she said.

"But it is interesting that 55-57% of the university graduates are women. So Saudi women are ready. This decision is quite symbolic -- even if it's only on the sports level, it will reflect on all levels in Saudi Arabia, on the economy.

"Definitely it will get women more involved. However, women are battling with conservative views. Many people in Saudi Arabia think it's un-Islamic to work, un-Islamic to be in sports.

"Even some of these ladies I saw, among the sports team, they had to veil just to prove that they are conservative, very Islamic and traditional, but that they can play sports and compete internationally."

@highlight

Saudi Arabia and IOC meeting to consider female participation at 2012 London Games

@highlight

IOC report having a "very constructive" meeting with Saudi officials earlier this month

@highlight

But female Saudi basketball captain says country's athletes are not near level required

@highlight

Human Rights Watch describe move as "positive" but sporting opportunities must "truly increase"