(CNN) -- Brian Sanderholm thinks Justin Thurber deserves to die for raping and killing his 19-year-old daughter.

A Kansas jury sentenced Jodi Sanderholm's killer, Justin Thurber, to death in February.

"I believe in an eye for an eye. If you do the crime, you need to have justice," he said. "In the end, it's up to the jury, but all that matters is that he can't hurt anyone again."

But amid a time of economic turmoil some legislators in Kansas and elsewhere say the price of justice is too high. They have introduced legislation to take the death penalty off the books over financial concerns.

Jodi Sanderholm was last seen alive on January 5, 2007, at dance practice at Cowley College in Arkansas City, Kansas, where she was a student and member of the Cowley College Tigerettes Danceline. Her bruised and battered body was found four days later in a pile of brush, bearing signs of a violent and prolonged death that prosecutors likened to torture.

A jury sentenced Thurber to death on February 18. A Kansas court will decide whether to uphold the jury's verdict in a hearing scheduled for March 20.

If Kansas Senate Bill 208 passes as written, it won't take effect until July 1, so it is unlikely to affect Thurber's sentence. But future savings could be substantial.

"Because of the downturn in the national economy, we are facing one of the largest budget deficits in our history," state Sen. Carolyn McGinn, a Republican, said in an opinion piece posted on TheKansan.com Friday. "What is certain is we are all going to have to look at new and creative ways to fund state and community programs and services."

The state would save more than $500,000 per case by not seeking the death penalty, McGinn wrote, money that could be used for "prevention programs, community corrections and other programs to decrease future crimes against society."

Fiscal concerns are just a part of McGinn's argument. She has also cited the disproportionate rate of minorities that are sentenced to death. Kansas reintroduced the death penalty in 1994 but has not executed a condemned inmate since 1965.

Anti-death-penalty groups say longer jury selection, extra expert witnesses, jury consultants and an extended penalty phase tend to make death penalty trials more costly than non-death-penalty cases. Extra safeguards in place to ensure a fair verdict, including additional investigators and defense attorneys certified to handle death cases, who spend more time researching and litigating the case, also drive up costs.  See a chart comparing the costs of two murder trials »

A 2008 study by the Urban Institute, an economic and social policy research group based in Maryland, found that an average capital murder trial in the state resulting in a death sentence costs about $3 million, or $1.9 million more than a case where the death penalty is not sought.

A similar 2008 study by the ACLU in Northern California found that a death- penalty trial costs about $1.1 million more than a non-death-penalty trial in California.

McGinn's bill faces opposition from various sides, including victims' rights groups and the state's top prosecutor, who says there are no hard numbers related to the cost of the death penalty.

New Mexico, which also has a bill before the Legislature to abolish the death penalty, has already seen a case where costs dictated the outcome.  See which states have bills to get rid of the death penalty »

Last year, the New Mexico attorney general's office agreed to drop the death penalty for two inmates involved in the stabbing death of a guard, Ralph Garcia, during a 1999 riot at the Guadalupe County Correctional Facility.

The change came after the state Legislature failed to provide additional funding for defense attorneys contracted to handle the case by the public defender's office.

In court documents filed at the time, Attorney General Gary King said his office could not "in good faith under these circumstances" pursue the death penalty against Robert Young and Reis Lopez.

Even Garcia's wife lent her voice to the case, writing a letter to then-Assistant Attorney General Michael Fox explaining why she did not support the death penalty.

"I would rather see the death penalty be abolished and reparation be made to the victims, wives or husbands and to their children. I know how hard it is to go look for a job when my job was staying home and taking care of the home and kids and my husband was the breadwinner," Rachel Garcia wrote in a letter dated February 28, 2005.

"My husband would [have] wanted something like this as much as I do because he so much loved his family."

Her sentiments became part a bill to abolish the death penalty that was introduced in 2007 and died on the Senate floor in New Mexico. Its supporters are hopeful it has a better chance this year -- so far, it has passed the House of Representatives and is awaiting action in the Senate.

"I think it helps the debate from being less emotional than it has the potential to be," Democratic Rep. Gail Chasey said. "People will say we can't put a price on justice, but in fact, we do put a price on justice when we are not able to give our district attorneys, our police departments, our attorney general the funding they need."

In Colorado, House Bill 1274 proposes to put the anticipated savings from abolishing the death penalty toward the Colorado Bureau of Investigation's cold case homicide team.

Guy Morton's family thought he was missing for 12 years until they learned his remains had been misidentified.

The state has about 1,430 unsolved homicides dating back to 1970, according to Howard Morton, founder of the Families of Homicide Victims and Missing Persons, an advocacy group pushing for the bill.

For Morton, whose son, Guy, disappeared in 1975, the issue goes beyond the misuse of tax dollars. Guy was considered a missing person for 12 years until forensic examination revealed that his remains had been misidentified. His killer was never found.

"As bad as it is to think that our son's killer is still on the streets or in our neighborhoods, there's nothing worse than feeling like he's been forgotten, just another file in a basement," he said. "Once you've had a loved one murdered, there can be no closure, but there can be resolution, the feeling like, oh well, at least justice was done."

Kansas, New Mexico and Colorado, among the states where legislators are seeking to get rid of the death penalty, have carried out few or no executions since the U.S. Supreme Court reinstated capital punishment in 1976. On the other hand, Texas, Georgia and Virginia, which consistently lead the nation in executions each year, show no signs of changing course.

Earlier this month, Virginia legislators voted to expand capital punishment to include those who assist in a murder, and those who kill an auxiliary police officer or on-duty fire marshal.

A bill to abolish the death penalty is also before the Texas legislature, but Harris County District Attorney Pat Lykos intends to proceed with 194 pending death penalty cases she has on the books.

"We will spare no expense. We will go after them. Justice has no price tag," Lykos said. "We want to be as cost-effective as possible without compromising the administration of justice and public safety."

Nonetheless, budget concerns in those states still hamper some efforts to seek the death penalty.

In Georgia, where Gov. Sonny Perdue has ordered all government agencies to trim their budgets by 6 percent, Jamie Ryan Weis, on trial for murder, has been sitting in a jail without a lawyer for more than a year.

The Georgia Public Defender Standards Council appointed two private attorneys in 2006 to represent Weis, who is charged with the murder of Catherine King. They were pulled from the case a year later because of a lack of funds, court documents indicate, and the Georgia Public Defender Standards Council has yet to replace them.

"The state basically says we want to have the death penalty and we don't want to pay for it. It's like the state says it's going to the grocery store to buy the most expensive food and it's not going to pay for it," said attorney Don Samuel, one of three attorneys attempting to obtain a lawyer for Weis.

Griffin Judicial Circuit District Attorney Scott Ballard said he plans to seek the death penalty against Weis, no matter how long it takes or how much it costs.

"I think that if you start deciding it's too expensive to pursue the death penalty, then you're encouraging the defense to make it too expensive, and our duty to the public is too great to succumb to that," Ballard said.

Back in Kansas, Brian Sanderholm says the state has a duty to victims, too. He opposes efforts to abolish the death penalty because he says families should be able to weigh in on an appropriate punishment, and juries should render the final outcome.

In fact, if Thurber had admitted sooner to having killed his daughter, the father says he would have accepted a life sentence for him.

But by the time Thurber decided to admit his role and seek a plea deal with prosecutors, his family had already been through too much, Sanderholm says.

"It was too late," Sanderholm said. "We'd struggled so much, but after struggling for two years, we decided we're just going to go on with it."

CNN's Brett Roegiers contributed to this report.

@highlight

At least nine states have bills seeking to abolish or repeal the death penalty

@highlight

Elsewhere, state budget cuts are delaying or halting death penalty trials

@highlight

Colorado bill seeks to use capital case funds for cold case investigations

@highlight

Harris County, Texas, DA Pat Lykos vows to continue seeking death penalty