(CNN) -- Headlines and pundits once again declare that we have a crisis on our hands in the wake of discovering that North Korea is building a new nuclear reactor and a uranium enrichment plant.

More ominously, Tuesday brought news of direct artillery barrages between North and South Korea, heightening tensions and costing lives. But as provocative and serious as this is, neither is a crisis. Both fit a clear pattern of North Korean behavior -- a pattern that ultimately holds out the opportunity for progress.

Unfortunately, so far the U.S. response also fits a pattern of rhetorical condemnation but little in the way of creative or effective engagement. Some key lessons need to be re-learned in light of these developments.

First, the fundamental security situation with respect to North Korea has not changed. Pyongyang's estimated stockpile of plutonium bombs remains the same (four to eight bombs' worth). It does not have the capability to deliver these devices by aircraft or missile and its plutonium program remains frozen or perhaps even further eroded, as described in a report by Dr. Sig Hecker, who visited the North's nuclear facilities two weeks ago.

Tuesday, in a briefing in Washington, Hecker, the former head of the Los Alamos Nuclear Laboratory, said that his report had been "hyped" in the media. He detailed how the new facilities, while potentially capable of producing material for bombs, are hardly the quickest route for North Korea to do so.

Here's why. Uranium weapons are bigger than plutonium weapons, thus more difficult to shrink to the size needed for a missile warhead.

The facility Hecker visited could only produce one or two bombs' worth of material a year, it is not clear when it will be fully operational and it has been built to replace the plutonium production facilities, not add to them. The new, small light-water reactor under construction is actually not very good for producing weapons-grade plutonium.

If North Korea wanted to expand its nuclear arsenal, it makes much more sense for it to restart the plutonium reactor it has, not replace it with this new one.

Finally, the North Koreans said they would scrap their plutonium capabilities completely in exchange for improved relations with the United States. In short, it is conceivable that the facilities are what the North claims, its attempt at home-grown nuclear energy, a goal the North has had for decades. As Hecker said, the trip raised "as many questions as it answered."

Second, as difficult as engagement is, it is preferable to the alternative, isolation and instability. Remember that North Korea succeeded in acquiring or building these new facilities during a time when sanctions were extreme and U.S. engagement was absent.

In fact, we only know about the facilities because of an unofficial visit by Americans whom the North wanted to use to reveal them. Before that, the Bush administration's years-long policy of complete isolation allowed North Korea to produce plutonium, fashion it into bombs and test two of them. Only in the last two years of the Bush era did a change in U.S. approach bear some fruit in freezing North Korea's programs.

"Strategic patience" has been the nickname for the U.S. approach to North Korea since the early weeks of the Obama administration, when Pyongyang rejected early overtures of dialogue. What the administration failed to grasp is that diplomacy with the North is pretty much the most difficult exercise one can do in international relations. But that does not mean you shouldn't continue to try, even when -- or maybe especially when -- the response is a poke in the eye.

So where does this leave us? What can or should the United States do to respond to these latest developments? Here again, everything old is new again: Creative, thoughtful approaches to engaging North Korea have to be designed and tested -- persistently.

Yes, U.S. overtures will annoy allies in the region, but not if done in concert with or through consultation with them. Yes, the administration will suffer reactionary criticism from the right for "dealing with evil" or similar screeds. But the stakes are too high to allow the long-term threats that North Korea poses to be hamstrung by near-term political scorekeeping.

President Obama has to be bold. A number of ideas about how to proceed are offered in a recent piece by Lee Sigal of the Social Sciences Research Council. These suggestions, including economic incentives and diplomatic measures such as a trip by Secretary of State Hillary Clinton to North Korea and the conclusion of a peace declaration involving both Koreas and China, are a good starting point.

Sun-tzu, an ancient Chinese expert on the region, advised, "Keep your friends close and your enemies closer." Good advice and as relevant as ever for the United States regarding North Korea.

The opinions expressed in this commentary are solely those of Paul Carroll and Joe Cirincione.

@highlight

North Korea's artillery barrage was serious, but this is not a crisis, say co-authors

@highlight

They say the action fits pattern of North Korea's behavior and doesn't preclude progress

@highlight

Revelation of a uranium enrichment plant doesn't signal escalation in its weapons capability, they say

@highlight

U.S. needs to try economic and diplomatic measures to move ahead, they say