Rahm Emanuel is building a Second City. Two cities really, as the "two summers" theme shown in Episode 4 of "Chicagoland" suggests. One white, one black. One for the rich, one for the poor. One for private schools, one for closed schools. A new Chicago for the saved and the damned. Gold coast heavens and low-end hells. It's biblical, binary.

The mayor's new Chicago is a second city for the first citizens who colonized the land and took it from the Pottawatomie. The mayor's vision is not for most Chicagoans who live here now.

It is not for Jason Barrett. In last week's "Chicagoland" episode, Principal Elizabeth Dozier of Fenger High School secures the early release of Barrett, who she is mentoring. But he is re-arrested and becomes one of the thousands of black and brown bodies disproportionately locked up and routed into America's growing, often privatized, prison system.

The mayor's new Chicago is not for black and brown and white workers who toil in multiple service sector jobs that the mayor's neo-liberal economic advisers hail as job creation. In fact Emanuel and his advisers have been the proponents of a global economic policy that packs up the kind of blue collar jobs that built Chicago and sends them south with ease: Emanuel championed NAFTA at the Clinton White House.

The Chicago that the mayor and his team of wealthy financiers are continuing to create and sell is a second city of tourists and grand inequities. The disparity gap grows between those who have and those who have to rent. Those who can afford private schools like the mayor's children and those whose public neighborhood schools are underfunded and tracked and given impossible and idiotic standardized tests to validate their existence.

The new Chicago is for new businesses that will be lured with tax-free incentives, gaining advantages they won't have to pay back in order to be responsible citizens. The new Chicago is based on old European models of urban planning, concentric zones of wealth where working and poor people are pushed to the margins of the land and public discourse.

The mayor is like a suburban kid back in the city with his parents' money who wants to go to Lollapalooza. When the list of 50 school closings in mostly black and brown neighborhoods was leaked, he was skiing on spring break in Utah. This month when a group of poets from the Chicago public high school Team Englewood hoped to speak to the mayor directly at Louder Than A Bomb: The Chicago Youth Poetry Festival, he chose instead, the same night, to be on a giant swing at a $450-a-ticket gala, eating a $1,000 priced meal, served by a celebrity chef.

The slick series "Chicagoland" glosses over issues such as economic injustice, white supremacy, the declining middle class and the school to prison pipeline. Chicago on TV appears in a vacuum, rather than in the torrent of history.

Police Chief Garry McCarthy's stop-and-frisk policy is a continuation of America's long history of criminalizing and dehumanizing black and brown bodies. Police force and presence in neighborhoods is sometimes the cause of violence and destruction rather than its cessation. Chicago is, after all, the home of Jon Burge, a Chicago police commander who was fired for torture and later convicted of lying about the practice. It was also the home of Rekia Boyd, an unarmed young black woman shot and killed by a Chicago police detective.

The mayor maintains systemic inequity and champions individual exceptionalism. In Episode 4, the gracious white mayor provides an internship for one young black man while his city locks up thousands. Recidivism and the school to prison pipeline is the "real graduation" to paraphrase the most honest articulation of Episode 4 from an interview with an unnamed prisoner.

The dismantling of public education in Chicago is a pathway toward a privatized school system living at the center of the Department of Education in Washington. The mayor and his cronies are the architects of these blueprints concerned with standardized tests but not standards for every student's academic success and environment. Until they hold the system to the standards they demand for their own children, for all children, schools will continue to fail students they seek to teach.

The mayor is not a mentor or educator. He is a millionaire businessman. In Episode 4, he walks around after-school programs patting black kids on the head like some king. He considers himself a white savior, but he is something antithetical.

In Episode 4, he says he gives kids a second chance. But it is certain the schools and the city will fail students of color and send them to the largest jail in the country.

Chance, the incredibly gifted hyper-literate emergent hip-hop superstar at the center of Episode 4 and at the center of a youth cultural renaissance in Chicago, succeeds despite the school system he was suspended from and because of a strong two parent household, an informal network of aunties in the working class community of Chatham, and a cadre of arts programs. Those include Young Chicago Authors and Louder Than A Bomb, where I serve as artistic director and had the privilege of mentoring the young rapper, where he was able to develop his voice and craft outside of the school day.

Chance is not an anomaly when it comes to the brilliance of young Chicagoans and the contributions they have to share with the world. He is in the great tradition of Chicago realist working class portraiture. Chance is connected aesthetically and spiritually to Gwendolyn Brooks, Lorraine Hansberry, Studs Terkel and Kanye West, when he rhymes on Nostalgia from his mix-tape "10DAY":

Round here we lose best friends like every week

I like to think we playin' a long game of hide and go seek

And one day maybe ... I could lead them

Kids of the Kingdom singing about freedom ...

As Chicago goes, so goes the country. And we are here fighting for freedom, for all, for every person from every zip code. We are fighting for the soul of the city, the soul of the country. We are building again, indeed, a second city, as we derive our nickname from the ability to rise after the ashes and great fire of 1871. Chicagoans have the ability to rise like a phoenix. This is a testament to the resiliency of hard working people everywhere, not the backroom dealings of a millionaire mayor or his posse.

We are the city of the eight-hour workday and the Haymarket martyrs. The home of Margaret Burroughs and Fred Hampton, home of Jane Addams and the mothers of Whittier Elementary School. A city of genius and gangsters. This is a writer's and fighter's town as Nelson Algren would say. And this is a fight to counter the mayor's vision of a future city, of two cities. We are trying to write and fight for a united city, a different city. A second city. A new city, a city anew, a city for all. For real.

@highlight

Kevin Coval: "Chicagoland" episode showed the "two summers" of Chicago

@highlight

He says Mayor Rahm Emanuel is presiding over two cities, one for rich, one for poor

@highlight

Coval says the emerging economy doesn't serve the poor, middle class

@highlight

Minorities aren't getting good schools and many are being warehoused in prisons, he says