(Martha Stewart Living) -- Your Nana's collection of figurines. The treadmill from your days as a runner. That unfinished five-year quilting project.

As spring-cleaning season kicks in, you're inspired to chuck anything that isn't being put to good use. But then you falter, since getting rid of stuff can be an emotionally charged process.

Martha Stewart Living: Spring cleaning to-do list: The 12 things you need to clean

"A lot of us hold on to items not because we love them or they're useful, but because we're living in the past or for the future," says Monika Eckfield, an assistant professor at California State University East Bay who studies people's relationships with things.

Indeed, a lot of us have a hard time letting go, if the 2.3 billion square feet -- or 82.5 square miles -- of self-storage units in the U.S. is any indication. (Never mind what's crammed under our beds.) For the estimated 2 to 5% of Americans who suffer from hoarding, a mental disorder often related to depression and anxiety, this is a problem that interferes with daily life.

Martha Stewart Living: 10 clever house-cleaning tricks

But for most people, the buildup of stuff happens gradually and naturally over decades. Regardless of the degree of clutter in your home, experts agree there are ways to clear it once and for all.

Psychoanalyze your stuff

"There has not been much research into why we form these attachments to objects, psychologically, but most of us form them," says Gail Steketee, dean of social work at Boston University and coauthor of several books on hoarding. She says that most people store stuff for a handful of reasons: "Sometimes it's just simple joy or aesthetics -- there's pleasure in seeing an object -- but often nostalgia, guilt and anxiety play a role."

Martha Stewart Living: 19 tips for perfect laundry every time

Steketee suggests examining your reasons for keeping an item: "Do you use it or not? If not, is it something of beauty? Or is there another reason you're holding on to it?" she asks. "Often people pile the reasons on top of each other -- it was mom's juicer, and it still works, and besides, that orange color is kind of nice." If you find yourself struggling for justifications, or realize you still have an item out of obligation more than anything else, it may be time to let it go.

Professional organizer Barbara Reich suggests considering whether your attachment is overblown: "An item might be something an aunt bought ages ago for 20 cents, and people think, 'Oh, I can't get rid of it.' When really your aunt wouldn't care if you got rid of that candy dish." Reich also says to take a hard look at items you're retaining for practical reasons -- a box of DVDs, say -- and think about what will happen if you get rid of it but wind up needing it later. (A DVD can be borrowed from the library or rented.)

Martha Stewart Living: Martha's ultimate organizing solutions

Part ways happily

A successful sweep can entail enlisting the help of a friend or professional organizer, says Erin Rooney Doland, editor in chief of Unclutterer.com. "Talking about the items helps you make rational decisions," she says. "Telling stories can help you let the items go." Finding objects a good home can also serve as an emotional cushion -- giving that volume of art books to a school library is less wasteful and traumatic than leaving them at the curb. "The good feeling that comes from donating helps counter any guilt," says Steketee.

To purge thoughtfully, don't expect to clear everything out in a weekend. "A lot of folks get motivated, then lose steam -- and now they've made an even bigger mess, because they've pulled out half the closet's contents," says Eckfield. She suggests setting manageable goals, like one shelf per weekend.

Save space for sentimentality

Remember, "you are not a robot," says Doland. Despite being a professional organizer, she keeps sentimental items herself -- a pair of scissors from camp when she was 16 years old, for instance. "Scissors aren't a distraction from the life I want to lead," she says, "but a large box crammed with trinkets from that same summer would be clutter."

Setting physical parameters -- one box per year of your kids' childhood, for example -- helps you zero in on what matters most. Reich advises saving these things in a way that honors their importance -- labeled and well-wrapped. Then revisit them periodically to see if your feelings have changed.

Martha Stewart Living: 12 tools to use in your house in unexpected ways

The emotional uptick to divesting yourself of the rest? "You no longer feel like your stuff is hanging over you," says Doland. "You have more space for the life you want -- physically in your home, but also mentally."

Eckfield remembers when an older client finally acknowledged that she was never going to make beaded jewelry again and got rid of her supplies. Instead of mourning the end of a longtime hobby, she saw off-loading those supplies "as a fresh opportunity to do something new," says Eckfield. "She told me, 'There's a time when you have to hang up your spurs.'"

Martha Stewart Living: Top 50 everyday money-saving tips

Decluttering the digital way

If there are items you want to keep -- but rarely need to look at -- consider these electronic options.

Photographs

You're better off scanning old prints than letting them disintegrate in a box. Take them to a professional photo shop, or scan them onto your phone with an app like Ancestry.com's Shoebox. As you take new photos, avoid another pileup by creating digital folders, organized by month or occasion, says Reich.

"I also tell clients to stop printing photos unless they're being framed," she adds.

Children's artwork

Like many parents, Doland, a mother of two, has a hard time parting with her kids' artwork. Her process: Collect the items in a bin, and comb through it once a year, since identifying the keepers is easier with some distance. Put a few favorites in a portfolio, and photograph the rest for a digital gallery. Send almost-keepers to relatives and the rest to the recycling bin. (Doland even has her husband take the bin to the curb.)

Books

Yes, books bring warmth to a room, but "when they no longer fit on the shelves, they're a problem," says Reich. "Only keep books you truly love, and purge the ones you didn't enjoy or will never read again." If you're on the fence about getting rid of a book, check if it's available as an e-book or still in print (most kids' classics never go out of print).

Keepsakes

Photograph knickknacks, toys and other sentimental things before parting ways with them, suggests Doland. Take it a step further by creating a photo book on a site like Shutterfly and enlisting family members to share memories in the captions. You can also print the photo and frame it to keep the item around the house while reducing its footprint -- with the right Instagram filter, that old mixer or ragged teddy bear can become a work of art.

What have you kept and what have you tossed? Share your experience in the comments, on Twitter @CNNliving or on CNN Living's Facebook page.

@highlight

Having trouble tossing something with sentimental value? You're not alone

@highlight

Professional organizers suggest re-homing objects or analyzing why you've kept them

@highlight

Try setting physical parameters, like one box of your child's artwork per year

@highlight

Unclutterer.com editor: "You no longer feel like your stuff is hanging over you"