(TIME.com) -- It's one thing to find a strategy that works in the lab, but quite another to prove that it's effective in the real world as well.

A decade ago, researchers at the National Institutes of Health made headlines when they published the results of the Diabetes Prevention Program (DPP). The study, which was designed to compare the effects of diet and exercise against the best medications to control the chronic disease, surprisingly showed that diet and exercise were better than the best drugs scientists had developed to protect those at highest risk from developing diabetes.

The results were encouraging and disheartening at the time, however, since lifestyle changes are notoriously the most difficult to implement. It's too challenging for patients to stick with a diet and exercise program, and even if they did, their motivation typically wanes after six months.

TIME.com: Type 2 diabetes is tougher to treat in kids and teens

But the findings -- the diet and exercise group lowered their risk of getting diabetes by 58% compared to those on medications -- were too stunning to ignore.

The DPP relied on intensive and highly individualized coaching to help the patients stay on their diet and fitness regimens. How could the strategies used in the DPP be modified to work in the real world, where personal nutritionists and trainers aren't always at our beck and call?

Dr. Jun Ma, an associate investigator at the Palo Alto Medical Foundation Research Institute and a consulting professor at Stanford University, was eager to find out.

As a primary care physician, she says, "we know there are huge numbers of patients out there who need this type of intervention. We just don't have the manpower and resources to deliver interventions such as the one tested in the DPP. That motivated me and my collaborators to find practical ways of delivering the principles of DPP in a more realistic manner."

TIME Video: Competing in the Olympics with Type 1 diabetes

Ma joined forces with scientists at the University of Pittsburgh who had participated in the government's DPP study and were already tackling that very question. They had developed the Group Lifestyle Balance, a curriculum culled from the DPP that they were testing in both group-based and home-based settings.

The 12-week program involved either weekly face-to-face sessions with a registered dietitian and fitness instructor in a class setting in which participants learned and discussed healthy diet and exercise techniques, or a self-motivated program based on DVDs that taught participants similar healthy living techniques.

Ma used the same Group Lifestyle Balance curriculum and DVD in her study involving 241 people with pre-diabetes, but modified what the self-motivated group received by adding online and e-mail counseling as well.

After three months of intensive training and a year of maintenance sessions, the coach-led group lost an average of 14 pounds, while the DVD group shed 10 pounds; the control group, which received usual care but no specific weight-loss goals, lost only five pounds.

More than double the proportion of people using the coach-led sessions (37%) reached the DPP goal of losing 7% of their starting body weight, while 36% of those using DVDs and only 14% of those getting usual care reached that goal.

TIME.com: Heart risk for diabetics may be exaggerated

The findings confirm that new strategies for helping at-risk people to control and even reverse impending symptoms may be just as effective, if not more so in some cases, than currently available treatments.

"I would want to encourage national initiatives to consider alternative ways for lowering diabetes risk, such as the ones we tested," says Ma.

"Based on the evidence, face-to-face interventions seem to have the strongest effect, but there is data accumulating to support alternative delivery strategies such as through DVDs or online. And considering the number of people at risk of diabetes and heart disease, we need to find meaningful and sustainable ways to reach these people."

Ma says she and her colleagues intentionally tested strategies such as using e-mail reminders, online counseling and self-initiated DVD sessions because they rely on already-existing resources and would not require extensive investment in infrastructure.

While the study only followed the participants for 15 months, Ma says continued research on such alternative strategies may lead to methods that are even longer-lasting and inspire even stronger compliance in the future.

"Longer-term follow-up and longer-term success is something that is attracting a lot of research interest right now," she says. And as the results suggest, for good reason.

This story was originally published on TIME.com.

Diet strategies show promise in lowering risk of diabetes

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Researchers aimed to make the Diabetes Prevention Program strategy more realistic

@highlight

In the study, a group led by a fitness coach lost an average of 14 pounds

@highlight

Alternative strategies could be an important tool in the fight against diabetes