(CNN) -- President Obama on Monday strongly praised a decision by the nation's pharmaceutical industry to agree to a deal cutting drug costs for elderly Americans, calling it an example of the kind of compromise required for successful national health care reform.

President Obama says the pharmaceutical industry announcement "marks a major step forward."

The agreement discounts medications for Medicare beneficiaries facing high out-of-pocket expenses when their benefits reach a gap in coverage.

"This is a significant breakthrough on the road to health care reform, one that will make the difference in the lives of many older Americans," Obama said at the White House.

"Today marks a major step forward, but it will only be meaningful if we complete the journey. ... I have to repeat and revive an old saying we had from the campaign: Yes, we can. We are going to get this done."

The nation's top drug manufacturers agreed over the weekend to at least a 50 percent discount for most beneficiaries for brand-name medicines purchased in the so-called "doughnut hole" gap in coverage, Obama noted.

The gap involves medication costs of senior citizens between roughly $2,700 and $6,100 a year that are not covered by the Medicare part D plan.

The deal will be part of an $80 billion reduction in Medicare drug costs for senior citizens over the next 10 years, according to Senate Finance Committee Chairman Max Baucus, D-Montana, who helped negotiate the agreement.

Part of that $80 billion will go to closing the Medicare prescription drug "doughnut hole." Congressional staffers did not have precise estimates, but Finance Committee spokesman Erin Shields said they expect the $80 billion commitment to both cover the Medicare drug gap and leave additional money for other, still unannounced, programs.

The American Association of Retired People, the nation's largest organization of senior citizens, has praised the pharmaceutical industry agreement as a step toward health care reform. Obama spokesman Robert Gibbs noted Monday that AARP was opposed to health care reform during the first term of former President Bill Clinton in the early 1990s.

"You've got the pharmaceutical industry and the largest group representing seniors in this country, who 16 years ago weren't at the table but were on the other side of the political debate," Gibbs said of groups expressing support Monday for health care reform. "I think that represents progress and important steps towards real reform."

Overhauling health care is a top priority of Obama's administration, but the initial proposals to reach Congress last week received a rocky reception.

The Congressional Budget Office determined that either of two similar bills written by Senate Democrats would cost more than $1 trillion, which was higher than expected.

Republican opponents immediately slammed the measures, and the Senate Finance Committee delayed scheduled hearings on one of the bills. Hearings by the Senate Committee on Health, Education, Labor and Pensions on the other measure began amid intense partisan bickering, with hundreds of amendments proposed by Republican opponents.

At least two more bills are expected from the House of Representatives, and a bipartisan group led by former Senate majority leaders Tom Daschle, Howard Baker and Bob Dole also has offered guidelines for a proposal.

At issue is how best to reduce the cost and increase the reach of the current health care system, which officials say is increasingly draining personal, corporate and government budgets while leaving 46 million Americans without health insurance.

Obama has warned that a failure to act soon will bring far worse economic difficulties than the costs of plans under discussion. Both parties in Congress agree on the need to slow the increase in health care costs while ensuring that all Americans can get health insurance, but they differ sharply on how to proceed.

Democrats generally favor a government-funded "public option" to compete with private insurers. Republicans have said such a step would lead to a government takeover of health care, which they oppose.

Republicans also accuse Obama and Democrats of trying to rush through what they say is flawed legislation in 2009 before the politics of midterm elections in 2010 and the 2012 presidential race.

The parties do appear to agree on several broad principles, however, including an emphasis on preventive care, cost-cutting measures in the existing Medicare and Medicaid programs, and a halt to denials of coverage because of pre-existing medical conditions.

CNN's Lisa Desjardins contributed to this report.

@highlight

Deal discounts drugs for some on Medicare when benefits reach gap in coverage

@highlight

Deal part of $80 billion reduction in Medicare drug costs for senior citizens

@highlight

Health care overhaul a priority for President Obama; early plans have had hang-ups