Washington (CNN) -- You do not have to be an investor in the stock market or real estate or looking for a job to be alarmed when several highly regarded observers warn that the United States economy is about to be driven "off the cliff" by increasing debt, the expiration of tax cuts and the prospect of deep spending cuts.

The alarm should concern anyone who cares about our democratic system.

The reason we are getting awfully close to the edge is because the Democrats and Republicans are inclined to pull the steering wheel in opposite directions. Granted, alarms are often sounded, but as we shall see shortly, this time there are strong reasons to fear that our gridlocked political system will prevent us from responding before we go over the edge.

The most authoritative voice speaking out this time is that of Ben Bernanke, the chairman of the Federal Reserve. He stated recently that, "It is very important to say that if no action were to be taken by the fiscal authorities, the size of the fiscal cliff is such that there is, I think, absolutely no chance that the Federal Reserve could or would have any ability whatsoever to offset that effect on the economy."

Mohamed El-Erian, the highly regarded CEO of the investment management firm Pimco, wrote recently in an article in The Washington Post headline "The Fiscal Cliff Cometh" that, "In the next few months, possibly within weeks, markets here and abroad will be looking for signals that our politicians understand the severity of the situation and are able and willing to act appropriately. If clear signals are not forthcoming, markets could react early to the looming trouble, compounding the uncertainties that weigh on the U.S. economy."

The Economist changed the metaphor but not the point.

Under the title "cliff diving," it predicts that Congress is unlikely to pass a "grand bargain" before the end of the year and that "[c]redit-rating agencies may well lose patience" before lawmakers get their act together. This in turn would lead to higher interest rates that might well push the fragile economy into another recession.

The main reason Bernanke and other financial and political observers are worried is that by the end of the year, we will face what might be called a triple witching hour. At that time, the Bush tax cuts will expire and the payroll tax holiday will end. Additionally, Congress has committed itself to cutting spending by about $100 billion next year and more than $1 trillion over the next decade.

If the Bush tax cuts and payroll tax holiday are extended, and Congress wriggles its way out of its commitment to cut spending, the deficit will swell to the point where alarmists see us going the way of Greece.

If the Bush tax cuts and payroll holiday are not extended, and Congress lives up to its commitment to cut spending, the drag on the economy will be severe. The economy is expected to decline by 3.5% to 5% ; that is, it will be pushed back into a serious recession. No wonder some predict "Taxmageddon."

Dealing with this dilemma requires political cooperation between the GOP and the Democrats, between both houses of Congress and the president. Few expect the sides to reach a major deal before the elections. That is, under the best of circumstances, we will come close to the edge of the financial cliff because these matters must be settled by the first of the year, and markets often do not wait for the actual date to tank -- they anticipate.

Assuming we somehow will be spared until the elections -- what will happen after November 6? While that depends on the election results, people should note that the current power setup will be in place until January 20.

Thus, even if Mitt Romney is elected president, Barack Obama will still be in the White House when the master deal must be struck, the Democrats will still have a majority in the Senate, and the GOP will still be able to filibuster and control the House.

Ajay Rajadhyaksha of Barclays Capital aptly described the evolving conditions as "a slow-motion train wreck." Marion Blakey, president of the Aerospace Industries Association, asked, "How do you plan for chaos? It's almost a unique moment in government because there's so much at stake. And there's nothing that inspires confidence that [a congressional deal] will get done."

Political theorists hold that democracies need crises to focus leaders' and voters' minds and get bickering parties to work together to find a solution.

This is not what happened in Greece and may well not be in the cards for several other European nations that are challenged by a similar crisis.

I assume we will do better, but investors may do well to pull in their horns, and citizens ought to tell their representatives in no uncertain terms that the time to act in unison is now -- we can't afford to risk waiting until after the November election.

Fasten your seat belt, because even if it all works out well in the end, it will be a cliffhanger.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Experts warn of a drastic hit to U.S. economy if politicians don't avert "fiscal cliff"

@highlight

U.S. faces scary combination of the mounting debt, tax cut expirations, spending cuts

@highlight

Amitai Etzioni: We can't afford to wait for after the election to deal with these issues

@highlight

He says markets, credit agencies often anticipate events, rather than wait for them to happen