Washington (CNN) -- The nuclear talks with the P5+1 -- that's France, Britain, Russia, China, the United States and Germany -- this past week in Geneva left much to be desired for Iran in terms of final outcomes. The joint action plan calls on Iran to take steps to verify the peaceful nature of its nuclear program. In return, it receives limited sanctions relief until a comprehensive solution within the year takes shape.

But a deal is better than no deal as far as Tehran is concerned, and here is why:

The move preempts other power centers in Iran.

Although President Hassan Rouhani rejected the idea, in the joint plan Tehran admitted de facto that its nuclear program might be in non-compliance. The move preempts hardline factions in Iran from attempts to advance know-how to build a nuclear bomb.

It wants a dignified solution.

Despite frequent proclamations to the contrary, Tehran will commit to talks until a way out of the nuclear dilemma is found, even if a final deal takes a long while to make. Until then, it can showcase its praiseworthy diplomatic skills.

It wants the military option permanently off table.

If Iran needs nuclear energy and has the capacity to produce the fuel, then an agreement that allows it to enrich nuclear fuel is not only necessary, but also reduces the chance of a military strike against Iran's nuclear facilities. That is why it insists on enrichment.

It wants to fortify the conservative power-base.

Without a deal, that prospect is in jeopardy because rival political factions in Iran will undermine Rouhani's conservative camp. Already, the joint action plan has come under attack by hardline sources who told Raja News, linked to former President Mahmoud Ahmadinejad, that it degrades Iran's nuclear rights.

It wants to re-define "Death to America."

Tehran can't control those chants. They aim to sabotage talks but also bring tactical pressure on the P5+1 to deliver on its end of the bargain. Tehran wants talks to move forward regardless. That is why Interior Minister Abdul Reza Rahmani Fazli told Mehr news agency that the chant means Iran supports talks. While that surely confuses any American, the vast majority of Iranians rejoice in what is implied, that Tehran is ready for a deal with the enemy.

It wants to keep hardliners happy.

There is a national consensus to resolve the nuclear crisis, according to hardline papers Kayhan and Sobh-e Sadeqh. To reciprocate the favor, Tehran hasn't rejected their calls to exercise "resistance diplomacy," a term branded to push Tehran to remain defiant in the nuclear talks. Tehran paid lip-service to the cause while it advanced the talks. That means it knows it must "eat bread based on its daily currency," to be able to "tie the devil's hand behind its back," as two Persian proverbs go.

It wants sanctions lifted.

A deal which revamps Iran's economy and generates hard cash is a good one, even if it happens slowly. The head of Iran's Foreign Policy and National Security Commission Alaadin Boroujerdi told ISNA news agency the country will stick with talks until all sanctions are lifted, which the joint plan promises to do through a later comprehensive solution. He also told Fars news agency that parliament will make the endorsement of decisions with the P5+1 conditional on removing sanctions.

It wants its three-tier proposal to get a fair chance.

The action plan reflects some of the language of the Iranian proposal which was presented and ignored early this month in Geneva. This includes recognizing a step-by-step process to end the nuclear dispute, and the reversibility of an agreement if all its provisions are not fully met. This proposal gives Tehran and other parties a chance to step back and weigh new options if progress in talks falls short of expectations.

It wants a deal before the next U.S. presidential race.

Tehran does not want to rush talks in order to maximize the advantages of a final deal. But it knows the best opportunity for a good deal is until next November when campaigning for the 2016 presidential election can knock other priorities down the list. Although it risks tying the fate of the nuclear talks to its relations with the U.S., Tehran is prepared to take that chance. That is why, in an interview with Tehran-based ISNA, its Foreign Minister Javad Zarif said he was ready for the next round of talks to begin right away.

It wants to activate its regional diplomacy.

Tehran de-linked the nuclear talks from other regional issues including Syria, but remained open to discussing them with the P5+1. It paid the price and ignored its neighbors in the process, including Saudi Arabia and Israel who have stakes in Syria, for a higher gain: to limit the impact of its conflicts in the region on its nuclear file. With an initial plan now in place, Tehran can revamp its regional diplomacy.

The opinions expressed in this commentary are solely those of Banafsheh Keynoush.

@highlight

Banafsheh Keynoush: Iran has many things to gain

@highlight

She says it can help keep various sides in Iran happy

@highlight

It limits nuclear weapon development at home

@highlight

And the deal reduces the likelihood of military action from abroad