(CNN) -- The issue of whether the death penalty in America is administered in a cruel and unusual manner has jumped back into the headlines with botched lethal injection executions in Oklahoma and Arizona.

The Arizona case includes reports that the process took in excess of an hour and a half while the prisoner emitted sounds variously described as snoring or gasping for air.

This month, a federal judge decided to overrule the U.S. Supreme Court in striking down the California death penalty as a form of "cruel and unusual" punishment.

Judge Cormac Carney blasted a "dysfunctional" California justice system that leaves hundreds of murderers "languishing" on death row awaiting only the remote possibility of execution. The implication is that convicted rapist/murderer Ernest Jones suffers from some constitutionally impermissible form of mental torment in being forced to wait too long for an execution that may never come.

The prisoner's 25 years of anguished death contemplation, incidentally, was caused in large part by the state and federal appeals he filed seeking to stop or postpone his execution. The judge blames only California for this delay, rather than the prisoner filing the endless appeals.

Arizona execution raises questions over novel lethal injections

The judge apparently assumes that each time Jones wins yet another postponement of his execution, he suffers more. The ruling reminds me of the old story of the man who murders his mother and father and later pleads for the mercy of the court on the grounds that he is an orphan.

In the meantime, his victim, Julia Miller, the mother of his girlfriend, remains buried in the cold ground, her opportunity to experience anguish having last occurred when she was bound with a telephone cord, gagged with rags in her mouth, raped and then stabbed 14 times, including once in her vagina.

Two kitchen knives were protruding from her neck when discovered by her distraught husband of 30 years. Eight months later, he too was gone, having "grieved himself to death," according to his daughter during the penalty phase of Jones' trial. There was no doubt of guilt here, given iron-clad evidence including Jones' sperm that was DNA identified after recovery from the victim.

Opinion: Botched executions can't be new norm

This unpleasant recitation of the facts of the case was conveniently omitted from the judge's decision and a New York Times editorial endorsement of the concept that procedural delays in the appellate process are "cruel and unusual" punishment. With a little refinement and some well-funded legal defense projects, the Times and the judge could probably empty most of America's prisons with this theory.

Though the judge painstakingly attempts to establish that Jones bears little responsibility for the delay, the argument is disingenuous. Most of the appellate review was sought by Jones, and though slowed by state funding deficiencies, it never would occur but for the prisoner's filings. Yes, he has a right to appeal, but the law does not permit a cancellation of the penalty when the review process is slow.

The ruling is also astonishing in that the U.S. Supreme Court has in the past upheld death by firing squad, hanging, lethal gas, electrocution and lethal injection. None of these methods of inflicting death violate the Eight Amendment's prohibition against cruel and unusual punishment, according to the high court.

Opinion: Five ways to improve the U.S. death penalty

These methods surely impose a level of suffering far in excess of Jones' mental distress occasioned by the system's "arbitrary" and "capricious" failure to put him swiftly to death. The court has also ruled that the death penalty properly serves a legitimate societal interest in "deterrence and retribution."

To contend seriously that Jones suffered "cruel and unusual punishment" in not being swiftly put to death is a mockery of sensible legal analysis and simple common sense. The Supreme Court has examined this concept of procedural delays as a basis for attacking the death penalty and rejected the notion in a line of cases arising from a legal concept known as "laches." Though rarely invoked, it stands for the proposition that unwarranted delay can be so prejudicial that the court can refuse to impose an otherwise legal penalty.

Cormac's widely heralded decision is actually damaging to serious efforts to abolish the death penalty in America because it is nonsensical and so heartlessly impervious to the suffering of the unmentioned victim.

Before the death penalty can be eliminated, the public must be convinced that the punishment of death is barbaric and purposeless in modern society. Death penalty opponents squander their credibility with the public by adopting Jones' case as an example of death penalty injustice. Given the barbarity of Jones' crime, this is a poster case for administration of the death penalty after appropriate appellate review and safeguards.

Death penalty facts that may surprise you

The supreme irony here is that opponents of the death penalty, who have spent years attempting to slow and obstruct its administration, are now asserting that the very deliberate examination of death penalty cases that they advocate has caused the penalty to become a form of "cruel and unusual" punishment. This is intellectual dishonesty and hypocrisy at its worst.

Reasonable people can differ about the propriety or even the morality of the death penalty. I remain deeply conflicted myself about the appropriateness of the punishment in modern America. Supreme Court justices have spoken of "evolving standards of decency," and at some point in the near future, this country may join the ranks of other Western democracies in banning the ultimate penalty.

But the final decision on this important issue should not be made by a single federal judge parsing through a statistical analysis of how long it takes to process the innumerable appeals filed at the explicit request of convicted murderers. The decision should be made by majority vote in the democracy we cherish, or less optimally by the Supreme Court of the United States.

Those who seek in good conscience to abolish the death penalty need to select the cases that demonstrate their claim of injustice carefully. They need also to remember to tell us about the victims who lie silenced forever. And they should never advance an argument such as the one used in the case of Ernest Jones. For it is abundantly clear that the lengthy contemplation of a death so richly deserved will be never be viewed as cruel and unusual under the U.S. Constitution.

@highlight

Paul Callan: Death penalty is major topic after reports of botched executions

@highlight

Callan: A federal judge in California recently ruled against death penalty in that state

@highlight

Argument that delays make the punishment unconstitutional don't hold up, he says

@highlight

Callan: We can differ on death penalty, but length of appeals isn't a reason to invalidate it