(CNN) -- The tragedy of the train derailment in Lac-Megantic, Quebec, has brought home just how small our world has become. Oil that was drilled in North Dakota's Bakken oil fields is loaded onto rail cars and passes through a small Canadian community and shatters their world in an instant. All my thoughts and best wishes go out to the families and emergency responders in the midst of this human and environmental catastrophe.

Everyone is touched by this man-made disaster -- 20 killed, 30 missing -- because so many communities have a rail line running right through the middle of town. Here in North Dakota, like all over the U.S. and Canada, towns grew up around the railroad lines. They brought people in to help settle the state and shipped the farm and manufacturing products to other parts of the world.

But the increase in the amount of volatile crude oil being transported by rail from North Dakota's Bakken fields has brought a new and troubling set of problems to the debate about our continued dependency on fossil fuels, and particularly oil, as an energy source.

Railroad engineers did not have transporting oil in mind when they laid out the routes. They did not avoid population centers, rivers, or environmentally sensitive areas. They were only concerned with getting from Point A to Point B in the most efficient manner possible. In fact, trains carrying oil tanker cars run just two blocks from my office, right through the heart of Bismarck, North Dakota.

Rail is the most efficient way to move freight, and Sierra Club is a big fan of rail for transporting people and conventional freight. But moving extreme fossil fuels, like Bakken shale or Alberta tar sands, is a different story entirely.

These fuels are "extreme" because they are more toxic and more carbon intensive than conventional oil. They are also more dangerous to transport than conventional sources of oil. Production in the Bakken fields has increased nearly 10 times since 2011. To move all this crude, oil rail companies are running longer, heavier trains. And they are running them farther than ever before, bringing crude to refineries on the East, West and Gulf coasts.

The regulatory framework for train safety wasn't designed for crude oil trains, and the rail and safety infrastructure is out of date and not up to the task. A state transportation safety spokesman in Maine this week said that the Lac-Magantic disaster is "on the same parallel as a tractor-trailer accident. It's private commerce and we don't get involved." This catastrophe proves beyond any shadow of a doubt that the transportation of Bakken shale requires much more vigilant oversight.

It's too early to draw conclusions from the ongoing catastrophe in Lac-Megantic, but there's one simple lesson that we should not ignore. Bakken shale, tar sands, and other extreme fossil fuels threaten our towns and our communities. We can't afford the additional cost, in safety or pollution that these fuels bring. And with growing efficiency and with renewable sources of energy, we don't need them.

The opinions expressed in this commentary are solely those of Wayde Schafer.

@highlight

Wayde Schafer: Many communities have rail lines running right through them

@highlight

Schafer: North Dakota crude oil loaded onto trains causes a tragedy in Canada

@highlight

N.D. oil production rose by 10 times since 2011, more and and heavier trains needed

@highlight

It's too dangerous, he says. Trains go through towns and weren't designed for oil