(CNN) -- Five key issues factored into George Zimmerman's acquittal Saturday in last year's shooting death of 17-year-old Trayvon Martin:

1. The charges filed

Did the prosecution make a mistake in filing a second-degree murder charge against Zimmerman?

"I think the problem was they overcharged it in the very beginning," said Holly Hughes, a criminal defense lawyer who was not on Zimmerman's legal team. Had prosecutors started with the manslaughter charge, the outcome might have been different, she told CNN.

But Florida State Attorney Angela Corey said the allegations "fit the bill" for the second-degree murder charge.

Second-degree murder is defined as a killing carried out with hatred, ill will or spite, but is not premeditated. To convict Zimmerman of manslaughter, jurors would have had to believe he "intentionally committed an act or acts that caused the death of Trayvon Martin."

A verdict and more: Get caught up

Questions surfaced about whether the charge was appropriate because knowing a person's feeling during a killing is difficult to prove.

As a result, the prosecution had to rely on the evidence to tell the story of what happened and what led to the shooting, HLN's Ryan Smith said.

Without an abundance of evidence, proving the case was difficult for both sides.

Former Los Angeles County prosecutor Loni Coombs emphasized that jurors did not find Zimmerman innocent; rather, they found him not guilty. There's a difference, she told CNN's Don Lemon.

"They're not saying he's innocent, they're just saying they couldn't prove beyond a reasonable doubt, and therefore the law gave them no choice but to write 'not guilty,'" Coombs said.

2. The evidence presented

Zimmerman's account of what happened the night of the shooting was a central part of the trial. He was the only living person who witnessed the entire incident, and there wasn't much physical evidence for either team to fall back on.

Various adverse conditions played into the initial investigation that night: A dark, rainy scene isn't ideal for a homicide investigation, says HLN law enforcement analyst Mike Brooks.

Much was made during the trial about why there was so little blood on Martin and Zimmerman, who said he fired in self defense because he was being beaten and feared for his life.

Dr. Vincent Di Maio, a former medical examiner in San Antonio and an expert on gunshot wounds, testified that the rain could have washed away and affected evidence collected from Martin's hands.

Attorney Faith Jenkins said it doesn't matter what a prosecutor believes if he or she doesn't have adequate evidence.

"Trials are not necessarily about the truth all the time," the former prosecutor told CNN. "It's about what you can prove in court."

There was so little evidence available that the defense put together an animated video to re-enact the events of that night based on witness statements, police reports and Zimmerman's account, they said.

The judge ruled against the use of the video.

Zimmerman could still be held responsible for Martin's death

3. The teen who spoke to Martin

She was on the phone with Martin moments before he was shot and was considered a key prosecution witness. But Rachel Jeantel initially resisted coming forward.

"She did not want to get involved in this in no way possible," Martin family attorney Benjamin Crump told reporters Saturday.

During two days of testimony that was at times tense and combative, Jeantel described her conversation with Martin.

When defense attorney Don West challenged her story, suggesting Martin attacked Zimmerman, she responded: "That's retarded."

Jeantel testified that Martin told her he was being chased by a "creepy-a** cracker."

"This was a disaster," criminal defense lawyer Mark Geragos told CNN's Anderson Cooper the day Jeantel testified. "This was the star witness, the star witness. The wheels came off and it was a train wreck. And there's no other -- there's no way to soft-pedal it."

Analysis: The race factor

4. The voice on the call

The mothers of Zimmerman and Martin each testified that screams for help heard on a 911 call the night of the shooting were those of her son.

Whose voice was heard on the call was considered key for both the prosecution and defense in proving who was responsible for the shooting. If the screams were Martin's, as the prosecution contended, Zimmerman was the aggressor. If the screams were Zimmerman's, as the defense said, Martin was the aggressor.

On July 5, in a packed courtroom, the prosecution played the recording for Martin's mother, Sybrina Fulton.

When asked if she recognized the voice, Fulton said it belonged to "Trayvon Benjamin Martin."

Hours later, the defense called Gladys Zimmerman to the stand, where she testified the voice screaming for help belonged to her son.

"I know because he's my son," she said.

As a result, there was no definitive answer for jurors.

5. Testimony

The lead detective in the case, Chris Serino, was called to the stand by the prosecution.

Serino told the court that he believed Zimmerman exaggerated the number of times he was hit that night but didn't feel any "active deception."

"Either he was telling the truth or he was a complete pathological liar," he testified.

@highlight

Attorney: I think the prosecution overcharged the case in the very beginning

@highlight

Prosecutor Angela Corey defends the decision to charge Zimmerman with murder

@highlight

A lack of witnesses who saw the entire incident made the case hard to prove

@highlight

Attorney: Trials are not always about the truth; "It's about what you can prove in court"