Washington (CNN) -- Same-sex marriage is a non-issue in American politics.

OK, that might be a bit of an overstatement, but it seems to be causing less of a firestorm lately than when it was a dependable wedge issue.

When Attorney General Eric Holder announced Saturday at the Human Rights Campaign's gala that the federal government will expand the recognition of same-sex marriages in federal legal matters, including bankruptcies, prison visits and survivor benefits, it barely moved the political crisis dial.

The Twitter world was relatively quiet. News releases from both Republicans and Democrats were few and far between. The topic was barely mentioned on the Sunday political talk shows.

The biggest fallout might be more about President Obama's use of executive action to push his agenda rather than the issue itself.

It's not that this announcement isn't a big deal, because "it's a very big deal," said Steve Elmendorf, a Democratic donor and former campaign manager for John Kerry's 2004 presidential campaign.

Although Holder's announcement is an extension of the Supreme Court's decision last year striking down the Defense of Marriage Act, it's a definitive statement on the Obama administration's policy position.

"Just like during the civil rights movement of the 1960s, the stakes involved in this generation's struggle for LGBT equality could not be higher," Holder said Saturday. "As attorney general, I will not let this department be simply a bystander during this important moment in history."

Same sex marriage fast facts

Democratic U.S. Sen. Richard Durbin said Sunday on CBS' "Face the Nation" that the announcement is "logical, it's consistent, it's passionate."

But one day after Holder's announcement, conservatives, who tend to oppose same-sex marriage, have said little.

Republican U.S. Sen. Kelly Ayotte of New Hampshire said on CBS News' "Face the Nation" that it "appears to be another example of the Obama administration imposing its will on the states" and noted that same-sex marriage is legal in her state. It "could" be an issue in other states where it is not, she said.

That's not exactly a seething denouncement.

The issue has come a long way in the court of public opinion, as a majority of Americans now support same-sex marriage.

According to a national Quinnipiac University poll from September, 56% of Americans support marriage for same-sex couples, compared with only 25% who supported it in 1996. A CNN poll in 2010 was the first time a poll found that a majority of respondents backed it.

Republican strategist Ana Navarro said Sunday on CNN's "State of the Union" that opinions on same-sex marriage represent the "most rapid social change that we've seen in our lifetime."

Navarro said Republican politicians' positions are evolving, too, but they aren't too vocal about it.

She said Republican views on the issue are changing rapidly, but politicians "may not be out there because there's no reason to take the political hit if there's no legislation in front of them."

The political hit could come from the party base, among whom opposition is more common. The same Quinnipiac poll found that 36% of Republicans back same-sex marriage in their states.

Navarro insisted, however, that opinions are changing quickly among Republican voters and that by the 2016 presidential election, it might be "much less of a point than it is today."

The last five years have seen a tremendous amount of change on the issue. More than a dozen states have legalized same-sex marriage, and Obama is the first president to endorse it.

Support for gay rights generally has increased, as evidenced late last year when the Senate passed the Employment Non-Discrimination Act, which would outlaw discrimination based on sexual orientation in the workplace. It was the first time the Senate had passed the measure, and it won 10 Republicans votes.

Republican strategist John Feehery, president of QGA Communications, said: "There is so much else the Republican Party should focus on. I imagine that they won't spend much time pounding away at this issue."

Elmendorf said the administration's decision was not a political risk for Obama or the Democrats leading into the 2014 midterm elections. "There's not a political downside for Obama. There's none," he said.

Elmendorf noted that gay rights' issues in politics are no longer a niche issue but rather appeal to many voters.

"It's not about gay voters any more, it's about any voter under the age of 40," he said.

Rand Paul warns his former home state, Texas, could turn blue

Not everyone has stayed out of the fray, however. Former Arkansas governor and potential 2016 Republican presidential candidate Mike Huckabee, who also appeals to social conservatives, sent an e-mail to his supporters shortly after Holder's announcement.

"Is it a surprise this administration is picking and choosing the laws they like?" the e-mail read. It included included a link to the CNN story about Holder's announcement and asked for support of Huckpac, his political action committee, and the Conservative Candidates fund.

Same-sex marriage could become a campaign issue in some of the more conservative districts and states around the country, where incumbents could face challenges from the right, especially in the more than two dozen states that have constitutional amendments banning same-sex marriage.

A Republican operative said people could "probably see this as another overreach by the Obama administration to subvert their will."

Even Obama's evolution on the issue, from opposing same-sex marriage to supporting it, still has not satisfied LGBT activists and supporters. For one, he has not indicated that same-sex marriage should be addressed at the federal level to eliminate the patchwork of laws around the country.

While reaction might be much more muted, for proponents, the issue is far from won.

@highlight

Political reaction to more federal recognition of same-sex marriages to all states muted

@highlight

A Republican strategist said Republicans' views on the issue are changing

@highlight

Some LGBT activists want more action from the Obama administration