(CNN) -- There were headlines when one of Tesla's Model S electric cars caught fire in late October after the battery case was pierced by a piece of road debris. There were bigger headlines, and much speculation, when within six weeks, a second and then a third Model S fire occurred in the wake of accidents.

The fires are regrettable and must be investigated. No one is suggesting otherwise. We all need to know whether there's a flaw in the Model S that must be corrected.

But to use these incidents to question the viability of Tesla as a company is wrong. This is a company that has achieved the remarkable in launching a new automobile, a new propulsion technology and a new automobile manufacturing enterprise in just a few short years and against very long odds.

Tesla's brilliant but often blustery chairman, Elon Musk, quickly came to the defense of his company's groundbreaking vehicle, going so far as to claim that Tesla asked the government to investigate the cause of the fires -- a claim that National Highway Traffic Safety Agency Administrator David Strickland disputes. NHTSA is investigating, Strickland said, but the agency made that decision on its own, with no request from the automaker.

News about the fires has been overtaken by the announcement of NHTSA's investigation, the squabble between Musk and Strickland and the tumble in the price of Tesla's stock as investors began distancing themselves from a company that until those three fires had been a Wall Street darling.

The whole thing is a shame. This has become much more than a query into a very few vehicle fires. Electric cars have been politicized and many are taking the Tesla fires as a sign that electric vehicles are too new, too different and too dangerous to be allowed on our roads.

Additionally, some in the investment community and a few politicians critical of Tesla and other electric vehicle developers for using government loans have made the fires a referendum on Tesla itself. (Tesla, which received loans from the Department of Energy's new technology program, repaid its loans nine years early.)

Tesla has won the backing of two big players, Toyota and Daimler, which have ownership stakes in the company. Whether it remains independent or eventually is absorbed by another carmaker, it is unlikely to end up on the scrap heap.

It may transpire that Tesla needs to redesign its cars -- or at least the location or shielding of the batteries -- in order to help prevent further fires. But to turn that into an indictment of electric vehicles in general would be wrong as well.

The two Tesla fires in the United States occurred when their battery cases were pierced by metal objects struck when the vehicles were moving at high speeds. The third fire, in Mexico, occurred when a speeding driver lost control and hit a stone wall.

Yet while a Tesla's battery is directly beneath the car's passenger cabin, the flames were channeled to the front, where an engine would be if Teslas had gas engines. This is part of the Model S safety design. The passenger cabins didn't burn. The cars' safety systems warned the drivers to pull over and get out because something was amiss.

The same type of accident involving a conventional gasoline-fueled vehicle might not have resulted in a fire. But think of the damage a hefty metal trailer hitch or length of scrap iron could do after piercing a conventional vehicle's relatively thin floor and entering the passenger cabin. It's not a pretty picture.

The location of the Tesla's battery pack may well have saved one or both drivers from terrible injury in the road debris incidents, even though the cars burned.

Meantime, a typical conventional car with 15 gallons of gas on board carries the explosive power of 210 sticks of dynamite. But most of us drive around all day long blissfully ignoring that deadly potential. Gasoline is the devil we know, and familiarity lets us overlook its flaws.

Electric cars, though, are new and different and challenge the status quo. That makes them a target for suspicion and for criticism. We are not comfortable with things we don't know.

We won't know until NHTSA completes its investigation whether the design of the Model S is inadequate. We should wait until then before contemplating obituaries -- for Tesla or for the electric vehicle.

The opinions expressed in this commentary are solely those of John O'Dell.

@highlight

Tesla's Model S electric cars have caught fire three times in recent months

@highlight

John O'Dell: We need to know whether there's a flaw that needs to be corrected

@highlight

But it's wrong to use this to question viability of the company or electric cars, he says

@highlight

O'Dell: Electric cars are new and different, but they shouldn't be target for suspicion