(CNN)  -- They may wear a uniform, or ordinary street clothes. Their numbers are unclear. They rush the streets with brute strength.

Members of the Basij militia enter Tehran University, where students were protesting on Monday.

They are the Basij, Iran's volunteer paramilitary group that for more than a week has cracked down on the thousands of protesters in the bloody aftermath of the Islamic republic's disputed presidential election.

Amateur video shows members of the Basij, wearing plain shirts and pants and wielding clubs and hoses, dispersing protesters and beating a handful of Iranians at a time.

"The Basij militia forces tried to break up the demonstrations using batons, electric shock and water cannons," a student in Tehran, whose name was withheld for his safety, told CNN's Don Lemon on Sunday. The student said he was injured at a protest by the feared militia.

Monday's demonstrators dismissed a warning from the Revolutionary Guard that people who "disturb the peace and stand up to security forces" would be met with a strong response. "The guardians of the Islamic revolution and the courageous Basiji together with the security forces are following the orders of the supreme leader and following him unquestioningly," the Guard said, according to the state-run Islamic Republic News Agency.  Watch protesters clash with Basij militia »

While the Basij -- the word means "mobilization" in the Farsi language -- is often described by outsiders as shadowy and mysterious, Iranians have had run-ins with the militia for three decades.

The Basij was established in 1979 by Ayatollah Ruhollah Khomeini, who famously declared that Iran could never be destroyed with a 20-million-man militia. Khomeini, who ushered in the Islamic revolution that ousted Iran's ruling shah 30 years ago, felt that his country suffered from Western influences that the shah embraced.

He created the Basij as a popular auxiliary arm of the Islamic Revolutionary Guard, a military unit under the direct control of Iran's supreme leader, to defend the principles of the movement.

The group, at least at first, was made up of men either too old or young to serve in the Revolutionary Guard. Until now, they were perhaps best known for the "human wave" attacks during the Iran-Iraq war that reportedly cleared out minefields for the professional military. Many of the Basij reportedly received plastic keys to wear around their necks like dog tags, marking their entry to "paradise" when they died in martyrdom.

"Basij members made up with zeal what they lacked in military professionalism," said Michael Eisenstadt, a senior fellow and director of The Washington Institute's Military and Security Studies Program.

After the Iran-Iraq war, the Basij returned to its role as an internal security force to enforce Islamic morality. While Iran in recent years has claimed more than 12 million in the ranks of the group, Middle East experts put the figure closer to 300,000 -- though they concede it's difficult to quantify a sprawling militia that has full-time and reservist cadres.

The militia is known to recruit members from rural and urban areas and to organize mainly at mosques around Tehran and other major cities.  Watch report on Basij militia »

"Through the mosques, they have funds, ideological and political indoctrination and military training," said Ali Alfoneh, a fellow at the Washington-based American Enterprise Institute who has researched the relationship between Iranian civilians and the Revolutionary Guard.

The Basij has had a growing role since 2003, when it was beefed up as a first line of defense amid suspicions of a possible U.S.-led invasion, Eisenstadt said

"I think cannon fodder is a fair way to characterize them," said Eisenstadt, who noted the militia seems to emerge during the initial moments of an uprising as the Revolutionary Guard and law enforcement forces organized their reaction.  See timeline of events in Iran »

While experts say there is a hardline ideological core to Basij, its members, who often come from lower-class backgrounds, are attracted to the perks that the Basij (and its superior agency, the Revolutionary Guard) has to offer: a little cash, a seat at a university and a bit of authority.

"Not every single one is devout, not every single one is ready to kill," said Alfoneh, a native of Iran.

The Basij noticeably took the lead in crowd control last week when tens of thousands of Iranian demonstrators spilled into the streets of Tehran to protest the presidential election. Iran's election authority declared hardline incumbent President Mahmoud Ahmadinejad as the winner of the presidential race, sparking outrage in supporters of popular opposition leader Mir Hossein Moussavi.

"The first people who were really available were the Basij," Eisenstadt told CNN. "There are Basij bases throughout the city and beyond, and they were able to respond quickly."

As the government got a handle on the massive demonstrations in recent days, the Basij remains present and vigilant in the aftermath of the June 12 election.

Badi Badiozamani, an Iran analyst, has sifted through scores of amateur video from the frontlines of the protests. Dozens of those clips show Basij members, wearing black shirts and pants or plainclothes with camouflaged vests, detaining young men outside their homes as their mothers and sisters scream in the background.

One clip shows a young man whose head is hooded in a dark cloth, squatting behind a car, while another man is shown face down with his hands tied behind his back.

"We saw that these forces took the detained person out into the alley, and into an unmarked car," Badiozamani said. "Today I saw again Basijis grab a young man, put him on a unmarked motorcycle and take him away."

@highlight

Mysterious militia was established in 1979 by Ayatollah Ruhollah Khomeini

@highlight

During Iran-Iraq war in 1980s, they created "human waves" to clear minefields

@highlight

After war, Basij returned to role of internal security force to enforce Islamic morality

@highlight

Basij noticeably took the lead in crowd control when street demonstrations started