ANKARA, Turkey (CNN) -- President Obama ended his first overseas trip in Turkey -- a location he said he chose to send a clear message.

President Obama and Turkish President Abdullah Gul hold a joint news conference Monday.

"I'm trying to make a statement about the importance of Turkey, not just to the United States but to the world," Obama said at a joint news conference Monday with Turkish President Abdullah Gul.

"This is a country that has been often said lies at the crossroads between East and West. It's a country that possesses an extraordinarily rich heritage but also represents a blend of those ancient traditions with a modern nation state that respects democracy, respects rule of law and is striving toward a modern economy."

Obama said Monday that the United States and Turkey can send a powerful message to the world through their friendship.

"I think that where there's the most promise of building stronger U.S.-Turkish relations is in the recognition that Turkey and the United States can build a model partnership in which a predominantly Christian nation, a predominantly Muslim nation -- a Western nation and a nation that straddles two continents," he continued, "that we can create a modern international community that is respectful, that is secure, that is prosperous, that there are not tensions -- inevitable tensions between cultures -- which I think is extraordinarily important."  Watch Obama on the importance of the U.S.-Turkish relationship »

U.S. approval ratings among Turks hit dismal lows throughout the Bush administration, largely because of the war in neighboring Iraq, which was widely unpopular in Turkey.

The Turks seem to be captivated, however, by the new American president, according to one influential newspaper.

On Monday, the Hurriyet published a front-page headline saying, "Welcome Mr. President. ... Our hearts have been broken over the last eight years, now it is time to mend hearts."

Middle East analyst Reza Aslan said Monday that following years of frosty relations, Obama wants to strengthen ties with Turkey to send a signal to other Muslim nations.

"Turkey is the most important majority-Muslim state when it comes to the United States' interest in the region," he said.

"He wants to make the U.S.-Turkey relations the bedrock for the way in which he's going to reach out to the rest of the Muslim world," Aslan added.

Obama said Monday that "one of the great strengths of the United States" is that it does not consider itself "a Christian nation or a Jewish nation or a Muslim nation. We consider ourselves a nation of citizens who are bound by ideals and a set of values. I think modern Turkey was founded with a similar set of principles."

In an address before the Turkish Parliament later Monday, Obama acknowledged that "the trust that binds the United States and Turkey has been strained, and I know that strain is shared in many places where the Muslim faith is practiced."

Obama said, "So let me say this as clearly as I can: The United States is not and will never be at war with Islam."  Watch what Obama says about Islam »

On his first presidential visit to a Muslim country, Obama highlighted that he too had Muslims in his family and had lived in a Muslim-majority country.

Obama also called on Turkey, NATO's only Muslim member country, to work side by side with the United States to resolve conflicts across the turbulent Middle East.

The president reiterated American support for Turkey's bid to join the European Union, a position that was recently criticized by French President Nicolas Sarkozy.

Former U.S. Defense Secretary William Cohen said Obama's visit to Turkey is an "important step for the president."

"Turkey is a very important country -- one of our critical members of NATO. They play an important role in helping to support troops in both Iraq and Afghanistan. They will hopefully play a role in helping to bring about a Middle East peace settlement," he said.

Turkey sends "a very important signal to the rest of the Muslim world that the United States is not anti-Muslim as so many have thought we have been, but rather here is a very strong Muslim nation that is working hand in hand with the United States," Cohen said.

Obama on Monday avoided pushing for a pledge he made during his presidential campaign to recognize officially the massacre of ethnic Armenians in 1915 as a genocide. Turkey vehemently denies Armenian claims that 1 million Armenians were killed in the last days of the Ottoman Empire.

Instead, the American president highlighted recent diplomatic progress made between the governments of Turkey and Armenia, saying he was "not interested in the U.S. tilting this negotiation in any way."

Turkey and Armenia do not have formal diplomatic relations and their borders are closed.

However, last fall the Turkish president went to a soccer match in Armenia, and Armenia's top diplomat was expected to attend a U.N.-sponsored "Alliance of Civilizations" forum Monday in Istanbul, Turkey.

Obama hinted that a major diplomatic breakthrough between the two rivals may come soon.

"My sense is they are moving forward quickly," he said at an earlier press conference with Gul. "I don't want to pre-empt any arrangements that could be made in the near future."

CNN's Ivan Watson contributed to this report.

@highlight

President Obama: U.S. a nation of citizens, not any particular religion

@highlight

Obama says he is trying to make a statement by ending trip in Turkey

@highlight

Obama on first state visit to largely Muslim nation

@highlight

U.S. approval ratings among Turks hit low during Bush administration