(CNN) -- The Dalai Lama, Tibet's spiritual leader, set off a media kerfuffle this month when he spoke about his next reincarnation.

Not a man afraid to surprise people, he told two German journalists that he didn't see a need for there to be more Dalai Lamas in the future.

The German newspaper concluded that this meant he was not planning to return as a reincarnation. A French news agency announced that there would be no more Tibetan spiritual leaders.

The Dalai Lama's office in India protested that he had been misquoted.

Eventually, people began to listen to the original interview, where it was noticed that the Dalai Lama had clearly said "I hope and pray that I will return." End of palpitations for his loyal followers and Tibetan nationalists, who very much want him to come back.

In fact, the Dalai Lama, who fled to India in 1959 after a failed uprising by Tibetans against Chinese rule, has often spoken about major change in the institution he embodies. He's said that there might be no more Dalai Lamas, that the next one could be elected rather than discovered, that it would be good if she were a woman, and even that he might not be the actual Dalai Lama anyway.

But these are always marked as forms of speculation.

His formal position on this question is quite clear. In 2011, in a rare "gal che'i bka' yig" or "Important Proclamation", he declared that he will make a decision on the future of the Dalai Lama lineage in around 2024 after consulting with other high lamas and the Tibetan public.

If there is to be a successor, he announced, it will either be a child identified as a reincarnation after his death, or a person recognized as an "emanation," chosen by him while he is still alive. And, he added, "I shall leave clear written instructions" -- presumably to help journalists and others get the story right.

Future

There are practical reasons behind the Dalai Lama's efforts to prepare people for systemic change.

Reincarnation as a succession system can produce highly effective charismatic leaders, but it has a structural flaw: it takes several years for a new child to be found and identified, and then another 15 years or more before the successor can take up the work of leadership.

In addition, the system is famously prone to interference, corruption, and power struggles, not to mention ridicule: In the 1870s, according to the scholar Melvyn Goldstein, a Lhasa street song had the refrain "Her Excellency Mrs Doring's ass is black with soot," in honor of a famous aristocrat who tried to entice a future Dalai Lama into her womb by burning incense under it.

The Dalai Lama's decision three years ago to hand the running of his exile government over to an elected leader was partly designed to remedy these problems.

But even without any official position, he still remains the most influential figure in the Tibetan world, and no-one has yet come up with a credible solution to the Tibetan-China dispute that does not depend on him.

But there have been no official talks between the two sides for four years. President Xi Jinping is making his first trip to India since taking power, but at 79 years old, the Dalai Lama needs to push China urgently to resume dialogue with his representatives.

He knows that China is determined to appoint the next Dalai Lama -- it passed a government regulation in 2007 declaring that henceforth only it is allowed to permit a lama to reincarnate.

Hinting that he might not return is a reminder by the Dalai Lama to Beijing that time is running out if it wants to avoid a lengthy dispute once he dies.

Imperial response

If the Dalai Lama's aim was to goad Beijing into a response, it worked.

In one of history's more bizarre instances of role reversal, China's Foreign Ministry spokeswoman reprimanded the Dalai Lama for telling the Germans he might not return and called on him to respect the practice of reincarnation.

"China follows a policy of freedom of religion and belief," she said, "and this naturally includes having to respect and protect the ways of passing on Tibetan Buddhism."

This apparently doesn't include the Dalai Lama's ways of passing it on, because, it was explained, he "has ulterior motives, and is seeking to distort and negate history, which is damaging to the normal order of Tibetan Buddhism."

The spokeswoman was right that history is a good place to turn to for solutions to this dispute.

As she went on to say, China's rulers in the past issued titles to previous Dalai Lamas. But the details are important: Emperors only did that in some cases, they didn't try to interfere as to who was chosen, and the lamas held their titles whether or not they received imperial endorsement.

Even as late as the mid-1990s, the Communist Party's practice was somewhat similar: They left decisions regarding reincarnations to local lamas and their followers and just rubber-stamped the choice once it was made.

In the last two decades that Beijing has reverted to trying to control every detail of Tibetan religion, and at the same time blame all setbacks on the Dalai Lama.

Neither of these approaches reflects Chinese history or custom towards Tibet. The lessons of the past would let Tibetans decide for themselves how to implement traditions, which Beijing could then confirm if it felt it needed to.

The Dalai Lama's apparently offhand remarks to the German journalists and the Chinese put-down were thus a form of diplomatic push-pull in public.

For that to ever lead to a solution, Beijing will need to think more about respect than about control, and the Dalai Lama will need to reassure Beijing about his intentions. Until that happens, expect more cryptic exchanges between the two via the world's media.

@highlight

Dalai Lama's comments about his next reincarnation set off a media kerfuffle

@highlight

Reincarnation produces charismatic leaders, but has structural flaws, says Robert Barnett

@highlight

Hinting he might not return is a reminder to Beijing that time is running out

@highlight

At 79, Dalai Lama needs to push China urgently to resume dialogue