(CNN) -- There are few philosophers whose very name provokes more violent responses than Karl Marx.

His stern face, framed by a mass of gray hair, symbolizes for many Americans the costly battles of the 20th century: battles against communism, socialism, and authoritarianism fought in defense of democracy and free-market capitalism. As successive generations of Americans waged those fights, the philosophical disputes at the core of the conflicts embedded themselves into the American soul. So much so that when the "evil empire," whose seeds sprouted from Marx's doctrine, died as a result of the revolutions of 1989, the ideological battle did not.

Though the Soviet Union is but a memory, and that other communist behemoth -- China -- has mutated into a capitalist autocracy, the specter of Marx himself remains as potent as ever in 21st century U.S. political discourse. Since 2008 especially, with the fall of financial markets and the rise of Barack Obama, the charge "Marxist" has been hurled like toxic sludge against politicians seen as ready to redistribute wealth (to the advantage of most Americans), expand social safety nets, or ensure that all children receive a good education. Critics say these steps are merely the first along a slippery slope that inevitably ends in outright state control. Amid these warnings, the communist horrors of the 20th century float like dark apparitions, reminding us of the bad old days.

But I wonder how many of those who invoke the name of Marx in order to stifle political debate actually believe their own propaganda. Or are they conjuring up a convenient bogeyman at a time of great uncertainty. Do they raise Marx's image in order to deflect attention from slightly warmer bodies (Marx has been dead for 128 years)in positions of political or economic power who are actually more pernicious? I also wonder whether those who use Marx's name, and those who tremble at the thought of him, actually know much about the man. Are they reacting to Karl Marx or those things done in his name? I believe it is the latter. I also believe it is time to understand Marx so that we are no longer made to fear him.

When I began working on a biography of Marx's family in 2003, I was well acquainted with his theories. I knew, as most do, the history of the governments formed to reflect the state he had supposedly envisioned. I knew of the atrocities committed by those said to be his followers. I had not, however, been properly introduced to the man himself. What I discovered was not what I expected.

Karl Marx was a middle-class philosopher, economist, and journalist (whose main employer was a New York newspaper). He was also flawed in the extreme. He drank excessively, behaved shamefully in his home life, and worked obsessionally, though he produced little that earned him money or recognition during his lifetime. These flaws, however, made him more interesting because, despite being in a state of near constant personal crisis, he was able to accomplish what he set out to do -- he changed the world.

Marx began his opposition activities as a youth in Prussia against an absolute monarch who could not see, or perhaps chose not to see, that society was changing. The industrial revolution was spreading eastward and Prussian businessmen were eager to expand with it. But the old system of government would not allow for such progress. The king would not allow the democratic reforms that were the handmaidens of the new industrial order.

This was Marx's first battle, to expose the contradictions between the centuries-old monarchical system and the world as it existed in the first half of the 19th century. According to Marx, it was only natural that as the means of production changed -- in this case a move from an agricultural base to an industrial one -- society would be altered. And if, as he believed, a government's sole function was to serve the people, then government must also change. Marx saw this social evolution as inevitable. It only became revolution when the kings and their minions refused to reform.

By the 1850s, the industrialists had gained political power after revolts across Europe in 1848 caused kings to view proto-capitalists as allies against radicalized lower classes. The wheels of industry were humming, as were the halls of finance, where a new breed of speculator was born, addicted to risk in his quest for ever greater profit.

Marx quickly recognized that capitalism would institutionalize social and economic instability. The system's inherent hunger for new markets, new consumers, new and cheaper methods of production in order to increase the flow of capital would result in a destructive system of boom and bust. After each cataclysm, he predicted, the number of capitalists at the top of the pyramid would be smaller, while the base of disaffected workers grew. Gradually even the middle class would be included.

Marx believed that industrial capitalism had also created a new system of repression and exploitation. Politically and socially men were no more equal under this new order than they had been under a monarchy. Rights belonged to those with money and property; those with only a strong back or skilled hands could not even vote. Financially, those filling the ranks of the industrial workforce were arguably worse off.

There was evidence aplenty to support Marx's assessment. He lived in London, the richest city in the world. And yet as great as was its wealth, much greater was its poverty. In Marx's neighborhood, some people rented a space in a bed and called it comfort. Others paid for a few inches on a stairwell and called it home. Marx summed up the situation saying, "There must be something rotten in the very core of a social system which increases its wealth without diminishing its misery."

This is the field where Marx's ideas grew. He famously spent year after year in the British Museum Reading Room, trying to understand this new system, predict its course, and, finally, offer an alternative. Throughout the 16 years before he produced his greatest literary work Das Kapital, Marx's family lived in near continual destitution. Their sole consolation was that they believed Marx's work was noble and important, and that their suffering was small compared with the majority of people who sacrificed their lives so someone else could live in luxury.

Das Kapital and Marx's other political-economic writings were only one aspect of his work. He was also an organizer and educator. Through various small groups, he tried to teach workers, who had neither formal education nor viewed themselves as a political force. The courses included language, literature and history, but mostly politics and economics. Marx was convinced that the only way to successfully change society was to educate the population so that it could eventually lead itself.

In 1864, the most important of his many organizational endeavors was born, the International Working Men's Association. Its goal was to connect workers and trade unions throughout Europe and America to protect their rights in the face of an increasingly powerful capitalist system, whose tentacles had spread beyond individual nations and were encircling the globe. Marx recognized the working man's greatest power was his number.

Marx died in 1883, before his books gained a wide readership and before the workers he had been fighting for took their places in government as representatives of labor and socialist political parties. It had taken decades of struggle -- largely nonviolent -- for this to occur. But Marx knew the path to progress would be slow, and that ultimately the best way to re-balance society was through the ballot box. He also believed, however, that the working man had the right to revolt if those in power tried to deny him such political expression -- free speech, free assembly, freedom of the press -- and the vote.

Marx's actual vision for a government of the future was vague, which no doubt is why it has produced so many variants. But he believed ultimately mankind would naturally evolve out of capitalism and socialism, and embrace a communist society in which government was no longer necessary at all. It is a utopian dream that has occurred nowhere -- least of all in the countries most associated with his name.

Today, many people know Marx only through the crimes of the former communist countries. But Marx's ideas also helped give birth to mainstream political parties in Western Europe -- Britain's Labour Party, Spain's Socialist Party, France's Socialist Party, and Germany's Social Democratic Party. And yet, for some reason in America, these parties are generally not considered part of Marx's legacy.

In the United States, we have been taught to fear Marx for so long that we have forgotten those parts of his philosophy that have become integral to our own lives -- from free education to the right to bear arms. In fact, the era in modern American history that was most "Marxist" was the 1950s, when union membership was high, personal wealth spread more equitably, and the gap between the rich and poor relatively slim.

I came away from my Marx project believing that rather than demonizing Marx, it is better to understand him. If his name is used in political discourse, it should be done in the manner of other great thinkers: as a source of ideas. Whether or not we agree with him, there are lessons to be learned from Marx. To believe otherwise is to ignore a man and a period of history that are crucial to understanding our own.

The opinions expressed in this commentary are solely those of Mary Gabriel.

@highlight

Mary Gabriel: Karl Marx is potent symbol for Americans, is used as political epithet

@highlight

She wonders whether people who fling Marxist tag know anything about Karl Marx

@highlight

She says Marx a middle-class activist trying to lead Prussian king to democratic reforms

@highlight

Gabriel: Americans taught to fear him, but have adopted some of his ideas, like free education