The 2013 fertilizer plant blast that killed 15 people and wounded another 226 in West, Texas, "should never have occurred," the chairman of the U.S. Chemical Safety Board said Tuesday.

Though the board's report says that at least 14 people were killed, the death toll was updated to 15 people in the days after the blast.

The board's investigation, released a few days after the first anniversary of the explosion, indicates the incident was "preventable," Chairman Rafael Moure-Eraso said. The statement from his agency, which was given Tuesday to reporters, blamed the company that owned the fertilizer plant, government regulators and other authorities for the incident.

"It resulted from the failure of a company to take the necessary steps to avert a preventable fire and explosion and from the inability of federal, state and local regulatory agencies to identify a serious hazard and correct it," Moure-Eraso said.

McLennan County, for example, didn't have an emergency response plan in place, and "the community clearly was not aware of the potential hazard at West Fertilizer," the report said.

A lack of fire codes was repeatedly cited in the report, with investigators noting Texas didn't have a fire code and small counties are prohibited from having them. But, the chairman said, local fire departments need fire codes to "hold industrial operators accountable for safe storage and handling of chemicals."

Texas town tighter than ever one year later

The board's supervisory investigator, Johnnie Banks, said all levels of government also failed to adopt codes to keep populated areas away from hazardous facilities. This is not unique to West, Banks said.

"We found 1,351 facilities across the country that store ammonium nitrate," he said, adding that farm communities are just beginning to collect information on the proximity of homes and schools to ammonium nitrate storage facilities.

The investigation determined that "lessons learned" from responses to similar incidents were not disseminated to firefighters, 11 of whom died when the West plant exploded.

The probe said guidelines from the National Fire Protection Association and U.S. Department of Transportation recommend that firefighters evacuate the area surrounding "massive" ammonium nitrate fires and that the area be doused with water "from a distance." However, the report said, the guidance is vague because of the use of subjective words like "massive," "large" and "distance."

"All of these provisions should be reviewed and harmonized in light of the West disaster to ensure that firefighters are adequately protected and are not put into danger protecting property alone," Banks said.

U.S. guidelines for ammonium nitrate storage have been static for decades, the board said, but the United Kingdom in 1996 mandated that storage facilities be one story, well-ventilated and constructed of concrete, brick or steel.

Moure-Eraso lauded the Fertilizer Institute for recently establishing guidelines for the storage and transportation of ammonium nitrate, along with recommendations for first responders in the event of a fire. He further called on all states and counties to likewise update their guidelines.

"The state of Texas, McLennan County, (the Occupational Safety and Health Administration) and the (U.S. Environmental Protection Agency) have work to do because this hazard exists in hundreds of locations across the U.S.," Moure-Eraso wrote. "However, it is important to note that there is no substitute for an efficient regulatory system that ensures that all companies are operating to the same high standards. We cannot depend on voluntary compliance."

Though the Chemical Safety Board investigates serious chemical accidents and makes safety recommendations, it does not issue fines or citations. The Bureau of Alcohol, Tobacco, Firearms and Explosives and the state fire marshal's office said last week that their investigation into the cause of the fire remains active.

West's mayor, Tommy Muska, told CNN last week that doing more policywise, like instituting a statewide fire code, "would have been a wonderful thing."

"You don't want to overregulate," Muska said. "But you also have to look at what (could) make us safer."

Rep. Joe C. Pickett, chairman of the Homeland Security and Public Safety committee in the state House of Representatives, said local authorities should go beyond having every place subject to a fire code.

The Democrat from El Paso is pushing to give the state fire marshal's office more authority, particularly over unincorporated areas, where about 60 of the over 100 facilities storing ammonium nitrate, like what exploded at West Fertilizer, are located. Unlike those falling within city or county limits, these facilities don't have to have things like sprinklers or other safety measures.

Other steps would include getting the word out about places that store ammonium nitrate and other potentially explosive materials.

"We don't want this to happen again," said Pickett, noting that state authorities took some immediate actions and that other, more deliberate ones are in the works. "There have got to be some changes ... But I don't want to rush and do the wrong thing."

Newly released video shows moment of deadly blast

@highlight

U.S. Chemical Safety Board says West, Texas, explosion "should never have occurred"

@highlight

Released days after anniversary of 2013 blast, report cites company, government failures

@highlight

Report: McLennan County had no emergency response plan and Texas had no fire code

@highlight

Report: Feds should update guidance on 1,351 ammonium nitrate facilities in U.S.