(CNN) -- There's something about growing up in a small town.

Don't get me wrong, New York, Los Angeles, Chicago are all great cities with their own identity and appeal, but if you spent your formative years in a burg where traffic lights were few and far between; where watching freight trains was a welcome distraction; where after school, kids waste time at the nearest lake, river or abandoned quarry, then count yourself as lucky.

This kind of small-town adolescence is uniquely American, and it's a lifestyle that's rapidly vanishing.

Brian Kimberling perfectly captures this experience in his debut novel, "Snapper," available Tuesday. Kimberling grew up in Evansville, Indiana, and the book makes the most of its Hoosier setting.

In it, narrator Nate Lochmueller is an affable young ornithologist, earning just enough money to live on by studying the songbirds of Indiana. Not coincidentally, Kimberling also worked as a bird researcher when he was a student at Indiana University.

"Snapper" follows Nate through a series of mostly aimless adventures as he travels across the state in a glitter-festooned truck dubbed the Gypsy Moth.

Nate spends a good part of the book in the wilds of Indiana, where he beautifully describes tracking and observing birds like the Summer tanager and wood thrushes, as well as warblers, chickadees and Acadian flycatchers. There are also some hilarious anecdotes involving a dive-bombing bald eagle, a German shepherd with a knack for digging up human bones and a snapping turtle with a taste for thumbs, hence the title.

But this is more than a bird book. There are plenty of poignant moments as Nate tries to figure out his place in the world's pecking order.

There's his on-again, off-again love affair with a free-spirited beauty named Lola and a colorful cast of characters including Nate's parents, an aunt and uncle from Texas with some questionable views on race, a small group of childhood friends and a few shiftless roommates.

Kimberling writes about all of this in a voice part John Audubon, part Holden Caulfield but uniquely his own. The book's pace is leisurely, the mood is sometimes melancholy, and readers will finish the final page feeling thoroughly satisfied.

Perhaps surprising to readers, Kimberling no longer lives in Indiana. After wandering the globe, he now makes his home in England with his wife and son. CNN recently spoke to him about the novel and whether he misses the U.S. The following is an edited transcript.

CNN: What was the spark behind "Snapper"?

Brian Kimberling: Some friends and I used to build fires on Indiana train tracks at night and sit around with a bottle of something purloined from someone's parents. I told this to an English friend who knew nothing about Indiana and who began imagining and describing a romantically desolate sort of place, forsaken by commerce and industry -- that's how we knew no trains would come through -- a place where there were no girls to talk to and no drugs worth taking, so adolescent boys played hobo together or whatever it was we thought we were doing. That is a very English way of viewing Indiana. It is also absolutely right, or it used to be. That conversation was a spark. I ran with it.

CNN: Had you always wanted to be a writer?

Kimberling: I don't know when I began writing. I won a national award in high school for a short story about a character named Maudlin Lackey who commits suicide. I have since learned some restraint. I had been writing regularly for a couple of years already at the time. It's always been important to me, though, to do other things besides write -- to be something other than or in addition to a writer. So I've worked as a Web developer and an English teacher and an editor and a frozen pizza stacker and so on, in the Czech Republic and Mexico and Turkey and England.

CNN: Where did the title come from?

Kimberling: My editor and I did kick around alternative titles for a while. The problem was that other titles (such as "Audubon, Indiana") seemed to restrict the book's scope somehow and that the snapping turtle in the book has symbolic value. In the end, it was a case of, well, it can't be called anything else, can it? "Snapper" is a digressive, meandering book that invites readers to make connections and interpret things as they will. A more descriptive title (say, "Birding in Indiana") wouldn't do that justice. Also, "Snapper" is a snappy title.

CNN: You write with great admiration about Indiana's songbirds. Do you have a particular favorite from your days as an amateur ornithologist?

Kimberling: I like the wood thrush, as does the narrator, Nathan, and as did Audubon and Thoreau, both. It's probably not humanly possible to listen to the wood thrush attentively without some emotional response. Whereas the Acadian flycatcher is pretty boring. I think "birdsong" and "songbird" are both misleading words. Lots of songbirds just chirp. I was a research assistant for a major study of songbirds for two years, starting at 5 a.m. six days a week. I especially enjoyed running into non-birds. Foxes, raccoons, opossums, all finishing up the night shift at around the time I started. Their collective expression was: "Hey, you're human. Either shoot us or leave us alone. Stop coming around every day."

CNN: You seem to have a love/hate relationship with Indiana, is that correct? Has your feeling for your home state changed since you've lived abroad?

Kimberling: I love it from a great distance. There are many things in Indiana that I appreciate more for having lived abroad. Turoni's Pizza in Evansville tops the list. Bloomington and Brown County are outstanding, and the Ohio is the most beautiful river in the world, as Thomas Jefferson observed 200-odd years ago. Not sure what the beautiful-river criteria are, but it's true. I think a lot, in a possibly European-inflected way, about the cultural heritage of southern Indiana (five words that do not often appear in that sequence). It's not all pretty, but it's all important.

CNN: What's it like now, having moved to England, and would you ever return to the Hoosier State?

Kimberling: I would certainly return to the Hoosier State. I spent three months there last summer with my wife and son, in fact, and all of us enjoyed it immensely. That said, after 10 years in England, there were a few things I found a wee bit alarming. Health care costs and the size of the average pickup truck, for example. The idea that random civilians may carry guns or, for that matter, that the police do carry guns. I suppose I experience a mild form of culture shock.

CNN: What's next for you?

Kimberling: I am working on another novel also set in southern Indiana.

Read an excerpt from "Snapper" here

@highlight

Brian Kimberling captures a rapidly vanishing way of life in "Snapper"

@highlight

Aimless adventures in birdwatching also describe small-town life in Indiana

@highlight

Kimberling's voice is part John Audubon, part Holden Caulfield