Washington (CNN) -- Don't look for President Barack Obama to get much political kudos for America's humming job creation engine.

The jobless rate is steady at 5.8 percent, the stock market's roaring, the housing market is stirring and the rescued auto industry is motoring.

Gas is down to $2.71 a gallon, according to an American Automobile Association average, leaving a little extra cash for families this Christmas.

New Labor Department figures out Friday show unemployment at a six-year low, and the economy shattered expectations by pumping out more than 320,000 jobs last month in the biggest hiring splurge in three years.

Related: 2014 is best year for jobs numbers since 1999

Obama had to suffer through months of grim jobs numbers in his first term, but had a spring in his step after Friday's Labor Department report.

No wonder he turned the White House event at which he announced his new nominee to head the Pentagon into an opportunity to crow about jobs.

"So far this year, over the first 11 months of 2014, our economy has created 2.65 million jobs," he said.

"That's more than in any entire year since the 1990s.Â Our businesses have now created 10.9 million jobs over the past 57 months in a row.Â And that's the longest streak of private sector job growth on record."

Or as Brad Woodhouse, President of progressive group Americans United for Change put it on Twitter: "321K jobs. 50 straight months of job creation. Thank you @BarackObama."

But don't waste too much time looking for credit for the President. He has a political problem, however well the economy does.

Most Americans by now have decided whether they like him or not. So even if the economy roars, his approval ratings are unlikely to soar.

Despite steering out of the worst slump since the 1930s, which was destroying 700,000 jobs a month, Obama still gets a thumbs down from Americans on the economy, to the frustration of many inside the West Wing.

His approval numbers are stuck in the mid-to-low 40s and a CNN/Opinion Research Poll last month found 53% of Americans disapprove of how he's handling the economy.

It's simple. Many people just don't feel their lives are getting better.

Seventy-eight percent of voters in November's mid-term elections were worried about the direction of the economy in the next year, according to exit polls.

Only 32 percent said it was getting better.

"Has there been more employment since the economic crisis? The answer is yes," said Lance Roberts of STA Wealth Management.

"What we have got to talk about is the quality of the employment."

While the economy is pumping out hundreds of thousands of jobs a month, it's barely keeping up with population growth.

Many new jobs are coming in the service sector, in restaurants and bars for instance, where work is often part-time, low paid and lacks benefits that give people economic security.

Paul Harrington, of the Center for Labor Markets and Policy at Drexel University, said growth in traditional blue collar jobs that once anchored the middle class, in industries like the building trade, is bouncing back too slowly.

"We would have expected at this stage of the recovery, construction payrolls rebounding a lot better than they have," said Harrington. There's also excess supply in the production sector which includes food manufacture and work with raw materials like coal and wood.

That goes a long way to explaining why middle class voters in Midwestern, industrial and Southern states lashed out at Democrats in November.

Those voters may also shape the 2016 presidential race as mid-term exit polls showed that the economy was easily the most important issue, despite a campaign overtaken by Obamacare, Ebola and ISIS.

Jobs data also shows many Americans still struggling in the shadows.

The Labor Force Participation rate, measuring those who have a job or are looking for one, was stuck near 36-year lows in November. Hourly wages are stagnant.

"Middle-class families across the country, including my home state of Ohio, are struggling to get by on wages that haven't kept pace with rising costs," said Republican House Speaker John Boehner on Friday, blaming Obama for suffocating a quicker recovery by burdening the economy with "massive" regulations and rising health care premiums.

Democrats complain the GOP has blocked every job creation plan Obama has offered for years.

Long term trends like the loss of manufacturing jobs overseas and new technology that wipes out manual jobs will also shape how people feel about the economy for years to come.

But, there is some hope.

Consumer sentiment, as measured by the University of Western Michigan index, was at its highest level since the recession in November.

Democratic voters are meanwhile more upbeat on the economy than Republicans, according to the Gallup survey. That suggests people decide on how the economy is doing depending on who lives in the White House.

But Obama can console himself with one thought: history is more likely to look more kindly on his economic recovery than those who lived through it.

@highlight

Economy shatters expectations, pumps out 321,000 jobs in November

@highlight

But many Americans don't feel their lives are improving

@highlight

History will remember Obama for exit from Great Recession