(CNN) -- A view prevalent in Europe is that older workers should retire to make room for younger people. This view is often referred to as the "lump of labor" theory, whereby the number of jobs is fixed and any job held by an older worker is one less available for a younger person.

In Europe, this view has resulted in very early retirement ages under countries' public pension systems. Fortunately, the lump of labor theory has never gained much traction in the United States, where economists and policymakers believe that the internal dynamics of a market economy will tend to create enough jobs to accommodate available workers. And, during periods of recession, monetary or fiscal policy can help return the economy to full employment.

The most dramatic evidence of the economy's ability to absorb new workers is the flow of women into the labor force both here and abroad in the last few decades. In the United States, between 1970 and 2000, the number of women working increased by about 34 million, as the percentage of women employed moved from 40 percent to almost 60 percent of the female population.

Click for the opposite view on retirement age

Despite this enormous influx of women, the employment rate of men changed relatively little. Further, an international comparison shows no relationship between the increase in the female employment rate and change in the male employment rate.

A similar relationship should apply to older and younger workers. A preliminary analysis across states shows no evidence that states with more older people in the labor force have fewer young people working. Thus, with proper policy, the U.S. labor market should be able to absorb young and old, as well as men and women.

Rejecting the lump of labor theory, the United States has always had much later retirement ages than its European counterparts. This pattern has held down the cost of the U.S. public pension system. Going forward, longer work lives, both here and abroad, will be necessary in order to have affordable and secure retirements. People are living longer; those retiring at 65 can expect to live for almost 20 years in retirement, on average.

The probability of living longer than average is significant. A 65-year-old  married couple has a 50 percent chance that one member will live to age 92. Given the prospect of such a long retirement, people need a very large pile of retirement assets to support themselves. For most people, it is not possible to accumulate that much over their work lives as they raise and educate their families.

The need to accumulate more retirement assets coincides with a contraction in our retirement income system, which consists of Social Security and publicly supported and regulated employer-sponsored plans.

At any given retirement age, Social Security benefits will replace a smaller fraction of pre-retirement earnings as the full retirement age rises from 65 to 67, higher deductions for Medicare premiums further reduce benefits and an increasing share of benefits will be subject to taxation under the personal income tax. At the same time, less than half the private sector work force is covered by any type of employer-provided plan at any moment in time. And those lucky enough to have coverage have seen defined benefit plans replaced by 401(k)s, where balances for those approaching retirement average only about $60,000.

The answer to longer life expectancy and a contracting retirement system is for people to stay in the work force longer. This adjustment should be entirely feasible given that older people are healthier and better educated than they have been in the past and jobs are less physically demanding.

A longer work life provides enormous financial benefits. A person retiring at 70 receives a Social Security monthly benefit 75 percent greater than someone retiring at 62. Delaying retirement also allows time for 401(k) balances to grow. And working longer sharply reduces the period over which people have to support themselves with accumulated retirement assets. Work also keeps people mentally and physically healthy by providing structure, social interaction and a sense of accomplishment.

In normal times, extending the work lives of older Americans should have no effect on the ability of younger workers to find a job. The United States is a dynamic economy, which -- on its own and through appropriate policy decisions -- can accommodate all those looking for employment.

Of course, these are not normal times, and the fact that older workers have been so much more successful during this recession at holding on to their jobs than younger workers has allowed the "lump of labor" theory to surface as a plausible model. But no evidence exists to support such a theory. And in the long run, both young and old will be better off if work lives are extended.

The opinions expressed in this commentary are solely those of Alicia H. Munnell.

@highlight

Alicia Munnell: "Lump of labor" theory says older workers must retire to make way for young

@highlight

But economy creates jobs for young workers without older ones retiring early, she writes

@highlight

Munnell says the huge increase in women working shows economy absorbs new workers

@highlight

People are living longer, she says, and retiring later increases well-being and financial benefits