Virtual "killing sprees" in Iran and Iraq led to a spike in the number of executions globally last year, according to Amnesty International, at odds with a steady decline in the use of the death penalty around the world over the last two decades.

Executions by beheading, electrocution, firing squad, hanging and lethal injection rose by almost 15 percent in 2013 on the previous year, the organization said in its latest report on the death penalty released Thursday.

China executed more people than any other country last year. Although Chinese authorities treat official execution statistics as a state secret, Amnesty International estimates thousands are killed under the death penalty every year, more than the rest of the world combined.

Excluding China, executions rose to at least 778 last year, up from 682 in 2012.

Iran came in second, with at least 369 put to death by the state, followed by Iraq (169), Saudi Arabia (79), and the United States (39).

The United States was the only country in the Americas that performed executions, although use of the death penalty declined last year, to 39 executions from 43 in 2012. Texas accounted for more than 40 percent of all American executions.

In total, 22 countries practiced capital punishment last year, one more than in 2012. Four of those countries -- Indonesia, Kuwait, Nigeria and Vietnam -- resumed executions after a hiatus.

Amnesty International could not confirm if executions took place in countries in conflict, but said it "cannot be excluded" that executions took place in Syria and Egypt.

At the end of 2013, more than 23,000 people were on death row around the world.

"The virtual killing sprees we saw in countries like Iran and Iraq were shameful," Amnesty International's Secretary General Salil Shetty said in a statement.

He added, "those states who cling to the death penalty are on the wrong side of history and are, in fact, growing more and more isolated."

Steady decline

Despite "alarming levels of executions in an isolated group of countries," Amnesty noted that the majority of the world is abolitionist in law or practice.

The use of the death penalty has declined in the last 20 years, and the number of countries enforcing the death penalty has fallen from 37 in 1993 to 22 last year -- evidence that executions are becoming "a thing of the past," the report said.

Some countries that performed executions in 2012, including Gambia, the United Arab Emirates and Pakistan, suspended use of the death penalty last year.

No executions were carried out in Europe and Central Asia -- marking the first time since 2009. Belarus -- the only country in the region that still has the death penalty -- did not execute anyone in 2013.

In the Middle East and North Africa, many of those executed were convicted under "vague anti-terrorism laws," the report said.

In Iran, where official figures indicate a rise in executions of 18% on 2012, Amnesty International said it had recorded "numerous cases" in which it appeared the death penalty had been used to oppress activities of Iran's ethnic minorities.

Iraq saw an increase in executions of more than 30% compared to the previous year, the highest figure since 2003. Most executions in recent years are thought to have resulted from convictions under an anti-terror bill that covers acts such as "provoking, planning, financing, committing or supporting others to commit terrorism."

The report said new counter-terrorism laws proposed by authorities in Egypt would expand the scope of the death penalty, and could pose a particular concern for the Muslim Brotherhood movement, which authorities classified as a terrorist organization in December, 2013. On Monday, a court sentenced more than 500 supporters of ousted president Mohammed Morsy to death for killing a police officer.

Despite the high number of executions in China, there were "limited signs of progress," according to the report. China's Supreme Court announced an end to the practice of harvesting organs from executed prisoners, and issued legal guidelines to ensure greater procedural protections in death penalty cases.

In Africa, some countries including Benin, Ghana and Sierra Leone moved closer to ending the death penalty through constitutional and legal review processes that "created real opportunities for the abolition of capital punishment." In Somalia, however, executions rose dramatically in Somalia from six in 2012 to 34 last year.

Death for theft, drugs, blasphemy

Crimes that attracted the death penalty ranged from murder, robbery, drug trafficking, and corruption, to acts which Amnesty said should not be considered crimes at all, including "adultery," "blasphemy," and "sodomy."

The report noted that many countries use "vaguely-worded political 'crimes' to put real or perceived dissidents to death." In North Korea, where the organization said at least 70 executions took place according to reliable reports, people were apparently executed for cannibalism, pornography, escaping to China and watching banned videos from South Korea.

Public executions were carried out in Iran, North Korea, Saudi Arabia and Somalia, but in many instances executions took place in secret. Iranian authorities acknowledged executing at least 369 people in 2013, but credible sources reported "many hundreds" more" undocumented cases, the report said.

In some countries, including Afghanistan, China, Iran, Iraq and North Korea, confessions were extracted through torture or other ill-treatment, according to Amnesty, and proceedings in most countries that still execute prisoners did not meet international fair trial standards.

A deterrent?

In five countries, India, Indonesia, Japan, Malaysia and South Sudan, prisoners sentenced to death were not informed of their execution beforehand -- neither were their family members or lawyers.

Almost all countries justified the use of the death penalty as an alleged deterrent against crime, a position which Amnesty said was becoming increasingly "untenable and discredited."

The organization, which opposes the death penalty in all cases, called on governments who "still kill in the name of justice" to suspend the use of the death penalty immediately, with a view to abolishing it.

@highlight

Amnesty study says executions jumped by 15 percent in 2013

@highlight

China executed more people than rest of world combined

@highlight

A dramatic rise in executions was reported in Iran and Iraq

@highlight

There's no evidence capital punishment deters crime, report says