(CNN) -- The Tamil Tigers have been invited by Sri Lankan President Mahinda Rajapaksa to lay down their arms after government forces retook the city of Kilinochchi Friday, once the center of power for the rebel group.

Sri Lanka's President Mahinda Rajapaksa has called on the Tamil Tigers to stop fighting.

But while Colombo celebrated the government success with fireworks, within an hour a suicide bomber abruptly shattered whatever hopes the president may have had for immediate peace.

The bomber, riding a motorcycle, blew himself up outside air force headquarters in Colombo, killing two air force police officers and a member of the bomb-disposal unit, authorities said.

The new year may signal a turn in Sri Lanka's conflict -- but it is unlikely to be an end.

The Tamil Tigers have their roots in the earliest days of Sri Lanka's independence in 1948. But since then they have grown from a political group intent on protecting their rights to a fierce rebel movement classified by the United States and others as a terrorist organization.

The conflict between the Tigers and the government has lasted more than 25 years and left at least 65,000 people dead.

The Tigers are part of the island's minority Tamils, an ethnic group that has lived on the island for centuries since their ancestors came over from southern India. These Sri Lankan Tamils are distinct from Indian Tamils, an even smaller minority, who came with the British colonists in the 19th century.

Sri Lanka's majority Sinhalese have lived on the island much longer than the Tamils and represent about three-quarters of the population, according to the U.S. State Department. Most historians believe they came over from northern India in the 6th century B.C.

It was Sri Lanka's post-independence government that sparked the rise of the Tamil Tigers. After 1948, Tamils started growing uneasy with the country's unitary government and apprehensive that the Sinhalese might abuse Tamil rights.

They felt marginalized when S.W.R.D. Bandaranaike became prime minister after winning the 1956 elections on a platform of Sinhalese nationalism. The Tamils bristled at his declaration that Sinhala would be the official language and protested against government policies deemed favorable to the Sinhalese.

Violence and radicalization started to grow during the following decades, and by the 1970s, Tamil politicians were demanding a separate Tamil state -- Tamil Eelam -- in northern and eastern Sri Lanka, the Tamils' traditional homeland.

Other Tamil groups, however, sought a separate state by force. Among them were the Liberation Tigers of Tamil Eelam (LTTE), founded in 1976 -- and now simply known as the Tamil Tigers.

The violence still raging today intensified in 1983, when the Tamil Tigers killed 13 Sinhalese soldiers. It led to the largest outburst of violence in the island's history, with hundreds of Tamils killed, tens of thousands left homeless and more than 100,000 fleeting to south India, according to the U.S. State Department.

The government began trying to suppress the Tamil Tigers in the north and east while the Tigers launched terrorist attacks in the capital of Colombo and elsewhere.

Fighting has continued for the most part since then, halted briefly by a handful of peace agreements, some of them high-profile. Under an accord signed with India in 1987, the government gave in to some Tamil demands, including devolution of power to the provinces and official status for the Tamil language.

But fighting continued. The Tamils fought an Indian peacekeeping force deployed in the north and east as part of the 1987 accord, and after years of bloody fighting, the Indians withdrew in early 1990.

The United States designated the LTTE as a foreign terrorist organization in 1997.

In February 2002, Sri Lanka's government and the LTTE signed a cease-fire agreement at Norwegian-sponsored talks. But the LTTE dropped out of the negotiations a year later, claiming they were being marginalized. They launched a suicide bombing campaign the next year.

The Tigers stepped up their attacks in April 2006 with an explosion at a Sinhalese market and two suicide bombings that killed a top army commander and seriously wounded another. Weeks later, the European Union designated the LTTE as a terrorist organization.

Sri Lankan government forces engaged the rebels in heavy fighting in 2008 in the Kilinochchi region, once the capital and center of political power for the Tamil Tigers.

The Tigers ran a parallel administration from Kilinochchi with their own police force, courts, prisons and taxes. But after Sri Lanka launched a new offensive against the rebels in the autumn, the insurgents moved their nerve center and logistics bases to Mullaitivu, on the northeastern coast.

After hovering on the outskirts of Kilinochchi for more than a month, government troops retook the city. Rajapaksa declared it a "victory against separatism" -- but violence soon followed.

@highlight

Conflict between Tamil Tigers and government has lasted more than 25 years

@highlight

At least 65,000 killed, thousands homeless, 100,000-plus fled to south India

@highlight

Tigers have their roots in the earliest days of Sri Lanka's independence in 1948

@highlight

The group has demanded a separate Tamil state in northern and eastern Sri Lanka