(CNN) -- If you want to understand the way prescription drugs are marketed today, have a look at the 1928 book, "Propaganda," by Edward Bernays, the father of public relations in America.

For Bernays, the public relations business was less about selling things than about creating the conditions for things to sell themselves. When Bernays was working as a salesman for Mozart pianos, for example, he did not simply place advertisements for pianos in newspapers. That would have been too obvious.

Instead, Bernays persuaded reporters to write about a new trend: Sophisticated people were putting aside a special room in the home for playing music. Once a person had a music room, Bernays believed, he would naturally think of buying a piano. As Bernays wrote, "It will come to him as his own idea."

Just as Bernays sold pianos by selling the music room, pharmaceutical marketers now sell drugs by selling the diseases that they treat. The buzzword is "disease branding."

To brand a disease is to shape its public perception in order to make it more palatable to potential patients. Panic disorder, reflux disease, erectile dysfunction, restless legs syndrome, bipolar disorder, overactive bladder, ADHD, premenstrual dysphoric disorder, even clinical depression: All these conditions were once regarded as rare until a marketing campaign transformed the brand.

Once a branded disease has achieved a degree of cultural legitimacy, there is no need to convince anyone that a drug to treat it is necessary. It will come to him as his own idea.

Disease branding works especially well for two kinds of conditions. The first is the shameful condition that can be destigmatized. For instance, when Pharmacia launched Detrol in the late 1990s, the condition the drug treated was known to doctors as "urge incontinence." Patients called it "accidentally peeing in my pants" and were embarrassed to bring it up with their physicians.

Pharmacia fixed the problem by rebranding the condition as "overactive bladder." Whereas "incontinence" suggested weakness and was associated mainly with elderly women, the phrase "overactive bladder" evoked a supercharged organ frantically working overtime.

To qualify for a diagnosis of "overactive bladder," patients did not actually have to lose bladder control." They simply needed to go to the bathroom a lot.

The vice president of Pharmacia, Neil Wolf, explained the branding strategy in a 2002 presentation called "Positioning Detrol: Creating a Disease." By creating the disease of "overactive bladder," Wolf claimed, Pharmacia created a market of 21 million potential patients.

Another good candidate for branding is a condition that can be plausibly portrayed as under-diagnosed. Branding such a condition assures potential patients that they are part of a large and credible community of sufferers. For example, in 1999, the FDA approved the antidepressant Paxil for the treatment of "social anxiety disorder," a condition previously known as "shyness."

See more CNN.com opinion articles

In order to convince shy people they had social anxiety disorder, GlaxoSmithKline, the maker of Paxil, hired a PR firm called Cohn and Wolfe. Cohn and Wolfe put together a public awareness campaign called "Imagine being allergic to people," which was allegedly sponsored by a group called the "Social Anxiety Disorders Coalition."

GlaxoSmithKline also recruited celebrities like Ricky Williams, the NFL running back, and paid them to give interviews to the press about their own social anxiety disorder. Finally, they hired academic psychiatrists working on social anxiety disorder and sent them out on the lecture circuit in the top 25 media markets.

The results were remarkable. In the two years before Paxil was approved for social anxiety, there were only about 50 references to social anxiety disorder in the press. But in 1999, during the PR campaign, there were over a billion references.

Within two years Paxil had become the seventh most profitable drug in America, and Cohn and Wolfe had picked up an award for the best PR campaign of 1999. Today, social anxiety disorder, far from being rare, is often described as the third most common mental illness in the world.

It is hard to brand a disease without the help of physicians, of course. So drug companies typically recruit academic "thought leaders" to write and speak about any new conditions they are trying to introduce. It also helps if the physicians believe the branded condition is dangerous.

When AstraZeneca introduced Prilosec (and later Nexium) for heartburn, for example, it famously repositioned heartburn as "gastroesophageal reflux disease," or GERD. But it also commissioned research to demonstrate the devastating consequences of failing to treat it.

If all drugs were harmless, disease branding would be relatively harmless, too. But no drug is completely benign.

For example, Detrol can make elderly people delirious and may cause memory problems. Paxil is associated with sexual dysfunction and dependence. It also carries a black-box warning for suicide in children and adolescents. Side effects like these are a part of every drug. But they are never part of the brand.

The opinions expressed in this commentary are solely those of Carl Elliott.

@highlight

Carl Elliott: Drug makers have mastered the art of branding medical conditions to sell cures

@highlight

By creating a brand, firms can make consumers feel taking a drug is needed

@highlight

The disease branding tends to overlook the potential side effects of the drug, he says

@highlight

Elliott: Paxil was marketed to treat "social anxiety disorder," once known as "shyness"