Tooele, Utah (CNN) -- Syria has been given a year to eliminate its chemical weapons arsenal, or face the threat of a U.S. military strike. Yet it may come as a surprise that the United States has still not destroyed all of its massive supply of deadly nerve agents.

In fact, neither has Russia. Both Washington and Moscow signed the Chemical Weapons Convention of the 1990s, which forbid the use, production and stockpiling of chemical weapons.

And both countries missed the convention's extended deadline last year to destroy all of their chemical weapons.

This fact was highlighted during Friday's ceremony awarding the 2013 Nobel Peace Prize to the Organisation for the Prohibition of Chemical Weapons, which is helping to eliminate the Syrian army's stockpiles of poison gas.

"Certain states have not observed the deadline, which was April 2012, for destroying their chemical weapons," the Nobel committee noted in its official announcement of the coveted peace prize. "This applies especially to the USA and Russia."

The United States estimates it will be at least another decade before it completes destruction of the remaining 10% of its chemical weapons, estimated at more than 3,100 tons. Russia has more than five times that amount left to destroy, according to the OPCW. While it's unclear exactly how many chemical weapons Syria has, U.S. intelligence and other estimates put its chemical weapons stockpile at about 1,000 tons stored in dozens of sites.

Syria's chemical arsenal at a glance

The United Nations has given Syria until mid-2014 to destroy that arsenal and U.N. weapons inspectors have expressed optimism that this deadline can be reached, despite having to dart in and out of battle zones amid Syria's bloody civil war.

Wade Mathews, who once worked on the U.S. project to destroy its chemical stockpile, isn't so sure that Syria can meet that deadline. He said the U.S. effort took billions of dollars, the cooperation of many levels of government -- including the military -- and a safe environment to make sure the destruction was done safely.

"We had a coordinated effort, we had a government that insisted that it be done safely and that the community was protected," said Mathews, who now works with the Tooele County emergency management team, which makes sure the Utah community is aware of the project. "I don't think those things are in place in Syria."

Mathews briefly worked at the Desert Army Chemical Depot in Tooele, a desert town bracketed by mountains outside of Salt Lake City where 43% of the nation's chemical weapons were once stored. The rest was stored at eight other sites around the country.

The weapons were first warehoused at the Tooele facility in 1942, during World War II, and grew over time. At one point, the United States once housed the majority of its chemical arsenal --13,000 tons -- and a million munitions at the facility.

Tooele was chosen because military leaders figured Japanese warplanes could hit the West Coast but not fly over the mountains to Utah without refueling, said Richard Trujillo, who spent 40 years working at the facility.

"There was mustard gas originally ... a lot of smoke-type bombs, smoke pods," Trujillo recalled. Then, in the 1950s, a lot of nerve gas was transported to the facility, he said.

Eventually, the United States signed the international chemical treaty in the 1990s and got serious about getting rid of the chemicals in a way that would not harm the environment or the people working at the plant or living in the area. While the process was slow and expensive, Trujillo said there was not a single casualty despite the volatility of some of the chemicals.

"You know the whole task is nothing short of miraculous in my mind," Trujillo said. "And I was part of it."

Today there are no weapons at the Tooele facility. The process of safely getting rid of these chemicals and munitions took 16 years, and was finally completed last year. Workers there will soon begin the process of dismantling the plants needed to do the job.

Yet, there are still more than 3,000 tons of chemical weapons left in the United States, stored at two remaining facilities at Pueblo, Colorado, and Bluegrass, Kentucky. The majority is in Pueblo, where officials plan to start in 2015 destroying 2,600 tons of mustard blister chemicals stored in projectiles in liquid form. The process is expected to take four years.

At the Bluegrass plant outside Lexington, Kentucky, there are 523 tons of mustard agent, VX and sarin nerve agents. Officials predict the job of destroying that arsenal, which is slated to start in 2020, will be completed in 2023.

The world's attention turned to Syria's chemical weapons stockpile after the United States and other countries accused Syria of using chemical weapons in an August 21 attack outside Damascus, a strike Washington says killed more than 1,400 people -- including many women and children. Syria denies the accusation and says its own troops have faced poison gas attacks by rebel forces in the civil war that began in 2011.

Last month, the U.N. Security Council later voted unanimously to require Syria to eliminate its arsenal of chemical weapons or face consequences. The U.N. team in Syria overseeing the destruction of Syria's chemical weapons says the Assad regime is cooperating.

Securing Syria's chemical weapons won't be easy

It's unclear how these weapons can be found, secured, and safely destroyed by next year in the middle of a protracted conflict, considering that it is expected to take the United States three years to destroy half of the chemical weapons that Syria is estimated to have -- and that's in a remote part of Kentucky with no civil war.

Asked about that, the U.S. Department of Defense told CNN in a written statement that it's "inaccurate to draw parallels between the U.S. chemical demilitarization program and the international cooperation that will be required to destroy the chemical stockpile in Syria."

Defected general says Syria will never give up chemical weapons

CNN's Elizabeth M. Nunez contributed to this report.

Watch The Situation Room with Wolf Blitzer weekdays at 4pm to 6pm ET and Saturdays at 6pm ET. For the latest from The Situation Room click here.

@highlight

The United States still has more than 3,000 tons of chemical weapons

@highlight

It agreed to destroy all of its stockpile in the 1990s

@highlight

It expects the remaining 10% to be eliminated in another decade

@highlight

Syria has a year to get rid of its estimated 1,000 tons of chemical weapons