(CNN) -- Despite the steady drum-beat of economic news, therapists say money is still one of the most taboo subjects for American families.

Keli Lauric, 30, and her grandmother, Evelyn Gloer, 79, view money based on life experience.

"It's easier to talk about sex than it is to talk about money in our societies," says Dr. Nancy Molitor, a psychologist in Illinois.

And that's too bad, because all of us have something to learn from each other, says Molitor.

Often, generations seem like they're speaking different languages when it comes to saving and spending money. Older people tend to save, while younger generations wrestle with the fallout from overspending.   Experts say people's spending habits often reflect the environment in which they grew up.

To find out how families view money during the economic recession, CNN.com sat down with two multigenerational families.

The four-generation Merriweather family worries its younger members may have been spoiled by the economic high tide of the 1990s and early 2000s.

Marvin Merriweather, 65, says a person's spending habits are derived from life experience. If your life was hard, you save; if you've got it made, you tend to spend, he says.  Watch the Merriweather family talk about money »

"I think a lot of the fault falls to us as the older generation by not teaching [financial skills], because we try so hard to make it better for our children."

The three-generation Gloer family says families need to remember to lean on each other during the hard times.

"Life's what you make it. I still say that," says Evelyn Gloer, 79. "I mean, you don't have to be rich to have a happy home."

Olivia Mellon, a money coach who organizes multigenerational family retreats to talk about spending, says older generations are more inclined to hoard money because they've lived through difficult times.

Now, "we have a culture of addictive overspenders," she says.

But, with the recession, there are signs spending habits are trending back toward the Depression era, she says.

"Some people are getting much more frugal and much more risk-averse," Mellon says.

Keli Lauric, Gloer's 30-year-old granddaughter, says she spent her money freely in her 20s, living in New York. Now in Atlanta, Georgia, she owns two houses because she can't find a way to sell or rent one of them.

Like many people, she's had to cut back.

The recession has "made everyone realize you have to live on a budget all the time, even when times are good," she said.

Dr. April Benson, a psychologist and author of books on compulsive spending, said this is a good time for families to bond over experiences instead of purchases.

Molitor, the family therapist, said many Baby Boomers grew up with a sense of entitlement about money. Now, many of them are terrified because they may have to put off retirement because their savings accounts dwindled as markets fell.

Older generations tend to save more, she said. Many avoid credit because they remember hard times after the Great Depression. iReport.com: What have you learned from past generations?

Families can use the economic recession as a chance to band together and learn from each other, she says.

"This is an opportunity. As much as this is very painful, many people are actually using this as a challenge and they're actually rising above this," she says.

Molitor said children should be involved in financial planning from an early age. At about age 8, they should be able to understand if the family is under financial stress, so it's best to see what they can contribute.

Dr. Barbara Lips, on the other hand, says children should be involved in financial planning, but should not be made aware of family money problems at a young age.

"If [children] have a sense that mom and dad are OK then they are OK," says Lips, a psychologist in Iowa.

"Mom and dad being OK really is their sense of security."

Molitor says she's seen a wave of families come to her to talk about money and the stress it's causing them.

Often, what they need is to talk to each other, says Molitor.

The Gloer family agrees.

Melanie Burns, Evelyn's 53-year-old daughter, says families should band together in hard times.   "That's what family's for ... We're here to support each other if we need it."

"Right, when somebody falls down we pick them up," Evelyn Gloer responded.

@highlight

Therapists say money is still more taboo in American families than sex

@highlight

Generational differences and life experiences can shade a person's view of money

@highlight

Older generations tend to save more; younger people tend to rely on credit

@highlight

Experts say generations can learn from each other during recession