(CNN)While it's a form of transport few of us see, shipping packs a punch as a polluter.

According to a recent study, shipping accounts for around 3% of global CO2 emissions. Not surprising when you consider that the engines of the world's estimated 90,000 cargo ships are in use 24 hours a day while traveling.

Futuristic concepts for container ships powered by alternative energy range from windmill-powered propellers to banks of vertical metal sails. Even though most are still on the drawing board, one concept is starting to be viewed seriously by the shipping industry.

Airfoil design

Called the "Vindskip," the Norwegian design uses the high sides of its container ships as sails, turning the whole vessel into a wind-assisted airfoil.

Designed by Lade AS, the Oslo-based company says the hybrid merchant ship -- which would still have a liquefied natural gas-powered engine -- could achieve fuel savings of 60% and reduce emissions by 80%.

It's the brainchild of Terje Lade, who used his skills as a speed sailor to develop his aerodynamic design. He says the futuristic container ship works more like an airplane than a conventional sailing ship.

He said: "In the era of Christopher Columbus, for example, he would have used what became known as trade winds but his ship was quite different from the VindSkip because he would have been sailing with the wind -- he couldn't sail into the wind.

"VindSkip can almost sail into the wind; in this way it's more like an airplane.

"It uses apparent wind, or the sail wind, to generate pull in much the same way that an airplane will take off when it reaches a certain speed."

The ship would be able to point as high as 18 degrees into the wind, the vacuum created on the lee side of the vessel (the side sheltered from the wind) enough to propel the ship forward.

Computers critical

Critical to the design is computer software being developed by Germany's Fraunhofer Center for Maritime Logistics and Services, which calculates the optimal sailing route based on the weather and prevailing winds.

"With this software, you input when you want to leave and when you want to arrive, the weather forecast is loaded into the program and then it calculates the best route," Lade said.

"This would be dynamically updated every day. At each waypoint it would check with the time arrival and tell the crew whether to speed up using the engines or slow down; it makes it very easy for the crew."

The algorithms in the software also calculate the best angle to the wind to gain the maximum performance from the design.

"With our weather routing module the best route can be calculated in order to consume as little fuel as possible. As a result costs are reduced. After all, bunker (ship fuel oil) expenses account for the largest part of the total costs in the shipping industry," said Laura Walther, researcher at CML in Hamburg.

Sulfur -- the game changer

Changes to regulations in the sulfur content of marine heavy fuels are set to make the price of bunker fuel -- typically among the heaviest and dirtiest of fuels in the distillation process -- more expensive.

Shippers traditionally favored polluting residual bunker fuels because they were cheap, with large ships having the space to transport the pre-heaters necessary to make the fuel volatile.

But all that is about to change.

Current international regulations cap sulfur content at 3.5% but this is expected to drop to 0.5% by 2020.

"This makes things quite dramatic," said Lade. "There are not many good solutions to this. At the moment they can wash the exhaust with scrubbers but on big ships this is very complex and very expensive.

"This is where the 'Vindskip' comes in -- due to the low fuel consumption it can run on LNG which means there is no sulfur at all."

One of Norway's biggest shipowners, Wilhelmsen, has already entered the project on a technical basis and, while Lade is quietly confident the world's first Vindskip will slip into the water by 2019, he says the global shipping industry had been slow to respond to his design.

"(But) the big driving force in the Vindskip project will be these new regulations on sulfur levels," Lade said.

"The big problem with sulfur is that it acidifies the sea and this means that shrimps and crabs can't form their shells," said Lade, adding that acidification was impacting the entire marine ecosystem.  "It's very bad. Something has to be done -- it can't go on this way."

The Danish shipping line Maersk told CNN that it was pursuing innovations in energy efficiency as a solution in the "here and now."

"In general, we do not believe that wind-assisted designs will play any significant role within the container shipping industry in the foreseeable future," said Maersk head of sustainability Signe Bruun Jensen.

"The technology remains unproven at both commercial and operational scale."

She said that Maersk was developing its Triple-E vessels which used ultra-long stroke engines, efficient vessel shape and advanced waste heat recovery systems to improve CO2 efficiency by 50% per container.

"If you look at the technology already on-board our vessels today, it's remarkable just how far we've come," she said.

@highlight

A Norwegian design would use the high sides of a cargo ship as sails

@highlight

The designers say it could save as much as 60% on fuel costs, 80% on CO2 emissions

@highlight

The world's first VindSkip could slip into the water by 2019