Singapore (CNN) -- Millie Phuah arrived at Singapore's Bukit Brown cemetery on a humid morning, armed with a rake and gloves to clear fallen branches and decaying leaves from her ancestors' graves.

"I've got my great-grandparents on this side ... and my grand-uncle will be on this side," she said, pointing in opposite directions. An eight-lane highway, set for construction in 2013, will run though the middle of the cemetery.

To make way for it, a swathe of graves -- marked by wooden stakes with painted numbers -- is being exhumed. The remains will be cremated by Monday, and if unclaimed for three years, the ashes will be scattered at sea.

The highway is expected to be completed by 2016 and affect 3,746 graves, according to Singapore's Urban Redevelopment Authority.

Afterwards, what remains of the cemetery area will make way for 15,000 new housing units and two mass transit stations, and all the graves -- including those of Phuah's family -- will be exhumed under the plan.

With an estimated 100,000 graves, Bukit Brown is the largest Chinese cemetery outside China, according to Singapore's Heritage Society. Located near a cluster of reservoirs at the center of the island, the cemetery sprawls over several hills covered partly in rainforest jungle.

Closed to new burials since the early 1970's, Bukit Brown now stands at the heart of a heated debate over development in tiny Singapore -- a nation that went from new and underdeveloped to one of the world's most prosperous in a matter of decades.

In addition to pioneers and early migrants like Phuah's family, the cemetery holds the remains of Singapore's most prominent, like Lee Hoon Leong, the grandfather of Lee Kuan Yew, the founder of modern Singapore.

The Government says the road is needed to reduce traffic congestion, pointing out that a country of just 714 square kilometers (275 square miles) has many more needs, including land for housing, defense, industry and utilities. "In such a highly land-constrained setting, we need to make difficult decisions on land use for present and future generations of Singaporeans," a spokesman for the Urban Redevelopment Authority said.

A shortage of land spurred rigid burial policies in 1998: Only one cemetery, Choa Chu Kang, remains open to burials, and there is a 15-year time limit for burial, after which remains are cremated. Singapore's National Environment Agency says at "closed" cemeteries like Bukit Brown "exhumations are carried out only if the land is affected by redevelopment."

Claire Leow has no relatives buried in Bukit Brown but says her grandfather's grave at another cemetery was exhumed when it was cleared to make way for housing. After a visit to Bukit Brown several years ago, Leow founded a blog, "All Things Bukit Brown," and now gives tours of the cemetery as part of a group of local activists, the Bukit Brown Community.

The debate has drawn growing numbers to view historic graves, including young Singaporeans and students who clamber around the gravesites and pick their way through the thick overgrowth. Leow tells stories at the graves of early Singaporeans, those who began prominent businesses and those who fought the Japanese during World War II.

In densely developed Singapore, Bukit Brown's vast green space also draws joggers, dog walkers, horseback riders and bird-watchers. One recent day, the rolling call of the straw-headed bulbul, a threatened bird, was far louder than the distant car traffic. Singapore's Nature Society says that roughly 25% of the country's threatened bird species can be found in Bukit Brown.

To Singaporeans like Phuah, Bukit Brown gives roots to a young country known largely as a place to shop and do business. "Singaporeans are more interested than the government thinks we are in our heritage. It's not just about hanging out in shopping malls here," she asserts.

The Urban Redevelopment Authority says it doesn't take the decision "lightly" and is working with community members to come up with ways to preserve the heritage of Bukit Brown.

Read about the Singapore Memory project

However, exhibits will not replace the cemetery's value, according to the Singapore Heritage Society. "Ultimately, the struggle for Bukit Brown goes beyond saving a few graves or greenery. It is the struggle for the soul of Singapore."

@highlight

Swathe of graves is being exhumed to make way for highway

@highlight

What remains of cemetery area will eventually make way for housing units, transit stations

@highlight

All graves at Bukit Brown cemetery will be exhumed under plan

@highlight

The cemetery stands at heart of heated debate over development in Singapore