Washington (CNN) -- Within 24 hours of Osama bin Laden's death in a U.S. assault on his compound in Pakistan, administration and government officials -- both cloaked in anonymity and on the record -- provided misleading if not erroneous information about what happened in the al Qaeda leader's final moments.

Bin Laden was shielded during the shooting by women, including his wife, they said. He was an active participant in an ongoing firefight, they insisted, implying bin Laden was armed and therefore gave U.S. Navy SEALs little choice but to shoot him down.

Hours later, a senior administration official began to revise that narrative to some White House reporters. Further revisions came Tuesday when White House Press Secretary Jay Carney gave a step-by-step description of the raid provided by the Defense Department that made clear bin Laden was unarmed and had no human shields.

Live blog: Bin Laden operation

Was it the fog of war, a bid to head off questions about killing bin Laden or perhaps a final propaganda salvo against the face of terrorism to Americans?

Asked about the initial erroneous details, Carney shrugged it off as part of the difficulty in disseminating information quickly on a chaotic situation taking place halfway around the world.

"What is true is that we provided a great deal of information with great haste," Carney said, noting that some of the details came in "piece by piece" with frequent updates and elaboration.

"We have worked very hard to declassify information in record speed to provide as much insight into this operation as we can, as quickly as we can, mindful obviously of the equities that are at stake here in terms of never revealing sources and methods, never compromising our intelligence procedures," Carney said.

However, his response failed to address why top officials including Brennan, a seasoned intelligence professional not known for misstatements, would go public with erroneous information that seemed intended to further disparage bin Laden.

What bin Laden photos could show

Brennan was the first senior administration official after Obama's nationally televised statement Sunday night to speak on the record to reporters about what happened in Pakistan, appearing at Monday's White House news briefing with Carney.

He said then that bin Laden "was engaged in a firefight with those that entered the area of the house he was in," adding that he didn't know whether or not bin Laden "got off any rounds."

Brennan also said that during the assault "there was a female who was in fact in the line of fire that reportedly was used as a shield to shield bin Laden from the incoming fire."

He then urged the journalists to consider the bigger picture, seeming to mock bin Laden by saying he was "living in this million dollar-plus compound, living in an area that is far removed from the front, hiding behind women who were put in front of him as a shield."

Time magazine: CIA chief on why Pakistan wasn't told

It wasn't just Brennan saying it.

A senior defense official gave a similar description to reporters at a Pentagon background briefing, saying bin Laden and other male combatants at the compound "certainly did use women as shields."

By Tuesday, that narrative had changed. Brennan, in an interview on Fox, backed off on the assertions that bin Laden was armed and had been shielded by women.

"Those details are still coming out," he said when asked about whether bin Laden shot at the U.S. assailants. "There was a firefight in the compound. And I would wait to make a determination about whether or not he was armed and whether he fired."

On the human shield question, he said at least two women in the compound, including a wife of bin Laden, "certainly resisted and they put themselves against the assaulters."

Courier identified who led U.S. to bin Laden

"Whether or not they were trying to shield or whether they were trying to attack is still unclear," Brennan said.

Carney later gave reporters a step-by-step description of the assault that also changed the initial details.

"On the first floor of bin Laden's building, two al Qaeda couriers were killed along with a woman who was killed in crossfire," Carney said. "Bin Laden and his family were found on the second and third floor of the building."

Carney noted "there was concern that bin Laden would oppose the capture operation ... and indeed he did resist."

"In the room with bin Laden, a woman, rather bin Laden's wife, rushed the U.S. assaulter and was shot in the leg but not killed," Carney said. "Bin Laden was then shot and killed. He was not armed."

Carney provided no further details on how bin Laden resisted. A U.S. official speaking on condition of not being identified told CNN on Tuesday that bin Laden was shot when he made a threatening move.

When asked if bin Laden tried to grab a weapon or physically attack a commando, the official would only say: "He didn't hold up his hands and surrender."

Bin Laden unarmed when killed, White House says

Central Intelligence Agency Director Leon Panetta, in an interview Tuesday with PBS, said the U.S. forces had clear authority to kill bin Laden.

"Obviously, under the rules of engagement, if he had in fact thrown up his hands, surrendered and didn't appear to be representing any kind of threat, then they were to capture him," Panetta said, adding he was unaware of any verbal communication between bin Laden and the American forces but that "we're still getting the feedback from the SEALs themselves as to just exactly what took place during that mission."

To administration officials, the U.S. forces acted properly.

"It's very difficult for us, from here, to Monday morning quarterback a very difficult decision," Deputy National Security Advisor Denis McDonough told CNN when asked Tuesday about bin Laden being killed while unarmed.

"Frankly, I don't know," McDonough continued. "I've seen differing accounts as we gather more information. I don't know for certain whether bin Laden was armed or not. But I do know that our tremendous ... assault team that made that raid that day made exactly the right decision in each case, as far as I'm concerned."

Carney acknowledged the difficulty in getting all the facts right in such a situation, telling reporters that "to use your phrase -- fog of war, fog of combat -- that there was a lot of information coming in. It is still unclear."

The impact of the initial reports was clear. In opening a House subcommittee hearing Tuesday on Pakistan, Rep. Patrick Meehan, R-Pennsylvania, mentioned the successful mission against bin Laden.

"That he reportedly died using a woman as a human shield is an image that cements the true nature of his character, and such cowardice will be a part of his legacy," Meehan said.

CNN's Pam Benson contributed to this story.

@highlight

Top officials got some things wrong in first comments on the bin Laden mission

@highlight

The White House releases a revised account Tuesday

@highlight

Is it the fog of war, or deliberate?