(CNN) -- Ecuador remains the frontrunner in the Edward Snowden sweepstakes. Hong Kong let him go, neither ready to arrest him on behalf of the United States nor willing to let him stay.

Russian authorities have played coy, looking to avoid open conflict with the United States but hardly forthcoming with any details. Even Cuba is in the mix, perhaps as a temporary detour on the way to somewhere else. But it is Ecuador, of all places, that appears consistently as the country most willing to openly challenge the United States, apparently not averse to allowing Snowden to land in Quito while considering a request for asylum.

How do we understand the inability of the United States to capture a U.S. citizen who has been charged with espionage and no longer has a valid U.S. passport? Why won't anyone help the United States get this guy? And why does Ecuador in particular appear willing to embrace Edward Snowden and oppose the United States?

Where on Earth could Snowden go next?

Part of the explanation lies in the fact that the United States does not appear to be garnering much sympathy on this issue within the international community as a whole. China, Russia, Cuba and Ecuador are hardly alone in wanting to poke at the United States by helping Snowden. Foreign observers are much less interested in the relative virtues of Snowden (traitor? hero? refugee? attention-seeker?) and much more willing to focus on the actions of the U.S. government, which outside our borders tends to be understood as part of a long history of out-of-control surveillance by U.S. intelligence agencies.

In this sense, the United States may have the law on its side when demanding the arrest of Snowden, but it does not, from the perspective of many foreign observers, have a moral leg to stand on.

Our past use of covert surveillance at both home and abroad, combined with our current pursuit of an individual who exposed questionable surveillance programs, has meant that our attempts to capture Snowden, however sound legally, have been effectively undermined by our own moral bankruptcy within international circles (at least with respect to issues of surveillance, privacy, espionage, etc.).

4 options for the U.S. to get Snowden back

This perception is all the more pervasive in Latin America, where decades of U.S. support for repressive military dictatorships was enforced by a wide range of surveillance programs that were often permitted and justified by legal statutes.

Still, why Ecuador? The prevailing explanation among U.S. pundits is that Edward Snowden and Ecuadorian President Rafael Correa are "unlikely allies" and thus Correa's stance has nothing to do with Snowden's actions or the fact the United States is pursuing him. In other words, it is all about scoring political points. This is too simplistic an explanation and relies on a misunderstanding of Correa and the leftward shift that has swept Latin America during the past 25 years.

Snowden: I took job to gather evidence

Politicians are always looking to score political points, and Correa has certainly had his moments. But when Correa offered Wikileaks journalist Julian Assange asylum in 2012, he had relatively little to gain politically beyond raising his international profile. At the time, he was expected to easily win re-election (which he did), in large part because under his administration unemployment levels had reached record lows, public spending on education had more than doubled and medical care was more accessible than ever. This was despite the fact that Ecuador had been hit harder than almost any country in the region by the financial crisis of 2008.

Correa pumped money into the economy, reformed the financial system, took control of the central bank and otherwise worked, however imperfectly, to build a government and economy that serves the interests of the people.

Simply put, Correa's popularity insured that there was relatively little to be gained by taking on Assange in 2012. Quite the opposite, Correa's embrace of Assange produced an intense backlash by the media in Ecuador, which then amped up opposition during the election.

Similarly, Correa will score relatively few political points by embracing Snowden in 2013. Correa's stance is best seen as a principled one. In broad terms, Correa's openness to Assange and Snowden, as well as his decision to close a U.S. military base in Ecuador, is part of an effort to deepen Ecuadorian sovereignty while strengthening Latin America's ability to limit the influence of the United States in the region.

Opinion: Why U.S. is being humiliated by the hunt for Snowden

This is perfectly within the rights of an independent nation, even one that has historically followed the U.S. lead. More immediately, Correa's willingness to take on Snowden should be seen for what it is, as a refreshingly principled stand by a small country against a powerful nation engaged in what many see as the political persecution of one of its own citizens.

The opinions expressed in this commentary are solely those of Steve Striffler.

@highlight

Ecuador seems willing to consider giving asylum to Edward Snowden

@highlight

Steve Striffler: Many around the world question the morality of American policy

@highlight

He says the Snowden case affords opponents a chance to put U.S. on defensive

@highlight

Striffler says Ecuador's president has legitimate questions about U.S. policy