(CNN) -- Does our government trust us?

If our government trusts us, why does it take people like Edward Snowden and Bradley Manning to reveal the actions our government is taking in our name?

Government should be able to withhold information in certain situations if disclosure truly compromises ongoing intelligence operations or clearly risks lives. But that exception must be narrowly construed, and the burden should rest on the government to prove that the information at issue should be kept secret from Americans.

Recently, two seemingly unrelated events show our government's continuing efforts to keep information from us.

In the first instance, the government released hundreds of hours of tapes that Richard Nixon had secretly recorded of White House conversations between April 9, 1973 and July 2, 1973. While political pundits had a field day combing through these tapes, lost in all this were two things. One, the content of these tapes has been kept secret from us for more than 40 years. Two, the government still won't release more than 700 hours of additional tapes, citing national security and privacy concerns.

Could there really be information in these 40-plus-year-old tapes that threatens our nation's security or invades someone's privacy? And even if there is, shouldn't our government be called upon to provide us more reasons to justify its secrecy?

In the case of Bradley Manning, who was sentenced to 35 years in prison for providing WikiLeaks with 700,000 classified files, we became aware of a wide range of actions taken by our military, State Department and intelligence community.

We learned, for example, that the U.S. military had been keeping detailed data about the number of Iraqi civilians killed by our forces. Before this leak, our government had denied it kept such figures.

We learned that our government was spying on U.N. officials in violation of international law and our State Department had been encouraging foreign governments to not investigate our torture of prisoners who had been subject to rendition.

Manning also released the infamous video of a U.S. Apache helicopter attack in Baghdad in which civilians and a reporter were killed. Reuters had previously requested this exact video under the Freedom of Information Act but the government had denied access.

Not only does it appear that our government doesn't trust us, but it also seems that some agencies within our government don't even trust each other.

A few months ago, James Clapper, the director of National Intelligence, was asked by Congress whether the National Security Agency was collecting data on Americans. Clapper answered under oath, "No." Of course, a short time later, Snowden revealed that Clapper was not being truthful.

When you look at our nation's Declaration of Independence, one of the clauses that has always stuck with me is, "Governments are instituted among Men, deriving their just powers from the consent of the governed. ..."

But how can we consent to our government's actions if we are not told what it's doing? Conversely, how can we object to our government's conduct if it isn't revealed to us?

Shockingly, even some members of Congress seem to be in the dark about our government's activities, even though the administration has provided information in a restricted fashion. On Sunday's morning TV, Sen. Bob Corker, the senior Republican on the Senate Foreign Relations Committee, commented that he and others in Congress aren't sure of the full extent of the NSA's surveillance programs that were leaked by Snowden. Corker said, "And that's why I wrote a letter to the president this week to ask that the head of this organization (NSA) come in and brief folks from top to bottom." Keep in mind this is months after Snowden's leaks.

This begs the question: Does anyone actually know the full scope of what our government is doing?

Just this week, our government finally released former President Gerald Ford's testimony recorded more than 30 years ago during the criminal trial of Lynette "Squeaky" Fromme, the woman convicted of trying to assassinate Ford. Did the government release this information on its own? Nope, it took a federal lawsuit by the Eastern District Historical Society to pry it free.

If our government continues to hide information from us, the Edward Snowdens and Bradley Mannings of the world will not stay silent despite threats of imprisonment. More Americans will take matters into their own hands when they see our government engaging in policies and programs that violate our Constitution, laws and principles.

It is truly our government's choice. Trust us and be more transparent, or inspire more Snowdens and Mannings. I hope our government chooses to trust us.

The opinions expressed in this commentary are solely those of Dean Obeidallah.

@highlight

Dean Obeidallah: Why does it take Edward Snowden to reveal actions of our government?

@highlight

Obeidallah: Programs that violate our Constitution, laws and principles break down society

@highlight

He says government should be able to withhold information in certain risky situations

@highlight

Obeidallah: Trust us and be more transparent, or inspire more Snowdens and Mannings