Katherine Sutherland, an OB-GYN in Mountain View, California, knows something about terrible periods -- and not just from her patients. She used to go through tampons every hour, excusing herself to go to the bathroom between appointments. Heavy bleeding made doing what she really loved --hiking -- especially difficult. Truth is, she wanted her period to go away altogether. In 2003 Sutherland, then age 51, got her wish. She had a minor surgical procedure called endometrial ablation, or by its brand name, NovaSure, to remove her uterine lining and stop heavy bleeding. And she hasn't had a period since. "I was delighted," she says. "Up until that time I'd never missed one period." Sutherland recently hiked 8,000 feet to the ancient Incan city of Machu Picchu in Peru.

About two-thirds of regularly menstruating women have premenstrual symptoms.

Many women, perhaps 95 percent, have period issues -- bleeding like Sutherland's, debilitating pain, out-of-control PMS, or annoyances such as constipation or diarrhea. Thanks to a variety of new remedies that can make over (or eliminate!) periods, you don't have to suffer. We've collected the best fixes for five of your most common problems.

Killer cramps

Virtually all women in their childbearing years have period pain (or dysmenorrhea). In fact, it's a leading reason for calling in sick to work or school. "Your uterus is a muscle, and it squeezes really hard," says Susan Haas, M.D., an associate professor of obstetrics and gynecology at Boston University. "Sometimes it can squeeze so hard it blocks the arteries coming into it. Just like in a heart attack, when the arteries are blocked, it causes pain." Health.com: Pelvic pain -- solve the mystery

The fixes

Naproxen, aspirin, and ibuprofen help by short-circuiting the production of pain-causing chemicals called prostaglandins that are involved in muscle contractions. They work best if you start an hour before your cramps hit. "Load up with a double dose and keep the blood level up," Haas says. (The maximum safe daily dose of ibuprofen is 2,400 milligrams, or 12 200-mg pills. Take the minimum dosage that works for you.) Right when you get your period, start with 800 mg and then go to 600 mg every six hours. But talk to your doctor if you have elevated heart disease risks; the Food and Drug Administration recently reported that all NSAIDs, except aspirin, may heighten cardiovascular risks. And remember that extended use of high dosages of aspirin or NSAIDs may cause gastrointestinal troubles.

Omega-3 fats from fish oil seem to block prostaglandin production, too. And research shows that women with low intakes of omega-3s have more painful periods. While mainstream docs are mostly neutral on the idea of increasing omega-3s to fight period pain, some think it makes sense.

Heat is an old-fashioned, but useful remedy for relaxing crampy muscles. Get out your heating pad, or try new nonprescription heat wraps, which last for eight hours and can be worn under clothes. Health.com: Your guide to fibroid fixes

Severe bleeding

Ten million American women have heavy bleeding, also called menorrhagia. (The average woman loses about three to four tablespoons per cycle; more than five tablespoons is considered heavy.)

The fixes

NovaSure, in which a wand is inserted into the uterus through the cervix, emits energy that, in most cases, permanently removes the uterine lining. It's best for women who, like Katherine Sutherland, no longer want to have children. (Getting pregnant after having the uterine lining removed could be risky.) The five-minute procedure is done in a gynecologist's office. Many women report lighter bleeding right away. And a recent study found that after seven years, more than 95 percent stopped having periods.

The 365-day birth-control pill, called Lybrel, is another way to skip monthly menstruation. Approved by the FDA in May, Lybrel has no placebo pills, so you just keep taking an active pill each day. (Breakthrough bleeding can be an issue for about 20 percent of users. And, since Lybrel contains estrogen, it's not for women who are prone to blood clots, such as smokers, who get migraines with an aura or who are over age 35 with elevated heart disease risks.) Health.com: Is it safe to ditch your period?

If you'd prefer having a period, just with less bleeding, the traditional pill is also useful for curbing heavy flow. Its constant level of progesterone causes the endometrium to develop a much thinner lining. During your week of placebo pills, you get a lighter period because you shed a thinner lining over time. Another option is to have a period just four times a year: With Seasonale and Seasonique you take 84 active pills in a row.

Mirena may be for you if pill-taking isn't your thing. This intrauterine device secretes progestin on a daily basis, thinning the uterine lining so there's virtually nothing to shed. "One-third of women get no period, one-third get a much lighter period, and the other third have only irregular spotting," says Dan I. Lebovic, M.D., a reproductive endocrinology and fertility specialist at the University of Michigan Health System. Drawbacks? Pain during insertion, and possible cramps and bleeding for about three weeks afterward.

Punishing PMS

About two-thirds of regularly menstruating women have premenstrual symptoms, says Jean Endicott, Ph.D., director of the Premenstrual Evaluation Unit at Columbia University's College of Physicians and Surgeons. It could be headaches, breast tenderness, or big, unpleasant mood swings. Up to 8 percent of women who have PMS suffer mood changes severe enough to cause problems in their personal lives and daily routines; this more serious version of PMS is called premenstrual dysphoric disorder, or PMDD. The fixes Calcium supplements are a good first thing to try, Endicott says, because research shows they ease symptoms. (Calcium may help even out hormone levels, although no one knows for sure why it works.) Besides, most women don't get enough calcium in their diets anyway. She suggests 1,200 mg daily, and not just on the day you're PMS-ing. "It should help take the edge off" over time, Endicott says.

Daily exercise -- like fast walking, lifting weights, or even dancing -- may be the last thing you want to do when in the throes of PMS, but it has proven antidepressant and antianxiety effects.

Antidepressants (Paxil, Prozac, Sarafem, and Zoloft, to name a few) can relieve severe symptoms. The new twist is that you don't have to take one daily -- but instead as soon as you feel anxious. "We tell (women who choose this option) to put a red flag on the calendar noting when they're likely to have symptoms so they remember to take the medication beforehand, when it can be most effective," Endicott says. Another choice: Yaz, a birth-control pill that's FDA-approved to treat PMDD. Clinical trials show it can cut symptoms by at least half, though the reasons are unclear.

Gastro upsets

Many women have diarrhea, gas, or constipation during their periods. Prostaglandins, the chemicals that cause cramping in your uterus, do the same in your bowels. "For lots of women, it's common to have a loose stool or diarrhea on the day they have a lot of bleeding," says Leslie Miller, M.D., University of Washington-Seattle clinical associate professor of obstetrics and gynecology.

The fixes

Fiber can help keep GI issues under control. Aim for 30 grams a day from cereal, fruit with the skin, and vegetables. But don't add fiber to your diet too fast when you get your period; that could worsen diarrhea. For constipation, check your habits. Miller says women often hold in bowel movements because they're in public places. Before you know it, you are bloated and constipated. "When you get the urge, go," Miller advises.

Ibuprofen and other similar anti-inflammatory medicines may reduce gastro cramping. To avoid tummy irritation, take it with food.

All of the above

Some women experience a combo of excessive bleeding, cramping, breast tenderness, headaches, PMS, and other troubles. What to do?

The fix

Stop treating the individual symptoms. Miller recommends continuous birth control pills -- you just skip the placebo week and move on to your next pack. If your insurer won't pay for that, ask about Lybrel and the other pill options. Also, consider NovaSure if childbearing isn't in your future. E-mail to a friend

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Perhaps as many as 95 percent of women have issues with their period

@highlight

Naproxen, aspirin, ibuprofen can ease painful cramps

@highlight

Procedure known as endometrial ablation can reduce excessive bleeding

@highlight

Try calcium supplements to ease headaches, breast tenderness, mood swings