Mississippi's attorney general said Thursday that the state may have to issue a nationwide manhunt after four pardoned murderers left jail and "hit the road running."

"We'll catch 'em. It's just a matter of time," Attorney General Jim Hood told CNN.

The four were among nearly 200 convicted criminals to whom Gov. Haley Barbour granted clemency or a pardon in a final act before leaving office this week.

The governor's actions have set off a legal firestorm in Mississippi.

A judge issued a temporary injunction Wednesday forbidding the release of any more prisoners. And the process of releasing 21 other inmates has been halted, said Hood, who believes the former governor put people at risk and sought the court order.

The pardons include the four convicted murderers and a convicted armed robber who were released Sunday. The five now must contact prison officials on a daily basis as their fate is adjudicated, but their whereabouts are unknown, Hood said.

A court hearing on the matter will be held January 23.

Hood said the state cannot issue an arrest warrant for the five who were released because they have not committed a crime.

"We have not found any law that will support that," Hood told CNN. "They have a legal document saying they are free to go.

"There are some tough legal issues we are trying to address," he said. "This is such a unique problem that no law has ever had to address yet. We're having to make new law here."

Hood said he did not know Barbour's reasons for the pardons and clemencies, but said he owed the public an explanation.

He gave the governor a tongue-lashing, comparing him to the unethical, greedy commissioner in the 1980s television series "The Dukes of Hazzard."

"He's tried to rule the state like Boss Hogg and he didn't think the law applied to him," Hood told CNN Wednesday.

Hood said Barbour violated the state's constitution because the pardon requests for many inmates were not published 30 days before they were granted, as required.

Mississippi is one of the few states that requires advance notice.

"This isn't a partisan issue," according to Hood, who is a Democrat. "Either you followed the constitution or you didn't."

Barbour is a conservative Republican.

What's behind the pardon battle?

Hinds County Circuit Court Judge Tomie Green issued the injunction Wednesday, saying it appeared some pardons, including those for four murderers, did not meet the 30-day requirement. Any inmates released in the future must meet the standard, Green ruled.

On his way out the door, the governor approved full pardons for nearly 200 people, including 14 convicted murderers, according to documents the Mississippi secretary of state's office released Tuesday.

The four murderers who received full pardons last week -- David Gatlin, Joseph Ozment, Charles Hooker and Anthony McCray -- were cited in Green's order.

They were all serving life sentences and worked as inmate trusties at the governor's mansion, said Suzanne Singletary, spokeswoman for the Mississippi Department of Corrections. Trusties are inmates who can receive additional rights through good behavior.

Hood told CNN that it's possible that those who didn't meet the 30-day requirement may have to return to prison and complete their sentences.

Barbour said Wednesday that some people misunderstand the clemency process and believe that most of the individuals were still jailed.

"Approximately 90 percent of these individuals were no longer in custody, and a majority of them had been out for years," he said in a statement.

"The pardons were intended to allow them to find gainful employment or acquire professional licenses as well as hunt and vote. My decision about clemency was based upon the recommendation of the Parole Board in more than 90 percent of the cases," Barbour wrote. "The 26 people released from custody due to clemency is just slightly more than one-tenth of 1 percent of those incarcerated."

Hood said he is questioning the release of many of the 175 individuals who received full pardons.

The pardons are "a slap in the face to everyone in law enforcement and Governor Barbour should be ashamed," Hood said.

Barbour's full pardon of Gatlin has intensified fears that the man will try "to finish what he started," one of his surviving victims said.

"I feel like my safety is in jeopardy," Randy Walker, who was shot and wounded by Gatlin, said Wednesday. "I wonder if he's going to finish what he's started."

Gatlin walked into a trailer in 1993 where his estranged wife, Tammy Ellis, lived and shot her in the head as she held their 6-week-old baby in her arms. She died of her wounds.

Walker, the woman's friend, survived a gunshot wound to the head.

Gatlin was convicted of murder, aggravated assault and burglary of a residence.

In an interview with CNN's Soledad O'Brien, Walker and Tiffany Ellis Brewer -- Tammy's sister -- expressed concerns about the release and fears that Gatlin may intend to target them.

"I'm married and have a family again," Walker said. "I feel the safety for them is an issue. Anybody that might be with me at the time that he decides to do something would be in jeopardy."

Gatlin's pardon also raised concerns from John Kitchens, the prosecutor who saw him sent to prison.

"Haley Barbour is insane for granting a pardon to this criminal," said Kitchens, who is now in private practice.

Brewer said Barbour -- who left office this week -- hasn't directly responded to questions about the pardon.

"He will not comment on anything. We have no answers as to why he has done this. I would like to think he did not have all of the facts of the case, if he did have all the facts," she said.

Barbour's successor, Phil Bryant, was inaugurated Tuesday.

Barbour, who served eight years in the governor's office, had previously granted full pardons to three other convicted killers in 2008. Another three were awarded conditional or indefinite releases during his time in office -- meaning the governor, in total, granted reprieves to 20 convicted murderers, the documents showed.

Since the conservative governor took office in 2004, 222 people were granted clemency for a wide variety of crimes. Those who have been granted full pardons include shoplifters, rapists, burglars and embezzlers.

There were also a number who were found guilty of either manslaughter or homicide, who were given unconditional pardons.

Barbour is a long-time GOP operative, serving as the chairman of the Republican National Committee from 1993 to 1997, working as an aide in the Reagan administration and taking part in the 1988 presidential campaign of George H.W. Bush. He also is considered one of Washington's most-powerful lobbyists.

@highlight

The attorney general vows to catch the pardoned inmates

@highlight

Haley Barbour approved full pardons for nearly 200 people, including 14 convicted murderers

@highlight

A judge temporarily blocked the release of prisoners

@highlight

The attorney general believes Barbour put people at risk