(CNN) -- President Obama unveiled plans Wednesday to open large swaths of U.S. coastal waters in the Atlantic Ocean and the Gulf of Mexico to oil and natural gas drilling -- a move likely to please the energy industry but upset the administration's environmentalist supporters.

The administration plan would include lifting a 20-year ban on drilling off the Virginia coastline, while putting the clamps on sites such as southwest Alaska's Bristol Bay. Parts of the Arctic Ocean off Alaska's North Slope, however, could be accessed.

The plan authorizes the Interior Department to conduct seismic surveys off the south- and mid-Atlantic coasts to "determine the quantity and location of potential oil and gas resources to support energy planning," according to a statement from a White House official.

What are your hopes for the environment?

Roughly two-thirds of available oil and gas resources in the eastern Gulf of Mexico would be opened to drilling if a congressional moratorium on oil and gas operations in the region is lifted, according to the statement. Drilling would occur more than 125 miles off the Florida coast.

"This is not a decision that I've made lightly," Obama told an audience at Maryland's Joint Base Andrews Naval Air Facility.

"But the bottom line is this: Given our energy needs, in order to sustain economic growth and produce jobs and keep our businesses competitive, we're going to need to harness traditional sources of fuel even as we ramp up production of new sources of renewable, homegrown energy."

The president was joined during his remarks by the secretaries of the interior, energy and the Navy, as well as the chairwoman of the White House Council on Environmental Quality.

GOP leaders have pushed strongly for additional domestic drilling to lessen America's dependence on outside energy sources. One top Republican, however, argued Obama's plan does not go far enough.

"It's long past time for this administration to stop delaying American energy production off all our shores," said House Minority Leader John Boehner, R-Ohio.

"Opening up areas off the Virginia coast to offshore production is a positive step, but keeping the Pacific Coast and Alaska, as well as the most promising resources of the Gulf of Mexico, under lock and key makes no sense at a time when gasoline prices are rising and Americans are asking 'Where are the jobs?' "

A top Senate Democrat also ripped the decision, arguing it could harm marine life while damaging the economy in coastal communities.

"Giving Big Oil more access to our nation's waters is really a 'Kill, Baby, Kill' policy," said Sen. Frank Lautenberg, D-New Jersey. "It threatens to kill jobs, kill marine life and kill coastal economies that generate billions of dollars. Offshore drilling isn't the solution to our energy problems, and I will fight this policy and continue to push for 21st-century clean-energy solutions."

Environmentalists critical of Obama drilling plan

House Speaker Nancy Pelosi, D-California, warned that any offshore or onshore plan should proceed in an environmentally and fiscally responsible manner.

"Taxpayers who own these resources have been historically shortchanged from the huge profits received from drilling on public lands, and must receive a fair return in the future," she said.

Another key Democrat, Sen. Mark Warner of Virginia, praised the move, calling it "good news and a positive step forward as we work to expand our nation's domestic energy production."

"Moving forward on the mid-Atlantic offshore proposal will provide an opportunity to determine the scope of our region's offshore energy resources, the economic viability of accessing those resources and the potential impacts on our environmental and national security priorities," he said.

Virginia Gov. Bob McDonnell, a Republican, joined Warner in enthusiastically backing the decision.

"Virginians will benefit from the thousands of jobs that will be created and the economic activity and development that will accompany this vital industry's arrival in the state," McDonnell said in a statement.

Obama sought to portray his decision as politically pragmatic and centrist, balancing the country's growing energy needs and environmental concerns.

The administration has been "guided not by political ideology, but by scientific evidence," he said. "We need to move beyond the tired debates between right and left, between business leaders and environmentalists, between those who would claim drilling is a cure-all and those who would claim it has no place. Because this issue is just too important to allow our progress to languish while we fight the same old battles over and over again."

The president warned that increased drilling could only be a partial solution at best. The United States controls less than 2 percent of the world's oil reserves but accounts for more than 20 percent of global oil consumption, he noted.

White House spokesmen Bill Burton and Ben LaBolt said the announcement was being made at Andrews -- the home base of presidential airplane Air Force One -- because it's an appropriate place to discuss energy security.

In addition to discussing his plans for offshore drilling, Obama talked about the importance of making greater use of biofuels. The U.S. Air Force is the Pentagon's largest consumer of jet fuel, consuming 2.4 billion gallons annually, according to Burton and LaBolt. The Air Force, however, is attempting to transition to a greater use of alternative fuels.

In addition, the Environmental Protection Agency and the Department of Transportation are set to sign an agreement Thursday establishing fuel economy standards for cars and trucks for model years 2012 to 2016.

"We are implementing policies that will greatly reduce our dependence on foreign oil," the official said, noting the White House is leading by example and will announce the purchase of 5,000 hybrid vehicles for the federal fleet.

CNN's Dan Lothian, Suzanne Malveaux, Deirdre Walsh, Alan Silverleib, Lisa Desjardins and Erika Dimmler contributed to this report.

@highlight

One Democratic senator slams the plan while another praises it

@highlight

U.S. will need traditional fuels while developing new ones, Obama says

@highlight

Proposal includes lifting a 20-year ban on drilling off the Virginia coastline

@highlight

One Republican leader says Obama plan doesn't go far enough