(CNN) -- Like a first love or a first car, a first computer can hold a special place in people's hearts. For millions of kids who grew up in the 1980s, that first computer was the Commodore 64. Twenty-five years later, that first brush with computer addiction is as strong as ever.

Millions of Commodore 64s were sold in the 1980s.

"There was something magical about the C64," says Andreas Wallstrom of Stockholm, Sweden.

He remembers the day he first laid eyes on his machine back in 1984.

"My father brought it home together with a tape deck, a disk drive, a printer, and a couple of games...I used to sneak home during lunch to play [on it] with my friends."  Learn about the components of the C64 system »

Wallstrom is the webmaster and designer for C64.com, a Web site dedicated to preserving the games, demos, pictures, magazines and memories of the Commodore 64.

C64.com visitors are mostly nostalgia seekers -- men in their 30s looking to download their favorite childhood games. Emulators let them play the games without having a machine. Popular downloads include "Boulder Dash," "Ghostbusters," and "The Great Giana Sisters."

"It may have not been the most sophisticated computer, but it did have a lot of personality and it was lovable and remains loveable," said Harry McCracken, vice president and editor in chief of PC World.

Often overshadowed by the Apple II and Atari 800, the Commodore 64 rose to great heights in the 1980s. From 1982-1993, 17 million C64s were sold. The Guinness Book of World Records lists the Commodore 64 as the best-selling single computer model.

The computer featured 64 kilobytes of memory (a lot for 1982), a huge index of games, a sophisticated sound chip, and a relatively parent-friendly price -- $595.

On Monday, the Computer History Museum in Mountain View, California, will celebrate the C64's 25th anniversary. Computer pioneers will reflect on the C64's achievements and contribution to the industry. Jack Tramiel, the founder and CEO of Commodore, will attend, along with Apple co-founder Steve Wozniak and William C. Lowe, father of the IBM PC.

"It was the right machine for the time," said McCracken. "The Commodore 64 did a lot to popularize computers." Sold in shopping malls and discount stores and not just small computer stores -- the norm for the time -- the C64 became many people's gateway into the world of computers, said Brian Bagnall, author of "On the edge: The spectacular rise and fall of Commodore."

"It was so new," Bagnall said. Users could play many games and also learn the programming language of computers -- BASIC.

Jim Park, 39, a software developer in Minneapolis, Minnesota, got his start on a C64 in 1984 when he was 16. Park learned to program motion-graphics synchronized to dance music and ran a BBS, an electronic bulletin board system, the precursor to the Internet. "I really lucked out that something so obscure and nerdy has turned into the modern business and pop-culture phenomenon that it has," he said.

Wallstrom said it was the simplicity of the C64 that made it so great. "You switched it on and it was there, ready for input in a second. Programming on the C64 was straightforward because you got to command the processor directly. You had full control of the whole computer...that is something you don't have with any modern PC."

Still, the C64 had an uneven reputation. It was widely considered clunky, its BASIC outdated and graphics weak in comparison to the Apple II and Atari 800, according to McCracken. And then there was the quirky floppy drive. "It was pitifully slow," Bagnall said. "It was big and noisy. It sounded like a Gatling gun when it was trying to load stuff."

The floppy drive took so long to load, the music would play before the game did, recalls Rob Kramer, artistic & business director of Productiehuis ON, a production company based in the Netherlands. "These tunes would get stuck in your head," he said.

In 2006 Kramer came up with the idea of having an orchestra play the music from the games. "We found this crazy orchestra that plays on the street. It's full of young people in music school. They are in their 20s and they'd never played a Commodore 64. For them it was like 'Wow, this is great stuff.' "

The 12-piece C64 Orchestra has played at churches, musical venues and festivals. The compositions run 4-6 minutes. The crowds are mostly fans of the C64. "They really dig it," Kramer said.  Watch how I-Reporters are using the C64 today »

Kramer described the music as haunted. "There's a lot of tension, and it repeats itself. It takes you places where normal classical music doesn't."  Watch as the orchestra plays »

The classical ensemble released a CD in Europe featuring the original computer and orchestral versions of "Delta," "Commando," Monty on the Run," "International Karate" and more. The CD will be available in the United States on January 15.

By 2007 computing standards, the Commodore 64 is a dinosaur. A relic of the past, long made obsolete by the march of time. But the C64 isn't dead. It's very much alive -- on gaming Web sites, through music and in the memories of millions who owned and loved them.

"Computer nostalgia is something that runs pretty deep these days. The memories that people have of this machine are incredible," McCracken said.

Twenty-five years ago computers were an individual experience; today they are just a commodity, he said.

"I don't think there are many computers today that we use that people will be talking about fondly 25 years from now." E-mail to a friend

@highlight

Commodore 64 loved by many kids coming of age in the 1980s

@highlight

Popularity continues today on Web sites, in music and people's memories

@highlight

Nostalgia seekers can download their favorite C64 games on sites like C64.com

@highlight

C64 Orchestra plays the music from the games, CD release in U.S. in January