(CNN) -- Elena Lidawi is preparing her piano students to take part in a national competition. Lidawi's students will not perform in front of the judges in person, but by video conferencing.

Lidawi teaches at Gaza Music School and the Palestinian national competition they will enter in March and April is only 50 miles away in Jerusalem.

But the children are unable to leave Gaza because of travel restrictions imposed by Israel. Israel imposed an economic blockade of Gaza when Hamas won control of Gaza in 2007, to stop what it says is the transit of weaponry to be used by militants in attacks on Israel. Movement of people is severely limited.

This is one of many logistical problems faced by staff and students at Gaza Music School, the only music school in the 360 square kilometer strip of land controlled by Israel.

The school was set up three years ago by the UK-based Qattan Foundation and is about to be transferred to the Palestinian Edward Said National Conservatory of Music, which has branches in Jerusalem, Ramallah, Bethlehem and Nablus.

Lidawi, a 38-year-old Russian who has lived in Gaza for 12 years, has taught piano at the school since it opened three years ago. She entered pupils into the same bi-annual competition two years ago and was pleased with their performance.

"My piano pupils took third and fourth place in the competition," she said. "We worked very hard to prepare, and both myself and the pupils were very happy. The Gazan students competed by video conference against other Palestinians who were able to travel to Jerusalem to compete."

Gaza Music School opened toward the end of 2008, but within months it had been destroyed in the Israeli invasion of Gaza. Israel launched an air and ground military assault on Gaza in December 2008 and January 2009 in an operation against Hamas.

Omar Qattan, secretary of board of the Qattan Foundation, said: "Luckily there was no-one in the building at the time. The academic director had salvaged as many of the instruments as he could by taking them home.

"We decided immediately to reopen it. We rented new premises and managed to open again in the April (2009)."

Lidawi said of the attack: "During the invasion I was evacuated to Jordan. When the building was bombed everything was destroyed. Many instruments, such as the piano, were destroyed."

Reopened in a new building in a different part of Gaza, the school now has 130 students and is so oversubscribed that only 15% of applicants are accepted.

The school specializes in Arabic instruments such as the kanoun, a triangular stringed instrument a little like a horizontal harp, and the oud, a pear-shaped stringed instrument similar to a lute, and also teaches Western classical instruments and music theory.

Qattan said: "Our biggest logistical challenge has been getting both instruments and teachers because of the restrictions. I haven't been able to go myself since 2006."

Palestinians are allowed in and out of Gaza only under very exceptional conditions. Their movement is controlled by both Israel's blockade of Gaza and by the Hamas government. Hamas is considered a terrorist organization by Israel, the United States and the European Union.

More from Inside the Middle East: My Syria, by 'greatist living' Arab poet

The school is being taken over by the Edward Said National Conservatory of Music in March after its three-year pilot by the Qattan Foundation to ensure it has the best possible academic program. The Qattan Foundation works to develop culture and education in the Palestinian Territories and the Arab world, with a particular focus on children, teachers and young artists.

Suhail Khoury, director of the Edward Said National Conservatory of Music, said of Gaza Music School, "It's an excellent school. It's an oasis. The teachers have been doing a marvelous job in keeping the school going. There's a lot of talent, it just needs to be nurtured.

"It makes an incredible difference to the children and families in Gaza. It's a tough place and this is the first time there's something like this happening on a serious academic level."

However, he added: "Our biggest worry is the access. Last December I was allowed to go to Gaza for the first time in 14 years, so that was a big step."

Khoury said technology is vital in helping navigate the travel restrictions in place in Gaza and the West Bank.

"We use video conferencing for interviewing prospective teachers, auditioning and sometimes giving classes.

"We hold a bi-annual national competition and the Gaza students participate by video conference.

"Sometimes it can be tough because the timing isn't very accurate.

"Nothing is straightforward. Exams are not going to be easy, but we have to use the technology as best we can," he said.

Khoury said that logistical issues such as sourcing instruments and making travel arrangements take up a large proportion of the management's time.

"It's a logistical nightmare," he said. "We can't hold any of our regular concerts or festivals in Gaza.

"When I visited Gaza you apply and wait and hear nothing, and then suddenly you're told you can go but it has to be tomorrow, so you drop everything and go. But you can't do that with visiting artists."

"Getting instruments and materials into Gaza is also a problem, but we have had great help from friends in international circles."

More from Inside the Middle East: Film director shares sights and sounds of Beirut's 'Little Armenia'

Ramzy, a 24-year-old Palestinian American visiting piano teacher who asked for his full name not to be used is working at the school for a few months.

He traveled into Gaza at the Rafah crossing from Egypt unsure whether his visa had been approved or whether he would be let in. After nine hours at the border, he was finally admitted to Gaza.

He said: "In the first week it really hit me deep. I was so happy to see the children enjoying themselves and proud of their work.

"The children were hanging around the school and sharing music even when they had no classes on, and that's a music teacher's dream."

@highlight

Gaza Music School was destroyed in Israeli invasion soon after opening three years ago

@highlight

It has been rebuilt and is being taken over by Palestinian national music conservatory

@highlight

School must find innovative ways around Gaza travel restrictions