(CNN) -- When people talk about the cinematic geniuses of the 1980s, one name invariably comes up -- John Hughes. For young people growing up then and even today, the writer-director's name conjures up memories of unforgettable films.

From "Sixteen Candles" (1984) and "The Breakfast Club" (1985) to "Pretty in Pink" (1986) and "Ferris Bueller's Day Off" (1986), Hughes was responsible for a series of films that openly and honestly explored the exhilaration and tumultuousness of adolescence.

It's been nearly three decades since those movies arrived in theaters, but audiences still watch and enjoy them as if they were made yesterday. However, despite the love audiences have shown for his work, Hughes was never nominated for an Academy Award.

Hughes isn't alone in being an outstanding filmmaker whose features about people under 30 were overlooked during awards season. It's unfortunate but undeniable that award shows -- and the Oscars in particular -- have a history of ignoring great movies made for and about young people.

In 2013 alone, several such films received raves from critics, earning spots on "best of" lists. "The Kings of Summer" and "The Way, Way Back" scored approval ratings of 76% and 85% of critics, respectively, on RottenTomatoes.com, while "The Spectacular Now," written by the duo behind 2009's underappreciated "(500) Days of Summer," earned the approval of 92% of critics.

"Short Term 12" received a 99% approval on Rotten Tomatoes, a higher ranking than any of this year's best picture nominees. "Spring Breakers," starring James Franco and Selena Gomez, may have divided some moviegoers, but the film was also lauded for its provocative depiction of disaffected youth. And it's not for nothing that "The Hunger Games: Catching Fire" was the top grossing film of 2013.

Yet not one of these movies earned a single Oscar nomination.

Meanwhile, "The Wolf of Wall Street -- which secured a 77% approval rating on Rotten Tomatoes -- received five Academy Award nods, including ones for best picture and best adapted screenplay.

2014 Oscars nominees list

That's not to say that "Wolf" didn't deserve recognition, but these other movies focused on characters in the early stages of adulthood. From three teenage boys running away from home to build a house in "The Kings of Summer" to a couple in their 20s managing a treatment facility for troubled children in "Short Term 12," these films were about young people finding their way -- a seeming disadvantage in the academy's eyes.

In an e-mail interview, Dana Polan, a professor of cinema studies at New York University's Tisch School of the Arts, noted that "Hollywood associates youth with escapist entertainment. (There) is the assumption here (no doubt, a biased one) that to be important, a theme has to be adult and mature, and youth films just don't make it."

Over the years, there have been some exceptions to this rule. For example, "Rebel Without a Cause" (1955) received three Oscar nominations, and "American Graffiti" (1973) grabbed five nods -- though both films ultimately walked away empty-handed. "Juno," the 2007 comedy about a pregnant high schooler (Ellen Page), was nominated for four Oscars, including best picture and best director. The film took home the award for best original screenplay -- a win that one could argue had more to do with the quirkiness of Diablo Cody's script than the subject matter itself.

Film critic Nell Minow (the Movie Mom) also observed that "Oscar voters skew older."

"They are more interested in stories about grown-ups and more likely to have relationships with actors and filmmakers who are 30 and older," Minow said via e-mail.

That may be part of the reason why movies such as "The Perks of Being a Wallflower," which delighted critics with one of 2012's best scripts and stellar performances from Logan Lerman and Emma Watson -- also didn't receive any recognition from the academy.

Such snubs seem particularly egregious, partly because the academy often blatantly attempts to appeal to a younger demographic. In 2011, the Oscars chose James Franco and Anne Hathaway as hosts in hopes of attracting younger viewers. The plan failed, with the ratings dipping and the duo receiving poor reviews.

The intention may have been a noble one, but perhaps a better idea would have been for the academy to begin honoring movies that speak to what it's like to be a young person today.

"The Youth," a song performed by MGMT on "The Kings of Summer" soundtrack, speaks of the transition between adolescence and adulthood. It includes the following lyrics:

The youth is starting to change.

Are you starting to change?

@highlight

The Academy Awards tend to overlook movies about young people

@highlight

Films such as "The Hunger Games: Catching Fire" and "Short Term 12" were snubbed

@highlight

Some of these movies brought in more money or accolades than many Oscar nominees