(CNN) -- There's been plenty of talk about the gender pay gap in recent days after speculation that recently fired New York Times executive editor Jill Abramson was let go after speaking up about possible pay disparity between her and the previous executive editor, Bill Keller.

In response to that talk, the New York Times publisher, in a lengthy statement over the weekend, said Abramson's total "pay package," which included stock and other compensation in addition to salary, was "comparable" to Keller's and was, in fact, more than 10% higher during Abramson's last year, and that her removal was due to her management of the newsroom, nothing else.

Until we hear Abramson's side of the story, it remains unclear what role, if any, an alleged pay gap played in her fate.

What is clear is how outraged women were hearing that the Times' first woman executive editor could be making less than the last male executive editor. It was another reminder, to many women, that the income gap is alive and well.

But if one city gets its way, that disparity between what men and women earn will become a thing of the past. Boston has pledged to become the first city in the country to eliminate the gender pay gap. It's certainly a lofty goal: How on Earth will Beantown make it happen?

OPINION: Don't believe the hype: In real world, women still make less than men

On Monday, at a White House regional conference on working families in Boston, administration officials along with members of the Massachusetts congressional delegation, including Democratic Sen. Elizabeth Warren, joined business leaders and academics, to tout the city's ambitious plan and what it will take to succeed. The event is one of several this spring leading up to a summit with President Obama at the end of June at the White House.

"What's really significant is that Boston recognizes that this isn't just an issue of fairness and isn't just an issue of equity as a moral value," said Betsey Stevenson, a member of the president's Council of Economic Advisers, in an interview. "This is about competitiveness and having a competitive advantage."

Women make up about half the labor force but will soon represent more than half of the highly educated labor force, said Stevenson, who will be speaking at the Boston conference.

"That's why it becomes an issue of competitiveness. The amount of talent that is in that other half that you're ignoring is relevant and when you have a lot of the talent in that other half, ignoring it is going to become even more costly over time," said Stevenson, who is currently on leave from her position as associate professor of public policy and economics at the University of Michigan.

Making Boston the 'premier city for working women'

Last year, then Boston Mayor Thomas Menino pledged to make Boston the "premier city for working women." He created a Women's Workforce Council, made up of leaders in academia and the public and private sectors.

Victoria A. Budson, executive director of the Women and Public Policy Program at Harvard Kennedy School, is a member of the council. "When you make a city good for women, you raise the economic profile of that city. You are going to retain talent," said Budson.

Women outnumber men in Boston at 52% of the population, according to a report by the Women's Workforce Council. The city also has the largest proportion of young women between the ages of 20 and 34 of any major city, and has a higher percentage of college educated women than any other metro area.

And yet, the city has a significant pay gap, although it's lower than the national average. In 2011, working female residents of Boston earned 83% of what male residents in Boston earned, according to the report. Nationwide, women earn 77 cents for every dollar men make.

Boston is asking companies to voluntarily sign a compact committing to take steps to reduce the wage gap. About 50 companies, including some of the city's biggest employers such as Raytheon and State Street, have signed it.

The council's report includes 33 different "interventions" companies can take to close the wage gap, from evaluating why mothers and non-mothers leave their businesses to standardizing compensation including bonuses to actively recruiting women to executive level and board positions.

"We've made it easy," said Budson, who was recognized in our recent CNN 10: Visionary Women special coverage for her work trying to eliminate the income disparity between men and women. "We're not saying: 'Go make it equal -- figure it out.' We're saying: 'Here's a plan and a set of strategic goals. Pick some. Help your businesses grow.' "

The approach, she hopes, can serve as a model for cities around the country and the world. Just last month, Budson traveled to Paris to present what Boston is doing to the Organization for Economic Co-operation and Development.

"Rather than a regulation," said Budson, it's a "nudge."

What happens when women negotiate

For many women, taking steps themselves to close their own personal income gap makes them incredibly uncomfortable. According to an iVillage.com survey last year of 1,500 women, only 35% said they ever asked for a raise. That's even more significant based on the finding that of those who were unhappy at work, 63% said the number one reason was because they felt they were underpaid.

There is a reason our discomfort is not unwarranted. According to Budson, the research shows that when women are given an offer and negotiate that offer, or when they are paid a certain amount and they want to negotiate their salary, people tend to want to work with them less.

"Women are expected to be relational and when they say, 'I think my value is X,' people might say, 'Hmmm, why are they asking? I don't feel so comfortable with that,' and it usually causes social backlash," said Budson.

Whether or not Abramson faced some backlash for confronting her superiors over her compensation and whether that contributed in even the slightest way to her firing, we'll probably never know but, said Budson, it "fits the pattern."

Read about Abramson's commencement address Monday

Jena Abernathy, a senior partner at the executive search firm, Witt/Kieffer, said there is a double standard when it comes to how men and women sit down and discussion compensation.

She said the best advice for women is to keep track of their successes and then find the right way to make their case.

"Being able to sit down at the right time, at the right moment, to say ... 'How can we close this gap? What do we need to do?'

"You need to do it in a way that's not threatening," said Abernathy. "There is an art to this."

OPINION: Was Jill Abramson fired because she is a woman?

What do you think it will take to eliminate the gender pay gap? Chime in in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

Boston has pledged to become the first city to eliminate the gender pay gap

@highlight

At White House regional summit in Boston Monday, the city will tout plans

@highlight

So far, some 50 companies in Boston have signed a compact, committing to close the gap