(CNN) -- Let's be clear: An agreement that would put Syria's chemical weapons under U.N. lock and key is not a solution. It is a partial measure that could help U.S. officials avoid the uncomfortable task of having to authorize military strikes in the face of clear public opposition and save the Syrian people from further gas attacks.

That is, of course, if it works. And that is a big if. As history has shown, previous cease-fire agreements under U.N. leadership have failed to gain the compliance of Bashar al-Assad.

More to the point is that confronting the scourge of the humanitarian disaster consuming Syria and threatening neighbors is not dependent on removing access to chemical weapons. More than 200,000 people have been counted as killed, more than 6 million have been displaced and millions of Syrians are facing starvation and death by common disease. These casualties are not the result of chemical attacks. They are the result of a protracted civil war in which the Assad regime carries the disproportionate blame for atrocities.

But let's also be clear about what is at stake now. After two years of military stalemate, a diplomatic breakthrough involving key protagonists in Syria's war would be no insignificant feat.

Russia, which has long given al-Assad cover from international censure, agreed to the diplomatic proposal publicly floated by U.S. Secretary of State John Kerry in London. China has registered its acquiescence. France drafted a resolution listing tough parameters for a disarmament deal, parts of which were rejected by Russia, which submitted a counterdraft.

All eyes turn to Geneva talks on Syria

That negotiations are taking place at the U.N. Security Council is significant. Although Samantha Power, U.S. ambassador to the United Nations, signaled at a news briefing Tuesday that substantial differences remain between the United States and Russia that could very well end in deadlock, should a resolution be adopted, it will likely reflect the agreement of the Syrian government and Iran -- both of which have a role to play in achieving an eventual resolution.

With Iran backing Syria materially with money, strategic military advice and fighters, observers of Syria have long understood that its participation would be necessary to getting a viable political plan moving. The Iranian Foreign Ministry has voiced its support for the plan.

If Russia and Iran were in agreement with the United States, a diplomatic framework aimed at a de-escalation of the civil war would be in place.

Enforcement opportunities would be increased if such an agreement were adopted in a Security Council resolution. This could in turn usher in an avenue for a broader initiative to de-escalate violence in Syria. In fact, a U.N. weapons inspection team operating in Syria would by its very presence likely bring about a decrease of violence alone.

There are many that are rightly skeptical of the chances of success at the United Nations, but all indications are negotiations between the United States and Russia have been ongoing since President Barack Obama announced his intention to use force against the Syrian government.

These negotiations should be allowed to bear fruit without unnecessary posturing that could scare off the Russians.

Insisting on language that al-Assad should go is not worth the risk of losing this opportunity. Al-Assad's legitimacy has been clearly squandered to the point of no return. As the parties are to go to the table for "Geneva II" negotiations, the diplomatic track initiated by Russia and the United States to resolve the conflict politically, discussion will undoubtedly begin from the premise of the need to transition Syria to new leadership.

The Syrian opposition holds this strong card that few can dispute, although the timelines and details of the transition still need to be worked out.

American and European negotiators should also consider whether it is worth fighting for a resolution falling under Chapter VII of the U.N. Charter.

Chapter VII, invoked to authorize international intervention in Iraq, Libya and the Democratic Republic of the Congo, would back up any U.N. deal with enforcement powers, ranging from sanctions to military force. The issue, however, constitutes a contentious point in the negotiations.

It appears clear that by threatening military intervention, Obama was able to advance Syria's conflict toward a potential point of agreement for action. The United States should reserve that right to use force within a particular timeline but without letting it become a stumbling block at the Security Council.

The administration should also continue to make the case to the American people that Syria's suffering didn't start with chemical weapons and will not end in the chance that they are secured or destroyed.

If these negotiations are to be a real opportunity, they must be viewed as a step toward a larger political initiative to achieve conditions for a negotiated transition from civil war to relative stability and eventually the democratic Syria for which so many have sacrificed.

The opinions expressed in this commentary are solely those of Leila Hilal.

@highlight

Leila Hilal: Securing Syria's chemical weapons is a partial measure but could be first step

@highlight

She says it's a "big if," but such an agreement would fuel other efforts to end Syria war

@highlight

Hilal: The ultimate goal of diplomacy is a political settlement that would end the suffering