(CNN) -- This week's congressional battle over the GOP move to repeal President Obama's Affordable Care Act, as well as the NAACP's boos in response to Mitt Romney's proposed elimination of what he called the "nonessential " Obamacare program, provides yet another reminder of how divided America has become over this issue.

Other nations have avoided these rifts and built a consensus for universal health care coverage. Consider the case of Brazil.

Since the early-20th century, the government and civil society have been proactive in establishing health care as a common good, while sharing the burden of paying for these services through a myriad of taxes.

Still, there are several cracks in Brazil's generous health care system.

While the government has certainly been committed to providing a public option, it is simply overstretched. Federal health care spending is minimal at best, failing to meet ongoing needs, while several managerial, human resource and infrastructural problems remain.

Despite these limitations, it seems that there is one key lesson about health care in Brazil that we can learn from: that is, an enduring cultural belief and expectation that everyone should contribute to health care and that it is a fundamental human right.

Brazil's universal healthcare system is called the Sistema Único de Saude (Unified Health System, SUS).

SUS is decentralized, such that the management, formulation and implementation of policies are the responsibility of the state and municipal governments. In addition to providing free primary care, surgery and medication, SUS also provides a Family Health Program, where doctors and nurses visit households to provide services.

Brazil's health care system is funded through a variety of taxes at the federal, state and municipal level. The states receive money from the federal government, while the municipalities receive funding from both the federal and state governments. What's more, the government has always been committed to levying taxes, increasing them and even tapping into the state's oil revenues to fund SUS.

But why has the government been so committed to providing health care?

This endeavor reflects a long history of social and political commitments to providing health care as a government and civic responsibility. After obtaining independence from Portugal in 1822, Brazil saw the emergence of well-organized social movements advocating for government intervention in health care.

Supported by personal income and social security taxes, health officials agreed with these movements that health care was a government responsibility and that everyone should contribute to the system.

This policy idea survived several democratic governments and military dictatorships throughout the 20th century, lasting up through the transition to democracy in 1988. It was also sustained with the help of proactive social health movements, such as the sanitaristas, comprised of medical doctors, bureaucrats and politicians.

This idea of a shared responsibility in providing health care was so popular that it eventually became part of the 1988 constitution. Through the constitution's introduction of SUS, health care became an official government responsibility and human right, an issue on which liberals and conservatives could agree.

Brazil's health care system seems to have paid off.

Brazil's average life expectancy has improved at a faster rate than that of the U.S. since 1960, though it continues to lag behind. Life expectancy there increased from 54.49 years in 1960 to 73.1 in 2010, compared to the U.S. increase of 69.77 years to 78.24.

But several challenges remain.

First, notwithstanding heavy demand for health care services, the government has only modestly increased spending for SUS from 50.2 billion real ($24.6 billion in U.S. dollars) in 2008 to 61.7 billion in 2010.

Second, SUS hospitals and the Family Health Program have often had a difficult time treating individuals in hard to reach areas, such as the Amazonian region while individuals often have to wait a long period of time for prevention and treatment services.

Consequently, many of the poor in need of immediate care have had to purchase private insurance, or pay out of pocket for services. In fact, the percentage of individuals purchasing insurance increased from 8% in 2000 to 14.4% of the population in 2005.

What's more, there is a chronic shortage of doctors and nurses, especially in rural areas. Many hospitals are also poorly managed, lacking autonomy from state governing boards. And finally, there is a high level of inequality in medical technology and infrastructure, with larger, more affluent municipalities able to provide better technological equipment and medical care.

While the U.S. joins Brazil in lacking sufficient health care personnel, especially in rural areas, U.S. cities in general are wealthier and have access to the latest technology and health care infrastructure.

Despite Brazil's ongoing commitment to providing health care, the government will need to ensure adequate funding, hire more personnel and strengthen its facilities before its citizens can effectively benefit from SUS. In short, government "capacity" must meet its unwavering passion for taking care of its people.

Even so, America can certainly learn a big lesson from its southern partner.

That is, Republicans viewing the ACA requirement to buy health insurance as an unfair "tax" versus Democrats perceiving it as a "penalty" should put their haggling aside and instead view the ACA as a shared responsibility and human right.

Indeed the Brazilians show us that the right to health care is way too important to be mired in incessant policy debates, regardless of the innumerable challenges that generous health care systems confront, and that it is a common good that all Americans should support.

The opinions expressed in this commentary are solely those of Eduardo Gomez.

@highlight

U.S. is divided over who should be responsible for paying for health care

@highlight

Eduardo Gomez says Brazil has long considered health care a right

@highlight

He says Brazil's life expectancy has increased at a faster rate than that of the U.S.

@highlight

Gomez: Brazil still lags behind in some areas, including widespread access to medical technology