(CNN)As art, film stills are often overlooked.

The photographers tend to be anonymous; it's easy to imagine their work done by the director or cinematographer. Their images are often lumped in with the promotional machinery: Whether documenting the stars frolicking on set or getting down to business, it's just another form of salesmanship.

Which is why the work of Ernst Haas is so striking.

Haas, one of the 20th century's great photojournalists and image-makers -- an early member of the great Magnum Photos cooperative who was famous enough in his prime to have been the subject of a Museum of Modern Art exhibit in 1962 -- was also a regular on movie sets. It was a necessity in those early days, said John Jacob, the editor of a new book of Haas' movie photography, "Ernst Haas: On Set."

"Working on film sets was really important to Magnum, and all of the photographers working with Magnum in the '50s did films," says Jacob, now the McEvoy Family Curator for Photography at the Smithsonian American Art Museum. Not only did the work pay off financially, but the photographers also established relationships with members of the industry, he said.

And the stars and directors knew what they were getting: some of the best in the field. Photographers such as Haas were entrusted to bring their talent and style to the work.

The photographers "are definitely producing work for posterity, that very much has their own fingerprint on it," Jacob said.

Such distinction is obvious from looking at Haas' work -- some of which is as famous as the movies he worked on.

There's a striking picture of Orson Welles in 1949's "The Third Man," hemmed in by the darkness in a way that suggests the shadowy themes of the classic film. Another, of Gregory Peck and Chuck Connors in 1958's "The Big Country," is as dramatic as any full-scale movie duel. (Westerns were a specialty.)

But Haas also has a way of documenting the artificiality of film work, whether it's capturing the sprawling, workaday set of 1965's "The Greatest Story Ever Told" or snapping a relaxed picture of Barbara Streisand as Dolly Levi in 1969's "Hello, Dolly!"

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The former is particularly interesting: an image of actors splayed on crosses for the crucifixion scene, surrounded by ladders, a camera crane, a painted scrim and several casually dressed crew members.

Jacob observes that in each of Haas' images there's an eye for the unusual. The black-and-white work from "The Greatest Story Ever Told," for example, is almost prayerful, while the color images call attention to the artificiality of film.

And some of Haas' other color images, especially his work for 1961's "West Side Story," fit in neatly with others in his catalog, as Haas was known for an impressionistic blur of hues that Jacob calls "the Haas effect."

Haas died in 1986, and despite being celebrated during his life, his name is somewhat forgotten these days. Jacob hopes that "Ernst Haas: On Set" reminds people just what a master he was.

"A lot of these are familiar images, but you don't necessarily associate them with Haas," he said. "On the other hand, people who know Haas well don't actually know this work, because it was work for hire and wasn't ever put together in this way before."

Ernst Haas was an Austrian photographer who passed away in 1986. He was a member of Magnum Photos.

@highlight

Ernst Haas, a celebrated 20th-century photographer, was a regular on movie sets

@highlight

His work from the industry has been brought together in a new book, "Ernst Haas: On Set"