(CNN) -- In the halcyon days of space exploration, when the USSR was sending the very first satellites into orbit, and Neil Armstrong was about to take his first (small) steps on the moon, NASA's finances accounted for a staggering 4.41% of the US federal budget. In the last two years, that figure has dropped below 0.50% for the first time since 1960, and with the long, slow decline in funding has come an equally steady slide in the US government's appetite for space exploration.

Two years ago, many commentators were proclaiming the end of the space age. The contention seemed hard to dispute: in 2011, NASA's Space Shuttle program was permanently retired when the Atlantis touched down to the Kennedy Space Center in Florida, after completing its final voyage. Around the same time, plans for a U.S.-manned mission to Mars were shelved, and steps were put in place to decommission the International Space Station.

But as governmental funds have dried up, amateur space enthusiasts around the world are reviving humanity's interplanetary dreams through crowd-researched and crowd-funded space projects of their own.

The idea of crowd funding, where a large number of individuals pledge a small amount of cash towards a big project, may not be new, but it has been given a new lease on life through websites such as Kickstarter, which help people with innovative ideas reach a global audience. To date, Kickstarter has helped fund films, video games, electronics and more. Recently though, Kickstarter, and other sites like it, have begun to be used to fund missions to the final frontier.

To date, many of these projects have been relatively modest in scale and ambition, with sorties only as far as Earth's low orbit. But some are attempting to recapture the spirit of President John F. Kennedy's potent 1962 speech: "We choose to go to the moon. We choose to go to the moon in this decade."

The most ambitious and headline grabbing of them all is a new crowd-researched venture to send a manned submarine to Jupiter's ice moon, Europa.

Yes, you read that right. The fledgling mission hopes to take an amphibious vehicle farther than humanity has ever traveled before, to dive deep into the freezing oceans of Europa. At the moment, the project simply aims to connect people around the world to begin researching the mission -- funding for the operation will come much later.

Kristian von Bengtson is the man behind the audacious scheme. von Bengtson has spent the last five years working on crowd-funded rocket projects alongside his business partner Peter Madsen. Their organization, Copenhagen Suborbitals, has grown from a two-man team into a volunteer army of 45 full- and part-time collaborators with an annual crowd-sourced budget of around $400,000.

Europa is regarded as a suitable destination for human exploration due to the commonly held theory that beneath its icy surface lie great oceans of water in liquid form. Scientists suggest that Europa is one of the most likely locations in the Solar System to be capable of hosting extra-terrestrial life. Some have postulated that microbial life akin to that found in Earth's deepest oceans may already exist there. So compelling is this possibility that the European Space Agency is planning a mission to send a robot to Europa in 2022.

For von Bengston though, sending robots into space holds no interest. "If you send a piece of equipment to a part of space then you didn't actually go there ... Robots are stupid mindless machines. They are not curious, they don't come up with ideas or solutions."

von Bengtson's project is not without its critics. In an article on the online tech magazine Motherboard, Fran Bagenal, a professor of astrophysical and planetary sciences at the University of Colorado, says: "What's the point of sending humans? What can they do that robots cannot do better? And robots do not need to breathe, eat, drink, excrete or come back. And robots have better bodies, eyes, hands, noses, ears -- and brains."

von Bengtson's understands the criticism, but says that working towards a manned mission to Jupiter's moon fulfills another critical purpose: to inspire. He says that inspiring people is essential to kickstarting the kinds of discussions he hopes the operation will produce.

"If we had talked about putting a solar panel into the sky, I guarantee we would not have got a dime in crowd funding. You need to have both the human and the pioneering aspect to attract interest."

Away from Operation Europa, von Bengtson and Madsen have aimed to muster this same enthusiasm to build support for their project to send a manned rocket into space. The Danish designer estimates that with the support he has received online, the project could come to fruition by 2020: "we are in a completely different age now," von Bengtson says. "You can reach everybody around the world. With the internet you can share your thoughts and ideas immediately and you can send money around the world. Copenhagen Suborbitals wouldn't be possible if you didn't have the internet. Everybody is able to join forces."

Other projects have found similar success online. Aerospace engineer Zac Manchester hit the fundraising target for his project to launch a hundred micro satellites after just two weeks. His experiment aims to test the communication capacities of small spacecraft, as well as determine how long they can stay in orbit and how well their electronics hold up in the harsh environment of space. The Cornell University graduate is looking forward to seeing his project launch in December.

One of Manchester's former research associates, Michael Johnson, has a similarly ambitious project called Pocket Spacecraft that allows anyone to buy into a mission to send a thousand tiny spacecraft to the moon. Investors will be able to track their small ship, from its design and construction through to launch and onward to the moon.

Johnson says that the project is about "democratizing interplanetary space exploration." He hopes that experiments such as this will help build a new enthusiasm around space research. "We're building new tools," Johnson says, "so that one day every child will be able to send their own spacecraft on a robotic field trip in space."

Talking about his own project to CNN, Manchester said: "I think that crowd funding is enabling new types of missions to be flown - smaller, cheaper, and riskier missions - that may not have been funded under traditional models. It is not going to replace the multi-billion dollar national space programs. Those programs, in fact, did the basic research that has enabled the current crop of crowd-funded space projects, including my own. The kind of sustained long-term research that governments have traditionally funded is still very much needed and I hope that it continues."

von Bengtson agrees, adding that his own work is only possible because of research that has already been done by governmental space programs: "we are standing on the shoulders of, well, everyone," he says.

The work being done by this new breed of innovative crowd-funded and crowd-researched projects allows people around the world to actively get involved in space exploration. von Bengtson and others like him want to inspire not through mounting monolithic projects that are out of reach, but by opening the process up and inviting people to get involved.

"If they want, our donors can come to Denmark and see the test of our rocket engines for free. Many like to do that, but most are just happy to be a part of the project. They find it important, and they find it interesting to follow ... That dialogue is very important."

To get involved in von Bengtson's plan to take a submarine to Jupiter, click here. Or to send your own spacecraft to the moon, click here.

@highlight

Amateur space enthusiasts are mounting spaceflight missions funded by online supporters

@highlight

Copenhagen Suborbitals aims to send a manned rocket into space by 2020

@highlight

Cornell graduate Zac Manchester will launch his crowd-funded micro satellite project in December