(CNN) -- February 26, 2012.

That was the day two strangers -- Trayvon Martin, an unarmed black teenager walking back with Skittles and an iced tea he'd picked up at 7-Eleven, and George Zimmerman, a white Hispanic neighborhood watch volunteer in Sanford, Florida -- met for the first and only time.

It's been nearly a year since Zimmerman shot Martin to death. The incident generated huge outrage across the country for months and led to a wide-ranging conversation about the state of U.S. race relations.

Zimmerman acknowledged shooting Martin but said it was in self-defense. Attorneys for Martin's family have accused Zimmerman of racially profiling Martin and shooting him "in cold blood."

Attention to the case has died down substantially in recent months, and you may have been focused on other things. Here are a few things you might not know about the case, which is scheduled for a June 10 trial.

1. Photos, evidence trickle out, seemingly helping, hurting both sides

From the beginning, Zimmerman insisted he was a victim: Martin attacked him, then they tussled, he said. At one point, the teenager forced Zimmerman to the ground -- his head hitting the pavement -- and he cried out for help. It was then that Zimmerman, saying he had no other choice, shot Martin.

Martin's family members say Zimmerman tracked down and sought out Martin, ignoring a 911 dispatcher's directive, then shot dead the unarmed teen. Unless there's a plea deal, the case is dismissed or there is another unexpected turn of events, the final decision of who is right and wrong will be made by jurors.

What happened the night Trayvon Martin died

When they do, they'll delve into mounds of evidence, key elements of which emerged well after the initial hubbub erupted.

For example, did Martin handle the gun he was ultimately shot with? No, according to test results made public last May, which showed evidence of Zimmerman's hands on the firearm, but not those of the teenager he killed. And an analysis showed that scrapings from underneath the teenager's fingernails did not contain any of Zimmerman's DNA, as may rub off in a prolonged struggle.

Yet Zimmerman has said there was a bloody fight before the shooting, and he's got the pictures to prove it. Those include photos, reportedly taken minutes after the shooting, showing streaks of blood on the back of Zimmerman's head. And in December, a photo posted on Zimmerman's defense web site, one that his lawyers say was taken that same winter night, showed the defendant with blood on his nose and lips.

Read police report

2. George Zimmerman's legal defense fund keeps pulling in cash -- and needs it

As of January 2, the fund had raised $314,099, according to a web site established by Zimmerman's legal team to solicit contributions to help pay for the defense effort. That's up from the $180,000 Zimmerman raised on his own before turning the money over to his lawyer last year.

What's the money been used for? The biggest single expense remains the $95,000 bond to secure his release from jail. The fund has also paid $61,747.54 in living expenses for Zimmerman and his wife, who are now living in an undisclosed rental home, at a price his legal team describes as "reasonable," in Seminole County, Florida. Other expenses include $56,100 for security, a little more than $76,000 in expenses for the law firm and the case, and $3,201 in miscellaneous expenses. Those include Zimmerman's GPS monitoring fees, office supplies and the occasional pizza for interns on the case, who work for free, according to the web site.

And they say they need much more money. Claiming that Zimmerman's team is already operating "on a shoestring budget, relying on individuals who have been willing to work for free or at a substantially reduced rate," a message on the defense fund's web site predicts the total costs of defending Zimmerman will top $1 million. His two top defense attorneys, Mark O'Mara and Don West, have not been paid yet, the web site states.

"The state has virtually unlimited resources to prosecute George," the web site reads. "To finance his defense, however, George relies on the generosity of individuals who believe he is innocent."

3. Zimmerman is not just fighting the prosecution, he's also suing NBC

In December, Zimmerman filed a lawsuit accusing the network of taking his comments to a 911 dispatcher out of context in an effort to sensationalize the case. The lawsuit accuses the network of removing nearly a minute of dialogue and dead air between Zimmerman and the dispatcher to bring comments that Martin appeared to be "up to no good" and "he looks black" closer together. The lawsuit also accuses NBC of falsely claiming Zimmerman used a racial epithet in describing Martin.

The network, Zimmerman's suit claims, used "deceptive and exploitative manipulations" to increase ratings.

The network's airings of the edited recordings in March 2012 contributed to death threats that forced Zimmerman into hiding, the lawsuit says.

The lawsuit alleges that such coverage led to death threats against Zimmerman, who wears a bulletproof vest and was even dismissed from his college because it felt fellow students could be endangered. He also had to move from his neighborhood in Sanford, leading to various unforeseen expenses.

"Due to the defendants' journalistic crimes, Zimmerman has been transformed into one of the most hated men in America," the suit said.

NBC Universal disputes the accusations.

"There was no intent to portray Mr. Zimmerman unfairly," the company said at the time. "We intend to vigorously defend our position in court."

4. 'Stand your ground' law doesn't apply, defendant's lawyers say

The Florida law, passed in 2006, says people who feel threatened don't have to retreat from danger, no matter where they are. And it became a huge point of contention after Zimmerman's arrest, with his supporters saying the incident demonstrated the precise need for the law and critics saying it encourages a "Wild West" or vigilante mentality.

But Zimmerman's lawyers say it doesn't apply to his case, at least not exactly.

"In this particular case, George did not have an ability to retreat because he was on the ground with Trayvon Martin mounting him, striking blows, therefore the Stand Your Ground 'benefit' given by the statute simply does not apply to the facts of George's case: it is traditional self-defense," Zimmerman's attorneys said on the web site detailing his legal case.

But they do intend to ask a judge to apply the immunity provisions of Florida's self-defense law to stave off a trial on the charges.

Unstable ground: The fine line between self-defense and murder

The law says people who use fatal force within the guidelines set out by the law are immune from prosecution.

A hearing on the issue could happen in April, according to the web site.

5. Trayvon Martin would have celebrated his 18th birthday this month

Martin would have turned 18 on February 5.

His supporters marked his birthday with a peace rally in a historically black part of Sanford in central Florida, CNN affiliate WFTV reported.

It was a relatively small affair, about 70 people, compared with the thousands who turned out regularly to support Martin's family and demand Zimmerman's prosecution in the weeks immediately after his death. Those rallies, led oftentimes by civil rights leaders from around the country, helped catapult the case into the national limelight.

Trayvon Martin's parents ready to let jury decide fate of son's killer

Unlike early demonstrations, where supporters issued loud and relentless calls for justice, the Sanford birthday ceremony was more subdued.

This time, supporters wore bracelets reading "Band Together," WFTV reported, and called for healing in the community after the shooting, which divided black and white residents and put the police department in a harsh light for not immediately arresting Zimmerman.

"There's something coming out of this, and that's understanding. Sanford will be a better community for it," said lawyer Natalie Jackson, who was among those representing the Martin family in the spring.

Two people who were front and center at those earlier rallies -- Martin's parents, Sybrina Fulton and Tracy Martin -- were not in Sanford that day. Instead, they quietly and privately marked their late son's birthday in Miami, WFTV said.

@highlight

Trayvon Martin was killed by George Zimmerman one year ago Tuesday

@highlight

Zimmerman says it was self-defense, but he's been charged with murder

@highlight

The case drew national attention, some of it focused on race relations

@highlight

Photos, evidence and a new lawsuit tied to the case have emerged in recent months