London (CNN) -- British lawmakers meeting in emergency session approved a motion Friday to participate in airstrikes against ISIS targets in Iraq.

The 524-43 vote came after Prime Minister David Cameron told Parliament that the country had a "duty to take part" in international efforts to combat the extremist group.

The terror group is an organization of "staggering" brutality, he said, which has already killed one British hostage and threatens the lives of two more.

"This is not a threat on the far side of the world," he said, but one which menaces European nations directly.

In addition to an ISIS-inspired attack on a Jewish museum in Brussels earlier in the year, Europe's security agencies have disrupted six other ISIS-linked plots, he said.

Parliament was recalled by Cameron for the vote on military action in Iraq, which was approved after lengthy debate in the House of Commons and House of Lords. Any proposal to expand the strikes to Syria would require additional action by Parliament, according to the motion.

Cameron said Britain should join international allies in combating ISIS, a campaign that he warned would take years, not months. "The hallmarks will be patience and persistence, not shock and awe," he said.

The government insists such action is legal because Iraq's government has requested international help to tackle the Sunni extremist group, which has overrun vast swathes of Iraq and Syria and massacred religious minorities and Shia Muslims.

Cameron made that point again Friday, saying there was "no question" of the legality of action given the request by Iraq's leaders and the broad international backing for the campaign against ISIS.

Some MPs may be reluctant to back a bombing campaign in Iraq because of doubts over its effectiveness or unhappiness over past UK military intervention in Iraq.

But action has been backed by the governing coalition of the Conservatives and Liberal Democrats, as well as the opposition Labour Party.

Labour leader Ed Miliband told lawmakers the United Kingdom "cannot simply stand by" against the threat of ISIS.

Now that it's been approved, military action could start within hours. UK forces have already been taking part in surveillance missions over Iraq, as well as aiding Kurdish forces with equipment.

'Past mistakes'

Cameron acknowledged that the memory of going to war in Iraq in 2003, when Labour's Tony Blair was Prime Minister, "hangs heavy" over the House of Commons. "This is not 2003, but we must not use past mistakes as an excuse for inaction," he said.

There is "no realistic prospect" of defeating ISIS without military action, he said, and Britain has unique assets that no other coalition partner can offer, including precision missiles and surveillance capabilities.

"It is also our duty to take part," he said. "Protecting the streets of Britain is not a task that we are prepared to entirely subcontract to other air forces of other countries."

Last year, Cameron suffered a painful defeat in the Commons when MPs voted against action in Syria in response to claims the Syrian government had used chemical weapons against its own people.

The motion approved by Parliament on Friday specifically rules out action in Syria unless a separate vote is held. It also rules out the use of UK troops in any possible ground combat operations in Iraq.

Cameron: 'Strong case' for Syria action

Asked about the possibility of a change of approach to Syria, Cameron said the situation there was "more complicated" than in Iraq and that he was not going to change strategy right now.

"ISIS needs to be destroyed in Syria as well as Iraq and we support the action the U.S. and five Arab states have taken in Syria and I do believe there is a strong case for us to do more in Syria," he said. "But I did not want to bring a motion to the house today which there wasn't consensus for."

British Foreign Secretary Philip Hammond told CNN before the vote he was confident the MPs would approve Britain's participation in the Iraq air campaign against ISIS, but "there will be assurances that they want to receive."

On the likelihood of Britain's involvement in Syria, Hammond said that it is not inevitable but that the possibility hasn't been ruled out yet.

The United States and its coalition partners began bombing raids in Syria this week against ISIS targets.

U.S. aircraft had already been carrying out airstrikes against ISIS -- the group also known as ISIL, which calls itself the Islamic State -- in Iraq since last month.

'Haven for terrorism'

Miliband, explaining his support for the motion, said that ISIS' ambition to create an Islamist state risks destabilizing the region and make it more likely that Iraq would become "a haven and training ground for terrorism" directed at the UK.

He said some in the House of Commons may be wondering if this is a repeat of what happened in the run-up to the 2003 war in Iraq. "In my view, it is not," he said, arguing the circumstances now are "demonstrably different."

On Syria, Miliband differed from Cameron's view, saying that he would want to see U.N. authorization for action there before Britain stepped in.

Former Defense Secretary Liam Fox, a Conservative, said he believed there was a legal basis for action against ISIS in Syria and that it should have been up for debate too.

"Sooner or later we are going to have to do it. It would have been far better if we had said so today," he said.

Deputy Prime Minister Nick Clegg, the leader of the Liberal Democrats, said earlier this week that his party would support the air campaign in Iraq because it is legal and has been requested by the Iraqi government.

Also, he said, "It's part of a much bigger coalition, a whole array of countries, crucially including a number of Arab countries which deprives ISIL of the ability to somehow portray it as a 'West vs. the rest' crusade."

Hostage plea

ISIS beheaded a British hostage, aid worker David Haines, earlier this month and continues to hold another British hostage, aid worker Alan Henning. The group has also released videos of the beheading of two U.S. journalists, James Foley and Steven Sotloff.

Haines' daughter, Bethany Haines, said that she would support airstrikes against ISIS.

"(ISIS) need eradicating, they can't continue this way," she said. "They can't be doing this to people and getting away with it, no matter what nationality, if they're Western or not. Hundreds of Syrians have been killed by them, and they need to be stopped. And, if air strikes or ground force, or anything, is what it takes, that's what it takes."

Muslim leaders around the world have called for Henning's release.

They include Shaykh Haitham Al Haddad, a judge on the Shariah Council in London, who has said that "whatever your grievance with American or British foreign policy, executing this man is not the answer."

ISIS has been ramping up its threats against the United States and the West.

This summer, the group declared the establishment of a "caliphate," an Islamic state stretching across the territory it has conquered.

CNN's Isa Soares and Radina Gigova contributed to this report.

@highlight

NEW: Parliament overwhelmingly backs UK airstrikes on ISIS targets in Iraq

@highlight

Prime Minister David Cameron says a military campaign against ISIS in Iraq is legal

@highlight

"The hallmarks will be patience and persistence, not shock and awe," he says

@highlight

The motion approved by Parliament ruled out troops on ground in Iraq, action in Syria