(CNN) -- Several years ago, when my husband and I went to collect our newly adopted cat after surgery, the vet receptionist picked up the phone and languidly informed whoever was at the other end: "Minou's mommy and daddy are here to pick her up."

Wow. Apparently I had a baby. A furry one, currently stapled together with a cone on its head.

There are various types of pet owners. At one end of the spectrum is the "no nonsense" variety who believe the lines between beast and human are far too often blurred. At the other extreme are those whose pet is categorically their baby. And then there's everyone in between.

For many, consciously or otherwise, a pet is a practice child, a step up in responsibility between none and a lot. Something to love and take care of, but that you can leave alone when you go out for dinner without fear that it will die. This is perhaps why so frequently the horse (dog, cat, or chinchilla) comes before the (baby) carriage.

But what happens to your "pet baby" when it comes time for a real human child to join your family?

Our baby is due in July, and despite my occasional fantasies that the cat won't notice, I know that in reality she will, and I don't think she will like it. The cat sleeps in our bed, commands attention whenever she desires, and doesn't have to share her living space with anything of a remotely similar size.

Dr. Heather Thomson, from Manhattan's West Village Vet, says that more than 50% of the practice's clients who have a new baby find their pets are stressed, nervous and upset by it.

No wonder. When a pet is used to being the baby, it can be disconcerting to suddenly have to compete with what appears to be a tiny, yelling object vying for the spotlight.

"They were our kids," says Caroline Krediet of dogs Hector and Lemon prior to their baby's arrival. "We arranged weekend outings around them, indulged them. Put their needs first at all times, almost."

The same was true for Lauren Crandall before her son came along. "It was all about E.G., all the time," she says of their rescue Havanese, "He was a first thought always."

However you see your pet -- baby, miscellaneous family member, friend, possession, colleague, animated stuffed animal -- chances are that it thinks of itself as the creamy filling to your Oreo and won't enjoy being usurped by a screaming upstart.

"The dynamic changes," Thomson explains, "and the pet realizes it's no longer the center of the universe."

No matter how you slice it, babies -- especially newborns -- demand a huge amount of time, attention and energy, often leaving a deficit for your furry friend.

"I think E.G. was depressed for a while," says Crandall, "The first four months were the hardest. He wasn't getting out as much as he used to and wasn't getting the same amount of attention during the day. I felt really badly for him."

Problems adapting to your bundle of joy can range in pets from mild to severe.

"A cat can withdraw, stop eating, develop a medical problem, deviate from normal cat habits -- urinate or defecate outside of box, become destructive, anorexic, aggressive," says cat therapist Carole Wilbourn, adding that a very anxious cat could even attack the baby or other family members.

Thomson says dogs can also become more aggressive, often in a misguided attempt to protect the baby.

Our cat is fairly neurotic -- a kind of cat version of, perhaps, Woody Allen -- and is not a huge fan of any kind of change, no matter how minute. Thus our goal has been to arm ourselves with as much information as possible on smoothing the transition at home from pet palace to nursery. We hope this will help us avoid a kitty mental breakdown.

There's a lot of advice out there for pet owners with similar concerns.

Thomson says bringing a used baby blanket home from the hospital prior to the baby's arrival can help your pet become accustomed to the scent. She says some pet owners have also used plug-in pheromone diffusers, which can help to calm animals during the period of transition.

Wilbourn suggests a multifaceted approach with cats, including a lot of feeding, petting, name-crooning and general attention around the time that cat and baby meet.

She also recommends desensitizing the (poor) cat by playing a recording of a baby crying, and perhaps having a friend's child come over to play so the cat gets used to kids, and presumably is then less prone to a full blown freakout when sticky hands grab its tail. She details more approaches in her book, "The Complete Guide to Understanding and Caring for Your Cat."

Krediet said when they bought their daughter home from the hospital, they let the dogs sniff her feet and get to know her, making sure never to leave them with her unsupervised.

Crandall, meanwhile, sums up their approach as "NDLB" (no dog left behind). "We call him our firstborn son and he is the baby's brother," she says, "We try really hard to make him feel special and not that he has been sidelined."

But in case you were wondering if the upshot of all of this is a Disneyesque house of harmony where pet and baby frolic and snuggle in happy unison, you may be asking too much.

While mini-Crandall is becoming increasingly fascinated by the furry creature sharing his home, Crandall says dog E.G. -- while tolerant -- does not return the interest level. "He sniffs him and then goes about his business."

Lack of interest, however, is still one of the better outcomes. Some pets never come around to the change in circumstances. Wilbourn says it can be a good idea to arrange a "worst-case scenario," alternative home for your pet, in case all else fails.

But there are some happy endings. Wilbourn describes one cat who, after an initial show of aggressive behavior, became devoted to the new baby and now acts as a kind of "cat nanny," standing guard over its little friend, maybe wearing a pinafore (that part possibly is just in my imagination).

And according to Krediet, Hector and Lemon's affections have increased exponentially along with the baby's propensity to drop food on the floor. Hector now even lets her ride on his back.

"I think they adapted to the situation the same way we adapted our lives, going from crazy, freedom-loving 20s into responsible married 30s," she says, "I think they've enjoyed parenthood, too."

Have you struggled to get your pet used to a new baby? Share your story in the comments section below.

@highlight

When a pet is used to being babied, a new human baby can upset the household balance

@highlight

Katie Walmsley is concerned her cat Minou will react badly when her baby is born

@highlight

Veterinarians recommend slowly acclimating your pet to the possibility a child is coming

@highlight

The transition isn't always smooth, but careful planning and preparation can pay off