(CNN) -- Members of Mexico's security forces were involved in the forced disappearances of more than 140 people during the country's offensive against drug cartels, a human rights group says.

A report published Thursday by Human Rights Watch paints a dim portrait of Mexican military and police forces, which the group says sometimes acted in conjunction with organized crime.

Vanishing victims: The 'open wounds' of Mexico's drug war

Of the nearly 250 specific cases of forced disappearances that the human rights group reviewed from 2006 to 2012, security forces are implicated in at least 149, the report said.

An accounting of the country's war against drug gangs -- put into high gear by former President Felipe Calderon and inherited by President Enrique Pena Nieto -- reveals "disastrous results," the human rights organization concluded.

"President Pena Nieto has inherited one of worst crises of disappearances in the history of Latin America," Jose Miguel Vivanco, the organization's Americas director, said in a statement.

Mexican Mother's Day march spotlights search for missing

The report focused on Calderon's time in office, and argues that his single-mindedness in fighting the powerful drug cartels led to an increase in human rights violations by officials.

And the specific cases of forced disappearances the group investigated are just the tip of the iceberg, it said.

In the northern state of Coahuila alone, officials reported nearly 2,000 disappearances between 2006 and 2012.

Calderon wasn't the first to use the military to aid police in the fight against the drug cartels, but he ramped up the offensive and made it a centerpiece of his administration when he assumed office in 2006.

At the time, drug violence was spiraling out of control in some parts of the country, and there were fears the government was losing authority to the criminal groups as they branched out from smuggling into other organized crime.

A number of the country's most wanted drug traffickers were arrested or killed during Calderon's administration, but the overall level of violence continued to rise, peaking in 2011.

Read more: Misconceptions about Mexico

Statistics indicate that violence may be declining. In 2012, there were 20,568 homicides across the country, an 8.5% decrease from 2011.

But the number of critics of Calderon's offensive continue to swell.

During his tenure, more than 47,500 drug-related deaths were reported before the government stopped releasing updated figures in early 2012. Human Rights Watch estimates the figure to be more than 60,000 deaths.

The organization first investigated the issue of rampant human rights violations by the military -- including forced disappearances -- in a 2011 report.

Thursday's report says the dozens of cases reviewed show that all of Mexico's security forces -- the army, navy and police forces at the federal, state and local levels -- are connected to forced disappearances.

Read more: Why is Mexico drug war being ignored?

The report is especially a black eye for Mexico's navy, which is responsible for bringing down some of the top drug lords and is considered the most incorruptible of the military branches.

But a concentration of disappearances using the same tactics, around the same time period, and in the same area, indicate the navy may have had a plan to commit abductions, the report claims. There is evidence that more than 20 people in Coahuila were arbitrarily detained by navy personnel in a two-month span and never heard from again, the report says.

"The common modus operandi in these cases suggests that these crimes may have been planned and coordinated, or at the very least could not have taken place without the knowledge of high-ranking navy officials," the report states.

Blame also falls on Mexican prosecutors, who do poor jobs of investigating disappearances, often times mishandling evidence or not following up simple leads, the report says.

Read more: Mexico's invisible women

Military officials did not immediately comment on the report, but in the past have said that it keeps in constant contact with Mexico's National Commission on Human Rights, and that less than 2% of complaints have resulted in action by the commission.

Human Rights Watch challenged the Pena Nieto administration to bring those responsible for the abuses to justice.

The organization also highlighted the success of the state of Nuevo Leon, where the government has partnered with victims' groups to fully investigate such disappearances.

"At first, both sides were distrustful," the report states. "However, when prosecutors -- motivated by families to investigate and held accountable when they did not -- began to genuinely look into the crimes, they gradually began to win back the trust of the victims' relatives. And families, in turn, began to collaborate more openly with prosecutors."

@highlight

A new Human Rights Watch report criticizes Mexican security forces

@highlight

The security forces are responsible for a number of forced disappearances, the report says

@highlight

Even Mexico's respected navy is rebuked

@highlight

The study cites a bright spot in the state of Nuevo Leon