Cairo (CNN)Everyone is on a mission to make up for lost time.

At Baher Mohamed's home in Cairo, the Al Jazeera English journalist tries to get closer to his baby Haron, born while he was in prison.

"A few days ago I managed to make him smile," Mohamed told CNN. "That's great progress. I missed six months of his life and I can't get those back."

His two other kids, Hazem, 5, and Fayrouz, 4, won't leave his side. For the 411 days he spent behind bars, they were told their father was at work.

"I told them every time they came to visit that I'm at work, I'm staying at work. They were still too young to live and to know about prison."

Mohamed now spends most of his time at home, tiptoeing away when he occasionally leaves so his children don't cry. And throughout the day he checks on Gatsby, his fur-heavy Caucasian Shepherd dog, that was shot by police who arrested Mohamed in December 2013.

Mohamed was arrested with colleagues Mohamed Fahmy and Peter Greste. They were brought to trial with 17 others on charges of belonging to a terrorist organization -- the Muslim Brotherhood -- threatening Egypt's national security and airing false news, among others.

Eleven were tried in absentia. Not all were journalists, nor had a clear connection to Al Jazeera English.

The Cairo Criminal Court found them guilty in June 2014. Fahmy and Greste were sentenced to seven years in prison. Mohamed was sentenced to 10, receiving an extra three years for charges of possession of ammunition, a bullet he collected from the field while reporting in Libya.

Mohamed broke down when he was taken from court that day. "I was terrified for my wife, because my wife was pregnant at that time. And I felt sorry for my children, because if I spent 10 years in prison, then I will go out of prison and then they will be 10 years older. They will be teenagers. And I will miss all that time."

On January 1, the Court of Cassation, which represents the final stage of criminal appeals, sent the case for retrial, explaining in documents released to the official news agency that the original verdict failed to provide reasoning for the conviction.

The court said there was insufficient evidence for charges of belonging to an illegal organization -- a reference to the Muslim Brotherhood -- how the defendants joined the group, or their knowledge of its objectives which allegedly included terrorism.

Evidence and details for other charges such as possessing unlicensed broadcast equipment and receiving support from the Brotherhood were also lacking, the court said. It criticized the Criminal Court's handling of testimonies, search and arrest warrants, as well as confessions that defense lawyers claimed were made under duress.

A month later, Greste became the first man to benefit from a new law issued last November allowing the president to deport foreigners held in Egypt. He arrived in his Australian home city of Brisbane days later.

Fahmy, an Egyptian-Canadian citizen, gave up his Egyptian nationality in the hope of benefiting from the same law. He remained behind bars, though, and was only granted bail -- along with Mohamed -- on February 12.

He told the court that day that he gave up his nationality reluctantly, and only after several high-ranking officials convinced him to do so. They told him "nationality is not a piece of paper but it is in the heart. You can visit Egypt as a tourist and apply for citizenship again at the state council."

A new judge released all defendants pending a retrial. Fahmy was singled out to pay 250,000 Egyptian pounds (roughly $33,000) bail, because as a foreigner he had no official residence in Egypt.

Being a foreigner brought difficulties. His plans to get married to his fiancee Marwa Omara were complicated by the fact that instead of seeking a cleric to officiate at the wedding, the couple now has to go through a bureaucratic process involving the foreign and justice ministries.

But the couple said that despite the trauma of Fahmy's imprisonment, the experience brought them closer.

"Marwa is my hero. She was getting me all the news in prison and she was engaging with the lawyers and the media. She was basically my voice outside," Fahmy said.

Sitting next to him, Omara said prison made him see life in a new light. "He became a stronger person. He became much stronger. More emotional. More romantic than before."

Along with Mohamed, Fahmy spent the first few weeks of his detention in the maximum-security Scorpion prison in solitary confinement. A combination of sleeping on the floor and not getting the medical attention he needed at the time exacerbated a shoulder injury, limiting his arm's mobility.

This is among many things that keep him angry.

"I'm furious, I get tantrums at night. I get angry. I used to get these tantrums in the cell," he said. "The campaign and the support across that globe is great, but that's not what's going to get me out of prison. What is going to get me out of prison is a combination of a good lawyer, diplomatic engagement on the highest levels from Canada and Al Jazeera senior management."

Capitalizing on a months-long, worldwide campaign -- #FreeAJStaff" -- by Al Jazeera, another campaign is urging the Canadian prime minister to push for Fahmy's extradition from Egypt.  Meanwhile, Fahmy has been more vocal in his criticism of his employer, accusing Al Jazeera management of negligence.

One of many ongoing disagreements between the two sides is the legal representation. From the onset, Fahmy refused to work with Al Jazeera lawyers because he didn't think they were experienced enough. He hired a different attorney, whom, he claimed, Al Jazeera refused to pay.

Al Jazeera said it paid for his lawyer and his bail and has learned the lessons from the first trial, by hiring the lawyers that won the retrial at the Court of Cassation.

"We did everything possible to secure his release and to avoid it happening in the first place. Every aspect of our response to the extreme incitement we've faced in Egypt since 2013 can be scrutinized in hindsight, and we've said in the past that lessons have been learned," the network said in a statement to CNN.

The trial continues amid a backdrop of ongoing tension between Egypt and Qatar -- the small Middle Eastern country that finances Al Jazeera -- and increasing restrictions on freedoms in Egypt.

A Cairo court had banned one of Al Jazeera's Arabic channels in 2013 citing a threat to national security. The channel was believed to be a threat to Egypt by supporting the outlawed Muslim Brotherhood.

The network contested another verdict in 2014 that banned Mubasher Masr from using the Egyptian satellite Nilesat. It eventually shut down the controversial channel in December 2014 during short-lived improvement in Egyptian-Qatari relations.

In addition to accusations of politicization, the trial is also emblematic of the general environment in Egypt, where thousands have been imprisoned in a crackdown on dissent. Rights groups accuse the judiciary of rubberstamping police and prosecution charges rather than providing fair trials, resulting in mass sentences.

Nagy Shehata, the judge that issued the first conviction against AJE journalists, has recently sentenced 183 people to death and 230 to life in prison in two other separate trials.

"They arrested us, not only me, I think to intimidate other journalists, to scare other journalists," said Mohamed, adding that the lack of evidence in court and disputes over legal representation are irrelevant in a case that is principally about press freedom.

Mohamed says it is a battle he is willing to sacrifice everything for, emboldened by the solidarity of colleagues.

Quoting an exchange of messages between him and jailed Egyptian photojournalist Mahmoud Abu Zeid Shawkan, he said: "When there is one journalist behind bars, all journalists all over the world stand together just to free him. It's not about news organizations or networks, no. It's about us, it's about freedom of speech. This is what we stand for."

Shawkan has been held without charge since August 2013. At least eight other journalists remain behind bars, according to the Committee to Protect Journalists.

On March 8, all defendants will return to court for the next hearing of their retrial. In the meantime, they enjoy the "mundane things in life," which for Fahmy means having dinner with his fiancee, or talking with his mother with "no police cop watching you 24 hours a day."

Mohamed is enjoying being behind the wheel of his car -- and simply being outside. "I saw the colors of the skies and this blue and purple and red. This color and this view made me feel this is freedom. It was the first time to see the sunrise in 411 days."

@highlight

Al Jazeera English journalist Baher Mohamed released on bail from prison in Egypt

@highlight

Mohamed sentenced to 10 years for belonging to terrorist group, Muslim Brotherhood

@highlight

He vows to clear his name: "They arrested us, not only me, I think to intimidate other journalists, to scare other journalists"