(CNN) -- Three decades ago Chinese leaders unleashed a series of economic reforms that helped lift millions of people out of poverty and transform the Asian country into an industrial powerhouse with a mighty foreign reserve arsenal.

The transition, however, was far from smooth.

"Particularly the first 10 years, it was really tough and hard," explains Zhong Jianhua, China's special representative on African Affairs. "So many businesses, factories, go (into) bankruptcy, millions of workers were being redundant or unemployed."

Before becoming today's economic behemoth, China was mainly an agricultural economy that boasted huge reserves of natural resources -- quite similar to many parts of Africa. So are there any lessons that African countries can learn from China as they bid to boost their economies and achieve their development goals?

According to Zhong, long-term economic success doesn't come without short-term cost, and that is the message he is keen to get across to African leaders.

"When we introduce our experience to African countries, on one side we need to say what you should do and need to do, and probably on the other side we should emphasize what you could expect."

CNN's Robyn Curnow spoke to Zhong about trade, investment and what lessons can Africa learn from China's rise to a superpower.

An edited version of the interview follows.

CNN: What can China teach Africa?

Zhong Jianhua: I can tell you a lot of things about what happened in China, what we have learned and what we experienced. Personally I think that probably for the last few years when we try to impress people that we are successful with this open reform policy, we emphasize too much on what we have achieved.

Obama's goal in Africa: Counter China

This is good because you need to prove you are successful but I think a little bit thing that's being ignored is how much we've paid for that. And if you are ignoring the price you pay for this kind of success, and particularly for African countries, if they understood that 'you Chinese have some tricks, teach me the trick and then I will be as rich as you are' and then we, particularly myself, look back and say "Geez, these 30 years how did we experience that?"

Particularly the first 10 years it was really tough and hard; so many businesses, factories, go (into) bankruptcy, millions of workers were being redundant or unemployed. So probably when we introduce our experience to African countries, on one side we need to say what you should do and need to do, and probably on the other side we should emphasize what you could expect.

CNN: Do you think African leaders are ready, willing and able to make those sacrifices?

ZJ: I will not answer on their behalf; I would rather let them to answer that. But what we can contribute is to share what we have experienced.

This could possibly happen anywhere if you want to have a reform. I think African countries, if they want to reform the structure of the economy, want to come forward and to become developed, this kind of challenge probably will come to them sooner or later.

Read this: Can China transform Africa?

CNN: China in many ways is part of this reform in Africa, a relationship that is becoming more criticized. Nigeria's Central Bank governor wrote, for example, recently that China's relationship with Africa whiffs of colonialism.

ZJ: I fully understand him. I think he has the reason to be anxious, sometimes be angry. But I say that don't jump to the conclusion so easily. Colonialism is a heavy word; when I think about colonialism I think about the six cents a barrel of oil being exported from this continent, leaving this continent with only poverty.

But now what's happening is changing this whole continent. Because with the commodity trade with the world, it can generate its own development and foundation for infrastructure. This is the change, it's happening.

Read this: Obama 'plays catch up' in Africa

But I really admire the governor for his courage to say in his article that "we need to compete with China." This is something I see as a very bright point in his article because I think eventually African people should be confident enough to stand up, to compete with any country of the world. Without that kind of competition Africa can never develop itself and I always say that there is no loser in this competition; everyone benefits from this kind of competition because this competition means development.

I think the same thing will happen in Africa. I'm glad to see that; our opportunity is to help them to compete with us, to help them win this competition. That's the future; it's called a win-win situation.

CNN: So what does China want from Africa?

ZJ: We want a more prosperous world; without that China cannot develop itself. What the more prosperous world means is to lift this continent out of poverty. Repeat what happened in China; [a] repeat [of] what happened in China benefits Africa, and China itself will also benefit from that.

@highlight

Zhong Jianhua is China's special representative on African Affairs

@highlight

Africa will have to face short-term pain for long-term economic gain, he says

@highlight

Zhong says lifting Africa out of poverty will help China develop itself