(CNN) -- Two years ago next week, Superstorm Sandy barreled through parts of the United States, causing $65 billion worth of damage to communities up and down the Eastern seaboard. Sandy, which brought extensive flooding to New York and Atlantic City, was described by many as a once in a generation storm.

But in the coming years, thanks to global warming, it won't take superstorms like Sandy to bring regular and potentially dangerous flooding to parts of the United States.

Tidal flooding used to be a relatively rare occurrence along the East Coast and the Gulf of Mexico, generally happening only occasionally at high tide or king tide, when the sun and the moon are aligned. But based on what scientists already know about climate change, it is clear that sea levels are going to rise over the next few decades. Coastal flooding is expected to occur even more often and cause more disruption. This will redefine how and where coastal residents live, work, and go about their daily routines.

High tides are having a greater impact now for two reasons. First, our coasts are more heavily developed, so higher tides affect more people and infrastructure. Second, these tides are now occurring along with elevated -- and rising -- sea levels.

Global sea levels rose approximately 8 inches from 1880 to 2009 as global warming hastened land-based ice melt, and seawater expanded as it absorbed heat from a warming atmosphere. Sea level rise worldwide is now accelerating, and at an especially fast rate along parts of the East Coast.

This reality is captured in a report we co-authored earlier this month, analyzing how often flooding occurs at 52 sites along the Eastern seaboard and the Gulf of Mexico and estimating the frequency and extent of flooding over the next 15 and 30 years. We found that many East Coast communities now experience dozens of tidal floods every year. In some places, there has been a fourfold increase in the number of days per year with tidal flooding since 1970.

When tidal floods occur, water can cover roads for hours, making passage risky or even impossible, trapping residents in their homes. Sometimes this is just a short-lived nuisance, requiring traffic detours. But sometimes floods can compromise evacuation routes -- a particular problem when public safety and commerce in some coastal communities, such as those that dot the Outer Banks in North Carolina, depend on just one or two access routes.

So what can we do?

In the short term, municipalities, counties and states have to clear flooded coastal roads and repair damage from erosion and overwash. But over the long term, "in many cases, they are going to have to raise the roads on their existing path," according to Steve Miller at the Great Bay National Estuarine Research Reserve in New Hampshire. "Money is a big question."

Retail stores, restaurants and public infrastructure clustered in low-lying waterfront areas are also threatened by tidal flooding.

South Florida has been particularly hard-hit. Tidal flooding "has really affected our business," noted Bobby Thakore, owner of the Taste Bakery CafÃ© on Alton Road in Miami Beach and one of the many people we spoke with when compiling our report. "We are down 15 percent on revenue during flooding, and in the past year construction [to address flooding] mixed with the flooding and has made our revenue loss worse."

Using a midrange estimate for future sea level rise, we found that more than half of the 52 communities we analyzed can expect to average more than two dozen tidal floods per year by 2030. The rise in the frequency of tidal flooding represents an extremely steep increase for some, and two-thirds could experience at least three times more high-tide floods every year.

We expect the Mid-Atlantic coast to see some of the biggest increases in flood frequency. Because many communities are already coping with tidal floods, a tripling in their frequency would mean they could occur more than four times a month by 2030. Annapolis, Maryland, and Washington, D.C., for example, can expect to average more than 150 tidal floods a year, and several New Jersey locations could suffer 80 tidal floods or more annually.

By 2045, many coastal communities likely will experience a sea level rise of about a foot. As that occurs, a third of the 52 locations in our analysis would begin to average more than 180 tidal floods a year. And nine locations, including Atlantic City and Cape May in New Jersey, can expect tidal floods 240 times or more per year.

Without sensible preparation, daily life in low-lying areas along the East and Gulf coasts will become at best risky and at worst dangerous. Coastal communities -- and state and federal agencies -- have to start planning today to cope with unprecedented tidal flooding and take precautions to limit longer-term damage.

Communities need to flood-proof homes, neighborhoods and sewer and stormwater infrastructure and limit new development in flood-prone areas. Federal and state governments, meanwhile, need to monitor sea level rise and flooding, provide funding and other resources for local resilience-building efforts, reform flood insurance programs, and -- most importantly -- address the root of the problem.

Sadly, the reality is that the near-term increase in sea level and tidal flooding may be unavoidable. But if states and the federal governments take concerted action to dramatically reduce carbon emissions, then we can at least avoid the worst consequences of global warming.

@highlight

Global sea levels rose about 8 inches from 1880 to 2009, says science group

@highlight

Melanie Fitzpatrick, Erika Spanger-Siegfried: It's accelerating along East Coast

@highlight

By 2045, nine locations can expect tidal floods 240 times or more per year, they write