(CNN) -- Yes, trying to lift 5,000 pounds of cargo to orbit is rocket science -- and it's very hard. Early Tuesday evening, an Antares rocket, built by Orbital Sciences Corp., and its Cygnus cargo ship exploded almost immediately after launch. Yet as disappointing as this incident is, it should not be treated as a sign that NASA's partnerships with the private sector are flawed.

This was a technical error, and it should be treated as one.

After all, this was only the fifth launch of an Antares rocket, and there is a higher risk of explosion with relatively new rockets than there is with those that have been used for many years, where the bugs have been worked out earlier, often through failures. Antares, as one of several new rockets being commercially developed, signals a new, important way of doing business in space that must be given the chance to mature.

Since the 1950s, rocketry has been the purview of the federal government. Only through what may eventually be seen as fortuitous poor planning -- building an International Space Station and then canceling the shuttle transportation program originally intended as the taxi to said station -- has the private sector really stepped in, albeit with an anchor tenant.

"Fix lift," meaning bringing down cost-per-pound to orbit and being able to launch on demand (or at least close to it) has been the No. 1 recommendation in the spate of space studies that have littered Washington since the 1980s.

Working with the private sector is nothing new. Indeed, development of a product, sector or even geographic region -- which has been most successful when the government invests seed money and then turns development over to the private sector -- has been going on for decades.

Back in 1925, the Air Mail Act, under which companies were paid for transporting the mail, provided the private sector an incentive to develop commercial airplanes. In addition, government forts and soldiers provided protection so the railways could be built and the West developed. Yet until recently, space has been anomalous in its development, remaining tied to government funding, bureaucracy and politics, and consequently stifling incentive and entrepreneurship.

That has been changing.

Orbital Sciences is one of two companies hired to take cargo to the ISS after the shuttle fleet was retired. The other is Space Exploration Technologies, or SpaceX. Both companies developed rockets to carry out that task. Tuesday's ill-fated flight was to be Orbital's third in a series of eight flights under a $1.9 billion contract with NASA. The first two were successful. SpaceX will fly its next contracted flight in December.

Hiring private companies to provide launch services is a new way of doing business for NASA, one that should be encouraged and continued.

It is the way of the future in space given that NASA budget's has not kept up with external and self-imposed programmatic expectations since the Apollo years. If low Earth orbit launches can be taken care of by the private sector, government funding to NASA can be used in pursuit of more ambitious goals, including human spaceflight. Meanwhile, low Earth orbit launches by private companies will become routine, although we're not there yet.

After the Antares explosion, Orbital Sciences stock reportedly fell about 15% in after- hours trading. But while investor concern is understandable to a degree, it also reflects the public's view -- and so investors' view -- of space travel as routine. The reliability figures for old standby rockets makes it seem that way, but new products have bugs to be worked out. Problems are expected and (barely) tolerated in day-to-day technology, but apparently not in rockets.

Luckily, there were no injuries from exploding rocket debris, though there was damage on the ground that will need repairing. And the loss of the Antares cargo posed no danger to the crew of the International Space Station where it was headed. There was nothing critical on board, and an unmanned Russian Progress spacecraft successfully launched shortly after the Antares failure, carrying almost three tons of food, fuel and crew supplies.

Teams at NASA and Orbital Sciences are already busily at work determining the cause of the failure. In the meantime, a little show of support for American entrepreneurship seems in order. Because when they find the cause of the failure, they will fix it and move forward.

@highlight

Antares rocket explosion a technical error, writes Joan Johnson-Freese

@highlight

Risk of explosion is higher with relatively new rockets like these, she says

@highlight

Hiring private firms to provide launch services is new for NASA, she adds