(CNN) -- Jeremy Poincenot can no longer read, drive a car or even recognize faces.

But the 20-year-old, who lost his central vision two years ago, can successfully hit a small white ball into a slightly larger hole from considerable distance.

Chipping from off the green at a tournament in August, the American won a nerve-wracking playoff to officially become the world's best blind golfer.

Poincenot, a college student from San Diego, has an extremely rare disease called Leber's hereditary optic neuropathy (LHON). And not long ago, he feared he'd never play golf again.

He woke up the day before Thanksgiving in 2008 to notice his formerly perfect vision was a little blurry. A routine trip to the optometrist to pick up a pair of glasses ended up with him being diagnosed with a suspected brain tumor.

The subsequent holidays were spent having an MRI scan, a spinal tap and then a catheter placed in his jugular as doctors struggled to diagnose the cause of his vanishing sight.

It wasn't until his mother discovered it on the Internet that Jeremy was successfully diagnosed with LHON -- a hereditary disease with no treatment and no cure that only affects one in 50,000 people.

Lissa Poincenot has since set up the website LHON.org to support fellow sufferers and their families, and to help raise funds for the USC Doheny Eye Institute, where Dr. Alfredo Sadun is researching a cure.

Faced with the onset of blindness, Jeremy admits he slipped into depression for a couple of months until one afternoon he was jerked back into action.

"I saw this guy who had just lost his wife and baby daughter when a plane crashed down on his house," he told CNN.

"The guy was in a press conference crying, saying 'If anybody knows how to handle something this tragic, please tell me.' I just thought, 'Hey if this guy can make it through this then I can survive having no central vision.' That became my motto: 'Things could be worse.'"

So six months after losing his sight, Poincenot decided to pick up his clubs again.

A keen golfer with a handicap of just four, he had played every Sunday since the age of 12 with his Dad Lionel, a club engineer at golf firm Callaway.

Blind golf brought them even closer because, unlike the regular version of the sport, it's a team game.

Lionel acts as his son's sighted coach on the course, describing the hole he's playing, the bunkers, the water hazards and the dog-legs -- as well as adjusting his son's feet and club-face alignment before every shot.

Then he'll point in the direction that the shot should be played, while Jeremy places his chin on his dad's shoulder to get a sense of the correct alignment.

"He's the one who does all the work, lining me up and reading the putts -- I'm just the one who executes the shots," Jeremy laughs.

They played their first tournament together in Texas, and then qualified from the nationals in California despite a few teething problems.

"He forgot to tell me about a few bunkers, and I wasn't as nice to him as I should have been," Jeremy recalls.

But before the International Blind Golf Association's World Championships began in Britain in August, Jeremy made a pact with his dad: "We realized that our attitude needed to improve as a team, so we decided to focus more on having fun rather than stressing out about every shot."

The new approach clearly worked, because at the end of the first day, Poincenot was tied for third out of 60 competitors and just one shot away from the leader.

"The whole second day, my stomach was in my throat -- I was extremely nervous on every shot," he admits. "But I think Dad was even more nervous than me; after I take my shot he's freaking out watching my ball go towards the rough, while I can't even tell."

Nevertheless, Poincenot still managed to shoot 89 for a net score of 70, tying him with British champion Simon Cookson. A playoff hole was then required to find the winner.

"I hit my third shot short of the green. Simon also hit his second short of the green but I got a stroke on the hole because I'm a 'B2' and Simon's a 'B3'," he said.

Not every competitor has the same degree of visual impairment, so a three-tier handicap system is used to level the playing field.

Those who are completely blind are B1s, while those -- like Poincenot -- with up to six percent of vision are B2s. Cookson, who has 10 percent of his vision, is a B3 -- the category of player with the most sight.

Despite this potential disadvantage, however, the international business major from San Diego University had saved the best for last.

"I paced the shot to work out the yardage, and when I got to the pin there was a crowd there watching so I thought, 'You know what, I'm not going to be in this situation many times in my life,' so I waved to the crowd real quick and then got back to my shot.

"I took what I thought was a nice chip and even heard someone in the crowd say, 'That's a nice chip.' Then I heard the ball hit the pin and fall into the hole. My dad shouted, 'It went in!' so I threw my hat in the air and gave my dad a big hug."

As well as winning his first World Blind Golf Championship, Poincenot has been raising money and awareness of LHON with sponsored bike rides, half-marathons and even sky dives.

He is now setting his ambitions on the next tournament in Canada's Nova Scotia in 2012.

"To be able to share being world champion with my dad is incredible, I don't know if it's hit me yet," he says. "It's a great feeling and I hope it will help raise awareness of LHON, because that's the greater purpose of why I do anything."

@highlight

Young American wins World Blind Golf Championship two years after losing his vision

@highlight

Jeremy Poincenot feared he'd never play golf again after being blinded by rare disease

@highlight

The 20-year-old is joined on the golf course by his father, who acts as his son's eyes

@highlight

He is now setting his sights on the next tournament in Canada in 2012