(CNN) -- It's time mass worker casualties stopped seeming so commonplace.

In April, a garment factory in Bangladesh collapsed, killing more than 1,100 people. The previous day, cracks had been spotted in the building's structure. "Despite the danger, garment workers were told to report to work," CNNMoney reported.

And on Monday, more than 100 people died in a fire at a poultry factory in northeastern China, not far from North Korea -- an area the Wall Street Journal says is known as "the Iowa of China." Sounds wholesome, huh? All but one of the gates to the burning building were locked during the blaze, trapping people inside, according to state and international media reports.

What's arresting is that most China experts quoted on the disaster expressed little surprise. Many have compared this week's fire to a similar one at a toy factory in 1993, which killed 87 workers. In both cases, doors were locked. Workers trapped.

"(T)he lack of proper fire safety equipment, exits and training for workers are all too commonplace in China's factories," the China Labour Bulletin says in a news release.

These events should ignite international outrage.

"What kind of country is this?" Wang Shoufeng asked this week. CNN reporters found him outside the charred poultry plant. His wife was among the dead, and he was "yelling at passing vehicles and demanding answers," the report says.

Opinion: The bloodshed behind our cheap clothes

His screams must not go unheard -- both in China, a country that seems bent on profit at virtually any expense of human life; and in the West, where disasters like these can seem so far away, or so unthinkable, that they don't register in the public consciousness. There are many signs, however, that the China of today is not the China of 1993, when the toy factory fire made headlines. It's more difficult to hide in the age of social media, and Chinese citizens are becoming more critical of their government. That's clear in Wang's response and that of other victims' family members, who reportedly gathered at the site of the fire to protest and insist on information.

Their questions -- Why were the doors locked? Why haven't we been able to see the bodies of our family members? -- should be answered. And I'll hold out hope they will be, if not by the government than by a crusading citizen.

The situation reminds me of Chinese artist Ai Weiwei's project to name the child victims of a 2008 earthquake in southwest China. When the Chinese government wouldn't release the names, Ai set out to gather them independently.

The result was a fitting tribute to the dead. A work of art.

In addition to gathering the names, with the help of volunteers, Ai created a wall of children's backpacks in Germany. He called it "Remembering." The 9,000 backpacks, viewed from afar, spelled out this sentence, which reportedly was spoken by a family member of a child who was killed in the earthquake.

"She lived happily for seven years in this world."

The 1993 fire in China also spawned a hero: Yuying Chen. According to a post on ScienceBlogs, the woman was 15 when she survived the fire at a toy factory. She went on to become "an internationally recognized human rights leader."

Will someone in China take up the cause of the new victims?

In Bangladesh, too, there are signs the tragedy may lead to safer work conditions, but there is still much progress that needs to be made.

At least 40 companies, including Abercrombie & Fitch, H&M and Calvin Klein have signed onto an agreement called the Accord on Fire and Building Safety in Bangladesh. The document envisions, quite reasonably, a world "in which no worker needs to fear fires, building collapses, or other accidents that could be prevented with reasonable health and safety measures." It requires safety checks and the like.

So obviously everyone signed that, right?

Nope. Walmart and the Gap are notable standouts, according to the International Labor Rights Forum, which is organizing protests of those U.S. companies.

Walmart and Gap reportedly are working on standards of their own, which could yield progress but continues to draw criticism.

Instead of following on these issues, U.S. companies should be leading the charge for enforceable and legally binding measures that will ensure the safety of workers in all countries. Their unwillingness to do so suggests that maybe they figure these tragedies, and their victims, will be forgotten soon enough.

Prove them wrong.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

More than 100 people died this week at a poultry plant fire in China

@highlight

The doors reportedly were locked, as has happened before

@highlight

John Sutter: The world must decide these tragedies finally are unacceptable

@highlight

He says Gap and Walmart should sign onto a safety accord for Bangladesh workers