(CNN) -- At a modest stucco home in Montgomery, Alabama, an unlikely presidential victory celebration is taking place this morning.

Barack Obama's election victory represents a triumph for civil rights activists before him.

Peggy Wallace Kennedy, the daughter of the late George Wallace, the Alabama governor who once vowed to maintain segregation forever, is rejoicing.

Kennedy, 58, voted for Sen. Barack Obama. She says she was "mesmerized" when she first heard him speak at the 2004 Democratic National Convention. Her admiration for Obama deepened when she learned he opposed the Iraq war. She even slapped an Obama bumper sticker on her car, even though someone told her that the prospect of an African-American president would have her father "rolling over in his grave."

"I think Obama is going to be one of the best presidents we'll have," she says. "He's going to bring the freshness we need. We've just been bogged down so long. We need this shot in the arm."  Watch Obama address supporters after his win »

President-elect Obama's victory Tuesday may be a racially transformative event. But for people like Kennedy, who came through the fires of the civil rights movement, it also represents something else -- personal triumph. Obama's win validates the risks they took years ago. iReport.com: What does Obama's victory mean to you?

Some, like Kennedy and an entire generation of white Southerners, risked social rejection for renouncing the bigotry of their parents. Others risked their lives while leading civil rights campaigns in the Deep South. Some almost lost their belief in the inherent goodness of America because they saw so many innocent people die. iReport.com: 'This is the most wonderful night of my life'

They are people like Bob Moses, who led African-American voter registration drives in Mississippi during the early 1960s. He was a leader in the Student Nonviolent Coordinating Committee in Mississippi when three civil rights workers were murdered by a group of men that included a Mississippi deputy sheriff. He also helped lead an ill-fated attempt to sit African-American delegates from Mississippi at the 1964 Democratic National Convention, which was segregated.

Moses grew so disenchanted by his experiences that he moved to Tanzania. He returned to the United States in 1976 and founded the Algebra Project, a national program that encourages African-American students to attend college by first teaching them mathematical literacy.

"We seem to be evolving..., " Moses says. "The country is trying to reach for the best part of itself."

Moses is evolving as well. Obama is the first president he's voted for in three decades, he says.

"I don't do politics, but I made sure to vote this time," says Moses, now 73 years old. "Obama is the first person I really felt moved to vote for."

Moses says he is amazed that Obama has helped lead the country through a racially transformative moment without anyone getting killed.

Pivotal events in America's racial history -- the debate over slavery, the assault on segregation -- sparked widespread violence, Moses says.

"I don't think people appreciate how delicate it is to move the society around these questions without descent into chaos or into pockets of chaos," he says.

Obama's victory also offered a rare public acknowledgement for Moses. He recently attended an Obama rally when Obama -- a keen student of the civil rights movement -- discovered he was in the audience.

"When he got on the platform, he gave me a shout out," says Moses, whose reluctance to be in the spotlight was notorious among his civil rights colleagues. "He said, 'there's someone in the audience, and he's a hero of mine.' "

Moses paused when asked how it felt.

"It was good."

The nation goes full circle

Obama's victory, though, wasn't just made possible by civil rights activists, some say. It was also made possible by a generation of African-American leaders who excelled in the political, sports and entertainment arenas: former Secretary of State Colin Powell, golfer Tiger Woods and pop culture figures like actor Bill Cosby and Dennis Haysbert, who portrays a black president in the television series "24."  Watch Powell discuss his reaction to Obama's win »

They didn't change laws, but they did shift perceptions, some say.

"We live in a society where white voters are prepared and accustomed to seeing African-Americans in prominent positions and leadership," says Brett Gadsden, an assistant professor of African-American studies at Emory University in Atlanta, Georgia.

The Rev. James Zwerg almost lost his life trying to usher in this new society.

Zwerg, who is white, participated in the Freedom Rides in the early 1960s, and he says Obama's victory means the country has gone "full-circle."

Zwerg was almost beaten to death by a white mob in 1961 when he dared to sit next to African-Americans on a Greyhound bus. He was part of a group of white and black college students, dubbed "Freedom Riders," who tried to desegregate interstate travel.

The photos of a bloodied Zwerg, standing next to a battered John Lewis -- who would go on to become a Georgia congressman --rallied activists across the nation. Zwerg became a civil rights hero, but his father disowned him for protesting alongside African-Americans.  Watch Lewis celebrate Obama's victory »

Yet Zwerg became so tormented by the attention he received -- he thought he got too much credit because he was white -- that he once contemplated suicide.

Zwerg, 68, says the bond he experienced with other Freedom Riders caused the most inspiring moments of his life. Obama's campaign reminded him of that era.

"Obama's message reflects much of the same idealism that [the Rev. Martin Luther King Jr.] spoke of when he talked about coming together to improve our country," Zwerg says. "He's really rekindled the same enthusiasm for change among young people, which is terrific."

Zwerg says he never thought back then that an African-American would integrate the Oval Office -- nor did any Freedom Rider.

"I don't think it really crossed our mind."

Clayborne Carson, a former activist and now a Stanford University historian, remembers getting arrested in 1965 just because he demanded the right to vote. He says it was "inconceivable" then that the United States would elect an African-American president.

"I remember how it was still a controversial act for President [Lyndon] Johnson to even select a black person for his Cabinet," Carson says.

Carson says many people forget that many African-Americans in the South were not allowed to vote until the passage of the 1965 Voting Rights Act, a law passed only after the bloody civil rights campaign in Selma, Alabama, mobilized public opinion.

"America was a democracy in name only," Carson says. "It's only since the mid-1960s that we've had this experiment in a multicultural and multiracial democracy."

Carson says he sees the future of this multicultural experiment not only in Obama's victory, but also in his Stanford classroom. More than half of his students are not native white Americans but Asians, Latinos and African-Americans, he says.

He also sees a troubling future for the United States in his travels to counties like India and China. Those countries have highly educated youths who "have the sense that the future belongs to them."

"I don't know if we have that confidence," he says. "This symbolic change in leadership won't mean anything unless a President Obama can mobilize the country for the long, hard struggle to keep up with the world."

Kennedy, George Wallace's daughter, is thinking more about the past these days. She wonders how her father would have regarded Obama's victory.

She says Wallace had his own racially transformative moment. He renounced bigotry later in his life, publicly apologized for the pain he caused and was elected to his last term as governor of Alabama with strong African-American support.

Still, she doesn't know what he would say about her vote for Obama.

"I think he would be all right with it," she says. "Daddy had come full circle. I really think that he would be happy about it or at least interested in it. I'm not sure he would have voted for Obama."

Obama's victory, however, doesn't mean the politics of exclusion that her father once practiced is history, she says.

"There's racism, and there always will be racism," she says. "But this country has come a long way."

When asked how she was going to celebrate Obama's win, Kennedy gave a mischievous chuckle. She says she's going to continue to do what she and her husband, H. Mark Kennedy, a retired Alabama Supreme Court justice, have been doing the last few days since an Obama victory seemed certain:

"We've been sitting here and watching Fox News go utterly berserk."

@highlight

Obama's win validates risks civil rights activists took years ago, some say

@highlight

America is "evolving... trying to reach for the best part of itself," former activist says

@highlight

Segregationist's daughter: I think Obama will be one of the best presidents