(Health.com) -- People with Alzheimer's disease who continue taking the drug donepezil (Aricept) do get some benefit even as their symptoms worsen, a new study suggests.

While the drug is approved for all stages of the memory-robbing disease, many people stop taking it. As a patient's memory and behavior problems get more severe, it can be hard to tell if the benefit of the treatment outweighs the risk of side effects, such as lack of appetite, weight loss, dizziness, and agitation.

In general, Alzheimer's disease treatment can be a heartbreaking disappointment. The few drugs that are available tend to stop working over time, giving patients and families only a brief reprieve from the disease's relentless progression.

Health.com: 25 signs and symptoms of Alzheimer's disease

In a new study of 295 people with an average age of 77 and moderate-to-severe Alzheimer's, those taking donepezil saw improvements "equivalent to around four months' worth of deterioration in cognition and function," says lead study author Dr. Robert Howard, professor of old-age psychiatry at King's College London, U.K.

Put another way, those who discontinued donepezil lost "about a third more cognition over [one year] than they would have if they had stuck with it," says Gary Kennedy, M.D., director of geriatric psychiatry at Montefiore Medical Center in New York, who was not involved with the study.

"This may not sound like much, but to a patient with Alzheimer's disease at this point in their illness or their carers, any improvement in cognition or function that supports independence is valuable," Howard adds.

Health.com: 7 ways to protect your memory

It's possible that in some cases, even this much of a benefit could mean the difference between staying at home and going into assisted living.

About 5.4 million people in the U.S. have Alzheimer's disease, according to the Alzheimer's Association.

Donepezil was also more effective than another common Alzheimer's drug, memantine (Namenda), in patients with later-stage disease, although memantine still showed some benefit, according to the study published this week in The New England Journal of Medicine.

In general, Alzheimer's drugs are notoriously fickle, working relatively well for some, not as well for others, and not at all for some.

"In some people, drugs are effective for many months or even up to several years. Other people don't see any benefit. Other people are unable to take them because of side effects," says Heather M. Snyder, Ph.D., senior associate director of medical and scientific relations at the Alzheimer's Association.

Health.com: 9 foods that may help save your memory

All of the patients included in this study were still living in communities (as opposed to nursing homes) in England and Scotland and all had been taking donepezil for about two to three years by the time they enrolled in the trial.

The men and women were randomly assigned to one of four treatment strategies for one year: continue taking donepezil; stop taking donepezil and start taking an inactive placebo; substitute memantine for donepezil, or continue taking donepezil and memantine together.

People who continued taking donepezil did better on two different scales of cognition and impairment than those taking no medication or those taking memantine alone.

There was some evidence in the study that the improvements were actually noticeable to families and others. For example, people who were taking only an inactive placebo were more likely than patients in other groups to drop out of study, suggesting these families had noticed the placebo "medication" wasn't working.

Health.com: Computer games that boost your memory

"People [who discontinued] donepezil were much more likely to abandon the drug altogether, which implies that families picked up on the subtle effects of the drugs," notes Kennedy.

Taking either memantine or donepezil alone was better than nothing at all, but taking them together offered no additional benefit.

Although the combination of donepezil and memantine -- a common strategy in the U.S., but not the U.K. -- had no added benefit, each drug had "independent positive effects," says Howard, who advises patients at this stage of the disease to continue taking both drugs if possible.

Memantine, he says, "has an additional benefit of preventing the emergence of symptoms like agitation, suspiciousness, and aggression."

However, Lon S. Schneider, M.D., of the University of Southern California Keck School of Medicine, Los Angeles, wrote In an accompanying editorial that "further study" is needed to determine if memantine should be used in combination with donepezil.

Health.com: How to age-proof your memory

Donepezil is approved in the U.S. for all stages of Alzheimer's while memantine is approved for moderate-to-severe Alzheimer's. Donepezil is one of a class of drugs known as cholinesterase inhibitors while memantine is a glutamate moderator. "They both have slightly different ways of helping brain cells talk to each other longer," says Snyder.

It's unclear if the results would apply to other cholinesterase inhibitors such as galantamine (Razadyne) or rivastigmine (Exelon), the editorial noted.

In any event, families, patients and healthcare providers still face difficult decisions in how to treat individual Alzheimer's patients.

Health.com: Need a memory boost? Try these quick tips

"This study starts to look at some of the questions about decisions that physicians and families are making every day, treating loved ones in moderate to severe, what should be treating with, should they stop treatment, should they continue and if so how long, practical," says Snyder. "This underscores our need for more research to fully say what is the right path of treatment and we are desperately in need of more treatments and therapies to help Alzheimer's patients."

The researchers note that stopping donepezil can cause withdrawal (which can temporarily worsen symptoms), so the drug should be gradually tapered down before going off it completely.

The U.K. Medical Research Council and the Alzheimer's Society funded the study.

Copyright Health Magazine 2011

@highlight

In general, Alzheimer's disease treatment can be a heartbreaking disappointment

@highlight

Drug donepezil helps slow deterioration in cognition and function, study shows

@highlight

Researchers note that stopping donepezil can cause withdrawal