Lagos, Nigeria (CNN) -- If you are a young person living in Africa right now, it can be pretty confusing knowing what to believe: is it a hopeful place or is it trapped in a vicious cycle?

Is it the site of the world's fastest growing economies, or is it a place where more than 200 schoolgirls are kidnapped and held captive for two weeks with no hope of recovery?

On the one hand, much more than half of the employable young population is out of a job and there are many caught in wars and rumors of wars, from Sudan's two sides to the Central African Republic.

But on the other, there's growth and palpable excitement: Africa is the continent to watch; investment is pouring in for technology and a whole range of businesses both new and traditional, many countries boast impressive GDPs; democracy is solidifying, and with it free speech and citizen engagement, a flourishing sense of enterprise and a groundswell of creativity.

There is no greater symbol of this confusion than Nigeria at this exact moment.

On the one hand, we are the focus of the world, with our GDP rebased and our economy enjoying something of a rebirth; and yet on the other, we are the focus of the world, with bombs tearing through our nation's capital, and girls abducted in broad daylight by domestic terrorists.

With the World Economic Forum coming to Abuja this week, I see myself frenziedly planning alongside other Global Shapers across Lagos, Abuja and Kano to welcome the world to our country and to show its vast potential, looking forward to the sessions and the panels focused on inclusive growth and job creation.

At the same time I sit on the board of Enough is Enough Nigeria, which is passionately, angrily demanding that the world cancels the World Economic Forum on Africa to send a message to our lethargic president that he must find the 234 girls who have been missing for 18 days, and stop the violence that has taken the lives of over 1,500 in the north of Nigeria this year.

How can I be excited about going to Abuja next week for the Forum when a bomb just went off in the city's center?

Should I tweet #WEFAfrica, or #BringBackTheGirls?

Talk about schizophrenia.

I find myself confused, pulled in both directions. Yet I find both imperatives compelling, almost inevitable. I believe this is the most urgent challenge for young people like me, growing up in a time of great flux.

The world has so much faith in young Africans at the moment -- and with good reason; see what we've done with technology, the creative industries and civil society, for instance -- urging and willing us to fulfill the promise that is in abundance amongst us, to become the "turning point generation."

But if only the world understood how frustrating it can be to have hope in the future of Nigeria when its power sector remains comatose, corrupt ministers collude with the legislature, people die in stadiums while jostling for jobs, and governments strangle small businesses with multiple taxation and out-of-touch policies.

We have the important duty to maintain hope, keep up the excitement; channel the energy and take advantage of the opportunities that exist around us.

But at the same time, we must maintain perspective, and avoid burying our heads in the sand; we must demand better governance and speak with clarity and integrity about the failings of our leaders in government and the private sector.

Our eyes must be fixed on the stars, but our feet must stand firmly on the ground.

It is a delicate balance, but we have no choice. We must play the hand our continent has dealt us. We have no choice.

@highlight

Nigeria hits headlines because of kidnap of 200 schoolgirls by Boko Haram militants

@highlight

The country is also hosting the World Economic Forum meeting this week

@highlight

Chude Jideonwo says Nigerians must maintain hope in difficult circumstances

@highlight

"Our eyes must be fixed on the stars, but our feet must stand firmly on the ground," he says