If it were up to Surey Miranda, she would have never left her family in Puerto Rico.  Miranda, a college graduate, says she had little choice.

"It was a challenge to find a job in Puerto Rico," said Miranda, 24, who graduated from the University of Puerto Rico with a political science degree in 2012. "Unfortunately, finding work in government can be challenging, especially since it's the island's main source of employment."

Miranda did everything she was supposed to do: She got her degree, worked as an intern in various places and even landed a part-time position with the Puerto Rico House of Representatives.

Now, Miranda is one of thousands of Puerto Ricans who have left the U.S. territory in recent years in search of a better life in the U.S. mainland.

Opinion:  Citizenship is a birthright in U.S. territories

In 2011 and 2012, about 55,000 residents migrated from the island to the mainland each year, according to the Census Bureau's Community Survey.  The Puerto Rico Institute of Statistics is still collecting data for those who left in 2013, but it estimates the numbers are about the same.

While Puerto Ricans have migrated to the United States for several generations, the number of departures from 2000-2010 marks the largest migration wave,  at 300,000, since the 1950s, when close to a half-million migrated to the mainland during the entire decade.

So many residents have left the island over the years that there are a million more Puerto Ricans living in the mainland United States (4.9 million as of 2011) than in Puerto Rico (3.7 million).

Why such a massive population shift in recent years? Mario Marazzi, executive director of the Puerto Rican Institute of Statistics, says it's mainly because of the 2006 recession that is still punishing the island's economy.

Puerto Rico's unemployment rate is above 15%, more than double the 7.3% in the mainland, according to the Bureau of Labor Statistics.

Last month, Standard & Poor's announced it had cut Puerto Rico's credit rating to junk status as the U.S. commonwealth faces $70 billion in debt, including the debt from its utility companies.

Last week, in an attempt to avoid financial ruin, Puerto Rico Gov. Alejandro García Padilla signed a bill authorizing the sale of $3.5 million in tax-free general obligation bonds. Even if the auction is successful, the bonds are considered pretty risky.

In other words, if you thought Detroit was in trouble, Puerto Rico is much worse mainly for this reason: Unlike Detroit, the island cannot file for bankruptcy court protection.  That option is only for municipalities and Puerto Rico is an unincorporated territory.

In 2012, a majority rejected the current status and favored statehood as an alternative, hoping that might help alleviate the territory's economic woes.  But the vote was nonbinding and never went anywhere in Washington.

Puerto Ricans favor statehood for first time

For Miranda, getting a job wasn't the only factor in her decision to leave Puerto Rico. The rising cost of utilities, rent, gas and tolls were also something she needed to consider.

"Back home, I was sharing an apartment with six other students and still my expenses were taking up 70% of my salary. It was simply impossible,"  Miranda said.

While the cost of living in New York City is more than double the national average, the cost of living in Puerto Rico is not the best-case scenario for a recent college graduate. For example, basic monthly utilities including electricity, heating and water cost about $246 in Puerto Rico as opposed to New York's $161.

"The cost of living all depends on where you live in Puerto Rico, because while a middle class does exist, very few fall into that category," said Marazzi, "The middle class has to spend a lot more money for quality of life."

For example, two years ago many Puerto Ricans had to invest in water tanks after serious droughts sapped the water supply.  The cost of purchasing and maintaining a water tank isn't something people in the United States have to worry about, Marazzi added.

Also, the electric supply isn't as reliable in Puerto Rico as it is in the United States, so Puerto Ricans have to pay more to protect their televisions and computers.

"The power goes off for a microsecond every day in Puerto Rico and electronic items don't take well to that. So, anyone with an electronic item worth having has to invest in a universal power supply, which costs about $100 here," Marazzi said.

Puerto Ricans aren't just moving to New York, where many have typically migrated in the past.  They are also moving to Florida, Texas, North Carolina, Virginia -- wherever there are jobs.

"Since the early 20th century, Puerto Ricans have been contributing to create what some scholars are calling 'El Nuevo South,'" said Edwin Melendez, director of Center for Puerto Rican Studies at Hunter College in New York.  "With an influx of Hispanics, the south is becoming more diverse."

The latest influx of Puerto Ricans includes people primarily between ages 20 and 40, he said.

"Families and young children are migrating as well -- basically entire households are moving," Melendez said.

While many Puerto Ricans migrating to the United States are young, educated professionals like Miranda, they also include people from across the socioeconomic spectrum, according to the Center for Puerto Rican Studies, which examines the  migration phenomenon.

Opinion:  Treat U.S. citizens in Puerto Rico fairly

"In Puerto Rico, there's a generalized perspective that there's a 'brain drain' because so many young professionals have left," said Melendez,  "but they aren't the only ones leaving.

"It's also labor workers and families. We didn't find any over-representation of a certain kind of people."

Puerto Rico's education system spends close to $8,000 annually per student, according to the Department of Education.  And while that's not as high as the United States, which spends an average of $10,000 per student, it's still a significant loss for Puerto Rico, particularly as it faces a major economic crisis.

Each college-educated Puerto Rican who establishes a career elsewhere is a big loss for the commonwealth, explained Puerto Rican political analyst Jay Fonseca in an interview with CNN en Español.

"Why invest so much time and money for a student in Puerto Rico only to have them leave to the U.S. and contribute to society elsewhere?" Fonseca said.

There's even an active recruiting process by U.S.-based organizations, like police departments, nurse associations and hospitals, who come to Puerto Rico to search for future employees, Marazzi said.

"They not only recruit the best bilingual candidates but they help diversify the workforce in the United States, of course to their benefit," said Marazzi.

It's a seamless process considering all Puerto Ricans, whether born on the island territory or on the mainland, are American citizens.

Marazzi added that it's not just the money that's attracting residents to leave the island.

"It's also an opportunity to work in a world class field that cares about your profession. But it is unfortunate that Puerto Rico cannot do much for the talent it produces," he said.

Miranda said her decision to leave the island wasn't just to alleviate her current situation: She knew she would have more long-term career opportunities in New York than if she stayed in Puerto Rico.

According to Melendez, the likelihood that Miranda will return to Puerto Rico is slim, because so many Puerto Ricans who migrate to the mainland settle down and stay.

Yet Miranda said she hasn't given up on her goal to improve things back home.

"Seeing the way New York City operates makes you notice what Puerto Rico lacks and makes me want to go back and do things a different way," Miranda said.

"But it does not depend on us, it depends whether Puerto Rico's government will allow us to contribute in the reconstruction of our country."

@highlight

Puerto Rican college graduate shares her story on why she left the island

@highlight

S&P cut Puerto Rico's credit rating to junk status last month in face of $70 billion debt

@highlight

"I was sharing an apartment with 6 others and my expenses were still 70% of my salary"

@highlight

Graduate says she hasn't given up on her goal to improve things in Puerto Rico