A group of current and former soccer players has filed a lawsuit against FIFA, claiming football's world governing body isn't doing enough to manage the issue of concussion in the game.

The action, which is also targeted at U.S. Youth Soccer, American Youth Soccer and others, alleges these groups have "failed to adopt effective policies to evaluate and manage concussions."

It also claims women and children are put in danger by a lack of adequate rules to manage concussion as they are "more vulnerable to traumatic and long-lasting brain injury."

The lawsuit seeks no financial damages and instead is insisting on rule changes it has been suggesting for over a decade.

The plaintiffs, which include Rachel Mehr -- a former youth club soccer player -- and several parents on behalf of their children in youth soccer leagues, are led by attorney Steve Berman.

"Despite simple, best-practice guidelines, which have been updated three times since the initial international conference on concussions, FIFA has failed to enact the policies and rules needed to protect soccer players," he said in a statement sent to CNN by his firm Hagens Berman Sobol Shapiro LLP.

"We believe it is imperative we force these organizations to put a stop to hazardous practices that put players at unnecessary risk.

"The negligence is remarkable, given that FIFA actively promotes its activities to children. Yet no rule limits headers in children's soccer, and children are often taught to head the ball from the age of three.

"We estimate that a dedicated youth player might sustain 1,000 headers per year, and a high school player more than 1,800 headers."

The lawsuit, filed in California, claims FIFA guidelines appear to suggest it is referees and players who diagnose brain injuries and not medical professionals.

It wants provision made for temporary substitutions to be allowed when a player is being examined for a brain injury, above the permitted three per match, and a limit on how many times players under 17 can head the ball.

Concussion has become a hot topic in major sports in the United States with the National Football League, the National Hockey League and the National Collegiate Athletic Association all involved in litigation.

In 2013, the NFL struck a deal worth $765 million to fund medical exams, concussion-related compensation, medical research for retired NFL players and their families, as well as litigation expenses.

Currently, any player who is knocked out or concussed during an NFL match is removed from the game, but no such rules exist in soccer.

According to FIFA's most recent newsletter, there were five incidents of concussion at the recent World Cup in Brazil, including one in the final between Germany and Argentina.

German midfielder Christoph Kramer received medical treatment after being knocked out but returned to the field of play. He was substituted a short time later after he asked: "Is this the final?" the newsletter reported.

FIFA president Sepp Blatter said in the newsletter that the topic of concussion in football has the "highest priority."

"The decisive factor is how those involved react to this kind of incident," Blatter wrote of the Kramer injury.

"The German team doctors assessed the situation correctly. Kramer initially showed no symptoms of concussion, but a little later he realized something was wrong and asked to be substituted.

"Coach Joachim Low did not hesitate even for a moment, sending out an important signal and demonstrating that the player's health and the doctors' opinion matter more than sporting considerations.

"That is fully in line with the principle: "When in doubt, sit them out". This topic has the highest priority for FIFA."

When contacted by CNN, FIFA said it had not received anything regarding the lawsuit and, as such, was not in a position to comment, but it did offer a statement outlining its work on the issue.

"FIFA has always assigned high priority to the topic of prevention and treatment of head injuries," it read.

"Together with other leading sports federations FIFA initiated 12 years ago discussions on this topic which led to four scientific consensus meetings and the development of clear recommendations.

"FIFA has also initiated a series of scientific studies related to head injuries in football that have resulted in modifications to the Laws of the Game.

"For instance, in 2006, the International Football Association Board (The IFAB) adapted the Laws of the Game to punish incidents which cause concussion such as an elbow to the head with a red card. This led to a significant decrease in such incidents and head injuries.

"For FIFA competitions, all team doctors are fully informed about these recommendations. It is the responsibility of each team doctor and any support staff in their team to decide whether or not a player can continue playing."

The organization is running a pilot in the Swiss first division this season to better monitor players' cognitive abilities and to help with swift diagnosis of brain injuries.

It will be supervised by FIFA's chief medical officer professor Jiri Dvorak, who told the newsletter: "In parallel with this research, we must -- sooner rather than later -- also discuss an additional substitution.

"That would give coaches greater personal leeway, as they could react more quickly and decisively in the case of injury."

The English Premier League announced prior to the start of the new season it had introduced new regulations regarding head injuries.

It said the final rulings on head injuries would be made by the medical professionals present and insisted a new "tunnel doctor" attended each match to assist the doctors already attached to the competing teams.

@highlight

Lawsuit filed against FIFA claiming it isn't doing enough about concussion in soccer

@highlight

Action alleges FIFA has failed to adopt effective policies to manage concussions

@highlight

FIFA president Sepp Blatter said recently that topic of concussion has "highest priority"

@highlight

German midfielder Christoph Kramer played on after being knocked out in World Cup final