(CNN) -- For decades -- dating back to the 1980s -- Apple and Adobe Systems have had a deeply troubled relationship. The most recent phase of their ongoing struggle has been over whether Flash (Adobe's hugely popular proprietary format for adding animation, video, and interactivity to web pages) would run on Apple mobile devices.

Apple has always resisted putting Flash on the iPhone, because Flash has performed notoriously poorly on Macintosh computers.

But these days internet access is swiftly going mobile, and Apple's iPhone holds the most interactivity- and video-hungry portion of the smartphone market.

Apple does offer a mobile app that re-encodes YouTube Flash videos to play on the iPhone, but in general Flash elements won't play on Apple mobile devices. So Adobe has been trying hard to get Apple to support Flash on the iPhone, iPad and iPod Touch.

It looks like Adobe has finally lost this battle.

Last week Adobe Systems released Wallaby -- an experimental new drag-and-drop tool for developers that converts Flash files into HTML5.

HTML5 is an emerging web standard that can work with the fully featured browsers available on most mobile devices, including the iPhone and iPad. It allows developers to build mobile web pages that are much more interactive and multimedia-rich. (Technically, it's now called just HTML, but most people are still saying "HTML5" to refer to the new capabilities.)

Also, HTML5 can be used to build mobile apps that work offline. As CNN Money recently explained, HTML5 web apps "can still function in areas with no connection. Gamers, for instance, can continue playing uninterrupted even if their device loses its signal."

In January, The New York Times reported that many online content services, including Vimeo and Flickr, are experimenting with using HTML5 to deliver video and other rich media, probably driven in part by Apple's lack of mobile support for Flash.

The Washington Post reports that Wallaby (a program that runs on the Adobe AIR platform, which does work with Apple's iOS mobile operating system) "was tested with iOS 4.2. The only supported Webkit browsers at this time are Chrome and Safari on OSX, Windows and iOS."

What does this mean for iPhone users?

If Wallaby becomes popular with developers, then many websites that use Flash to present interactive features or multimedia content -- anything from videos to games to simulations and more -- may suddenly start working right on the iPhone and iPad. So iPhone and iPad users will encounter fewer of those annoying blank holes on web pages where multimedia is supposed to appear.

But in the big picture, if most internet access goes mobile (as Gartner predicted will happen by 2013), then there might be less and less reason for web developers to use Flash. It could be that HTML5 might become the norm, and Flash might fade into the mists of tech history.

Daniel Eran Dilger predicted Adobe's move to accommodate HTML5 almost a year ago, in his brilliant mock-biblical chronicle of the history of Adobe vs. Apple, an amazingly entertaining read.

Dilger wrote: "...And Adobe saw four horsemen of the apocalypse ascending from the sea, the rider of the white horse was Steve Jobs and he was bent on conquest. And a second horse, red, was given to iPhone to take away market share from smartphones, and to cause phone makers to wage war and to fall upon their own swords.

"And a third horse, black, was carrying the scales of the iPod touch, and it measured out music playback from iTunes and sold many apps and starved other mobile platforms of mobile application demand. And fourth horse, pale, had a rider named iPad, which pundits called Death. And it caused famine for tablets and plague for slates and killed with a sword. And none of the horsemen used Flash.

"And Adobe frightfully woke from its vision of terrors, and realized that its days of monopolizing the web with Flash content were over.

"...And then Adobe began building HTML5 development tools, and it charged reasonable prices and built cross-platform products and the people rejoiced and Adobe's death was spared and it lived comfortably for many days next to Apple.

"And Steve Jobs said thank you and Adobe said no, thank you. And they all lived happily ever after."

@highlight

Adobe's Flash does not work on Apple's iPhones or iPads

@highlight

Adobe is releasing an application that will convert Flash into HTML5

@highlight

HTML5 is a new web standard aimed at working on most browsers and mobile devices.