(CNN) -- The art of portraiture, once reserved for the rich, the royal and the holy, has found a new mass appeal online.

Matt Held is painting 200 Facebook photos and giving them to the subjects.

Some avid social-network users are commissioning artists to create small digital images to represent themselves in the online world. Other Internet-savvy people use automated computer programs and Web sites to generate posterized likenesses of themselves.

Matt Held, a 38-year-old painter in Brooklyn, New York, has gained Internet celebrity for painting peoples' Facebook photos and then giving them to his subjects. And some identity researchers are trying to take the online portrait beyond images of people's faces entirely.

All of these efforts underscore the fact that tiny images, often no bigger than a postage stamp, have become stand-ins for peoples' identities online.   On the Web, people can recreate themselves in any way they choose.

Unlike in the real world, where portraits are largely reserved for museums and the mantels of self-centered celebrities, online portraits are either free or relatively inexpensive.

They're also essential for effective Internet communication, said Judith Donath, a fellow at Harvard's Berkman Center for Internet & Society.

"In the physical world, there's a lot of effort people make in terms of how they look when they go out to walk down the street. Some people spend two hours to get ready going to the grocery store," she said. "In the physical world, there's the actual self, so you're not entirely dependent on a portrait."

On the Internet, though, people can create their appearance through images they choose to represent themselves, she said.

Donath is working with a group of students from the MIT Media Lab to take online portraiture beyond realistic-looking faces.

In the future, she says, people will create pictures of themselves with the data trails they leave online. Visit the "Personas" project and type in your name to see how this might work.

Donath said many people online are drawn to the fact that they don't have to look like the person they are in the real world.

But this is also a sticking point in the world of online portraiture, said Dan Schawbel, a personal branding expert and author of a book called "Me 2.0."

People should brand themselves online with a single professional photo that they display on all of their social networks so that strangers will be able to identify them, he said.

"Seeing the same thing again and again and again is going to make you remember it," he said, adding that photographs of human faces are more emotional and memorable than drawings or other obscured representations.

Erika Peterman would disagree.

The 39-year-old in Tallahassee, Florida, paid $100 for local artist Lee Bretschneider to draw a caricature of Peterman as a comic book hero. She uses that image on her blog and on Facebook.

"I do think an illustration is a way to unleash some fantasy aspect of yourself or maybe the way you'd like other people to see you," she said.

Peterman, who blogs about comics and has read them since she was young, said her stylized comic-book image says something about her and is more compelling than a standard photo. She said she's not trying to hide anything behind the drawing.

"I look how I look and I'm not fooling anybody," she said. "If the artist had me looking like Halle Berry, that'd be ridiculous."

Joel Watson, who illustrates an online comic book series from Dallas, Texas, said he's gotten so many requests from fans asking him to draw avatars for their online social networks that he can't keep up with the demand.

He said some clients came back to him several times wanting new drawings because they had shaved off their hair or somehow changed their look. Each of these efforts cost $50 to $100, he said.

Several free Web sites offer to posterize a person's Facebook or Twitter icons, or let users assemble cartoon versions of themselves.

The latest to catch on in a big way is a spin-off of the AMC show "Mad Men." On a site called MadMenYourself.com, people create stylized images of themselves as sleek advertising executives from the 1960s, in keeping with the show's theme.

Dyna Moe, the 31-year-old New York artist who created the character components for the site, said at first she was "creeped out" to see so many computerized versions of her drawings floating around social networks. On Twitter, where tiny square icons stand in for a person's identity, it also became difficult to tell who some people were because the Mad Men icons all started to look similar, she said.

It had a "hall of mirrors feeling," she said.

The Web site had 8 million viewers the first week it launched, she said.

MG Siegler, a blogger at TechCrunch, said his fans and friends found it jarring when he took down a photo from his social networks and replaced it with a "Mad Men" avatar.

"They're like, 'Oh, what's going on here? Is there some sort of life change that you switched up your icon for?' " he said.

"It's kind of funny that people do very much pay attention to them. I think people start to associate your identity with your [Twitter] icon," he said.

Held, the painter in Brooklyn, is completing a series of 200 Facebook portraits. He chooses his subjects from a Facebook fan page called "I'll have my Facebook portrait painted by Matt Held," where more than 6,400 people have signed up.

The project struck a surprising chord with people and helped pull him out of a lull in his career, Held said.

While people in his paintings can use the images online free, he sells the canvas works in galleries for $1,800, he said.

"Portraiture in itself has always been there, but I want to bring it out to the masses," he said. "There are so many people out there with awesome photos and awesome stories who I feel need to be painted."

@highlight

The portrait, a centuries-old art form, is finding new life with the masses online

@highlight

Some people pay artists to paint their Facebook profile pictures and Twitter icons

@highlight

Free Web sites generate cartoon pictures of people for use in social media

@highlight

Researcher says portraits are necessary stand-ins for people online