Ending energy poverty is central to my vision of a resurgent Africa.

I am an entrepreneur -- one born, raised, and educated in Africa, creating businesses that span the continent. I have experienced how lack of reliable power has constrained human potential and stifled economic growth. Currently, 589 million of my fellow Africans have no access to electricity and many millions more lack reliable access. This holds back education, drives up the cost of business, and negatively impacts healthcare.

We are a continent of entrepreneurs, some of the smartest in the world. But how many aspiring business people can really succeed, and create critical jobs, if they do not have light or the cost of electricity is more than 55% of the operating costs of their business?

Last week I joined officials from the U.S. agencies, OPIC, USAID and EXIM, along with representatives from American corporations GE and Symbion Power, in testifying before the U.S. Senate Foreign Relations Committee on the progress of President Obama's Power Africa initiative. The program, launched last July, has set a goal of generating 10,000 MW of additional power in the next five years, and targets an initial six countries, my home country Nigeria included. Power Africa calls for $7 billion in U.S. financial support and has already leveraged an additional $9 billion in private-sector commitments.

Recognizing the centrality of power to Africa's ability to sustain its own development, Congress is now looking to enact legislation that would ensure that the Presidential initiative defines the future of U.S. engagement on the continent. The House Foreign relations Committee last month passed the Electrify Africa Act which seeks to double the target of new generation capacity to 20,000 MW. The Senate Foreign Relations Committee is expected to introduce its own legislation in the coming weeks. In both houses of Congress there is broad-based bipartisan support.

Power Africa has already served to focus the American private sector on Africa as the new frontier for energy investment and has encouraged African countries not selected as Power Africa countries to undertake reforms of their regulatory structures, so as to participate in future power deals and partnerships.

My own company, Heirs Holdings, through our subsidiary, Transcorp, committed to invest up to $2.5 billion to generate 2,000MW of electricity over five years, 20% of the U.S government's initial goal. Our first transaction has been the Ughelli power plant in the Niger Delta region of Nigeria.

The initial investment in the Transcorp Ughelli plant was $300 million. When we first took over the plant in November 2013, its power output was less than 160MW; today, that has been more than doubled. We project that Ughelli power plant will be generating 725MW by the end of this year. We are also partnering with Symbion Power and GE on a 1000 MGW expansion costing $1 billion USD.

We are on track to fulfill our commitment to Power Africa and we will be producing the equivalent of almost half of the current total output in Nigeria. In 2015, we will begin plans to generate power in other West and East African countries.

The program also has allowed African businesses to show to the world that they can be equal partners in the process. We are bringing capital and know how, creating genuine partnerships, which benefits all sides. I coined the term "Africapitalism" to describe our approach to business -- our belief that long-term investment in key sectors, like in power, can create economic prosperity and social wealth, benefiting investors and Africa's development future.

Yet Power Africa must be viewed by the administration and Congress as only a start. The initiative is valued at $7 billion and Africa's power infrastructure needs are estimated to be $300 billion. So there is more that we all need to do.

Congress should pass legislation before the end of this Congress to secure the expansion of access to electricity in Africa as a development and foreign policy priority. Given the long-term nature of investments in the power sector, these policies must by codified so that they carry over to the next Administration and the next Congress. Like the Africa Growth and Opportunities Act more than a decade ago, such legislation would lay the foundation for a new U.S.-Africa relationship: one based on partnership for mutual economic benefit and the empowerment of the private sector.

The U.S. Government should also continue to encourage policy reforms by African governments and institutions. There is no amount of capital investment or entrepreneurial zeal that will provide affordable and sustainable access to electricity for Africa's one billion people, without the full buy-in and energetic support of African governments.

Congress should also make engagement with the African private sector a priority in oversight and new policy-making. Public-private partnerships are critical to developing the African continent, particularly in the power sector. It is important to recognize the revolution that has taken place in the African private sector -- a sea change in terms of innovation, know-how and governance values. Corporate Africa has taken up the challenge.

We have a long way to go, but like all long journeys, the journey to infrastructure sufficiency begins with the first step -- or, in this case, the first $300 million. We believe that the Power Africa initiative, which places Africans as partners in their own development, will help the continent to emerge as a strong player in the global economy and we are confident that history will remember those who played a role in making it happen.

READ THIS: The 'Africapitalist' powering Africa

READ THIS: Can Africa unlock its solar potential?

@highlight

Tony O. Elumelu is chairman of Heirs Holdings, a pan-African investment company

@highlight

He says African economic growth is being stifled by lack of reliable power

@highlight

He has pledged $2.5 billion to U.S. President Barack Obama's "Power Africa" initiative