The average high school graduation rate in America's biggest urban school districts, which serve large numbers of children from very disadvantaged backgrounds, is only about 50%.  In most cities, the figure is even lower for African-American males.

Unfortunately, remarkably few strategies have been shown to improve the schooling outcomes of disadvantaged children, particularly once they reach adolescence. This has led many people to conclude that the harmful effects of poverty are already so entrenched by adolescence that improving academic learning for low-income teens is not feasible. Many experts have called for focusing instead on vocational education for these youth or just doubling down on early childhood.

Given all this, some may even question the prospects for success of President Obama's new initiative to help young minority men, My Brother's Keeper.

We believe it's premature to conclude that by adolescence, it's too late to improve schooling outcomes. Few approaches have addressed one of the central challenges facing so many urban schools: the wide variation in students' academic levels by the time they reach middle and high school. Consider trying to teach math to a classroom of 25 to 30 students when some students are at grade level and some are seven or even 10 years behind. Now imagine the same situation from the students' perspective. Asking kids to sit through material so far beyond their knowledge is a recipe for disengagement and dropout.

What urban school systems need is a "safety net" to catch students who start falling behind and get them back to up to grade level so they can re-engage with regular classroom instruction. This safety net must include academic instruction that is both individualized and intensive.

Educators have long known that one-on-one or small-group tutoring is the most effective way to teach people anything. But most urban school systems struggle with the costs of having one teacher in a room with 25 (or more) students; how could we ever have a class size of just one or two students per instructor?

One possible answer comes from Match Education of Boston, a nonprofit organization that runs charter schools and a teacher training program and provides tutoring services to urban districts.  Match had the insight that teaching one or two students at a time eliminates some of the biggest challenges involved in teaching a whole classroom of students (like classroom management). Many more people can be good at tutoring compared with being good at classroom teaching; extensive teacher experience and training are not required.

This enables Match to expand the pool of recruits and focus on those with strong math skills who are willing to devote a year to public service for just a modest stipend. This makes the incredibly high dosage of the Match tutoring model feasible. Match has partnered with urban school districts in cities across the country to provide this "tutoring on steroids" model to hundreds of students in each city. The cost of providing this type of intensive tutoring is between $2,000 and $3,000 per student per year.

Of course, the education field is full of good ideas that don't pan out in practice; how does this Match tutoring model actually work in practice? How effective is it really? Last year, our University of Chicago Urban Education Lab tried to answer this question by carrying out a randomized controlled trial of the sort that provides gold-standard evidence in medicine but which remains far too rare in education.

We randomly assigned 106 male ninth- and 10th-graders in one Chicago public high school to receive Match-style tutoring for a year and to participate in a promising non-academic program called Becoming a Man, developed and delivered by the Chicago nonprofit Youth Guidance.

Our study showed that program participation for just six months improved student math test scores by an amount that is equal to what the average U.S. high school student learns in three years. (Or put differently, the effect equals about 60% of the black-white test score gap in data collected for U.S. students overall.)

The program also improved math grades, reduced course failures, increased school attendance and increased by nearly 50% the likelihood that youth were "on track" for graduation according to the Chicago Public Schools on-track indicator.

The cost of providing students with both intensive individualized math tutoring and the opportunity to participate in BAM was about $4,400 per student per year. While this may seem expensive, the benefits of the program were so large that the cost-effectiveness of these programs compares favorably to other social investments that have been shown to be effective (e.g. early childhood education, cash transfers from the Earned Income Tax Credit, or reductions in class sizes).

Moreover, cities like Chicago currently receive millions of dollars from the federal government to support tutoring, which in principle could be repurposed to cover the costs of providing Match-style tutoring to students who need an academic safety net.

Our study results would be striking anywhere but are all the more so because the high school students in our study come from what is perhaps Chicago's most disadvantaged, dangerous South Side neighborhood. Whether this can be equally effective at large scale is the next key question to answer; our team is currently working on this in a much larger-scale experiment under way in 21 public high schools across Chicago.

We think there are two important lessons here. The first is a policy lesson for urban school systems: They need something individualized and intensive, like Match tutoring, as a safety net to help prevent students who start falling behind from falling completely through the cracks.

But there is also a larger lesson here that is relevant for social policy and criminal justice, not just education: It's not too late to help children from disadvantaged backgrounds even once they reach adolescence.

@highlight

Jonathan Guryan, Jens Ludwig: Graduation rates for big urban schools about 50%

@highlight

Many believe academic learning not feasible when disadvantaged kids reach teen years

@highlight

They say program of small-group tutoring raised kids' performance considerably

@highlight

Writers: It worked in Chicago, why not elsewhere? Key is not to give up with teens