Nyakagyezi, Uganda (CNN) -- Visiting his former village in rural Uganda, Jackson Kaguri was the epitome of a success story.

He had escaped poverty, earned a college degree and moved to America, where he studied at an Ivy League school and planned to put a down payment on a house in Indiana. He'd often come back to Uganda, passing out school supplies to children.

But on one particular trip home in 2001, he realized he had to do more.

"We woke up in the morning, and grandmothers had lined up all around the house, stretching way back. ... The whole village had gathered," Kaguri said. "All these women walked miles and miles. It was huge."

UNICEF estimates that 1.2 million children in Uganda have lost one or both parents to AIDS-related illnesses, and Kaguri said it's often grandmothers who have to pick up the slack.

"You see the grandmothers over and over whose own children have died and left them," he said. "Some of them have up to 14 (grandchildren) to raise in their homes. Sometimes the child has HIV/AIDS, they need medication. The grandmother needs food. They need a house. And nothing is there."

The grandmothers who gathered in Kaguri's childhood village begged Kaguri to help them. And he felt an obligation to give more than just pens, pencils and paper.

"These are women who had seen me grow up in the village," he said. "They carried me when I was hurt, they prayed for me when I was away studying. What was I supposed to do?"

Knowing that education had been so key to his success, Kaguri and his wife decided to use their life savings to start a free school in the village. They purchased two acres of land and built the Nyaka School, brick by brick, with the help of local volunteers. When the school officially launched on January 2, 2003, 56 AIDS orphans were the first students.

"We provide them uniforms. We provide them pencils. We give them shoes," said Kaguri, 41. "Everything we give ... is to try and eliminate as many obstacles as possible, so children can be successful and focus on education."

Early on, it was noticed that many children in the school were falling asleep because of hunger and malnutrition. So the school began providing students two meals a day. There is also a medical clinic on site.

Meanwhile, Kaguri continued to raise money for the project while he worked full time in the United States. When he learned that a child had walked more than 30 miles to attend the school, he started a second school, the Kutamba School, in the village of Nyakishenyi.

Today, between the two schools, there are 587 students -- kindergarten through 12th grade -- receiving a free education and health care. Nearly all of them have lost either one or both parents to AIDS-related illnesses.

The issue hits especially close to home for Kaguri, who has lost his brother, one of his sisters and a 3-year-old nephew to the disease.

Kaguri says he felt fortunate to have the financial means to help his brother's children financially, but in many similar cases, children end up homeless.

"Many of them are on the streets in Kampala eating from the dust bins," Kaguri said. "You see all these street children because they have no one to help them."

It's these children Kaguri says he thinks about as he raises funds and awareness for his schools.

"(We) take care of nearly 600 children in school," he said. "That leaves all these children who are walking around without an opportunity to get an education, to get health care, to get a meal to eat or even to get somebody to say, 'I love you.' "

Do you know a hero? Nominations are open for 2012 CNN Heroes

Of the students at his schools, Kaguri estimates that 65% of them are being raised by their grandmothers, many of whom are often without adequate health care, finances or basic housing. So in 2008, he started a program that offers support and education to the nearly 7,000 area grandmothers who are raising their grandchildren.

The program teaches the women practical life skills, offering advice on parenting, grief management, basic medical care, gardening and business development.

Kaguri says that by giving grandmothers access to microfunds, allowing them to start small businesses and make money, more children have access to an education. And by giving seeds to the grandmothers to grow, more children have access to food.

Grandmothers "are the pillars in the society, holding the society together," he said. "They are unsung heroes that people don't recognize."

Every grandmother in the program, Kaguri said, has received some form of training or household equipment to improve their life. And his organization has also opened a library, started a gardening program and installed a clean-water system to benefit the entire village.

Kaguri, whose organization is based in Michigan and is funded by individual donations and private foundations, spends much of his time fundraising, speaking and raising awareness. He travels to Uganda about three times a year.

He hopes this younger generation will lift the country out of poverty and create a better future for their families and communities. He says he dreams about building a school in every district in Uganda.

"I want to be an uncle for many so we can create other children who would be successful and do great things," he said. "It's giving them a hand up, just holding somebody's hand, trying to get (them) out of the pigeonhole they are in. ...

"I feel humbled looking in the faces of the children smiling, focused on what their dreams are going to be."

Want to get involved? Check out the Nyaka AIDS Orphans Project website at www.nyakaschool.org and see how to help.

@highlight

It's estimated that 1.2 million children in Uganda have lost a parent to AIDS-related illnesses

@highlight

Jackson Kaguri opened a school in his former village to help many of these children

@highlight

Kaguri is also supporting area grandmothers who have been raising them

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes