A bipartisan congressional report has found a widespread problem with counterfeit electronic parts installed or purchased for use in American military systems around the world.  Two U.S. senators said most of the bogus parts originate in China, according to an investigation by their staff.

"There's a flood of counterfeit parts entering the defense supply chain," Sen. Carl Levin, D-Michigan, told reporters at a news conference Monday, "it is endangering our troops and it is costing us a fortune."

Arizona Republican Sen. John McCain said the investigation documents the alarming "threat counterfeit parts pose to the safety of our men and women in uniform, to national security and to our economy."

"We can't tolerate the risk of a ballistic missile interceptor failing to hit its target, a helicopter pilot unable to fire his missiles, or any other mission failure because of a counterfeit part," McCain said.

A study by congressional staff found and examined about 1800 cases of suspected counterfeit electronic parts dating from 2009 to last year, totaling about a million individual components. Tracing the supply chain, 70% of the components came through China, where a variety of methods were used to misrepresent the parts as new and genuine.

Levin, chairman of the Senate Armed Services Committee, Tuesday holds a hearing on the matter and says he will propose holding contractors accountable for the cost of flushing out bogus components.

Both senators said the problem is partly the result of efforts in recent years to increase competition and lower the cost of supplying the military with spare parts to keep systems running.

"We have found in the past the $500 toilet seat, all of these things, when you rely on sole contractors." McCain said.

But they said leaders in China are another part of the problem.  China blocked Senate investigators from a proposed trip to explore the production and sale of electronics coming from China, saying it was a sensitive matter that could hurt relations with the U.S., the lawmakers told reporters.

"They have it backwards," Levin said. "They have the ability to stop this counterfeiting. It is being done in the open. We'll show pictures tomorrow of where it's being done."

"They're gonna have to stop it, or they're gonna pay a heavy price if we start inspecting all of their parts that are coming into this country."

The two men cited several examples where taxpayers had to cover the cost of replacing questionable parts with genuine components. Levin said the military should make sure its suppliers would have to pay, instead.

In one instance, counterfeit transistors were found in a Raytheon night vision system used on an anti-submarine helicopter, the failure of which could block the crew from seeing a target and aiming a missile. It would not affect flight capability.

A more serious risk to flight involves the Air Force C-27J, which has a cockpit video display from the contractor L-3. The company found suspected bogus memory chips, traced to China that could cause the display to fail and cause erroneous instrument readings.

Boeing was the third company cited by the senators in the report they discussed ahead of Tuesday's hearing. The contractor said its P-8A, a military version of a 737, was found to have counterfeit ice detectors. One of them fell out and was rattling around inside the module on the airplane, according to documents from 2009.

Levin said "If you put the onus on all of our contractors, which we should do, to make sure that the parts that are being supplied are legitimate parts, they will get that message back to their suppliers as well."

In addition to ranking executives from at least three U.S. defense contractors who will testify about the problem of bogus components installed in their systems, Tuesday's hearing will include first-hand witness accounts of production, processing and packaging in China of questionable and counterfeit parts.

@highlight

"Shocking" amount of counterfeit electronic parts in U.S. military gear

@highlight

U.S. Sens. McCain and Levin preview Tuesday hearing on procurement

@highlight

National security at risk by unreliable fraudulent components, say lawmakers

@highlight

China refuses to cooperate after being implicated as source