Washington (CNN) -- Chinese President Hu Jintao wrapped up his visit to the U.S. capital Thursday, telling an audience of American business leaders that Beijing is seeking closer ties and greater trust with the United States on a range of issues.

He sought to assuage concerns about China's rising economic and military power, declaring that his country "will never seek hegemony or pursue an expansionist policy."

The Chinese leader was unapologetic, however, about Beijing's position on the politically sensitive status of Tibet and Taiwan, calling it a matter of Chinese territorial integrity and a "core interest."

We are building "a socialist country under the rule of law," he asserted. He said relations between Washington and Beijing need to be governed by a belief in "equality" and "mutual respect."

Hu made his remarks at a luncheon hosted by the National Committee on U.S.-China Relations, the U.S.-China Business Council, and several other organizations.

Earlier in the day, Hu traveled to Capitol Hill, where congressional leaders used the occasion to raise strong concerns about Beijing's commitment to human rights and economic issues such as the protection of intellectual property.

Hu met with Senate Majority Leader Harry Reid, D-Nevada, and House Speaker John Boehner, R-Ohio, among others. Neither man attended Wednesday night's White House state dinner in honor of the Chinese leader.

Earlier in the week, Reid called Hu a "dictator" -- a word that was later recanted by his spokesman. Reid refused to answer CNN's Dana Bash when she asked him what he expected "to accomplish with a man you called a dictator."

Boehner noted that concerns related to tensions on the Korean peninsula also were raised during Thursday's talks.

We had "a good meeting," Boehner said. "I would hope that the dialogue on all of these subjects would continue."

Disagreements over human rights -- including China's treatment of imprisoned Nobel Peace Prize Laureate Liu Xiaobo -- were "raised very strongly," according to Rep. Howard Berman of California, the top Democrat on the House Foreign Affairs Committee.

"I would not indicate there was great engagement ... other than a general recognition by the president of China that they have a ways to go," Berman told reporters.

On Wednesday, Hu met with President Obama behind closed doors at the White House for several hours as top officials from both countries worked to address issues tied to the global economic crisis, international security, the environment and human rights.

Obama administration officials used the president's meeting with Hu to highlight economic progress between the two countries, announcing Beijing's approval of $45 billion in new contracts for U.S. companies to export goods to China. The contracts will support an estimated 235,000 American jobs, according to the White House.

The two leaders acknowledged continuing differences on human rights, but pledged to keep working on the matter in a "frank and candid way," according to Obama.

Human rights remains a touchy subject in China, as censors in the Asian nation made clear during Hu's visit by blacking out CNN's news broadcast each time the topic of human rights was mentioned. Even when Hu spoke about human rights, it was blacked out.

Censors also blacked the network out in China whenever a CNN report mentioned or showed video of Liu.

Footage of anti-China protesters near the White House was similarly blacked out.

Obama has nevertheless hailed Hu's visit as a chance to lay a foundation for the next 30 years of Sino-American relations.

"At a time when some doubt the benefits of cooperation between the United States and China, this visit is ... a chance to demonstrate a simple truth," Obama said Wednesday. "We have an enormous stake in each other's success. In an interconnected world, in a global economy, nations -- including our own -- will be more prosperous and more secure when we work together."

Hu declared the relationship between the two powers to be one of "strategic significance and global influence."

Under "new circumstances, and in the face of new challenges, China and the United States share broad common interests and important common responsibilities," he said.

"China and the United States should respect each other's choice of development path and each other's core interests."

The formal state dinner for Hu on Wednesday evening was the third such occasion of Obama's administration. Among the 225 dignitaries who attended were former presidents Jimmy Carter and Bill Clinton; former secretaries of state Madeleine Albright, George Schultz and Henry Kissinger; Supreme Court Justice Stephen Breyer; actor Jackie Chan; Washington Gov. Christine Gregoire; and designer Vera Wang.

Herbie Hancock and Lang Lang provided entertainment after the dinner.

The last White House state dinner for China was in October 1997, when Clinton welcomed President Jiang Zemin and his wife, Wang Yeping.

While Hu was at the White House, he joined Obama in a meeting with key business leaders. The list of corporate executives taking part in the discussion included Lloyd Blankfein of Goldman Sachs, HSBC's John Thornton, Intel's Paul Otellini, Motorola's Greg Brown, Microsoft's Steve Ballmer, GE's Jeff Immelt and Boeing's Jim McNerney.

Hu later met with Secretary of State Hillary Clinton and Vice President Joe Biden at the State Department. He was scheduled to head to Chicago on Thursday after the meetings on Capitol Hill.

During a news conference with reporters Wednesday, Obama said he had received a promise from Hu to establish a more "level playing field" for U.S. trade.

China's currency, Obama said, remains undervalued -- a key factor in America's trade imbalance with Beijing.

The two countries need to develop a "win-win situation as opposed to a win-lose situation," he said.

Hu conceded that key differences remain over economic policy, but he promised that Beijing would continue making attempts to resolve those differences.

Obama noted that he and Hu agreed on the need to reduce tension on the Korean peninsula and prevent further provocations from Pyongyang. A Korean peninsula with no nuclear weapons remains a key goal for both leaders, Obama stressed.

Obama also defended his administration's decision to engage with China despite differences over hot-button issues such as human rights. Obama said that "China has a different political system than we do" and is at a "different stage of development."

"I have been very candid with President Hu about these issues," he told reporters, and "occasionally, they are a source of tension."

Hu defended his country's human rights record, arguing that "China recognizes and also respects the universality of human rights." At the same time, he said, it is important to account for "different national circumstances."

"We will continue our efforts to improve the lives of the Chinese people" and promote "democracy and the rule of law," he said. But Washington, he indicated, should respect the principle of "noninterference" in domestic affairs.

CNN's Alan Silverleib, Ben Rooney, Tom Cohen and Aaron Smith contributed to this report

@highlight

Hu Jintao tells business leaders China is not pursuing an expansionist policy

@highlight

Congressional leaders discuss human rights and economic issues with Hu

@highlight

The session follows Hu's meeting Wednesday with President Obama