(CNN) -- When news first broke about a month ago about enterovirus D68, also known as EV-D68, with hundreds of children hospitalized across the United States with respiratory illnesses, I definitely took notice.

I clicked on a few news stories, like I'm sure many other parents did, especially since my girls, ages 6 and 8, were back at school and school, while wonderful, can also be a petri dish for young people.

But then I must admit I kind of put the issue out of my mind, worrying instead about homework, the fall routine and whether my girls are getting enough sleep. (Their mom certainly isn't!)

That was until I heard about a New Jersey 4-year-old who died in his sleep September 24. It is the first death health officials are directly linking to the virus.

Tests have also shown EV-D68 in four other people who have died, but the Centers for Disease Control and Prevention has said the role the virus played in those deaths "is unclear at this time."

As of Monday, the CDC has confirmed 594 cases of enterovirus D68 in 43 states and the District of Columbia.

When I put out a query to parents across the country on social media, asking if they are growing more anxious about the virus, many, like Cecily Kellogg, said they definitely are.

"I am way more interested and worried about enterovirus than Ebola," said Kellogg, a mom of an 8-year-old daughter in Philadelphia and host of the blog Uppercasewoman.com.

"While my daughter is (blessedly) healthy as could be with completely healthy lungs, and goes to a smaller school with fewer virus exposures, I still worry (particularly since, I, sadly, do have unhealthy lungs and while this is not an adult virus, I am still hyperaware)."

Avital Norman Nathman, whose son is 7, said her child's elementary school recently sent an email to parents letting them know a few students were home with a respiratory illness and one was hospitalized. The school did not make it clear if any of the children had enterovirus, she said.

But despite that alert, she said she's not in the "freak out" camp about the illness.

"In the large picture, there are really only a small number of cases of the virus across the country, but I think the media focus causes people to panic (and) worry about it," said Norman Nathman, editor of the motherhood anthology "The Good Mother Myth" and host of the blog The Mamafesto.

"It's definitely a scary illness but I'm not all that worried about my son contracting it."

Doctors urge parents to keep things in perspective. First, "few people who contract EV-D68 develop symptoms other than a runny nose and a cough," said Dr. Andi Shane, associate professor of pediatrics and global health at Emory University's School of Medicine and Children's Healthcare of Atlanta.

Secondly, the impact of EV-D68 is "quite modest" as compared to the flu, said Dr. Andrew Pavia, chief of pediatric infectious diseases and epidemiologist for Primary Children's Hospital, which is part of Intermountain Healthcare in Utah.

"Flu kills several hundred children in an average year," said Pavia. "This is dramatically more than the impact of EV-D68, but we are familiar with flu, while EV-D68 is something that seems new and noteworthy."

So, who is most at risk? It appears that children with asthma are more likely to develop significant symptoms than children without a history of breathing issues, doctors said.

The most important sign that parents should be on the lookout for is trouble breathing.

"Children who may need medical attention may breathe fast, use their neck or chest muscles to breath, and feel as if they cannot catch their breath after coughing," said Shane, who is also the Marcus Professor of Hospital Epidemiology and Infection Control at Emory.

Children who may not be able to drink well may also require medical attention, she added, as well as any child who is not acting like his or herself.

Many parents are heading to the doctor's office earlier than usual because of fears of enterovirus.

Said a parent on Twitter, "My child was sick last night. At dr today just to rule it out. Normally I would just keep close eye 4 a day."

Another concern for parents is figuring out when to keep children home from school to keep them safe.

Pavia said he would not let fears a child will get the virus guide that decision.

Many children will never catch it and most won't become seriously ill if they do, he said. Plus, he said the dangers may be decreasing.

"By this time in many cities, the virus is on the wane, so the risk is going down. In fact, many children have probably already been infected and are now immune but because the symptoms were not remarkable, no one knew."

The only reason to keep a child home, said Shane, is if the child is sick or if school officials advise children to stay home because other children in the school are hospitalized.

The best prevention is exactly what you likely tell your children every day. They should wash their hands frequently and carefully, especially after using the bathroom, before eating and after they come into contact with people who have cold symptoms, Pavia said.

There has been some speculation that hand sanitizers don't work with this virus, and that may be partially true, he added.

"Enteroviruses are somewhat more resistant to alcohol-based (sanitizers) than another viruses," he said, so soap and water is the best first choice and hand sanitizers are a good backup if you can't wash your hands.

"Doing something to wash your hands is better than doing nothing," he said.

Norman Nathman said while she is not worried about her son getting the virus, she's taking advantage of all the attention.

"It's a good opportunity to do what we can to boost our children's immune systems, get flu shots and remind about best practices when it comes to hand washing, etc."

Are you growing more concerned about enterovirus D68? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

New Jersey preschooler first death officially linked to enterovirus D68

@highlight

Nearly 600 cases of the virus in 43 states and Washington, D.C.

@highlight

Few people who get the virus will have serious symptoms, doctors say

@highlight

Doctors also caution that flu remains a bigger danger for children