New York (CNN) -- Merging magazine cutouts, painted objects and even motorbike parts, Kenyan artist Wangechi Mutu creates layered images of fantastical figures, transforming the female form into something both powerful and primal.

Famous for her collages, Mutu has had her work shown all over the world, including her most recent exhibition at the Guggenheim in Bilbao, Spain.

Mutu's renderings challenge widespread depictions of the typical female form, creating a new kind of woman. Her creations have sometimes been described as grotesque, but she says it doesn't bother her at all.

Speaking to CNN's Isha Sesay, Mutu said: "It means that people are looking. It means their senses are on when they are in front of the work, which is important. Because for me, it's important to think about and understand what's in the work."

An edited version of the interview follows.

CNN: I want to start by talking about your work and its content.

Wangechi Mutu: There are a lot of bodies in the work, there are a lot of animal bodies and organisms and women and men's bodies and they all come together. They mesh up into shapes that are often female-like, and in the end I do obsess over the female form because that is the place where I want to express some of these issues I have with the way women's bodies are written upon and women's bodies are talked about and women's bodies are depicted.

So that becomes my experiment. My lab is this female body that becomes this vessel where I place all of this stuff in.

CNN: When we look at the female form in your work what are we seeing?

WM: Often there's an emphasis in my work and it's sort of the celebrating of the body. I'm very much a person that believes that there's something that was introduced into Kenya and Africa as we know it that has made us despise our bodies.

So that's the first thing -- I try to introduce something celebratory and interesting about the body, that the body is important.

CNN: Despise is a strong word -- what do you mean with that?

WM: Being taught to despise your body is being taught to perhaps admire someone else's body more than yours -- being taught that your body is good for certain things and not for others. It's good for labor, but it's not ideal if someone were to sit in a political post or something. It belongs in a certain frame and not in others and I think that was something taught to us, given to us or forced upon us.

CNN: What's with the motorcycle parts? Because there seem to be motorcycle parts embedded in your work. What does that mean to you?

WM: A lot of motorbikes have been built to look like women, and to feel as if you were on a woman. So I think that's also what I've been trying to sort of do is take apart this machine and implant it into these bodies and sort of give the women a kind of strength that the machine supposedly represents for the man.

It's like they're taking it back and they become these cyborgs, these fierce female cyborgs. Who knows what they're going to do with that strength!

But for me it's my little way of giving back the women that power that's taken away, especially in the representations of women in these kinds of magazines because they really are the focal point and in a way that sexualizes the machines so men will buy more of them.

CNN: Your work has been described by some as both beautiful and grotesque, repulsive. Does it bother you?

WM: No it doesn't bother me. It means that people are looking. It means their senses are on when they are in front of the work, which is important.

For me, it's important to think about and understand what's in the work but I think visuals need to enter, they need to dissolve themselves into your psyche and if people start to get grossed out by something that's not overtly gross -- I mean it's a static image, it's not sort of throwing itself at you -- there must be some sort of wonderful process going on in their brain, which is good.

CNN: The collages, let's talk about the form. I'm fascinated by them because someone who does collages strikes me as someone who has to be slightly OCD. Are you obsessive?

WM: Very, yeah! I am very obsessive with this actual practice and technique because it calms me down. It's a meditative, calming obsession, believe it or not. It's like the monotony of when you knit, there's something about that rhythm that allows your mind to wander or at least allows for free association to happen.

For me collages manage to, it satisfies all of my madness, like I'm able to make these obsessive things but then I'm also able to make these very strong statements. I don't know what they mean to other people, but in my mind they have a very strong particular resonance; there's sort of a power.

I'm sort of fusing languages, which is actually a good way of talking about what Kenya is, in fact what Africa is, this fusion of people and this attempt to try and create commonality amongst people who don't come from the same place.

So I feel that's very alive in the work, this sort of intense desire to bring it all together.

@highlight

Wangechi Mutu is a Kenyan artist, famous for her powerful collages

@highlight

Her creations have been exhibited in major museums across the world

@highlight

Mutu was named Deutsche Bank's Artist of the Year in 2010