(CNN) -- Janine Benyus is a pioneer and champion of the Biomimicry movement and author of the influential 1997 book "Biomimicry: Innovation Inspired by Nature". Benyus draws her design inspiration from nature's wisdom and believes that we can use nature's best ideas and processes to solve human problems.

CNN spoke to her about her inspiration, her work and her hopes for the future.

CNN: How would you describe yourself?

I'm natural sciences writer and the author of a book about biomimicry and these days, I'm a biologist at the design table.

Janine Benyus, who coined the term biomimicry, gives talks on how companies can be inspired by nature.

CNN: What do you mean by the term "biomimicry"?

Well bio-mimicry is basically innovation inspired by nature; it is looking to nature for advice, design advice, when we are trying to create new products or processes.

It's borrowing nature's designs and recipes and strategies, and actually emulating them.

So for instance, if you are making a new kind of solar cell, you might want to look at leaves as your model. And ask, how do leaves photosynthesise? Then try to copy the design that nature has evolved over 3.8 billion years.

CNN: How did you come to coin the term "biomimicry?"

It came about through my work as a natural history writer. I had written five natural history books, and they are full of plant and animal adaptations that are just amazing.  I wrote books about how organisms are so exquisitely matched to their environments through their adaptations, you know, how the whale is able to dive as deeply as it does, how the swift is able to fly.

Then it occurred to me, is anybody trying to emulate these amazing technologies and chemistries and designs? Is anybody borrowing nature's blue prints, and actually trying to leap frog and take advantage of the wisdom of all those years of evolution.

Once I asked that question, I began to collect all these papers and that was back in 1990. I wrote the book in 1997.

CNN: How did writing the book impact your life?

After it was published, I went back to write my next natural history book. And the phone started ringing. It was a surprise to me; it was companies and individual inventors.

Companies that were inventing everyday and they had problems to solve. They said, "Gee the book was fabulous it was about all this science that was happening in the bench and early stage research. But we're doing innovation in real time. Can you come and be a biologist at our design table."

CNN: Did it all just snowball from there?

Yes, I got a call from a woman named Dayna Baumeister, who was doing a PHD at the university of Montana, and she had just read the book, and she said 'My God, I just read this book and I shook for three days' and she said 'this is what I want to do with my life, can I come and see you?' She came down to my house and we talked for about 11 hours straight.

We started to do design workshops for people in the design professions to teach them how they might look to the natural world for practical solutions for practical models and that's how the Biomimicry Guild started.

CNN: Can you give us an example of the kinds of problems we can solve through biomimicry?

A company may ask us a question like, 'how does nature reduce vibrations' and we'll look at how mammals do it, how birds do it. Then we'll come up with different ideas, and very often, they are incredibly elegant.

Think of these birds flying around, they have to be strong but lightweight. So all of these technical questions these companies were asking, we were able to provide them with biological models.

You want a way to take salt out of water, look at how mangroves are living in salt water but feeding themselves on fresh water. We were simply creating a new source of inspiration for designers and engineers by looking at the biological research that had already been done.

CNN: What kind of work do you do at the Guild?

JB: You know biological knowledge is doubling every five years. Enormous amounts of data, and now with all the searching tools, we are able to look functionally to find some of these answers.

We started the Guild in 1998 and we have everything from a dial-a-biologist service, where you can call us for an hour and we brainstorm with you to a head-hunting service, where we actually find a biologist to sit at your design table, we train them and vet them to make sure they're suitable.

CNN: Do you have a typical client profile?

No. We could get a call from the vice president of general electric research, and we would pick up the next line and it would be an 8th grader asking us to help him with his homework. Then we realized we probably have two kinds of organizations here, and then we started the Biomimicry institute.

CNN: How does the Institute differ from the Guild?

The institute is devoted to research and education, both formal and informal. We put things there that we want to make sure stay in the public domain, so we have a portal called asknature.org. and our mission is to organize all biological information by function.

For example, an inventor sitting in a barrio in Brazil, if they have access to the internet, can type in a question 'how does nature lubricate,' and that information is free to them.

CNN: What other projects are you working on?

The other initiative that we have that I'm excited about is something called "Innovation for Conservation."

We think that if you build a wind turbine and get a great idea from a humpback whale's flipper, that the least you can do is celebrate that insight, by saying thank you and making a thanksgiving loop. Basically, it's just good manners to say "thank you" in some way.

"Innovation for Conservation" would take proceeds from a product that is bio-inspired and send them back to restore or conserve the habitat of the organism that inspired it.

CNN: Can you give us a glimpse of how you see the future?

Well, my most optimistic future would be one in which our technologies would be as well adapted as nature's.

I think that if we really pay attention and we become nature's apprentice, if we begin to learn from these designs and recipes and strategies in the natural world and we recreate our technologies in that image.

I believe that every organism that I can see is sweetening this place. I think if we were to learn from their strategies, we too might be participants in that process, not depleting this place that sustains us, but actually enhancing it to the point where it becomes more and more conducive to life.

@highlight

Janine Benyus is pioneer and champion of the Biomimicry movement

@highlight

Benyus believes we can use nature's best ideas to solve human problems

@highlight

Benyus consults with companies as a "biologist-at-the-design table"