(CNN) -- Some mothers choose what their children will eat. Others choose which children will eat and which will die.

A Haitian boy begs for food. One child dies from hunger every six seconds, an aid agency says.

Those mothers forced to make the grim life-or-death choices are the impoverished women Patricia Wolff, executive director of Meds & Food for Kids, encounters during her frequent trips to Haiti.

Wolff says Haitians are so desperate for food that many mothers wait to name their newborns because so many infants die of malnourishment. Other Haitian mothers keep their children alive by parceling out food to them, but some make an excruciating choice when their food rationing fails, she says.

"It's horrible. They have to choose among their children," says Wolff, whose nonprofit group was formed to fight childhood malnutrition. "They try to keep them alive by feeding them, but sometimes they make the decision that this one has to go."

The Rev. Martin Luther King Jr. declared in his Nobel Peace Prize acceptance speech that "I have the audacity to believe that peoples everywhere can have three meals a day for their bodies." Four decades later, King's wish remains unfulfilled. The global food market's shelves are getting bare, hunger activists say -- and it will get worse.

Food riots erupted across the globe this year in countries such as Egypt and India. Food pantries in the United States also warned that they were running out of food because of unprecedented demand. The news from the World Food Programme is even grimmer: A child dies of hunger every six seconds, and hunger now kills more people every year than AIDS, malaria and tuberculosis combined.

As World Hunger Relief Week is marked, more people are asking: Why are so many people starving and what, if anything, can be done to eradicate hunger?

The end of food?

Wolff thinks hunger can be conquered. Her group produces "Medika Mamba," energy dense, peanut butter food that's designed to ensure Haitian children survive childhood. Medika Mamba is easy to make, store, preserve and distribute, she says.

"It just takes the will to do it," she says of eliminating hunger. "Look at what we did for Wall Street. We didn't have enough money for infrastructure, schools, but all of a sudden, we had all of this money for Wall Street."

Raj Patel, author of "Stuffed and Starved: The Hidden Battle for the World Food System," says the right to food should be seen as a human right. But, he says, powerful corporate food distributors control too much of the world's food supply to ensure a robust global food supply.

Patel says "2008 was a record year in terms of harvest. There's more food per person in 2008 than there's ever been in history. The problem is not food, but how we distribute it."

Other causes for the rise in global hunger have been documented. They include:

• Surging oil costs have made it more expensive to harvest, fertilize, store and deliver food.

• The rise in droughts and hurricanes worldwide has wiped out crops and made farming more difficult.

• The world is running out of the raw materials -- water, oil, good farmland -- needed to keep the food system intact.

"A lot of people have begun to understand at various levels that the food system, as it is, can't go on," says Paul Roberts, author of "The End of Food."

Every time an American bites down on a steak or hamburger, they're contributing to global hunger, Roberts says. As other countries become more affluent, they're copying our meat-heavy diet. The problem: It takes so much grain and other resources to produce meat, he says.

"If the rest of the world were to eat like we do, the planet would collapse," Roberts says. "There's been this unspoken assumption that the rest of the world won't eat meat like we do. That doesn't go over well in countries like China."

Fixing our food system would be similar to weaning ourselves of our addiction to oil, Roberts says. It's going to require innovation, heavy business involvement and changes in public policy.

People are going to have to find ways to grow food with less fertilizer and water, and use less energy to store and transport food, he says.

Much of this innovation will have to be driven not just by activist and aid workers, but by savvy business people, he says.

"It's going to have to be profitable or the market won't be interested in it," Roberts says. "And if the market isn't interested in it, it's not going to happen."

In the meantime, Wolff offers some of her own solutions. She says the practice of big foreign aid agencies shipping in food to poor countries like Haiti needs to be modified. Food has become too expensive to produce, ship and store, she says.

"You can't count on big aid agencies showing up to save everybody," she says. "Not everybody can do it, and when they do it, it's not soon enough and not long enough."

She suggests that more groups teach local farmers in poor places how to produce their own crops. In Haiti, for example, her group employs 22 Haitians who make Medika Mamba and teaches other farmers how to grow crops for the mixture.

"Instead of throwing fish in the crowd, we should be teaching people how to fish," she says.

Until that day takes place, Wolff, who is a pediatrician in St. Louis, Missouri, will continue to make her trips to Haiti, where mothers are forced to make their grim choices.

"It's the most difficult thing I've ever done," she says. "You realize how absolutely blessed you are by the fate of your soul coming down the chute in the United States of America," she says. "You wonder: Why did this happen to me and not to them?' ''

@highlight

Global food system can't survive, author warns

@highlight

Catastrophic weather and rise in oil prices contribute to food shortages

@highlight

Food shortages now seen in the U.S.

@highlight

Haitian mothers forced to choose which children will live or die