(CNN) -- It's hard to keep up with so many statistics about modern parenting, but here's one that floored me when I heard it a few years ago: By 4, children living in poverty hear 30 million fewer words than children in higher income households, according to researchers.

Thirty million!

That is horrendous, but it gets worse: Hearing fewer words leads to learning fewer words, which means children start kindergarten with smaller vocabularies and a so-called "word gap." Often, they can't catch up when it comes to academic readiness and long-term achievement, studies have found.

This week, the American Academy of Pediatrics announced new guidelines that encourage doctors to talk to parents not just about nutrition and illnesses but about the importance of reading out loud, singing and talking during an infant's first days.

"Fewer than half of children younger than 5 years old are read to daily in our country," the group's president, James M. Perrin, said in a statement. "The benefits are so compelling that encouraging reading at young children's check-ups has become an essential component of our care."

Pediatricians see 16 million children 5 and younger every year in the United States, said Patti Miller, co-director of Too Small to Fail, a joint initiative of the Clinton Foundation and Next Generation, which is focused on helping parents close the "word gap" and improve the lives of children.

"So getting this word out through pediatricians and having them recommend to parents and support reading out loud to their children starting in infancy is so amazing and critically important," Miller said.

My husband and I read aloud to our girls, 6 and 8, every day from the minute they were born, and we still do it during breakfast or before bedtime. Their love of reading shows us they have certainly benefited, and it truly pains me to think about their peers who might have missed out before enrolling in elementary school.

President Barack Obama, in a video released by the White House on Wednesday, saluted the move by the doctor's group in connection with Too Small to Fail to help "bridge the word gap'" and increase children's chances of success later in life.

"We know that ... if a black or Latino child isn't ready for kindergarten, they're half as likely to finish middle school with strong academic and social skills," Obama said.

"By giving more of our kids access to high-quality preschool and other early learning programs -- and by helping parents get the tools they need to help their kids succeed -- we can give those kids a better shot at the career they're capable of, and the life that will make us all better off."

The key is getting the message to parents who too often don't realize the importance of reading aloud, talking and singing in the early years, Miller said.

"While this is a big gap, the good news is that the solution is pretty straightforward and we know that if we can get this important message out to parents about why you need to talk, read and sing, it can go a long way in terms of ameliorating this word gap," she added.

The mission has some bipartisan support. Too Small to Fail released videos Wednesday of Cindy McCain, wife of Republican Arizona Sen. John McCain, former GOP Sen. Bill Frist and Hillary Clinton, who are teaming up to raise awareness about the importance of early literacy.

Clinton talked about how she sang to her daughter, Chelsea, every night when she was a baby. When Chelsea finally mouthed "No sing, mommy, no sing," Clinton went back to reading, she said in the video.

"Singing, reading or just talking is an important part of not only my daughter's brain development, but every child's," Clinton said. "Thanks to new research, we know that children's brains light up and make new connections when their parents speak to them from the earliest days, but many of our youngest kids aren't getting the support they need to grow and thrive."

Said Cindy McCain, "As a parent and former teacher, I'm very familiar with the way a child's eyes light up when he or she first starts to understand a new concept. Every moment a parent spends with a child, talking, singing, reading a bedtime story is an opportunity to make a lifelong impact in the child's life."

As part of the effort, Scholastic Inc. is donating 500,000 books for children up to 3 years old during the next year. The books will be distributed to 20,000 medical providers nationwide to be given to families during pediatrician visits.

The American Academy of Pediatricians and Too Small to Fail are also developing a toolkit to help doctors teach parents how they can add more communication with their infants and toddlers to every day activities such as diaper changes, meal time, bath time and bus rides.

"Parents don't have a lot of extra time. They're working, they're often working multiple jobs and doing their best to get everything done in a day so what we're trying to do is make these tips very simple and straightforward," Miller said.

If you have an infant or a toddler or you know anyone who does, encourage them to sing, talk and read aloud to their littlest ones. Those activities are just as important as making sure they get all the food and sleep they need to thrive.

For more resources on how to communicate with your infant or toddler, check out tips here from Too Small to Fail.

Did reading to your children make a difference in their lives? Share your thoughts in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

The American Academy of Pediatrics announced new guidelines on early literacy

@highlight

Doctors should encourage parents to read out loud to infants and children, group says

@highlight

Research: Low-income children hear fewer words than kids from higher-income families

@highlight

President Barack Obama touted importance of reading out loud in new video