Dearborn, Michigan (Kaiser Health News) -- Signing people up for health insurance is the easy part of Rawha Abouarabi's job ministering to immigrants and Arab Americans in this manufacturing hub along the Rouge River.

But many of those she's enrolled are surprised and indignant when they go to the doctor and are asked to a pay a bill -- perhaps a copayment. They insist they've already paid their monthly insurance premium.

"They call us and say, 'It's a scam'," says Abouarabi, an insurance navigator for the Arab Community Center for Economic & Social Services (ACCESS), a nonprofit agency that specializes in helping the largest Arab-American population in any U.S. city.

That's just one example of the confusion immigrants face as they try to navigate the U.S. health care system. Even after signing up for insurance through the Affordable Care Act, advocates find that explaining to clients that they will still have to pay out of their own pockets each time they go to the doctor or get lab tests requires more than translating words like "premium" and "deductible" for non-English speakers.

"This whole concept of insurance doesn't exist in the Eastern world," said Madiha Tariq, public health manager for ACCESS. "People are always confused about the health care system when they come to this country."

Problems like this are arising all over the country where Latino, Asian and other immigrant populations face cultural as well as language barriers.

Non-citizens are three times more likely to be uninsured than U.S.-born residents, according to the Kaiser Commission on Medicaid and the Uninsured. As many as 10 million non-citizens living legally in the United States are expected to gain health insurance through the Affordable Care Act, although it's unclear how many have gained coverage so far.

Mandate covers legal immigrants

Many of these immigrants are getting insurance because the ACA requires them to do so, just as it does for U.S. citizens, and because it may be affordable for the first time.

Like citizens, legal immigrants can use the law's online exchanges to sign up for coverage and find out if they are eligible for government subsidies. They also face a tax penalty if they don't sign up.

Immigrants who are not in the country legally, however, are barred from using the exchanges and aren't required to have coverage.

ACCESS clients typically hail from places such as Yemen, Lebanon, Iraq, Bangladesh and Syria. Besides training navigators and helping clients enroll, the center offers primary care services, cancer screenings and various public health awareness workshops in the community.

Some of them are not easy to convince that they should enroll in health coverage.

"Iraqis don't believe in insurance," said Hasanain Al Ani, a case manager at ACCESS and a refugee from Iraq, who says people from his country are accustomed to government-sponsored health care. "They don't know about it [health insurance] and they don't want to know about it."

Tariq said another challenge has been helping clients understand how access to doctors works in the United States.

"In their country, the wait time depends on socioeconomic status ... the lower the status, the longer the wait time," she said.

Barra K., 27, who didn't wish to be identified by her full name, came to Dearborn as a refugee from Baghdad in February and developed a severe sore throat. She was shocked at the prices for the medication, let alone what it costs to see the doctor as someone without health insurance.

"Here I have to pay $70 to see a doctor, but in Iraq I only have to pay $15 and do not have to wait as long," she said.

She couldn't afford the doctor or the medication so she had to wait the illness out. She does not qualify for full Medicaid services because she hasn't been in the country for five years, but Michigan's Medicaid program does give her access to some limited emergency services.

Cultural issues can be barrier to care

But toughing it out is harder for people with chronic diseases, which are a big problem among ACCESS clients who suffer from diabetes, breast cancer, cardiovascular disease and, oftentimes among refugees, depression.

Cultural barriers also make it difficult to get some clients to come in for care.

"We have ladies who have never had a mammogram," Tariq said. "Cancer is stigmatized in the Arab culture. [Women] were scared no one would marry their daughters if others found out they were diagnosed."

That's because people worry the cancer is hereditary and can be passed down from mother to daughter.

To persuade women to come in for mammograms, Tariq said, ACCESS has an unmarked door that allows them to slip in and out of the testing area without being identified. ACCESS also distributes a special pamphlet for Arab American women, explaining the importance of mammograms and how to examine themselves. It also pairs women diagnosed with cancer with survivors who can help them navigate the system and give them support. Public health workshops have also helped get others to come in regularly for testing and physicals.

ACCESS also helps people with chronic illness navigate how to pay for their care.

"As a diabetic I was walking on eggshells," said Najwa Dahdah, 48, as she talked about paying for the insulin she needed to manage her diabetes.

She had had insurance, but after getting diagnosed with diabetes while she was pregnant with her third child in 2005, her premium skyrocketed from $400 a month to almost $900 a month. She canceled the policy and started paying for doctors' appointments out of pocket. She clipped manufacturer coupons and constantly asked her doctors for insulin samples to help her manage her ailment.

But since signing up again under the health law, which prohibits charging higher premiums to those with health issues, Dadah and her husband receive $430 in subsidies toward their monthly insurance premium, while her children qualify for Medicaid, the federal-state insurance program for the poor.

The premium "is now $133 for both my husband and I through Blue Care Network," Dahdah said. "It's a blessing."

States work around Obamacare to help undocumented immigrants

Kaiser Health News is an editorially independent program of the Kaiser Family Foundation.

@highlight

Immigrants often face confusion as they try to navigate U.S. health care system

@highlight

Affordable Care Act requires legal immigrants to get health insurance

@highlight

Non-citizens three times more likely to be uninsured than U.S.-born residents