(CNN)  -- When talking about so-called family values, pastors, popes, and politicians routinely quote the Bible as if it were an unassailable divine authority --  after all, they assume, God wrote the Bible, and therefore it is absolutely and literally true.

But that is a misconception. As the Bible itself makes clear, its authors were human beings, many of whom are named: David, Isaiah, Luke, and Paul. These human writers wrote over the course of more than a thousand years, and their writings reflect their own views and the values they shared with their contemporaries. So it's not surprising that inconsistencies are frequent in the Bible, both trivial and profound.

Although Jews and Christians, individually and collectively, have for the last 2,000 years accepted the Bible as authoritative in principle, in practice many of its values have been rejected. On issues such as slavery, no one today would maintain that slavery is acceptable, even though, according to the Bible, it was a divinely sanctioned institution. In the debates about slavery in the 19th century those opposed to its abolition cited the Bible in support of their position, but despite such biblical warrant, their views were renounced.

According to biblical law, a father could sell his daughter as a slave, and the last of the Ten Commandments lists as off-limits a neighbor's possessions -- his house, wife, slaves, and livestock. But the majority of modern Jews and Christians no longer accept the biblical view of women as men's property and hence subordinate to them, as they have also abandoned the biblical practice of polygamy.

In current debates about family values, most of which have to do with sex, opponents of abortion and advocates of a woman's right to choose both cite the Bible in support of their conflicting views, even though the Bible in fact says nothing specifically about the issue. And with regard to same-sex marriage, although the few biblical writers who mention same-sex relationships, especially between men, were unequivocally opposed to them, many contemporary believers would argue that, as with slavery and the status of women, it is time to recognize that the values of the biblical writers are no longer necessarily our own.

Opponents of same-sex marriage cite Leviticus, which says that when a man sleeps with a man as with a woman it is an abomination. They're right: It does say that. But it later calls for the death penalty for such activity, which only the most rabid opponents would insist on. The Bible also calls eating pork and a woman wearing a man's clothes abominations, yet many would no longer enforce such prohibitions.

Individual biblical texts should not be appealed to selectively: Such cherry-picking is all too easy because of the nature of the Bible as a multi-authored book. Rather, as with another formative text, the Constitution, one needs first to understand it historically -- what did its words mean when they were written -- and then attempt to determine what its underlying values are, not just what it says in a specific passage. Only in this sense can the Bible be considered to have timeless relevance that transcends the historical particularities of its authors.

What are those underlying values? I would argue that they are rooted in love of neighbor, which Jewish and Christian commentators over the ages have identified as the essential and enduring message of the Bible.

Here are three of them. The great Rabbi Hillel, who when asked what the basic principle of the Torah was, replied: "What is hateful to you do not do to your neighbor: That is the whole Torah; the rest is commentary." His words are echoed both by his near-contemporary, another rabbi, Jesus of Nazareth, who put it this way: "Whatever you wish people to do to you, so you should do to them: for this is the Law and the Prophets," and by an early leader in the movement that Jesus started, the rabbinically trained Paul, who pronounced that "Love is the fulfilling of the law."

So, I suggest, the essence of the Bible --  its ultimate authority -- is not in its individual pronouncements, but in its underlying message: equal, even loving, treatment of all persons, regardless of their age, gender, socio-economic status, ethnicity, or sexual orientation.

The opinions in this commentary are solely those of Michael Coogan.

@highlight

Michael Coogan: Bible seen as unassailable divine authority, but it was written by men, not God

@highlight

Written over course of 1,000 years, each writer reflecting values of his day, he writes

@highlight

Much in Bible rejected: Slavery, women as property, pork as abomination, Coogan says

@highlight

Coogan: Bible's true timeless message is equal, even loving, treatment of all people