The news that a Spanish woman has contracted the Ebola virus has raised questions about what went wrong in the treatment of two patients evacuated from West Africa to Madrid, allowing the potentially deadly disease to spread from person-to-person outside Africa for the first time in this outbreak.

How did the patient contract Ebola?

The woman is a nursing assistant at the Carlos III Hospital in Madrid; it is thought she was exposed to the virus while trying to help one of the two Spanish people flown there for treatment after they contracted Ebola in West Africa.

Spanish health authorities insist all health protocols and procedures were followed in the care of missionaries Manuel Garcia Viejo, who became sick while working in Sierra Leone, and Miguel Pajares, who was taken ill in Liberia. Both men eventually died of the disease.

An investigation is under way into how the woman, who is in her 40s and married, was infected. It is thought there was no obvious problem, such as a torn glove, which would have raised the alarm; concerns only emerged when she became ill on September 30, four days after the death of the second patient.

Dr. William Schaffner, from the Department of Preventive Medicine at Vanderbilt University in Nashville, Tennessee, said the woman's infection was likely due to "gaps in the safety protocol, the infection control precautions" at the hospital.

"Healthcare workers are at really great risk when they take care of patients with Ebola, and we anticipate that from time to time there may be one or perhaps even a few cases of transmission from patients with Ebola, during healthcare, to their healthcare providers," Schaffner told CNN.

However, some Spanish unions are blaming the government, saying they warned that personal protective equipment used by the medical team did not meet the highest standard; authorities say proper procedures were followed.

Epidemiologist Professor David Heymann, who worked on the world's first Ebola outbreak and now heads Public Health England, said the precise cause of the infection may never be known.

"The barrier was let down somehow," he said. "It could be something as simple as a defect in a rubber glove, or a momentary lapse, or it could be something major that the nurse does not want to report. These things do happen; it's not clear and may never be."

How can hospitals protect medical staff from Ebola?

The Ebola virus is transmitted by contact with the body fluids of an infected person, so hospitals must take steps to ensure their workers are protected from them.

"There are protocols that if you follow carefully, you diminish greatly the likelihood that you're going to get infected," explained immunologist Dr. Anthony Fauci, of the U.S. National Institute of Allergy and Infectious Diseases.

The U.S. Centers for Disease Control and Prevention (CDC) recommend that medical personnel treating those with Ebola wear protective clothing including gloves, an impermeable gown and eye protection.

It says extra precautions should be taken when the patient's condition means they are likely to come into contact with "copious amounts of blood, body fluids, vomit or feces."

Fauci says that to keep medical staff safe "it's more than just goggles and gloves. It's a hood, it's a gown, it's a rubber apron, it's coverings for your shoes. It's everything that can keep a splash of body fluid away from you."

And he says that as well as having the right equipment, workers must know how to use it effectively, and to dispose of it properly.

"It's important to wear it, but it's important also that when you take it off, you take it off properly," he insists. "It is conceivable that you could be protected while you're doing everything you need to do with the patient and then as you remove the protective material that could be a point of vulnerability."

Is the hospital equipped to handle Ebola cases?

The medical facility where the nurse's assistant worked, Madrid's Carlos III, is a specialist hospital for infectious diseases.

In addition to Spain, patients suffering from Ebola have been evacuated to Germany (two), France (one), the UK (one) and Norway (one); this is the first time a medical worker treating one of them has been infected.

"The hospitals where the patients are being taken are supposed to be equipped and ready to deal with Ebola patients," European Commission spokesman Frederic Vincent told CNN.

All members of the medical team which treated Garcia Viejo are now under observation, as are the woman's husband and the ambulance crew which took her to hospital.

READ MORE: Scientists race to develop Ebola drugs

Is Ebola likely to spread in Europe?

Following news of their colleague's illness, medical staff in Spain have taken to the streets complaining at the way the government has handled the Ebola cases.

"We were kind of expecting this," said Paloma, a nursing assistant at Madrid's La Paz Hospital. "At least I was expecting it, because this is not a game to be played in the way that they've done it. It's a very worrying matter, and they have not handled it correctly."

Some argue that the two missionaries were so ill they should not have been brought to Spain for treatment, exposing many others to the disease.

But experts insist the risk of an Ebola outbreak outside Africa are still very slim.

"If protocols are being followed, it's highly unlikely that an outbreak could happen in the EU," said Vincent. "But zero risk doesn't exist, particularly in a hospital where staff are dealing with sick people.

"We need to find out as soon as possible what happened and if we need to revise procedures."

READ MORE: How the Ebola virus spreads

What lessons can be learned from the Spanish case?

Experts say the news from Madrid should act as a wake-up call to healthcare authorities around the world of the risks their frontline staff face, of the precautions that need to be taken when dealing with Ebola, and of the need for everyone to be prepared.

"If you're running a hospital or if you're a public health administrator in a big city, you should definitely be concerned by this," said Dr. Alexander van Tulleken of Fordham University in New York.

"This should be a disease you can prevent by really rigorously adhering to protocols, and what we're seeing [with this case] is that even if teams notionally know what they're doing -- there's a protocol in the drawer, they've ordered the right kind of suits - that people have to be really well-versed in putting them on, in taking them off, in practicing.

"This is about drill, practice and preparedness," he said.

"Every hospital everywhere needs to be aware that this could come to them," insisted Professor Heymann. "They need protocols in place, and they need to be ready to deal with it."

READ MORE: Spanish nurse infected with Ebola virus

@highlight

Spanish nursing assistant contracts Ebola after treating seriously ill missionary in Madrid

@highlight

Dozens of hospital staff are now being monitored for signs of the potentially deadly virus

@highlight

Experts say Ebola can be contained by strict safety protocols and procedures

@highlight

Wake-up call for medics: "Every hospital everywhere needs to be aware this could come to them"