(CNN) -- A recent study with a catchy headline about the most stressful jobs of 2013 found its way to the soft hour of news this week.

The annual study by careercast.com created some buzz in the online water cooler and I was asked to appear on the "Today" show to talk about it. Colleagues e-mailed me and posted on my Facebook page about where their chosen professions ranked. My media friends couldn't help noticing that public relations professionals, reporters and photojournalists all made it into the top 10 for stress.

The "study," referred to in quotes in some of the commentary, considered some logical criteria to come up with these rankings. Proximity to risk of death (yours or others'), travel, deadlines, working in the public eye and physical demands all racked up points on the stress scale. And there's no arguing that military personnel, firefighters and police officers -- all high-rankers on the most-stressed list -- are exposed to higher stakes than your typical seamstress (holder of the second-least stressful job slot).

The job that snagged the "least stressful" slot, according to the survey, was "university professor," a designation that caused outrage among people who actually hold that job. One commenter conceded that most academic jobs don't put you in personal danger (though you can argue that point), but anyone who's ever been around professors knows that faculty politics, difficult students and pressure to "publish or perish" can cause even the most calm character to crack.

We could debate whether these designations make any sense. And whether every police officer, firefighter and member of the military faces the same amount of stress.

But let's make sure we are having the right conversation. How many people choose a profession based on how high the stress level is? And how can you measure stress objectively? If you're prone to stress, perhaps you're just as likely to feel stressed out whether you work as a librarian, a massage therapist or a commercial airline pilot (No. 4 on the stress list).

People choose their line of work for a lot of reasons. For those who are committed to making our communities and the world safer and healthier for the rest of us, minimizing stress is probably not so high on their list of criteria. And it shouldn't be. Folks who choose helping jobs that may have a high level of stress are fueled by other motivators, like wanting their work to have meaning.

They aren't deterred by the fact that their job will likely come with stress. And some people are simply by their own nature and personalities drawn to work that may be to others, dauntingly stressful. How many FBI agents do you think would prefer a gig as an audiologist (sixth-least stressful job)?

When I talk to men and women in their 50s and 60s who've decided to take on encore careers as teachers, they tell me that the work is often exhausting and stressful. They are on their feet all day, often with inadequate resources, with kids who are themselves highly stressed; even those who come from leadership roles in other sectors say they've never worked harder. Yet they almost always tell me that doing something that matters to others -- and that puts them in touch with young people every day -- compensates for the added stress.

The same is true of those tackling some of the world's most intractable problems. When I talk to Stephen and Elizabeth Alderman, whose foundation trains health-care professionals around the world to work with victims of trauma, or Judith Broder, who founded The Soldiers Project, which works with returning veterans, they rarely talk about stress. Instead they talk about how they are compelled to do what they do, because moving the needle even a fraction is better than doing nothing.

Rather than discouraging people to take on jobs that might have a lot of stress, let's instead encourage those who are designed for those jobs to do them. And let's make sure to support our friends and family members who go down these paths.

It's hard to grab headlines in the crowded space of morning television, but a good survey with a catchy title will always do that. So let's use these kinds of surveys to have the right kinds of conversations. Like why so many jobs that keep us safe and healthy, and that care for our children and the environment rarely show up on lists of the most highly compensated jobs. Now there's a conversation I'd most like to be having.

The opinions expressed in this commentary are solely those of Marci Alboher.

@highlight

Marci Alboher: Annual list of most stressful jobs drew attention

@highlight

She says the right issue is whether job rewards compensate for stress

@highlight

People who take on stressful jobs that help others report satisfaction, she says