(CNN) -- Despite everything you may have read, seen or heard in the past few years, there are principles and policies that unite Americans rather than divide us. One of these is our belief in the golden rule -- especially when it comes to everyone's freedom to earn a living.

It's a nearly universal belief among American voters that all people should be allowed to compete equitably for jobs and be judged only on their skills, experience and performance. In the coming weeks, the U.S. Senate is expected to vote on just this. Fortunately, there is overwhelming bipartisan momentum -- on Capitol Hill and out in the grassroots -- in favor of treating all employees the same.

In a majority of states it is still perfectly legal to fire people solely based on their sexual orientation or gender identity. And nearly eight out of 10 voters mistakenly believe it is illegal under federal law to fire or refuse to hire someone because they are gay or transgender.

Earlier this month, Project Right Side and Americans for Workplace Opportunity commissioned TargetPoint Consulting to conduct a survey to gauge voter support for the Employment Nondiscrimination Act, a bill that extends workplace protections to gay and transgender employees. The poll found strong bipartisan support for this legislation -- including that of a majority of Republicans. The poll interviewed 2,000 registered voters and was conducted September 3-8.

Among voters nationwide, 68% support the protections offered by ENDA. Among Republican respondents, 56% backed ENDA. Such overwhelming support is a testament to the conservative values at the heart of the proposed law, which would ensure all hardworking Americans are treated the same -- that all are judged in the workplace based on their merits and performance -- nothing more, nothing less.

In addition to the poll, we used a state-of-the-art modeling technique to estimate attitudes toward workplace protections in all 50 states. Our findings: A majority in every state favor a federal law protecting gay and transgender employees. Support rises above 60% in many states, including Arkansas, Arizona, New Hampshire, Nevada and Pennsylvania.

Our polling found that 80% of voters believe that "people shouldn't be fired from their jobs solely because of their sexual orientation or gender identity," while an even stronger 88% agreed that companies should "hire and fire based solely on a person's qualifications not quotas."

These core beliefs are why so many of America's blue chip companies have long recognized the importance of fostering open workplaces. Nearly 90% of Fortune 500 companies have nondiscrimination policies covering sexual orientation, while nearly 60% have policies covering gender identity. Why? They do it because it is fundamentally the right thing to do, but their leaders will also tell you this allows them to be competitive in the labor market by attracting the best talent regardless of how they live their private lives.

This isn't just smart policy -- it's also smart politics. Although many Republicans still struggle to embrace the freedom to marry, there is a clear consensus within the GOP that all Americans be protected in the workplace. An overwhelming majority of Republicans, 86%, believe "everyone has a right to earn a living including gay, lesbian and transgender Americans." Similarly, 86% of Republicans agree that "we should all follow the Golden Rule and treat others as we'd like to be treated, including gay, lesbian and transgender Americans."

These, along with majority support for ENDA, underscore the vastness of the coalition supporting this important reform.

Republicans are demonstrating leadership to ensure basic workplace protections for all Americans. Earlier this summer, Republican Sens. Mark Kirk of Illinois, Lisa Murkowski of Alaska and Orrin Hatch of Utah were part of a bipartisan vote that advanced ENDA out of committee and to the full Senate. Following the committee vote, Hatch said, "I voted for it because it prohibits discrimination that should not occur in the workplace, it protects the rights of religious entities, and minimizes legal burdens on employers."

Treating others as we would like to be treated is a fundamental conservative value. This basic tenant of American life is at the heart of workplace protections that will build and strengthen both the country and our competitive enterprises.

The opinions expressed in this commentary are solely those of Alex Lundry.

@highlight

Poll finds 80% of voters think nobody should be fired for being gay or transgender

@highlight

Alex Lundry: Proposed law would extend workplace protection to LGBT people

@highlight

Lundry: It's smart policy and smart politics for Republican leaders to support

@highlight

Treating others as we would like to be treated is a conservative value, he says