(CNN) -- The U.S. Food and Drug Administration approved a new prescription diet drug called Qsymia on Tuesday. The medication produced dramatic weight loss in clinical trials, but some are concerned over potential side effects, including increased heart rate, birth defects and other issues.

Qsymia (pronounced kyoo-SIM-ee-uh) is the second diet drug approved this year. The FDA approved a weight-loss pill called Belviq on June 27.

Qsymia had been known as Qnexa until its approval. The FDA asked the company to change the name to avoid confusion with another drug on the market, according to the company.

Patients in clinical trials experienced more dramatic weight loss with Qsymia than with Belviq. On Qsymia, patients went from an average 227 pounds to 204 pounds; on Belviq, the average weight dropped from 220 to 207.

Some consumer advocates worry that the weight loss comes with a price. Some patients in the clinical trial suffered an increased heart rate and a condition called metabolic acidosis, which can lead to hyperventilation, fatigue and anorexia.

Concerns have also been raised about birth defects. One of the ingredients in Qsymia is topiramate, an anti-convulsant that has been linked to birth defects such as cleft lip and cleft palate in babies born to women who have taken it for migraines or seizures. Qsymia's other ingredient is phentermine, an appetite suppressant.

"Our belief is that women will be invited to compelling advertising and marketing messages to experiment on themselves with a drug that has some effectiveness with healthy weight loss but possible serious risks," said Cindy Pearson, executive director of the National Women's Health Network.

Qsymia's manufacturer, Vivus Inc., says that the drug helped lower blood pressure and cholesterol levels in obese people and that people taking it were less likely to get Type 2 diabetes.

Not enough good data to back obesity drug, panel says

"Obesity is not being adequately addressed by diet and lifestyle changes or currently available therapies," the company said. "The need for new options is urgent, particularly nonsurgical options."

The FDA approved Qsymia only for obese people or for overweight people with a body mass index greater than 27 who also suffer from weight-related conditions like hypertension and diabetes.

Doctors are free to prescribe the drug to anyone, however, and there are concerns that physicians will open "pill mills" and prescribe Qsymia to people who just want to lose a few pounds. That's what happened in the 1990s with fen-phen, another diet drug combination that includes phentermine.

An FDA advisory committee voted against Qsymia's approval in 2010. The panel recommended the drug's approval with a 20-2 vote in February, after Vivus proposed a risk management program to limit Qsymia's distribution and published additional results from one of its three clinical trials.

Vivus will at first offer the pill only through mail order, so doctors can't sell it directly, said Dr. Barbara Troupin, Vivus' vice president of scientific communications and risk management.

"There will not be dispensing from doctors' offices," she said. "Seeing that issue and what has happened in fad and diet drugs in the past, that is not a path that we're going to be taking."

The 4,430 overweight and obese patients in the Qsymia studies experienced various levels of weight loss. About half of patients on the recommended dose lost 10% of their weight, while four-fifths lost 5%. That amounts to about 12 pounds for a 227-pound person.

Meg Evans, one of the patients, started out at 230 pounds and lost 48 pounds her first year on the drug and another two pounds the second year.

"I loved it," she said. "I wasn't hungry. I almost had to remind myself to eat."

At 5 feet 9 inches tall, Evans, now 63, describes herself as having been "Twiggy-like" in college, weighing 120 pounds. Then she gained weight after having four children. An avid cook and eater, she said the drug made it easier to resist tempting foods.

FDA advisers recommend diet drug

"If I saw a chocolate chip cookie, it was easy enough for me to say, 'I'm not really hungry. I can pass on it,' " Evans said.

She said the weight came off gradually, about four pounds a month, and her blood pressure went down almost immediately.

Despite the pill's apparent ability to help people lose weight, some critics expressed concerns because of the possible side effects.

"I believe that if the public were to 'buy' (Qsymia) after FDA approval, it would run the risk of severe, even fatal, consequences from another diet lemon," Dr. Michael Lauer writes in Annals of Internal Medicine, also noting that the drug led to a slight increase in heart rates.

In February, Lauer was one of two FDA advisory committee members who voted against Qsymia's approval.

The FDA and Vivus both acknowledge that the three clinical trials meant to measure Qsymia's safety and effectiveness were not designed to properly assess cardiovascular risk.

The FDA has required Vivus to do a study on the drug's cardiovascular effects. Vivus said it would be done after the drug's approval.

Despite the label's warning that women of childbearing age should use birth control while on Qsymia, there are concerns that women will still get pregnant while on the drug. The FDA recommends a pregnancy test every month while on Qsymia.

In the drug-maker's two-year clinical trial, 34 women on Qsymia became pregnant, even though they were told repeatedly to use contraception. No birth defects happened in those pregnancies, according to the company.

Previous clinical trials of topiramate, one of the ingredients in Qsymia, have shown a risk of about five birth defects for every 1,000 pregnancies.

Comparing the anti-obesity drug to treatments for other chronic diseases, Troupin said patients will probably need to continue taking Qsymia long-term, though the new drug is not expected to be widely covered by health insurance plans.

FDA rejects another obesity drug

Evans, the patient who lost 50 pounds on the drug, said she has gained back about 20 pounds since the clinical trial ended two years ago and looks forward to going on Qsymia once it's approved, even though it can have side effects.

"There are side effects to everything," she said.

She added that the drug wasn't the only reason she lost weight. Weekly counseling on nutrition and exercise were a big factor, too. The counselor helped her change her diet -- choosing a salad for lunch instead of a burger, forgoing pasta and potatoes at dinner -- and encouraged her to walk a few times a week in addition to her regular exercise as goalie in a women's soccer league.

"Before the medicine, I had been telling the girls they'd have to find a new goalie, because I couldn't dive for the ball like I did before," she said. "Then I lost the weight, and I was diving and bouncing back up and having a great old time again."

@highlight

Qsymia, formerly known as Qnexa, is second diet drug approved since June

@highlight

Drug's side effects in clinical trial included increased heart rate

@highlight

Concerns have also been raised about the risk of birth defects