CHICAGO, Illinois (CNN) -- Key Illinois Democratic legislators are circulating a letter urging support for the impeachment of Gov. Rod Blagojevich, who was arrested this week on federal corruption charges relating in part to the selection of President-elect Barack Obama's successor as a U.S. senator.

Barack Obama says he has never spoken with Illinois Gov. Rod Blagojevich about the vacant Senate seat.

State Rep. John Fritchey, head of the House Civil Judiciary Committee, sent the letter Thursday asking Democratic colleagues to say by Friday whether they support a move for impeachment and would like to be added as a co-sponsor of legislation. Blagojevich also is a Democrat.

"Faced with a significant budget shortfall, a national recession, and a vacant United States Senate seat, we cannot afford to allow Illinois to operate without effective leadership in the [Illinois] executive branch," said the letter, also signed by Reps. Thomas Holbrook, David Miller and James Brosnahan.

"Simply put, it is imperative to replace Gov. Blagojevich as soon as is practicable."

The letter said the impeachment filing was being prepared, and the lawmakers said they expected the process -- the state House would bring charges against Blagojevich and he would be tried by the state Senate -- would take "a matter of weeks rather than months."

The lawmakers' move coincided with increasing calls for Blagojevich's resignation.

President-elect Barack Obama called again Thursday for Blagojevich to step down, saying the embattled governor can no longer effectively serve the people of Illinois.  Watch as Obama says Senate seat belongs to the people »

"I hope that the governor himself comes to the conclusion that he can no longer effectively serve and that he does resign," Obama said, speaking before announcing his pick to lead the Department of Health and Human Services, former Senate Majority Leader Tom Daschle.

Obama said he was as "appalled and disappointed as anyone" by the allegations against the Democratic governor, and said he was confident his staff was not involved in the alleged scandal.

Federal officials said Blagojevich was looking to sell or trade Obama's open seat in the U.S. Senate.

Obama said he had never spoken to the governor on the subject, adding he was confident that "no representatives of mine would have any part of any deals related to this seat."

He had asked his staff to gather the facts of any contacts with the governor's office about the vacancy, he said.

"This Senate seat does not belong to any politician to trade. It belongs to the people of Illinois, and they deserve the best possible representation," he said. "They also deserve to know that any vacancy will be filled in an appropriate way so that whoever is sent to Washington is going to be fighting for the people of Illinois."

Earlier Thursday, Illinois Attorney General Lisa Madigan said she is prepared to go to the Illinois Supreme Court to have Blagojevich declared unfit to serve if he does not resign.  Explainer: Federal complaint against Blagojevich »

"Obviously the easiest way for us to move on in the state of Illinois is for Gov. Blagojevich to do the right thing for the people and to resign," she told CNN's "American Morning."

She added, "If he fails to, the two other options are obviously the Legislature moving forward on impeachment, or I have the opportunity to actually go to our Illinois Supreme Court and ask them to declare, basically, that our governor is unable to serve," she said.

In that case, Lt. Gov. Pat Quinn, a Democrat, would become acting governor, she said.

Madigan said she won't wait long to take action.

"We would like a signal from the Legislature if they're going to move forward on impeachment proceedings. ... I think there are obviously numerous members of the Legislature calling for impeachment proceedings," she said, noting that the Legislature, which is adjourned, will meet Monday to discuss the possibility of holding a special election for Obama's successor.

Fritchey, in the letter to Democratic lawmakers, commended Madigan's willingness to go to the Supreme Court, but said "both the duration as well as the outcome of such a proceeding are inherently uncertain and speculative."  Watch what was in the complaint against Blagojevich »

"We would also note the comments of the attorney general indicating her support of impeachment proceedings as an appropriate course of action at this time," the letter said.

Quinn said at a news conference earlier Thursday that the governor had lost the confidence of the people.

"I think the governor has one duty right now and that's the duty to resign," he said.

Should he became governor, Quinn indicated he might lean toward appointing a successor to Obama's seat, saying an election would be expensive and time-consuming.

"Time is of the essence for all of us in America right now, to make sure we get our economy on the straight path to recovery," he said.

Blagojevich -- who is free on his own recognizance -- returned to work Wednesday, his 52nd birthday. He has not commented on the charges, but his lawyer, Sheldon Sorosky, told reporters Tuesday night that his client "feels he didn't do anything wrong."

Sorosky said, "He hopes the people of Illinois have faith in him, because he will be vindicated."

White House Press Secretary Dana Perino said Thursday that President Bush believes the governor's arrest marks a "very serious situation," and he believes the charges are "astounding."

Some details of the alleged scandal became clearer Wednesday, as a law enforcement official close to the investigation identified Rep. Jesse Jackson Jr. as the person referred to in the federal criminal complaint as Senate Candidate 5.

Of the six candidates mentioned in the complaint, Candidate 5 is the only one whom Blagojevich said engaged in discussion through an emissary about possibly raising money for the governor in exchange for the Senate position.

Jackson firmly denied wrongdoing at a Wednesday news conference. "I reject and denounce 'pay to play' politics and have no involvement whatsoever in any wrongdoing," he said. "I did not initiate or authorize anyone at any time to promise anything to Gov. Blagojevich on my behalf. I never sent a message or an emissary to the governor to make an offer, to plead my case or to propose a deal about a U.S. Senate seat. Period."

The law enforcement official said there was no evidence -- other than the governor's taped remarks -- that Jackson or others on his behalf ever approached the governor in an improper way.

The official also emphasized that no conversations with Jackson were picked up on bugs or wiretaps, and there is no evidence that he was aware of anything improper.

According to the complaint, Blagojevich and his chief of staff, John Harris -- who was also arrested Tuesday on federal corruption charges -- were "conspiring to obtain personal financial benefits" for Blagojevich by leveraging his sole authority to appoint a U.S. senator to replace Obama.

Federal investigators also allege the two were trying to have Chicago Tribune editorial board members fired by leveraging state assistance to the parent company of the newspaper, the Tribune Company, in its sale of Wrigley Field.  Explainer: Illinois governor is in hot water »

The governor and his chief of staff are also accused of sullying other areas of state business: trying to rescind $8 million of state funds to Chicago's Children's Memorial Hospital because the hospital's chief executive officer had not contributed $50,000 to Blagojevich, and expecting a highway contractor to raise $500,000 in contributions in exchange for money for a tollway project.

"Because of the unimaginable allegations that were in the federal complaint, it really calls into question absolutely everything that the governor has authority to do," Madigan said Thursday on CNN's "Situation Room."

She said she had spoken to the governor only once this year, and perhaps not at all last year.  Watch whom Blagojevich has considered »

"That sounds incredible, because I do serve as attorney general, so I'm the lawyer for the state, but we've been well aware for years that there are problems with this governor and so I haven't had anything to do with him," she said.

She did not elaborate.

Quinn said earlier this week that he had not spoken to the governor since summer 2007.

Blagojevich and Harris are each charged with a count of conspiracy to commit mail and wire fraud and a count of solicitation of bribery, authorities said. iReport.com: Do you trust your leaders?

The count of conspiracy to commit mail and wire fraud carries a maximum sentence of 20 years in prison, while the count of solicitation of bribery carries a maximum sentence of 10 years.

CNN's Ed Henry and Ed Hornick contributed to this report.

@highlight

Illinois legislators circulate letter to garner support for impeachment

@highlight

Barack Obama repeats call for Gov. Rod Blagojevich to step down

@highlight

President Bush believes the charges against Blagojevich are "astounding"

@highlight

Illinois attorney general says resigning is "right thing" for governor to do