Hamid Dabashi is the author of "Iran: A People Interrupted." He is Hagop Kevorkian Professor of Iranian Studies and Comparative Literature at Columbia University in New York. His Web site is http://www.hamiddabashi.com/.

Hamid Dabashi says allegations of rape and torture are testing Iran's Islamic Republic as never before.

(CNN) -- Troubling news of kidnapping, rape, torture, and murder is flooding out of Iran.

Neda Aqa Soltan was murdered point-blank in the streets of Tehran for the whole world to see; while Sohrab Arabi was killed far from any global attention and his body given to his mother quietly to bury, as was the tortured body of Mohsen Ruholamini.

These names have assumed symbolic significance for many more innocent young men and women murdered by the custodians of the Islamic Republic with a wanton disregard for the lives and liberties of its own citizens.

Not just murder, but the rape of young men and women also is on the shameless roster of the Islamic Republic. After years of sporadic charges and troubling rumors, finally a courageous cleric has put a stamp of public recognition on atrocious practices in the theocratic state.

Mehdi Karrubi -- one of the revolutionary founders of the Islamic Republic, a high-ranking cleric, a presidential candidate, a former speaker of the house and now a widely popular political activist -- has published a letter, addressing it to the former president and current head of the Expediency Council Akbar Hashemi Rafsanjani. He accuses the security officers of the Islamic Republic of repeatedly and violently raping young women and men while they are in custody.

Since the publication of this letter, a massive outpouring of testimony and reports has come out, corroborating Karrubi's charges that rapes of young women and men are a widespread, common practice in the Islamic Republic.

These are not light charges for any state, for any republic, let alone for an Islamic Republic.

These charges are no longer brought by expatriate, and at times discredited, opposition. It is the founding fathers of the Islamic Republic, with impeccable revolutionary credentials, who are bringing these charges, as others are coming out and corroborating them in excruciating detail.

The Islamic Republic has never faced such a deep crisis of legitimacy in its turbulent 30-year history.

As widely evident, it is not just the regime's claim to a "republic" that is in question and in jeopardy, but, perhaps far more seriously, it is its claim to Islam that has troubling consequences for more than 1.3 billion Muslims around the world.

People in the streets of Tehran are chanting, paraphrasing a famous slogan of the 1979 revolution, "Independence, Freedom, Iranian Republic," pointedly replacing "Iranian" for "Islamic."

Though this a perfectly legitimate demand, given the criminal record of the Islamic Republic, by no means is this sentiment a common denominator of the growing opposition to the regime.

To the degree that, at least in part, he represents this uprising, Mir Hossein Moussavi, as a pious and practicing Muslim, continues to insist that he wishes to restore the ideals and aspirations of the Islamic revolution within the constitution of the state.

Never have the two opposing ideas of an "Islamic Republic," and Muslims living in a democratic republic seemed so at odds with each other. The 30-year experience of the Islamic Republic shows fundamental flaws in defining a state apparatus in the exclusive terms of a militantly legalistic Islam, while at the same time Iranians, the overwhelming majority of them Shiite Muslims, have repeatedly demonstrated, under this regime, they are perfectly capable of democratic behavior.

Not just as immigrants in the E.U. nations and the U.S., but as citizens in Iran, millions of Muslims have shown they are integral to the democratic institutions embedded in the notion of a nation-state.

What is in question is the viability of an Islamic republic -- or for that matter, a Jewish state, a Christian empire,  a Hindu fundamentalist government -- or any state or movement that is defined not by the democratic apparatus of citizenry, but by exclusionary membership in a world religion.

As in the rest of the Muslim world, Islam is integral to Iranian society. But not exclusively so. Over the last 30 years, a radically legalistic interpretation of a cosmopolitan faith has been force-fed into a multifaceted political culture -- and today all the world can see the violent convulsion of the system.

There has been much talk of the need for an Islamic "reformation" over the last few years. But what Islam needs is not a Christian-style Reformation.

What Islam needs is a restoration of its historically cosmopolitan character in which Muslims and non-Muslims live in peace and prosperity, and which they now need to retrieve in order to live in peace and prosperity in a world that is not entirely Muslim.

By virtue of living in a democracy, and having endured indignities of rampant Islamophobia in their own country, American Muslims have a historic role to play, by way of sending a delegation to Iran, connecting to this grassroots democratic movement in a Muslim nation, and helping it restore its cosmopolitan character in pursuit of enduring democratic institutions.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Hamid Dabashi: Rape and torture allegations being made in Iran

@highlight

He says a prominent cleric and activist has accused security forces of wrongdoing

@highlight

The charges threaten the Islamic Republic's standing within the faith, he says

@highlight

Dabashi: Iran needs to restore notion of Muslims and non-Muslims living in peace