Just in time for Albert Einstein's birthday Thursday, scientists delivered exciting news about how the universe works.

Last summer, physicists announced that they had identified a particle with characteristics of the elusive Higgs boson, the so-called "God particle." But, as often the case in science, they needed to do more research to be more certain.

On Thursday, scientists announced that the particle, detected at the Large Hadron Collider, the world's most powerful particle-smasher, looks even more like the Higgs boson.

The news came at the Moriond Conference in La Thuile, Italy, from scientists at the Large Hadron Collider's ATLAS and Compact Muon Solenoid experiments. These two detectors are looking for unusual particles that slip into existence when subatomic particles crash into one another at high energies.

"The preliminary results with the full 2012 data set are magnificent and to me it is clear that we are dealing with a Higgs boson though we still have a long way to go to know what kind of Higgs boson it is," Joe Incandela, spokesperson for the Compact Muon Solenoid experiment, said in a statement.

Scientists have analyzed two and a half times more data than they had when the first announced the Higgs boson results last July 4.

The Higgs boson is associated with the reason that everything in the universe -- from humans to planets to galaxies -- have mass. The particle is a component of something called the Higgs field, which permeates our universe. It's not a perfect analogy, but Brian Greene, theoretical physicist at Columbia University and "NOVA" host, offered this comparison when I spoke with him last year:

"You can think of it as a kind of molasses-like bath that's invisible, but yet we're all immersed within it," Greene said. "And as particles like electrons try to move through the molasses-like bath, they experience a resistance. And that resistance is what we, in our big everyday world, think of as the mass of the electron."

The electron would have no mass if it were not for this "substance," the field made of Higgs particles. So, without the Higgs boson, we would not be here at all.

How particle smasher and telescopes relate

Many physicists hate the term "God particle" because it did not originate in the way you might think. Nobel Prize-winning physicist Leon Lederman wrote a book with "God Particle" in the title, but reportedly said he'd actually wanted to call it the "Goddamn Particle."

Having evidence that the Higgs boson really exists is important for the current understanding of how the universe works.

An amazing fact about the Higgs boson is that scientists predicted its existence and then detected it (or something that strongly resembles it), rather than the other way around. They didn't see an abnormality and wonder what it was. The particle confirms notions about the universe that had only been calculated, but not directly observed.

But scientists do not know if the particle they've found is truly the one predicted by the Standard Model of particle physics. That model is the best explanation out there for what happens at scales smaller than the atom, but still has a lot of holes in it, and there are other theories out there that go beyond that model.

It is possible that the Higgs boson found at the Large Hadron Collider could fit into those other theories. To figure that out, scientists must look at how fast the boson decays into other particles, and see how the decay rate stacks up against predictions.

The Large Hadron Collider is located in a 17-mile tunnel near the French-Swiss border, and is operated by CERN, the European Organization of Nuclear Research.

The $10 billion particle-smasher set a record in 2012 for the amount of energy achieved in particle collisions: 8 trillion electron volts (TeV). The LHC shut down last month for a long staycation full of maintenance and upgrades. After about two years, it will come back online with 13 TeV.

Detecting the Higgs boson takes a lot of particle collisions -- there's only one observed event in every trillion proton-proton collisions, CERN said.

The Higgs boson news coincides not only with Einstein's birthday, but also with Pi Day, March 14. These events are not entirely unrelated: Incandela told CNN last year that the number pi comes up in Large Hadron Collider calculations. For instance, scientists need to use pi when calculating how  "loops" -- particles that transform themselves into other particles, and then come back together to make the original particle again -- contribute to a particle's mass.

More space and science news from CNN Light Years

@highlight

An elusive particle discovered last year looks even more like the Higgs boson

@highlight

Higgs boson is linked to all mass in the universe

@highlight

Large Hadron Collider, which discovered particle, shut down for about 2 years

@highlight

The particle-smasher will come back online at unprecedented energies