Guatemala City (CNN) -- The World Bank will support Central American security efforts with $1 billion in loans for the next two years, Guatemalan state media reported Wednesday.

That money will be in addition to $200 million the bank already has provided to different countries for fighting organized crime, the state-run Guatemalan News Agency reported, citing the bank's vice president for Latin America and the Caribbean.

Bank officials are among the international leaders gathered in Guatemala City for a two-day regional security conference.

"In meetings of this kind I see regional leadership, international solidarity, institutional commitment and unprecedented unity among the different national and international actors, and above all, consensus," World Bank Vice President Pamela Cox said, according to the news agency.

Earlier Wednesday, U.S. Secretary of State Hillary Clinton said the United States would increase the security aid it provides to Central America this year to help combat a wave of violence sweeping the region.

Additional U.S. funding will go toward special police units, a regional crime observatory and support to train judges and prosecutors, Clinton told leaders gathered at a regional security conference in Guatemala City.

"You have identified your priorities. You have set your strategy. And we will respond with almost $300 million this year, backed up by an action plan that is focused on high-impact investments to help you build new capabilities and create the reforms you need from within," Clinton said.

President Barack Obama pledged more than $200 million when he visited El Salvador earlier this year, she said.

The source of the funding was not immediately clear. On Monday, Assistant Secretary of State Arturo Valenzuela told reporters Clinton may announce "repackaging" some assistance.

Clinton said the United States has "shared responsibility" for violence in the region.

"We know the demand for drugs rests largely in my own country," she said.

But she stressed that Central American countries must lead the fight against corruption and organized crime.

"We will all be your ready partners, but we want and need to follow your lead," she said.

Several Latin American leaders at the meeting said the United States must play a key role combating violence in the region.

Guatemalan President Alvaro Colom said his country was reaching the limit of its ability to fight cartels.

"Eight killed per ton passing through Guatemala is a lot of blood. If you pass through Honduras there are 20 murders and if we add it up, a ton of cocaine has too high a human cost. We must reduce consumption and control arms," Colom said.

Mexican President Felipe Calderon, who has repeatedly said U.S. weapons and drug demand are fueling his country's drug war, said more must be done.

"If the sale of cocaine is a market of $35 billion in the United States, according to that calculation, a good part of these billions of dollars must be used to feed the criminal organizations here," Calderon said. "The international aid should be at least equivalent to the flow of money in dollars that the criminals receive here to organize and to kill."

The conference is scheduled to continue Thursday, when leaders are expected to hash out a more detailed regional plan.

The meeting comes a week after Guatemalan authorities announced a monthlong extension of the "state of siege" in the northern border province of Peten -- a move that increases military control to crack down on organized crime in the area.

Colom declared the emergency measure in May after investigators found the bodies of 27 dismembered and decapitated workers on a farm in Peten. Authorities have said members of Mexico's Zetas drug cartel were responsible.

The slayings provided brutal evidence of what analysts say is a dramatic spike in violence across the region as Mexican drug cartels expand their reach.

"As you look at the pressure placed on Mexican cartels from the U.S. side of the border, you're going to see more and more of a southbound exodus," said Fred Burton, vice president of the STRATFOR global intelligence agency.

Social and political conditions in Central America provide a fertile recruiting ground for cartels, said Samuel Logan, founding director of Southern Pulse, an online information network focused on Latin America. High unemployment and few jobs mean many are forced to turn to criminal activities to make ends meet, he said.

"Ultimately, what it comes down to is money. In Mexico, the stakes are bigger, the pots of money are bigger," he said.

Money also has allowed Mexican organizations to wield significant influence with political leaders in Central American countries, many of which already had a longstanding history of institutional corruption, he said.

"Instead of bending over backwards, you get them to do somersaults," Logan said.

But despite the significant security problems the region faces, Burton said this week's conference is a positive sign that leaders may step up efforts to stop violence.

"Discussion and dialogue is better than doing nothing, so the more exchanges you have along these lines, certainly the better off you are," he said.

CNNMexico.com, journalist Patzy Vasquez and CNN's Catherine E. Shoichet contributed to this report.

@highlight

NEW: Billion is in addition to $200 million provided for fighting organized crime

@highlight

Clinton says the U.S. will send $300 million in aid to Central America this year

@highlight

The U.S. funds will be used for police, a regional crime observatory and judicial training

@highlight

Analysts say violence is growing in the region as Mexican cartels expand their reach