Sierra Leone (CNN) -- It's Monday, mid-morning as we drive east down rain-slicked roads. There are no cars, no trucks, and no people. Sierra Leone's government demanded a shutdown and its citizens are listening. The West African nation crippled by Ebola is responding to the outbreak through a day of prayer and reflection.

But that gives little comfort to us. Ebola is a disease that spreads fear faster than it infects. And the emptiness makes us uneasy.

We're headed to Doctors Without Borders or MSF's treatment facility in Kailahun, a border community in the middle of the Kissi triangle, linking the country with Liberia and Guinea. Simply put, it's the epicenter of this unprecedented epidemic.

Already more than 1,700 people have been infected across the three countries and now Nigeria and possibly more. Ebola can kill up to 90% of those infected and more than 930 people have already died in this epidemic, dwarfing all previous Ebola outbreaks.

The WHO has just declared it a public health emergency. But as we sit down with MSF's emergency coordinator at their makeshift headquarters, we realize, months since the first infection, no one yet truly knows the outbreak's full scope.

"We are too late. In an Ebola outbreak you need to be a step ahead. We are two steps behind," says Anja Wolz.

What MSF needs, says Wolz, isn't more doctors -- they have those. What's needed are more experts out in the communities, to trace the disease and help train local health workers, she says.

Ebola virus: 9 things to know about the killer disease

Wolz, a veteran responder to outbreaks, much of her staff's time is focused educating workers on how to respond safely to a virus that can infect with just one drop of bodily fluid. If mistakes are made, the results are deadly.

The MSF's Ebola case management center in Kailahun is tightly sealed. We clumsily balance on one leg and then the other as a technician sprays the soles of our shoes with chlorine.

Once inside, orange netting separates the low-risk zone from the high-risk areas. It's just a few feet, but we're told that's more than enough. While Ebola is highly infectious, it isn't particularly contagious, as it's only spread by direct contact with bodily fluids -- not through the air.

Still, we watch the doctors take incredible care as they suit-up in layer after layer of protective gear.

Dr. Stefan Kruger and others will enter the high-risk zone several times a day. The heat without the suits is uncomfortable. With the suits it's nearly unbearable. The medical staff can only go in an hour at a time, after that the sweat in their facemasks becomes a risk.

The work is intense, the stress levels are incredibly high, and there's little doctors can do here except treat the symptoms of Ebola. There is no confirmed cure for the virus.

9 questions about this new Ebola drug

Still Kruger says for him there was no question that he needed to be here. "At the moment, in Kailahun, if MSF wasn't here, there would be nothing. That's good enough reason for me."

The district's population is nearly 500,000 with just four ambulances. Containing the virus means isolating each patient. For now, that isn't happening -- the center has just 80 beds.

"It is really is frustrating for us because we don't have the capacity to go everywhere," says Wolz.

Luckily Tenah Naloh came to them. Her husband and son died of the disease and she and her daughter continue to battle in the high-risk zone. To talk to her, we must stand a few feet away, the orange netting, separating us. We know the protocols protect us, but they isolate her.

What's the risk of catching Ebola on a plane?

When they aren't treating patients, doctors here spend time in the low-risk zone, talking with their masks off, so that patients can see their faces. But, there's no way around the isolation that Tenah and others here feel.

Doctors here say they know how to contain Ebola. They just need more resources. It's clear talking to patients like Teneh, the will to beat Ebola is here too.

"We are feeling much better, we are strong and we are going to fight."

@highlight

An Ebola outbreak in West Africa has infected more than 1,700 people

@highlight

CNN's Brent Swails and David McKenzie traveled to an Ebola treatment center in Sierra Leone

@highlight

MSF workers there say they need more experts in the community tracing the disease

@highlight

Their center is based in a district with a population of 500,000, and they have just 80 beds