(CNN)On October 31, 2014, the Italian government announced the end of "Mare Nostrum" -- a naval mission that rescued would-be migrants in peril as they tried to cross the Mediterranean to seek security and a new life in Europe.

In the operation's year-long existence, the Italian Navy and Coastguard had rescued an estimated 100,000 people. But it proved expensive and politically contentious, and Europe was not prepared to help Italy shoulder the burden of the crisis.

Without European support, the Italian government cut back the naval assets dedicated to rescuing migrants. Mare Nostrum, which had been launched after some 600 people died when two migrant ships sank in 2013, was replaced by the more modest "Operation Triton," under the auspices of the European Union's border agency, Frontex.

Triton has about one-third of the funding of Mare Nostrum, with just six ships and patrol boats, two planes and one helicopter. It was designed as a policing rather than a humanitarian mission. At its inception, Klaus Rosler, operations director for Frontex, said "Triton is not a replacement for Mare Nostrum." Nor was Frontex "a coordinating body for search and rescue operations."

Six months later, the argument about how to handle unprecedented numbers of desperate people heading for Europe continues unabated.

Contributors to Triton include Portugal, the Netherlands, Finland and Iceland. Britain -- for example -- is not. It argues that search and rescue operations in international waters are "an unintended 'pull factor,' encouraging more migrants to attempt the dangerous sea crossing and thereby leading to more tragic and unnecessary deaths."

It's perhaps no coincidence that immigration is a hot-button issue in Britain, with the UK Independence Party attacking the Conservative-led coalition government for being soft on allowing foreigners into the country. Similarly, the opposition Northern League in Italy opposed Mare Nostrum, accusing it of enticing migrants.

If the first few months of this year are any guide, demand has not diminished even if the prospect of being rescued has. People from Syria, Mali and Eritrea are among the tens of thousands trying to escape repression, violence and abject poverty. Despite the danger, the great majority head first for Libya, where the collapse of authority allows smuggling operations to go unhindered.

Italy -- the European state whose territory is closest to Libya -- has borne the brunt of the task of picking up, sheltering and providing food and medical help to the illegal migrants.

In 2014, 170,000 migrants arrived in Italy by sea. Italian ships have picked up about 11,000 migrants in the past week alone. The islands of Sicily and of Lampedusa (which is closer to Tunisia than to mainland Italy) see an almost daily influx of human misery. And at this time of year, there is a surge in the illegal trafficking as the weather and sea conditions improve.

Italian Prime Minister Matteo Renzi has said the Mediterranean is a sea, not a cemetery. On Sunday, in the wake of the latest disaster, he complained that Italy had been coping with the crisis in "near solitude, sometimes assisted by some other international presence."

Italy has also led calls for an international peacekeeping issue to help restore stability in Libya, not least in an effort to tackle the flow of migrants, many of whom set out from around Misrata and other ports in the west of the country.

According to some human rights groups, the danger to migrants on the high seas has been accentuated by merchant ships turning a blind eye to boats in distress -- despite a maritime obligation to come to the aid of vessels in peril.

After the latest sinking, the European Commission called an urgent meeting of foreign and interior ministers, saying that "the reality is stark and our actions must therefore be bold. These are human lives at stake, and the European Union as a whole has a moral and humanitarian obligation to act."

EU Foreign Policy chief Federica Mogherini, who is Italian, said Sunday: "We need to save human lives all together, as all together we need to protect our borders and to fight the trafficking of human beings."  The task could not be "left only to the southern countries," she insisted.

But bold action is rarely a hallmark of the EU. The recently installed head of the European Commission, Jean-Claude Junker, has set out his priorities -- but they are yet to be acted upon. Junker said the current budget of Frontex - some 90 million euros ($97 million) - was "a good start but does not yet equal the task of protecting Europe's common borders."

That money has to cover all Frontex's roles -- and it's not only the Italian coast that is being targeted by migrants. Further east, thousands of migrants are trying to reach Greece by land and sea. According to the UN's refugee agency, 219,000 refugees and migrants crossed the Mediterranean last year.

Junker has also argued for greater assistance to the European Asylum Support Office, which is based in Malta, arguing for "more thorough risk assessments to spot problem areas before they become overloaded."

Most controversially, Junker is proposing Europe adopt a common asylum system, saying that "one and the same applicant for asylum can have a 70-75% chance of being granted asylum in one country of the European Union and less than 1%, with the same reasons, in another country."

But progress toward a Europe-wide approach on migration is painfully slow. The European Commission plans to publish a policy document next month, but member states are in no hurry to grapple with such a politically explosive and costly subject.

In the meantime, the argument in European meetings is likely to focus on priorities, with some (the UK and Germany) likely to argue that more resources must be devoted to cracking down on the lucrative people-smuggling racket.

"We must target the traffickers who are responsible for so many people dying at sea and prevent their innocent victims from being tricked or forced into making these perilous journeys," said British Foreign Secretary Philip Hammond Sunday.

Others, including Italy, Greece, Spain and France, are expected to seek more concerted action in handling and funding the influx.

But the hundreds of migrants being herded onto barely seaworthy boats from Libyan beaches will be oblivious to the debate.

READ MORE: Migrant deaths at sea - what is Europe going to do?READ MORE: Why migrants are risking their lives to reach ItalyREAD MORE: 'I enter Europe or I die' - desperate migrants rescuedREAD MORE: How do illegal immigrants get into Europe?

@highlight

Italian Navy's "Mare Nostrum" mission to rescue would-be migrants in peril rescued an estimated 100,000 people

@highlight

Operation ended in October 2014, but the tide of people trying to cross the Mediterranean has not abated

@highlight

Italy has borne brunt of task of picking up, sheltering and providing food and medical help to illegal migrants