(CNN) -- The United States issued a general travel alert for Americans in Europe on Sunday amid concerns that al Qaeda or related groups plan attacks similar to the 2008 massacre in the Indian city of Mumbai.

"U.S. citizens should take every precaution to be aware of their surroundings and to adopt appropriate safety measures to protect themselves when traveling," the notice from the U.S. State Department said. "We continue to work closely with our European allies on the threat from international terrorism, including al Qaeda."

The advisory is not meant to tell Americans to avoid travel, but to take "common-sense precautions" in case of trouble, Undersecretary of State Patrick Kennedy told reporters Sunday.

"If they see unattended packages or hear loud noises or see something beginning to happen that they should quickly move away from them," he said. The warning urges them to be cautious in public places like tourist sites and airports or while riding public transportation, and Americans should know how to contact the U.S. Embassy and consider registering their travel plans there, he said.

In addition, thousands of U.S. troops based in Germany were placed under a curfew Friday night and were ordered not to wear their uniforms off base, according to an order obtained by CNN.

Kennedy said the State Department has issued travel alerts for Europe for "a variety of reasons" in the past, including the recent eruption of a volcano in Iceland that snarled air travel across the continent.

The State Department said worldwide travel alerts have been issued for U.S. citizens in the past, most recently in early September after the pastor of a small Florida church threatened to burn copies of the Quran, the Islamic holy book.

Previous alerts were issued after the 2004 al Qaeda bombings of commuter trains in Spain's capital Madrid and after the 2005 bombings of subway trains and buses in London, England.

News emerged last week that Western intelligence officials were looking at information about a possible "Mumbai-style" attack in cities across Europe, and a British security source said Saturday that intelligence related to such a plot was being looked at very seriously on both sides of the Atlantic.

Mumbai, India's financial hub, was the site of a three-day terror attack in November 2008 that left more than 160 people dead. Ten men launched the carefully planned assault, targeting two major hotels, the historic Victoria Terminus train station and a Jewish cultural center.

Kennedy would not comment on specific intelligence sparking the report, but said it followed a "cumulative" process.

"We have been monitoring this carefully for at least several weeks," he said.

Don Hamilton, a former State Department counterterrorism expert told CNN Sunday that the alert is "about the mildest thing they can say."

"The State Department is historically extremely cautious about these things," he said. It doesn't want to be accused of failing to warn Americans if they have some information about a possible attack beforehand, but Hamilton said the alert is less severe than a more formal travel warning involving concrete threats.

A U.S. official said Saturday that the alert was prompted by the volume of intelligence on possible terror threats, rather than any new intelligence.

At the White House, spokesman Nicholas Shapiro said President Barack Obama "has been following the threat information on a daily basis."

"From the day we became aware of this latest plot, the president made clear we need to do everything possible to disrupt this plot and protect the American people," Shapiro said. Sunday's alert "is responsive to the president's direction that we spare no effort," he said.

A senior administration official who spoke on condition of anonymity said Obama met with members of his national security team Friday night and Saturday morning and received another briefing Sunday morning. The official said European allies are "all in sync" with the United States, "both in terms of our assessment of the threat as well as our shared conviction that governments have an obligation to keep their citizens informed of terrorist threats."

Several European governments said Sunday that they are not raising their already-high alert levels as a result of the latest reports. The French Ministry of Foreign Affairs said Sunday that the U.S. advisory was "in line with the general recommendations that we have addressed to the French population."

"The indications provided by the U.S. authorities, in particular regarding terrorist threat in Europe are, of course analyzed, cross-referenced and where appropriate included in our national assessment of the threat, which still relies on a series of elements," the ministry said. "The terrorist threat remains high in France, the alert level remains unchanged at level red."

Britain's Foreign and Commonwealth Office changed its travel advisory for British citizens in France and Germany from a "substantial" threat of terrorism to a "high" threat, but the FCO said it does not comment on intelligence matters and thus can't specify whether the change is related to the U.S. travel alert.

Germany's interior ministry said in a statement that the warning for Americans comes in light of recent threats and that Berlin was informed by the U.S. of the decision to issue the alert. Germany will analyze and evaluate the intelligence data coming in but will not be changing its current threat level at this time, according to the statement.

Also, a spokeswoman for Spain's Interior Ministry told CNN that the country will remain at Level 2 alert, which indicates a "high, probable risk" of a terror attack. Spain has remained at this stage since January of this year.

CNN's Ed Henry, Elise Labott, Bharati Naik and Al Goodman contributed to this report.

@highlight

State Department urges "common-sense precautions" for travelers

@highlight

U.S. and its allies are "in sync" on alert, White House official says

@highlight

French alert levels won't change, foreign ministry says

@highlight

UK changes travel advisory for citizens in France and Germany