LONDON, England (CNN) -- Forget the Royal Navy and the U.S. Marines -- the 'computer navy' is on its way, and digital media on the high seas are set to make a steaming comeback.

New home? Barges like this one could soon play host to Google's massive data centers.

It seemed that floating media firms were a thing of the past when the United Kingdom's last major offshore pirate radio station, Radio Caroline, followed other European and American examples and died out in the early 1990s.

But, fast-forward 20 years and enter Internet giant Google.

According to a patent application seen by London newspaper "The Times," Google is considering launching barges up to seven miles (11km) offshore to host the massive data centers required to run its Internet search engines.

The plan would likely see the data centers -- which consist of huge supercomputers -- use wave energy to power and cool themselves while stationed at sea.

In the application Google states: "Computing centers are located on a ship or ships, anchored in a water body from which energy from natural motion of the water may be captured, and turned into electricity and/or pumping power for cooling pumps to carry heat away."

Energy consumption is undoubtedly a massive issue for these giant data centers.

The servers within each data center need to be air-conditioned to prevent overheating -- and considering a company such as IBM runs approximately eight million square feet of servers -- that's a lot of required cooling.

According to a 2005 study by Stanford University consulting professor and Lawrence Berkeley National Labs staff scientist, Jonathan Koomey, the energy consumption of data centers doubled in the period from 2000 to 2005.

The total annual worldwide power bill for the servers at the time was an estimated $7.2 billion, according to Koomey.

The Internet has continued to grow at a rapid rate and other major companies have also been searching for a more efficient method of maintaining their data centers.

Microsoft has looked into taking advantage of a cold climate by constructing a data center in Siberia, while Sun Microsystems is reported to be sending its computers down a former coal mine, using water below the ground as a coolant.

But, how workable is Google's project, really? And does it mark a potential new future for the maritime industry?

Dr Brad Karp, reader in Computer Systems and Networks at University College London, described the move as "an audacious risk" that will push the boundaries for major companies in future.

Karp said the project would carry significant risks, but potentially very high rewards.

"Anytime you take on several new technologies at the one time -- and you are trying to build something highly reliable -- there are going to be real technical challenges, which there will be for these data centers," he said.

Some major benefits of Google's project include being able to save money on rent and property taxes by being positioned offshore, as well as saving money on electricity bills.

"If you look at the percentage of power being used by these centers ... it seems like a good long-term bet for the future," Karp told CNN.

Karp believes Google could also benefit from snaring a "green" image if it is able to harness wave motion to power the computers and their cooling systems, in addition to providing a quality service to users.

"One of the reasons Google has data centers around the world is to enhance the user experiences near where many of their users are. This will still allow them to do that."

He said there were some logistical issues, but if the ships were stationed not far from the coast, they should not have too many operational concerns.

"At that distance (11km) you would want to provide wired network activity -- some sort of under-sea cable. The sheer bit-rate needed for an operation like this is usually too high for most wireless systems," Karp said.

Karp does point out there could be plenty of maintenance required on such a system: "The sea is not exactly a friendly environment for cables."

Although some commentators have raised concerns about the ships leaving themselves open to attack, Karp did not feel it was a major issue.

"It's not the kind of thing you see reported on very often. Typically the kind of things we worry about more is network-based attacks."

Current data centers are defended by corporate-type security consisting of reception desks and electronically guarded entrances.  Karp envisages a similar level of protection for the centers at sea, potentially using a protective barrier or guarding vessels.

If this project is realized, it offers the potential to alter not only online commerce, but also introduces the potential for new strands of business in the maritime industry.

Maritime eCommerce Association spokesman Ake Nilson said: "So far as I know there isn't anything quite like it. We haven't really seen anything like this since the old pirate radio stations."

Nilson says that if the project goes ahead -- and more companies attempt to adopt a similar program -- it could provide a sizable boost to the maritime industry through the ships and workers required to establish, run, protect and maintain such operations.

@highlight

Google has sent a patent application to launch barges to host its data centers

@highlight

Wave energy could be used to power and cool the data centers' servers

@highlight

The project would save Google money on power bills, rent, and property tax

@highlight

Such projects have the potential to boost to the maritime industry