Sittwe, Myanmar (CNN) -- With a steady hand, Myanmar Red Cross volunteer Tin Tin Wae, 22, measures out chlorine powder, adds it to a large bucket of water and begins to stir. This will eventually reach some of the 100,000 displaced people in Rakhine state who have been forced from their homes after violence swept through their communities in 2012.

Q&A: What's behind sectarian violence in Myanmar?

In the town of Sittwe, the violence has divided the once peaceful ethnic Rakhine and Muslim communities, turning friends into enemies and driving neighbors into exile. At first glance the town appears peaceful, and the streets are bustling with people visiting shops and restaurants. But just a short drive from the town center the landscape alters with relief camps and NGO vehicles, the telltale sign that we are reaching our destination.

Mozala camp houses 573 people from ethnic Rakhine communities in temporary bamboo shelters. The Red Cross is bringing in drinking water as part of its emergency relief program that distributes 8,000 liters of safe water to camps each day. The water is a lifeline for the people living in this camp. One of the residents tells me that despite other water tanks nearby, this is the only water safe for drinking.

Terrorized, starving and homeless: Myanmar's Rohingya still forgotten

The cool weather in Sittwe is a shock after the oppressive heat of Yangon where we are based. People in the camps tell me they are already concerned about flooding when it rains. The tattered sandbags piled outside shelters do little to prevent the muddy, dirty water from flowing inside. In a few more months the rainy season will arrive in earnest. Will these families still be here?

We visit a Muslim camp situated further out of the main town. Because of the violence and continued tensions, the camps are divided to separately house the ethnic Rakhine and Muslim communities.

Read more: Obama lauds Aung San Suu Kyi, gives a nod to Myanmar

The car pulls up along the side of a busy road where a large queue is already forming outside a clinic. Red Cross volunteers inside are treating Faranarli, 14, who was in a cycling accident. His bandaged ankle covers a series of severe cuts, and he winces, as the volunteers carefully take off the bandage to clean and dress the wounds.

The Red Cross is supporting health clinics in more than 10 camps, treating patients from both communities. The need for these services is evident. Mothers are clutching babies with skin complaints, and men with bandaged arms are leaning against the fragile bamboo shelter. In this dusty and crowded camp, cuts and grazes can quickly become infected, and with limited toilets and a lack of sanitation facilities, diseases can quickly spread.

The Red Cross has built toilets and wells in this camp to help respond to some of the health and sanitation challenges. Volunteers have the unenviable task of regularly disinfecting the toilets with chlorine powder. The Red Cross team has been drafted from other parts of the country to help respond to substantial needs.

Read more: What a difference a year makes in Myanmar

The 30 volunteers, who come for a month, live and sleep together in a small shelter in Sittwe. The conditions are basic, the work is hard, but there are no complaints. Soon a new rotation will arrive, and these teammates will return home, back to their communities, jobs and normal day-to-day lives -- an impossible reality now for the thousands of displaced families in Rakhine.

The humanitarian crisis in Rakhine first erupted in June 2012, meaning many of the families we have met over the last few days have been living in camps for up to seven months. As time passes, greater priority is being placed on providing adequate temporary shelters for families unable to return home.

Several hundred "long houses" -- temporary shelters which house eight to 10 families -- have already been built. These shelters can be seen in some of the camps we visited, but there are still not enough for the entire displaced population. In the coming months the Myanmar Red Cross plans to support the construction of up to 160 temporary shelters.

While the longterm solutions to this crisis remain unclear, the need for drinking water, food, shelter and medical care are very evident. As dislocated families continue to cope with life away from home and their livelihoods, it is critical that humanitarian assistance continues to reach people in both Rakhine and Muslim communities.

@highlight

Clean water is a lifeline for people living in Mozala camp in Sittwe

@highlight

Camps separate ethnic Rakhine and Muslim communities because of the violence

@highlight

The Red Cross has built toilets and wells to respond to health, sanitation challenges

@highlight

Need for drinking water, food, shelter and medical care are evident