Lisbon, Portugal (CNN) -- The most important NATO summit in its 61-year history -- according to NATO Secretary General Anders Fogh Rasmussen -- began Friday in Lisbon, Portugal.

NATO was founded by the United States and 14 other nations after World War II. But it has grown to 28 members, and is now seeking to shed its Cold War identity by adopting a new "strategic concept," framing new threats the alliance faces and the means to combat them. But getting 28 nations on the same page about how to address a range of new evolving threats will not be easy.

The document to be considered this weekend is the product of a set of recommendations from a group of experts led by former U.S. Secretary of State Madeleine Albright. The last strategic concept was drafted in 1999. The new document reflects new realities for NATO and the world.

The original NATO existed during the Cold War for the collective defense of 15 nations against Soviet aggression. U.S. Ambassador to NATO Ivo Daalder likes to call that NATO 1.0.

NATO 2.0 marked the period between the end of the Cold War and the present. This stretch saw NATO enter wars in Bosnia and Kosovo and embrace former Soviet republics in Eastern Europe that were looking West.

At Lisbon, NATO hopes to move into what Daalder calls 3.0 status, meant for operating in a globalized world. NATO still has the core mandate to provide collective security for all its members, said Daalder, but now must address new threats to Europe's security -- threats not as much from Russia, but from possible terrorist attacks, cyber attacks, attacks on energy infrastructure and piracy on the high seas.

This new definition of what constitutes a threat calls into question the future of Article Five of the NATO charter, which considers an attack on one member an attack on all. For an alliance whose mantra is "collective security," the provision is the critical binding agent. Article Five was invoked for the first time after September 11, 2001, when all NATO members agreed the attack was a visible threat to the security of the entire alliance. But the definition of what constitutes a threat to all NATO allies is becoming less recognizable, say some experts.

NATO's makeover also expands its battlefield well beyond Europe. The mission in Afghanistan is the largest and most recent example. But NATO is also providing support to efforts to combat piracy in the Indian Ocean and there is serious talk that the alliance could send forces to the Middle East if the Israelis and Palestinians ever reach a peace deal.

The expansion of NATO's role into a global force, however, is somewhat at odds with the economic realities facing its members, more than half of which are cutting defense spending. NATO officials worry such a reluctance to invest in the alliance not only diminishes Europe's ability to contribute, it also increases the likelihood of the United States going it alone.

Kurt Volker, who served as NATO ambassador from 2008-2009, said not all NATO members want to be the world's policemen.

"In some ways, the United States and Europe are pulling in opposite directions," Volker said. "The United States sees problems and strategic issues outside the NATO area they want NATO to address and wants a more global NATO. But a lot of European countries still view NATO as about Europe and the European space."

At Lisbon, the United States wants NATO leaders to agree to plans for a missile defense shield to defend against ballistic missiles. The Bush administration plan to deploy a long-range anti-missile defense system in Poland and the Czech Republic angered Russia, which feared the goal was to undermine its nuclear deterrent.

The Phased Adaptive Approach proposed by the Obama administration would deploy a continent-wide interceptor-missile system clearly aimed at defending against any missile threat posed by Iran. That's more palatable to Russia, but NATO-member Turkey, which could be one of the sites for the radar systems, doesn't want to upset its growing ties with Iran.

Cooperation on missile defense is just one way NATO will seek to close the post-Cold War chapter of its history. When NATO leaders meet this weekend with Russian President Dmitry Medvedev, they plan to endorse a new Russia/NATO partnership to work on issues such as terrorism, Afghanistan and the proliferation of weapons of mass destruction.

Since the late '80s NATO has struggled with how to transform its sometimes schizophrenic relationship with Russia, its former enemy.

At times, Russia has played nice. It was instrumental in helping end the Bosnian war and even sent forces under U.S. command. When the dust settled in Kosovo, Moscow sent troops as part of NATO's KFOR mission.

But Russian troops still occupy Georgian territory after clashes there in 2008 and Moscow still maintains a sphere of influence over other countries in its neighborhood. The Soviet Union may be no longer, but fear of the Russian bear still looms large in Eastern European members of NATO who want protection from a resurgent Russia.

NATO officials acknowledge there are trust issues to overcome with Russia. Still, they hope the substantial common interests NATO shares with Russia make cooperation possible. In Lisbon, NATO and Russian officials hope to release a joint assessment of threats and lay out their priorities for cooperation.

Still, Volker said, ambiguity in the relationship between Russia and NATO remains.

"We never did a good job in making clear there is no reason why Russia couldn't be a member of NATO," said Volker. "If they really became a democracy and market economy, if they believe in freedom, rule of law and human rights, why the heck not?"

NATO's mission in Afghanistan is a litmus test for the future of NATO, say some experts. The military campaign against the Taliban has regained momentum and the summit is expected to announce plans for a transfer of control to Afghan forces by the end of 2014.

But the ability of NATO to build the Afghan government has proven less successful. While NATO forces are increasingly successful against the Taliban, it remains very unclear whether Afghan President Hamid Karzai's government will be able to sustain the "holding and building" of the provinces once they are transferred.

NATO's presence in Afghanistan has lasted nine years. But while all NATO allies have contributed in Afghanistan, their commitments are sometimes limited or inconsistent.

Even larger countries like Germany, Italy and Spain have caveats that their troops only serve in areas of limited combat. Many others have withdrawn entirely in the face of public opposition.

If Afghanistan ends well, NATO allies in Europe may well consider future missions beyond its borders. If the mission fails, Europe could conclude the experiment was a mistake and stick closer to home and the United States could conclude that NATO is not a reliable partner.

The Albright panel warned early in its recommendations that "Threats to the alliance come from the outside, but the organization's vigor could be as easily sapped from within."

@highlight

Most important NATO summit in its 61-year history, says secretary general

@highlight

NATO to address new threats to Europe's security: terrorists, cyber attack, piracy

@highlight

NATO's mission in Afghanistan is a litmus test for the future of NATO, say some experts