WASHINGTON (CNN) -- John McCain's fight for the White House was a microcosm of his political career and broader life -- full of near-death experiences, stunning comebacks and close calls.

Sen. John McCain gestures as he delivers his concession speech Tuesday night.

The former Navy fighter pilot, who'd been shot down over North Vietnam and held as a POW, had been able to battle back every time until Tuesday night. He regained respect in the Senate after being accused of improperly helping fraudster savings and loan chief Charles Keating in the 1980s; he got back on speaking terms with the Republican Party base after his primary defeat against George W. Bush in 2000; and he revitalized his campaign after its near-death last summer from lack of cash and power struggles to capture the nomination.

What would have been his greatest political comeback -- to seize the White House -- proved to be too difficult. A Republican win in what is being seen as a "Democratic year" was always a long shot.

Whoever was the GOP nominee was going to have to fight against the legacy of the previous eight years of a Republican president who became highly unpopular because of the Iraq war, administration gaffes such as the handling of Hurricane Katrina, and what turned from a credit crunch into a global economic crisis.

The Arizona senator even managed to make the race appear competitive, soaring in the polls on the back of a polished convention and popular VP pick, Gov. Sarah Palin. But he made mistakes, too. Combined with the electorate's disenchantment with his party, it ensured defeat.

Turning points

New Hampshire: McCain's great high point came in January, amid the snows of New Hampshire, when primary voters boosted him from long shot to top-tier candidate, just as they had eight years earlier. He stunned a crowded GOP field -- including Mitt Romney, the well-funded former governor of neighboring Massachusetts, and Iowa caucus winner Mike Huckabee -- and proved himself a force to be reckoned with.

Not Hillary: Democrats weren't the only ones who expected Hillary Clinton to put a quick end to the primary season -- the Republican machine had spent years honing plans to fight the New York senator in a general election. Not only were those plans ruined, but suddenly the challenger was a fresh face with little baggage who captured the public's imagination. And as the epic Democratic primary season gave many headlines to Barack Obama, it also helped him develop networks of supporters in traditionally red states. And millions of new Obama supporters also became donors, financing a record-breaking fundraising effort.

George W. Bush: McCain may never have been a great friend of the president, but he could hardly turn down an endorsement from him at the White House. It was a photo-op that launched a thousand attack ads. Even if the unpopular president was a virtual no-show on the campaign trail, it was easy for the Democrats to remind voters who McCain's party colleague was.

Straight talk: One of McCain's strengths had been his relationship with news groups, gaining appreciation by answering reporters' questions until there were none left. But when asked whether he agreed with campaign supporter Carly Fiorina that health insurance plans that covered Viagra should cover birth control as well, he had no answer. Cameras rolled on his Straight Talk Express campaign bus as he sat silently, looking awkward -- long moments of video that would be replayed again and again. Virtually overnight, news conferences disappeared from McCain's agenda as advisers who believed that an open-door media policy did not help persuaded their man they were right. McCain was left to repeat the rehearsed lines of his stump speech, losing the opportunity to impress in candid moments and his likability numbers began to slip.

VP pick: McCain made his "Hail Mary" pick -- privately acknowledged by some advisers as his only shot of winning -- with the governor of Alaska, Sarah Palin. For a few weeks, it looked like that game-winning touchdown could happen as the base-rousing running mate burst onto the national scene with such power that the GOP ticket took the lead in major opinion polls. But inconvenient investigations, unfortunate interview performances and questions about qualifications soon hit Palin's approval ratings. McCain's own reputation was tarnished as revelations about hasty vetting raised questions in voters' minds about his judgment. And by then, his central argument against Obama -- that experience was critical -- was essentially off the table given Palin's relatively thin resume.

Meltdown response: Ask Republican insiders when they knew the fight was lost, and most will point to McCain's decision to halt campaigning as the depth of the financial crisis became apparent. The rise of the economy from a key election issue to the only issue was never going to help the candidate who'd said earlier it was not his strong suit. But his bid to get in front with a dramatic departure from the campaign trail backfired. He became a bit player at best, again raising the question of leadership ability and judgment and coming up wanting against his opponent.

John McCain was never assured victory. But nor was defeat guaranteed. Some of his toughest breaks were outside of his control; other wounds were self-inflicted. Maybe -- given personality, politics and circumstance -- he could not have made decisions other than the ones he chose. But those choices helped seal his loss.

CNN's Rebecca Sinderbrand, Richard Allen Greene and Laura Haring contributed to this report.

@highlight

Arizona senator had tough fight in a "Democratic year"

@highlight

In career of stunning comebacks, win eludes him this time

@highlight

Missteps and circumstances sullied voters' opinions of him