(CNN) -- Take one part Shakespeare's "Hamlet," two parts Machiavelli's "The Prince" and an even larger measure of guesswork and North Korea's latest political drama could seem like a Cold War thriller.

For North Korea watchers, the all too real political theater playing out in Pyongyang may offer another tantalizing glimpse behind the opaque curtain of the North Korean regime, but raises more questions than answers.

Depending on how you read the signs, the execution of North Korean leader Kim Jong Un's uncle and formerly trusted regent, Jang Song Thaek, either shows a young leader further cementing his control, or the first death throes of a regime teetering on collapse.

In the absence of any independently verifiable information, and in a regime where paranoid rhetoric is the normal register of almost all diplomatic language, any conjecture is likely to be as accurate as it is to be wide of the mark.

North Korea: Leader's 'traitor' uncle executed

For Jasper Kim, the founder of the Asia-Pacific Global Research Group, North Korea remains for analysts a "Rubik's Cube that no one can solve."

He said North Korea is a master at carefully choreographing the way it releases news events to cloak its real intentions. Nevertheless, he said a careful reading between the lines of North Korean new agency KCNA sometimes reveals glimpses of the state of the regime.

He said that far from asserting the leadership of Kim, recent events suggest that his position has been seriously eroded by the execution of his uncle.

"My guess is that these events happened some time ago and they are only now being released," Kim told CNN. "The fact is that we don't know what's going on in North Korea but what we are seeing coming through on KCNA is very concerning.

"When you look at the language used in these KCNA reports it is particularly hawkish and it's much more reflective of the military than it is of Kim Jong Un.

"Basically we are seeing the hardline faction reassert itself. For Kim Jong Un, Jang Song Thaek was the bridge between him and his father, and now he will have very little protection."

He said that North Korea, famous for tightly controlling the drip feed of real information coming out of the country, was now sending out violently mixed messages.

"The recent release of the prisoner (Merrill Newman) and this execution couldn't be more at odds; what this indicates is that it's a chaotic situation in there," he added. "What this points to in terms of regime change is that it's a question of 'when' rather than 'if.'

"What history tells us is that when it does happen it will be unexpected and extreme and everyone must be prepared for the worst case scenario."

For Andrei Lankov of Kookmin University in Seoul, however, the purge of Jang shows a young leader consolidating his grip on power.

"Some of the reasons are quite obvious and very transparent and many predicted that this was going to happen. What is really surprising is how it happened. Pretty much everybody expected that in the near future a state head would be removed from power," Lankov told CNN.

"But people did not expect that it would happen in such a dramatic and theatrical manner."

He said that Jang's removal and execution displayed the deadly manner of generational political change in North Korea.

"Kim Jong Un became the leader of the country after only one year of being a kind of anointed successor. He has had no time to create his own team, so he's had no choice but to rely on the team from his father and this team consists of people who are in their 60s and 70s and sometimes even older.

He said that this politburo consisted of men who could be Kim's father or even grandfather.

"Imagine how difficult it is to run a country -- especially one with a strong Confucian tradition -- when all your senior advisers are older than you. And these are people who can have very different ideas of goals and strategies.

"It was clear from the first days of his rule that he would remove most of the people around him. Jang was particularly vulnerable exactly because he was initially appointed by late Kim Jong Il to be a regent -- the chief adviser to the young ruler.

"But being a regent is a dangerous job. The king gets older and he feels more and more irritation and to hold more of a grudge against these noisy, strange, grumpy old men.

"For a regent, it's very good to know when to retire but not everyone is smart enough."

Opinion: How Kim purged his uncle

@highlight

Execution of Jong Song Thaek reveals glimpse into closed world of the North Korean regime

@highlight

Some analysts say it shows Kim Jong Un consolidating power over a politburo gerontocracy

@highlight

Others say it reveals a regime in meltdown as Kim battles military hardliners within the party