FBI Director Robert Mueller acknowledged the law enforcement agency uses drone aircraft in the United States for surveillance in certain difficult cases.

Mueller told the Senate Judiciary Committee on Wednesday that drones are used by the FBI in a "very, very minimal way and very seldom."

He did not say how many unmanned surveillance vehicles (UAVs) the FBI has or how often they have been used.

But a law enforcement official told CNN the FBI has used them a little more than a dozen times but did not say when that started. The official said drones are useful in hostage and barricade situations because they operate more quietly and are less visible than traditional aircraft such as helicopters.

The FBI said it used a UAV earlier this year to monitor the situation where a boy was held hostage in a bunker in Alabama.

Bureau spokesman Paul Bresson said their use allows "us to learn critical information that otherwise would be difficult to obtain without introducing serious risk to law enforcement personnel."

Bresson said the aircraft can only be used to perform surveillance on stationary subjects and the FBI must first get approval from the Federal Aviation Administration to fly in a "very confined geographic area."

Surveillance fallout

Mueller's comments come as the Obama administration grapples with political and other fallout from the public disclosure of top-secret surveillance programs, which has triggered new debate over reach of national security vs. privacy rights.

National security and law enforcement officials have defended National Security Agency telephone and e-mail surveillance of overseas communications as an effective tool in fighting terror.

President Barack Obama has assured Americans the government is not listening to their phone conversations or reading their e-mail.

But Sen. Charles Grassley, an Iowa Republican, asked Mueller whether the FBI had guidelines for using drones that would consider the "privacy impact on American citizens."

Mueller replied the agency was in the initial stages of developing them.

"I will tell you that our footprint is very small," he said.

Senate Intelligence Committee Chairman Dianne Feinstein expressed concern over drone use domestically.

"I think the greatest threat to the privacy of Americans is the drone and the use of the drone, and the very few regulations that are on it today and the booming industry of commercial drones," the California Democrat said.

Mueller said he would need to check on the bureau's policy for retaining images from drones and report back to the panel.

"It is very narrowly focused on particularized cases and particularized needs and particularized cases," said Mueller. "And that is the principal privacy limitations we have."

Sen. Mark Udall, a Colorado Democrat, said he was concerned the FBI was deploying drone technology and only in the initial stages of developing guidelines "to protect Americans' privacy rights."

Grassley wants answers from Holder

Grassley sent a letter to Attorney General Eric Holder following the hearing asking why written information Holder sent him last month about federal law enforcement use of drones included related information about the Bureau of Alcohol Tobacco Firearms and Explosives and the Drug Enforcement Administration, but not the FBI.

Grassley sought answers to several questions and asked Holder to reply by June 28. He wants to know who at the FBI authorized drone use and information on the uses and limitations of their use and whether any are armed or capable of being armed.

The Justice Department said it was reviewing Grassley's letter.

Mueller said Wednesday the drones were used for surveillance.

Members of Congress and privacy advocates have pressed for regulations on the use of drones, and their use in counterterror operations overseas was a controversy that flared publicly during confirmation hearings for CIA Director John Brennan earlier this year.

Senator Rand Paul, a Kentucky Republican, delayed a vote on Brennan with a filibuster over the possible use of drones against American citizens on U.S. soil.

Attorney General Eric Holder told Paul in a March 4 letter that "the U.S. government has not carried out drone strikes in the United States and has no intention of doing so."

Last month, Paul introduced legislation to prevent "unwarranted government intrusion" by drones.

The bill proposes that law enforcement officers be prohibited from using drones to gather surveillance or collect evidence without a warrant, unless there is an imminent danger to life or a high risk of a terrorist attack.

The measure also makes an exception so that drones can be used to patrol the nation's borders. The Senate has not taken up Paul's proposal. A similar one was previously introduced in the House.

Drone use more common

Unmanned drone use is becoming more common in the United States although it is not lawful in many cases.

The FAA forecasts some 10,000 civilian drones will be in use in the United States within five years, including those for law enforcement and commercial purposes.

Amie Stepanovich, of the Electronic Privacy Information Center, has previously said law enforcement should not use drones as an alternative to police patrols.

She said that they should be used for specific operations and that Congress should pass a law requiring legal permission.

Because they are cheaper to use than helicopters, unmanned aircraft can be used to monitor crops and livestock, look at damage to buildings and for other uses.

The FAA recently announced plans to create six drone test sites around the country.

@highlight

FBI Director Robert Mueller says agency uses drones in certain difficult cases

@highlight

Mueller revealed the drone use in testimony before the Senate Judiciary Committee

@highlight

Sen. Grassley seeks answers from Attorney General Eric Holder on FBI drones

@highlight

FAA predicts 10,000 civilian drones will be in use in the U.S. within five years