(CNN) -- Witnessing the gruesome devastation of Hiroshima and Nagasaki in Japan in August 1945--68 years ago this week-- the physicists who worked on the Manhattan Project were aghast at the scale of damage their work had wrought. Both cities were obliterated and several tens of thousands of people died instantly.

Soon after those atom bombs were dropped, the press, with information scarce, chased after an Austrian physicist who was instrumental in discovering nuclear fission, then working as an exile in Sweden.

She was Lise Meitner, and they anointed her the "Jewish mother of the bomb."

This was far from the truth. She was so opposed to using fission to create an atom bomb that when offered the opportunity to work on the Manhattan Project, she flatly refused. Her refusal arose from a strong revulsion: "I will have nothing to do with a bomb."

Prescient, as she was, she foresaw the power of fission to unleash untold damage and suffering. Still, the myth persisted.

Meitner was born into an enlightened Viennese Jewish family. Unusually for the time, her father strongly supported her education and interest in physics. With a doctorate in physics from the University of Vienna in 1906, she studied under Ludwig Boltzmann and went on to work with Max Planck in Berlin.

In May 1938, working at the Kaiser Wilhelm Institute for Chemistry in Berlin, Meitner, Otto Hahn and Fritz Strassmann discovered that the uranium atom could be split when bombarded by neutrons. They expected this to produce new elements heavier than uranium.

At this critical juncture in their work, Meitner had to flee Hitler's Germany, and her participation in the scientific collaboration was cut short. She ended up in Sweden.

Later that year, Hahn and Strassman found a puzzling development and shared it with her -- instead of finding a heavier nucleus as one of the byproducts of fission, they detected a lighter one: barium. Meitner and her physicist nephew, Otto Frisch, solved the puzzle by figuring out that the radioactive decay of one of the unstable products of fission had produced stable barium.

Meitner's work, along with that of Hahn and Strassman, laid the groundwork for the nuclear bomb. But it was Enrico Fermi and his research group in Chicago in 1942 that made the bomb a reality, by setting up a self-sustaining chain reaction.

But soon after Hiroshima and Nagasaki were flattened, the international media hounded Meitner with questions. The newspaper Stockholm Expressen ran an article headlined "Fleeing Jewess," which described her escape from Germany with the secret of the bomb and its handover to the Allies.

According to Meitner's recent biographer, Ruth Lewin Sime, the Fleeing Jewess myth started with an article written in 1940 for the Saturday Evening Post by William L. Laurence, the official chronicler of the Manhattan project.

His dramatic piece read like a juicy spy novel--from the genesis of the idea of fission, to Meitner's escape from Germany, to her sharing her work with her nephew Frisch, in Copenhagen. Frisch supposedly cabled it to Niels Bohr, who in turn passed it on to scientists in America. Suddenly, the unverified 1940 story turned Lise Meitner into the "Jewish mother of the bomb." Not only did she not work on the bomb, she had converted in 1906 to Protestantism.

The stories upset her greatly, and she set the record straight during her visit to the United States in 1946. Speaking to Jay Walz of The New York Times, she stressed her support for the peaceful uses of atomic energy.

While journalists gave her a starring role in the bomb, she was not credited with the scientific discovery of fission by the Nobel Committee, which awarded the prize to Hahn alone, in chemistry. Debate has continued on whether she was yet another of those invisible women who should have won a Nobel.

She finally received recognition when President Lyndon Johnson awarded her, Hahn and Strassman the Enrico Fermi Award in 1966, and the element with atomic number 109 was named Meitnerium in her honor in 1997.

When I met the wife of her nephew Otto Frisch at a dinner in Trinity College Cambridge 10 years ago, she talked lovingly of Lise the person and told me that her epitaph read, appropriately, "Lise Meitner: a physicist who never lost her humanity."

The opinions expressed in this commentary are solely those of Priyamvada Natarajan.

@highlight

Priyamvada Natarajan: Atom bombs obliterated Nagasaki and Hiroshima in August 1945

@highlight

Natarajan: Afterward, fission pioneer Lise Meinter falsely dubbed "Mother of the Bomb"

@highlight

Her work laid the foundation, but she was firmly opposed to it being used for destruction

@highlight

Press gave Meitner a major role in the bomb, but she was overlooked for a Nobel