London (CNN) -- As the scandal over the discovery of horse meat in products labeled as pure beef widened, the European Union's health chief vowed Wednesday to put in place a plan to restore consumer confidence.

"The issue before us today is therefore overwhelmingly one of fraudulent labeling rather than one of safety," Tonio Borg said in a statement after an emergency meeting in Belgium with authorities from France, Romania, Holland, Luxembourg and Britain.

He noted that EU legislation allows horse meat to be used for the production of minced meat and meat preparations, "however, it has to be declared on the label."

It is the responsibility of EU member states to check on whether a product presents a risk and complies with the law, Borg said.

In the case of horse meat, the commission has checked on whether member states have complied with requirements about hygiene and residues of veterinary drugs, he said.

"Analyses are under way to identify the possible presence of residues of veterinary drugs, especially where unlabeled horse meat has been found," he said.

A meeting of the Standing Committee of the Food Chain and Animal Health is scheduled for Friday, he said.

"This meeting will provide a forum to ascertain the precise state-of-play of the ongoing investigations in the member states, and enable discussions on a possible coordinated response," he said.

The commission will recommend to the standing committee a plan that will include widespread testing "to restore the confidence of all European consumers," he said.

The plan "should be communicated by member states by 15 April," he said.

The plan will recommend that member states ensure that "any misleading labeling practices" be identified, and will ask, "as a preventive measure," that member states ensure that any residues of the veterinary drug phenylbutazone be identified in establishments handling raw horse meat "so as to unearth any related safety concern."

The member states should then report their findings back to the commission, he said.

The talks in Brussels came a day after British police and health officials raided a slaughterhouse and meat company as part of the investigation into how horse meat ended up in products identified as beef.

The slaughterhouse, in Todmorden, West Yorkshire, is believed to have supplied horse carcasses to Farmbox Meats Ltd., a Welsh firm that then sold the meat as beef for kebabs and burgers.

Authorities have suspended operations at both facilities and seized all remaining meat and company files, which include a client list. Neither company was immediately available for comment.

"I ordered an audit of all horse-producing abattoirs in the UK after this issue first arose last month and I was shocked to uncover what appears to be a blatant misleading of consumers," Andrew Rhodes, Food Standards Agency director of operations, said Tuesday.

Environment Secretary Owen Paterson called the revelations "absolutely shocking."

"It's totally unacceptable if any business in the UK is defrauding the public by passing off horse meat as beef," he said. "I expect the full force of the law to be brought down on anyone involved in this kind of activity."

In a written statement to parliament, Paterson said Wednesday that both the raided businesses had a legitimate trade in horse meat, "but investigations so far indicate that horse meat has been used in UK produce as though it is beef."

Horse meat was discovered in products that are supposed to be 100% beef sold in Sweden, the United Kingdom and France.

They included lasagna sold by frozen food giant Findus and spaghetti bolognese sold by UK supermarket giant Tesco, both made by French supplier Comigel.

The industry was already reeling from a bombshell last month, when Irish investigators found horse and pig DNA in a number of hamburger products.

Investigations are under way in France, Sweden and Britain.

In Romania, Prime Minister Victor Ponta said Monday that the two slaughterhouses in the country that were initially suspected to have links to the horse meat scandal never had direct contact with Comigel and have done nothing illegal.

"This tendency to throw the responsibility as far away as possible, eventually to the new members (of the European Union), to countries that might have a weaker PR policy, is something that bothers me," he said.

Minister of Agriculture Daniel Constantin said there was no evidence of mislabeling in Romania.

Comigel has not responded to CNN's requests for comment. But CEO Erick Lehagre told French news agency Agence France-Presse on Sunday that a French supplier "fooled" his company. "We were victims," he told AFP.

This month, Britain's National Beef Association called for more specific labeling of meat products and asked that labels bear the words "United Kingdom origin."

British food companies have been told to test their beef products for "authenticity" and report back to authorities by Friday.

British supermarket chain Waitrose said Wednesday that it had "in recent weeks" removed from its shelves frozen meatballs labeled as beef after tests indicated that two batches may have contained pork.

But tests revealed no horse meat in its meatballs or frozen beef burgers, it said.

In the United States, Congress effectively prohibited the slaughtering of horses for human consumption in 2007, by denying the use of federal funds to inspect horses destined to become food, a 2011 Government Accountability Office report said.

The legal maneuver does not preclude horse owners from selling to slaughterhouses in Canada and Mexico, and the GAO said in a report that many Americans have taken advantage of that opportunity.

"From 2006 through 2010, U.S. horse exports for slaughter increased by 148 and 660% to Canada and Mexico, respectively," the report said. "As a result, nearly the same number of U.S. horses was transported to Canada and Mexico for slaughter in 2010 -- nearly 138,000 -- as was slaughtered before domestic slaughter ceased."

CNN's Kat Kinsman in New York, Susannah Palk and Kendra Wates in London and journalist Liliana Ciobanu in Bucharest, Romania, contributed to this report.

@highlight

NEW: EU's Tonio Borg says the issue is about fraudulent labeling rather than safety

@highlight

European ministers hold talks on the issue of horse meat found in beef products

@highlight

EU Health Commissioner Tonio Borg following the situation "very closely"

@highlight

UK officials raided a slaughterhouse and meat company Tuesday