(CNN) -- Millions of hectares of land have been acquired in the past few years across Africa by investors who are moving into large-scale agriculture to take advantage of potential windfall gains. Popularly these deals have become known as "land grabbing," but they could just as well have been framed as "water grabs."

The current global rush for agricultural land grew partly in response to increased global food prices since 2007. Global capital is finding its way to agricultural investments on the basis of expectations of high returns, either through increased production or through speculation on further rising land prices.

Optimistic promises that such investment would also reinvigorate depressed rural economies, by virtue of employment creation and improved livelihoods, have proven to be vastly overstated, if not unfounded in many cases. But one of the untold stories of the global land grab is the quest to capture one of the most vital resources: water.

As land is grabbed and earmarked for development, this often has implications for the water nearby, for local people's land and water rights and environmental sustainability.

All around the world powerful actors (transnational as well as national) are pointing out that the lands in which they invest are "marginal" and "unproductive" lands. This has been shown to be untrue for many cases; either the land is already used by small-scale food producers, or is of prime quality and associated with good (potential) access to water.

Read this: The myth of Africa's land grab

In the Tana Delta for example, the Kenyan government marked the Tana river basin for development, designating the floodplain area as "unused" and the adjacent terraces as "empty dryland" with irrigation potential.

But this region has long been home to small peasant farmers, fishers and pastoralists from different ethnic groups, whose cooperative sharing of fragile land and water resources over the years has been possible because of delicately balanced customary use rights agreements amongst themselves.

The violence last year in the Kenya's Tana region demonstrates the perils -- and tragedy -- of ignoring more complex social realities that exist on the ground.

In most countries where land deals are taking place it is no use having land without also having access to water. Research published in a special issue of Water Alternatives has shown water to be one of the prime drivers of the global rush to acquire land. Despite this, many land deal contracts -- or the prior environmental assessments upon which they ought to be based -- do not explicitly mention water requirements, let alone quantify them.

The issue of water grabs is a particularly slippery one. Unlike land, water flows and moves from one place to another; its availability goes up and down, affected by the seasons, human use, or climate change; it can be visible on the surface and invisible underground. It can be a source of food, or disease and pollution. Rights, access and uses are complex and varied. Who has the right to the water in a river -- the people who live beside it in a given place, the farmers who depend on it for irrigation, or those upstream or downstream?

Read this: One woman's mission to fix water crisis

Water's elusive nature makes it a prime target. The boundaries between legality and illegality are often fuzzy, and questions of jurisdiction over water can be unclear. Grabbers often take advantage of this legal complexity. In Ghana, according to research by the International Water Management Institute, the separation of land and water rights created the space for water grabbing: pre-existing customary water rights were abolished and instead ownership, management and control of water were placed under authority of the state.

Similarly, water-quality impacts reach far beyond the place of pollution. A case in point is a large-scale land deal in the Iringa Region of Tanzania under a lease-agreement with the government. According to a paper published by Italian NGO Acra, fertilizers, pesticides and faeces of cattle led to the contamination of downstream drinking water sources serving a population of some 45,000 people.

Proponents of large-scale land deals deploy powerful narratives of underutilized land and water resources that "require" investment to "unlock" their potential, or an abundance of water and land, ready to be woken up by commercial agriculture. But it is at least debatable if the targeted land and water resources are indeed unused or even underutilized.

The narratives of "unexploited resources" provide justification for governments to displace existing users of resources and the ways in which smallholder farmers use their water remain unrecognized some can create new scarcities for others.

The hidden aspects of water grabbing do not just make it a very "slippery" terrain, but also imply that large-scale land acquisitions all around Africa actually can be understood as "water grabbing." That we call this a process of grabbing does not mean that these deals are strictly illegal, but there are serious underlying social justice questions.

The opinions expressed in this commentary are solely those of Jennifer C Franco, Lyla Mehta and Gert Jan Veldwisch.

@highlight

Large-scale land deals in Africa can be seen as "water grabs, write three researchers

@highlight

Taking land for development often has implications for for local people's water rights

@highlight

Jennifer Franco, Lyla Mehta and Gert Jan Veldwisch ask: Who has the right to the water in a river?