(CNN) -- Moammar Gadhafi's exit from Libya is a reminder that the Arab awakening will not just fizzle out, despite what some observers are saying. Recently, commentators pointed to the public cheers heard in Egypt as the army pushed protesters out of Tahrir Square as a signal that the uprisings were petering out and the hope of the Arab Spring would soon be lost. The doomsayers were wrong.

Indeed, the uprisings are entering a difficult but inevitable phase where the two sides -- the protesters and the leaders -- are at a loss on how to proceed.

The protesters, on one hand, still have no leadership and have yet to translate their protests into any coherent political and economic reform program. With initial objectives in Egypt and Libya met -- the overthrow of dictators that ruled over them for years -- they have not been able to move into the next phase of building an alternative system of governance. Their message is dying out, and regular people, who are relieved that Hosni Mubarak and Zine el-Abidine Ben Ali are gone, want to see their countries move beyond street protests that are starting to upset their already difficult economic situations. This is what lies ahead in Libya.

On the other hand, the one party able to lead a gradual reform process -- ironically the ruling elite, such as the military in Egypt -- is largely unwilling to embark on a process that would slowly rid itself of its privileges and install a pluralistic, stable and prosperous system based on merit rather than patronage.

No one should be surprised by this. Ruling establishments in the Arab world have always made sure that political parties and civil society organizations are either suppressed or outlawed. There are few alternative leaders and systems.

In such an atmosphere, organized parties like the Muslim Brotherhood, which commands about 20% of the popular vote in Egypt, will be sure to use their organizational and mobilization skills to gain political representation that will exceed their popular strength. The ruling elite, fearful of this, will naturally resist opening up political systems and resort to economic and security measures in a desperate attempt to stem the tide of change.

But the only way to deal with opposition parties that are not totally committed to democracy is to gradually open up the political systems to real alternatives, instead of casting all protest votes against the ruling systems in favor of the Islamists. After the Arab public has a sense of what freedom feels like, it will not accept the replacement of secular autocrats by religious ones.

It would be wrong to assume that because of these difficulties, the uprisings will fizzle or die down. What has taken place in the Arab world is the start of a genuine and permanent process of change where the average citizen suddenly discovered real power. Although the ability to effect change peacefully is a new phenomenon in the Arab world, it is a wave that will only grow.

Organizations such as al Qaeda are the first to lose, having unsuccessfully preached violence. But so will ruling establishments, if they don't internalize the new reality and lead a serious reform process that redistributes power among the executive, legislative and judicial branches.

The only way to keep power in the Arab world from now on will be to share it. The process of change is one that will take decades to unfold, it won't be linear, and it will undergo many seasons, multiple times over. But it is irreversible.

During a recent trip to Jordan, I was most struck by a young generation no longer afraid to talk about all the issues relating to their future, and talk openly without taboos. This generation is not willing to live by the rules their parents faced, nor afraid of the powerful intelligence services in making their views known.

Both sides are wrong, however, to stick to tactics that don't work anymore. Protesters need to start organizing themselves into political parties, develop programs and build constituencies. They need to shift from starting change to institutionalizing it. Otherwise, they will be unable to maintain public support.

Ruling elites shouldn't conclude that the status quo can be maintained because public support for protests seems to be wavering. They need to understand that they cannot push aside opposition parties like the Muslim Brotherhood, act as if they don't exist or deal with them through security measures. Both ruling establishments and the protesters need to know that they have to engage in constituent politics.

Even with a quick change in Libya, the short-term future will be messy, very bumpy and undoubtedly feature lots of mistakes and missteps. But waiting and doing nothing is no longer an option.

The opinions expressed in this commentary are solely those of Marwan Muasher.

@highlight

Marwan Muasher: Doomsayers who say Arab Spring is petering out are wrong; it is irreversible

@highlight

Muasher: Elites and protesters are at an impasse, need to move toward consensus building

@highlight

Protesters need political parties and programs, he says, and elites must reform

@highlight

It will be hard, he says, but the only way ahead in the Arab world is a sharing of power