(CNN) -- Jenson Button might not be having his best year on the race track, but it's been another notable year for the Briton competing in triathlon events.

What started out as a way of keeping in physical and mental shape for the rigors of Formula One has turned into serious hobby for the 2009 world champion, earning him -- at the age of 34 -- the distinction of being called the fittest man in the pit lane.

In July, Button hosted his third annual charitable triathlon at Luton Hoo Estate in Bedfordshire, raising a "huge amount" for Cancer Research UK, and last month he finished 11th out of 1,675 competitors and second in his age group at an Ironman event in the Philippines.

All of which makes Button -- who is seventh in the F1 drivers' championship with just one podium finish all season for his McLaren team -- one of the most famous amateur triathletes in the world. But how does he measure up against the very best professionals?

Earlier this month, before he jetted off for this weekend's Singapore Grand Prix, Button was given the opportunity to find out when he was pitted against British triathlon stars Alistair and Jonathan Brownlee -- gold and bronze medalists at the London 2012 Olympics -- in a cycling, swimming and cognitive test.

An afternoon of grueling activity was organized by the GSK Human Performance Lab (HPL) -- a multimillion-dollar sports science facility based in west London which specializes in physiology, nutrition, biochemistry and neuroscience.

The center, set up by pharmaceuticals giant GlaxoSmithKline, has forged partnerships with all three athletes and others including world No. 1 golfer Rory McIlroy. Button is a big fan.

"It's got everything that we need and it makes a big difference to us as drivers," Button told CNN.

"There is still so much to learn about the human body, nutrition and pushing yourself to the limit and getting the best out of yourself. In Formula One we love technology -- so this sort of thing is great."

Heat of battle

Button was paired off against 24-year-old Jonathan Brownlee in the cycling performance test in the HPL's Enviro Chamber, where the temperature was set to 35 degrees Celsius (95 Fahrenheit) and 70% humidity -- similar to conditions Button can expect in Singapore.

Results showed that Button initially responded to the heat better, maintaining a lower core temperature despite having to work harder at the beginning of the test. But overall, Brownlee was the clear winner, producing more power throughout, a lower core temperature in the end and a lower heart rate from start to finish.

Brownlee was encouraged by the results as he and his older brother look towards the Rio Olympics in 2016, where climatic conditions could be similarly sticky.

"One thing we've not been good at in the past is the heat," Brownlee said. "So we're trying to use the HPL to create a strategy to cope -- whether that's drinking something beforehand or going somewhere hot beforehand."

In the swimming test against 26-year-old Alistair, Button displayed good technique, maintaining a high position in the water and matching Brownlee for distance covered in meters per second. But he used more energy, completing 40 strokes a minute -- each one covering 1.66 meters -- whereas Alistair averaged 37 strokes per minute, covering 1.80 meters each one.

"I'm miles away from those guys," Button conceded. "They are so much fitter -- this is their job -- but it's good to see I'm doing the right sorts of things in terms of my training."

On the button

Button wasn't going to be outpaced in the cognition tests, though, and ended up trouncing his younger rivals in a series of tasks completed on a bespoke iPad app created by AXON Sports which assessed both reaction time and accuracy.

In fact, Button was one of the quickest and most accurate athletes ever tested at the HPL with an average reaction time across eight tasks of 613 milliseconds and no errors. By comparison, the best average Brownlee time was 748 milliseconds set by Jonathan.

It might be what you'd expect from a man who drives a car at speeds of up to 220 mph (350 kph) but Button was reassured.

"The reaction stuff is always interesting because, you know, I'm 34 years old and people say, 'Oh, I'm sure he's past his best,' " he says.

"To be fair, Damon Hill (who won his only world title at 36) hadn't really started in Formula One when he was my age. So, to show that I still have good reactions, I think that is something that you can help with a bit of training anyway."

McLaren will be hoping that the partnership with HPL can pay dividends as cognitive training is officially rolled out for the pit crew next season.

"These guys are working 24/7 nigh on four days around the race," says Mark Langley, HPL's general manager. "So anything you can do to get a little bit more efficiency and focus is good.

"It's about getting their nutrition, their sleep right so they can perform as well as the drivers can perform."

As for the remainder of this season, Button is clearly not expecting miracles.

"We are not going to challenge Mercedes for a win this year but we are making progress which is good to see ... we have direction," he said.

Watch the video of Button vs. Brownlees

@highlight

McLaren driver seeks fitness expertise from advanced sports lab

@highlight

GSK Human Performance Lab helping unravel secrets of elite performance

@highlight

McLaren driver tests fitness against pro triathletes the Brownlee brothers

@highlight

Button has some of quickest reactions ever shown at London-based lab