Washington (CNN) -- House GOP leaders unveiled a 2013 budget blueprint Tuesday that has little chance of becoming law but draws a clear contrast with Democrats on taxes, spending, and a host of hot-button political issues -- all of which could play a pivotal role in the 2012 campaign.

Republicans cast the $3.53 trillion plan -- which doubles down on past GOP proposals to overhaul Medicare and other politically sensitive programs -- as a bold attempt to reverse skyrocketing federal deficits and avert a looming fiscal catastrophe.

"This plan of action is about putting an end to empty promises from bankrupt government and restoring the fundamental promise of America, ensuring that our children have more opportunity than we do," said House Budget Committee Chairman Paul Ryan, R-Wisconsin.

"We're here to offer Americans the chance to choose which future they want for themselves: the president's path of debt and decline, or the path that we're proposing, a path to renew prosperity for Americans."

Democrats called it a betrayal of last year's bipartisan deficit reduction deal, and characterized it as another GOP giveaway to the wealthy at the expense of the middle class and vulnerable seniors.

Sensing electoral opportunity, they also tried to hang it around Republican presidential frontrunner Mitt Romney's political neck.

"If you're Mitt Romney, you're going to love this budget, because what it does is provide another round of tax cuts for the wealthiest Americans and does it at the expense of middle-class taxpayers and seniors," Maryland Rep. Chris Van Hollen, a member of the House Democratic leadership, told CNN.

White House Communications Director Dan Pfeiffer said in a written statement that the proposed GOP budget "fails the test of balance, fairness, and shared responsibility."

It "draws on the same wrong-headed theory that led to the worst recession of our lifetimes and contributed to the erosion of middle-class security over the last decade," he argued.

White House bashes budget proposal

Among other things, the House GOP plan calls for a reduction in individual tax rates and brackets. Instead of today's six brackets, with rates from 10% to 35%, it calls for just two -- 10% and 25%. The proposal would eliminate the Alternative Minimum Tax, while dropping the top corporate tax rate from 35% to 25%.

GOP leaders would compensate for lost revenue by closing a series of tax loopholes and ending numerous deductions. They declined to offer details Tuesday, however, on exactly which loopholes and deductions would be affected, noting that the matter would be taken up at the congressional committee level in the near future.

Returning to one of the most controversial points from last year's budget fight, the proposal includes dramatic changes to the Medicare program. It would offer future seniors a choice of staying in the traditional fee-for-service plan or opting instead for a Medicare-approved private plan, all of which would be available via a new Medicare exchange.

No matter which plan they chose, including the traditional Medicare plan, seniors would receive a government subsidy to help pay for their choice.

"We propose to save and strengthen Medicare by taking power away from the government bureaucrats," Ryan said. "We preserve the Medicare guarantee for today's seniors so they can count on the benefit that they've organized their retirement around, and we preserve that guarantee going into the future for tomorrow's seniors by empowering them with choices."

The Republicans "have made it clear they want Medicare to wither on the vine, to die, and this is an important step for them in that direction," said House Minority Leader Nancy Pelosi, D-California. "Bless their hearts, they don't believe in Medicare, and they act upon their beliefs."

Medicaid, which provides health coverage for the poor, would be converted under the GOP plan into a series of block grants for the states. Individual states would be empowered to tighten eligibility rules or revise enrollees' cost-sharing obligations.

Budget proposal would overhaul Medicaid

The Republican proposal also protects defense spending by undoing a scheduled $55 billion cut in the Pentagon budget, replacing the reduction with cuts elsewhere. Ryan has called the scheduled Pentagon cuts -- part of the agreement reached in last summer's Budget Control Act -- "devastating to America's defense capabilities."

Among the compensating changes: greater federal worker pension contributions and more means-testing of entitlement benefits.

Overall, the GOP plan caps 2013 domestic discretionary spending -- programs other than defense and entitlements such as Social Security and Medicare -- at $1.028 trillion. Democrats immediately cried foul when the new proposed cap was unveiled, noting that it's nearly $20 billion below the total agreed to in last summer's deficit reduction deal.

The Republicans "shook on (that deal) and they passed it as law," Senate Budget Committee Chairman Kent Conrad, D-North Dakota, said Tuesday. "Now they are threatening to ... walk away."

If House Republicans fail to stick with the agreement, he warned, "they will once again threaten to shut down the government and needlessly imperil the economic recovery."

House GOP leaders insist they can propose any amount under the $1.047 trillion level, because that figure simply represents the top limit for discretionary spending, not a level up to which Congress must spend.

"People have limits on credit cards. That doesn't mean that you're required to spend up to the limit," argued House Speaker John Boehner, R-Ohio. "We all know that we've got a real fiscal problem here in Washington, and frankly we think we can do better."

While the House Republicans' proposed budget has no chance of becoming law, it does promise to have a major impact on both the presidential and congressional campaigns. Democrats believe the proposed Medicare changes in particular could prove devastating to GOP hopes in key swing states such as Florida, which has a large elderly population.

A number of Republicans, however, believe they'll ultimately be rewarded for having the political courage to tackle politically sensitive issues. Conservatives also argue it's critical to draw clear distinctions between top Republicans and Democrats before voters go to the polls in November.

"If we simply operate based on political fear, nothing is ever going to get done," Ryan told reporters Tuesday. "If we allow entitlement politics -- fear that your adversaries will turn your reforms into a political weapon to use against you -- and we cower to that, then America is going to have a debt crisis."

Ryan insisted that the eventual Republican nominee will firmly support the House GOP's blueprint.

"All of our candidates have campaigned on these various ideas," he told reporters. "We are sharpening the contrast between the path that we're proposing and (Obama's) path to debt and decline."

"And yes, we do believe our nominee ... is going to be perfectly consistent with this," he stressed. "I've spoken with all of these guys, and they believe we are heading in the right direction."

Shortly after Ryan's remarks, Romney released a statement praising the House Republican leadership for "taking a bold step toward putting our nation back on the track to fiscal sanity and robust economic growth."

"Chairman Ryan and I share the same goals of cutting taxes and fundamentally reforming our tax code, dramatically reducing federal spending, as well as finally tackling the crushing debt our nation faces," Romney said.

CNN's Kate Bolduan, Jeanne Sahadi, and Rebecca Stewart contributed to this report.

@highlight

NEW: Romney praises House GOP budget plan

@highlight

GOP budget includes big changes in Medicare, tax code

@highlight

Democrats say the plan will hurt the elderly and middle class

@highlight

Democrats argue the plan is a betrayal of last year's deficit reduction deal