(CNN) -- Just west of Seville in Spain, a sea of giant mirrors is reflecting the sun's energy to provide "concentrated solar power" (CSP) while illuminating the path to a new wave of green energy projects.

Shining beacon: The concentrated solar power plant in Sanlucar, Spain is the first of its kind.

The 624 carefully positioned mirrors reflect the sun's heat towards a 50 meter-tall central tower where it is concentrated and used to boil water into steam.

The superheated steam is then used to turn a turbine that can produce up to 11 megawatts of electricity -- enough power for 6,000 homes -- according Solucar, the Spanish company that has built the power plant.

While traditional solar panels, photovoltaic cells, convert the sun's power directly into electricity, CSP focuses power from a wide area and uses the vast heat generated to make electricity in a similar way to that produced from coal or oil.

The Spanish tower, known as PS10, is the first phase of an ambitious development. By 2013 it is hoped that additional towers will create a "solar farm" with an output of 300 megawatts, which would be enough power for 180,000 homes, or equivalent to the entire population of nearby Seville.

This $1.5 billion project is the largest commercial CSP station in the world -- so far.

But many believe the technology will soon take off in areas of continuous hot sun and clear skies, offering a cheaper and more efficient alternative to photovoltaic cells, and bringing jobs and money to arid, often depressed areas.

CSP also produces no greenhouses gasses and the only pollution is visual. The European Union has invested over $31 million in CSP research over the last ten years.

At least 50 CSP projects have been given permission to begin construction across Spain. By 2015 the country may be producing two gigawatts of electricity from CSP, and employing thousands in the industry.

One of the strengths of CSP is that it allows the construction of power stations on a scale that can match many fossil fuel based plants, and for an investment far less than that required to install the equivalent wattage of photovoltaic cells.

There is also the possibility that production can keep going around the clock -- even when the sun has gone down.

Solucar is currently testing technology at a plant near Granada that will pump 50 percent of the electricity generated in the day into the Spanish national grid, and use the other 50 percent to melt salt, which will then act as a kind of battery, storing the sun's power. When dusk falls, the heat stored in the molten salt can be used to generate power through the night.

"These technologies excite me," says Dr Jeff Hardy, Network Manager at the UK Energy Research Council.

"One of the real advantages is that you can get a decent sized power plant.

"The main challenge with the technology is working with extreme heat, but then a lot of the back-end is very similar to a traditional fossil-fuel generation; you are after all just dealing with water heated to make steam and drive a turbine."

Concentrating on promoting CSP worldwide

As America looks to increase the contribution of renewables to its overall energy mix -- a key part of the Obama plan before the recession turbocharged Government funding for such "green" infrastructure projects -- the potential of CSP technology is obvious.

The Spanish company responsible for the Sanlucar la Mayor plant has seen the potential and created Solucar Power, Inc., a subsidiary aiming to develop the market in the USA.

There is already a huge Solar Energy Generating Systems' CSP station in the Mojave Desert, California; Spanish firm Acciona has built a plant near Las Vegas. Many more are surely on their way.

One bold projection estimates that a single plant 100 miles by 100 miles located in the American South West could generate enough electricity for the whole country.

It would obviously be a huge undertaking -- politically, financially and scientifically -- but it's not hard to imagine such a scheme finding a home in the nation's vast, empty quarter.

Other equally arid areas may also find themselves transformed, and CSP may be able to offer valuable foreign earnings for drought-stricken Africa -- while giving Europe the green energy it needs. According to Dr Hardy the technology has a ready application, given the right political, environmental and economic context.

"Concentrated Solar Power is proven to do well in countries like Spain with a favorable government policies and the right climate," he says.

"I can certainly see the potential for extended networks linking together, and the idea of a North African grid linking renewable resources is a real possibility."

Providing power, jobs and money

The Sahara, the world's largest desert, is fringed by some of the poorest countries in the world and the harsh environment has always been seen as a problem, with it's vast, waterless interior regularly reaching temperatures of over 45 degrees Celsius.

But with large-scale CSP projects, suddenly all that empty space, with its year-round clear skies and hot sun, has a value that could transform local economies.

It could potentially turn Africa into a net exporter of energy to power-hungry Europe, and perhaps even do for countries in North Africa what oil did for Saudi Arabia.

The sums are dizzying. Estimates vary, but one projection from the German Aerospace Agency puts the amount of solar energy stored in just one per cent of the Sahara -- 35,000 square miles, or a piece of land slightly smaller than Portugal -- as having the potential to yield more power than all the world's existing power plants combined.

Already Spanish firms are exporting CSP technology to Morocco and Algeria, and a British consortium, the Sahara Forest Project, is testing the technology in the deserts of Oman.

Costs and benefits

However, there is a problem: at the moment costs are still very high. But they are falling as plants get bigger, the technology is perfected and economies of scale kick in.

Even so, any plans to power Europe from the Sahara would require a vast infrastructure of CSP plants and cables laid across the Mediterranean -- requiring billions upon billions of dollars in investment.

Such sums will only be possible through international co-operation on a huge scale. But on a smaller, more local scale a simple change in the way electricity generators are paid has been hugely effective in boosting renewable power.

In Spain and other European countries investment has been encouraged by Governments creating what's known as a "feed in tariff," which pays companies a premium for power sold to the national grid generated by renewable means for a fixed period of time. This enables investors to pay back up front costs more quickly.

Where they have been introduced they have brought about a huge increase in renewable power: Germany has 200 times as much solar energy as Britain, generates 12 percent of its electricity from renewables, and has created a quarter of a million jobs in the sector.

We're a long way from a future where the Sahara becomes the world's largest source of renewable electricity, and the American South West is covered in mirrors lighting and powering cities across the continent.

There are many huge issues yet to resolve, but with small steps, we may be moving towards it.

@highlight

Concentrated solar power projects in Spain leading field in that form of green energy

@highlight

Potential of CSP in desert regions around the globe; more benefits than power

@highlight

Plans to transform Sara ha would involve huge costs; small projects breaking through