Montreal, Canada (CNN) -- A United Nations aviation agency agreed Tuesday that global airline flight tracking is needed in the wake of Malaysia Airlines Flight 370's disappearance and established a September deadline for "near-term implementation plans for applicable solutions."

Olumuyiwa Benard Aliu, president of the U.N.'s International Civil Aviation Organization, made the announcement after officials from more than 40 countries met in Montreal to examine a framework for worldwide standards aimed at preventing similar mysteries.

"ICAO will continue to provide the necessary leadership to ensure all issues are considered expeditiously to enable a 'performance-based' International Standard for global airline flight tracking," Aliu said in a statement.

"As ICAO considers the requirements for global flight tracking, we will also be looking closely at the most effective means of sharing tracking data when needed with applicable search and rescue and accident investigation authorities," he said.

Flight 370 has been missing since March 8 despite an international search.

Global flight tracking is not a new issue, but there is new urgency as the global aviation community looks closely at more robust flight tracking in response to the disappearance of the Malaysia Airlines commercial airliner carrying 239 people.

"Public perception is that in a world where every move seems to be tracked, there is disbelief both that an airplane could simply disappear and that the flight data and cockpit voice recorders could be so difficult to recover," the International Air Transport Association said in a submission to the meeting.

Flight 370, a Boeing 777-200ER, disappeared on a routine flight from Kuala Lumpur, Malaysia, to Beijing. Its transponder went off and its maintenance reporting system stopped functioning.

It lost contact over open waters between Malaysia and Vietnam. Radar is not reliable over the ocean or, as is possible in this case, at low altitudes.

It's unclear whether the transponder -- a radio transmitter in the cockpit that works with ground radar to identify a plane's position, speed and direction -- and the maintenance reporting system, which transmits periodic flight data to the ground, were intentionally disabled or malfunctioned.

The search for the plane is concentrated in the Indian Ocean off the coast of Perth, Australia.

Damage to search vehicle

Meanwhile, the sole underwater vehicle searching for the plane was temporarily taken out of service because of damage, a U.S. Navy official told CNN.

The tail section of the Bluefin-21 was badly damaged when it struck the side of the Australian vessel Ocean Shield in the last 24 hours. But the submersible has been repaired and probably will be redeployed when daylight arrives in the southern Indian Ocean, the U.S. Navy official said.

The accident occurred when searchers, who were experiencing communications problems with the vessel, were hoisting the Bluefin to the deck to examine it, said Michael Dean, deputy director of ocean engineering for the Navy.

"They had 20-knot winds and 3- to 5-foot seas," Dean said. "They got the vehicle on deck, but in the process of doing so, the vehicle was damaged. They essentially had torn the propeller, the tail section had ripped away, and so there was some damage back aft (in the area of) the main electronics bay. There were quite a few components that we had to troubleshoot.

"The good news is the vehicle is repaired," he added.

Dean said the Bluefin was repaired with spare parts loaded on the Ocean Shield during its recent refueling trip to port.

He said it is likely the team will wait until daylight before deploying the Bluefin-21 on its next mission.

The vessel is "probably more than halfway through" searching the location of "Ping 1," considered the second most likely place to find the wreckage of Flight 370.

No wreckage was found during its search of "Ping 2," considered the most likely location of the plane.

During the mission in which it was damaged, the Bluefin-21 never reached the ocean floor, so no data was collected.

Key topics for the ICAO

The key consideration at this week's ICAO meeting was developing protocols for tracking aircraft.

The members listened to a brief presentation about several flight tracking technologies, but do not plan to prescribe a specific one.

"Let me also clarify that performance-based standards differ from 'prescriptive' standards in that they do not restrict operators to specific technological solutions," Aliu said. "This systems-based approach acknowledges that what will best service airlines and manufacturers over the longer term will be the flexibility to choose from amongst the latest and most cost-effective innovations that meet their global flight tracking needs."

One potential standard could be preventing anyone from being able to turn the off flight tracking systems.

This is not the first call for such international standards.

Air France Flight 447 crashed in 2009 in the Atlantic Ocean off the coast of Brazil, killing more than 220 people. It took five days to find wreckage and nearly two years to find the underwater debris field.

The French accident investigation board recommended that authorities "study the possibility of making it mandatory" for commercial airlines to regularly transmit basic flight parameters, including position, altitude and speed.

The ICAO changed some standards after the Air France accident, which will go into effect in November. In what documents describe as "initial steps," airlines were told to make better use of existing communication links, introduce mandatory warnings sent to air traffic control when a plane deviates from the cleared route, and improve procedures to ensure better connections.

"This was also identified as a low-cost solution, using existing (equipment) and technology," the ICAO secretariat wrote in working papers presented to this week's meeting.

Now the organization is considering going further, mandating more frequent and more detailed flight tracking information.

Separately, a satellite communications company proposed a free global tracking service ahead of the meeting.

Inmarsat, the company whose satellite had the last known contact with Flight 370, said the service is offered to the 11,000 passenger aircraft already outfitted with an Inmarsat connection.

It said the tracking would cover "virtually 100% of the world's long haul commercial fleet."

Hunt for plane is the most difficult in history

CNN's Aaron Cooper contributed to this report from Montreal and Michael Martinez wrote and reported from Los Angeles.

@highlight

A U.N. agency studies flight tracking technologies

@highlight

U.N. forum focuses on better flight tracking after Malaysia Airlines Flight 370 disappeared

@highlight

The aim is to develop standards to reduce chances this could happen again

@highlight

Flight 370 disappeared in March on routine flight from Kuala Lumpur, Malaysia, to Beijing