(CNN) -- When former Brazil international captain Cafu is asked why he became a professional footballer, he gives a simple reply.

"I was born in 1970," he says.

That may seem like a slightly abstract answer to those unfamiliar with South America's most populous nation.

To those from the land of sun, samba and the beautiful game, however, it makes perfect historical sense.

That was the year of the 1970 World Cup in Mexico, where Pele, Jairzinho, Rivelino, Carlos Alberto and Co. dazzled an international audience with a style of football seldom seen since.

There are even some who maintain this Brazil side remains the greatest team in the history of the sport.

"That says it all about how I got into football," Cafu told CNN's Human to Hero series. "I was born during World Cup time and from there it was just about giving sequence to what I really enjoyed and that was playing football."

A rampaging right-sided defender with seemingly endless stamina, Cafu played in four World Cups, captaining Brazil to football's biggest prize in 2002 and starring in two others -- USA 1994, where Brazil won and France 1998 where they lost 3-0 to the hosts in the final.

He also became the most capped Brazilian player of all time (winning 148 caps) whilst picking up 21 trophies in a glittering career at club level in Brazil, Italy and Spain.

Former Manchester United manager, Sir Alex Ferguson, even once jokingly queried if Cafu had two hearts such was his ability to keep on running without getting tired -- even towards the end of his career.

"Nowadays, everyone says that I should have continued to play," Cafu said when asked on why he retired when he seemingly still had much gas left in the tank.

"But I thought that was the moment to stop playing ... (at) 38 years old."

"I think I had already given my contribution to football, not just nationally but internationally as well," he added.

Escape from poverty

To be fair to Marcos Evangelista de Moraes (Cafu's full name), it was a long journey. One that stretched fully 18 years in total.

It all began in Sao Paulo. Cafu was born in the city's impoverished Jardim Irene district, playing football in the streets and learning the tough lessons that would later shape his outlook on life.

He now runs a charity foundation in his old neighborhood and hopes to encourage the young people there to dream big.

"Everything I have, I owe to Jardim Irene," he said.

"I want the children to see me there, that I'm giving them attention, so that they can have a good role model. What our children are missing today are good role models."

The young Cafu had trials at a host of Brazilian sides in the late 1980s before eventually being accepted by hometown club, Sao Paulo.

Originally a right-sided midfielder, Cafu was converted into his more familiar right back position by inspirational Sao Paulo coach Tele Santana.

He excelled in this position and helped the Tricolor claim back to back Copa Libertadores (South America's premier club cup competition) crowns in 1992 and 1993.

A transfer to Real Zaragoza in Spain provided Cafu's first foreign sojourn in the 1994-95 season before he returned to Brazil one year later, first with Juventude and then Palmeiras.

After a season at Palmeiras, an offer came from Roma to move back to Europe.

Cafu would spend six seasons in the Italian capital where he helped the Giallorossi win only their third ever Serie A title and their first in 18 years.

In 2003, Cafu would make the final move of his career as he was transferred to AC Milan. Here, he would win Serie A once more as well as the European Champions League and World Club Cup titles.

With so much success, picking out a favorite club moment is no easy task.

"In Sao Paulo, I won everything. Milan, I won everything. Roma, I was league champion. Palmeiras, I was Paulista (Brazilian league) champion."

"All the titles have been memorable. I don't have one that was more memorable or less memorable. They are all important titles with various teams."

Biggest prize

The World Cup is a different story, however.

"Without a doubt, winning the World Cup as a professional athlete is the highest prize in football. It's the peak, the maximum that you can reach."

This was a footballing zenith he reached twice.

The first was at the Pasadena Rose Bowl at the final of USA 94 where Brazil faced off against Italy in the sweltering California heat.

Cafu started the game on the substitute's bench although he was required to come on for the injured Jorginho after just 21 minutes.

"Its an unexplainable feeling," he said of having to come into the game so early and unexpectedly.

"When (coach, Carlos Alberto) Parreira looked at the bench and said I was going to come in, there was a lot of emotion."

"(The other players) were already warmed up, everyone was at a fast pace ... and you get on the pitch in that rhythm that looks like you are slower when in comparison to your opponents."

He needn't have been so concerned. A tense, goalless encounter went to penalties with Brazil triumphing after Italy's Franco Baresi, Daniele Massaro and Roberto Baggio missed from the spot.

The second World Cup triumph was even more satisfying.

As captain, Cafu led an unfancied Brazil who had struggled through qualifying all the way to the final against Germany at the Yokohama Stadium in Tokyo.

Two goals from an inspired Ronaldo settled the tie in Brazil's favor, securing a record fifth World Cup crown for the country.

In an iconic moment, Cafu climbed atop the podium high above his team mates to accept the trophy.

"It was fantastic. Climbing and getting the cup up in the air the way we did ... maybe that made is what made it so beautiful," Cafu said recalling the moment.

"I think that Brazil deserved at that moment to be in the highest place of the stadium."

This exalted position is a place he hopes to see his younger compatriots occupy later this summer as the World Cup comes to Brazil for the first time since 1950 and South America for the first time since 1978.

With star players like Neymar, Oscar and Hulk, as well as home advantage, Brazil are rightly considered among the leading contenders.

Doubts have been raised, however, about the country's preparation for the tournament as well as whether the economic benefits will be felt by all in Brazilian society.

"The infrastructures are being built, the stadium is being built (and) the Brazilian people's faith is helping a lot," Cafu said.

"For us it is going to be a very historic and fantastic moment.

"I have no doubt whatsoever that Brazil will do a terrific World Cup and they will be (six time) world champions," he added.

The likes of Argentina, Germany, Spain, Holland and Italy will no doubt have something to say about that.

If the hosts can channel the belief and stamina of their former captain, however, there might be little the others can do about it.

See also: From Super Eagle to African Pioneer

See also: The man who broke through football's Iron Curtain

See also: The best beard in football?

@highlight

Cafu is a FIFA World Cup winning captain and Brazil's most capped player

@highlight

He played for Sao Paulo, Palmeiras, Roma and Milan among others during his career

@highlight

Former right back believes Brazil will win a sixth World Cup in 2014