(CNN) -- Most Americans don't want the United States to launch military strikes against the Syrian government. A recent ABC News/Washington Post poll says 59% of the American people oppose such an intervention, while 36% support it. Even more oppose supplying weapons to the Syrian rebels, with 70% against and 27% in favor.

Many have welcomed President Barack Obama's move to bring the decision before Congress as giving the issue the kind of national debate it deserves. And hearings this week may move the needle of public opinion to give the president more confidence that he has the backing of U.S. voters.

But even if that doesn't happen, the president needs to move ahead with the plan to punish the regime of Bashar al-Assad for the use of chemical weapons in an attack outside Damascus -- to degrade its ability to use such weapons of mass destruction in the future and to force its removal and replacement by opposition forces that we support. Such action does not have to involve U.S. boots on the ground. It should not involve putting U.S. lives at risk. But what it will require is a kind of leadership, clarity and commitment that has been sorely lacking from our Syria policy to date.

While leadership often entails persuading others to follow before taking action, sometimes it requires taking action even when it is unpopular because it is the right thing to do.

Opinion: Congress, support Obama on Syria

In fact, setting foreign policy by opinion poll is among the most dangerous traps for a political leader. By nature voters are disinclined to take risks and to intervene in distant conflicts. Given the outcome of the Iraq and Afghanistan wars, you can hardly blame them.

In addition, citizens, even earnest ones, are often reluctant -- and sometimes ill-equipped -- to weigh seriously how the outcome of such conflicts might affect America's long-term national security interests. That is not a slam on those citizens. Often the issues involved are arcane, convoluted and mind-bending, even to so-called experts.

Presidents need to take these things into consideration when evaluating just how much weight to give to public opinion. Furthermore, whereas presidents are elected by the people, they are sworn to do what they can not only to preserve, protect and defend the Constitution but also to execute the duties of their office.

This means serving as commander in chief of the armed forces, guiding U.S. foreign policy and working with the tools given to them by elected representatives, such as the War Powers Act of 1973, which grants them the authority to take military action without consulting with Congress if they deem it essential. (They have to consult Congress within 60 days. Although it is worth noting that presidents often undertake such action not by drawing on the power granted them under the act but by that conferred to them under Article II, Section 2 of the Constitution. That's the section giving them the responsibility for being commander in chief.)

The critical issue is whether the national interests of the United States are at risk and must be protected. In the case of Syria, it is clear that the president must act.

Opinion: Obama's irony, McCain's agony

The administration has said al-Assad has used chemical weapons. This is an abuse of international law and norms that cannot be allowed to stand, or it will send a message to other bad actors -- some of whom represent a direct threat to U.S. soldiers, private citizens and allies, as is the case in the Koreas, to choose one example. (Iran's WMD threat to allies such as Israel, U.S. friends in the Gulf and U.S. military forces in the region is yet another.) Further, if the United States does not act after the president had rightly declared such action would be unacceptable, it would undermine deeply and perhaps irreparably our credibility in the Middle East and worldwide.

Just as important, the Assad regime is an ally of Iran's, seeking to advance Iranian power throughout the region and doing so with direct Iranian aid and weapons support. This is a threat to our allies, to regional stability and, by extension, to the global economy and vital energy supplies.

Further, the deterioration in Syria has made the country a breeding ground for a new generation of extremists who might be empowered by an al-Assad defeat. We must be careful to place our support behind others, such as the Free Syrian Army, who are most likely to be sympathetic to our views. But we almost recognize that not stabilizing the Syrian crisis, simply ignoring it, will make the situation throughout the region much more dangerous.

We must send a clear message chemical weapons use is unacceptable. And we must actively support the opposition with weapons so that they can defeat al-Assad. Even if the regime that replaces him is hostile to us, it is unlikely to pose the kind of regional threat that one supported by Iran does. Risks are involved. Outcomes may not be exactly what we seek. Action may be dangerous and unpopular, but inaction is certain to make the situation worse and the threats to our interests grow.

Opinion: GOP shouldn't bail out Obama's floundering foreign policy

The president deserves credit for trying to make this case to the American people. But it is time for him to act whether there is broad support for him or not.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Polls say Americans averse to Syria strike and welcome hearings

@highlight

He says basing foreign policy on polls dangerous for a leader who must protect U.S. interests

@highlight

He says citizens often don't see implications of inaction

@highlight

Rothkopf: Obama has authority and cause to act whether there is broad support for him or not