Beirut (CNN) -- At first glance, the brightness of the colors might just be enough to fool the casual viewer. But this abstract scene in "Play in the City" isn't a cheerful one. Pain infuses this painting.

"Here's a person who wants to kill another person," says artist Anas Homsi, as he points towards a menacing figure in the composition, "And here's a person who wants to defend this person from being killed. "

Homsi's canvas is inspired by conflict - namely, the brutal civil war raging in his homeland of Syria.

It's just one of several works on display at the Joanna Seikaly Gallery in Beirut. In the exhibit, entitled "True Colors", Homsi along with two other Syrian artists, Wissam Shaabi and Fadi Al Hamwi, tackle warfare through works encompassing themes such as hope, survival and society.

"The violence pushes me to work more, to draw and paint," explains Homsi, an intense young man who's well aware how much he's been impacted by the violence.

"It's apparent in the faces," he says, describing the characters who inhabit another one of his creations, "the abnormalities - these are internal abnormalities more than external."

Homsi's striking images are made all the more poignant when he describes the horror of learning how close relatives of his were recently executed.

"I never imagined this would happen to anyone in my family," explains a visibly upset Homsi, "Or that I would hear this news about anybody in my life."

Exiled Syrian writer honored

For Homsi and his colleagues, art is what keeps them going through the toughest of times.

As it turns out, the men aren't just close friends, they're also former classmates, having studied together at the University of Damascus' Faculty of Fine Art.

While the art scene in Damascus had been growing more vibrant before the start of Syria's civil war, it quickly changed once clashes spread.

"There's more Syrian artists being showcased in Lebanon because most of the galleries closed in Syria, especially in Damascus," says gallery owner Joanna Seikaly.

For Seikaly, who feels the art scene in Lebanon has grown somewhat stagnant, this showcase is a timely one.

"It's important to highlight the situation that's going on in Syria," says Seikaly, who adds that several Syrian artists who fled the fighting have ended up in Beirut.

Young Syrian amputee makes dangerous journey to find help

For Shaabi, who left for Lebanon once it got too dangerous at home, it has been hard to remain optimistic. But he's determined to do so.

"The only thing that keeps us running and living is hope," the soft-spoken artist adds.

It's hope that Shaabi tries to convey more than anything else in his paintings. Dreamlike images in which bright colors offset an approaching darkness.

"You know, art is all about a message," explains Shaabi. "You send the message for the people."

In "City of Hope", Shaabi presents an idealized vision of peaceful coexistence - hustle and bustle in an urban environment free of strife.

The symbolism couldn't be more striking. A closer look reveals both a crescent and a cross in this cityscape.

"We will remain looking for the future," says Shaabi. "For a bright future. That's the whole idea."

Just around the corner, however, the works of Fadi Al-Hamwi highlight a very different feeling - one of dread.

"You feel fear," says Al-Hamwi. "You feel like anytime something can happen."

As the last member of this group still living in Damascus, angst is part of his everyday reality.

"I'm inside Syria. I can see the people. I can connect with them till now," he says.

That connection informs his art; pieces full of foreboding.

In "Stinkbomb", a dying man is on display, with a gas mask on his face and a rose in his hand - clinging to hope while slipping away.

Melancholy seems to pervade Al-Hamwi's personality.

"Sometimes when you feel down - you feel all these people are dead, you feel like your country is just destroyed - you feel you should do something maybe different than art"

But those doubts don't last long. Al-Hamwi sees his job as a necessary one; that as an artist, he must document what he's feeling and seeing.

"We feel sad, we feel tired. So for sure this will show in your colors."

The colors are as vivid as life - from artists taking their audience on an artistic journey that constantly reminds of death.

@highlight

Syria's brutal civil war depicted in Beirut exhibition

@highlight

Artists say their work keeps them going through tough times

@highlight

Most galleries in Syria have closed

@highlight

Several Syrian artists who have fled the fighting have ended up in Lebanon