Sandy Hook Elementary School probably did everything right. Its staff worked every day to create a climate of kindness over bullying. They had lockdown drills that trained everyone to stay low and quiet in the event of an emergency. A security system introduced this year required visitors to ring a bell, sign-in and perhaps produce a photo ID. After 9:30 a.m., the doors were locked.

And now it's the home of the one of the worst school shootings in U.S. history. Twenty children dead and eight adults, including the shooter.

Those who know the world of school security are already predicting what comes next: A strong reaction -- maybe an overreaction -- by parents, schools and legislators who want to take action. Politicians will be elected on platforms of school safety. Vendors will turn up with technology and security plans to sell. Schools will rewrite their crisis plans and run extra drills.

It happened after the shooting at Columbine High School in Littleton, Colorado, in 1999, and again after the 2007 massacre at Virginia Tech.

And within a few months or years, it'll be back to cutting security budgets and fighting for time to train staff and teachers on safety protocol.

Psychologist didn't come back alive

"The vast majority have a crisis plan on paper. It's much more common that we find those plans are collecting dust on the shelf and they're not a part of the culture or the practice," said Kenneth Trump, a school security consultant. "I don't believe we need to throw out the book of best practices on school safety. I think we do need to focus our resources, times and conversation back on the fundamentals."

Every school should have crisis teams that review their plans regularly, he said, and staff members who greet and challenge every person who comes to the door. They should have locked doors, safety drills and parents who know where to find their kids, just in case the unthinkable happens.

Schools need counselors, psychologists and officers building relationships with kids, because they are the best line of defense, Trump said.

Is there no safe place?

"As they've cut back on the human element, they've tried to compensate by leaning on and pointing to physical security measures," Trump said. "They love to say 'We have cameras.'"

The details about Sandy Hook aren't clear yet. Did the suspect, Adam Lanza, enter before the doors locked? Did he say anything to anybody beforehand, leave any trace of his plan? Could a locked door or a kind word possibly have stopped him?

"The saddest thing about these incidents is they're over so fast, a law enforcement response almost never accomplishes anything," said Katherine Newman, co-author of "Rampage: The Social Roots of School Shootings."

Shootings happen in places "exactly like this," Newman said -- rural areas or exurbs where violence never seems to be a problem. But the typical perpetrator belongs to the school community, someone staff would easily let in.

You can't fault Sandy Hook's administrators and teachers, said Newman, dean of Johns Hopkins University's school of arts and sciences. They stayed in lockdown and stuck to plans that might have saved kids' lived. Stories are emerging about teachers who pulled kids to safety and demanded proof that police were really who they said they were.

It probably wouldn't have changed anything in Newtown, Newman said, but every school would be wise to re-evaluate its security measures. Newman advocates for more school resource officers, unarmed law enforcement representatives, who kids are taught to trust. There aren't many at elementary schools, she said, and their positions are often among the first cut from middle and high schools in tough economic times.

"Kids have to know that they can come forward and what they'll talk about is confidential, but also taken seriously," Newman said. "They are the ones privy to leakage of intentions and rumors. Trapping that information and getting it to the right place is a very important defensive measure."

The kids in elementary school today weren't even born when the Columbine shooting took place, she said. How could they know such a thing is possible, that there's history behind those lockdown drills and buzzer systems?

After the Columbine shooting, districts renovating and building schools studied what they could do to make them safer, architect Irene Nigaglioni said, and the changes are clear on some campuses.

They began to build single, prominent entryways, and reduced landscaping that provided a place to hide, Nigaglioni said. They shifted restrooms away from entryways and moved major mechanical and electrical systems so they couldn't be shut down or vandalized from the outside.

They put simpler keyless entry systems on doors to make it less tempting to prop them open. They planned elaborate announcement systems that let police address a shooter without speaking to every classroom.

"Year by year, they're trying to do what they can with the money they have," said Nigaglioni, chairwoman of the board for the Council of Educational Facility Planners International. "Anything that is going to make it harder to get through a building."

But in recent years, schools also came to value natural light and open spaces that allow classes to collaborate. Walls once made of brick are now made of glass. They fold up and disappear, if they're there at all. It's better for learning but tougher for security, Nigaglioni said.

"It's becoming a challenge," the Dallas-based architect said. "We're breaking down the school into more small learning communities, the school within a school. You might not have a wall, so securing your hallway or pod is how you do it."

If there's a shooting, an explosion, an illness, it can sometimes be limited to one room or one hallway. At Sandy Hook, students were killed in two classrooms.

But plenty of schools don't have even those options. John Kuhn is superintendent of the Perrin-Whitt Consolidated Independent School District, a rural district northwest of Fort Worth with just a few hundred students. He spent Friday afternoon celebrating Christmas with his elementary school students, pretending not to know the news.

"Oh my gosh," he thought. "I have to take care of these kids."

His schools will review their crisis plans and drills this week, he said. But there's no school law enforcement, and because it's a rural area, any police response could take a while. His middle and high school students circulate between five buildings during the school day, so they can't lock doors.

Security systems cost money, he said, and when he's cutting teachers, how could he hire a police officer?

"Days like (Friday) make you think, is that the right decision? How can we make our systems airtight?" he said. "You know ultimately, you can't."

After Columbine, after Virginia Tech, after Sandy Hook, security experts said that will be the hard reality for every school, politician and parent to accept.

"There is not a single safety measure that anyone could have put in place at that school that would have stopped what happened," said Bill Bond, the school safety specialist for the National Association of Secondary School Principals. "When you allow absolutely insane people to arm themselves like they're going to war, they go to war."

He calls metal detectors useless. Buzzer systems are just locked doors. Lockdown plans are important to keep people safe, but they don't keep evil out.

"In a school, your only real protection is kids trusting you with information," Bond said. "If they don't trust you with information and someone is planning to do something, it's a matter of how many will be killed before you kill him."

When it comes to shootings, Bond calls himself a cynic. Over the course of 12 seconds in 1997, one of his students shot and killed three classmates, wounded five more, then put the gun in Bond's hand.

Bond was principal at Heath High School in West Paducah, Kentucky, then. The shooter was 14. Michael Carneal was later sentenced to life in prison.

Bond stayed on at Heath long enough to see survivors graduate. The school's culture changed overnight, he said, to one of support and trust. After three funerals, the bullies changed.

He retired and built another career talking to high schoolers about security. He tells them to pay attention to what they hear and tell people who can help. That, he promises, works.

He's not in Newtown yet, he said, because, well, what could he say to 6 year olds? What could he say to their parents to make this better?

Nothing, he says. Not a thing.

People are sharing their concern and sadness over the Newtown school shooting. What are your thoughts? Share them with CNN iReport.

@highlight

The school in Sandy Hook did a lot right, but the shooting happened despite their efforts

@highlight

Children have to feel safe coming forward with information they may have

@highlight

Such violent incidents occur so quickly that a lot of damage is done before police can respond

@highlight

Since the Columbine shooting, many new schools are designed to make attacks more difficult