(CNN) -- I was in Florida this week, not for the vigils and protest at the Sanford courthouse, but as a guest of an organization that changed this country's political, cultural and moral trajectory through its protest and more importantly through its organizing before I was even born.

As I sat on a panel on civic engagement at the NAACP convention in Orlando, looking out at the crowd of still passionate, but aging warriors of grassroots organizing who fought injustice, I couldn't help but think in the face of this tragedy fanning a deep hunger for action -- what would Fannie Lou Hamer do? What would Baynard Rustin do? What would Cesar Chavez do?

What would some of the organizing pioneers of the movements that changed our country do in the face of such injustice and subsequent unrest growing out of this irreconcilable moral incongruity?

The acquittal of George Zimmerman is triggering a truly grassroots hunger for action to help heal the hurt the community feels. There needs to be a modicum of moral satisfaction to help heal the divide. And yes moral, because while pundits can argue all day about the legal correctness of the verdict, one has to submit that letting an armed grown man off scot-free after he stalked and killed a teenager who was doing nothing more than walking home with candy does not sit well in the court of moral opinion.

There being no consequence for killing an unarmed child who wasn't bothering anyone has to be in conflict with our nation's moral compass or we have to admit that our moral compass is at best broken and at worst a convenient lie. This moral distress needs a positive outlet.

So what is the community to do now? (I initially wrote "What is the progressive community to do now?" But I quickly checked myself because, frankly, the so-called mainstream progressive political organizations that always, always have something to say around gender issues or immigration or marriage equality issues have been deafeningly silent up to this point on the issue of the Zimmerman verdict.)

The community (and define community as a coalition of the willing, not simply by race) now must take a page from the NAACP organizer's handbook and give this dissatisfaction an avenue toward a positive reaffirming conclusion in the absence of justice from the courts.

And frankly, I don't think there is a court solution now that will make Zimmerman do time for the murder. My fear is that the current round of protest and vigils will go the way of Occupy Wall Street which in the end, I'm sorry, was a lot of sound and fury signifying nothing in a political, economic or even a cultural sense.

No one in the halls of Congress or Wall Street today fears or is inspired to action because of those protests. And that's a shame, but as is often typical of movements on the left that tend to resemble cat herding, nothing happens much beyond speeches -- as opposed to recent movements on the right such as the tea party uprising. They organized into something that for better or worse has defined much of the policy debate for the last couple of years in this country.

What must we do now? Organize! Organize the hurt and frustration into a set of actions that will have policy ramifications and drive the political debate in this country.

So yes protest, but at those protests hand out registration forms and targeted street maps for registration drives in those areas where the protests are being held. Split the marchers up into groups, hand out hoodies and have them fan out across the communities in hoodie registration drives.

Borrow from Howard Dean's 50-State Strategy and organize neighbor to neighbor canvassing programs where people inside the community are engaging the people they live beside in those communities in a conversation about why this matters.

Don't allow politicians who need the votes of our community to avoid addressing laws that will make this sort of profiling and murder more difficult in the future.

Hold those politicians accountable at the federal level, but more importantly at the state level where most of these laws are written. And if need be, yes, organize primary challenges to state senators and city councilmen who don't seem to get it.

Define an agenda that starts with gun control and anti-profiling legislation and challenge politicians to sign on or get primaried. By the way, you will be surprised by how few votes you need to win most state senate races.

In politics we love to simplify complex political narratives with tags like "Soccer Moms" or "Nascar Dads" that defines an election cycle -- Let's bring organizing power to our protest so that 2014 is defined by the Trayvon voter!

The opinions expressed in this commentary are solely those of Cornell Belcher.

@highlight

Cornell Belcher: What would civil rights pioneers have done about verdict?

@highlight

He says protests are fine but a smart strategy would focus on organizing

@highlight

Belcher says voters should rally around Trayvon case, hold politicians accountable

@highlight

He says voters must push politicians to favor gun control, anti-profiling legislation