(CNN) -- World leaders are meeting in Seoul this week to discuss how to deal with the threat of nuclear terrorism.

The effort to prevent the misuse of nuclear materials and the spread of nuclear weapons has long-placed most emphasis on defensive measures. These are essentially on the "supply side" -- aiming to choke off the flow of nuclear weapon components and radiological materials to terrorists. While there is a place for such steps, there is another, and perhaps more successful way, to accomplish the goal.

One of the gravest threats to nuclear proliferation arises from the nations that use proxy groups -- seemingly independent organizations that are paid to further the interests of governments.

Ending or reducing the use of such proxy groups has real potential to reduce the availability of such materials to terrorists.

Perhaps the single, most dominant security threat stems from the nuclear-tipped country of Pakistan, with its accepted use of proxy groups to promote the perceived national interest.

Third-party transfer, where a country receiving weapons sells or gives them to another party, is always a danger, and with it looms the possible catastrophe of nuclear weapons in the wrong hands.

It is clear that the U.S. government is working hard with Pakistani officials to ensure that security at nuclear facilities and radioactive material storehouses is more robust. This has been taking place for years. For example, David E. Sanger and William J. Broad's New York Times article in 2007 (U.S. Secretly Aids Pakistan in Guarding Nuclear Arms) describes initiatives undertaken from the time of the Clinton and Bush administrations and the complexities associated with efforts to work with an ally that remains fundamentally "suspicious" of our intentions.

But the broader question remains: Why does Pakistani leadership continue its half-hearted support for counterterror practices aimed at those in a position to acquire such materials?

For one thing, Pakistan has a legacy of using proxy groups to promote its national security interests that goes back at least to the 1950s. At the time, Prime Minister Mohammad Daud Khan of Afghanistan worked to stoke nationalist demands and aspirations from the Pashtun population in geographical locales near the "Durand Line," the disputed border between Pakistan and Afghanistan.

In turn, Pakistani leaders used Islam as a framework and its own proxies as counterweights, to promote an alternate vision of a unified region unfettered by political instability and social unrest.

Lashkar-e-Tayyiba ("Army of the Righteous") is perhaps the most prominent Pakistani proxy in the contemporary world because it is generally recognized as having carried out the Mumbai terrorist assaults in 2008. This terrorist group is long known for its fierce struggle in Kashmir against Indian-supported political leaders and Indian security forces.

To be sure, Pakistan is not the only country in South Asia that practices international politics in this way; India has also used its own set of proxies to promote national interest in effective and sustained ways in places such as Afghanistan and Bangladesh.

But while the use of proxies in the region is not especially new, the risks nowadays are compounded by the presence of nuclear weapons and radiological materials.

It is vital that Pakistan comes to grips with its use of proxy groups and explores alternatives. The use of proxies in pursuit of national policy also has implications with respect to Iran, with its track record of trying to enhance its power in Iraq by supporting insurgents and providing know-how for the building of improvised explosive devices.

In Afghanistan, where the weak Karzai government remains unable or unwilling to meet its security obligations outside of Kabul, Iranian proxies wield their influence.

It is likely that Iranian leaders support the Shia organizations in Sunni-dominated Pakistan as well as Shia militant group Sipah-e-Muhammad with the broader aim of destabilizing Pakistan, in no small part to undermine American efforts in the region.

What does that portend for possible short-run relationships between Israel and Pakistan if Iran is deemed a common threat? In turn, what does that portend for the United States from its own geostrategic position?

We should take a page out of the conflict resolution literature playbook and use bargaining techniques that seek to isolate and identify motivations behind Pakistan's position on the use of proxy groups.

For example, the fears and anxieties political leaders experience often drive "hard-line" bargaining positions on issues, and knowing what those fears are in the case of Pakistan, U.S. leadership can work to relieve those fears by providing alternatives.

Another technique is to break down large seemingly unsolvable problems into smaller, more manageable ones. For instance, the broader policy of drone use by the U.S. can be broken down into smaller policies where agreement is possible. One possibility is putting in place tighter restrictions to satisfy Pakistan's leaders on when drones should be used, in what specific cases or as backups to other forms of interdiction.

In turn, compromises like those can and should be linked to issues of importance to the U.S. such as stronger Pakistani support for U.S. talks with the Taliban and greater transparency by the Pakistanis about security policies. Such talks might start a process that could lead to new agreements that come closer to confronting Pakistani proxy use.

All of this requires unequivocal American commitment to Pakistan for the long haul, to allay fears of abandonment. Against that backdrop, such problem-solving efforts would generate alternatives that might lead to innovative thinking about new security arrangements in Pakistan and other countries such as India and Afghanistan.

It is possible to reduce the threat of nuclear weapons and radiological material dissemination by reducing reliance on proxy groups, and that could be our most effective tool in this ongoing battle.

The opinions expressed in this commentary are solely those of Richard Chasdi.

@highlight

World leaders meeting in Seoul to discuss security measures against nuclear terrorism

@highlight

Richard Chasdi: One major source of risk is the use of proxy groups by nations

@highlight

He says nuclear-armed Pakistan is one of the countries where proxy groups have been used

@highlight

Chasdi: In a nuclear age, empowering proxy groups could lead to disaster