(CNN) -- Russia still has about 1,000 troops inside eastern Ukraine, a NATO military officer said Thursday, a week after Ukraine's government and pro-Russian rebels agreed to a ceasefire aimed at ending months of conflict.

NATO also sees 20,000 more Russian troops aligned along the border, the NATO officer told CNN. He was not named according to standard practice in the organization.

NATO believes that these numbers amount to a large and effective military force, the officer said. In addition to the troop numbers, NATO continues to see sophisticated Russian military equipment in Ukraine.

NATO remains concerned and urges Russia to engage with the international community and Ukraine to find a political solution to the crisis, the officer said.

Moscow has consistently denied allegations by Kiev and the West that Russia has troops in Ukraine, and that it has armed and supported the rebels.

On Wednesday, Ukrainian President Petro Poroshenko said some 70% of the Russian troops believed to have been in Ukraine had withdrawn back across the border, according to the national news agency Ukrinform.

Information released by Ukraine's National Security and Defense Council on Thursday indicated that the rebel forces control a strip of eastern Ukraine running from the city of Luhansk down to the Sea of Azov.

'Very fragile' ceasefire

The truce was signed Friday after talks in Minsk, Belarus, between representatives of Ukraine, the rebels and Russia.

But more substantive talks on issues, including the decentralization of power and constitutional reform in Ukraine, must still take place before a lasting resolution can be found.

Russian Foreign Ministry spokesman Aleksandr Lukashevich told a briefing Thursday that the ceasefire was "very fragile" and that both sides must implement the framework agreed to in Minsk.

"There is mounting evidence of the Kiev government strengthening its military groups in different areas, regions; there are eyewitness reports to prove it," he said, "though Ukrainian authorities keep on reassuring us that they're not planning a military operation."

Lukashevich said Russia was also surprised by NATO's announcement of plans to hold joint military exercises with Kiev in Ukraine later this year.

"This might cause the escalation (of the situation) and put the progress in peaceful settlement of the crisis in Ukraine under threat," he warned.

New sanctions

A new round of European Union sanctions against Russia over its actions in Ukraine will come into force Friday, European Council President Herman Van Rompuy said Thursday.

EU officials will review the implementation of the ceasefire before the end of the month, he said, after which the sanctions could be amended or lifted.

The sanctions include tougher restrictions on Russia's access to EU capital markets; a ban on loans by EU companies or individuals to five major Russian state-owned banks; a ban on debt financing to three major Russian defense companies and three major energy companies; and an asset freeze and travel ban against 24 more individuals.

This means 119 people in total are now subject to sanctions, while 23 entities remain under an asset freeze in the European Union.

Russia has warned it will respond to any additional measures.

In his remarks, Lukashevich said the deadly crash in July of Malaysia Airlines Flight 17 -- which Kiev and the West believe was shot down from rebel-held territory using a Russian-made missile launcher -- was being used to justify the imposition of broad Western sanctions against Russia.

A preliminary report into the crash released this week by Dutch investigators did not apportion blame for the crash but said the plane was brought down by "high-energy objects" from outside.

The United States will join the European Union in implementing additional sanctions against Russia over its "illegal actions in Ukraine," President Obama said Thursday. "We will deepen and broaden sanctions in Russia's financial, energy, and defense sectors," he said. The administration will outline the specifics of the sanctions Friday.

"We are implementing these new measures in light of Russia's actions to further destabilize Ukraine over the last month, including through the presence of heavily armed Russian forces in eastern Ukraine. We are watching closely developments since the announcement of the ceasefire and agreement in Minsk, but we have yet to see conclusive evidence that Russia has ceased its efforts to destabilize Ukraine," Obama said.

Aid convoy

Lukashevich also said there had not yet been a "breakthrough" allowing a new Russian aid convoy to start moving into Ukraine in the next few days.

"We hope that the delivery will be carried out with participation of Ukraine's border guards and customs officers as well as officials from the International Committee of the Red Cross," he said. "We hope, however, that the coordination would not be dragged out."

A previous convoy carrying aid for civilians caught up in the fighting in the Donetsk and Luhansk regions was sent over the border by Russia without permission from Ukrainian authorities.

The Presidents of Russia and Ukraine are "broadly satisfied" with the status of the ceasefire, Kremlin foreign policy adviser Yuri Ushakov told Russia's Interfax news agency on Wednesday.

CNN's Andrew Carey in Kiev and Alla Eshchenko in Moscow contributed to this report. CNN's James Frater also contributed.

@highlight

NEW: Obama: The U.S. will join the European Union in implementing sanctions

@highlight

Russia has 1,000 soldiers and advanced military equipment in Ukraine, a NATO officer says

@highlight

Ceasefire in eastern Ukraine is "very fragile," Russian Foreign Ministry spokesman says

@highlight

He cites "mounting evidence" of Kiev government strengthening its military presence