(CNN) -- Last July, the world celebrated the birth of its newest nation as South Sudan officially separated from the north. It was hoped then that after decades of bloodshed, the people of of both nations would finally know peace.

But just a few months later, refugee camps are filling to the brim as fighting in the border states of Southern Kordofan and Blue Nile has intensified and displaced more than 400,000 people.

They arrive at the camps in trucks, on camels and even by foot, said Jean-Pierre Amigo, a field coordinator with Medicins Sans Frontieres (MSF) or Doctors Without Borders.

"The number of people is increasing every day," Amigo said.

Fighting erupted between Sudan's army and South Sudan rebels in Southern Kordofan even before independence was formalized. The violence spread to Blue Nile in September.

The Enough Project, which works to expose genocide and crimes against humanity, recently documented killings and rape by Sudanese forces in Blue Nile.

"The civilian toll from an indiscriminate aerial bombardment campaign is rising," said a field dispatch from the Enough Project.

The United Nations has appealed for money to help civilians caught in the violence.

"We are looking at a deteriorating humanitarian situation in the areas out of which the refugees in neighboring South Sudan and Ethiopia have fled," Peter de Clercq, the United Nations' acting humanitarian coordinator in Sudan, said this month.

That in addition to the crisis in the Darfur region -- where war broke out in 2003 and 3.75 million people still need help -- qualifies Sudan as one of the world's largest humanitarian crises, according to the United Nations.

The world body is asking for $1.06 billion to help 4.2 million people in 2012.

Amigo of MSF is witnessing firsthand the human suffering caused by protracted conflict. The medical charity has ratcheted up efforts in the area to deal with a full-scale emergency.

Amigo said among the new arrivals at Alfuj refugee camp was a 70-year-old woman who was brought in a donkey cart. She had traveled days with six bullet wounds in her back. Half of one her hands was gone.

Many of the people seeking refuge at Alfuj are suffering from respiratory disease, malaria and malnutrition, Amigo said.

They told MSF they had been on the move since September, at first hiding in wooded areas near their crops but eventually fleeing their homes altogether.

At Alfuj, mothers are delivering babies under trees, Amigo said. MSF has set up a 24-hour maternity ward.

No one here has a mosquito net. They share drinking holes with cattle. Or women and girls wait for up to 12 hours to fill a plastic can from a water pump. MSF installed a massive water bladder to bring some relief.

MSF has also been feeding children high-nutrition biscuits. Without any other aid agency at Alfuj, it has been difficult for the MSF staff, Amigo said.

"As a medical organization, we cannot help everyone there," Amigo said. "We cannot meet all the needs."

Earlier this month, the United Nations refugee agency airlifted relief supplies from neighboring Kenya. The C-130 Hercules transport planes carried plastic sheets and rolls, sleeping mats, blankets, mosquito nets, buckets, jerry cans and kitchen sets.

"These supplies are desperately needed," said Vivian Tan, spokeswoman for the U.N. High Commissioner for Refugees in the South Sudan capital, Juba. "Families often arrive here exhausted, hungry, cold or sick. We have already distributed whatever we had on the ground, including aid from Juba and Malakal. Our local warehouse is almost empty now."

But few of those supplies have reached Alfuj, where access is difficult because of bad road conditions.

South Sudan is independent now, Amigo said, but not free from crisis. The MSF staff saw 400 malnourished children in one day at Alfuj.

There is no doubt in Amigo's mind that they were addressing an acute emergency.

@highlight

Fighting in two border states has intensified and displaced thousands

@highlight

Many are arriving at refugee camps where malnutrition and disease are rampant

@highlight

A Doctors Without Borders staffer says the charity is addressing an acute emergency

@highlight

South Sudan became gained independence last July