Washington (CNN) -- An Electoral College tie.

It's the white whale of American elections: elusive, mythical and never realized.
But could it finally happen this year?

The likelihood that President Barack Obama and Mitt Romney will each net 269 electoral votes in November, instead of the 270 needed to win, is actually not so farfetched -- and for close observers of the Electoral College system, a tie would set off a wave of constitutional and political mayhem that would make the 2000 Florida recount seem like a tidy affair.

Check out the CNN electoral map and calculator

Election results in key states would immediately be subject to legal challenges. Electors, normally an anonymous batch of party insiders elected to ratify each state's winner with their electoral votes, would be lobbied to change their votes by friends, neighbors and political leaders.

Ultimately, the House of Representatives could elect the next president, even if that candidate lost the popular vote.

"What it would reveal is that we have, in some sense, a profoundly undemocratic mechanism for dealing with a tie," said Alex Keyssar, a professor of history and social policy at Harvard University, and a critic of the Electoral College. "I think there would be an enormous outcry over that."

A quick reading of the electoral map shows that the prospect is startlingly real.

This year's list of battleground states is now familiar to anyone following the race. The campaigns and their allies are spending money in states where the polls are tight: Ohio, Florida, Virginia, Nevada, Colorado, New Hampshire and Iowa.

By the numbers: Why Ohio matters

Democrats say North Carolina is in the mix. Republicans insist the same is true for Pennsylvania, Wisconsin and Michigan, where Romney has family roots.

Strategists inside both campaigns agree, for now, that the 2008 battlegrounds of Missouri and Indiana are all but certain to go red, while New Mexico is likely to stay blue.

So using those parameters, here's one plausible scenario in which no candidate wins an Electoral College majority in November:

Romney tears up Obama's 2008 map and wins New Hampshire, Iowa, Ohio, Florida, North Carolina and Nevada.

Obama, meanwhile, keeps Colorado, Virginia, Pennsylvania and Wisconsin in the Democratic column.

That combination of states adds up to 269 votes for each candidate -- and that's just one of several realistic scenarios yielding the same outcome.

A handful of paths involve Wisconsin and Pennsylvania, two blue-leaning states that Democrats insist are off the table for Republicans (even though the Obama campaign has spent heavily in Pennsylvania on television ads attacking Romney).

Also in the mix is Nebraska. The state awards its five electoral votes by congressional district, and the Omaha-anchored 2nd District sent a single vote to Obama in 2008.

The Obama campaign has been organizing in the Omaha metro area for months, and the Republican National Committee is opening a field office there in the coming weeks.

Both campaigns know that just a single electoral vote could play a decisive role in what's expected to be a historically close race, and that makes what happens in the event of an Electoral College tie all the more intriguing.

Both political parties begin coordinated ad efforts with the campaigns

The rules governing the process -- outlined 208 years ago in the 12th Amendment -- seem straightforward. The House tallies up the electoral votes in a special session of the next Congress in January, and if no candidate reaches a majority, then each state's delegation in the House casts a vote for president.

The last time a "contigent election," as it's known, occurred was 1824.

After the unresolved presidential election of 1824, when none of the four candidates achieved an Electoral College majority, the House met the following January to decide the outcome.

After a good bit of politicking from all the candidates, the House awarded the presidency to John Quincy Adams, even though Andrew Jackson had won the most electoral votes.

This is the model that will be used if Obama and Romney find their fates in the hands of Congress in January.

According to a report on contingent elections by the Congressional Research Service, the procedures undertaken for that 1825 vote -- the House met in closed session without reporters, for instance, and voted anonymously by paper ballot -- would be "precedential, but not binding" for similar elections in the future.

But a modern-day version of that pageant play is guaranteed to be messier and far more dramatic, election scholars say.

If Romney and Obama both finish on November 6 with 269 electoral votes apiece, the true results will not be known until December 17.

That's when the electors -- Democratic and Republican loyalists nominated by state party officials and placed on the ballot alongside the presidential candidates -- meet in their respective state capitals and the District of Columbia to formally cast their electoral votes.

That has become a mostly irrelevant exercise in recent presidential elections. But in the event of a razor-thin finish, or a 269-vote tie, every elector will suddenly wield great power.

A handful of states have "faithless elector" laws on the books designed to punish electors who switch their votes, and some two dozen states require electors to pledge to vote for the state's winner.

"If there appears to be a tie, then faithless electors become a big problem, and we could have a real mess on our hands," said Robert W. Bennett, a constitutional law professor at Northwestern University who has written extensively about the Electoral College.

Many recent electors have mulled switching their votes and little can be done to stop them, said Robert Alexander, an Electoral College expert at Ohio Northern University.

What are the most important issues to you?

In the course of writing a book on presidential electors, Alexander interviewed more than half of the electors who participated in the 2000, 2004 and 2008 elections. Of the 2004 group, 10% said they considered voting for someone other than to whom they were pledged. In 2008, 11% said the same.

Many told Alexander they were lobbied or pressured by someone to change their allegiance -- sometimes in person, sometimes by anonymous e-mails and phone calls -- in the period between Election Day and mid-December, when the Electoral College votes.

"If it's really close, you would expect to see massive lobbying campaigns," Alexander said. "Most do follow the herd, but not all, and that becomes the question in a close election. What happens at the margins?"

Despite being party loyalists, he said, electors are regular people with their own biases and political inclinations. In rare cases, they make them known.

In 2000, Washington D.C. elector Barbara Lett-Simmons abstained from casting her electoral vote as a protest against the District's lack of voting representation in Congress. In 2004, an anonymous Minnesota elector voted for John Edwards instead of John Kerry.

Throughout this past spring and summer, Ron Paul's devoted supporters worked furiously to elect their own as electors at state party conventions.

"They are trying to be the revolution to the Electoral College," Alexander said.

If the electors behave in December and affirm an Election Night split decision, the action would move on to the House of Representatives.

A joint session of the newly elected Congress would be convened to open and count electoral votes. A House leadership aide told CNN this would happen on Monday, January 7.

If no candidate reaches a majority of 270 votes, a contingent election immediately ensues.

In the House, each state's delegation casts a single vote for president.

This scenario all but guarantees a victory for Romney. Republicans hold a majority in 33 state delegations to 16 delegations for the Democrats.

Barring a miraculous Democratic wave up and down the ballot this November, the axis of power is unlikely to shift enough to hand Obama's party control of a majority of state delegations.

And there's another hiccup: The vice president is elected separately by the U.S. Senate, which may still be controlled by Democrats next year.

Each senator has a single vote, and the next vice president would be chosen by a simple majority vote.

A Romney-Biden administration? No one's betting on it. But it could happen.

If you're voting this election season, we want to hear why. Share your thoughts on the presidential race.

@highlight

The likelihood that Obama and Romney each net 269 electoral votes is not so far-fetched

@highlight

A CNN analysis finds eight scenarios that could yield a Electoral College tie

@highlight

In the event of a tie, each state's House delegation casts a single vote for president

@highlight

In 1825, the House awarded the presidency to John Quincy Adams