(CNN) -- A month of conflict has displaced about 413,000 people in South Sudan, the United Nations said Wednesday, after a major surge in the number of people fleeing violence in the past week.

Representatives of the government and rebels have been holding talks in Addis Ababa, Ethiopia, but fighting continues to wrack the world's newest country.

Hundreds of people have been wounded and thousands displaced by heavy fighting over the past few days, Medecins Sans Frontieres (MSF) said Wednesday.

The group, also known as Doctors Without Borders, said its teams had treated 116 people suffering from gunshot wounds in the towns of Malakal and Nasir in Upper Nile state amid clashes there and elsewhere.

The violence has also forced about 78,000 to flee to neighboring countries, the United Nations said, on top of the hundreds of thousands displaced within South Sudan's borders. Many are women and children.

More than 42,000 people are now in Uganda's West Nile region, according to the United Nations' refugee agency, the UNHCR, while about 18,600 have sought refuge in Ethiopia.

Nearly 6,800 people from Jonglei have fled to Kenya, many of them children. And an estimated 10,000 have fled into Sudan's volatile West Kordofan and South Kordofan states.

The U.N. refugee agency warned Tuesday that with fighting still reported in parts of South Sudan, particularly Jonglei and Upper Nile states, it expects more displacement both within and beyond its borders.

The exodus has been fueled by the fighting and people's fears, combined with worsening living conditions and a lack of food in some places, UNHCR spokesman Adrian Edwards told reporters in Geneva, Switzerland.

Many South Sudanese men are taking their families to the Ugandan border and leaving them there before returning to their country, he said.

"From the refugees we have spoken to, we are hearing eyewitness accounts of killings, houses being burnt and shooting," Edwards said.

Within South Sudan, about 65,000 people have sought sanctuary at U.N. bases.

The country erupted into violence on December 15, when rebels loyal to ousted Vice President Riek Machar tried to stage a coup. Since then, militia members loyal to Machar have battled government forces loyal to President Salva Kiir.

Malta foreign minister: Country 'cannot offer' migrants opportunities

Fleeing families drown

U.N. Secretary-General Ban Ki-moon has condemned anti- and pro-government forces for stealing food and vehicles used by the humanitarian community.

In a statement issued on Tuesday, his spokesperson said Ban was "alarmed by the rising number of fatalities resulting from the continuing fighting in South Sudan" and reiterated those responsible for attacks against civilians, humanitarian workers and UN personnel will be held to account.

The U.N. Mission in South Sudan reported heavy fighting Tuesday between pro- and anti-government forces in Malakal, in Upper Nile state in the northeast of the country.

Stray shots injured dozens of displaced people who'd sought refuge at a nearby U.N. base, the mission said.

MSF said the medical needs of the displaced are placing existing health facilities under increasing pressure, with some clinics and hospitals already overwhelmed. The group added it was reinforcing emergency teams to deal with the rising health and humanitarian needs.

"While we continue to treat more wounded patients in our hospitals every day, we are also concerned about the living conditions of the hundreds of thousands of displaced people across the country, most of whom fled their homes with nothing and have little food, water, or access to health care," Raphael Gorgeu, MSF head of mission in South Sudan, said in a statement.

"The fighting in Malakal over the past few days has limited our ability to reach displaced people where they are gathering, preventing people from receiving the medical and humanitarian assistance they desperately need."

Between 200 and 300 women and children who were fleeing fighting drowned when an overloaded ferry overturned on a river near Malakal over the weekend, an army spokesman said.

On Tuesday, Ghana said it was preparing to send 850 troops to join a U.N. peacekeeping mission in South Sudan.

The U.N. Food and Agriculture Organization appealed this week for $61 million to help it provide food assistance to those in need.

Even before the violence broke out last month, about 4.4 million people were expected to face food insecurity this year, an agency news release said. Now, many more are at risk of hunger.

South Sudan seceded from Sudan in 2011 after decades of war.

CNN's Antonia Mortensen, Marie-Louise Gumuchian and Nana Karikari-apau contributed to this report.

@highlight

NEW: Hundreds wounded in heavy fighting over past few days, MSF says

@highlight

NEW: U.N. chief condemns govt, rebel forces for stealing humanitarian aid

@highlight

About 413,000 people have been forced from their homes in South Sudan

@highlight

Fighting erupted in mid-December and continues despite peace talks in Ethiopia