Seoul, South Korea (CNN) -- For many U.S. veterans it's a trip they thought they'd never take; returning to South Korea, the land where so many of their brothers-in-arms lost their lives.

A mist hangs in the surrounding hills of the South Korean National Cemetery as dozens of returning veterans gather to honor the dead.

It's a difficult but necessary journey for most of them as they commemorate the 60th anniversary of the armistice that stopped the fighting in the Korea War.

"I was in the Pork Chop Hill in July 1953 and I remember the sounds of artillery and fighting. That is not something that you will forget. I never intended to come back to Korea. It's not like I didn't like the country but just didn't need to see it," says U.S. veteran Danny Peters.

Almost two million Korean civilians lost their lives during the war as well as more than 200,000 South Koreans and about 36,000 American soldiers by the time the ceasefire was declared in 1953.

Read more: Obama marks 'forgotten' war

A lone bugler plays taps as men in their 80s, many dressed in military regalia complete with medals and ribbons, march towards an altar of incense and flowers to honor the dead. Some veterans now need canes and wheelchairs to help them complete the 40-meter stretch.

Sixty years on, they aren't the strapping teenagers they once were, the years show in the wrinkles crisscrossing their faces but the memories are still fresh.

"The Korean War was very dangerous and I lost a lot of friends," says veteran Daniel Arthur. "I remember all the battles I was in. I lost a lot of friends and saw a lot of people wounded."

For infantryman Philip DiMenno it's a journey he wanted to share with his two daughters, son and granddaughter. For him, it was about closing a chapter in his life, but for his children it was a chance to understand what the war was like.

It's DiMenno's first time back since he left the peninsula in 1954. Long gone are the dirt roads and huts. Asphalt and high-rises have taken their place. But the memories of a young, scared 18-year-old rush back among the tombstones.

Read more: Cosmetic change but no reform in N. Korea

"I wanted to do the real thing. When I'm saying do the real thing that was just a figure of talk at that time, because in all fairness I was a very, very scared kid and I had a lot of fear in me," says DiMenno.

The lively 81-year-old widower's memory doesn't fail as he recalls in descriptive detail to his family the two years he spent in South Korea.

"To be with him here now... I can see a huge difference in his emotions and how trying to gather everything that happened it's unbelievable, absolutely unbelievable," says DiMenno's granddaughter, Sara Zepezauer.

His daughter, Renee DiMenno-Zepezauer, added: "The great connection and almost a closure for my father to see a country in such despair and to see a country again with such prosperity."

The thought of the war has brought up mixed emotions from the veterans. Some of them express anger, sorrow and fear but most come to the same general conclusion.

Read more: Talking peace with a backdrop of war

"It (the Korean War) was pain in the ass. It disrupted a lot of lives of the Americans and lives of the Koreans. At the time, you always wondered if it was worth it. To think about it now, it accomplished a lot to the region and the world's order."

"Don't tell the veterans that the war was nonsense," says DiMenno with a sense of defiance and pride. "It stopped the spread of communism in Asia."

The ceremony honoring the dead doesn't last long, less than a half hour. The veterans salute the memorial, pour incense into a smoldering pot flanked by two giant statues and say their silent prayers. But for DiMenno it can't last long enough.

"We were never told to cry and it makes you cry because we are the survivors. We are just a little patch of what we did. Sure we survived for our country. The people who died should have these honors."

@highlight

U.S. veterans return to South Korea to remember fallen comrades

@highlight

As a bugler plays they remember their young selves

@highlight

At a commemoration service their feelings are mixed

@highlight

One summed up: The war was pain in the ass but it did prevent communism spreading in Asia