Two weeks ago I visited the Africa Village at London's Kensington Gardens, to appear on a radio show being broadcast from there. After the interview, I lingered, wandering around the national stands, savoring the Nigerian hip-hop that blared from the speakers. I stood in line to receive an inscription -- carefully traced out on paper by a cheerful, elderly man wielding a quill pen -- of my name in English and Arabic.

So you can imagine my shock when I heard news of the premature closure of the Village -- fallout of a debt row involving the company managing events at the village, and a key supplier.

For me that tragic turn of events symbolizes all that is wrong with sports administration in many African countries. Government funds meant to help Nigeria's contingent prepare for London 2012 -- a total of $14 million, according to Sports Minister Bolaji Abdullahi -- weren't released to the ministry until April, just three months before the opening ceremony.

Abdullahi himself was only drafted to the ministry in December 2011, in an acting capacity; his substantive appointment was not announced until May.

Now I'm not a sports technocrat, but something in the realm of common sense suggests to me that the Olympics are generally won and lost long before the opening ceremony cauldron is touched by fire.

Watch: Games medals versus GDP

Nigeria, an unrepentantly heavy trader in the stock market of optimism, went to London the way it likes to travel to global engagements (be they sporting events or climate change summits) -- eschewing serious preparation, expecting the best, and inevitably attracting the worst, which actually varies in degree depending on the amount of good luck in the air.

In the end, the opening ceremony march-past turned out to be the high point of our London 2012 performance. From a tally of four medals in Beijing (1 silver and 3 bronze) we dropped into medal-less oblivion in London.

As with Nigeria, so has it been with Ghana (Ghana's last Olympic medal was its Barcelona 1992 bronze in the men's soccer event).

Kenya, with a much better Olympic record, has also disappointed in London. The east African country, 13th on the medals table four years ago, with a total of 14 medals, all in long-distance athletics (six of which were golds), dropped to 28th place in London, with 11 medals (only two of which were golds).

From the tales of woe filtering out from the various national camps one might be forgiven for assuming it's the same set of officials managing the Nigerians, Ghanaians and the Kenyans.

Cameroon's problems are of a slightly different nature -- seven of its athletes vanished from camp two weeks into the Games, presumably envisaging brighter prospects as asylum-seekers than as home-bound Olympians.

Across the continent there will be much handwringing and gnashing of teeth in the weeks and months to come. Governments will set up probe panels and probe panels to probe those probe panels.

Two years ago, after Nigeria's disastrous outing at the 2010 World Cup, President Goodluck Jonathan, still fresh in office, fired the football federation board and placed a two-year ban on Nigeria's participation in international football competitions. The purpose of that ban, according to a presidential spokesperson, was to "enable us put our house in order and enable us work out a more meaningful way to engage the global stage in terms of football so that this kind of rather embarrassing outcome we had in South Africa will not repeat itself."

Two years on, our embarrassments have grown muscle and wings. Like Usain Bolt recycling his wins with a certainty bordering on the surreal, we have made a spectacle of recycling our sporting failures. Different arenas, same scenarios.

I shouldn't be too negative. It's perhaps not a totally hopeless situation. In a recent interview a chastened minister Abdullahi was quoted as saying: "If we want to win and compete sustainably, we have to develop systems that establish clear connection between process and outcome."

Sadly systems are something Nigeria is not very good at or keen on building or sustaining. But for now we'll have to trust that the reform-minded minister has it all planned out. "Failure can have a galvanising effect. And, I believe it is easier to deal with failure than to deal with success. This failure is an opportunity to do the right thing," he went on to say.

I bet he knows only too well that failure also presents an opportunity to fail again, and fail worse. Which is where the bulk of Nigeria's experience lies.

Watch: Looking back at London 2012

Abdullahi will have to do several things all at once -- fight mafias and cabals for whom self-enrichment is the pre-eminent sport, enlist private sector funding (long stifled by corruption) on a larger scale, rebuild a comatose school sports, raise the standard of the National Sports Festival, and offer his unconditional support to the Segun Odegbamis and Mobolaji Akiodes and others who, against many odds, and often in spite of the government, are striving to build the next generation of sporting talent.

None of these will be easy. If the past is anything to go by, time is not on his side. And this is not only because the countdown to Rio 2016 has started. Since democracy returned to Nigeria in 1999, we've had a total of 12 ministers for sport, translating to a new minister roughly every 12 months.

Going by that arithmetic, Abdullahi and his lofty dreams already have their expiry date bearing down on them with the speed of Usain Bolt, and the deadly accuracy of Yi Siling. He will therefore be needing large doses of good fortune; the sort that every now and then transforms an underdog into an Olympic champion.

@highlight

Closure of  Africa Village symbolic of administration failures, writes Tolu Ogunlesi

@highlight

The opening ceremony was highlight for medal-less Nigeria

@highlight

"We have made a spectacle of recycling our sporting failures," the African journalist said

@highlight

Nigerian Sports Minister Bolaji Abdullahi will have work cut out for him