A train crash in Santiago de Compostela, Spain, that killed at least 80 people and injured 178 more Wednesday poses many questions for investigators, who are homing in on what role the train's speed may have played in the crash.

The issue of high-speed rail may raise more questions for the public at large, specifically in the United States, where high-speed trains are rare. Here are some basics on this speedy mode of transportation:

What is high-speed rail?

It depends where you are, but the International Union of Railways says the term is reserved for systems (not just trains) designed for speeds of more than 250 kph (155 mph) if the lines are new and speeds up to 220 kph (137 mph) if the lines are upgraded.

Certain trains in China and the European Union can exceed 300 kph (186 mph), while a handful around the world can top 400 kph (249 mph).

The term can also be used for trains that move at speeds between 110 kph and 180 kph (68 mph to 112 mph) in certain circumstances, such as the need to avoid "noise and nuisance," or the need to traverse long tunnels or bridges.

How is high-speed rail different from nation to nation?

As stated above, China and the EU have trains that can exceed 300 kph (186 mph), which means, in China, trains can zip between Beijing and Wuhan in about five hours. The regular train route takes twice as long, and you'd be lucky to finish the journey in a car in 13 hours.

In Japan, the Shinkansen bullet trains typically travel at between 270 kph (169 mph) and 320 kph (199 mph), while Korea Train Express cars can travel up to 305 kph (190 mph).

In March, Korea's HEMU-430X hit a speed of 421.4 kph (261.8 mph) in a test run, making Korea the fourth country -- behind France, China and Japan -- to develop a train capable of topping 420 kph (261 mph).

Spain has high-speed trains, known as AVEs, that move at speeds up to 310 kph (193 mph), according to Railway Gazette, but the train involved in this week's wreck was not an AVE. It had a max speed of 250 kph (155 mph).

Is high-speed rail available in the United States?

Amtrak operates a service in the northeastern United States called Acela Express that is capable of speeds up to 241 kph (150 mph) and can travel between New York City and Washington in about 96 minutes. Other stops on the route include Boston, Philadelphia, Baltimore and New Haven, Connecticut.

Responding to critics who say Acela is too slow and too infrequently reaches its top speed, Amtrak announced in September that it plans to run test trains at  266 kph (165 mph) in Delaware, Maryland, New Jersey, Rhode Island and Massachusetts.

What does the future hold for high-speed rail in the U.S.?

Early in the Obama administration, federal transportation officials called on states to spend money to develop faster rail systems using existing lines.

The plan identified 10 potential high-speed corridors for federal funding, and the White House proposed spending $53 billion over 25 years to create the national network. Among the corridors: California, the Pacific Northwest, the Midwest, the Southeast, the Gulf Coast, Pennsylvania, Florida, New York and New England. The blueprint envisioned some trains traveling at top speeds of more than 150 mph.

But there have been many snafus.

In 2010, Transportation Secretary Roy LaHood redirected $810 million from Wisconsin and $400 million from Ohio after those states' governors cited opposition to the projects.

The tussle over budget cuts further hampered funding in 2011. That same year, Florida Gov. Rick Scott rejected a plan to run high-speed rail between Tampa and Orlando (and eventually spread to Miami and Jacksonville). Florida subsequently lost $2.4 billion in federal funding, and 24 states submitted requests for portions of Florida's allotted money.

In California, billions of federal dollars were pledged for high-speed rail, and voters OK'd $9 billion in bonds for a bullet train between San Diego and San Francisco, but the project has been set back by myriad issues.

Are there safeguards in place in the U.S. that would help prevent a disaster like the one in Spain?

Yes. In fact, those safety regulations may be at the core of why it's difficult for high-speed rail to proliferate in the United States.

According to a June report from the Competitive Enterprise Institute, a libertarian think tank, the Federal Railroad Administration "has strict crash safety regulation for passenger railcars which trains in Europe -- where passenger rail is well established and remarkably safe -- do not have to meet."

While the U.S. requires the undercarriage of a train to withstand 800,000 pounds of force without "permanent deformation," Europe designs "trains to gracefully deform in a controlled manner" so that crumple zones absorb the energy of the crash, an approach known as crash-energy management.

The "buff-strength" for European trains is 337,200 pounds of force, according to the think tank.

The FRA has other requirements not present in European safety regulations, including requiring that the end of the train have the resistive strength of a half-inch plate of steel and an "anti-climbing mechanism" that prevents train cars from telescoping and mounting each other.

"The requirements force Amtrak and transit authorities across the country to purchase custom-made trains that are unnecessarily expensive, underperform and do not meet the best safety practices of the rest of the world," the CEI report said.

@highlight

High-speed rail can range in speed from 110 kph to more than 300 kph

@highlight

Some countries have trains that can exceed speeds of 420 kph (261 mph)

@highlight

Train involved in Spain crash was not the country's fastest class of train

@highlight

White House has pushed for high-speed rail, but plans beset with problems