(CNN) -- The U.S. Army's official history of the Iraq war shows military chiefs made mistake after mistake in the early months of the conflict.

Iraqis watch as a statue of Saddam Hussein is toppled in Baghdad in 2003.

Failures to recognize the chaos engulfing the country and to send in enough troops to restore order after the 2003 invasion have long been highlighted by critics, but a new report shows the Army assessing itself.

Frank opinions from officers serving in the 18 months from the start of war to Iraqi elections in January 2005 reveal there were concerns at the time, not just about assumptions made by planners but at decisions taken once U.S.-led coalition forces had control of Iraq.

"I flipped," Gen. Jack Keane, then the Army's deputy chief of staff, told the historians of his reaction to a June 2003 decision to transfer control of all coalition troops away from the land forces command that had been preparing for the mission.

He recounted a conversation with Gen. John Abizaid, who succeeded the invasion's architect, Gen. Tommy Franks. "I said, 'Jesus Christ, John, this is a recipe for disaster. We invested in that headquarters. We have the experience and judgment in that headquarters."

Keane said it took the U.S. command between six and eight months to get the new headquarters up and running. During that time, troops in the field saw the mood of ordinary Iraqis turn against Americans and watched the insurgency take root.

"By the time we got a plan together to resource everything, the insurgents had closed that window of opportunity quickly," Col. David Perkins, a brigade commander in the Army's 3rd Infantry Division, told the historians. "What we started doing in September was probably a good idea to have done in April 2003."

Franks, who would soon retire and be awarded the Presidential Medal of Freedom, said he ordered the transition to force the Pentagon to get leaders into the field to work with civilian occupation officials.

"That is a task that John Abizaid and I very simply laid on Washington and said, 'Figure it out. Do it fast. Get me a joint headquarters in here. We have a lot of work to do and [civilian administrator of Iraq] Jerry Bremer has a lot of responsibility and he needs help,' " he recalled.

The 720-page report compiled by the Combat Studies Institute at Fort Leavenworth, Kansas, details the effects of having too few coalition troops on the ground when the reality after the fall of Baghdad was "severely out of line" with the anticipated conditions.

Previous experience "should have indicated that many more troops would be needed for the post-Saddam era in Iraq," historians wrote in the report, "On Point II: Transition to a New Campaign."

"The coalition's inability to prevent looting, to secure Iraq's borders and to guard the vast number of munitions dumps in the early months after Saddam's overthrow are indicative of the shortage," the study found.

About 150,000 U.S. and allied troops were in Iraq after the invasion, at a time when war planners were assuming that Iraq's government would remain functional after Hussein's ouster and that there would be no mass insurgency.

"These factors were in line with prewar planning for a quick turnover of power to Iraqis and a quick withdrawal of U.S. forces, leaving Iraqis to determine their own political future -- options that proved impossible to execute," the historians wrote in the report released over the weekend.

"We had the wrong assumptions, and therefore, we had the wrong plan to put into play," Gen. William Wallace, who commanded the Army's V Corps during the invasion, told the authors.

But some of the most critical decisions were made between May and August 2003, which some participants called a "window of opportunity that could have been exploited to produce the conditions for the quick creation of a new Iraq."

Among those decisions were the frequently criticized dissolution of the Iraqi army and the order that barred former members of Hussein's Baath Party from public life as well as the change in plan over the joint headquarters.

@highlight

Army history of Iraq war's first two years says U.S. was unprepared for chaos

@highlight

U.S.-led coalition didn't have enough troops after Saddam Hussein's fall, report says

@highlight

"This is a recipe for disaster," one general recalls saying of one decision