Anatalya, Turkey (CNN) -- Lapped by the pristine waters of the Mediterranean Sea, the Turkish coastal city of Antalya attracts millions of sun-seeking tourists each year, beguiling them with its sweeping scenery, picture-perfect beaches and blazing sunshine.

It is this abundance of sunlight -- Turkey receives greater annual solar radiation energy than Spain and Germany according to estimates by the Joint Research Center of the European Commission -- that has prompted Antalya's local authorities to push ahead with plans to harness the city's solar potential.

"We aim to make Antalya the leader of solar power generation of Turkey and to promote it to the world as 'The Solar City,'" says Antalya's mayor Mustafa Akaydin.

The declaration comes as the sun-soaked city, located some 700 kilometers south of Istanbul, starts rolling out its ambitious plans to use solar power to generate electricity, emulating the successful example of cities like Barcelona, Spain, which has put in place regulations requiring solar panels to be fitted to all large new buildings.

In April, the city opened the "Antalya Solar House," an ecological research and educational center designed by architectural firm Temiz Dunya to raise awareness about the benefits of renewable energy and promote eco-tourism.

The zero-emission structure, which was built with ecological materials, generates most of its energy using photovoltaic panels (22kW in total) as well as a windmill and heat pumps.

'Living' buildings could inhale city carbon emissions

These systems are supplemented with gray-water recycling -- re-use of used water from bathtubs, showers and so on. -- and passive solar heating features such as a greenhouse to collect heat during the winter months. It also has a green roof that facilitates rainwater harvesting and acts as heat insulation.

"The building is also very significant because it is Turkey's first energy positive building," says architect Mehmet Bengu Uluengin, the designer behind the Solar House. "It actually produces more energy than it consumes."

The architect says the structure has fascinated the local population while helping to change perceptions that buildings can only be big energy consumers.

"The idea that having a building that not only provides its own energy but actually gives some back is a totally new phenomenon for Turkish people," says Uluengin, who is also a professor at Istanbul's Bahcesehir University. "They like it, they find it very intriguing."

Local authorities expect around a thousand people to visit Solar House each month, including students, green investors and hotel owners. They say the project is just the first part of a long-term initiative to turn Antalya into a climate-friendly city -- other initiatives include a waste management facility that will convert the city's sewage into biogas.

"Antalya has already been the pioneering city of green energy (in Turkey)," says Akaydin. "We are trying to make Antalya the leader of agriculture, tourism, park and garden lighting, energy generating and (solar) panel producing."

While educating the local population about achieving energy efficiency, Uluengin says the technology used in the Solar House can also help Antalya -- Turkey's biggest coastal resort and home to several five-star hotels -- to become an ideal destination for eco-conscious tourists.

"There are several hotels which are considering green energy to attract customers," he says.

"A hotel which can say that ... if you're staying here your carbon footprint is zero for the duration of your stay -- this is becoming very interesting for people worldwide," he adds.

For the moment, however, sunny Antalya is still far from being branded a green resort -- local authorities estimate that eco-visitors account for just 1% of the city's tourism.

Mayor Akaydin says that Turkey is missing a trick by failing to exploit its clean energy capabilities.

"Turkey has a very big potential in solar and wind energy. Unfortunately, the insufficient and wrong policies of the government prevent the promotion of them," he says.

Turkey's geothermal potential

Despite receiving plenty of sun, Turkey has been remarkably sluggish in developing a sound solar industry. The country still depends heavily on oil and natural gas, most of which is imported from abroad.

In 2008, oil provided 37% of Turkey's total final consumption of energy, natural gas and electricity 18% each, coal 17%, biomass and waste 7% and other sources 3%, according to figures by the International Energy Agency.

At the same time, limited government subsidies, coupled with high costs for green energy equipment, have further impeded the market's growth, leaving little incentives for households to go solar.

Yet, Uluengin is optimistic that green initiatives like the one in Antalya can help Turkey's green energy sector to take off in the coming years.

He notes that the lack of government incentives has bolstered Turkey's fledgling renewable energy industry by creating a solid and growing grassroots movement -- that, he says, is in contrast to the top-down approach that was implemented in other European countries, where the sector grew after governments started offering subsidies and incentives for green energy usage.

"The way we are going through it in Turkey is more painful but is also healthier because it is growing out of real demand," says Uluengin.

@highlight

Antalya has launched a long-term initiative to become a climate-friendly city

@highlight

Turkey's tourist hotspot wants to use solar power to generate electricity

@highlight

The country has been slow in developing a sound solar industry