China sent fighter jets into its newly claimed -- and hotly disputed -- air defense zone above the East China Sea on Thursday, the same day that Japan's military firmly insisted its own patrols over the area wouldn't stop because of Beijing's declaration.

The People's Liberation Army Air Force flew warplanes, including Su-30 and J-11 aircraft, into the "air defense identification zone" that Beijing announced last week, air force spokesman Col. Shen Jinke said. A KJ-2000 -- an airborne radar early warning system -- also took flight.

The Russian-developed Su-30 is a two-seat aircraft described by its manufacturer as "a highly maneuverable fighter" capable of hitting ground and sea-surface targets. The Chinese-made J-11 is a single-seat fighter also capable of ground attacks.

The fighter jets conducted "routine air patrols ... aiming to strengthen monitoring on air targets in the zone and fulfill the air force's historic mission," Shen said in a statement posted on the Chinese defense ministry's website.

Jinke portrayed the mission as a "defensive measure ... in line with international practices." China's military has been on "high alert," he added, and is prepared to act "based on different air threats to firmly ensure air-defense safety."

What comes of Beijing's latest foray over its controversial newly created zone remained to be determined early Friday. Still, some of its previous actions -- including the declaration itself -- have been met with staunch resistance by Japan and its longtime ally, the United States.

On Thursday, Japanese Chief Cabinet Secretary Yoshihide Suga said his nation's Self Defense Force has used ships and planes to patrol and conduct surveillance in the East China Sea since before China claimed the air defense zone that covers much of the sea.

And they wouldn't stop, he insisted.

"We have no intention to change this operation in consideration for China," Suga told reporters.

"... We will continue the surveillance/patrol operation with strong determination to protect our territory against China's one-sided attempt to change the status quo by force."

Japan isn't alone in disobeying China, which has warned military measures could be taken if planes entering the zone fail to identify themselves and submit flight planes to Chinese authorities.

Two unarmed U.S. B-52 bombers recently flew through the area in what the U.S. State Department characterized as a planned military exercise.

War of words

China has grown more assertive beyond its recognized borders since Chinese President Xi Jinping took office about a year ago -- creating a delicate situation for Washington, which has  promised to focus more on Asia and uphold commitments to its allies in the region.

"Unlike his predecessors, Xi is making foreign policy with the mindset of a great power, increasingly probing U.S. commitments to its allies in the region and exploiting opportunities to change the status quo," Stephanie Kleine-Ahlbrandt, director of Asia-Pacific programs at the U.S. Institute of Peace, wrote in a commentary for CNN.com this week

The United States and Japan have criticized Beijing's air defense announcement, saying it escalates tensions in the region and raises the risk of an incident. They say they won't recognize the new zone.

China hit back at those comments with strong words of its own, describing the U.S. and Japanese statements as unreasonable and unacceptable.

After news of the U.S. flights emerged, the Chinese Defense Ministry responded cautiously Wednesday, saying it had monitored the planes' activity on the edge of the air defense zone. The statement held back from criticizing the U.S. action.

At a regular briefing later Wednesday, a journalist asked a Chinese Foreign Ministry spokesman if Beijing is concerned it will now be seen as a "paper tiger."

"I want to emphasize that the Chinese government has enough resolution and capability to safeguard the country's sovereignty and security," replied the spokesman, Qin Gang.

Simmering dispute

The bomber flights are the strongest American involvement yet in a festering territorial dispute in the region between China and Japan over a set of small, uninhabited islands in the East China Sea.

After China's air defense declaration Saturday, U.S. Defense Secretary Chuck Hagel reiterated American support for Japan, where thousands of U.S. troops are stationed as part of a security agreement.

He said the U.S. Japan Mutual Defense Treaty applies to the disputed islands, known as Senkaku by Japan and Diaoyu by China.

Uneasy encounters between Chinese and Japanese planes and ships have already taken place repeatedly over the past year near the islands, which are believed to have large oil reserves nearby.

Tensions spiked after the Japanese government purchased some of the islands from a private owner in September 2012, angering Chinese authorities, who saw the move as an attempt by Japan to tighten control.

Hagel warned that China's "unilateral action" of declaring the air defense zone "increases the risk of misunderstanding and miscalculations."

Amid the tensions, U.S. Vice President Joe Biden will visit the region next week on a previously announced trip, stopping in Tokyo, Beijing and Seoul, South Korea.

Why China's new air zone incensed Japan, U.S.

Difficult to monitor

Monday's U.S. bomber flights also highlight the challenges that analysts say China faces in policing its newly claimed air zone.

In its statement Wednesday, the Chinese Defense Ministry said that "China has the capability to exercise effective control" over the area.

"Beijing might have bitten off a bit more than they can chew because actually going out and monitoring these things on an ongoing basis is probably a bit beyond the capabilities of the Chinese air force right now," said Greg Waldron, Asia managing editor of FlightGlobal, an aviation and aerospace industry website.

"In a sense, it's more a rhetorical statement, as opposed to a realistic military space," he said.

Adding to the complications and confusion surrounding the zone, Japan's two main commercial airlines said Wednesday that following a request from the Japanese government, they and other members of the Scheduled Airlines Association of Japan will not submit flight plans to Chinese authorities for flights through the zone claimed by Beijing.

The two carriers, Japan Airlines and All Nippon Airways, said the association had concluded that there would be "no impact" on the safety of passengers on board flights through the zone without the submission of flight plans to China.

But Waldron said he wasn't entirely sure about that. From a legal point of view, he said, the airlines probably don't have to report their plans and follow all the rules requested by China.

"I think from a safety perspective, it's a good idea for them to do so," he said. "Just in case."

'The right of every country'

Since it declared the new air defense zone over the weekend, China has been busy making its case for why it feels the move was justified.

It has pointed out that other countries already operate air defense identification zones in waters around their territory, noting that Japan has had a zone in place in the East China Sea since the 1960s.

"It's natural, it's indeed the right of every country to defend its airspace and also to make sure that its territorial integrity, its sovereignty are safeguarded," China's U.N. Ambassador Liu Jieyi said Tuesday.

But analysts say that by declaring a zone that now overlaps with that of Japan, China has increased the likelihood of a high-risk incident in the air.

China slams 'inappropriate' U.S. remarks on territorial dispute with Japan

@highlight

Official: China warplanes fly as "defensive measure" into newly declared zone

@highlight

The planes include Su-30 and J-11 fighter jets and a KJ-2000 airborne system

@highlight

Official: China's military has been on "high alert," will act in self-defense

@highlight

A Japan official says Japan will continue patrols/surveillance of the disputed area