Tensions spiked in the Middle East on Tuesday as Iran extolled its "axis of resistance" with Syria, and the United States warned of proxy and terror activity.

Saeed Jalili, a top Iranian official meeting with Syrian President Bashar al-Assad, was cited by Syrian state media as saying he will not permit "enemies" to break what he called the "axis of resistance of which Syria is an essential part."

"What is taking place in Syria is not an internal issue but rather a conflict between the resistance axis on one hand and the enemies of this axis in the region and the world on the other hand, with the goal being to strike Syria's resistant role," state media quoted Jalili as saying.

U.S. Secretary of State Hillary Clinton, meanwhile, said from Pretoria, South Africa, that those working "to exploit the misery of the Syrian people, either by sending in proxies or by sending in terrorist fighters, must recognize that that will not be tolerated, first and foremost by the Syrian people."

World powers have not intervened in Syria, but the lines in the sand have been drawn regionally and internationally.

Nations such as the United States, France, Britain and Turkey, as well as Arab League countries such as Qatar and Saudi Arabia, have supported Syrian rebels and the opposition.

There are also reports of Islamist cells schooled in terror tactics helping some rebels fight the al-Assad regime, and weaponry has flowed across the borders to Free Syrian Army rebels.

Syria has been supported by Iran and groups like Hezbollah, the Lebanese militant group. Syria is heavily equipped with Russian weaponry.

Jalili and Clinton spoke as violence raged in Aleppo, Damascus and its suburbs, and other hot spots. The opposition Local Coordination Committees of Syria said at least 170 people were killed across the nation Tuesday.

CNN inside Aleppo: Strafed by shells, fear, misery

Syrian State TV showed footage of Jalili and al-Assad meeting, the first video of the president that has surfaced since last month.

The diplomats spoke a day after the defection of Riyad Hijab, who was Syria's prime minister for the last two months. Hijab cited the "killing and terrorist regime" as a reason for his defection.

He arrived in Jordan on Tuesday, according to a source with knowledge of the situation.

Clinton remarked that his departure was the latest "in a line of such defections."

Jalili, secretary of Iran's Supreme National Security Council, met with al-Assad to discuss resolving the 17-month-long civil war and rescuing several Iranians who were kidnapped over the weekend in Syria.

The Iranian diplomat called on Syrians to sit down and forge a solution to the crisis, which morphed into a nationwide uprising and civil war after government forces cracked down on peaceful protesters in March 2011.

"The Islamic Republic of Iran believes in a Syrian solution based on national dialogue among all Syrian groups to settle the country's issues, and does not consider foreign approaches as useful," Jalili said, according to Iran's state-run Press TV.

Syrian and Iranian news outlets have reported that 48 Shiite pilgrims from Iran were abducted Saturday. But rebels say the Iranians are military personnel, an assertion Iran denies.

Iran's foreign ministry is working through diplomatic channels, such as the United Nations, to get the people freed. Foreign Minister Ali Akbar Salehi, in a letter to U.N. Secretary-General Ban Ki-moon asking for help in freeing the people, also has expressed concern about media reports that three of the people were killed by rebels and hostage-takers have threatened to kill others.

The ministry has summoned the charge d'affaires of Switzerland to protest the abduction and urge the United States to use its influence to free the abducted Iranians. An Iranian Foreign Ministry official said Washington is responsible for the lives of the Iranians because the United States supports the rebels.

The Swiss Embassy represents U.S. interests in Iran because the United States and Iran lack diplomatic relations.

Syrian blogger: 'I live or die here'

Acting Deputy State Department spokesman Patrick Ventrell said the United States cannot confirm the identity of the Iranians but is following the situation closely and would like more information. Ventrell, speaking to reporters Tuesday, said Iran's contention that the United States is responsible for their security "doesn't seem to make sense."

"We call on anyone holding prisoners in this conflict to treat them humanely and in accordance with international law. And of course people will be held responsible if that is not followed," he said.

Clinton, meanwhile, said that the opposition "is becoming increasingly coordinated and effective," holding territory from northern Aleppo to the Turkish border and seizing regime weaponry such as tanks.

Noting opposition strides and government setbacks, she said planners can begin talking about what happens after the regime falls, even though there's no timeline.

"The intensity of the fighting in Aleppo, the defections, really point out how imperative it is that we come together and work toward a good transition plan," she said.

"We must figure out a way to hasten the day when the bloodshed ends, and the political transition begins."

Clinton was referring to the battle in Aleppo, Syria's most populous city, where rebels and regime forces fight for control of the sprawling metropolis amid fears of a major Syrian military assault.

State TV said special forces engaged terrorist groups in Aleppo and caused big losses to them, including casualties and injuries. The LCC said at least 33 people died in Aleppo, including 10 "field-executed" prisoners, as shelling engulfed the city.

The 24 U.N. monitors in Aleppo have been temporarily pulled out of the city because of the "deteriorating security situation," a spokeswoman for the U.N. Supervision Mission in Syria said.

Deaths mounted in other regions, including 33 in Damascus and its suburbs, 35 in Homs, and 25 in Daraa, the LCC said. The group reported warplane shelling and clashes. In one incident in the Damascus suburbs, a muezzin, the mosque official who proclaims the call to prayer, was killed when regime forces stormed, vandalized and burned a mosque, according to the LCC.

As the violence spirals, France is proposing a ministerial meeting of the U.N. Security Council to be held on August 30, Western diplomats said Tuesday. Past attempts by the council to adopt tough resolutions against the regime, including more widespread sanctions, have been blocked by Russia and China.

Roughly 17,000 people have been killed since the Syrian conflict began, U.N. Secretary-General Ban said last month. The opposition has put the toll at more than 20,000.

Complete coverage: Unrest in Syria

@highlight

At least 170 people were killed in Syria Tuesday, an opposition group says

@highlight

Former Syrian Prime Minister Riyad Hijab arrives in Jordan, says a source

@highlight

U.S. secretary of state says "proxies" and terror won't be tolerated

@highlight

Fighting rages in Aleppo and in Damascus and its suburbs