(CNN) -- For the better part of a decade, superheroes on the big screen have been big business ("Iron Man 2" the most recent example). On TV, however, keeping audiences coming back each week for the exploits of those with superpowers has been a far trickier task. It's been a long time since "Batman," "Wonder Woman," "The Incredible Hulk" and "The Greatest American Hero" hit prime time.

One show that has been able to get it right is "Smallville," which begins its record-breaking tenth season Friday night on the CW (that would be the longest consecutively running sci-fi show). What began as a revised history of Superman's teen years in Smallville has come a long way over the years, with Clark Kent fighting crime in Metropolis as a rarely-seen hero called "The Blur," the introduction of Lois Lane, and other superheroes occasionally joining the fray.

At the same time, what was once one of the highest-rated dramas on TV, "Heroes," progressively lost viewers, ending its run on NBC after four seasons. But that doesn't mean that networks are giving up on the genre: two more series, one with a caped crusader and another about a superheroic family are coming soon.

So what are some of the secrets to success for superhero TV? We asked producers and cast members of some of these series to find out.

1. Make your superheroes believable

When "Smallville" started, the writers had a slogan: "No flights, no tights." Their version of Clark Kent wouldn't take up the mantle of Superman, or even Superboy. Instead the WB-turned-CW series would focus on human drama. Executive producer Brian Peterson said, "[Series creators Al Gough and Miles Millar] created a world you could see walking into every week. Even though we're in Metropolis and we're really touching on the Superman world, it's still a world where you can see yourself having coffee with the characters."

"It started out being about a family in Kansas struggling to make ends meet," added fellow executive producer Kelly Souders. "We always emphasize the emotions. At its heart, I hope it would touch people and give them a place to come home to."

Despite appearances by more and more characters wearing elaborate costumes (Green Arrow and Hawkman, for example), Peterson and Souders say that they have always grounded the show in a real place. "We all could relate to the Clark at the start of the show," said Peterson. "It's great to watch that kid see people in costumes and see people flying with wings, as he interacts with them and we see that in his eyes."

Another show that hopes to emphasize the humanity in the superhuman (without costumes as well) is ABC's new series "No Ordinary Family" (premiering September 28). In it, Michael Chiklis and Julie Benz play the heads of a family who find themselves having been granted extraordinary powers following an accident.

Back in July, Chiklis described it as "a family show wrapped in a police procedural wrapped in the superhero genre."

"The first season should feel like the first act of a superhero movie," said "Family" producer Zack Estrin. "The slow discovery of what it means, and how it affects your real life... like yes, I can run fast, but I can also make breakfast fast! You can have the fun stuff in conjunction with the danger."

"Family" co-creator Jon Feldman explained that they wanted their show to have no costumes (at first), either: "I think the goal is, what if it happened to us?" he said. "There's so many things that in the real version of a person getting his abilities, the costume seems like something that would be in the future. The costumes, if they ever did show up, would come much later."

2. Give the characters a good origin

Tim Kring, who created the NBC series "Heroes,"  certainly agrees about making the characters relatable. "I was mainly interested in the idea of powers and how people wrestled with and dealt with the idea of discovery of something new," he said. "To me the origin story is in many ways the most fascinating part of it." Viewers agreed, as the show's first season was one of NBC's biggest hits at the time.

"There was that kind of transparency between your life and characters on the show. Our characters really didn't live heightened lives and their world didn't have that kind of gothic-y look," he said. "They were very much like us. For me that was the important thing."

NBC has another series inspired by comic books on the horizon, and its main character also has an intriguing backstory. "The Cape," premiering early next year, is about an innocent man falsely accused of a crime, and seemingly killed while running from the authorities. Instead he goes into hiding and takes on the guise of the Cape, a comic book hero whom his son idolizes.

Actor Dorian Missick described the show as being "in the tradition of crime drama that just takes place in this fantastic world. It's based in reality, and that helps you believe in what's going on a little more."

3. Don't try to be "Lost" (or "Heroes")

Jeph Loeb, one of the best known comic book writers in the business, was named the head of Marvel television back in June. He's quite suited for the role, having had a hand in the TV series "Lost" and "Heroes."

Both shows had long story arcs that ran over an entire season, or longer. However, when it comes to the shows Loeb hopes to bring to TV, he doesn't plan to follow that tradition.

"What we've talked about is more of the model on 'Smallville.' It may have had an overriding arc, but it was more of the emotional arcs that we were following," he said. "We want to start each show with a problem, and resolve that problem at the end of the episode. Whatever the emotional arc is going on, that's what you care about. If you don't care about characters, you're not gonna care about the show. We don't want a show driven by the plot, we want a show driven by the character."

4. Never underestimate the importance of villains

For many fans, Sylar was the most intriguing character on "Heroes." Villains came and went but Sylar, a serial killer driven by the overwhelming desire to acquire more supernatural powers, was a constant (and Zachary Quinto's performance earned him the opportunity to play the iconic Spock in the 2009 "Star Trek" movie).

On "Smallville," each season has seen bigger and bigger villains, from Lex Luthor, to Brainiac, General Zod, and this season, Darkseid.

So, for an up-and-coming series like "The Cape," the villains were seen as extremely important.

"I want to create a classic 'rogues gallery' like Spider-Man or Batman's," said series creator Thomas Wheeler. In the first episode, he introduces two by the names of Chess and Scales.

However, Wheeler says he won't overdo it. "In 12 episodes, you won't see 12 new villains. You gotta roll out your villains, and make sure they're solid before you bring them in."

"No Ordinary Family" producers hinted that the family will come up against a major villain as the first season goes along as well.

5. Keep it simple

When asked to share advice for producers of superhero programs like Wheeler, Estrin and Feldman, "Heroes'" Kring said, "My advice would be stay away from time travel." (Indeed, some "Heroes" fans felt that some of the overly complex aspects of the show as it went on may have played a hand in its loss of viewership over the years.)

"Having spent a couple thousand hours, probably, in the writers' room trying to figure out the rules of time travel, I would caution anybody to stay away from that idea."

"You really can't do anything that's wholly unique in the superpower genre," Kring said. "Every power has been thought of. Coming up with a brand new power is not really the ultimate goal anymore. I'm just fascinated to see how these new shows explore the genre."

@highlight

Producers, writers say make the heroes believable

@highlight

Give the characters a good backstory

@highlight

Give the time travel gimmick a rest, says Kring