Beijing (CNN) -- Han Junqian doesn't go outside very often. From 9:30 a.m. until 11 p.m., six days a week, the 50-year-old massage therapist works out of a dingy parlor in Beijing's Xicheng District. There's no commute as Han lives on site. On his day off he spends his time indoors. He goes outside primarily to buy groceries, or visit the bank.

"Sometimes it makes me depressed," said Han when reflecting on his condition.

Han is blind, and his life is similar to the roughly 120,000 blind massage therapists in China today, according to a 2012 report by Changchun University. After he lost his sight at the age of 15, he didn't have many educational or employment opportunities outside the massage industry.

But that may be changing.

China's Ministry of Education decided to provide Braille or electronic versions of this June's "gaokao," China's brutally competitive national college entrance exams, effectively opening the door for blind citizens to access higher education.

While the move is hailed as a breakthrough by many human rights groups, some critics caution that the proof will only be in its implementation, and that much more needs to be done to improve the lives of the disabled.

Stephen Hallett, founder of non-profit organization China Vision, has been working on disability issues in and around China since the 1990s. He was unimpressed by the new blind-friendly exams.

"It's fairly meaningless," said Hallett.

The root of Hallett's skepticism lies in the spotty record of the Chinese government in enforcing its directives over the entire country. Particularly in China's rural areas, a lack of resources and a lack of political will have often undermined efforts to help blind people in the past.

A world apart

China has the largest population of blind people in the world, according to the World Health Organization. When they are educated at all, blind people are shoved into segregated schools that are isolated from the rest of society. Higher education exists only in the form of a few specialized universities where the only majors offered are massage therapy and music.

As a signatory to the United Nations Convention on the Rights of Persons with Disabilities, China agreed to the principle of "an inclusive education system at all levels," yet critics on the ground say the situation in practice is profoundly different.

The exclusion of the blind from mainstream society, and the social attitudes it has fostered, has resulted in a rippling effect of adverse consequences.

"It's a kind of apartheid," said Hallett.

Many Chinese who are born blind are simply abandoned by parents unwilling to incur the costs of raising them. For those that lose their vision later in life, the transfer to special schools typically results in the loss of sighted friends and acquaintances.

Since the career paths of the students are all but predestined, the curriculum at blind schools are often not as rigorous.

"We're not required to finish everything," said Ni Zhen, a former student of the Qingdao School for the Blind. "I don't really think society has expectations from people with disabilities."

Since the blind have virtually no other employment options, they are often exploited by employers who pay meager wages. One study by the Guangzhou Disabled Career Training Center found that intermediate level blind massage therapists in that city made between RMB 1200 and 3000 a month (around $191 to 479), a figure far lower than sighted counterparts.

Zhou Yuewen, a 63-year-old blind therapist from Hebei says he thinks he gives a better massage than a sighted masseur: "It's very hard for blind people to get a job, so we are more likely to cherish the work we do."

Future vision

China's semi-official organ for dealing with blindness is the China Association of the Blind, and they are forthright about the scale of the problem that blind Chinese face.

"It's not fair that blind people have so few opportunities," said an official from the association who requested anonymity. "The problem is that massage is the quickest way for blind people to get a job."

The association defended the use of blind schools as a matter of practical necessity and insisted that it would be impossible to train teachers in mainstream schools to deal with the volume of China's visually impaired students. They also pointed to the new regulations by the Ministry of Education as proof that they had achieved results.

The association, however, offered no solution to the problem of implementation that Hallett and others cited as crucial to the success of the new regulations.

Whether it's a success or not, the matter is ultimately moot for many, including Han Junqian. With his best years behind him, Han has no plans to sit for the "gaokao," even if it is made available.

"It's a pity that it didn't come out earlier," he said. "I have forgotten everything."

@highlight

Blind people have few opportunities in China and most become massage therapists

@highlight

To get into college in China, one must pass the "gaokao," which will be offered in Braille this June

@highlight

Critics say the Braille exam is "fairly meaningless"