LONDON, England (CNN) -- A yellow smiley-face badge, smeared with blood, has become the trademark for "Watchmen," the most critically revered of all comic books -- but it could also represent its troubled journey from page to big screen.

"Watchmen" opens with the unexplained murder of The Comedian (Jeffrey Dean Morgan). Note smiley badge.

The subject of fervent debate in the geekosphere for more than two decades, "Watchmen" finally rolls out in the U.S. and other territories from the first week of March onward.

But it's not as well known to wider audiences, who may puzzle at all this heat about a superhero movie with no A-list star attached. Instead, they may simply ask: "Watch-what?"

"Watchmen," created by the UK comic-book team of writer Alan Moore and artist Dave Gibbons, surfaced in 1986 as a monthly 12-issue series published by DC Comics (part of Time Warner, which owns CNN parent company Turner Broadcasting).  Are you looking forward to "Watchmen?" Or think it's just hype?

It was a defining year for the medium: aside from "Watchmen," '86 also saw Pulitzer-prize winning holocaust drama "Maus," from The New Yorker contributor Art Spielgeman; and Frank Miller's hyperviolent Batman reworking "The Dark Knight Returns."

"Watchmen," which takes place in 1985, is set in a  parallel world where America never lost Vietnam, Russia is about to invade Afghanistan and Richard Nixon still holds power (Carl Bernstein and Bob Woodward were murdered). Meanwhile a superhero team -- only one of whom has special powers -- reforms after a fellow operative is mysteriously slain.

But what lifts "Watchmen" above its superhero peers is a complex, multi-layered narrative and depth of characterization that ensured it was the only comic book to make Time's 100 best novels since 1923.

A dark, downbeat work with a heady 11th-hour twist, it puts as much store on subsidiary characters like a newspaper seller as its does blue-skinned man-god Dr. Manhattan. Its influence can be traced to current small-screen favorites like "Heroes" and "Lost."  Watch "Watchmen" trailer. »

Perfect fodder, one might think, for the multiplex -- but "Watchmen" has been lodged in Development Hell for the best part of two decades. At various times Arnold Schwarzenegger and Vin Diesel were mooted to play Manhattan; Mickey Rourke and Ed Norton were suggested for right-wing vigilante Rorschach.

Directors set to shoot have included Terry Gilliam, Darren Aronofsky, Paul Greengrass and David Hayter (whose script has been retained for much of the final film). Several planned shoots failed to materialize due to studio fears about the budget (locations include Antarctica and Mars as well as New York) and how the ending might be perceived in a post-9/11 world.  But film-makers such as Gilliam and Guillermo del Toro also believed that the complex material would be better treated as a TV mini-series. As the latter, the "Pan's Labyrinth" filmmaker, told IGN: "I just couldn't get my head around 'Watchmen' being two or three hours long."

Whoever made "Watchmen" would also do so without Moore's blessing.

Still resident in his hometown of Northampton, central England, Moore cuts an imposing figure. At least six-and-a-half feet tall, with chest-length beard and hair, talon-like rings on his fingers and the skull of a centuries-old Buddhist monk in his study, he resembles Doctor Who as reimagined by Edgar Allan Poe. (In person he's gracious and affable, as this writer will attest from a few years back.)

Moore has had a mixed relationship with both the mainstream comic-book industry (which he accuses of over-commercialization and exploiting creators' rights) and Hollywood. The comic-book series "From Hell," in which Moore uses the Jack the Ripper killings as a precursor to 20th-century violence, runs to about 500 pages, including 40-plus pages of footnotes. On film it became a melodramatic pad around Victorian London, gamely carried by a pre-"Pirates" Johnny Depp.

Two other Moore adaptations also failed to translate. Stephen Norrington's "The League Of Extraordinary Gentlemen" (2003) was widely derided and the subject of a court case into which Moore was dragged; by the time of James McTeigue's better judged "V For Vendetta" (2005), Moore had asked his name be taken off any movie adaptations and refused to take royalties.

Enter Zack Snyder.

In 2004, Snyder came to the attention of mainstream cinemagoers with his well-regarded remake of George A. Romero's zombie flick "Dawn of The Dead." Following the $450m-plus taken worldwide by Snyder's "300" (2006)  -- a hyper-stylized take on Frank Miller's ancient Greek suicide-mission -- it was announced that "Watchmen" would be his next project with Warner Bros. Paramount, which abandoned plans for the movie in 2005, took international rights.

The $150-million feature went into production in Vancouver in mid-2007, wrapping in early 2008, and with a cast including Billy Crudup and Jackie Earle Haley. Snyder has retained "Watchmen's" 1980s setting and also recruited original artist Gibbons -- who still retains friendship with Moore -- to advise on production design.

Mindful that a narrative so complex could never work as a movie, Snyder has jettisoned several parallel subplots, which will surface as DVD extras and in director's cuts. Word is that the ending has also been changed.

But wary of over-tweaking, Snyder told Entertainment Weekly last year: "You can't make it into something else, you really can't. It's not 'Fantastic Four,' it's got to be hard R [cinema rating], it's got to challenge everyone's ideas."

Meanwhile Moore, who sometimes mentions that he worships a Roman snake-god, hinted in the LA Times that he had cursed the feature. "I can tell you that I will also be spitting venom all over it for months to come," he added.

So was it Moore who saw "Watchmen" end up in the courts for a case that risked scuppering its release? Last year Twentieth Century Fox claimed it still retained rights through an earlier deal with producer Lawrence Gordon in the 1980s; Warners Bros. disagreed but a judge decided there was a case to answer. A settlement was eventually  thrashed out last month, only weeks ahead of release.

And so "Watchmen" ticks toward early March and a rollout in spring, the now-traditional season for edgier comic-book adaptations like "300" and "Sin City." Trailers and early footage have drawn praise, with several scenes playing like detailed frames from the original artwork.

But key will be whether Snyder can match "Watchmen's" dramatic beats against its green-screen chicanery for more than two hours (the Internet Movie Database lists the running time at 163 minutes). After all, successfully mixing pyrotechnics and narrative is how the most satisfying genre features of recent years -- such as Peter Jackson's "Lord Of The Rings" trilogy and Christopher Nolan's "The Dark Knight" -- have found artistic, as well as commercial, favor.

Should Snyder pull it off then will he earn the gratitude of fan boys everywhere, as well as no small thanks from a fair few movie executives.

What Alan Moore might think is another issue.

'Watchmen' is released in the UK on 6 March.

@highlight

Comic-book movie, directed by Zack Snyder, took two decades to reach cinemas

@highlight

Directors Terry Gilliam, Darren Aronofsky, Paul Greengrass, previously attached

@highlight

Source material regarded by many as the best comic-book ever written

@highlight

Co-creator Alan Moore has objected to the idea of story being made into movie