Athens (CNN) -- The DNA of a girl authorities think may have been abducted by a Roma couple in Greece doesn't match any profile in Interpol's database, the international law enforcement agency said Tuesday.

In a case that has generated huge interest in Greece, authorities have charged the couple with abducting the child they call Maria.

Interpol said Greek authorities have asked for its help in solving Maria's identity.

"Until now, a comparison of the girl's profile against Interpol's global DNA database has not produced a match," Interpol said in a news release.

Interpol said it would make the database available to authorities in countries where someone who claims to be a possible blood relative to the child has submitted a DNA profile.

The agency has more than 600 missing people listed on its website, 32 of whom are 5 or 6 years old.

A spokesman for a Greek children's charity said about 10 cases of missing children around the world are "being taken very seriously" in connection with Maria's case.

"They include children from the United States, Canada, Poland and France," said Panagiotis Pardalis of the Smile of the Child charity.

The couple who had Maria until last week appeared Monday in court and were remanded into custody pending trial.

A lawyer for the couple says the pair adopted the child from her biological mother.

The Smile of the Child said the girl, who was found Thursday in a Roma community near Larissa, central Greece, is being cared for in a group home.

Medical tests indicate she is 5 to 6 years of age, slightly older than initially thought, said Pardalis.

Police have said they suspect the records the couple provided for the child and for other children in their care may be false. In addition to the abduction charge, the couple is accused of falsifying official documents.

Four officials, including the head of the registry office that issued Maria's birth certificate, have been suspended while a police investigation is under way, the media office of the Athens municipality said Tuesday.

The girl received the document this year, it said. It is unusual for a birth certificate to be issued years later.

1,000 years of Roma discrimination

Authorities asked questions about Maria because she has fair skin and blond hair, while her parents have darker complexions typical of Roma, a race descended from Indian nomads, who face widespread discrimination in Europe.

Haralambos Dimitriou, head of the local Roma community, said the couple took in the girl because her Bulgarian mother couldn't keep her. He said Maria was raised like a "normal" child.

Pardalis said Sunday that she was found in "bad living conditions, poor hygiene."

Calls about the girl

Thousands of calls poured into Greece after authorities released photos of the girl last week.

Deborah Bradley and Jeremy Irwin, whose daughter Lisa Irwin was 11 months old when she vanished two years ago from their home in Kansas City, Missouri, asked the FBI to contact the Greek authorities about the case.

"There is no such thing as a tip too small," said Bradley, whose hopes were raised despite the apparent disparity in age between their missing daughter and Maria.

"I am not sure there are enough similarities between the girls," a federal law enforcement official said. Still, the official added, the FBI is working with Greek authorities to determine whether the girl could be Lisa Irwin.

A top official with the National Center for Missing & Exploited Children in Virginia said the center works with law enforcement groups to collect data, biometrics information and DNA that can be used to compare with samples from Maria.

"Frankly, right now ... it does not appear that this may be any of our children. But again we want to confirm one way or the other," Robert Lowery, the senior executive director of the organization's missing children division, said.

He added that a definitive comparison could be done "rather quickly."

Interest has popped up elsewhere

In Canada, a spokeswoman for the Royal Canadian Mounted Police said its Centre for Missing Persons and Unidentified Remains had been contacted by Interpol to aid in identifying the girl, though there was no information that she is Canadian.

"We are going through the files that we have and we are developing a list of possible children that could meet that criteria," said Sgt. Lana Prosper. "We are currently looking at an age range of about 2 to 8 years old, we don't want to exclude anybody. The files we currently have to look through number in the thousands, but they include boys as well."

Once that number has been narrowed, police will contact local authorities to assist, "if needed," she said.

Police: Couple kept changing story

Authorities released photos of the two adults charged Monday in the case -- Eleftheria Dimopoulou, 40, and Christos Salis, 39 -- in hopes that the publicity would reach someone who can provide more information about them.

Interpol said it was issuing what it calls a "blue notice" asking authorities in other nations if they have any additional information about Dimopoulou or Salis.

Police said the blond child looked nothing like the man and woman with her, and DNA testing confirmed that they were not her biological parents.

A police statement said the couple "changed repeatedly their story about how they got the child."

A government news agency said police found suspicious birth and baptism records as well as family registrations that claimed the woman had given birth to 10 children and the man was the father of four more.

"I used to see the mother, she would come to the square here to beg with the child," a man in the Larissa region told the Reuters news agency. "At one point, I had asked her how she got such a blond angel. She told me she had conceived it with a blond man."

Prejudice against the Roma

Prejudice and discrimination against the Roma are widespread in Greece and elsewhere in Europe, Amnesty International says.

Maria's case plays into old prejudices about them stealing children for forced labor.

Pardalis mentioned such a possibility, saying, "We don't have any other information if this girl was forced to work or to beg on streets."

The government news agency also raised "the possibility of the existence of a ring bringing pregnant women to Greece from Bulgaria and then taking their children for sale." The agency cited past reports that empty coffins had been found for infants who supposedly were stillborn to foreign mothers in Athens.

Photo blog: The plight of the Roma

CNN's Elinda Labropoulou reported from Athens and Laura Smith-Spark wrote in London. CNN's Carol Cratty, George Howell and David Simpson contributed to this report.

@highlight

Parents of a missing child in Missouri are among those to contact Greek authorities

@highlight

Tests indicate Maria is 5 to 6 years of age -- older than initially thought

@highlight

About 10 cases of missing children from four countries are being looked at, charity says