(CNN)The idea of sustainable development is that raw capitalism is far too powerful for its own good. Global capitalism is a juggernaut, with the world economy now doubling in size every generation.  Yet on a finite Earth, with a billion new people being added every 15 years, that juggernaut is now laying siege to the physical bases of life and the social support systems that make life pleasant and decent.  Sustainable development offers a path out of this growing crisis.

The reality is that raw capitalism is the economics of greed.  Unleash greed, the theory goes, and type-A personalities around the world will spend inordinate energy to organize businesses, invent new products, and thereby raise well-being.

And in some sense, there's a lot to say for this theory.  After all, the world economy has expanded at least 100-fold since modern industrial capitalism first found its footing in Britain around 1800, and for most of the world, living standards have risen markedly along the way.

Yet history has also taught us that the "Invisible Hand" of the free market is a little less miraculous than it looks. Instead, untrammeled greed also leads to massive fraud, mega-tax evasion, pervasive bribery, modern slavery, rising inequalities, and environmental destruction. Perhaps most important, it feeds moral blindness.  Too many of the super-rich, whether they are calling for drilling in the Arctic for oil or encouraging the cutting down of the rainforests for tropical hardwoods, simply deny the irreparable damage they are causing to the planet.

It¹s no surprise that the Wall Street Journal runs anti-environmental editorials on what feels like a daily basis.  The environment is a nuisance and a hindrance to greed.  And greed rules the moral order at the top of raw capitalism. Novelists, ethicists, activists, unionists, preachers, teachers, and others have long known these facts, but the juggernaut has proved hard to tame. Unleash greed as the supreme economic good, and it is greed that we get as the ultimate moral arbiter.

Sustainable development is a doctrine that says: Let us once again place the economy on a true moral foundation and we'll keep greed within bounds, ensuring the economic growth is combined with social fairness and environmental sustainability.

The idea of sustainable development is that an economy must satisfy all three principles: economic growth, social fairness and environmental sustainability.  Yes, there can and should be economic growth, especially for today's developing countries.  Human ingenuity and markets can indeed lead us to higher living standards and longer lives for all parts of the world, rich and poor alike.  But these gains should be widely shared and should never be based on the exploitation of those at the bottom of society.  Social inclusion has been widely shown to improve societal progress broadly for all.  And equally important, those gains should be based on true value added, not on the destruction of natural capital, whether through deforestation, climate change, or pollution of air, land, and water.

Thus, sustainable development calls for a holistic approach that combines economic, social, and environmental objectives.  This balanced approach is much harder to achieve than the raw capitalism that places the economy above society and the physical Earth.  Yet it recognizes that we are doomed to conflict and even collapse if we fail to promote social equality and environmental sustainability.

Just look at the recent news.  Last year was the Earth's hottest year on record, and another year of mega-storms, droughts, floods, and heat waves.  Major parts of the world, from Pakistan and Iran to California and Brazil, are experiencing mega-droughts, and the prospect of catastrophic water scarcity in the future unless something changes.  And even as the world economy grows and millions escape extreme poverty, our societies become more unequal, less trusting, and corrupt.  All over the world, there is unrest on the streets even as our generation is the beneficiary of unprecedented technological knowhow and material progress.

In my new book, The Age of Sustainable Development, I¹ve not only analyzed the trends of growing inequality and rising environmental destruction, but have also shown how the concepts of sustainable development can be used to chart a way out of our growing crisis.  It turns out that with goodwill, cooperation, greed kept in check, and technological savvy, we can build a modern global economy that is productive, inclusive, and environmentally sustainable all at the same time.

The ongoing revolution of information and communications technology (ICT) is an incredibly powerful enabler of new sustainable technologies.  And doubters about the feasibility of sustainable development should have a look at Scandinavia ¬ Denmark, Norway, and Sweden, as they are the closest on the planet to achieving this Trifecta of prosperity, fairness, and sustainability.

Consider the challenge of climate change, for example.  Big Oil and Wall Street executives too often simply deny the science.  Yet a science-based sustainable development perspective shows that not only is human-induced climate change very real and very dangerous, but that it is also solvable at very low cost by switching over the next 30 years to electric vehicles, heat pumps, well-insulated buildings, smart ICT-enabled grid, wind and solar energy, and other low-carbon and energy efficient technologies.

If the world takes the time to do its homework and plan for the future, the world can bring the climate crisis under control and still enjoy a growing supply of quality energy services.

And, more generally, although the U.S. political system still feeds untrammeled greed by enabling super-rich campaign donors and lobbyists to buy the political class, the American people and much of the rest of the world are coming to recognize the urgency of sustainable development.  That is why governments around the world will adopt Sustainable Development Goals (SDGs) this year, on the 70th anniversary of the United Nations. These new SDGs will become markers and guideposts for building a world that combines prosperity, fairness, and environmental sanity -- a world we truly want and need for ourselves and our children.

@highlight

Jeffrey Sachs: Raw capitalism is the economics of greed

@highlight

Last year was the Earth's hottest year on record, he says