(CNN) -- Thousands of children in England have been sexually exploited by gangs or groups of men or are at high risk of sexual exploitation, according to a report released Wednesday.

The report, which calls for urgent action to protect young people, comes amid wide public concern prompted by revelations of child abuse by a former BBC TV presenter, Jimmy Savile.

Read more: Belittling kids as harmful as beating, study finds

There were 2,409 victims of child sexual exploitation in gangs or groups from August 2010 to October 2011, the inquiry by the Office of the Children's Commissioner found.

Another 16,500 children in England were identified as being at high risk of sexual exploitation during the year from April 2010 to March 2011.

Read more: Britain tense as gangs roam, violence flares in London, other cities

Maggie Atkinson, Children's Commissioner for England, described the report, titled "I thought I was the only one. The only one in the world," as "a wake-up call" for the nation.

The report is based on the findings from the first year of a two-year study, based on evidence from the government, police, local authorities, health services, voluntary workers and young people.

Read more: Sex abusers prey on kids' trust, thrive on shame

Deputy Children's Commissioner Sue Berelowitz, who is leading the inquiry, said: "The reality is that each year thousands of children in England are raped and abused by people seeking to humiliate, violate and control them. The impact on their lives is devastating.

Read more: Sandusky gets at least 30 years for child sex abuse

"These children have been abducted, trafficked, beaten and threatened after being drawn into a web of sexual violence sometimes by promises of love and sometimes simply because they know there is no alternative.

Read more: BBC settles politician's libel claim in child abuse story for $293,000

"This abuse and violence can be relentless and take place anywhere -- as they go home from school, as they walk to the shops, in their local park."

Berelowitz said the study found the majority of perpetrators were male and that they ranged in age from young adolescents to older men.

Read more: UK man charged after children given trick-or-treat cocaine bags

"The evidence is clear that they come from all ethnic groups and so do their victims -- contrary to what some may wish to believe," she said.

In a high-profile court case earlier this year, nine men were jailed for "grooming," sexually abusing and raping five girls, one of them only 13, in Rochdale, Greater Manchester. The men were all of Asian origin and the girls were white, prompting questions over whether the perpetrators' ethnic origin was a factor in their actions or in the failure of local authorities to uncover the child abuse ring sooner.

Read more: Retired bishop, priest arrested on child sex abuse charges

The report suggests better record-keeping is needed in order for the ethnicity of perpetrators in gangs, many of whom are never arrested or convicted for sexually exploiting minors, to be tracked.

The victims come from a range of ethnic backgrounds but 28% are from black or minority backgrounds -- higher than previously thought, the report says. Of the 2,409 victims reported to the inquiry, 155 were identified as also being perpetrators of child sexual exploitation, in what the report describes as a "deeply troubling" overlap.

Read more: Ex-Scout tells of abuse at hands of TV presenter Jimmy Savile

Atkinson, the Children's Commissioner for England, urged people to look out for the signs of sexual exploitation in young people around them. "Each and every one of us owes it to all victims to be vigilant, to listen and to act to stop the sexual exploitation of children," she said.

The report's list of warning signs includes children going missing from home, care homes or school; repeated sexually transmitted infections; committing crimes; misuse of drugs or alcohol; self harm and other physical injuries.

Alastair Campbell: Despite its failings and our past clashes, I back BBC

The issue of child sexual exploitation is in the forefront of many people's minds following wide UK media coverage of a series of scandals.

The furor erupted several weeks ago with the claims against Savile, who died last year but who police now believe sexually abused as many as 300 young women and girls, sometimes on BBC premises, in past decades. Two other men have been arrested in connection with the investigation.

Read more: Police probe hospital abuse claims against TV host Jimmy Savile

Also in the past month, a BBC program looking into historic sex abuse allegations at children's homes in Wales in the 1970s and 1980s alleged that a Conservative, Thatcher-era politician, whom it did not name, had been among the children's abusers. Internet speculation over who that politician might be led to Lord McAlpine being falsely identified via Twitter. He is now planning multiple libel suits, and the BBC has already settled.

A number of government inquiries have been launched as a result of questions over how past allegations were handled.

CNN's Susannah Palk contributed to this report.

@highlight

Report: 2,400 children were victims of sexual exploitation by gangs or groups over 14 months

@highlight

Another 16,500 young people in England were at high risk of being sexually exploited

@highlight

The report comes in the wake of a series of scandals involving sexual abuse of children

@highlight

Its findings are a wake-up call, says the children's commissioner for England