Washington (CNN) -- They've become a linchpin of projecting U.S. military power into war zones around the world. But now those same unmanned aerial vehicles have been infected by a computer virus, according to a U.S defense official.

The drones are still flying missions in places like Afghanistan and Iraq, where as many as 150 of them can be in involved in various surveillance missions each day. The official says the virus infected the classified military computer systems that control the drones, but it has not "stopped the drones from flying worldwide."

"Military officials are more concerned than panicked by this virus," said Danger Room Editor Noah Schactman, who first reported the story last week for Wired magazine. "They're just really not sure what's going on. They're not sure if it's a deliberate attack. They're not sure if it's something accidental."

The drones fly all over the world, but they are remote-piloted from American soil by pilots at Creech Air Force Base in Nevada. That's where the virus was first detected.

The virus is logging each keystroke that the remote pilots input, and officials are trying to determine whether any classified information is actually being lost or sent outside the network. Schactman says the military has had a hard time wiping out the virus.

"They've tried over and over again to get rid of this thing using some fairly conventional methods, and they haven't worked. And so it seems the only thing to get rid of this virus is to basically wipe the hard drives of these computers entirely and sort of rebuild the computers from scratch," Schactman said.

But that can be an exhausting process: In 2008 removable hard drives introduced a virus into thousands of Defense Department computers, and to this day the Pentagon is still purging some machines. In the case of the computers that help coordinate the drones, care also has to be taken to back up all the information, so it isn't lost during rebuilding.

The UAVs have become indispensable for military planners who depend on constant combat air patrols. But current and former Pentagon officials admit that technology cuts both ways. At the confirmation hearing for Defense Secretary Leon Panetta, former Deputy Defense Secretary William Lynn said bluntly, "In the 21st century, bits and bytes can be as threatening as bullets and bombs." Lynn says even the National Defense University has been breached, and in a single intrusion this year 24,000 files were taken from a defense company. He says these are just some examples of a number of cyber intrusions over the past several years.

In June Lynn testified that "Some of the stolen data is mundane, like the specifications for small parts of tanks, airplanes and submarines. But a great deal of it concerns our most sensitive systems, including avionics, surveillance technologies, satellite communications systems and network security protocols. The cyber exploitation being perpetrated against the defense industry cuts across a wide swath of crucial military hardware, extending from missile tracking systems and satellite navigation devices to UAVs and the Joint Strike Fighter." Perhaps most alarming, Lynn admitted that up till now, the US military had not been able to secure its systems. "Current countermeasures have not stopped this outflow of sensitive information," Lynn said. "We need to do more to guard our digital storehouses of design innovation."

Officials have not determined whether the virus introduced into the drone program is benign, or doing actual harm. An investigation is ongoing. Despite the fact the controls are not linked into any outside network, and therefore seemingly impervious to intrusion, the drone systems do have security issues. Noah Schactman says they still use external hard drives, and when they're attached to the top-secret computers it can open them up to infection. He says the true danger of this virus comes not from an ability to "bring down a drone," which is unlikely. Schactman says it comes down to trust. And he surmises that if officials come to think that the data they're receiving from the unmanned vehicles has been compromised, they're much less likely to view the information as safe and valuable.

Perhaps most alarming: the worst is yet to come. Even top Pentagon officials admit that more destructive tools are being developed, cyber weapons that have not yet been used. Former Deputy Secretary Lynn says, "And the most malicious actors have not yet obtained the most harmful capabilities. But this situation will not hold forever. There will eventually be a marriage of capability and intent, where those who mean us harm will gain the ability to launch damaging cyber attacks. We need to develop stronger defenses before this occurs."

In August, a drone attack killed al Qaeda No. 2 Atiya Abdul Rahman in Pakistan. The most recent high-profile drone strike resulted in the death of U.S.-born militant cleric Anwar al-Awlaki in Yemen last month.

@highlight

The virus has not "stopped flights worldwide," defense official says

@highlight

The infection was first reported by Wired.com

@highlight

Drones have targeted suspected militants in such countries as Pakistan and Yemen