(CNN) -- Where in the world are children toiling dangerous and dirty conditions, missing out on education and other basic rights?

A new report by risk analysis firm Maplecroft, which ranks 197 countries, identifies Eritrea, Somalia, Democratic Republic of Congo, Myanmar, Sudan, Afghanistan, Pakistan, Zimbabwe and Yemen as the 10 places where child labor is most prevalent.

Countries with high poverty rates fare badly in the index due to the need for children to supplement their family income, the report said, but economically important countries like China, India, Russia and Brazil were also found to have extreme risks because child labor laws are often poorly enforced.

Trafficking of children into forced labor or sexual exploitation remains a big problem, the report added.

Despite its fast-growing economy, China has witnessed a substantial increase in child labor risks over the past year, ranking 20th compared with 53rd a year earlier.

The report said that unofficial estimates suggested that 100,000 children are employed in the country's manufacturing sector.

CNN Freedom Project

"The use of vocational work and study schemes, along with the continued use of children in factories, present significant supply chain risks to companies even in the more economically developed provinces," the report said.

Last year, electronics supplier Foxconn admitted that interns as young as 14 worked at one of its Chinese plants.

However, the report pointed to minor improvements in the risk of child labor, with South America now ranked as "high risk" rather than "extreme risk."

In September, the International Labor Organization estimated that the rate of five to 17 year olds engaged in child labor had decreased to 10.6% in 2012 from 13.6% in 2008. The number of children involved in the worst forms of child labor has decreased to 85 million from 115 million during this time.

The company compiles the ranking by evaluating the frequency and severity of reported child labor incidents, as well as tracking how governments prevent child labor and ensure perpetrators are held accountable.

The index has been developed to help companies understand the risks of children being employed in their supply chains.

@highlight

Eritrea, Somalia top the latest list for countries where child labor is most prevalent

@highlight

High poverty rates a similar theme across countries where child labor is most commonly used

@highlight

China fares poorly on the latest index, slipping from 53rd to 20th place

@highlight

Globally, the report says there's been an improvement in the risks of child labor