Can we really say that the crisis in Ukraine is as important as meeting the challenge of ISIS, also known as the Islamic State, or Ebola, or the South China Sea?

An initial answer would be that our shifting attention is part of the problem, which Russia has consistently exploited to get what it wants. Russia maximized its deliveries of men and arms to East Ukraine in August and September to coincide with one peak of the crisis in Iraq. Appeals by the likes of former Russian Foreign Minister Igor Ivanov that "considering the surrounding threats, we have to find a way out of the Ukrainian mess as soon as possible" are unfortunately attractive to some, but are an invitation to ignore our own true interests.

The NATO summit in Wales in September didn't seem to think Ukraine was that important. It produced something resembling a plan for ISIS, and some palliatives for the next possible crisis in Eastern Europe by beefing up security in Poland and the Baltic States. But it did little to help Ukraine now. Ukrainian President Poroshenko's speech to Congress in September was interrupted by applause 40 times, but his barbed remark that Ukraine "cannot win a war with blankets" only produced $53 million in non-lethal aid.

ISIS is of course hugely important. The humanitarian crisis in Syria and Iraq involves over 10 million refugees and internally displaced persons (IDPs). The threat of jihadis returning home, especially to the likes of the UK, is rightly of paramount concern. So is the issue of why so many left the UK to fight in the first place. There is also a sense of responsibility for what happened after 2003 or 1991.

But, apart from the issue of militant recruitment and terrorist blowback within Europe, this is not an issue about Europe's neighborhood.

Ukraine, on the other hand, is both the literal and metaphorical frontier of Europe. And Russia's entire modus operandi, of which its current actions in Ukraine are only the most visible part, is not only a challenge to the European order, but a challenge that is dangerously exploiting the many existing problems within the EU.

So, here is a list of reasons to be concerned. Russia hasn't finished, even in Ukraine. The territories its proxies control in the Donbas make no historical or economic sense. Crimea is isolated.

Russia also wants Ukraine to fail. The story that began with the Uprising in Kiev in February was about changing Ukraine for the better. Then it became about Ukraine's very survival as a state. Ukrainian voters in the October elections showed a strong desire to get back to the original story. But Russia clearly does not want that to happen. And if Ukraine does fail to transform itself, it will be only one in a string of dysfunctional states ringing the EU.

All of Russia's neighbors, friend and foe, are worried. Russia has been creating an alternative media space in the Baltic States for years. It is blatantly interfering in Moldova's upcoming election.

States like Kazakhstan with aging leaders and Russian minorities worry that succession crises might be turned into secession crises. Azerbaijan has used the crisis as cover to launch a political crack-down; saber-rattling with neighboring Armenia almost led to war in August.

Russia and Ukraine are locked together in a spiral of economic decline. Ukrainian GDP is forecast to fall by 10% this year. Ukraine also has a humanitarian crisis; the official estimate for IDPs by the UNHCR was already 445,000 by 10 November. The Russian economy was already flat-lining even before the oil price started heading south. EU states like Germany are finally also feeling the cost of sanctions, with unfortunate timing as the Eurozone again stagnates.

None of the scenarios look good: if Putin rides out the pain and the Russian economy really crashes; if the pain leads to internal crisis in Russia; or if EU soft-liners water down sanctions before they have their full effect. Russia will be an easy target for a rhetorical hard-line as the USA gears up for the 2016 elections, as direct American business interests in Russia are few.

What happens in Ukraine is also crucial for what happens beyond Ukraine. Russia has been causing problems within the EU for years. Projects like South Stream are more important for the corruption they channel into Europe than the energy they might deliver. Russia is actually keen on Serbia joining the EU, in order to have another client state on the inside.

Russia did not create anti-EU parties of the left and right, or nationalist movements against EU nation-states, or the post-modern cynicism common among European youth. But its propaganda channels and internet trolls "nudge" them all. Russia Today's motto is "question more" -- not believe everything we say about Russia. Its modus operandi is to spread doubt, cynicism and conspiracy-theory in the West.

Specific propaganda messages about Russia or Ukraine are then buried in the post-modern melange. And there is a very difficult winter ahead. If sanctions stay at the current level, Russia will really feel the pain in six months. But Ukraine has to get there first, with the risk of further crises and renewed conflict very real.

@highlight

Russia hasn't finished, even in Ukraine, writes Andrew Wilson

@highlight

Russia also wants Ukraine to fail, he says

@highlight

All of Russia's neighbors, friend and foe, are worried, he writes

@highlight

Wilson: What happens in Ukraine is also crucial for what happens beyond Ukraine