(CNN) -- Last week, federal immigration authorities seized more than a dozen 7-Eleven stores in New York and Virginia. Authorities charged that the stores' franchisees "brutally exploited" more than 50 undocumented immigrant workers. The workers allegedly worked up to 100 hours a week, for as little as $3 an hour. They were forced to live in housing the employers owned and controlled, authorities said.

For many, it was a shock. An iconic American corporation was allegedly profiting from what the U.S. attorney's office called a "modern-day plantation system." Prosecutors are seeking $30 million in forfeiture, not only from the franchisees but also from the 7-Eleven parent corporation.

The real shock should be how common cases such as this have become.

Millions of immigrant workers are uniquely vulnerable to abuse, because employers can threaten them with retaliatory firing and deportation to silence complaints. In this context, the allegations that 7-Eleven ran a "plantation system" for 13 years sounds more plausible.

Consider: In March, workers from several nations filed federal complaints describing similar exploitation at McDonald's restaurants in central Pennsylvania. The workers, students who had come to the United States with J-1 visas to work under the Summer Work Travel Program, reported brutal conditions, wage theft and shifts of up to 25 hours straight with no overtime pay. They said they were made to live in substandard housing owned by the employer, and faced threats of deportation when they raised concerns.

In June 2012, another group of immigrant workers alleged forced labor at a Louisiana Walmart supplier called C.J.'s Seafood. Supervisors threatened to beat them with a shovel, they said, to make them work faster, and when they spoke up, the boss allegedly threatened violence against their families.

Recent debate on the Senate floor also recalled an emblematic 2011 case of exploitation at a Hershey's Chocolate packing plant in Pennsylvania. There, immigrant guest workers said in a federal complaint that they earned subminimum wage take-home pay and faced constant threats of firing and deportation.

Among the many similarities in these cases, most striking is that all four came to light because immigrant workers defied threats and blew the whistle. When they did, they stood up not just for themselves, but for U.S. workers as well.

In a recent national survey of 1,000 registered voters by CAMBIO (a coalition of pro-reform groups of which the National Guestworker Alliance is a member), 75% agreed that "if employers are allowed to get away with mistreating immigrant workers, it ends up lowering wages and hurting conditions for American workers as well." Eighty percent agreed that "immigrant workers who blow the whistle on abusive employers are helping defend workplace standards, and should have the opportunity to stay in the U.S. to work toward citizenship."

Right now, protections for immigrant whistle-blowers are weak. Immigration and Customs Enforcement routinely ignores a memorandum from its director, John Morton, allowing it not to pursue deportation against whistle-blowers. In New Orleans, 26 workers who helped expose exploitation in the Louisiana home elevation industry were arrested in an immigration raid in August 2011, and most are still fighting their deportations today. Across the country, workers who have been the victims of exploitation -- and have come forward to stop it -- are treated as disposable.

Immigration reform needs to change that. First, as the bill moves through the Senate and on to the House of Representatives, it needs to include provisions that deliver dignity at work to the more than 7 million immigrant workers in the United States -- and that keep the floor from falling for the 150 million U.S.-born workers who work alongside them. A bill called the POWER Act would provide the key protections to both. It needs to be included in the immigration reform bill.

Second, immigration reform must deliver equal rights to all immigrant workers, so that unscrupulous employers can't pick and choose the most exploitable workers to undercut the competition. All immigrant workers who come to the United States through future guest-worker programs must have strong whistle-blower protections and the right to change employers as freely as any worker on American shores.

Raising the floor for the immigrant workers at the bottom of the U.S. economy means building a stronger, more secure economy for all workers. That's why protecting immigrant workers doesn't just matter for immigrants. It matters for every worker in America.

The opinions expressed in this commentary are solely those of Saket Soni.

@highlight

Saket Soni: Authorities seized some 7-Eleven stores, saying immigrants exploited

@highlight

He says immigrants vulnerable to abuse from employers and whistle-blowers risk punishment

@highlight

He says any immigration reform should provide protections for guest-worker whistle-blowers

@highlight

Soni: Equal rights for immigrant workers means strong economy for all workers