(CNN) -- Retired Gen. Norman Schwarzkopf, who led allied forces to a routing of Iraq in the 1991 Persian Gulf War and became one of the nation's most celebrated military heroes of the era, died Thursday, a U.S. defense official said. He was 78.

The death of the retired four-star Army general was confirmed by Defense Secretary Leon Panetta, who described Schwarzkopf as "one of the great military giants of the 20th century."

President Barack Obama called the death of Schwarzkopf a loss of an "American original."

"From his decorated service in Vietnam to the historic liberation of Kuwait and his leadership of United States Central Command, General Schwarzkopf stood tall for the country and Army he loved," Obama said.

"Our prayers are with the Schwarzkopf family, who tonight can know that his legacy will endure in a nation that is more secure because of his patriotic service."

Virtually unknown to the public before the Persian Gulf War, Schwarzkopf became a household name while he oversaw the buildup of 700,000 coalition troops, including more than 540,000 U.S. forces, after Iraq invaded Kuwait in 1990.

The war began on January 17, 1991, with the start of the nearly six-week air campaign against Iraq that was followed by a 100-hour ground offensive that pushed Iraqi leader Saddam Hussein's forces out of Kuwait.

A Time magazine correspondent described the general, as he prepared his troops along the Kuwaiti border, as a man "with a John Wayne swagger and a growl like a grizzly."

Schwarzkopf, dubbed "Stormin' Norman" by his troops because of his reported temper, captured the public's imagination with his plain, frank talk about the war's progress.

He once told a room full of reporters: "As far as Saddam Hussein being a great military strategist, he is neither a strategist, nor is he schooled in the operational arts, nor is he a tactician, nor is he a general, nor is he a soldier. Other than that, he's a great military man, I want you to know that."

Former Secretary of State Colin Powell, who served as chairman of the Joint Chiefs of Staff and, therefore, Schwarzkopf's commander, said the general's leadership during the war inspired the nation.

" 'Stormin' Norman' led the coalition forces to victory, ejecting the Iraqi Army from Kuwait and restoring the rightful government," Powell said in a statement. "His leadership not only inspired his troops, but also inspired the nation. He was a good friend of mine, a close buddy. I will miss him."

Schwarzkopf, a highly decorated Vietnam War veteran, ushered in a new era for the U.S. military, whose exploits were broadcast live around the clock.

After the war, he was featured in his desert fatigues on the cover of nearly every major American magazine, and he joined thousands of troops for a welcome-home ticker tape parade in New York City.

England's Queen Elizabeth II made him an honorary knight, and he received a standing ovation from Congress upon his return to the United States.

Former President George H.W. Bush, who is hospitalized, said the general "epitomized the 'duty, service, country' creed that has defended our freedom and seen this great nation through our most trying international crises."

"More than that, he was a good and decent man -- and a dear friend," Bush said in a statement released by his office.

While Schwarzkopf's leadership was heralded, critics raised questions about the decision to quickly end the ground war in Iraq and leave Hussein in power.

Schwarzkopf was heavily criticized in the Thomas E. Ricks book "The Generals: American Military Command from World War II to Today" for allowing Iraq to use helicopters in no-fly zones established after the war. Iraq used the helicopters to put down a Shiite uprising that had been openly encouraged by the United States.

Schwarzkopf told CNN's Larry King in a September 1992 interview that the preferred plan with Iraq was to avoid ever having to invade.

"We never wanted a war," he said. "Once the war started, we were hoping that ... they'd come to their senses and stop right then. ... After 38 days, we got to a point where we could launch the ground war and, by that time, they hadn't withdrawn."

While his role in the Gulf War made him famous, Schwarzkopf told King, war itself and the bloodshed that went with it didn't appeal to him.

"I hate war. Absolutely, I hate war," he said. "Good generalship is a realization that ... you've got to try and figure out how to accomplish your mission with a minimum loss of human life."

In his autobiography, "It Doesn't Take A Hero," Schwarzkopf outlined the reasons that coalition forces didn't press on to the Iraqi capital during the first Gulf War.

"Had the United States and the United Kingdom gone on alone to capture Baghdad, under the provisions of the Geneva and Hague conventions we would have been considered occupying powers and therefore would have been responsible for all the costs of maintaining or restoring government, education and other services for the people of Iraq."

Schwarzkopf wrote that had "we taken all of Iraq, we would have been like a dinosaur in the tar pit -- we would still be there, and we, not the United Nations, would be bearing the costs of that occupation."

Schwarzkopf supported the 2003 U.S.-led invasion of Iraq, though he later criticized the Pentagon for what he called mistakes that included sending undertrained Reserve and National Guard troops into combat.

Schwarzkopf retired in August 1991, hit the lecture circuit and briefly was a military analyst for NBC.

He told King that he was asked to run for U.S. Senate.

"I got off the airplane and they came after me to, you know, run for senator in Florida, and I told them, 'No,' " he said. "I'm not a politician. I'd make a lousy politician."

Born in Trenton, New Jersey, in 1934, he was named H. Norman Schwarzkopf Jr. after his father.

His father, Major Gen. H. Norman Schwarzkopf, a West Point graduate who fought in World War I, became head of New Jersey State Police, helping to build the fledgling force and eventually leading the investigation of the infamous Lindbergh baby kidnapping.

"The day I was born, my father said ... 'That boy is going to West Point,' " Schwarzkopf recalled to King. "And that's the only thing I ever heard my entire young life."

After World War II, according to the book, the younger Schwarzkopf traveled to Iran to be with his father, who was helping advise the training of the country's police force under the shah, Mohammad Reza Pahlavi.

Schwarzkopf attended a Swiss boarding school and later returned to the New York region to enroll at West Point before heading to Vietnam for the first time in 1966.

"I prided myself on being unflappable even in the most chaotic of circumstances," he wrote. "That guise lasted until Vietnam, where I realized that I was dealing with human lives and if one were lost, it could never be replaced. I quickly learned that there was nothing wrong with being emotional."

He was commissioned a second lieutenant and served two tours of duty in Vietnam, where he received three Silver Stars. In 1983, he led troops during the invasion of Grenada.

Schwarzkopf, who died in Tampa, Florida, is survived by his wife, Brenda, two daughters and a son.

CNN's Barbara Starr, David Ariosto, Carma Hassan and Greg Botelho contributed to this report.

@highlight

NEW: Colin Powell says Schwarzkopf's leadership inspired a nation

@highlight

Schwarzkopf once told Larry King that he hated war

@highlight

Schwarzkopf commanded U.S. led-coalition forces during the 1991 Gulf War

@highlight

He was decorated combat veteran of the Vietnam War