A new report claiming to be the most comprehensive look at global slavery says 30 million people are living as slaves around the world.

The Global Slavery Index, published by the Australia-based Walk Free Foundation, lists India as the country with by far the most slaves, with an estimated nearly 14 million, followed by China (2.9 million) and Pakistan (2.1 million).

The top 10 countries on its list of shame accounted for more than three quarters of the 29.8 million people living in slavery, with Nigeria, Ethiopia, Russia, Thailand, Democratic Republic of Congo, Myanmar and Bangladesh completing the list.

In terms of countries with the highest of proportion of slaves, Mauritania in West Africa topped the table, with about 4% of its 3.4 million people enslaved, followed by Haiti, Pakistan, India and Nepal.

READ MORE: Mauritania -- slavery's last stronghold

The index, whose authors claim it contains the most authoritative data on slavery conditions worldwide, is the product of Australian mining magnate and philanthropist Andrew Forrest's commitment to stamp out global slavery.

Forrest, ranked by Forbes as Australia's fifth richest man, with an estimated net worth of $5.7 billion, adopted the cause after his daughter volunteered in an orphanage in Nepal in 2008, where she encountered victims of child sex trafficking. Forrest is a signatory to the Giving Pledge started by billionaire investor Warren Buffett, whose members commit to donating at least half their wealth to philanthropic causes.

The index, which draws on 10 years of research into slavery and was produced by a team of 4 authors supported by 22 other experts, is the inaugural edition of what will be an annual report. It ranks 162 countries according to the number of people living in slavery, the risk of enslavement and the robustness of government responses to the problem.

Walk Free policy and research manager Gina Dafalia told CNN the report was intended to shine a spotlight on the issue, and quantify the extent of the problem in different countries before anti-slavery initiatives were launched. So far, she said, Walk Free, along with partners Humanity United and the Legatum Foundation, had pledged a total of $100 million to stamp out the practice.

READ MORE: CNN's Freedom Project

"When we started working in this area we realized that we didn't have a good understanding of what exactly the situation of slavery is in the world," she said. "We needed that information before we started doing any interventions."

The index gives a higher estimate of the global number of slaves than other reports -- a report by the International Labor Organization last year pegged the number at 20.9 million.

Dafalia said this was a result of the Global Slavery Index using a broader definition of slavery, which included human trafficking, forced labor, as well as practices such as forced marriage, debt bondage and the exploitation of children.

"Our definition of modern slavery includes, for example, forced and servile marriage, a concept not included in the ILO estimate, given the focus on 'forced labor,'" she said.

The explicit definition used in the report was "the possession and control of a person in such a way as to significantly deprive that person of his or her individual liberty, with the intent of exploiting that person through their use, management, profit, transfer or disposal. Usually this exercise will be achieved through means such as violence or threats of violence, deception and/or coercion."

Kevin Bales, one of the report's authors and co-founder of Free the Slaves, said that the global number of slaves was difficult to quantify. But through methods including random sample surveys, researchers were able to arrive at an estimate. "We were able to go to households and say 'Has anything like this happened to anyone in your family?'" he said.

He believed the index, which he hoped would provide "a bit of a wake-up call" to the world's governments, had a margin of error of between 5-10%. "We always erred on the conservative side."

Asked why 30 million continued to live in conditions of slavery in 2013, Dafalia said the reasons varied from country to country, but one constant was that it remained a "hidden problem."

READ MORE: No life for a child -- the grim reality of Nepal's child laborers

In some of the worst-hit countries, the report said, the affected parties were citizens ensnared in endemic, culturally-sanctioned forms of slavery -- "the chattel slavery of the Haratins in Mauritania, the exploitation of children through the restavek practice in Haiti, the cultural and economic practices of both caste and debt bondage in India and Pakistan, and the exploitation of children through vidomegon in Benin."

In other examples, including Nepal, Gabon and Moldova, it was migrants who were most vulnerable to exploitation. In many examples, noted the report, child and forced marriage was prevalent and child protection practices weak.

It noted that in India, the country with the most slaves, the risk of enslavement varied markedly from state to state.

The Middle East and North Africa, it said, showed the highest measured level of discrimination against women, with one result being a high level of forced and child marriages within the region, and widespread exploitation of trafficked women as domestic workers and prostitutes. Vulnerable male migrants also frequently found themselves in exploitative working conditions.

READ MORE: Modern day slavery in the Gulf

In contrast, said Bales, countries like Brazil led the world in anti-slavery efforts. "It has a national plan to eradicate slavery. It has a dirty list where it has every company that's ever had slavery pollute their products, they have special anti-slavery police squads."

He rejected the suggestion that the term "slavery" was an overly emotive or misleading way of defining people who were trapped by crushing poverty.

"I spend a lot of time talking to people who have been or are in slavery, and when you talk to them about it, they know what the situation is," he said.

"We're not talking about bad choices, we're not talking about crummy jobs in a sweatshop. We're talking about real life slavery -- you can't walk away, you're controlled through violence, you're treated like property."

@highlight

A new report claims 30 million people are living as slaves globally

@highlight

India, China, Pakistan, Nigeria and Ethiopia had the most slaves

@highlight

Mauritania, Haiti, Pakistan, India and Nepal had the highest proportion of slaves

@highlight

The index is published by a group committed to stamping out slavery