The uproar in India over the arrest of an Indian diplomat in New York is growing. Indians are protesting outside the U.S. Embassy in New Delhi, the Indian government has revoked privileges for American diplomats, and Indian politicians have called for a review of their nation's ties with the United States.

E-mail and Facebook appeals are even calling on Indians to refuse to meet with any U.S. citizen.

But the outcry over Devyani Khobragade's treatment is drowning out the serious allegations of exploiting her employee, also an Indian national, and the pervasive violations against millions of other domestic workers around the world and in the homes of diplomats in America.

Khobragade, India's deputy consul general in New York, was arrested last week over allegations of falsifying visa application documents for a woman who worked as her housekeeper and nanny in New York. Khobragade reported she paid the woman $4,500 a month. In reality, federal prosecutors say, the domestic worker received less than $600 a month and was forced to work far more than 40 hours a week. Her effective hourly wage -- $3.13 -- was less than half of New York's minimum wage of $7.25.

Many Indians are outraged over allegations that Khobragade, after leaving her daughter at school, was handcuffed on the street -- although this has been disputed -- later strip-searched and kept in a holding cell before being released on $250,000 bail.

U.S. Attorney Preet Bharara, in a written statement, said Khobragade was arrested discreetly, was not handcuffed and was given time to arrange personal matters including child care -- but she was searched in custody as is "standard practice for every defendant, rich or poor, American or not, in order to make sure that no prisoner keeps anything on his person that could harm anyone, including himself."

There's no doubt that strip searches, a routine part of U.S. felony arrests, are humiliating. Indians are understandably disturbed by a practice that is rare in India and seems particularly degrading.

But the treatment of domestic workers, who number more than 50 million worldwide and are one of every 13 female wage earners, is often even more degrading. They are typically grossly underpaid and often mistreated. In our investigations in the United States and elsewhere, Human Rights Watch has found that women who work as nannies and housekeepers, and often both, make far below the minimum wage and are often expected to work 14 to 18 hours a day.

Millions of women and girls travel across borders to earn money as domestic workers to send back to their families. They take care of elderly people in the homes where they work, cook, clean and take care of their employers' children. They generate billions of dollars in remittances for their countries of origin but are particularly vulnerable to exploitation and abuse.

Many are forced to pay huge sums to unscrupulous recruiters, or work without pay for several months to cover their debt. Cut off from their family and other sources of support, many feel they have little choice but to work under slavelike conditions. In some cases, they are locked in their workplaces. They are sometimes beaten. Unpaid wages, excessive working hours and physical, sexual and psychological abuse are the most common problems.

Domestic workers have even fewer options when their employers have diplomatic immunity and cannot be criminally prosecuted, regardless of how severe their crimes. The employers have control over their visas, which also leaves them with little recourse. The U.S. State Department has received dozens of allegations of abuse by foreign diplomats and by officials at the World Bank and other international financial institutions.

In one case that became public, a former domestic worker accused her employer, a Kuwaiti diplomat, of raping her repeatedly. In another, a domestic worker for a former Philippine ambassador said she was forced to work 126 hours a week without pay.

A 2008 Government Accountability Office report identified 42 cases of abuse by diplomats with immunity over an eight-year period, and said that the actual number was probably higher. Many cases are never reported because the victims are too frightened to complain or feel they can't afford to lose the job.

As a consular official, Khobragade has limited immunity, which the State Department says does not cover visa fraud, a felony. Too many diplomats have used their immunity to exploit their employees. By taking action in this case, the State Department is sending an important message -- no employer is above the law. It is not just singling out foreign diplomats.

The Khobragade case has raised good questions about the treatment of criminal suspects in the United States, including the use of routine strip searches. But that debate should not be at the expense of women exploited as domestic workers. Their treatment is just as important.

@highlight

Jo Becker: Outcry over Indian diplomat's arrest overshadows issue of domestic worker abuse

@highlight

Becker: Routine strip search in U.S. is humiliating, degrading, and it's rare in India

@highlight

She says domestic workers face slavelike labor, physical abuse, excessive hours

@highlight

Becker: Report found domestic worker abuse among diplomats who have immunity