WASHINGTON (CNN)  -- The global financial crisis has increased the worldwide trade in trafficked persons, says a State Department report released Tuesday.

Secretary of State Hillary Clinton says the report aims "to shine the light brightly on ... modern slavery."

The State Department's annual Trafficking in Persons Report also says trafficking has increased in Africa and slaps six African nations on a blacklist of countries not meeting the minimum standard of combating trafficking.

The report, mandated by Congress, features data and statistics from 175 countries around the world regarding the amount of human trafficking that goes on within their borders.

The report cites the International Labor Organization, which estimates that at least 12.3 million adults and children are victims of forced labor, bonded labor and sex slavery each year.

"This is modern slavery. A crime that spans the globe, providing ruthless employers with endless supply of people to abuse for financial gain," Secretary of State Hillary Clinton said as she announced the report. "With this report, we hope to shine the light brightly on the scope and scale of modern slavery, so all governments can see where progress has been made and where more is needed."

The report says the global economic crisis is boosting the demand for human trafficking because of a growing demand for cheap goods and services.

"A striking global demand for labor and a growing supply of workers willing to take ever greater risks for economic opportunities seem a recipe for increased forced labor cases of migrant workers and women in prostitution," it says.

It predicts that the economic crisis will push more businesses underground to avoid taxes and unionized labor, which will increase the use of forced, cheap and child labor by cash-strapped multinational companies.

African countries Nigeria and Mauritius are praised in the report for making strong efforts to combat trafficking.

But six African nations -- Chad, Eritrea, Mauritania, Niger, Swaziland and Zimbabwe -- were put on the report's "Tier 3" blacklist of countries whose efforts to combat trafficking are inadequate.

Most of the countries are "source" and "destination" countries, the report says, meaning trafficking victims both come from and are sent there. Most are trafficked throughout Africa, but many end up in the Middle East, it says.

Iran, Kuwait, Saudi Arabia and Syria remain on the blacklist for another year, with the report saying they often become a destination for trafficked persons who are sold into domestic servitude. Other repeat offenders on the list include North Korea, Myanmar and Fiji.

The State Department also put Malaysia in the Tier 3 list, because of its trafficking of Burmese refugees.

The report cites information that Malaysian immigration officials sold refugees to traffickers operating along its border with Thailand. When the victims were unable to pay a ransom demanded by the traffickers, the report says, they were sold for labor and commercial sex exploitation.

The blacklisted countries are subject to U.S. sanctions if they don't make greater efforts to fight trafficking.

The Philippines, Cambodia, Bangladesh and Pakistan were added to a "watch list" because of what the report calls a worsening trafficking record in those countries. The 52 countries on the watch list have failed to to meet the minimum anti-trafficking standards but are making efforts to do so.

For the first time, countries that have been on the watch list for two years -- including China, Russia, India, Sri Lanka and Egypt -- will automatically be moved to the Tier 3 blacklist next year without a presidential waiver if they fail improve their trafficking record, the State Department said.

This year, the Justice Department also put out a report on U.S. efforts to combat trafficking efforts at home. In 2008, the FBI opened 132 trafficking investigations, made 139 arrests and obtained 94 convictions.

Clinton invited to Tuesday's event members of Congress who are active on the issue, as well as global advocates for trafficking victims, in an effort to give the issue a higher profile and shine a spotlight on the need to combat it.

Calling for a renewed worldwide partnership between countries and non-governmental organizations to combat trafficking, Clinton said, "Trafficking thrives in the shadows, and it can be easy to dismiss it as something that happens to someone else, somewhere else. But that's not the case.

"Trafficking is a crime that involves every nation on Earth, and that includes our own," she said, calling trafficking a "grave problem" in the United States.

For the first time, she said, the United States next year will rank its own efforts at combating trafficking along with the rest of the world. She expressed hope that it will be on the Tier 1 list of countries that are making robust efforts.

@highlight

State Department report cites higher demand for cheap goods and services

@highlight

Financial crisis will push more businesses underground, it says

@highlight

Six African nations put on blacklist  for not doing enough to fight trafficking

@highlight

"Tier 3" list nations are subject to U.S. sanctions