(CNN) -- Ask a small farmer in Indonesia about the impact of the global financial crisis on his daily life and he will answer, "Crisis? What crisis?" As farmers, we know what a big crisis is. In 1997, we saw the collapse of the whole economy, driving thousands of unemployed construction and industry workers back to the villages, where their families already had difficulties making ends meet.

But the current situation is different and raises some worrying alarm bells. Although national industry keeps hiring workers and new infrastructure projects continue to pop up, our daily life has worsened on several fronts.

The most noticeable change is the increased pressure on agricultural land. Thousands of small farmers have been evicted from the fields they have cultivated for generations, because local or national authorities are giving concessions to large companies to exploit the land.

Many Indonesian farmers do not have any clear land titles, as it is estimated that only 40% of ownership can be proven by formal certificates. Moreover, some territories on the national mapping appear as "empty", even if they have been inhabited for generations.

In principle, most of the farmers' communities are covered by customary laws that are also recognized by the state. However, land deals are extremely profitable both for the authorities and for the companies who negotiate them. The lack of respect for people's rights to land makes it extremely easy for companies to brutally evict farmers.

They are replaced by large plantations, including palm oil and rubber plantations, food estates, mines, roads and other infrastructure projects. This results in increasingly violent land conflicts as local communities resist eviction.

The Indonesian Peasant Union (SPI) calculated that the number of land conflicts increased five-fold, from 22 in 2010 to 120 in 2011. A case involving the alleged killing of nine farmers in South Sumatra and Lampung Provinces is now being investigated by the Indonesian Parliament. Similar human rights violations are taking place on a daily basis in the archipelago. In 2011 alone, the farmer's union counted 20 deaths due to land conflicts in Indonesia.

The government routinely prioritizes large-scale, export-oriented production over the needs of local growers and consumers. The financial crisis has accelerated this dramatic land grab as farmland is now seen by the finance industry as a considerable source of returns.

Indonesia's fast rate of deforestation

Instead of protecting local farmers from massive evictions, the Indonesian government is further opening the doors to foreign investors. In the framework of the East Asia World Economic Forum that took place in 2011 in Jakarta, the chairman of the Indonesian chamber of commerce Suryo Bambang Sulisto announced that 14 transnational companies including Cargill, Monsanto, Syngenta, Bunge and ADM, had signed a partnership agreement with the government to increase food productivity in Indonesia.

We are facing other problems. Uncertainty about commodity prices has increased tremendously since 2007. Whether we are producing for export or for the local market, prices have become unpredictable.

Prices of inputs -- such as seeds, fertilizers and energy -- have become very volatile, making it impossible for us to assess our production costs. For farmers, price instability and volatility are worse than simply low prices: It makes it virtually impossible to plan what to grow in the coming season, what products we can buy, and so forth. There are a number of causes of this volatility, including a lack of food reserves and the arrival of global financial speculators in agricultural markets following the sub-prime crisis.

We are also dealing with a surge of cheap imported products into the domestic market. In village markets on Java island, we now see potatoes and chillies imported from China at a very low price. The minimum production cost of potatoes in those villages is 7,000 rupiah a kilo, but Chinese potatoes are sold at 2,500 rupiah. This discourages farmers from producing, ultimately raising unemployment, encouraging more people to migrate away from rural areas and putting pressure elsewhere in the system, especially in our already stressed urban areas.

For these reasons, we feel that even though farmers constitute almost half the Indonesian workforce, our economic sector is the most neglected in the country. We have the capacity and natural resources to feed the whole country yet we are deprived of our land, and our government has failed to pursue agricultural policies to enable us to continue our vital role. According to the Indonesian government's own figures, 2.16 million farmers had to leave farming in 2011 due to a lack of land and incentives.

In our Indonesian villages, we don't currently talk about any particular "world crisis." We talk about the continuing daily struggle to make a living in extremely harsh conditions.

The opinions expressed in this commentary are solely those of Henry Saragih

@highlight

In 1997 Indonesia farmers witnessed the collapse of the whole economy

@highlight

But the current "crisis" is worrying and a farmer's daily life is getting worse

@highlight

Farmers face issues including pressure on land and cheap imported goods

@highlight

Indonsian farmers don't talk of "crisis," but of life's continuing daily struggle