There is no shortage of parties to blame for the frightening turn of events in Iraq over the past week. An incomplete list would include, above all, ISIS, the spearhead of a broader Sunni Arab revolt and the group famously rejected by the al Qaeda leadership as too violent and puritanical even for them. ISIS grew out of the former al Qaeda franchise in Iraq that worked so hard after the fall of Saddam Hussein to provoke the sectarian bloodbath that was eventually unleashed in full in 2006. Also high on the list of culprits would be Iraq's Prime Minister Nouri Al-Maliki who rarely misses an opportunity to alienate Iraq's Sunni Arabs and frustrate openings for reconciliation between the country's various communities.

Special mention must also go to Syrian dictator Bashar al-Assad. His decision in 2011 to respond violently to the legitimate, peaceful and democratic demands of his people set off the civil war which provided ISIS with a new battleground just after Sunni Arabs in Iraq had turned against it. ISIS exploited this opening to the full, securing control over territory and oil reserves, and methodically building up its strength in preparation for a dramatic return to Iraq.

Some of the greatest offenders, however, are to be found in the west, appearing in television studios or writing opinion pieces, offering their analysis of the situation and advice on what action their successors should take. Displaying an almost comical lack of self-awareness, George Bush's Vice President Dick Cheney, former U.S. Deputy Defense Secretary Paul Wolfowitz and former British Prime Minister Tony Blair now deny their past actions had any bearing on the current crisis (or, in the case of Cheney, simply ignore their own record completely) while recommending renewed military engagement from the U.S. and UK.

Responding to the shameless re-emergence of these ghosts from the past may seem like a futile exercise in score-settling, but in fact it is of vital current importance. The 2003 invasion was a war of choice, that Kofi Annan called "illegal" under international law, yet there remains no prospect of accountability for those responsible. That being the case, it is vital to ensure that the likes of Blair, Cheney et al are at least forced to pay a political cost for their actions, with the shame that attaches to them acting as a deterrent to any future leader tempted to emulate their record.

The invasion and subsequent occupation of Iraq helped lay the ground for the current crisis in a number of important respects. The occupying forces set the divisive tone early on, using sectarian quotas to select Iraqi politicians to sit on the Interim Governing Council that acted as the initial façade to U.S. authority over "liberated" Iraq. The summary dismantling of the Iraqi state and army -- a measure still defended by Wolfowitz -- hit the Sunni community disproportionately, further alienating them from the post-Saddam settlement. Iraq's descent into a failed state provided conditions that ISIS, in its original incarnation, was able to exploit to the full.

Of course, the presence of occupying western armies played directly into the al Qaeda narrative, acting as a magnet for jihadis from across the region and beyond. The horrific abuses uncovered at Abu Ghraib and the U.S. military's brutal military tactics -- for example in the devastating assaults on Falluja in 2004 -- were all gifts to jihadi recruiting sergeants, as was the continued support for the by now Shia-dominated Baghdad government as it ran death squads during the height of the civil war.

The likes of Cheney, Wolfowitz and Blair, who oversaw all of this, are scarcely qualified to offer authoritative counsel on how to deal with the disastrous effects of their own actions. And even if it were not for their own record, their advice does not stand up on its own terms. Returning to Iraq with air strikes, or an extension of the extrajudicial execution program that the Obama administration has been running with its drone operations in Yemen and Pakistan, would serve only to inflame the situation further.

What Iraq needs, above all, is a political solution whereby Sunni Arabs, who have no love for ISIS and who have turned decisively against it in the recent past, are given a full part in a government of national reconciliation, independent of compromising foreign interference and capable of reintegrating all Iraqi communities into the new dispensation. Air strikes in support of Maliki's rigid, sectarian regime will inevitably lead to major civilian loss of life, deepening divisions and making political reconciliation harder to achieve.

International jihadis had no real presence in Iraq before the U.S.-led invasion of 2003. Now, in no small part due to the ironically titled "war on terror" waged by Cheney, Wolfowitz and Blair, those forces now exert joint control over a huge swathe of the country. All in all, now would be a good time for the neo-conservatives and liberal interventionists who helped bring us to this point to commence a prolonged period of silence. Their advice is no longer required.

READ: Opinion - Dick Cheney's amazing chutzpah on Iraq

@highlight

David Wearing: Those to blame for Iraq crisis include ISIS, PM Nouri al-Maliki, Syria's Bashar al-Assad

@highlight

Main offenders include former Western leaders who are defending their actions - Wearing

@highlight

Cheney, Wolfowitz and Blair have no right to offer advice on how to deal with the crisis, he adds

@highlight

Iraq must not endure more U.S. military devastation, Wearing says; it needs political solution