(CNN) -- Revolutions devour their young. That lesson became well-known after the French Revolution, and it has proven itself true many times since then.

Now the Arab Spring -- whose very name summed up the idealistic, democratic expectations of the activists that launched it and the optimistic reception their movement engendered around the world -- looks like it may well join the long list of popular uprisings that failed disastrously to meet those aspirations.

It has turned out that mass movements would not swiftly sweep away entrenched dictators and replace them with pluralistic democratic rule.

In Tunisia, where a street vendor set himself on fire in December 2010, igniting the region, someone has been assassinating liberal politicians, raising tensions between the Islamist-dominated government and an increasingly restless opposition.

In Syria, what started as a peaceful uprising against the rule of President Bashar al-Assad has turned to civil war. More than 100,000 Syrians are dead. Millions more have fled, further destabilizing a fragile region. Al-Assad, with the support of Iran, Hezbollah and Russia, has stopped the opposition's momentum. The democratic movement has been invaded by radical Islamists, including al Qaeda loyalists. The country is falling apart and could well end up as a failed state, run by warlords and split along sectarian lines.

There are serious troubles also in Libya, and few if any signs of democratic progress anywhere else, not in Bahrain, Jordan or Saudi Arabia.

Is the Arab Spring over? Is there any hope for the people of the Arab Middle East to enjoy true democracy, equality, respect for human rights, freedom of the press and of religion?

All eyes are now on Egypt, the Arab world's most important country, a state whose political example has proven a regional trendsetter over many decades. As in the other struggling Arab Spring nations, democracy here has also found toxic soil. But the cause is not hopeless. Despite the setbacks for revolution, something has changed in the region, and it is in Egypt where the movement will live or die.

It was in Cairo's Tahrir Square where liberal groups launched their movement for democracy, only to see their vision hijacked by the Muslim Brotherhood. And it is in Egypt where last month they made a push to save their revolution from Islamists, only to be outplayed yet again, this time by the military and its leader, Gen. Abdel Fattah al-Sisi.

The highly disciplined Brotherhood won the first wave of democratic elections, but its intentions differed sharply from those of the Tahrir protesters. President Mohamed Morsy, Egypt's first freely elected president, set on a course to give his Muslim Brotherhood steadily expanding control of the country. The Brotherhood repeatedly broke promises and started to create a country dominated by its loyalists, firing critical newspaper editors, blocking opposing views from the writing of the new constitution, naming Brotherhood members as provincial governors, allowing laws and practices that were disastrous, even deadly, for Christians, Shiites and women. Making matters much worse, the economy started spiraling down, creating enormous hardships for the Egyptian people.

Then the Tamarod (rebellion) movement gathered millions of signatures calling for the president's resignation and new elections. On June 30, millions of Egyptians took to the streets. Within hours, the military put an end to the Muslim Brotherhood rule. Morsy has been held in an disclosed location since then, but the European Union's top diplomat, Catherine Ashton, met with him for two hours Monday.

Egyptians by the millions are exhilarated by the end of the Muslim Brotherhood experiment, intoxicated with gratitude to the military, grateful for removing the president. Al-Sisi's profile is rising. He's clearly in command and exploiting the popular adulation.

But is this what the Arab Spring was supposed to do, replace an unelected dictator with a general and his hand-picked prime minister?

In a highly suspicious move, al-Sisi called for a mass demonstration in support of the military on Friday, summoning his backers to the streets, even as thousands of Morsy supporters continued a sit-in outside a mosque. On the day of the protest, as if to provoke the Islamists to confrontation, Morsy was charged with murder and espionage.

With the strong show of popular support, security forces took on the Islamists. In the clashes, which have been replicated in other cities, scores of Brotherhood supporters have been killed.

Liberal Egyptians are getting worried.

Al-Sisi's own words should be cause for concern. He has defended the military's outrageous "virginity tests" on female activists as a way to "protect the girls from rape." The military has promised a return to democracy next year, but al-Sisi has written about the need to introduce another version of Islamist rule to Egypt. Authorities are reviving Mubarak-era institutions of repression amid an atmosphere of swelling nationalism and adulation for the military.

This is a steep, seemingly impossible, challenge for liberals. The military saved them, but it could easily bury them. What they have in their favor is that the Arab Spring introduced the concept of democratic legitimacy into Egypt. A government that strays too visibly, for too long, will ultimately face the wrath of the people.

What activists should do, and the world should help them do, is stress the fundamental values of liberal democracy and publicly demand that the military affirm its own acceptance of those values -- which the Brotherhood was criticized for violating -- including freedom of thought, freedom of the press and equal rights under the law for all.

The killing of Muslim Brotherhood supporters is a shameful violation of those principles.

Egypt needs to develop democratic institutions, political tolerance, real political parties and politically educated citizens. It's a tall order. But it's the only way to keep the revolution from devouring the ideals on which it was launched.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

It's long been known that revolutions devour their young, Frida Ghitis says

@highlight

The hope of the Arab Spring has dimmed with Egypt, Tunisia, Syria upheaval, she says

@highlight

Ghitis: Liberals in Egypt benefited from the military's move but may suffer as well

@highlight

She says they must stand up for liberal, democratic values