New York (CNN) -- After accusations that several insurers have underpaid families of those killed in action, one company is considering changing how it allocates death benefit payments, Prudential Financial Vice Chairman Mark Grier told CNN.

Prudential may give families the option of accepting a direct lump-sum check, Grier said.

New York Attorney General Andrew Cuomo launched a fraud investigation into the life insurance industry for "practices that appear to have denied grieving military families and others of millions in life-insurance cash," Cuomo's office announced Thursday.

The attorney general's office probed the industry the day after the finance publication Bloomberg reported the insurance companies potentially exploited fallen soldier's families.

Bloomberg said some insurers tell families of fallen military personnel that policy payouts will be placed in an interest-bearing account. But the bulk of the interest benefits the insurers, and the cash is not placed in banks insured by the Federal Deposit Insurance Corporation (FDIC).

Insurers place cash in their corporate accounts, reportedly earning up to 4.8 percent interest while paying families as little as 0.5 percent interest, Bloomberg reported.

"It is shocking and just plain wrong for these multinational life insurance companies to pocket hundreds of millions in profits that really belong to those who have lost family members and have already suffered immensely," Cuomo said.

Currently, Prudential, which met with officials at the Veterans Administration, gives a family several payment options, including setting up a "lump sum" that, rather than sending a check to the surviving family, sets up an "Alliance Account" within Prudential. The money stays in Prudential's hands, which, paying only .5 percent interest to the family, can invest at large profits, Cuomo said.

Cuomo's office said holders of Alliance Accounts receive what appears to be a checkbook with "JPMorgan Chase & Co." on the "checks," but said the so-called checks cannot be used to make purchases and are not bank checks at all.

"Instead, Prudential must send money to JPMorgan Chase before the checks can clear," the attorney general's office said. "Prudential beneficiaries are also not informed that, under a 2008 law, they have one year to place the death benefits in a Roth IRA and earn tax-free investment gains for the rest of their lives. Thus, real financial harm is suffered by Prudential's lack of disclosure."

Prudential says the Alliance Accounts provide a secure, conservative option for survivors. Beneficiaries who find a better interest rate can move the money at any time, it says.

Subpoenas have been served on eight insurance companies -- Prudential Financial Inc., MetLife Inc., Genworth Financial Inc., UnumProvident Corp., Northwestern Mutual, Guardian Life Insurance Company of America, New York Life Insurance Co., and the MONY Life Insurance Co. -- though the entire life insurance industry is under investigation, according to the attorney general's office.

The accounts in question include Prudential's Alliance Account and MetLife's Total Control Account.

Steven Weisbart, senior vice president and chief economist at the Insurance Information Institute, says the banks are doing nothing out of the ordinary.

"It's completely premature, blown way out of proportion. What the industry does, what insurance companies do in these cases is exactly what beneficiaries need," Weisbart said. "The opportunity to put off making decisions about the use of large amounts of money without suffering any financial loss. That's exactly what this product, this arrangement does. I don't know why the Cuomo organization would attack it the way they have."

In a written statement, Prudential Chairman and CEO John Strangfeld said, "It is important that the beneficiaries of our fallen service men and women are treated with dignity and respect during a very difficult time. Given the questions raised over the life insurance program we administer for the Department of Veteran Affairs, we welcome an opportunity to address the concerns and to set the record straight."

Prudential said that while the accounts in question are not FDIC insured, the accounts are protected by state guaranty funds that provide protection of at least $250,000 in most states.

"Prudential does not in any way take money from beneficiaries," the company said.

In a written statement, MetLife spokesman John Calagna said Thursday he has not seen Cuomo's subpoena and therefore had no comment on it.

"However we strongly disagree with many misleading statements in recent media reports and want to be clear regarding several important features of MetLife's Total Control Account ('TCA')," Calagna said.

He said MetLife is not the issuer of the Service Employees Group Life Insurance program provided to members of the armed forces, but the company does provide life insurance policies for civilian federal employees under a program called Federal Employees Group Life Insurance.

"Our materials carefully explain the TCA to our customers so that they understand that they can use their checkbooks to withdraw all of their benefits immediately or over time as they choose," Calagna said. "They have full access to their funds and earn a guaranteed minimum interest rate that exceeds what they could earn on most money market accounts."

Prudential said more than 40,000 Alliance Account drafts cleared last year, and the company receives few complaints from beneficiaries about difficulties.

Secretary of Defense Robert Gates said he learned Thursday that families of deceased military members did not get a lump-sum payment for life insurance policies.

"Until today, I actually believed that the families of our fallen heroes got a check for the full amount of their benefit," Gates said during a briefing at the Pentagon. "So this came as news to me.  And so I will just say I will be very interested in the outcome of" an investigation.

The Veterans Administration said it is conducting "a full investigation" to make sure survivors are fully protected and being treated with care and respect.

"The possibility that life insurance companies may be profiting inappropriately from these service members' sacrifice is completely unacceptable," the VA said in a statement. "VA is deeply concerned that military and veteran families may potentially be harmed in some way by the use of the Alliance Account program."

At the conclusion of the investigation, the VA said, the agency will determine whether to continue use of the Alliance Account program. The VA also will contact the approximately 10,000 survivors to remind them of their options under the Service Employees Group Life Insurance program.

@highlight

NEW: Prudential is considering changing how it allocates death benefits to surviving military family members

@highlight

NEW: Insurance Information Institute says the industry's doing nothing wrong

@highlight

Eight insurance companies have been served subpoenas in investigation

@highlight

Cuomo: Families' payouts are placed in accounts; most of the interest goes to insurers