(CNN) -- Adolf Hitler, Pol Pot, Slobodan Milosevic. They are household names, infamous for masterminding genocide. But who were the foot soldiers who did the dirty work?

Recently discovered photos show Nazi officers relaxing at a retreat near Auschwitz.

In many cases they were equally notorious in their communities because they were the friends, neighbors and co-workers of those they raped, slaughtered and buried alive.

Nusreta Sivac watched ordinary people become killers while imprisoned in a concentration camp in Bosnia.

She saw prisoners beaten beyond recognition and watched camp guards force a Muslim prisoner to rape a Muslim woman in front of everyone.

She was shocked to see people she knew running the camp. "They acted as if they had never seen me before," she said. "It was difficult for me to understand how people could turn into beasts overnight."  Watch as Nusreta tells her story »

While some perpetrators participate unwillingly -- they are forced to kill or face death themselves -- many ordinary people are manipulated into participating in the killing machine voluntarily.

Researchers say most perpetrators of genocide were not destined for murder and had never killed before.

"You don't have to be mentally ill or even innately evil or criminal. You can be ordinary, no better or worse than you or me, and commit killing or genocide," said Harvard psychiatrist Robert Lifton, who has studied Nazi doctors.

"The truth is that we all have the possibility for genocidal behavior."

Experts have reached a troubling conclusion: It was actually very easy for the architects of genocide to find more than enough ordinary people to do the killing.

Genocide is often the result of a "perfect storm." A country reeling from political and economic turmoil, a fanatical leader promising to make things better and a vulnerable population targeted for blame -- all combine in a blueprint for mass murder.

Architects of genocide use the same tools to execute their plan.

Group identity

Millions have been killed for being religious, ethnic or simply educated. Group identity is one of the foundations of genocide. This allegiance makes it easier for extremist leaders to stoke age-old animosities between groups.

"We all divide the world into 'us' and 'them,' " said psychologist Ervin Staub, author of "The Roots of Evil: The Origins of Genocide and Other Group Violence."

"Some people are like 'us' because of nationality, religion, race, etc. Those that are not like 'us' are 'them.' "

"Group identity intensifies during difficult times," Staub said.

Jean-Bosco Bizimana, a Rwandan Hutu, slaughtered his Tutsi neighbors 14 years ago. Leaders of the genocide exploited the history of hatred between the Hutus and Tutsis to pit them against each other. But before the genocide, the two groups had overcome their hostility to live peacefully together.

"We were manipulated," Bizimana said. "The government pushed us to kill. Before that, we intermarried, we helped each other in daily life and we shared everything. We ourselves can't even believe what happened."

Bizimana's wife said her husband, "would go around with the mob, and to show them he was part of it, he would kill."

Perpetrators don't want to be seen as weak, and in a mob mentality, individual guilt seems to disappear.

"People will do almost anything in a group and will do anything not to be rejected," said psychologist Philip Zimbardo, a professor emeritus at Stanford and famous for his 1971 Stanford Prison Experiment, which divided student volunteers into "prisoners" and "guards" and showed how easily people could be induced to commit sadistic acts.

"They give up a sense of personal accountability and diffuse responsibility to the leader."

Propaganda and dehumanization

Genocidal regimes use propaganda to incite hatred. During the genocide in Bosnia, for example, a fictitious news report said Muslims were feeding Serb children to animals at the Sarajevo zoo.

When people feel threatened and endangered, they can be led to kill. "Most genocides are shaped on [a perceived need for] self-defense," said Christopher Browning, a University of North Carolina history professor who studied a Nazi police battalion.

Bizimana said Rwandan government radio broadcasts led him to kill. "When instructions come from the government, we believed it was the right thing to do," he said.

"People tend to believe the world is a just place," psychologist Staub said. So the targeted group "is seen as though they did something to deserve the suffering."

The propaganda machine portrays the victim group as less than human. In Rwanda, the Hutus called their Tutsi neighbors 'cockroaches.' In Cambodia, the Khmer Rouge said their victims were "worms." To the Nazis, Jews were "vermin."

Dehumanization is the most powerful psychological tool used in all mass murder and genocides, Zimbardo said. "Dehumanization blurs your vision. You look at these people and you do not see them as human."

Instead, the enemy is treated as a germ -- as something to eradicate, or else face the threat of infection.

"Purification is at the heart of genocide," said Harvard's Lifton. "In that purification ... [the killers] are healing."

Recently discovered photos show Nazi officers at a retreat near Auschwitz relaxing as though they are taking a break from a routine job, not an extermination factory. "In order to carry out the function of killing, one must instill in that environment a sense of ordinariness," said Lifton.  Watch images of Nazis relaxing »

In the end, the masterminds of genocide see their visions play out: Foot soldiers carry out the mission and entire populations are displaced or killed.

Perpetrators and victims don't realize what they're involved in until it's too late, said Ben Kiernan, director of the Genocide Studies Program at Yale University.

"It's a conspiracy, a silent secret plan to set up a situation whereby the victims, who are unsuspecting, are brought into a conflict with a large number of people, many of whom are also unsuspecting," Kiernan said.

Looking back at their crimes, some perpetrators are now sorry for their actions, including Bizimana. "What we did to them in the past was very bad," he said. "Deep in my heart, I regret it."

Bizimana has since reconciled with his surviving Tutsi neighbors, and is trying to build unity in his country.

"What happened," he vows, "will never happen again."

@highlight

Genocide's foot soldiers were neighbors of those they tortured and killed

@highlight

Many ordinary people are manipulated into participating, researchers say

@highlight

Architects of genocide use group identity, mob mentality to execute their plan

@highlight

Other tools include propaganda and dehumanization