I can't help but feel humbled and grateful when I hear the stories of women who marched for women's rights in the 1970s and the suffragists who fought for the right to vote. What they accomplished deserves more than a nod and lip service. We must honor them by making our generation's mark on the concerns facing women today. Unfortunately, that still includes goals we've fought too long for, like reproductive rights.

Today is International Women's Day and March is Women's History Month. As we celebrate all that women have accomplished in the struggle for gender equality, we are also redefining what counts as a "women's issue."

Gender-related violence

Worldwide, about one in three women is victim of gender-related violence. From military sexual assault, to domestic violence, to rape on college campuses, we must do more to prevent violence against women.

Many people think of sex trafficking as a "women's issue," but labor trafficking also has impact on women. Some of the industries in which labor trafficking is common, including domestic work, are dominated by women. And in industries like agricultural work, women are singled out for sexual abuse or exploitation.

I've represented victims of human trafficking in Los Angeles, which is a major trafficking destination because of its port, international airport, and proximity to Asia and Mexico. Financially desperate adults are lured to Los Angeles by traffickers, only to be forced to work as laborers in Southern California's agricultural sector. Runaway youth come to Los Angeles to find stardom or a warm place to sleep on the street, but many will be exploited through pornography, a thriving industry in the San Fernando Valley. We have a responsibility to improve our current labor trafficking laws.

Education

Republican Sen. Rand Paul said recently, look at how well women are doing at colleges across the country. What he failed to consider is that women are graduating not only with a degree, but with staggering level of student debt. Instead of telling women that they're doing just fine, we need legislators who are going to fight for students so they can attain the degrees they want and enter chosen professions without an insurmountable amount of debt.

Senator Paul also forgot to mention that some of the best-paying jobs, jobs in science, technology, engineering and math fields (STEM), are still overwhelming dominated by men. Only 3% of tech startups are formed by women. We have a thriving tech industry, but men hold far more computer and mathematical occupations than women.

Why aren't more women getting tech jobs? We need programs that promote STEM education for those who have historically been left out of these high-paying jobs.

Economic equality

We often talk about the impact of pay discrimination on women's pocketbooks because it costs women on average more than $10,000 annually and jeopardizes their retirement security.

But we forget that many poverty issues also impact women.  Raising the minimum wage is actually a "women's issue" because 64% of minimum wage workers are women.

Women are increasingly becoming the sole or primary earners in their household, so economic issues that hold women back have huge impact on our entire economy. Let's help women financially support their families as we create more good-paying jobs in our communities.

Many women not only face pay discrimination in the workplace, but struggle at home as well, trying to provide care for their family on top of their job. Women are still mostly the caretakers for their families, so they are disproportionately affected by the lack of guaranteed sick days and the lack of paid family leave. It is hard to overstate how far behind America is compared to our global competitors when it comes to these basic policies that protect families.

When we talk about women's issues, we must look comprehensively at the challenges all women face to ensure our policies reflect the support women truly need, because these concerns impact not only women, but their families and communities. Our generation is ready to do that.

@highlight

Sandra Fluke: I feel humbled and grateful for women who fought for our rights

@highlight

Fluke: On this Women's Day, our generation is redefining what matters most  to us

@highlight

She says top three issues are gender-related violence, education, economic equality

@highlight

Fluke: Helping women help men, children, families and communities