Editors Note: Harvard human trafficking fellow Siddharth Kara is undertaking a research trip around South Asia, looking at issues of forced labor, trafficking and child bondage. He will be getting access to the heart of the problem, and telling CNN.com readers what he has discovered every week over the next ten weeks. This is his first submission.

New Delhi, India  -- After a long journey from Los Angeles, I have been in New Delhi for several days now easing into a full ten weeks that I will spend researching child labor, bonded labor, and human trafficking throughout South Asia.

It is not the best time of year to be trudging through the rural reaches of the region, but as Indians love to say, "What to do?" At least the monsoons have arrived and temperatures have dropped a few degrees -- though the air is so moist it is hard to tell the difference between rainfall and humidity!

It is hard to imagine that I first started my research into human trafficking and modern slavery more than ten years ago. While I had little idea what I was doing then, I have a far more efficient rhythm to my research now.

I have taken eight research trips of greater than one month during the last decade, and many more quick hits here and there gathering data and learning how and why human trafficking and forced labor take place around the world.

Of course, slave exploitation takes place everywhere -- in the middle of major cities and in the deepest rural reaches of the globe. I have seen more than my share of human cruelty -- from forced prostitution of minors to organ harvesting and everything in between.

At the other end of the spectrum, I intend to explore child labor in fishing industries in parts of South Asia that require two day hikes to reach, but that does not stop the shrimp from ending up at your cocktail parties.

Overall, this research trip is the first of three that I will take across the next twelve months, covering South Asia, Africa, and Latin America, with short jaunts to Europe and North America, all of which will allow me to complete my next two books on human trafficking and modern slavery.

I am excited to contribute this blog to CNN.com during this first trip, and I hope it proves interesting to those who read it. In a way, we will be undertaking this trip together, as I share my latest learning's, triumphs, and frustrations each week. We will search out slave labor hand-in-hand, and we will interview those who have suffered intense cruelty in a region of the world that is home to more slaves than any other on Earth.

There is much I am proud of as a man of Indian descent, but some have argued that India's record on protecting the weak, poor, and downtrodden is far from pride-worthy. I hope my approach to the issue of forced labor -- predicated on documenting the human pain of this exploitation while also understanding the business and economic forces that drive it -- will lead us to a more effective response.

As I commence this trip in an extraordinary nation that simultaneously invokes the deepest love and frustration in me, I am reminded of the words of India's first Prime Minister, Jawaharlal Nehru, uttered in the nascent moments of freedom from the British Empire:

"The future beckons to us... to bring freedom and opportunity to the common man, to the peasants and workers of India; to fight and end poverty and ignorance and disease... and to create social, economic and political institutions which will ensure justice and fullness of life to every man and woman."

This is the future that beckoned all of South Asia more than sixty years ago, on those first days of freedom from tyranny and exploitation. Yet this promise remains deeply elusive for hundreds of millions of poor who scrape by on one dollar per day in income, and even more so for the millions of slaves in this region, who remain oppressed by tyranny and bondage, praying each night to break free of exploitation and achieve the "fullness of life," that is their human birthright.

@highlight

Siddharth Kara begins 10 week journey into South Asia.

@highlight

Will investigate issues of human trafficking and child labor.

@highlight

Kara will travel to urban and rural regions in several south asian countries