(CNN) -- Editor's Note: Christina Blanch is a comics scholar. Cofounder of CAPE, she recently taught a new online course on Gender through Comic Books.

Gender issues are strewn throughout the comics industry and have been for decades, from the way this particular branch of pop culture portrays traditional male and female roles, to the treatment of costumed attendees ("cosplayers") at Comic Cons, to the disproportionately small number of women working in the comic book world.

The study of gender is as misunderstood as comic books are; while gender is thought of as a topic for women, comic books are thought of as a boy's club. Of course, neither characterization is accurate; gender is about men and women just as comic books are also for men and women of all ages.

Gender as shown in popular media is not reflective of "real" life. Think about American media, and the portrayal of women not just in comics but in magazines, films and other mediums. Esthetic standards have changed over the decades from the hourglass ideal to size zero models, from looking naturally physically fit to using medical treatments and/or Photoshop to modify bodies.

These media standards can be attributed to the male gaze. The "male gaze," as students of film know, is a term coined in the mid-1970s but timeless in meaning; the tendency of pop art to default to a heterosexual male point of view because, by and large, that's who makes it.

This unconscious "entitlement" where men are watchers and women are watched (and exploited) creates a sense of entitlement. One that is alienating and excludes anyone who is not a straight white male.

Caped crusaders on patrol - meet the real life superheroes

When people think of comic books, they generally think of its predominant genre, superheroes. And it should come as no surprise that many of the superhero comic books have major gender issues.

In superhero comics, both men and women are portrayed with near unattainable bodies; men are massively muscular while women can make lingerie models look bashful. When women comment negatively on how comics females are sexualized, the common reply from men is, "Hey, guys aren't realistically portrayed either, so what's the big deal?" The difference, of course, is that superhero men in comics look like body builders and athletes while most female superheroes today look more like porn stars.

The women athletes of today do not look how superheroes portray them. Why is this? Because the superhero industry caters to an audience of adolescent males.

Or, is the "male gaze" simply the unintentional norm in comic books? Are superheroines victims of the "male gaze"? Are feminine superheroes those who embody the traditional male-defined ideas of femininity or those that espouse the ideal of liberated, empowered women? Or are they simply women who dismiss all tropes of "femininity" and are simply themselves?

Think about Wonder Woman, one of the oldest and best-known female superheroes. She is seen as a feminist icon, featured on the cover of the first issue of Ms. Magazine. Yet she runs around in a bathing suit. And even though her clothes never change, depending on who draws her, she can look family-friendly on a toy you wouldn't hesitate to buy your daughter or like a pole dancer on the cover of a graphic novel.

Superman and Spider-Man don't suffer this. It's almost impossible to sexualize Superman, who in the current movie 'lost' his strong man underpants making him less sexualized, and in my opinion completely impossible to sexualize Spider-Man. In fact, Spider-Man is often drawn swinging through the air in flexible poses in a skintight costume and I have never once thought of him as sexualized.

There should be room for all kinds of bodies in comic books, not just the ones that are currently culturally celebrated. The problem of the notions of beauty extends far beyond comic books. The male gaze, intentional or not, is present in comic books.

Comic books can be powerful, and I argue that the way comics represent women affects the way people view women and how they view themselves. The only way to stop this is to talk about the issue, even if it is uncomfortable. In order for something to change, it has to be acknowledged. My 'Gender through Comic Books' class was one step in that direction.

As a comic book fan, for every powerful female superhero like Supergirl or Batgirl, there are so many more that are only eye candy for male readers. The real power of Wonder Woman and other female superheroes is that they rise above the pin-up girl quality to be inspirational to young women.

The Opinions expressed in this commentary are solely those of Christina Blanch

@highlight

Gender Through Comics was a Massive Open Online Course (MOOC) taught in spring 2013. It looked at how to explore gender-related questions through comic books.

@highlight

Christina Blanch says that gender is about men and women just as much as comic books are for both sexes.

@highlight

She argues the sexualized media standards can be attributed to the 'male gaze', which is the tendency of pop art to adapt to the heterosexual man's point of view.