Dublin, Ireland (CNN) -- The sky is overcast, the wind is howling, and - like every day in Ireland - lashing rain could come at any moment.

Yet Sam Hopkins is walking on a sunbeam.

This summer, Hopkins will be working in London for a firm managing the 2012 Olympic summer games. The position is a major coup for the Dublin Business School student, largely because the prospects in Ireland are dim.

"It's quite limited," Hopkins explains. "We're such a small country, we do have certain events, but they are on such a small scale compared to other countries."

Finding a job in Ireland, Hopkins says, can be a difficult task - especially for young adults. The Irish economy is in the toilet. Double digit unemployment, high government debt and a glut of unoccupied housing have silenced the roar of the Celtic Tiger, and left many of its cubs struggling to find employment.

"I've had a few interviews and things but it's really, really tough," says Dublin City University Masters Student Owlen Sheedy. "There are an awful lot of masters students going for the jobs in Ireland at the moment, and it's very difficult for us with just degrees to get a job."

For those without degrees, the job search is even harder. According to the Irish government, a third of young men under 25 are unemployed, in large part because of the failing housing market. Many young carpenters, bricklayers, plumbers and electricians have left the island country for Canada or Australia, two countries where building is still a strong sector in the economy.

Contractors in those countries have been quick to exploit the influx of young, semi-skilled workers. But Hopkins says the mass emigration of construction workers has made it difficult for young white collar Irish workers to find employment outside of Ireland.

"I definitely feel like we're being [painted] with the one brush," says Hopkins. "They think of us as being skilled in electric, or like plumbers and brick layers, but there's a lot more to the Irish culture and the Irish people."

With each generation, emigration

Emigration is a rite of passage for many young Irish adults looking to explore new cultures and gain a global outlook. Take David McWilliams - long before he became an economist, he left Ireland to attend college in Brussels. But now many of those leaving the country have already been educated and are looking for employment, McWilliams says.

"You have one person emigrating every seven minutes out of Ireland, adding up to about 66,000 every year," McWilliams says. "It's substantial, it's a very educated portion of the population, and a very young part of the population."

Many Irish economists, including McWilliams, are concerned a prolonged 'brain-drain' could further slow the country's financial growth.

"These kids [that are leaving] are clever and hard working," McWilliams explains. "Immigration is quite self selecting. Those that go tend to be the ones with more get up and go, so you lose an enormous demographic catalyst to growth and to prosperity."

Previous Irish emigrants say they also notice a stark difference in the mood of the country during this period of exodus. Andy Donnellan lives in Galway, on Ireland's west coast. Donnellan says after he came back to Ireland from the United States in the 1990s, there was a sense of optimism as the country began to excel economically. Now, Donnellan says, many young emigrants have little idea when they'll return.

"Everybody is touched by it," Donnellan says. "I have nephews that have left, I have friends that have left. And I always think it's a good thing for any young person to go away and learn another culture and another language. But the unfortunate thing is the vast majority are leaving because there is absolutely nothing here."

That sense of hopelessness seems to permeate throughout Ireland, as frustrated family members and job seekers vent to radio call-in programs and newspapers. As one woman recently wrote in the Irish Times, emigration used to feel like a life style choice. Now, "it feels like a life sentence."

Is 'laziness' fueling emigration?

For some young Irish adults, the mass emigration is more of a fad than necessity. As more young Irish leave, these critics say, the ones that stay behind feel like they are left out of a mass cultural experience.

"At the moment, all I've heard is positive feedback because they're in a different country and they're young and they're living the life," says Ireland Student Union Vice President Karl Miller.

"It's just kind of a thing where half the people I went to school with are over there now and they just are going around delivering pizzas and just doing part time jobs that have no relevance to their future," Miller says.

"I think there's a certain laziness as well," adds Miller, who believes some people are using the poor economy as an excuse to party abroad.

There are no wide demographic studies showing why young Irish adults are leaving. Meanwhile, a small number of entrepreneurs have returned to Ireland after starting successful companies in Ireland, New Zealand and Canada.

Overwhelmingly on blogs and other online postings, young Irish adults express anxiety about their country's economy, and seem ready to embrace better financial opportunities abroad.

Yet others, like recent college graduate Sinead Donlon, seem to view emigration as a chance to add some excitement to life. Donlon plans on moving to England to live with her cousin. Trained as a personal care assistant, Donlon says she's looking for bar work in London as a way to meet new people.

"I did special needs assistance and I'm qualified in that, but there's no jobs for that at the moment [in Ireland]," Donlon says.

Asked if she thinks whether there might be jobs in her field in London, Donlon pauses for a moment before laughing.

"Yeah, I didn't really think about that!" Donlon says.

@highlight

One third of Irish men under 25 are unemployed

@highlight

Many of the young emigrants are extremely skilled

@highlight

Some young people blame emigration on laziness