Jerusalem (CNN) -- Israel has agreed to a 7-hour humanitarian cease-fire, according to the Israel Defense Forces, but a spokesman for Hamas says it's a no go.

The cease-fire is expected to start at 10 a.m. local time (3 a.m. ET) Monday, the IDF said in a statement. It would not apply to the areas in which Israeli soldiers are currently operating.

"The IDF will respond to any attempt to exploit this window to harm Israeli civilians and IDF soldiers," the forces said in a statement.

Previous cease-fires have unraveled early and this one might not even get off the ground as Hamas has not agreed to it, a senior spokesman for Hamas told Al-Aqsa TV.

He spoke Sunday, the same day the United States and the United Nations used the strongest language yet in condemning the latest strike on a U.N.-run shelter in Gaza, with Washington calling the attack "disgraceful."

At least nine people at the school, which was being used as a shelter for about 3,000 people, were killed in the shelling.

The IDF said that it targeted three Palestinian Islamic Jihad members riding a motorcycle in the vicinity of the school.

The IDF said it is reviewing the consequences of the strike but didn't say if the suspected militants were hit.

U.N. Secretary-General Ban Ki-moon said in a written statement that the attack was "yet another gross violation of international humanitarian law."

He demanded a swift investigation into the attack, in which there was an explosion just outside the main gate of the school. He called it a "moral outrage and a criminal act."

The United States, in a statement issued by the State Department, said it was "appalled."

"We once again stress that Israel must do more to meet its own standards and avoid civilian casualties," spokeswoman Jen Psaki said in a written statement. "The suspicion that militants are operating nearby does not justify strikes that put at risk the lives of so many innocent civilians."

An IDF spokesman reiterated Israel's point that militants try to use places where civilians congregate as cover.

"Hamas made a special effort during the past few weeks to fire from U.N. facilities," Brig. Gen. Moti Almoz told CNN.

Thousands of Gaza residents had flocked to the shelter to escape weeks of violence -- only to encounter more bloodshed.

"The dead and wounded in Rafah are still under the rubble and in the streets," Palestinian Health Ministry spokesman Dr. Ashraf el-Qedra said earlier.

Chris Gunness, spokesman for the U.N. Relief and Works Agency, tweeted that the school was sheltering almost 3,000 internally displaced people.

The U.N said nine people were killed, while the Palestinian Health Ministry put the figure at 10. At least 27 people were wounded

iReport: When a Hamas rocket lands in your backyard

At least six other U.N.-run shelters in schools in Gaza have been directly pounded by violence in the past month, intensifying questions about the tactics being used by both sides in areas crowded with civilians.

"We vigorously condemn today's Israeli strike and find it incomprehensible that such violence has happened again, only four days since we carried out dead and wounded civilians who had sought refuge in a UN installation," said a joint statement from UNRWA Commissioner-General Pierre Krahenbuhl and director of operations Robert Turner.

The latest attack comes amid apparent tensions between the administrations of Israeli Prime Minister Benjamin Netanyahu and U.S. President Barack Obama. Netanyahu on Saturday did not deny a report that he told U.S. Secretary of State John Kerry and U.S. Ambassador to Israel Dan Shapiro "not to ever second guess me again" on how to deal with Hamas, though he said the report did not reflect the general "tone and substance" of the calls.

"First let me make a general statement about our relationship with the United States," the Prime Minister said when an American journalist asked about the report from Matt Lee of the Associated Press. "I think the United States has been terrific."

Though officials tend to sing from the same song sheet in public, there is a clear behind-the-scenes tension between the Obama and Netanyahu administrations over many issues, sources tell CNN -- including whether Israel's military operations in Gaza are excessive and resulting in preventable civilian deaths.

Throughout Gaza, the death toll continues to mount every day.

More than 1,800 people have been killed in Gaza since the current Israel-Hamas conflict began July 8, the Palestinian Health Ministry in Gaza said.

And in the past month, at least 64 Israeli soldiers and three civilians in Israel have been killed.

Humanitarian disaster

Palestinian officials described a public health crisis because of the lack of water, sanitation and primary health care.

Surgeons in Gaza have reported working 20-hour shifts to try to keep up with a flood of residents wounded by attacks. And the medical supplies are dwindling.

A pair of trucks from the International Committee of the Red Cross tried to enter Gaza to deliver emergency aid kits and blood -- but had to turn away due to security concerns, ICRC spokeswoman Cecilia Goin said Sunday.

"The trucks are carrying a portion of ICRC's 5,000 home destruction kits ... for those whose homes have been completely destroyed or partially destroyed, and 3,000 units of blood," Goin said.

Israel's story on soldier updated

Meanwhile, an Israeli soldier was not captured and killed as initially believed, but died in an attack by a suicide bomber, the military said Sunday.

Israel had initially accused Hamas militants of capturing Lt. Hadar Goldin on Friday, as a temporary cease-fire to the conflict in Gaza rapidly unraveled.

Lt. Col. Peter Lerner, a spokesman for the IDF, said Sunday that Goldin was not captured and killed, but died in a suicide bombing along with two other Israeli soldiers. The IDF said militants in Gaza carried out the suicide attack.

Some of Goldin's remains were found in and around the Gaza tunnel where the attack took place, Lerner said. He did not provide any more details on the purported suicide bombing.

Goldin, 23, was promoted to lieutenant posthumously.

No rest on both sides

The bloodshed shows no signs of letting up.

The IDF said Sunday that soldiers who were looking for tunnel entrances in Gaza engaged militants emerging from one shaft. The squad of militants fled to a house where the IDF fired on them, hitting one militant. The Israeli forces then blew up the tunnel, the IDF said.

It was one of scores of attacks on targets in Gaza, the IDF said.

Sirens blared much of the day in Israel as at least 80 rockets were fired from Gaza, according to the Israeli military.

Israel's Netanyahu vowed Saturday to "continue to act in full scale" against Hamas until all militant tunnels from Gaza to Israel are destroyed.

Hamas leader Khaled Meshaal told CNN's Nic Robertson that Israel thwarted the temporary peace by staying in Gaza and destroying tunnels there.

"A truce is a truce, but the presence of the Israeli forces inside Gaza and destroying the tunnels means it's an aggression," he said in an exclusive interview from Doha, Qatar.

"The Palestinian resistance has the right to self-defense and the right to deal with the invading Israeli forces who are inside our Gaza territories."

Peace efforts out of Cairo

As the conflict continued, Egyptian President Abdel Fattah el-Sisi touted a cease-fire initiative as a "real chance" to stop the bloodshed and the best way to get help into Gaza and launch talks.

An Egyptian proposal put forward last month was accepted by Israel but rejected by Hamas.

Members of a Palestinian delegation arrived in the Egyptian capital, Cairo, on Saturday to attend the negotiations, the Egyptian state-run news agency MENA reported.

The delegation included a representative of Fatah and Palestinian intelligence, with Hamas and Islamic Jihad representatives set to arrive later, the report said.

Israel will not send a delegation to Cairo, said Paul Hirschson, a spokesman for Israel's Foreign Ministry.

CNN's Matthew Chance reported from Jerusalem; Samira Said, Steve Almasy and Holly Yan reported from Atlanta. CNN's Jake Tapper, Amir Tal, Anas Hamdan, Ali Younes and Tal Heinrich contributed to the report.

@highlight

NEW: Hamas has not agreed to the cease-fire, spokesman says

@highlight

NEW: Shelling near U.N. shelter draws strong condemnation

@highlight

Israel says it was targeting militants on motorcycle near school

@highlight

More than 1,800 people have died in the conflict, Palestinian Health Ministry says