(CNN) -- U.S. boxing history reveals that it is a sport that has traditionally been the "bluest" of blue-collar athletic endeavors.

It has always held out the promise -- despite the odds -- of advancement for young men with the talent and guts to succeed in an often bloody undertaking, beginning with the arrival of the Irish in the mid-19th century, and for African- Americans and the later influx of Jews, Italians and Hispanics, whether U.S.-born, from Mexico or from the Caribbean.

Three of the earliest success stories in this history were men of Mexican-American heritage from Los Angeles: Solomon Garcia Smith in the 1880s; Joe Salas, the first Latino to medal in boxing in the Olympics, in 1924; and Bert Colima, Pacific Coast champion in three divisions during the 1920s.

These men challenged the notion that Spanish-surnamed men were not good athletes with the physical capability and mental acumen to succeed in corporeal competition.

In subsequent decades, Latinos continually proved themselves worthy in the boxing ring and on the baseball diamond, the football field, the basketball court, and elsewhere.

Little by little, as economic and educational circumstances improved during the years following World War II, such athletes came to represent local communities, and a few competed at the professional level.

While the world of sport did come to recognize talent of Latino participants, many female athletes continued to be shortchanged for most of the 20th century.

In recent decades, the playing field has been leveled substantially, in part due to Title IX -- the 1972 law that increased opportunities for women in high school and college athletics -- and a series of court decisions.

Still, there remain barriers -- economic, educational, familial, and cultural -- to increasing the percentage of Latinas participating in athletics.

My recent work documents the struggles that young women confront as they seek opportunities to play soccer and other sports in Midwestern communities that have seen an explosion in their Hispanic populations in recent decades.

Many of these young women are keen to share in the triumphs and joys of athletic competition on behalf of their hometowns. Some even aspire to earn athletic scholarships that assist their families in paying for college, but their hopes are often checked.

Marlen Esparza, a Latina boxer vying for the Olympics, follows the tradition of other Latino athletes who broke barriers.

They compete for their own success and glory, but also enter the boxing ring or take to the field for other Latinos who will never vie for professional titles.

Their stories exemplify two key issues affecting our nation's future: first, the demographic transformation of small town America, and second, the role of sport as a vehicle to break down barriers between "new arrivals" and their neighbors.

As Marlen Esparza and other Latinas gain acceptance in "nontraditional" sports, the path for young girls in small towns gets a bit easier. The success of Esparza at a national level demonstrates the possibilities that participation in sport can have for this generation.

A chance to compete on the basketball court and soccer field can open entirely new social and academic prospects for young women. And by wearing the name of their school on their jerseys, Latina athletes are seen as local heroes who are accepted by the general populace.

Just as Italian-Americans reveled in the triumphs of Joe DiMaggio and Yogi Berra, likewise it is conceivable that a greater sense of pride, acceptance, and community may result from Latinas bringing fame to their hometowns through their on-field exploits.

Marlen Esparza is in the vanguard of what we can expect from Latina athletes in the future. Her successes will open doors for young women who will grasp the opportunity to compete in athletics and in our nation's classrooms. What could be more American than that?

The opinions expressed in this commentary are solely those of Jorge Iber.

@highlight

Jorge Iber says boxing in U.S. has long been chance for advancement among immigrants

@highlight

He says it lets Mexican-Americans show mettle, become source of pride in communities

@highlight

Title IX helped open opportunity to women too; Olympic hopeful Marlen Exparza one example

@highlight

Iber: For Latinas, especially "new arrivals," a chance in sports helps them join community