London (CNN) -- Close observers of Qatar will know that Sheikh Tamim bin Hamad Al Thani, whose succession to the Gulf state's leadership was announced by his father on Tuesday morning, has played an increasingly central role in shaping the country's direction in recent years.

As heir apparent, Tamim has led on the implementation of Vision 2030, Qatar's ambitious national strategy which sets out to promote "justice, benevolence and equality." He is also the author of the country's current five-year plan, in which he calls for "continuous modernization and development of public institutions."

The key question now is whether these finely crafted state strategy documents Tamim has authored as heir apparent can translate into real human rights change in Qatar's institutions, as the rubber hits the road and he takes control of government.

The current five-year strategy, for example, promises that there will be much-needed laws to criminalise domestic violence and to give labour rights to migrant domestic workers, something for which campaigners have been calling for years. The strategy leaves no room for disagreement when it says that "since 2004 Qatar has seen a significant jump in the number of reported domestic violence incidents against women and children."

But when Amnesty International met government officials in Doha earlier this year, they played down incidents of domestic violence as merely "individual cases". And a senior Labour Ministry official recently told a Qatari newspaper that "there is no need for a law for housemaids... Since there is a contract signed between a maid and her employer, a law isn't needed."

Vision 2030 also says it embodies the principles of the country's constitution which "protects public and personal freedoms". And yet there was widespread shock last November, when a court in Doha sentenced a Qatari poet, Mohammed al-Ajami, to life imprisonment on charges of incitement "to overthrow the ruling system", and "insulting the Amir."

The charges relate to a 2010 poem criticizing the ruling family, but activists believed that the real reason for his arrest was his 2011 "Jasmine Poem" which read: "we are all Tunisia in the face of the repressive elite." All the information available points to al-Ajami being placed behind bars solely for his words.

At the time one regional activist told Amnesty that "we expected better," referring to Qatar's efforts to paint itself as a country promoting freedom of expression, as host to both the Al Jazeera network and the Doha Center for Media Freedom.

Disturbingly, almost at the same time, the authorities moved to tighten control on freedom of expression with a new draft media law, which, if approved, would require all publications to be approved by a government-appointed "competent authority" empowered to remove content or prevent printing.

Al-Ajami's sentence was reduced to 15 years in February, which has done little to quell the outrage. The treatment of his case will be an early signal of whether Qatar's new ruler intends to allow greater freedoms of expression at home.

Tamim has also chaired the committee organizing the Qatar 2022 World Cup, the country's most ambitious global initiative yet. It is a sensitive project and one that will test the new ruler's commitment to real reform.

Since Qatar won the right to host the tournament, the country has come under intense scrutiny for its treatment of migrant construction workers, who come primarily from South Asia.

There are fears that the hundreds of thousands of new workers who will be needed to build the stadiums and infrastructure for the World Cup could face exploitation or even forced labor.

Amnesty International has been interviewing migrant laborers and construction companies in Qatar over the past nine months, and has found that the abuse of migrant laborers runs deep, with some workers on major national projects going for months without being paid, being prevented from leaving the country by their employers and even struggling to afford food.

The challenge for the World Cup Committee is how to ensure that the companies they employ to build their projects comply with international labor standards.

Of course, it cannot be only about the organizing committee. The role of the government to prevent entrenched exploitation will be critical. Tamim's five-year plan recognizes -- with slightly surprising candor -- that "improving labor rights will not only benefit employees but will also enhance Qatar's global image as a leading and progressive nation."

But Qatar's new ruler will need to be aware that the opposite will also be true. Unless his government is able to energetically enforce labor protections and make major reforms to the repressive Sponsorship Law which gives employers excessive powers over their workers, Qatar's global image will inevitably suffer, just as the migrant workers Amnesty International has met are suffering right now.

Sheikh Tamim and his ministers will need to show political will if they want to deliver the freedom and justice called for in the state strategy set under his stewardship. Activists, across the region and globally, will be watching carefully for early signs of that will.

The opinions expressed in this commentary are solely those of James Lynch.

@highlight

Qatar's emir hands over power to son, Sheikh Tamim bin Hamad Al Thani

@highlight

Tamim has led on the implementation of Vision 2030, Qatar's reform program

@highlight

Meanwhile, authorities tighten control on freedom of expression, says James Lynch

@highlight

Lynch says world will watch closely for early signs of real will to change