Editor's note: Ted Danson is an Emmy Award-winning actor, a founding board member of Oceana, the world's largest international organization dedicated solely to  ocean conservation, and narrator of a new film, "End of the Line." For more information about Oceana, read here

Ted Danson says a "closed" sign on a beach led him on a 20-year quest to save the world's oceans.

(CNN) -- Today, Monday, June 8, we recognize the first U.N.-sanctioned World Oceans Day. The event comes after years of pressure from conservation groups and thousands of activists who clamored for everyone to know and understand what's happening in our oceans.

I became an ocean activist in 1987. It was the fifth year of "Cheers" and my family moved into a neighborhood that was on the water, in Santa Monica, California. One day I took my daughters to the beach to go swimming, but it was "closed" and I couldn't answer my daughter's question why.

That's really how it started. That and "Cheers" was paying me a lot of money and I felt I had better be responsible with it. So, I started to get involved.

It turned out in our new neighborhood there was a fight to keep Occidental Petroleum from drilling 60 oil wells on Will Rogers State Beach in Los Angeles. They wanted to slant drill into the Santa Monica Bay. The fight was led by a man named Robert Sulnick and we became great friends and found a way to beat them.

We enjoyed ourselves so much that we wanted to continue this work. So Robert Sulnick and I, full of passion and naiveté, started American Oceans Campaign, which ultimately became a part of Oceana. And, here I am, still at it, 20 years later -- because our oceans are in trouble.  Watch Danson talk about his commitment to save the world's oceans »

The U.N. reports that 75 percent of seafood species are maxed out or overexploited and catches of nearly a third of these species are less than 10 percent of what they once were. Ninety percent of the big fish -- sharks, tuna, swordfish -- are already gone, according to a 2003 study in Nature.

The chemistry of the oceans is changing as they absorb 11 billion metric tons of carbon dioxide a year, and scientists say the acidifying waters will make it impossible for coral reefs, the nurseries of the sea, to grow. At the current rate of acidification, corals, sea snails and other calcium-carbonate-requiring life forms could begin to dissolve by the middle of the century, with potentially catastrophic results. Shellfish and fish will be in deep trouble as well.

This is all happening on our watch.

My friend Charles Clover, then a reporter for the U.K.'s Telegraph, wrote an incredible book about all of this called "The End of the Line" that lays out, in devastating detail, how this has happened. The book is now a film, released today, and I'm honored to serve as the narrator.

The movie describes how marine scientist Daniel Pauly (a fellow Oceana board member) discovered China had been falsifying its fish catch data, and that instead of increasing, global fish catch had actually peaked in the late 1980s at about 80 million tons a year and had been falling ever since, despite better and faster technology and billions of dollars in government subsidies.

The film also describes how we are about to fish one of the most magnificent fish in the ocean, the bluefin tuna, into extinction. It's not the only one we're eating into oblivion.

Cod, once a staple in the working man's lunch of fish and chips, is increasingly a delicacy. Unable to catch once-prized species, fishermen are selling creatures that you would never have considered eating, like the once-disdained skates that replace scallops on European tables. Even jellyfish are becoming a commercially viable species.

World Oceans Day is an opportunity to bring these underwater challenges to light. And it's a chance to explain how we can restore our oceans to their former glory.

Ocean conservation is rewarding because you absolutely can make a difference. You leave a fish population alone for a while, and it rebounds. The oceans are incredibly resilient. We have the opportunity right now to protect the oceans and the life they harbor for future generations.

By protecting important habitats like corals from destructive fishing techniques, and setting science-based quotas on seafood species, the battle is halfway won. Fish species will recover, and the marine mammals, sea turtles and seabirds that rely on them for sustenance have a fighting chance.

In addition, we must commit to renewable energy sources to end the excessive carbon dioxide emissions that are acidifying the oceans and making them inhospitable to life. The ocean does represent a source of energy, and it's not offshore oil and gas drilling -- it's offshore wind. Europe is a leader in developing offshore wind power, and it's time for the United States to catch up.

Today, on World Oceans Day, don't just go green. Go blue.

The opinions expressed in this commentary are solely those of Ted Danson.

@highlight

Ted Danson: June 8 is the first U.N.-recognized World Oceans Day

@highlight

He says oceans are in trouble with 75 percent of seafood species in danger

@highlight

Saving oceans is doable if we allow fish species to rebound, Danson says