(CNN) -- A foiled plot to sneak a bomb through airport checkpoints and onto a plane bound for the United States calls attention to gaps in screening measures that are supposed to detect threats airport metal detectors miss.

Outside the United States, the controversial body-scanning technology is not widely used, security experts say. But they say it is the best way to detect plastic explosives hidden on people boarding airplanes.

"Since most of these airports are not using body-scanning technology, including for American flights, I would say that this is an opening that was probably intended to be abused by (the bomb-maker) and those who planned the attack," said Rafi Ron, president of New Age Security Solutions and former head of security of Ben-Gurion International Airport in Israel.

The latest nonmetallic bomb to be discovered never made it to an airport and posed no real threat to air travelers. It is similar to, but more sophisticated than, the device discovered in a failed attempt to bring down a Detroit-bound airliner on Christmas Day in 2009.

New sophistication seen in bomb plot, lawmaker says

That attempt hastened deployment in the U.S. of advanced imaging technology, or body scanning, at airport security checkpoints across the country. There are about 700 machines in more than 180 airports nationwide. Pat-downs are used when passengers decline body screening or when a scan reveals a need for additional screening.

"It's not a perfect technology, and there are several ways that it can be bypassed," Ron said. "But at the same time, it is the best technology that we have available at this time."

Homeland Security Secretary Janet Napolitano said there is a "high likelihood" the latest bomb would have been detected if attempts had been made to slip it past U.S. airport security.

Use of advanced imaging technology abroad is "woefully inadequate," said Chad Sweet, a former CIA and Department of Homeland Security official and co-founder of the Chertoff Group, a security firm that has worked with clients that manufacture advanced imaging devices.

"In order to be optimally effective, we can't have gaping holes that terrorists can exploit," Sweet said.

In addition to the 700 scanners employed by the U.S., Canada has about 50, Australia is planning to install machines in July, and the technology is in use at Amsterdam's Schiphol Airport and in the United Kingdom, according to Airports Council International. The council said there is no central repository tracking the use of the technology worldwide. A spokesman for the International Air Transport Association also was unaware of exact figures and locations of the machines but said it is not a common screening method outside the U.S.

"We're not suggesting that (advanced imaging) is the magic bullet. It's one of many layers of technology, processes and people needed for a multilayered defense," Sweet said.

He said the U.S. should step up deployment of the technology and increase the use of behavioral detection officers and bomb-detecting dogs in airports as well as employ additional analysis of passenger data before travelers even arrive at the airport.

Carrying on with that layered, risk-based approach to security is exactly what the Department of Homeland Security is doing in response to the latest threat, the agency said.

"These layers include threat and vulnerability analysis, prescreening and screening of passengers, using the best available technology, random searches at airports, federal air marshal coverage and additional security measures both seen and unseen," the agency said in a statement.

The use of intelligence to head off threats before they reach the critical airport screening stage "has been proven very successful in this instance," Ron said. "On that level, I think we have already established a good foothold."

Rep. Mike Rogers, the chairman of the House Intelligence Committee, said it is too soon to say whether the latest plot will lead to more stringent security measures.

"I'm not sure we're there yet," he said.

"Preliminarily, many believe that you won't have to have anything different than we have right now. The systems in place would have detected this. That's the good news. The bad news is a lot of people don't like the systems in place at the TSA."

And those systems have been widely criticized by privacy advocates in the U.S. and abroad. In Europe, privacy concerns have long delayed implementation of body scanning technology.

International airports with direct flights to the U.S. are required to meet International Civil Aviation Organization security standards and some TSA requirements, but the use of advanced imaging machines is at the discretion of each country.

Even in the unlikely event of global adoption of body scanning, the technology has its limitations.

The machines are not designed to detect explosive devices concealed inside the human body, and the Department of Homeland Security has identified some "vulnerabilities" in the screening process, according to a summary of classified advanced imaging testing published in November. The office made eight recommendations that the TSA agreed to as a result of the testing. Details of those recommendations are classified.

In March 2010, the Government Accountability Office said that "while officials said (advanced imaging technologies) performed as well as physical pat downs in operational tests, it remains unclear whether the AIT would have detected the weapon used in the December 2009 incident based on the preliminary information GAO has received," noting that the results of the TSA's testing are classified.

No magic bullet, indeed. What remains clear is the need for a security strategy that evolves quickly, officials say.

"Every time we think we have them, they come up with something new," said Homeland Security Committee Chairman Rep. Peter King, R-New York.

@highlight

Body-scanning technology to detect threats not widely used abroad

@highlight

"We can't have gaping holes that terrorists can exploit," security expert said

@highlight

Homeland Security Department taking layered, risk-based approach