(CNN) -- The roar of the jubilant crowd assembled in Cairo's Tahrir Square said it all.

Nearly four months ago, longtime Egyptian strongman Hosni Mubarak finally yielded to political reality and stepped down from power. Mubarak's fall -- coming on the heels of the ouster of neighboring Tunisia's Zine El Abidine Ben Ali -- was seen by many as part of a domino effect.

The Arab world, it seemed, was finally on the brink of a peaceful democratic transition that had eluded the troubled region for generations.

Today, however, the promise of a peaceful Arab Spring appears to be yielding to the reality of a long, violent summer as dictators across the Middle East and North Africa draw a line in the sand and fight to maintain control of their countries.

Protesters, meanwhile, are showing no sign of backing down.

"We've seen the last (Middle East) dictator leave voluntarily," Michael Rubin, a regional expert at the American Enterprise Institute, a conservative Washington think tank, recently told CNN.

See the latest daily developments at CNN's This Just In

U.S. President Barack Obama and other Western leaders will continue to push for peaceful change when possible, Rubin said. But dictators in the region have been spooked by the fate of Mubarak, who is now facing trial and a possible death sentence, and Libya's Moammar Gadhafi, who is facing an onslaught from armed rebels and NATO air forces.

They "see there is no possibility of a peaceful retirement," Rubin said. And many of them also "believe that their country is their personal fight."

While it is possible to identify trends that pertain to the entire region, a number of analysts stress that each country has unique circumstances and challenges that throw the notion of an all-encompassing Arab Spring into question.

Libya: No signs of waning

In Libya, opposition to Gadhafi has been hampered by the fact that the country's sense of national identity is "very weak," according to Robert Danin, a senior fellow at the Council on Foreign Relations. Tribal loyalty in the sparsely populated North African country comes first, a fact that has made it extremely tough for Gadhafi's opponents to present a unified front.

Gadhafi's violent reaction to protesters -- and threats of a massacre in the rebel-held city of Benghazi -- led to the passage of a U.N. Security Council resolution authorizing military steps to protect civilians. NATO leaders, who believe the safety of Libyan civilians can't be secured without Gadhafi's ouster, have since embarked on a two-month bombing campaign targeting government forces.

NATO Secretary General Anders Fogh Rasmussen announced Wednesday that the alliance has decided to extend its mission in the country by 90 days.

Gadhafi still refuses to step aside, but has been discussing a possible African Union-brokered cease-fire with South African President Jacob Zuma.

Libya's war has the potential to become a "protracted and costly stalemate," Max Boot, another senior fellow at the Council on Foreign Relations, recently told reporters.

There's a "real danger of chaos" and protracted tribal warfare if Gadhafi falls, Boot said. Al Qaeda may be able to exploit such a situation, he warned.

5 options for the U.S. in Libya

Close to 900,000 people have fled Libya since that country's conflict began in February, according to the United Nations.

Egypt: Tension escalates

Meanwhile, in nearby Egypt reformers are upset with the pace of change since Mubarak's fall.

"We've waited ... and nothing has happened," Mehdi Ibrahim, 43, said Friday at a demonstration in Tahrir Square. "Mubarak and his men have not (yet) been punished for their crimes. We need accountability."

Some protesters on Friday urged the creation of a civil presidential council to replace the military regime now running the country until democratic elections are held in September. Others called for the expeditious return of stolen assets, as well as a generally more open society.

Fareed Zakaria: Military threatens Egypt's revolution

Tension continues to exist between some of the more secular, liberal-minded activists and the more conservative Muslim Brotherhood, Mubarak's primary opposition for years.

"We need rules and regulations to guide us and to protect individual freedoms and the rights of minorities" before the elections, said law student Mohamed Badawi.

But Saffa Mohamed, a member of the Muslim Brotherhood, said the September election will be good for the country, even if it benefits more established groups like his or remnants of the once-ruling National Democratic Party at the expense of newer political parties.

"Why won't Egyptians just accept the results of the recent referendum?" he asked. "The date ... has already been set."

Syrian powder keg

To the northeast, Syria's government stands accused of committing atrocities against its own people.

The international watchdog group Human Rights Watch released a report Wednesday alleging that President Bashar al-Assad's regime has carried out a "systematic" series of abuses against protesters that could "qualify as crimes against humanity."

The group's 57-page document contains details from dozens of victims and witnesses to abuses in Daraa province, the southwestern Syrian powder keg where the unrest engulfing the country began in mid-March before spreading across the country.

At present, the report said, there have been around 887 deaths across Syria, including at least 418 people in Daraa.

The crackdown in Daraa last month became so intense that eyewitnesses spoke of bodies bloating in the streets and injured people being treated at makeshift secret clinics to avoid detection by government security forces.

Human Rights Watch is urging the United Nations to hold al-Assad's regime accountable. Western leaders have imposed new sanctions against al-Assad and several of his most prominent supporters.

For its part, the Syrian protest movement shows no sign of waning. A two and a half minute YouTube video clip showing multiple wounds on the body of a 13-year-old boy from Daraa -- Hamza Ali al-Khateeb -- has prompted international outrage. A Facebook page calling itself "We are all the martyr, the child Hamza Ali Al-Khateeb" had 60,000 followers by Tuesday.

Bahrain: 'Iran's Kuwait'

The push for democratic reform is also encountering fierce resistance on the strategically critical Arabian Peninsula. The leaders of two key U.S. allies, Bahrain and Yemen, are struggling to maintain control despite slowly mounting international pressure.

On Wednesday, Bahrain lifted state of emergency laws in place since March that had allowed the silencing of opposition leaders and journalists. King Hamad bin Isa Al Khalifa has appealed for dialogue, saying that talks with opposition groups will begin in July.

The minority Sunni government, however, continued its crackdown on the country's major Shiite political opposition movement.

Among other things, security forces fired tear gas to disperse pro-reform demonstrators in several Shiite residential areas, according to one human rights activist.

A source for the opposition told CNN that "sporadic sounds of bombs and bird-shot clusters were also heard."

The government also filed charges Wednesday against four top opposition leaders in a move that could weaken the country's Al Wefaq party, according to two opposition sources.

Regional monarchies eye Bahrain unrest

Bahrain is set to hold parliamentary elections in September, filling seats vacated by members of Al Wefaq, which left parliament in protest over the crackdown.

The question of how hard Western powers -- the United States in particular -- should push for change in Bahrain is complicated by the fact that the tiny Persian Gulf country is home to the U.S. Navy's Fifth Fleet. Neighboring Saudi Arabia and the United States are both worried that a successful Shiite uprising would transform Bahrain into an Iranian client state.

"Bahrain is Iran's Kuwait," Rubin said, referencing former Iraqi strongman Saddam Hussein's insistence that Kuwait was rightfully an Iraqi province.

If Bahrain's government falls, "there is no question -- no ifs, ands or buts -- Bahrain would become an Iranian satellite, and the Fifth Fleet would be sent packing," he predicted.

Bahrain is "pretty much the one country where (Washington) can't afford regime change," he said.

Yemen: Possible al Qaeda stronghold?

Finally, nearby Yemen continues to be rocked by escalating clashes between rebels and forces loyal to embattled President Ali Abdullah Saleh.

CNN's Mohammed Jamjoom on the worsening crisis in Yemen

Four missiles struck a compound Wednesday where generals who defected from the Yemeni regime were meeting, according to a spokesman for the generals.

Fierce clashes also erupted between government security forces and Hashed tribesmen Wednesday in front of the Ministry of Local Administration in Sanna, eyewitnesses and residents said.

The Hashed tribe has opposed government forces in intermittent fighting for more than a month.

Fifteen tribesmen have died and 31 have been injured from clashes in the past two days, said Abdul Qawi Qaisi, spokesman for the head of Hashed tribe.

Witnesses also reported seeing at least three houses on fire near where the clashes were taking place Wednesday.

Saleh, who has ruled his poor, arid country since 1978, "does not want peace," said the spokesman for the head of the Hashed tribe. "Saleh thrives with blood being spilt. They attacked us and we had to defend."

Government spokesman Tarek Shami said mediation efforts meant to stem the rash of recent violence between the country's tribal groups and Saleh's government ended Saturday without a peace accord because Hashed tribesmen would not negotiate.

At least 100 people have also been arrested in the city of Taiz, while hundreds more have been injured across the country in recent fighting, according to a U.N. statement released Tuesday.

The U.S. Embassy in Sanaa has condemned what it called the "unprovoked and unjustified attack" on demonstrators in Taiz. It praised the protesters and called on Saleh "to move immediately" on the president's previous promise to transfer power.

Saleh, however, has been a leading U.S. ally against al Qaeda, which has a Yemen-based branch that has claimed responsibility for two attempted attacks on the United States.

America's main concern regarding Yemen is that the country could become an al Qaeda stronghold if Saleh falls, Rubin said. But U.S. policymakers also "have to recognize that al Qaeda rose under Saleh," he said. "Keeping him in doesn't keep al Qaeda out."

@highlight

Violence has escalated across the Middle East and North Africa in recent months

@highlight

Dictators across the region are fighting to cling to power, while protesters refuse to back down

@highlight

Each country faces unique circumstances and challenges

@highlight

The U.S. and other Western powers have not pushed as hard for change in certain countries