JAKARTA, Indonesia (CNN) -- Hidden in the alleyways behind Jakarta's fancy malls and in between the high-rise apartment buildings is what Ronny Poluan, a former film maker, calls the "real Jakarta."

Ronny Poluan (in cap), who runs "Jakarta Hidden Tours," takes a group through a Jakarta slum.

It is not far from the glitz and glam that dominates the capital's skyline, yet it is a side of the city that few foreigners ever see.

"I want them to (have an) authentic view," Poluan, who runs "Jakarta Hidden Tours," said as he took a group of Australians through the winding maze of a central Jakarta slum.

"I'm running out of rice," an old lady mumbles in the doorway of her tiny dark home as the group passes by.

Further along, little girls push their faces into wire fencing, while another group of children draw 36-year-old Daniel Knott into a game of cards. Knott, a volunteer for various NGOs, and his wife, who works for AUSAID, live in Jakarta and have been to the slums before. But it is the first time their friends, Kerri Bell and her husband Phil Paschke, have been to Indonesia.

Knott said he felt it was important to bring the visiting couple here.

"I think Jakarta is a city of contrasts," he said. "There's a lot of shopping malls and kitschy stuff, but it's also a lot of normal people. And, it's fun to come and hang out with the locals, actually."

"It's fantastic," Kerri Bell said. "I've been in Asia once before and we didn't want to just gloss over the surface and see all the things you can see in a western country. It feels to me much more like the real Jakarta, to see what drives it. To see that is so much more valuable than coming and lying on the beach."

The tour first took them into a couple of cramped and sweltering soy bean cake and tofu factories --- both staples in the Indonesian diet.  Watch Arwa Damon tour through the slum »

The group remarked that there were few other cities where foreigners can wander around the slums, and not just feel safe but welcomed -- and that is what Poluan said these tours were all about.

"I want to see people meet people," he said. "The other culture meet the other culture."

"It's a pretty big eye opener," Paschke said. "It's the first time I have left Australia, so yes, it's completely different."

Poluan ushered the group into a covered market where you can find just about anything. For the group, it was a bombardment of the senses.

"I love seeing them," fish seller Rokayah said, laughing. "They are handsome and they are rich. It is rare for me to see foreigners here at the traditional market, and I like talking to them, but I don't understand English."

The tour costs around $34 per person. Poluan keeps about half of the money for himself and his NGO, INTERKULTUR. The other half goes to the community.

Critics, however, said that this type of direct cash aid was counter-productive. They said the tours were demeaning, exploited the poor, and taught them to be dependent on the handouts of others.

"These poor people, we have to educate them," said Wardah Hafidz, coordinator of the Urban Poor Consortium. "We have to tell them that it's not God's will that they are poor, that they also have to fight for themselves. They can't depend on other people forever."

This type of criticism angers and frustrates Poluan, who said his tours were about raising awareness on both sides. In the last month, he has also started a microfinance scheme.

More importantly though, he said, were the initiatives that he hoped his tours would jumpstart.

"They (the foreigners) usually think about how to help, to educate," he said. "They come back again, bring books. I try to make a pushcart library for the children."

He said his tours were also about educating foreigners on real issues facing the country.

The group weaved its way to the city's train tracks, only barely visible amid the garbage and squalor.

It is the site of a constant battle between the track dwellers and the government, which says that living there is illegal and dangerous. Government evictions and the destruction of the feeble structures, usually just bits of plastic tarp and wood, are fairly commonplace.

"I am used to it," shrugged 80-year-old Indarjo.

He has lived like this for five decades, making his living as a scavenger. He said he has been forced to move over 200 times.

He invited the group into his home, and explained that when it rains, he just pulls the flap over.

"I feel that I am equal to them. I treat them as my guests," he said. "I believe that they would do the same for me."

The visitors were dumbstruck, the impact of what they were seeing, they say, was hard to put into words.

It was a sobering but educational look at Indonesia, where some 40 million people live below the poverty line.

"It's pretty confronting," Paschke said. "The things you complain about at home don't seem too significant."

"It's hard to see something like this and just go home to normal life," his wife, Bell, added as the couple stood in the middle of the tracks. "It makes me motivated to look at the local community and things that we can help out with at home."

@highlight

Ronny Poluan leads tours of a Jakarta slum to show visitors the 'real' capital

@highlight

Tours cost about $34 -- half of that goes to Poluan, the other half to the locals

@highlight

Some critics say the tours exploit the poor and teach them to rely on handouts

@highlight

Tour covers a market, soy bean cake and tofu factories, meeting residents