(CNN) -- This month Road to Rio -- a Green City Journey stops off in the world's second most populated country, India. Sara Sidner, Mallika Kapur and Nick Glass meet in the capital city New Delhi, to explore how carbon cuts are being made.

They hit the ground on green modes of transport to take on the Green City Challenge, picking up the best of green initiatives in a city heaving with mechanical and human traffic.

From a solar-paneled rickshaw they explore the cuts being made in transport -- nearly the whole public transport system is run on natural gas (CNG) and the Metro system is expanding to take 17 million cars off the road reducing emissions by 160 millions tons.

The slogan of the Rio Earth Summit, where we're heading in June, is "The Future We Want." Are young Indians participating in the future they want?

Sara visits a local orphanage where organic waste from the local market is powering the stoves -- one solution to Delhi's problem of 9,000 tons of waste daily. Night markets are being lit by solar lamps in an initiative pioneered by Delhi students. And in the evening: A local eco-community provides the entertainment with a Bollywood movie in a solar powered cinema accompanied by popcorn made in a solar cooker.

GREEN TEA

Tea production is one of India's foremost industries and nowhere is more celebrated for its tea leaves than Darjeeling. Nick goes to visit Chamong Tea Estate where tea pickers are exploiting renewable hydroelectric power to help run their business, making this truly "green tea."

CLEANING UP DIRTY PHONE CALLS

Bharti Infratel in Gurgaon, near Delhi, has turned to renewable energy to help power the conversations of the future. The telecoms industry is growing massively each year, nowhere more so than in India. With around 800 million cell phone subscribers as well as call centers, every 10% increase in penetration has increased the country's GDP by 1.2%. However, the telecoms industry has a dirty secret; it is very carbon intensive. Sara goes to find out how it are cleaning up.

SUSTAINABLE SILK

India is the world's second largest producer of textiles after China. It is an age-old trade, but the millions of meters of fabric rolled out each year pump nearly 200 million tons of carbon into the atmosphere. Mallika heads to Jaipur to see how a textile factory is turning the power of the sun to weave more and burn less.

MUGHAL GREEN WISDOM

Locked into the ornate stone walls of Jaipur's Mughal palaces are the keys to really green buildings. Architect Manit Rastogi has explored the palaces to build a carbon cool university in a desert climate. Nick accompanies Rastogi from the Amber Fort to the Hawa Mahal, to see how clever manipulations of stone and water have made the Pearl Academy an energy efficient masterpiece.

MUMBAI RECYCLING

Approximately 7,000 tonnes of waste is generated per day in Mumbai. Residents of the city's sprawling slum Dharavi, one of the largest slums in the world, have come up with a solution. Rag pickers swarm the heaps of garbage, and now there's a buck or two more for their work. Recycling the mounds of plastic into toys, household products and accessories is making big business out of rubbish. Mallika goes to find out.

Watch the show in February at the following times:

Wednesday, February 15: 1030,1730,

Saturday, February 18: 0530, 1930,

Sunday, February 19: 1230

Saturday, February 25: 1230,

Sunday, February 26: 0530,1930

(all times GMT)

@highlight

This month Road to Rio stops off in India to check out some green initiatives there

@highlight

The team first finds new modes of transportation helping to cut carbon in New Delhi

@highlight

They also look into how Indians use renewable energy as an alternative power source

@highlight

Plus, the program explores some of the green landmarks in the country