(CNN) -- Most of what you read or hear in mass media about President Hugo Chavez is always negative, his faults exaggerated, his discourse distorted and his achievements ignored. The reality is quite different.

Hugo Chavez was beloved by millions around the world. He changed the course of a continent and led a collective awakening of a people once silenced, once exploited and ignored. Chavez was a grandiose visionary and a maker of dreams.

An honest man from a humble background who lived in a mud hut as a child and sold candies on the streets to make money for his family, Chavez dreamed of building a strong, sovereign nation, independent of foreign influence and dignified on the world scene. He dreamed of improving the lives of his people, of eradicating the misery of poverty and of offering everyone the chance of a better life -- the "good life" (el buenvivir), as he called it.

President Chavez made those dreams come true. During his nearly 14 years of governance, elected to three full six-year terms but only serving two due to his untimely death, Chavez's policies reduced extreme poverty in Venezuela by more than 75%, from 25% to less than 7% in a decade, according to statistics from the Center for Economic and Policy Research. And overall poverty was reduced by more than 50%, from 60% in 1998 when Chavez first won office to 27% by 2008.

What's next? Chavez's death leaves many questions

This is not just numbers, this translates into profound changes in the lives of millions of Venezuelans who today eat three meals a day, own their homes and have jobs or access to financial aid.

But the dreams don't stop there. Chavez dreamed of a nation filled with educated, healthy people, and so he established free, quality public education from preschool through doctoral studies, accessible to all. In fact, for those in remote areas or places without educational facilities, schools were built and mobile educational facilities were created to bring education to the people.

Chavez also created a national public health system offering universal, free health care to all, with the help and solidarity of Cuba, which sent thousands of doctors and medical workers to provide quality services to the Venezuelan people, many who had never received medical care in their lives.

To strengthen and empower communities, Chavez propelled policies of inclusion and participatory governance, giving voice to those previously excluded from politics. He created grassroots community councils and networks to attend to local needs in neighborhoods across the nation, placing the power to govern in the joint hands of community groups.

Opinion: Chavez used force of personality to win votes, influence leaders

His vision of diversifying his nation and developing its full potential transformed into railways, new industries, satellite cities and innovative transport, such as MetroCable Cars soaring high into the mountains of Caracas to connect people in their steep hillside homes with the bustling city.

The centuries-old dream of Independence hero Simon Bolivar to build a unified "Patria Grande" (Grand Homeland) in South America became Chavez's guiding light and he held it high, illuminating the path he paved. Chavez was a driving force in unifying Latin America, creating new regional organizations like the Union of South American Nations (UNASUR), the Bolivarian Alliance for the Peoples of Our America (ALBA) and the Community of Latin American and Caribbean States (CELAC). These entities have embraced integration, cooperation and solidarity as their principal method of exchange, rejecting competition, exploitation and domination, the main principles of U.S. and western foreign policy.

Chavez inspired a 21st century world to fight for justice, to stand with dignity before bullying powers that seek to impose their will on others. He raised his voice when no others would and had no fear of consequence, because he knew that truth was on his side.

Opinion: Chavez empowered the poor, divided a nation

Chavez was a maker of dreams. He recognized the rights of the disabled, of indigenous peoples, all genders and sexualities. He broke down barriers of racism and classism and declared himself a socialist feminist. He not only made his own dreams come true, but he inspired us all to achieve our fullest potential.

Don't get me wrong, things are not perfect in Venezuela by any stretch, but no one can honestly deny that they are much better than before Hugo Chavez became president. And no one could deny that President Hugo Chavez was larger than life.

The first time I flew on President Chavez's airplane, he invited me to breakfast in his private room. It was just me and him. I was nervous and felt anxious and rushed to tell him about the results of my investigations into the United States government's role in the coup d'etat against him in 2002.

Chavez leaves a revolutionary legacy

After all, that's why I was on the plane in the first place. I had been invited to participate in his regular Sunday television show, Alo Presidente (Hello Mr. President) to present the hundreds of declassified documents I had obtained from U.S. government agencies through the Freedom of Information Act that exposed U.S. funding of coup participants. The date was April 11, 2004, exactly two years after the coup that nearly killed him and sent the nation into spiraling chaos. (Editor's Note: The U.S. government denied involvement in the 2002 coup.)

As I began pulling out papers and spreading documents on the table that separated us, he stopped me. "Have you had breakfast yet?" he asked. "No," I said, and continued fiddling with the revealing paper before me. "We can discuss that later," he said. "For now, tell me about yourself. How is your mother?" he asked me, as though we were old friends.

A flight attendant came through the door of his private room with two trays and placed them on the table. I quickly gathered up the documents. "Let's eat," he said. I started to protest, trying to explain that his time was so limited I wanted to take advantage of every minute. He stopped me and said: "This is a humble breakfast, a breakfast from the barracks, what I most love." I looked at the tray for the first time. On it was a small plate with an arepa, a typical Venezuelan corn patty, a few shreads of white cheese, a couple of pieces of canteloupe and some anchovies. Beside the plate was a small cup of black coffee. No frills and not what you would expect on a presidential airplane.

"After all, I am just a soldier," he added. Yes, Chavez, you are a soldier, a glorious soldier of a dignified, proud and kind people. And you are a maker of dreams for millions around the world.

Chavez leaves Venezuelan economy more equal, less stable

@highlight

Eva Golinger says Hugo Chavez reduced poverty for millions of Venezuelans

@highlight

She argues his achievements are ignored by western media

@highlight

Under Chavez, cities, transport and industry grew, says Golinger