Britain's government lifted its ban on a controversial mining process known as hydraulic fracturing, or fracking, Thursday, allowing companies to continue their exploration of shale gas reserves.

Energy Secretary Edward Davey said the decision was subject to new controls to limit the risks of seismic activity.

A halt was called to fracking last year after two small earthquakes in Lancashire, northwestern England, where Cuadrilla Resources was exploring for shale gas.

The process involves pumping millions of gallons of water and chemicals into shale formations deep beneath the Earth's surface, causing the fracturing of the rock and the release of natural gas.

It has proved controversial in the United States, where supporters say it provides cheap energy but critics are concerned about the potential for chemicals to seep into the drinking water supply.

The new controls imposed by the UK Department of Energy and Climate Change include a requirement to carry out a seismic survey before work starts.

Firms involved must also draw up a plan showing how the seismic risks will be limited, and monitor seismic activity before, during and after the exploration.

Cuadrilla Resources said Thursday's decision to allow fracking to resume marked a significant step for Britain's future onshore gas industry.

"Today's news is a turning point for the country's energy future. Shale gas has the potential to create jobs, generate tax revenues, reduce our reliance on imported gas, and improve our balance of payments," chief executive Francis Egan said in a statement.

In an interview with CNN, Egan insisted that fracking could be done "safely and sensibly" in Britain and that there are huge reserves to be exploited.

The company believes there is about 200 trillion cubic feet of gas under the ground just within its license area in Lancashire. To put that figure into context, the United Kingdom uses about 3 trillion cubic feet of gas a year, Egan said.

He said he could understand that people are concerned but pointed out that the two tremors triggered in April and May of last year "were not major events."

The website of the British Geological Survey shows it has recorded nine tremors of a similar magnitude in the past two months, he said.

"They are not life-threatening events or damage-inducing events, but they do cause concern, so as a consequence the fracking was suspended," he said.

Cuadrilla has done a lot of work since then, he said, including carrying out 3-D mapping of the area. Extensive arrays will be installed around the wells to monitor seismic activity, he added.

As for concerns about how the liquids used in fracking will affect water supplies, Egan said the company uses only one friction-reducing chemical, in small quantities. He said it is not hazardous and the government oversees its use.

The strong regulatory environment in the United Kingdom "will stand us in good stead," Egan said, although he acknowledged it would mean the pace of exploration may be slower than in the United States.

The process has sparked opposition in the United Kingdom.

The government announcement marks "the start of a major battle over what sort of world we will leave to our children," said Lilly Morse, an activist with the Frack Off campaign group.

"The government and industry's promises of cheap, abundant gas are deluded," she said, adding that in the United States, "the gas bubble has already burst" and some fracking companies are on the verge of bankruptcy.

"The government's strategy of relying on fracking to fuel a new wave of gas-fired power stations is utterly insane. Fracking is dirty, destructive and extremely expensive, and could never deliver the quantities of gas envisaged."

@highlight

Fracking can be done "safely and sensibly," the chief executive of Cuadrilla says

@highlight

Measures must be put in place to limit the risk of triggering earthquakes, government says

@highlight

Fracking was halted last year after it caused two small tremors in northwestern England

@highlight

Opponents: It's a dirty process, and promises of cheap, abundant gas are "deluded"