(CNN)After the United States-led coalition has battled the Islamic State, firing thousands of airstrikes across Iraq and Syria, the terrorist group that aims to establish a brutal Caliphate is gaining ground -- literally.

While there is an example of ISIS' brutality nearly every day, terrorism experts such as CNN's Peter Bergen and Tim Lister remind us Tuesday that it's critical to look at the big and frightening picture of what's happening.

Bergen explains what ISIS is after in this CNN story Tuesday -- the end times, the apocalypse. It's high time, Bergen argues, that the United States and others stop trying to rationalize ISIS' behavior as rational.

Lister breaks down how and why ISIS is gaining momentum in many other countries besides Iraq and Syria.

ISIS fighters launched a major assault Tuesday night southwest of Irbil, Kurdish officials said.

A "big attack" is taking place near the towns of Gwer and Makhmour, one Kurdish source told CNN. The towns are some 45 kilometers (28 miles) from Irbil, the Kurdish capital.

Kurdish officials said they were concerned ISIS fighters would break through their lines. If that happens, there would be little standing between ISIS and the Kurdish capital, though Tuesday's attacks are likely aimed at drawing the already stretched Kurdish forces in many different directions to relieve the pressure on Mosul, which ISIS seized in June.

There appears to be growing support within the United States to use force against ISIS and increasing dissatisfaction about how President Barack Obama's administration has dealt with the group.

A new CNN/ORC survey found that 57% of the Americans questioned disapprove of how Obama is handling the threat. In late September, 49% said they disapproved of the administration's strategy. Fifty-four percent of 1,027 people polled between February 12-15 said they disapproved of how the president is handling terrorism in general. Seventy-three percent said they support the use of force against ISIS.

CNN's Senior Political Analyst Ron Brownstein said he was surprised to see that 47% of the people polled said they approve of sending ground forces to fight ISIS. Whether that's a true portrayal of how Americans feel is unclear, he noted.

The poll comes as ISIS beheaded 21 Egyptian Coptic Christians this weekend in Libya and put the video of the slayings online, a well-worn propaganda tactic the extremists often use. And yet support for the terror group is growing among some citizens in Egypt, which is often called the cradle of the Middle East.

The murders of the Christian minority group took place in Libya, where ISIS is also establishing a strong following in the absence of a stable government in that nation. The country has been in turmoil since the Arab Spring demonstrations that ultimately led to the overthrow of dictator Moammar Gadhafi in 2011.

Egypt reacted to the slayings with a fiery air campaign against ISIS in Libya.

Yemen has never been a stable place, and ISIS is exploiting that and establishing a fan base there. ISIS also has followers in Afghanistan and Pakistan, Lister noted.

The leader of Boko Haram, which has ravaged northern Nigeria, has said he admires ISIS leader Abu Bakr al-Baghdadi.

Last week, a top U.S. counterterrorism official warned that the number of foreign fighters joining the ranks of ISIS is growing at an alarming rate, and that scores of them are from the United States.

On another front in Europe, the battle against ISIS has manifested in so-called lone wolf actors staging attacks.

CNN reported that a gunman who had sworn allegiance to ISIS murdered a filmmaker and later a synagogue guard in Copenhagen, Denmark, over the weekend. Nerves are still frayed in the city as police on Tuesday cordoned off the area around a cafe. The gathering there Saturday was intended to be a forum on freedom of expression in the wake of the Paris Charlie Hebdo attack.

Swedish artist Lars Vilks was at the cafe. Years ago he drew the Prophet Mohammed as a dog, an act that landed him on a terrorist hit list.

Watch why images of the prophet are so offensive to some Muslims

Vilks told CNN that someone saved his life at the cafe by shoving him into a storage room. On Tuesday, the artist told CNN's Anderson Cooper that he felt he had no other choice but to go into hiding.

The gunman's motives may be tied to a suspicious letter left only steps away from a bank of flowers in a memorial near the cafe.

Read more about the prohibition of drawing the prophet

A post on Facebook that allegedly belonged to the shooter read, "allegiance to Abu Bakr in full obedience in the good and bad things. And I won't dispute with him unless it is an outrageous disbelief."

A Facebook friend of the suspect, 22-year-old Omar Abdel Hamid El-Hussein, told CNN he believed the page matched El-Hussein's profile.

On Tuesday, the Danish Security and Intelligence Service confirmed that it received a report from the Danish prison service last year warning that El-Hussein was at risk of radicalization.

El-Hussein was killed in a shootout with police after the killing at the synagogue.

The United States is considering providing teams of moderate Syrian rebels with the capability to call in U.S. airstrikes via GPS, a U.S. defense official told CNN.

But a decision hasn't yet been made on that possibility, which was first reported by The Wall Street Journal.

Even if that capability is provided, the United States would not conduct any airstrikes without some sort of additional confirming intelligence, independent of the Syrian rebels, the official said.

It could be part of a U.S. plan to provide the Syrian rebel teams with a variety of gear to carry out the task of defending local areas from ISIS, and eventually being able to conduct offensive operations, the official said. The gear is expected to include pickups, machine guns, communications and GPS equipment, the official said. It is also expected that mortars will be provided. No decision has been made yet on providing more sophisticated anti-tank weapons.

The first American trainers are expected in Jordan at the beginning of March. Training sessions are expected to last six to eight weeks. The official would not say how many teams will be outfitted, although the United States hopes to train about 5,000 rebel forces.

Also on Tuesday, the White House convened a three-day Summit on Countering Violent Extremism. At least 60 nations are participating. Tuesday's agenda will focus on three cities -- Los Angeles, Minneapolis and Boston -- that have pilot programs to battle extremism. Officials and leaders from those cities will share what they've learned.

Who is doing what in the global coalition against ISIS?

CNN's Barbara Starr, Tim Lister and Catherine E. Shoichet contributed to this report. This collection of the latest developments is drawn from reporting and writing from across CNN's platforms.

@highlight

ISIS launches a major assault in an area near the Kurdish capital in Iraq

@highlight

CNN's Peter Bergen: ISIS wants an apocalypse, urges people to stop thinking group is rational

@highlight

CNN's Tim Lister breaks down how ISIS is spreading beyond Syria and Iraq