(CNN) -- Anti-government demonstrations broke out Friday in Syria after weekly Muslim prayers, with activists reporting at least 34 deaths amid clashes between security forces and protesters.

The Syria Human Rights Information Link told CNN that at least 11 people died in the western industrial city of Homs when security forces fired at crowds.

For two months, Syria has been torn by street protests against political repression and a fierce security crackdown against demonstrators. The government's tough and violent actions toward marchers and its thousands of mass arrests have drawn widespread criticism.

Demonstrations erupted after Friday prayers in Syrian cities, as they have for weeks.

The United States has imposed sanctions on Syrian President Bashar al-Assad and other senior officials. On Thursday, President Barack Obama singled out Syria for criticism during his speech on the Middle East.

A rights activist in Homs described thick black smoke hanging over the city as thousands of demonstrators took to the streets demanding al-Assad's ouster.

According to the rights activist, the demonstrators gathered from several neighborhoods around Homs.

The demonstrators chanted slogans calling for the release of political detainees and demanded freedom, equality and fundamental reforms, the activist said. As the crowd grew, security forces fired shots in the air and tried to disperse the gathering.

When people refused to leave, security forces fired at the throngs, killing some and wounding others, the rights activist said.

Despite the eruption of violence, demonstrators remained in the streets and chanted for the downfall of the regime.

The Syrian Human Rights Information Link also said 13 died in Maarat al-Numan southwest of Aleppo.

Two people were killed in the western city of Deir Alzour. At least one person was killed in the turbulent southern city of Daraa, and another died in Sanamen outside Daraa.

One each died in the western coastal city of Latakia, the Damascus suburb of Darya and the western city of Hama.

An additional three people died in the violence, but it was not immediately clear where, the rights group said.

For the first time in about 25 days, the residents of Daraa heard the call for Friday prayers over mosques' speakers, according to activist Abdullah Abazeed.

Previously, all mosques, shops, schools and other businesses had been closed and a strict curfew imposed due to the military siege in the town.

But an activist there said the call to prayers was "simply a show by the Syrian government to make it seem everything is OK and back to normal."

He said security forces surrounded four mosques Friday, but many residents shunned mosques in favor of praying in public squares.

Arrests and attacks on civilian homes have continued, according to the activist. There were small protests in Daraa after Friday prayers, but no large demonstrations, he said.

An eyewitness said demonstrators in the Damascus suburb of Qaboon marched toward the town's Grand Mosque, a demonstration that started with 800 people and grew to 3,000.

As the group approached the mosque, a heavy security presence surrounded the demonstrators. Security personnel fired tear gas into the crowd and arrested protesters, the eyewitness said.

Purported videos of protests surfaced on the Internet. The gatherings were said to be in Damascus, Homs, the city of Hama in the west and Abu Kamal in the far east of the country near Iraq.

Demonstrators have blamed Syrian security for the violence, but the government has repeatedly pointed to unspecified "armed groups" for instigating the violence.

The state-run Syrian Arab News Agency on Friday said that "armed groups exploited gatherings of citizens in Idlib and the outskirts of Homs" and "opened fire on civilians and police forces, which resulted in a number of deaths and injuries."

It said there were no confrontations or interference by security forces in other locations, where scores of people gathered in several provinces after Friday prayers and "mostly" dispersed after they chanted for freedom.

Meanwhile, the U.N. refugee agency said Friday that people have been crossing into Lebanon from a turbulent Syrian region where violence has erupted recently.

About 1,400 people have entered the Wadi Khaled and Tall Biri regions of Lebanon over the past week from the Syrian town of Tal Kalakh, the Office of the U.N. High Commissioner for Refugees said.

The number is "in addition to those that have crossed since late April. Local authorities estimate that around 4,000 Syrians have crossed to Lebanon," the agency said in a written statement.

"Many of those who have crossed the border recently have come without any belongings, having fled what they say was heavy military bombardment of Tal Kalakh and surrounding areas," it said.

"Most have found shelter with relatives or host families, and some are residing temporarily in a school in Tall Biri."

Clashes between citizens and security forces have been reported for days in embattled Tal Kalakh, and witnesses there are reporting a strong security presence despite claims from the government of a troop pullout.

In his address Thursday, Obama said Syrians have displayed "courage in demanding a transition to democracy" but the regime "has chosen the path of murder and the mass arrests of its citizens."

"President Assad now has a choice: He can lead that transition, or get out of the way," Obama said. "The Syrian government must stop shooting demonstrators and allow peaceful protests, release political prisoners and stop unjust arrests, allow human rights monitors to have access to cities like Daraa and start a serious dialogue to advance a democratic transition. Otherwise, President Assad and his regime will continue to be challenged from within and isolated abroad."

Despite the international outcry against Syria, al-Assad does have support from Venezuela's president.

Syria is "the victim of a fascist onslaught," Chavez said Friday via Twitter.

Chavez, a leftist president who has aligned himself with countries hostile to the United States, said that he spoke on Friday to al-Assad, whom he called a "brother."

"God help Syria," Chavez tweeted.

The grass-roots demonstrations began in and around Daraa in mid-March and have spread to other cities such as Homs, Banias, Douma and Latakia.

Most recently, there has been unrest in Tal Kalakh. A few dozen people have been killed recently in the town near the Lebanese border, human rights activists said.

The Syrian state-run news agency Thursday quoted a military source as saying that army units started withdrawing from the town "after accomplishing their mission of ending the state of security disorder caused by outlawed armed groups."

"Life in the city is gradually going back to normal," the source was quoted as saying.

But CNN spoke to one activist who said that "army tanks pulled out of Tal Kalakh but continue to maintain their siege of the city." Another witness said the military remains in the city center and in the suburbs and security forces are making arrests.

As for the Syrian refugees filtering into Lebanon, that country's prime minister, Saad Hariri, asked the government's High Relief Committee last week to supervise and coordinate the work with the refugees. The U.N. refugee agency has helped distribute mattresses, blankets and food.

"The proactive role taken by the Lebanese authorities to ensure that new arrivals are assisted is encouraging," the U.N. agency said.

"Most of the people who have crossed the border in recent weeks are women and children," it said. "In addition to their immediate need for food, shelter and medical help, they also need psycho-social support. The latter is being addressed by the Ministry of Social Affairs."

The agency said it has "established a field presence in the north, working closely with the ministry to assess and provide needed protection interventions."

CNN's Arwa Damon, Nada Husseini, Salma Abdelaziz, Hamdi Alkhshali and Joe Sterling contributed to this report.

@highlight

State-run media reports "armed groups exploited gatherings" and casualties ensued

@highlight

Clashes are reported in western city of Homs; at least 11 are dead there

@highlight

People are killed elsewhere, including Daraa, Maarat al-Numan and Latakia

@highlight

Marchers walk toward the Grand Mosque in a Damascus suburb