(CNN) -- On Saturday, a company called SpaceX was scheduled to launch the first private mission to the International Space Station, demonstrating a freight-carrying capability NASA gave up when it retired its fleet of space shuttles in July. (The flight was aborted at the last second after a faulty valve was discovered; SpaceX officials said the launch was postponed till Tuesday or Wednesday.)

Some NASA supporters are mourning what they see as the decline of U.S. leadership in space. But they should really be celebrating the dawn of a new era.

After all, we've been stuck in low Earth orbit for several decades now, at considerable cost. Visionary plans for genuine space exploration have gathered dust at NASA, the National Research Council and other space-savvy places. They advocate relearning how to land on the moon or figuring out how to travel to Mars, an asteroid or the special orbital location where the James Webb Space Telescope will eventually operate. But after more than two decades of talking that talk, the U.S. has yet to walk that walk.

Turning over routine space trucking to private industry has important benefits. It frees NASA to innovate and to develop a new heavy-lift capability commensurate with real space exploration. At the same time, it empowers private industry to play a significant role in the nation's space future.

Liftoff of the Falcon 9 rocket, its Dragon capsule filled with food, supplies and science experiments, had been scheduled for 4:55 a.m. ET from the SpaceX launch site at Cape Canaveral Air Force Station in Florida. When it launches, three days later, astronauts will use a robotic arm to attach the Dragon capsule to the station. Cargo will be unloaded, return cargo loaded in, and the capsule will return to splash down in the Pacific.

Light Years: SpaceX Dragon to launch Saturday

It will be the third launch of the Falcon 9 rocket; the second launch of the Dragon capsule, the first with components needed for space station docking; and one of 12 planned SpaceX flights to the International Space Station.

SpaceX admits the riskiness of its endeavor. The current flight has already been delayed several times because of problems with the flight software. Space-flight veterans in the company are well aware of the trial-and-error nature of technology development, but they also know risk is an essential part of innovation.

NASA's Commercial Orbital Transportation Services program is funding a handful of private companies -- including SpaceX (Space Exploration Technologies Corporation); Orbital Sciences Corporation, which built the Pegasus rocket launch system 20 years ago; Blue Origin; Boeing; and Sierra Nevada -- to carry cargo to the International Space Station.

ATK (Alliant Techsystems Inc.) plans to use its Liberty rocket to launch humans into orbit by 2015.

CNN Explains: Commercial space flight

Many of these private companies have goals far beyond servicing the space station. Taking over space trucking from NASA allows them to pay the bills as they develop increasingly capable space vehicle systems. Then, providing they can reduce space launch costs by a large factor, they may be able to exploit new business opportunities, including passenger traffic to outer space.

Still, they are not motivated by purely commercial concerns.

The financial backers of these companies -- Elon Musk of SpaceX or Blue Origin's (and Amazon's) Jeff Bezos -- have invested hundreds of millions of dollars of their own fortunes. They doubtless would like their space adventures to turn a profit, but at heart they are modern-day pioneers who want to do something profoundly important for the future of humankind.

Take the example of Planetary Resources, a company that recently announced plans to investigate and eventually mine rare metals from asteroids.

The news stories emphasized PR's business plan, but their goals are far broader. They will first build small space telescopes to observe asteroids, so they can understand these building blocks from which Earth formed. Asteroids larger than about 100 meters (328 feet) in diameter are a potential hazard for the Earth, and understanding their composition will allow better prediction of their impact on the planet.

Should we ever need to deflect an asteroid, we'll need to travel to it. So, while Planetary Resources might have a plan to make money down the road, they will first contribute critical knowledge to humankind, perhaps helping save the planet from destruction.

Furthermore, with an asteroid visit and perhaps even a sample return, Planetary Resources will discover whether materials essential for human sustenance (hydrogen, oxygen, nitrogen, water) can be recovered from these deep space objects. If so, they could set up interplanetary supply depots to enable human colonization of space. So there is a lot more to space commerce than mining asteroids for rare metals.

Private space companies describe a vision that sounds like the original NASA: big goals, with small but steady steps toward those goals, and much support but little interference from the nation.

People who have visited SpaceX say its employees are among the best and brightest and that they mean to change the world. This is just what NASA did in the 1960s when humans moved out of low Earth orbit and ventured to the moon.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Meg Urry: SpaceX to launch first private freight-carrying mission to the space station

@highlight

She says some lament decline of U.S space leadership, but in a sense it frees NASA

@highlight

She says NASA can focus on space exploration; companies are in it for business

@highlight

Urry: Companies also are doing pioneering work that will be helpful to humankind