The world's car giants go head-to-head as the Frankfurt Motor Show opens to the public. Flaunting the latest releases, the show is a tapestry of hybrid and concept designs from some of the most illustrious marques.

But while the German city plays host to glitz and glamor, manufacturers are eyeing a burgeoning class of car buyers more than 6,000 miles away in China, where 200 million cars now run on the country's ever-congested roads.

The world's largest car market, China is the major battleground for European companies in the 21st century, as premium brands look to exploit a growing population of 1.3 billion people.

With European sales in decline and the U.S. market only slowly recovering, China represents a beacon of steady growth at a time of economic uncertainty.

Read more: China on verge of worst economic crisis in decades

High domestic demand and rising wages are fueling a boom in the world's second biggest economy, with car sales increasing 11% in August year on year, according to the state-backed China Association of Automobile Manufacturers.

World Bank statistics show that China's GDP per capita -- an indicator used to measure the standard of living in a country -- had risen 436% between 2002 and 2012, from $1,135 to $6,091.

Watch more: European production for Chinese cars

China's car market will almost match the combined size of the U.S. and western European market by 2019 with sales set to double from current levels, according to a report by consultancy PricewaterhouseCoopers.

And where once Chinese motorists were content to buy dated, home-grown vehicles -- or at best pale imitations of Western designs such as Mercedes-Benz and BMW -- now they want the real McCoy, according to analysts.

Read more: China pushes for indigenous car brands

"You see the same with the massive rise of the middle class in India," said Andrew Marsh, director of independent consultancy AutoIndustryInsider.com. "Those who can afford it don't want the domestically produced tat. They want to have the Western names, vehicles built elsewhere."

U.S. auto giants Ford and General Motors have reported record sales increases in China for the month of August. The two Detroit-based companies reported a 46% and 11.2% rise respectively, with Ford citing strong demand for the Focus while GM-owned marque Buick sales for August are up 17.7% compared to the same month in 2012.

Read more: Chinese automaker snaps up Volvo $1.8 billion deal

Car sales are also booming at the top end and this week McLaren Automotive said it would start trading in China for the first time. The British-based manufacturer of luxury, high-performance sports cars is opening four showrooms in major Chinese cities including Beijing and Shanghai in an effort to tap China's growing middle class.

Mike Flewitt, chief executive officer of UK-based McLaren Automotive, said: "We want to achieve a balanced global sales portfolio, with China contributing somewhere in the region of 10% of total sales."

Watch more: Will Chinese cars save Chrysler

McLaren's supercar range including the 12C, the 12C Spider and the P1 went on sale in China on September 9. The 12C and the Spider retail between £165,000 and £195,000 while the luxury P1 costs approximately £866,000.

James Foxall, a motoring columnist for Britain's Daily Telegraph, said that although western carmakers are clamoring to enter the Chinese market, foreign companies face a number of hurdles in the process. "Western carmakers can't just pitch up and sell cars in China," he said. "They have to go into a joint venture with a local manufacturer."

Watch more: Chinese car company sets up college

General Motors and Ford have both used local partnerships to enable them to produce cars in China. GM operates with Shanghai Automotive Industry Corporation (SAIC) while Ford is in a three-way venture with Chinese Changan and Japanese producer Mazda.

The threat of counterfeiting is also brushed aside by the high-end Western car manufacturers.

McLaren's Flewitt said the company was not "overly worried" by the prospect.  "We are constantly investing a large amount of time, money and brainpower into R&D. That means that while a company may copy what we are producing today, by the time it is introduced and established by a competitor, we will already be focused on the next step forward."

And the reality is that copying a car badly may be simple; doing it to the quality of an Audi or BMW is incredibly difficult. As Foxall added: "Then trying to mass produce it is even more difficult and the Chinese just haven't got that yet."

That's not to say that Chinese manufacturers are not trying to emulate less sophisticated European cars -- at least in terms of their design.

Paolo Beconcini, a partner and intellectual property expert at Shanghai-based Carroll, Burdick and McDonough, argues that Chinese buyers are less "demanding" than western consumers who require the latest environmentally-friendly engines and safety features.

"Cars are first of all a status symbol, the gate to the middle class.Therefore, Chinese consumers focus more on the outer design of vehicles than in their technology, safety and performance."

@highlight

China car sales increasing 11% in August year on year, according to the state-backed manufacturers association

@highlight

China's car market will almost match the combined size of the U.S. and western European market by 2019

@highlight

U.S. auto giants Ford and General Motors have reported record sales increases in China for the month of August