(CNN) -- In recent days, international attention has refocused on the rapidly deteriorating security situation in Yemen. The claim of responsibility for the attack on Northwest flight 253 on December 25 by al Qaeda in the Arabian Peninsula has underscored the fact that Yemen's problems will not stay in Yemen.

In the absence of immediate and sustained attention by the international community, Yemen may be overwhelmed by a unique convergence of crises. While some observers feared this would come in several years, it is increasingly apparent that failure may come sooner than previously expected.

Yemen has frequently been described as a failing state -- and with good reason. Civil war, terrorism, a deepening secessionist movement and economic and demographic trends threaten to overpower the Yemeni government, provide a breeding ground for terrorists and destabilize the region. Yemen has often teetered on the brink of collapse, but it has never faced so many interconnected challenges at one time.

At the heart of the country's problems is a looming economic crisis. Oil is the source of nearly 80 percent of government revenue, and it is quickly running out. There are few viable options for a sustainable post-oil economy, and Yemen is already the poorest country in the Arab world with an unemployment rate conservatively estimated at 35 percent.

Yemen's pending economic collapse has been greatly accelerated by the civil war in Saada. Government forces have been unable to decisively put down the rebels in the north of the country, and there is no military solution to the conflict. The toll in Saada has been severe, with extensive damage to infrastructure and an estimated 175,000 internally displaced people.

The conflict's strain on the Yemeni army has led to questions about the military's ability to simultaneously engage in other operations, including counterterrorism.

The government is spending foreign currency reserves at an alarming rate, recently estimated at more than $200 million per month. Spending on the war will create a major budget deficit next year. Every dollar spent on the civil war is a dollar not spent on addressing the underlying causes of instability in Yemen.

Yemen also is facing a growing secessionist movement in the south of the country. When the war in Saada subsides, it is feared that the secessionist movement will again flare up. The government does not control the entire territory of Yemen, and the emergence of additional areas outside of the capital of Sanaa's control will create more under-governed spaces that can be exploited by terrorist movements.

For the past year, there have been growing indications that al Qaeda is regrouping in Yemen and preparing to strike Western and other targets. Recent counterterrorism measures in Saudi Arabia have forced extremists to seek refuge elsewhere, and analysts have observed a steady flow of extremists relocating to Yemen's under-governed areas.

In spring 2008, al Qaeda operatives in Saudi Arabia were encouraged by local Saudi al Qaeda commanders to escape to Yemen, and by January 2009, the Saudi and Yemeni al Qaeda affiliates merged.

A video announcing the establishment of al Qaeda in the Arabian Peninsula featured two Saudis previously released from the U.S. military detention center at Guantanamo Bay, Cuba -- both assumed leadership positions in the newly formed organization. Mohammed al-Awfi subsequently surrendered to Saudi authorities and Said al-Shihri reportedly escaped a recent counterterrorism strike that preceded the Northwest bombing.

The emergence of the regional al Qaeda group marks a major deterioration of security in Yemen. As recent events have highlighted, Yemen is becoming a base for al Qaeda to mount operations not only inside the country but also across the Arabian Peninsula and internationally.

In August 2009, al Qaeda in the Arabian Peninsula nearly assassinated Prince Mohammed bin Nayef, the Saudi counterterrorism chief, in an attack that was eerily similar to the Christmas Day Northwest bomb attack. Following the attack on Prince Mohammed, it boasted of its new bomb technology and threatened to use its new 'undetectable substance' again.

And in mid-October, several Saudis were killed trying to cross into Saudi Arabia, including the brother of deputy commander Said al-Shihri. According to local press reports, the two were attempting to smuggle several suicide vests into Saudi Arabia.

Al Qaeda in the Arabian Peninsula was allegedly bolstered by the relocation of al Qaeda operatives from Pakistan and Afghanistan this summer. Media reports quoted intelligence sources saying that fighters fleeing from South Asia were seeking safe havens in Yemen and Somalia.

Any single event -- or more likely a confluence of worst-case events beyond the ability of the Yemeni government to control -- could lead to a further erosion of central government authority in Yemen and destabilization of the region.

As the central government's authority and legitimacy continue to deteriorate, there will be more opportunities for extremists directed or inspired by al Qaeda to regroup, organize, train and launch operations against U.S. and allied targets throughout the Gulf region and globally.

Military operations to kill or capture al Qaeda operatives will likely increase in 2010. These actions carry risks. Publicly acknowledged American involvement in counterterrorism operations in Yemen would be deeply unpopular in the country, likely undermine the legitimacy of the Yemeni government and feed into the grievances that help fuel al Qaeda militancy.

Development assistance is one of the most effective tools available to address the interconnected long-term challenges facing Yemen. But, U.S. aid is disproportionately small considering the magnitude of the problems facing the country and Yemen's strategic importance to the United States.

In addition to the reported $70 million of military and security assistance, the United States recently announced $121 million in development aid over the next three years, a significant increase from previous years and a vital step in the right direction.

Still, the amount pales in comparison to the $1.5 billion allotted to Pakistan in the next year alone. This disparity persists even as U.S. officials increasingly cite Yemen as a terrorism and security priority second only to Afghanistan and Pakistan.

No perfect solutions exist for Yemen's problems today, and none of its many pressing challenges can be fully averted. However, steps can be taken to lessen their impact. The United States has a stake in helping Yemen deal with its problems, and the cost of inaction would be too great.

Failure to act now would lead to fewer and even worse options in the future. As one administration official recently said to me, "We've seen this movie before, and we know how it ends."

The opinions expressed in this commentary are solely those of Christopher Boucek.

@highlight

Yemen has the earmarks of a failing state, says Christopher Boucek

@highlight

The nation is dealing with a civil war, other challenges to its authority

@highlight

Boucek says Yemen is running out of oil, lacks other economic strengths

@highlight

He says al Qaeda militants, including some from South Asia, are regrouping in Yemen