(CNN) -- A new era in space exploration dawned Tuesday as a slender rocket shot into the dark Florida sky before sunrise, carrying the first private spacecraft bound for the International Space Station.

"We're now back on the brink of a new future, a future that embraces the innovation the private sector brings to the table," NASA Administrator Charles Bolden said. "The significance of this day cannot be overstated."

The unmanned SpaceX Falcon 9 rocket blasted off from Cape Canaveral, Florida, at 3:44 a.m., carrying 1,300 pounds of food, clothing and scientific experiments on a demonstration mission to gauge the company's ability to safely and efficiently deliver supplies to astronauts staffing the orbiting station.

Opinion: Private space travel -- A new era begins?

If successful, the test could open the door to a wave of commercial exploitation of space.

Tuesday's launch marks the culmination of six years of preparation to bring commercial flights to the space station following the retirement of NASA's space shuttle fleet last year. It's backed by entrepreneur Elon Musk, the founder of PayPal.

Stellar week for SpaceX founder Elon Musk

"Every bit of adrenaline in my body released at that moment," Musk said of the launch, in a statement released by NASA. "People were really giving it their all. For us, it was like winning the Super Bowl."

The rocket launched without a hitch following a flawless countdown that came three days after a faulty valve on one of the rocket's engines forced a last-second postponement. Its solar array panels deployed later Tuesday.

At 180 feet tall and 12 feet in diameter, the Falcon 9 rocket is tiny in comparison to the football-field-long Saturn V rockets that carried Apollo spacecraft into orbit. It carries the company's Dragon cargo capsule capable of carrying 13,228 pounds of supplies into orbit, the company said.

The capsule is scheduled to perform a series of maneuvers that should bring it within reach of the space station's robotic arm on Friday. If NASA gives the go-ahead, the crew will use the arm to attach the capsule to the station and begin unloading supplies, according to SpaceX.

It will remain attached to the station for two weeks before it plummets back into the atmosphere and splashes into the Pacific Ocean off the California coast, according to SpaceX.

Read more about the launch on CNN's Light Years blog

The cargo manifest for the trip includes 674 pounds of food, clothing and miscellaneous supplies, 46 pounds of supplies for use in science experiments, 271 pounds of cargo bags for use in future flights and 22 pounds of computer equipment.

It will return with science experiments, hardware and used gear.

Cremated human remains were placed in the second stage of the Falcon and will orbit the Earth. Celestis Inc. charges families $2,995 to launch 1 gram of remains in this type of memorial spaceflight.

NASA's Internet tool SkyWatch is providing information on viewing the Dragon from Earth. The cargo capsule will continue its orbit Wednesday as it travels toward the space station.

The launch is an important step for NASA and the United States, which currently has no means of independently reaching space. NASA relies on the Russian space agency to ferry U.S. astronauts to orbit.

"What's really important is not control, as much as it is the fact that the United States will once again be in the lead, will be providing our own vehicles to take our own astronauts and cargo to the International Space Station," Bolden said. "It's fine to rely on partners, but that's not where the greatest nation in the world wants to be."

White House science adviser John P. Holdren also hailed the launch.

"Every launch into space is a thrilling event, but this one is especially exciting because it represents the potential of a new era in American spaceflight," he said. "Partnering with U.S. companies such as SpaceX to provide cargo and eventually crew service to the International Space Station is a cornerstone of the president's plan for maintaining America's leadership in space."

SpaceX is conducting the flight as part of a contract that could be worth as much as $396 million, according to company spokeswoman Kirstin Brost Grantham. The company has completed 37 of the 40 milestones in the contract and has received $381 million so far, she said.

Musk likened the significance of the launch to the growth of the commercial Internet -- from its underpinnings as a government initiative to the technological, economic and cultural engine it is today.

"I think we're at a similar inflection point for space," he said. "I hope and I believe that this mission will be historic in marking that turning point towards a rapid advancement in space transportation technology."

The first attempt to launch the rocket was halted Saturday when a flight computer detected high pressure in an engine combustion chamber. Workers replaced the valve on Saturday, SpaceX said.

The company plans 11 more flights to the space station.

One of a handful of private companies receiving funds from NASA to develop a space taxi system, SpaceX hopes the experience with the cargo flights will help the company reach its goal of carrying astronauts aboard the Dragon.

The company is developing a heavy-lift rocket with twice the cargo capability of the space shuttle, and also dreams of building a spacecraft that could carry a crew to Mars.

CNN's John Zarrella contributed to this report.

@highlight

SpaceX founder says the launch could prove to be a turning point for space exploration

@highlight

"The signifance of this day cannot be overstated," NASA director says

@highlight

The rocket carrying a space capsule lifts off successfully early Tuesday

@highlight

The launch is the first private mission bound for the International Space Station