(CNN) -- Even as Facebook titles like "FrontierVille" and "Restaurant City" continue to attract millions of players, interest in social games may be waning.

A rise of tongue-in-cheek parody games that poke fun at these popular outings points to rising discontent amongst both gaming fans and industry insiders.

"There's a general feeling of discomfort and bafflement with all of the FarmWhatever and MobsterBoss notifications you see on Facebook and other social networks," said Persuasive Games founder Ian Bogost. "It's become almost absurdist."

Witness Bogost's new social gaming spoof, "Cow Clicker," a Facebook game in which you click on cows to earn the right to click on more cows. It's a form of biting interactive satire.

"Any cultural force that we don't grasp but that seems to overtake us becomes ripe for parody," Bogost added. "I created 'Cow Clicker' in part to give myself and others a second look at 'FarmVille' and its ilk and force social-network games players to ask themselves what these [titles] are and why they're so compelling."

From social-gaming protest groups to fake "FarmVille" commercials, there are plenty of signs that other social networkers share similar sentiments.

This year has also brought "Progress Wars," a game in which players repeatedly click to complete random missions such as "ambush silk traders" or "slay dealers." Creator Jakob Skjerning's blog said he analyzed popular Facebook games and distilled their gameplay into core game mechanics "to point out the pointlessness of many casual games."

Some gaming experts claim that social-network games put business concerns before artistic ones and are specifically designed to prompt base Pavlovian responses and keep players clicking away. According to New York University games researcher and theorist Jesper Juul, social games are "brain hacks that exploit human psychology in order to make money."

"There are forces that compel us humans to do incredibly counterintuitive things," concurred Bogost. " 'Cow Clicker' is a game in which you click a cow, and yet that simple act can still swallow us whole. We like to think of ourselves as rational beings with control over our faculties, but far more often, we are at the whim of things rather than master over them."

Some professional game makers even accuse social network titles of promoting addictiveness and using shame as a motivator. For example, "FrontierVille" players who fail to accept requests from friends or upkeep their virtual homesteads may be subject to public mockery.

Social networks like Facebook offer gamers the ability to interact easily with millions of other users and rally support for positive causes, Bogost says. But he believes that their potential is being underutilized by Silicon Valley tech entrepreneurs.

"It's not the idea of social games that are the problem. [It's that] nobody's talking about what would make them good art but only what would make them immensely profitable," he said.

Naturally, social game makers beg to differ. Brian Reynolds, chief designer for "FarmVille" creator Zynga, whose games also include such Facebook hits as "Mafia Wars," believes that social games "tend to be vastly underrated by many of gaming's opinion leaders."

"This is partially I think because they're so simple," he suggested, "and partially because people just aren't used to the business model or games being able to speak to such a large mass market audience."

Reynolds, the former head of Big Huge Games and a strategy game designer whose credited work includes contributions to the "Civilization" franchise, thinks social network titles are a major positive for the field.

"Working in social games feels more like the games industry did when I started 20 years ago," he says. "Small, scrappy teams working on games that emphasize fun and playability, and not so much huge technology, 3-D engines and full-motion video. For designers, it's a really fertile space to be creative."

Despite a steep drop off in popularity since Facebook shut off social games' ability to spam user profiles with messages and updates this year, Reynolds argues that the market for social gaming hasn't peaked.

He cautions that some user attrition is inevitable and that an ongoing evolution in social gaming is needed to stave off player boredom, and he believes that the fundamental multiplayer context of these games will ensure their survival.

"That's the real nuclear bomb for me," he said. "Unlike previous games, you're playing light games with real friends that you have actual 'real-world' social connections with, not meeting strangers online."

Bogost believes traditional game developers are "stuck in a strange no-man's-land" between the entertainment industry and the high-tech industry.

"At the same time, traditional developers are understandably startled and even jealous of the massive and sudden success of social games," he said. "So there's a good deal of self-loathing at work."

@highlight

Interest in social games, such as Facebook's "FarmVille," may be waning

@highlight

Some experts claim social-network games put business concerns before artistic ones

@highlight

Zynga designer: Social games "emphasize fun and playability" over complex technology