Washington (CNN) -- A faulty pipe, flawed operations, and inadequate government oversight led to the 2010 Northern California natural gas explosion that killed eight people, federal officials said Tuesday.

During a public board meeting, National Transportation Safety Board investigators delivered their final report on the matter, sharply criticizing pipeline owner Pacific Gas and Electric for the explosion in San Bruno, saying the pipe was inadequate from the time it was installed in 1956.

That was compounded "by a litany of failures" over several years, including poor record-keeping, inadequate inspection programs, and "an integrity management program without integrity," NTSB Chairwoman Deborah Hersman said.

"It was not a question of if this pipeline would burst," she said. "It was a question of when."

Hersman said the probe yielded "troubling revelations about a company that exploited weaknesses in a lax system of oversight, and government agencies that placed a blind trust in operators to the detriment of public safety."

The September 9, 2010, explosion created a 72-foot long, 26-foot-wide crater, destroyed 38 homes and left eight dead in San Bruno, near San Francisco International Airport. A 28-foot segment of the pipe was found about 100 feet away from the crater. Scorched homes and the shells of burned-out cars lined charred streets where firefighters battled hot spots trying to save the devastated neighborhood.

PG&E did not respond to CNN's requests for comment about the report, but in advance of the hearing, the company released a statement saying it had taken "multiple steps" to improve the safety of its natural gas operations, including efforts to replace aging pipe and improve contacts with local police and fire departments.

In a statement posted on its website, the company said, "The NTSB's continued work to determine the cause of this tragic accident is critical in helping PG&E and the industry understand what steps need to be taken to avoid a future accident like the one in San Bruno. As before, we will update our improvement plans based on these latest findings without delay."

NTSB investigators determined the explosion was caused by a substandard and poorly welded pipe, creating a weak spot that grew to a critical size, causing the pipeline to rupture during a pressure increase stemming from poorly planned electrical work. They said the faulty welds should have been detected when the pipe was originally laid in the ground in 1956.

Compounding the problem, investigators said, was the fact that PG&E failed to alert emergency responders as soon as they realized the line had burst. Isolating the rupture to stop the flow of gas took over an hour, and put first responders in a defensive mode as they struggled to put out the fire, investigators said.

"There was a lot of denial in the operating room that maybe it's a plane, maybe it's a gas station," said Ravi Chhatre, the NTSB's investigator-in-charge.

At a mid-day news conference Tuesday, Hersman said the problem "could have been detected if they (PG&E) had hydrostatically tested the line, if they had done in-line inspections."

"There were a lot of opportunities missed here by PG&E," Hersman said.

During the board meeting, board member Robert Sumwalt noted that the California Public Utilities Commission failed to exercise adequate oversight and enforcement of PG&E, and that the federal regulator, the Pipeline and Hazardous Materials Safety Administration, which is a part of the Department of Transportation, failed to monitor the state commission's oversight of PG&E.

"This accident is not just about the failure of a seam in a pipeline. Rather it's about a failure of an entire system -- a system of checks and balances that should have been put in place to prevent the disaster," Sumwalt said.

Board members pointed to past PG&E-related incidents as examples of the company's lax procedures, noting a gas explosion resulting in a fatality in 2008, and a gas main break in 1981 that forced more than 30,000 people to evacuate San Francisco's financial district.

The NTSB closed the hearing with 26 recommendations, including requiring natural gas pipeline operators to equip their systems with real-time recognition tools to pinpoint leaks and line breaks, and automatic shut-off and remote control valves in "high-consequence areas."

Speaking to members of the press after the hearing, Hersman said the recommendations "are strongly worded and far-reaching."

She said the board's recommendations in the past have not been taken seriously.

"We've heard a lot of promises, but now what we're asking is ... that regulators are tough," she said. "The regulators are the only ones that are standing between the operators and the public, and the public is counting on them to make sure the operators are doing the right thing."

San Francisco City Attorney Dennis Herrera, who has filed an intent to sue the California Public Utilities Commission and federal regulators "for their failure to reasonably enforce safety standards," said in a statement issued after the NTSB's meeting that the investigators' findings support his move.

PG&E runs three major gas pipelines, including the one involved in the San Bruno explosion, under "nine high-population-density neighborhoods in San Francisco," Herrera said.

CNN's Augie Martin contributed to this report.

@highlight

An NTSB report is critical of pipeline owner PG&E and government regulators

@highlight

PG&E "exploited weaknesses in a lax system of oversight," the NTSB chief says

@highlight

The San Bruno explosion killed eight people and destroyed 38 homes

@highlight

PG&E says it has taken "multiple steps" to improve safety since the blast