(CNN)The terrorist group Al-Shabaab has claimed an attack on Garissa University College in eastern Kenya, in which many people have been killed and still more taken hostage.

The attack is another step in the ongoing escalation of the terrorist group's activities, and a clear indicator that the security situation in East Africa is deteriorating fast.

Somalia-based Al-Shabaab has been behind a string of recent attacks in Kenya, the most well-known of them being the massacre at the Westgate Shopping Centre in Nairobi in 2013.

Cross-border raids into Kenya by the group, however, date back to 2011. Al-Shabaab incursions triggered a military response by the government in Nairobi, which sent troops to Somalia as part of an African Union mission in support of Somalia's internationally recognized government that had been under pressure from Al-Shabaab and other militants for several years.

Al-Shabaab is predominantly driven by the same radical interpretation of the Koran as al-Qaeda and ISIS (also known as Islamic State), but also employs more opportunistic approaches to shoring up local support. Its origins lie in Al-Ittihad al-Islami (Unity of Islam), one of several militant factions that emerged in the wake of the fall of Siad Barre in 1991. These disparate groups fought each other and a U.N. peacekeeping mission in the Somali civil war that led to the complete collapse of the country, from which it has yet to recover almost quarter of a century later.

Al-Shabaab (literally "the Youth") split from Unity of Islam in 2003 and merged with another radical Islamist group, the so-called Islamic Courts Union. As their alliance obtained control of Somalia's capital Mogadishu in 2006, Ethiopia, the only majority Christian country in the region, took military action against the group. The offensive weakened Al-Shabaab and pushed it back into the rural areas of central and southern Somalia, but it failed to defeat it.

To the contrary, Ethiopia's invasion and occupation of parts of Somalia -- although invited by the Somali government and backed by the African Union -- enabled Al-Shabaab to partially re-invent itself as both an Islamist and nationalist force opposing a foreign "Christian" invasion.

Initially, the group primarily attacked Ethiopian forces, but soon began to "expand" its activities against the Somali government as well. The first attack outside Somalia was an attack in the Ugandan capital of Kampala in 2010. Soon after this, cross-border raids in Kenya began, predominantly targeting Christians there.

Increasing its links with al-Qaeda, Al-Shabaab declared its full allegiance in 2012 -- and it is not clear whether it will switch allegiances to ISIS. Much will depend on how the relationships between al-Qaeda in the Arabian Peninsula (AQAP), a long-time ally of Al-Shabaab based in Yemen, and ISIS develop.

The key point is that Al-Shabaab's attack in Garissa is part of a broader regional context of instability fueled by a huge number of factors. It must not be interpreted simply as another act of garden-variety fundamentalist terrorism.

Clearly, the presence and activities of terrorist groups in the region is a major concern, and it is undoubtedly driven by radical and exclusivist interpretations of Islam. But the entire region also suffers from a range of other problems: from economic development challenges to environmental degradation; from organized crime to inter-tribal and inter-communal violence; from corruption to serious deficits in human rights and good governance.

These entrenched inequalities help Al-Shabaab appeal to a wide variety of potential recruits, who may sympathize with and actively support the group for any number of reasons.

Attacking a university in northern Kenya and separating Christian from Muslim students epitomizes the way Al-Shabaab advances itself by exploiting religious, tribal and nationalist identities. Ultimately, though, this all comes down to a struggle for control -- over people, over territory, and over resources.

As long as the majority of people in the region remain excluded from any meaningful political, economic, and social participation in their societies -- which are dominated by primarily self-interested elites that put their own advance before that of their communities -- human lives matter little in the pursuit of selfish interests.

It is important to counter Al-Shabaab directly, including by military means. But there won't be any lasting solution to the wider region's security problems without a more comprehensive and concerted effort to address the deeper problems of exclusion suffered by the citizens of the countries challenged by Al-Shabaab.

As Garissa shows, these problems are still providing oxygen for nihilistic ideologies and their deadly fruit.

Copyright 2015 The Conversation. Some rights reserved.

@highlight

Terrorist group Al-Shabaab has attacked a Kenyan college, killing and taking hostages

@highlight

It is a clear indicator the security situation in East Africa is deteriorating, says Stefan Wolff

@highlight

More than military action aloe is needed to combat terrorism in the region, he says