Egyptians head to the polls to vote for their next president on Monday and Tuesday.

There will be just two candidates, Abdel Fattah el-Sisi and Hamdeen Sabahi.

Egypt had an election recently. So why are they having another one?

Egyptians are voting again because Mohamed Morsy -- Egypt's first freely elected president -- was removed from power last year in a popular military coup.

Morsy's ouster last July was the culmination of a months-long petition campaign to remove him from office and days of mass demonstrations against the former Muslim Brotherhood leader.

Critics accused Morsy of hijacking the 2011 revolution, pushing aside moderate and liberal voices, and botching Egypt's already ailing economy.

Morsy rejected the allegations and accused Egypt's military backed establishment and Mubarak-era loyalist of undermining his presidency.

In a remarkable reversal of fortune the man who removed Morsy from power - then army chief Abdel Fattah el-Sisi - is now heavily favored to win the presidential election.

Morsy and scores of fellow members of the Muslim Brotherhood are in prison facing a variety of charges.

How will Muslim Brotherhood supporters vote?

The Muslim Brotherhood is not represented in the election, which is due in large part to an aggressive campaign by Egyptian authorities to eliminate the movement from Egypt's political landscape.

Despite initial promises of an inclusive transition to a democratically elected government, Egypt's military backed interim government banned the Muslim Brotherhood last year and declared it a terrorist organization.

Today most of the group's leadership is either in jail, in hiding, or taking refuge outside Egypt.

Both candidates - Abdel Fattah el-Sisi and Hamdeen Sabahi - have promised to keep the Brotherhood out of Egyptian politics if elected president.

The Strong Egypt Party - led by former Muslim Brotherhood leader Abdel Moneim Aboul Fotouh - has decided to boycott the vote.

The ultra-conservative Salafist Nour Party supported the 2012 election of Mohamed Morsy but is now drawing criticism from Islamist groups for supporting candidate el-Sisi.

What are the policies of each candidate?

Both candidates have generally remained vague on policy details, choosing instead to make populist promises that play well in television interviews.

And, both promise to fix Egypt's failing economy, though neither has detailed how they plan to create jobs, generate revenue, and cut costly food and fuel subsidies -- a move many fear will anger Egypt's poor.

El-Sisi vows to keep Egypt safe by continuing the "war on terrorism," a reference to the recent rise in low-level insurgent attacks against security forces.

Critics fear el-Sisi will exploit that narrative to stifle free speech and continue a crackdown against dissent that has been sharply criticized by international rights groups.

Sabahi promises to release what rights groups describe as thousands of political prisoners and ban a controversial protest law, which says groups of ten or more cannot gather in public without prior government permission.

Who is likely to win? And will the winner finally bring stability to the country?

El-Sisi is heavily favored to win due in large part to widespread support from Egypt's powerful establishment, which includes the military, the private and state media apparatus, and Egypt's political and financial elite.

El-Sisi also has popular support from Egyptians who see him as the man who saved Egypt from a Morsy presidency that was perceived by many to be pursing an Islamist agenda.

Less certain, however, is whether the next president can bring stability to Egypt, and lure back millions of tourists who have stayed away due to more than three years of political unrest.

To establish stability Egypt's next president must make tangible improvements to the economy, improve security, and address mounting criticism from rights groups and pro-democracy activists who fear a return to a Mubarak-era style police state.

How will the election result affect the region and the rest of the world?

The outcome of the vote will likely bolster Egypt's relations with key allies Saudi Arabia, Kuwait, and United Arab Emirates -- Gulf states that poured in billions of dollars in funding to support the Egyptian government after the ouster of former President Morsy.

Relations with Qatar and Turkey -- staunch supporters of Morsy and the Muslim Brotherhood --- will remain tense.

The United States and Western powers will likely continue to voice concern about Egypt's alleged human rights violations but will continue relations as long as Egypt honors its peace treaty with Israel and isn't viewed as a disruptive force in an already volatile region.

An el-Sisi presidency would be a potential blow to pro-democracy movements in other Arab states who hoped the 2011 Arab Spring would mark the end of regimes led military strongmen.

@highlight

There are just two candidates in Egypt's presidential election, with polling due on May 26, 27

@highlight

Ex-general Abdel Fattah el-Sisi faces left-leaning politician Hamdeen Sabahi

@highlight

The election follows last year's ouster of Muslim Brotherhood President Mohamed Morsy

@highlight

CNN's Reza Sayah says both candidates have generally remained vague on policy details