When 33 Chilean miners were trapped underground in 2010, the government sent GoPro cameras 2,300 feet down to film the group and their eventual rescue. Felix Baumgartner had a GoPro camera strapped to his chest when he skydived a record 24 miles on October 14.

Cinematographer Andy Casagrande mounted a GoPro onto the back of a great white shark and another in a fake seal to film inside a shark's mouth.

But the small, wearable video cameras are also being used to document less dramatic events, like babies being cute, cross-country road trips and the Internet's favorite video subject, cats.

The dizzying variety of places GoPro cameras have gone shows how the product has grown from a niche tool for surfers into to the rugged video camera of choice for recording physical, outdoor, dangerous or first-person footage.

GoPro has found a unique place in the camera market by focusing intensely on its main product: a tiny wearable waterproof and shockproof HD camera that can be mounted almost anywhere. The newest version of the device is the HD Hero3, announced this week, which is 30% smaller than its predecessors. The new models record higher-quality HD video (up to 4Kp), still images and audio, and cost between $200 and $400.

The company was started by surfer Nick Woodman in 2002, taking off with its first HD camera offering in 2009.

Woodman has managed to break into a market dominated by big names with long histories such as Canon, Nikon, Sony, Fuji and Olympus. With the camera market split into two main categories -- high-end digital SLRs and camera phones -- GoPro is carving out a third category: high-definition action.

Part of the company's success stems from its unique approach to marketing. Like its founder, many of the company's 300-plus employees embody the adventurous GoPro brand and live the lifestyle. They're surfers and skydivers, DIY tinkerers and video geeks. The company has a tight relationship with its customers, constantly finding and featuring cool videos it finds on YouTube or Vimeo that were shot with a GoPro.

The media team puts the cameras in the hands of big-name athletes such as Shaun White and Kelly Slater and takes part in large events like the Baumgartner jump and the X Games.

Luckily for GoPro, its cameras are natural viral video stars and apparently look delicious to seagulls: A seagull in France grabbed a GoPro and dropped if off on top of a castle, and another in San Francisco took one for a ride over the bay at sunset.

The two bird videos alone have racked up over 5 million views in total. A video shot on a GoPro of a mountain biker being taken out by a gazelle has more than 14 million views. Other companies shell out huge amounts of money for that level of exposure.

Bradford Schmitt, GoPro's creative director of media production, encapsulates the spirit of the company. He looks and acts the part of an adrenaline-loving California dude, rocking tattered T-shirts, sun-bleached blond hair and a scraggly beard.

Schmitt met Woodman and his wife, Jill, in 2002 on a trip in the Mentawai Islands, off the coast of Sumatra in Indonesia. The group instantly connected and began traveling together. Schmitt and Woodman were fixated on finding the best way to record their surfing exploits without a professional photographer, eventually trying to attach a 35mm waterproof film camera to a wrist strap fashioned out of an old surfboard leash and rubber bands.

Woodman and his wife brought a couple thousand bean-shell belts back to California from Indonesia and sold them out of their Volkswagen van for cash. All the while, Woodman was experimenting with the camera, sending the first prototype to Schmitt in 2004 to test while he traveled around the world. Working with existing camera companies to license their hardware for a wrist strap turned out to be difficult, so Woodman went to China and commissioned a cheap camera in a waterproof case.

He established a proper company called Woodman Labs, hired employees, hit the trade shows and even went on QVC. In November 2009, GoPro released its first HD camera. It's since sold more than 3 million HD cameras.

GoPro isn't a typical Silicon Valley technology company. It makes hardware, it's been profitable from early on, and not including some original funding from friends and family, it has taken on only modest amounts of outside investment -- including an undisclosed sum from the Disney-affiliated Steamboat Ventures last year.

What it does has in common with its software-making neighbors is the hacker spirit. GoPro employees and users are constantly tinkering with and modifying the camera, inventing mounts and unexpected uses. At the company's San Mateo headquarters, engineers and designers regularly create inventive mounts, only a handful of which every actually make it to production.

GoPro customer and fisherman Mark Peters created a custom torpedo-shaped housing for his camera and dragged it behind a boat, catching amazing underwater video of dolphins.

The camera has broken out of the sports world thanks in large part to these creative customers who are constantly coming up with new "Wouldn't it be cool if ..." scenarios.

Scientists and companies have found that the camera also has practical uses, like collecting data. There were multiple cameras strapped to the 72-foot America's Cup boat that capsized and was dragged out through the Golden Gate into the ocean on Tuesday night. The racing team had been using the cameras to collect data for training. (Unfortunately, the damage to the multimillion-dollar boat was extensive, and the cameras were lost at sea.)

A plasma-based rocket company has placed GoPros in a thermo-vacuum chamber for analysis when it fires test rockets. Meteorologists have sent the devices up on weather balloons, and oceanographers have sent them out to sea. The U.S. military uses GoPros and the optional night vision mounts.

For the launch of its newest HD camera, the company is pushing harder to reach a more general audience, with television commercials, print ads and sponsorships. It organized an elaborate day of extreme activities in San Francisco for journalists, including rides in fighter jets, in race cars and on the back of America's Cup racing boats. It sent people up hot air balloons, on the back of motorcycles and scuba diving with sharks at the Aquarium of the Bay.

GoPro has some competition from companies like Sony and will probably see more similar products on shelves as bigger camera companies try to duplicate its success. For now, it is enjoying showing off its new hardware and the rad HD videos it captures, whether they're of cats or fighter planes.

@highlight

GoPro announced a new, smaller wearable camera that shoots up to 4Kp video

@highlight

Company is betting on mainstream customers, in addition to extreme sports users

@highlight

A unique company culture and passionate fan base are big factors in GoPro's success