(CNN) -- "You press the button, we do the rest."

So Kodak promised back in 1888 when founder George Eastman introduced the company's first camera.

But that's the problem, isn't it? We don't need anybody to do "the rest" nowadays. We don't need film processing. We don't need film, for that matter. We don't even need the cameras. We can just pull out our phones and get a perfectly adequate snapshot -- one without the sharpness and detail of a good 35-millimeter image, perhaps, but we live in an age of "good enough." After all, those MP3 files on your iPhone are no match for CD quality, either.

It's that age of convenience that Eastman helped usher in with his once-ubiquitous company. But now convenience and technology have taken their toll: On Thursday, the venerable Rochester, New York-based firm filed for Chapter 11 bankruptcy. These days, its most coveted assets are its patents for digital imaging -- including, ironically, some used in smartphones.

"It made photography commonplace, from the Brownie (camera) through its many variations," says Joan Saab, who teaches visual and cultural studies at the University of Rochester. The "democratization" of photography even helped turn the form into art, as experts sought to bracket off the snapshots of everyday amateurs from the aspiring work of aficionados, she adds.

CNNPhotos: Kodachrome collection looks back at midcentury America

Kodak was a pioneer in other ways. It was a relentless advertiser, promoting its products in a range of ways, making "Kodak" a synonym for photography.

Eastman "was marketing a product and a process. That was his genius," says Saab. "It was bigger than just saying, 'Hey, buy my brand.' It was 'invest in this way of doing things.' "

Kodak's advertising deliberately tapped into a powerful vein of nostalgia, a concept that became as ingrained as the silver-halide crystals that form the photographic image.

Kodak shrewdly exploited that feeling with its ad campaigns, which used songs such as the Paul Anka-sung "The Times of Your Life" to yank consumers' heartstrings. An episode of "Mad Men" paid homage to Kodak's power, as '60s adman Don Draper pumped up the company's Carousel slide projector by pointing out, "This device isn't a spaceship. It's a time machine."

A forward-looking firm

Unfortunately for Kodak, nostalgia does not boost stock prices. Companies aren't forever, even ones that people think of fondly. Pan Am used to define the Jet Age; now the name refers to a struggling TV series that wishes to invoke the Jet Age. Woolworth was once a common presence on America's Main Streets; now it has been superseded by Target and Walmart, and its only remnant is the footwear store a subsidiary created in 1974: Foot Locker.

And Kodak? Paul Simon wrote a song, "Kodachrome," using film's rich colors as a metaphor for memory -- nostalgia, again.

iReport: Kodak moments remembered

By the 1970s, Kodak was responsible for 90% of film and 85% of camera sales in the United States, according to The Economist. But for almost a generation, the company strained to keep up in a rapidly evolving tech market that's a step removed from the chemicals-and-paper space it dominated. Instead of Fuji and Polaroid (another firm that has been trying to reinvent itself), its rivals became Hewlett-Packard and Sony and Apple.

Despite its tech know-how, Kodak wasn't quite nimble enough to keep up. Its executives "suffered from a mentality of perfect products, rather than the high-tech mindset of make it, launch it, fix it," Harvard Business School's Rosabeth Moss Kanter told The Economist.

Still, as the company seeks to reorganize, it's worth remembering how much of a forward-looking firm Kodak was.

Eastman, a former insurance company messenger boy and bank clerk, was inspired to go into the business after a trip to the Dominican Republic. As his biography on the Kodak website observes, "The camera was as big as a microwave oven and needed a heavy tripod. ... There were chemicals, glass tanks, a heavy plate holder, and a jug of water. The complete outfit 'was a pack-horse load,' as (Eastman) described it."

Photography was ripe for change. It wasn't a mass business yet, as Alexis Madrigal writes in an excellent Atlantic essay about "the triumph of Kodakery." When the first Kodak camera was introduced, the average middle-class family may have owned 10 photographs -- total. Photography was a craft generally handled by professionals who knew how to deal with those giant cameras, fragile glass plates, careful exposure times and dangerous chemicals.

Eastman changed all that. He made photography casual: the early Kodak cameras -- which cost $25, a sizable sum at the time -- were loaded with 100 exposures, and the later Brownie, which cost $1, allowed for easy reloading. He anticipated the growth of leisure time, and made his product central to its use.

"Snapshots were a kind of social media: They were designed to be shared in once-ubiquitous albums of yesteryear," Madrigal writes.

Years later, the vacation slide show, an excuse for gathering the neighbors to witness your trip to Disneyland, became the butt of jokes for the same reason.

Eastman was also a benevolent mogul, giving his employees medical care, paying them good wages and supporting high culture in his western New York community. His name is all over the area, on such institutions as the Eastman Theatre, Eastman School of Music and Eastman House, the latter a photography museum.

The digital present

Almost 3,000 miles away, there's another monument to Kodak: Hollywood's Kodak Theatre, home of the Academy Awards. But even in the movie capital, the use of film is in decline. Movie houses are changing over to digital projection, and even big-name directors such as David Fincher and Michael Mann have shot their features in high-definition digital formats.

Amateurs, of course, have been indulging in digital for years. Processing film takes money and -- perhaps more importantly -- time. Now everything can be transferred from a camera to a computer as quickly as popping in a USB drive. Anticipation is as long gone from the process as Fotomat booths.

"My kids' relationship to photography is completely different," says Saab. "They think you take pictures with a phone." And prints? Almost never.

Indeed, there's an impermanence to it all now. As one commenter to the Atlantic story pointed out, "The pictures last, even if the cameras didn't: I have family photographs from the 19th century. I (wonder) if, in 100 years, people will have the digital images from the late 20th? 'Oh, yeah, they were on that computer that died and we never got the files off of it.' "

Still, Kodak's not dead yet. There's the intellectual property, for starters; analysts believe the patents may be worth $3 billion, according to Bloomberg, more than the company itself. There's the name, which is instantly recognizable. And there are the people: Even though the company has cut thousands of jobs, much of its generally well-educated workforce has stayed in the area, many starting tech-related businesses.

Psychologically, Rochester is taking the company's bankruptcy pretty hard, says Saab, but the community is also hopeful. An editorial in the Rochester Democrat and Chronicle suggests that the city's economic climate is improving, and Saab points out that "we never had a real-estate bubble, so it never burst."

But it's difficult, she adds, not to feel sad about the bankruptcy of a legendary name.

"It feels like it marks the end of a major era, even though it's easier to take photos now. The idea of democratization is everywhere," she says. "But this bankruptcy strikes a nerve for a lot of people. It's farewell to a certain version of the past, and with that is this idea of nostalgia and what Kodak so successfully sold to the American public."

@highlight

Kodak, longtime photography giant, filed for bankruptcy Thursday

@highlight

Company made photography commonplace, which helped lead to its demise

@highlight

Digital has taken over; Kodak hasn't been able to compete

@highlight

Company was pioneer in advertising, particularly in evoking nostalgia