PINEDALE, Wyoming (CNN) -- Call it modern horse-trading. Balancing the nation's energy needs with its interests in protecting wildlife and habitats.

An antelope grazes near a gas well in Jonah Field, one of the hot spots for natural gas in Wyoming.

The practice is playing out in Wyoming, where energy companies pumped 2.1 trillion cubic feet of natural gas from the ground last year -- produced in 20 of the state's 23 counties. That's enough gas to heat every home in Michigan for seven years.

And good-paying jobs, public works projects and money for higher education have benefited Wyoming.

But there's a trade-off: Wildlife populations are taking a hit.

Populations of the West's iconic mule deer are down where drilling is prevalent; the sage grouse, a bird which conservationists consider a harbinger of how other wildlife are faring, has seen adult populations plunge near gas rig sites.

If grouse aren't surviving, biologists say, that means bad news for animals like antelope, bighorn sheep and pygmy rabbits.

Five years ago, there were about 10,000 wells spread across Wyoming. By the end of 2007, the federal Bureau of Land Management estimates that 30,000 wells will be pumping natural gas.  Watch a bird's eye view of a natural gas field »

Companies such as Shell, EnCana, BP and Questar operate the rigs.

"The West is the last unexploited frontier for gas reserves in the U.S.," said Fadel Gheit, an Oppenheimer and Co. senior energy analyst. "Market prices are skyrocketing. We've drilled the Gulf of Mexico down to Swiss cheese."

But Gheit concedes, "It's not good for the environment, no question."

On a June morning, standing in the middle of one of Wyoming's largest gas fields, Brian Rutledge, a wildlife biologist and the executive director of the Audubon Society of Wyoming, surveys acres of endless sage brush and rigs in the distance.

"These lands are some of the last vestiges of the American West we have, home to hundreds of species who won't survive if their habitat is fragmented by rigs," he said. "Once it's gone, it's gone. A boom goes bust eventually."

"We have to ask ourselves, 'Is getting cheaper gas now worth the future cost to the land?' "

Recent studies have shown the sage grouse and mule deer are in jeopardy, their habitat hurt by gas drilling, biologists say. Power lines are convenient places for raptors and other grouse predators to perch. Rigs sit on sagebrush, the grouse's primary food source. And loud activity disrupts the grouse's mating rituals.

Mule deer are down by 42 percent in areas where drilling is prevalent, according to a 2006 study conducted by independent ecologists and biologists and paid for by gas corporation Questar.

Gas corporations are required to perform wildlife analysis of lands where they intend to drill. Between 2001 and 2005, University of Montana biologist David Naugle attached radio collars to birds in and outside gas fields in northeast Wyoming.

He found as much as an 80 percent reduction in adult birds inside the Powder River Basin, a hot spot of gas production.

Matt Holloran performed his doctoral thesis at the University of Wyoming on the effect of gas drilling on the grouse on the Pinedale Anticline.

"It's getting worse over time," said Holloran, now a senior ecologist with a private conservation firm.

The U.S. Fish and Wildlife Service opted not to classify the bird as endangered in 2005. But a representative said the recent numbers are alarming and the agency may move to reassess the decision.  See a sample of endangered species around the country »

So concerned by the grouse's dwindling numbers, Wyoming Gov. Dave Freudenthal called a summit on the bird last month, drawing hundreds of conservationists, scientists and gas industry executives.

"We have a bull's-eye on our back," Freudenthal said. "I see it as an imbalance. The BLM has one objective and that is drilling. It wasn't always this way. There used to be some concern for habitat preservation, and I'm worried that's gone out the door."

Freudenthal's comments were echoed in more than 90,000 letters the public submitted to the BLM in June objecting to the agency's plan to allow 8,000 more gas wells on 1.6 million acres in a field near Pinedale.

But BLM spokeswoman Cindy Wertz said biologists are performing thorough wildlife and habitat assessments before drilling commences and gas companies are required to repair the land when drilling ends.

And gas companies are spending money to repair the damage they do, like replanting sage brush, which is food for animals.

"We are drilling more, yes, and the sage grouse numbers are challenging. But our wildlife protections are the same as they've always been," Wertz said.

That, however, is not what a 2006 internal BLM document stated.

It said the agency failed for six years to monitor air pollution caused by drilling on public land in the West. The BLM provides "no evaluation, analysis or compiling" of data tracking drilling affects on the environment, it reads.

BLM's lead biologist in Pinedale between 2004 and 2006, Steve Belinda, quit because he says the agency values gas development over wildlife protection.

"The habitat used to be treated as a valuable resource," he said. "Now the BLM biologist acts as a support person to get permits processed, period."

The majority of the wells in Wyoming are on two fields in Pinedale, a town with one grocery store and a weekly newspaper. Folks here talk about a popular bumper sticker: "Lord, thank you for the boom, may it not go bust."

Lauren McKeever, an assistant to Pinedale's mayor, has watched the town's classrooms double, filled with children of gas employees who have moved here. Many of those children enjoy the town's new multimillion-dollar aquatic center, bought with gas industry revenue.  See how gas drilling has changed Pinedale »

"I think the vast majority of folks here understand that our country is in dire need for energy resources," she said. "But, at the same time, I don't think many of us are willing to destroy priceless values in the process of obtaining the natural gas."

Recently, the state Legislature approved giving $2 billion from gas revenue to public schools over the next two years and taxes on groceries have been eliminated. Last year, an endowment created by gas industry taxes grew to $500 million, enabling every Wyoming high school student with above-average grades to attend college in the state.

Around the corner from the aquatic center, Levi Licking has just returned home from his job operating a front-end driver for Questar gas.

The 30-year-old father of two makes $20 an hour, more money than Licking believes he could earn at any business within 80 miles.

"The gas industry is the best thing that ever happened to Pinedale," he said. "This is the same place it was before -- only with more money." E-mail to a friend

@highlight

In 2006, Wyoming provided enough natural gas to heat 27 million homes

@highlight

Biologists say the increased pace of drilling is hurting wildlife, habitat

@highlight

Studies show sage grouse down by 80 percent; mule deer down by 42 percent

@highlight

Communities say they want balance between drilling and habitat protection