(CNN) -- She's built her career caring for orphans.

Jane Aronson has evaluated more than 10,000 adopted children from around the world. Her patients include the offspring of Hollywood luminaries. An infectious disease specialist, she treated Angelina Jolie's daughter Zahara, who was critically ill when the actress brought her home from Ethiopia.

In her new book, "Carried in Our Hearts: The Gift of Adoption: Inspiring Stories of Families Created Across Continents," Aronson curates a collection of stories written by many of the families she helped to unite. The actress Mary-Louise Parker shares the moment she first met her daughter in an Ethiopian orphanage. "Grey's Anatomy" creator Shonda Rhimes remembers crying in a Detroit hospital parking garage, overcome with emotion while waiting for her adopted daughter's birth.

The book is also a family affair for Aronson. Her two adopted sons contribute their own recollections of how they became a family. Des Aronson, now almost 15 years old, shares an anecdote about getting lost soon after meeting his new mother when he was 5. Elevator doors closed unexpectedly at the Hilton Hotel in Addis Ababa, Ethiopia, sending the new family into a panic across hotel floors.

But "Carried in Our Hearts" is about more than the orphans who found their way to loving homes. It also includes a heart-wrenching reminder of the children left behind. The number of international adoptions has plummeted by more than 60% from its peak of 22,991 in 2004.

More than 90% of Aronson's young patients were adopted internationally. In her work as a doctor, and as an advocate for children without families, she has witnessed brutal treatment of orphans in many parts of the world. She also knows the potential these children have to succeed, with education, attention and love.

Internet reveals secrets of 'closed' adoptions

Aronson has made it her mission to improve the lives of the world's orphans, many of whom live in appalling conditions. Worldwide Orphans Foundation, the charity she founded in 1997, is dedicated to helping orphans around the world become productive members of their own communities.

She recently talked to CNN about her new book, and her charity's work. The following is an edited transcript.

CNN: What is the best way forward for solving the orphan crisis?

Aronson: This is a huge problem. We have a population of 7 billion people in the world -- 2.2 billion of them are children. Probably half of those children are at risk for poverty, and lack of access to medical care, education and social support. Orphans, whether they be true orphans, double or single, or children living without parental care because they're children whose parents are unable to parent them -- children are at risk. The number from UNICEF that you see everywhere is 153 million children who are considered orphans, less than 18, loss of one or both parents. And that number is just horrific. The horror of it means that these are children at risk: for early marriage, living in the streets, prostitution, child labor, and finally -- the worst ever -- children who end up exploited by adults, and traded and trafficked.

It is all about women and children. It's everything about women and children. It is so about women and children, I can't shout it enough.

If young women are protected, and allowed the opportunities they deserve, then they would not be giving birth to babies that were not part of their family and their community. And they could go on and become stars and leaders.

The book, from my point of view, is a tribute to all these families. We all did some great work together. We provided hundreds and thousands of children with homes. But it's a drop in the bucket. It's just an option. It's not the solution to a bigger problem.

The highs and lows of foreign surrogacy

CNN: How did this book come about?

Aronson: I built an international adoption consultation service. I ended up doing what I considered to be the best medicine I could have ever done.

I was able to help people in a terribly vulnerable time in their lives. I successfully created families through adoption. I would shepherd them to help that child who was severely malnourished, depressed, delayed, and emotionally deprived become a really solid, juicy little butterball, happy -- it was really like being the stork. In the best of both worlds, it was the stork, not just the delivery of a baby in a hospital room, it was really the delivery of a baby by a collaboration, a team effort, by adoption service professionals, myself, the families. We were helping a little tiny child who had no potential become a person. I'm very proud of that work. I'm just so proud of that work.

CNN: How did you get the families to share their stories?

Aronson: I cast a wide net to get the stories. I sent out hundreds and hundreds of letters, maybe even a thousand. There were hundreds of people who wrote essays for me. I personally edited every story.

The reason why I was so conscientious about editing each of the stories was because I wanted the stories to read universally. I wanted everyone to read this book to feel as if, 'You know, this is the story that resonates with me, that I can identify with,' because it's really about how parents are struggling to become parents, and children are struggling to become children.

It was really great to write a book. I'm really proud to have written a book that really reflects a huge part of my life, and the lives of so many families.

CNN: What made you decide to include stories from the perspective of children who were adopted?

Aronson: That could be a whole book. That could be many books. But I really felt that there were so many families that I knew whose kids grew up during the time I was practicing, I felt it would be a sweet touch. And it was an opportunity for me to have my children express their thoughts about adoption, and they readily do that.

CNN: What is the story behind the cover photo?

Aronson: That's an extraordinary story. Here's this magnificent couple, attempting to adopt an Ethiopian baby, and they met with some challenges. They ended up with a very happy ending.

That photo really reminds me of a house. The way in which they look at him from the side actually look like the sides of the roof, that scaffolds him and protects him.

What's really interesting about that photo is how they really are looking at him, and themselves, and not at us. They are really showing, 'We love this baby. This baby is the center of our life. He's our heart. He's our home.'

@highlight

"Carried in Our Hearts" includes interviews with parents and children joined through adoption

@highlight

Actress Mary-Louise Parker shares moment she met daughter

@highlight

International adoptions have dropped 60% from their peak in 2004

@highlight

There are more than 150 million orphans around the world, UNICEF says