London (CNN) -- Microsoft's popular Kinect for Xbox 360 has inspired countless ingenious "hacks" since its launch at the end of 2010.

The motion-sensing device has been modified to produce everything from real-time light sabers to nifty trash bins which catch your garbage (however bad your aim), proving a catalyst for creativity and invention.

Today, Kinect's reach extends far beyond its gaming origins, spurring advances in medical treatment.

Researchers at the UK's University of Southampton, for example, are using the technology to help patients recovering from a stroke.

A specially devised algorithm enables therapists to remotely track patients' hand and finger movements and guide them through exercises which compliment a wider program of physiotherapy.

"It widens our opportunities to make rehabilitation more accessible to people in their homes," says Cheryl Metcalf, lecturer in Biomechanics at Southampton.

"(Patients) can just plug it into their TV and be monitored over the internet," she said. "The whole tele-medicine idea opens up so many different avenues to be able to look and measure progress objectively."

Aided by electrical engineering company Roke Manor Research, Metcalf and colleagues have created a prototype which is currently being assessed against the traditional laboratory-based system.

It's an accessible technology which people are more willing to accept, says Metcalf, and Microsoft have been very supportive.

"We're very grateful to them for releasing the (Kinect for Windows) SDK (software development kit) and making it more accessible to people," she said.

See also: 3-D printing: the shape of things to come

The kit has been a hit with developers with downloads in the "hundreds of thousands" since its release 18 months ago, according to Microsoft.

The company itself has been busy looking at ways to exploit the technology through its network of research laboratories around the world.

At Microsoft Research's UK base in Cambridge, scientists are currently trialing a new imaging tool for surgeons.

"Touchless Interaction in Medical Imaging" gives surgeons the power to manipulate scans and medical images on a computer screen using hand gestures.

Doctors at Addenbrooke's Hospital in Cambridge and London's St Thomas' Hospital have been impressed with the equipment, says Helena Mentis, one of the Microsoft Research team working on the project.

"They've all been extremely excited to be able to have hands-on manipulation of imaging data that they are so reliant on, particularly with the push towards minimally invasive surgery," Mentis said.

Watch video: Hands-free browsing using Kinect

Dr Tom Carrell, vascular surgeon at Guy's and St Thomas' NHS Foundation Trust, says Kinect has the potential to radically change surgery.

"With Kinect, we could revolutionize the way we do complex operations. Patients will spend less time in theater, and surgeons will be more in control of the information they need," Carrell said in a statement.

Kinect's influence could extend further says Mentis, manipulating 3-D models of the brain for neurosurgery and expanding touchless interaction into a whole suite of surgical tools.

Back in Southampton, the same optimism persists about the progress that can be made using Kinect for Windows.

Metcalf predicts that a commercially viable tool for stroke patients will be achieved within five years and that this flurry of activity is only the beginning.

"The other work that's going on around the world in different domains means we can all learn from each other as well," she said. "It just pushes the whole field forward."

@highlight

Microsoft Kinect inspiring developers worldwide to create novel devices

@highlight

UK researchers have used Kinect to develop a rehabilitation tool for stroke sufferers

@highlight

Microsoft testing new tool for surgeons that allows medical scans to be manipulated using hand gestures