(CNN) -- In a New Delhi hospital, a two-year-old girl is fighting for her life after a teenager brought her there three weeks ago, unconscious with severe head injuries and bruises, fractured arms and human bite marks covering her tiny body.

All of India began following her ordeal through newspapers and television. Doctors operated on the toddler, opened up her airways and placed her on a ventilator. They named her Falak, which means sky.

Her condition remains critical, said Dr. Sumit Sinha of the India Institute of Medical Sciences. No one knows whether she will survive or if she does, whether she will live with permanent brain damage.

But that's just the tip of the story. With each day, it becomes more sordid.

Once police began investigating Baby Falak's back story, they unearthed a suspected ring of human trafficking. The details sparked new outrage among authorities and the public alike, who say the case raises a host of questions about child abandonment, exploitation and the poor treatment of girls and women in the world's second most populous nation.

"This has turned out to be one of the biggest sex rackets involving minors and child prostitution and sale of women for marriage," said Raaj Mangal Prasad, head of India's Child Welfare Committee. "This shows this is a classic case where the magnitude of trafficking has come to light."

Indians came to know of Baby Falak after a distraught teenage girl, only 14, brought the baby to the hospital, claiming to be her mother.

On the night of January 17, the baby just kept crying and crying, the teenager told the Child Welfare Committee in New Delhi. Angered by the tantrum, the girl slapped the baby three or four times -- and bit her.

A while later, she said, the baby slipped on a wet bathroom floor and fell on her face. The girl tied a bandage around the baby's head but the wound began to swell. The next day, when the baby did not wake up, the girl took her to the hospital.

The doctors said Baby Falak was bruised the color of eggplant and beets. She was in a coma. They did not believe the girl's story. Nor that she was Falak's biological mother.

"My personal opinion would be that it doesn't look like a simple case of falling down," said Dr. Deepak Agarwal, a neurosurgeon at the hospital.

She was referred to a juvenile center for counseling and police launched an investigation.

South Delhi deputy Police Commissioner Chhaya Sharma formed five teams to fan out across India to track down Falak's real family.

What police learned in the subsequent weeks was shocking.

The teenage girl ran away from home last June to escape abuse from her alcoholic father. The father failed to pay rent, his landlady told CNN's sister network CNN-IBN. A neighbor described him beating his daughter so hard that her red welts were readily visible.

"I have seen with my own eyes how her father used to beat her up with a stick," Vikram told CNN-IBN.

But her escape led the teenager to more trouble.

She told authorities two people, Sandeep and Arti, forced her into a life of prostitution; that Sandeep allegedly raped her first for three days before he found her customers, according CNN-IBN. Months later, the girl met a man named Rajkumar and the two began living together in a New Delhi slum. Police suspect he, too, was sexually abusing the girl.

The girl told authorities that Rajkumar brought Baby Falak home in November. It's unclear whether the baby was abused then but on that January night, Falak almost died.

"Once victim hurting another victim because there is no sense of hope, sense of survival they can see for themselves," psychiatrist Achal Bhagat told CNN-IBN.

In the western state of Rajasthan, police eventually tracked down Munni, 22, the woman believed to be Falak's biological mother. She had been abandoned by her first husband and sold off in marriage when she was 16 to a young man from a Rajasthani village, Sharma said. She was valued at $6,000, according to The Times of India.

Munni left her three children behind.

"The family life was very disturbed," Sharma said. "She was convinced that she would not be able to raise Falak on her own."

While Munni's youngest fought for her life in the hospital, police found her other daughter in the state of Bihar, many miles from Delhi and Rajasthan. Her son's whereabouts are still not known.

Police scored a breakthrough in the case Friday when they were able to nab Rajkumar, the man they believe is central to the possible trafficking ring. He was caught absconding at the New Delhi train station, Sharma said at a news conference.

In all, police have arrested 10 people so far who are believed to have profited greatly from their crimes.

They are still probing. No one knows how many babies were abandoned, how many women were married off for a price or how many girls were forced to sell their bodies.

The case prompted India's home ministry to review police reports and consider action and reignited national debate on a serious problem in India.

A 2011 TrustLaw danger poll ranked India as the fourth most dangerous place on earth for women, behind Afghanistan, Democratic Republic of Congo and neighboring Pakistan.

The survey said 100 million women and girls are involved in prostitution and 50 million are "missing" in the last century because of female feticide and infanticide. Almost 45% of girls are married off before they reach adulthood.

Prasad of the Child Welfare Committee called the problem "huge." He said India needs more comprehensive laws on the books and stronger enforcement.

This sort of thing happens all too often, Prasad said, and sadly, flies under the radar of a majority of India's 1.2 billion people.

But now, a hapless child fighting very publicly for her life has thrust an ugly side of Indian society into the national spotlight.

@highlight

Baby Falak is fighting for her life in a New Delhi hospital

@highlight

A teenage girl brought her there with severe injuries

@highlight

A police probe is unearthing a possible human trafficking ring

@highlight

10 people have been arrested in a case that could be huge