(CNN) -- In the age of the cell phone, in which every public space buzzes with the conversation of strangers, is it any surprise that a silent movie has captured the public imagination? On Tuesday "The Artist," a silent movie about the transition to sound, was nominated for 10 Oscars.

Alfred Hitchcock once said that the only problem with silent movies was that people's mouths moved and no sound came out. Today we face the opposite problem, inside and outside the movie theater: Sound comes out of people's mouths even when it shouldn't. To get a break from overhearing the incessant, unwanted talk that surrounds us is a valuable thing, and the box office and award-season success of "The Artist" proves it.

The secret to "The Artist"'s success goes beyond shutting off the surround-sound, however. The transition from silent cinema to the talkies, which was the greatest technological change in the movies before the digital era, came at a time of enormous economic devastation all around the world, a time very much like ours.

The talkies were born in the late 1920s, as the stock market rose, but only triumphed during the Depression, after it crashed. Back then, movie theaters had to retool for sound amid economic uncertainty, just as they are doing today as they make the switch from film projection to digital. For film fans this is a melancholy change, just as the end of the silent era was for cinephiles then.

The two great transitional films of their periods, "The Jazz Singer" in 1927 and "Avatar" in 2009, are linked by more than actors in face paint. Conceived during economic booms, both films ushered in new technologies that only fully emerged during economic crises. By setting "The Artist" in the Hollywood of the late 1920s and early 1930s, during a transition that was artistic, technological, and societal all at once, the film's director, Michel Hazanavicius, connects the film to our time.

The key to the film's appeal is how lighthearted Hazanavicius keeps it. For him, the lost era of the silents was an innocent time, unmarred by the rape, murder, and suicide scandals other depictions of that period often exploit. "The Artist," essentially a happy film, shows us that we can accommodate change and thrive.

Martin Scorsese's "Hugo," set in 1931, treats the same subject but reaches further back, to the birth of cinema. Its backward glance has been rewarded with one more Oscar nomination than "The Artist," although "Hugo" has not done as well at the box office, in part because of an advertising campaign that was afraid to embrace its real values.

Scorsese's ambitious film links the handmade, hand-painted, and hand-cranked movies the magician Georges Meliès made between 1896 and 1913 to the digital wizardry of films made today, 100 years later, especially to the Harry Potter films. "Hugo," a beautiful and overwhelming phantasmagoria, chooses 3-D and color over "The Artist"'s flat-screen black-and-white. Those choices inject the film with a layer of whimsical irony: Today's technology is contrasted with yesterday's. Scorsese uses the most sophisticated digital technology available to reconnect us to a cinema that was optical and mechanical -- glass and gears; hardware, not software.

More and more, we put ourselves in the strange position of using technology to get away from technology. When we travel, smartphones connect us with places to find quiet and solitude, sometimes from within quiet cars on trains; when we shop, we browse computer screens for hand-sewn fashions and crafts. When we watch TV, high-def screens show us the natural world in never-seen-before detail, taking us to places we will never visit, including, recently, thermal volcanoes on the bottom of the ocean, where undreamed of species exist, looking uncannily like the papier-mâché creatures in Meliès' "A Trip to the Moon." The world is in our face, but untouchable.

As digital imagery takes over the movies, filmmakers and audiences seek to reconnect to an analog, hands-on world, one in which machines are understandable and fixable. We want to see and feel how they work. High tech renders all the strings, smoke, and mirrors invisible; low tech exposes them, and by so doing presents magic as made by hand. We desire a less perfect world than the digitized one blockbuster movies have shown us, one where the scratches and seams are added as an aftereffect.

"The Artist" and "Hugo" are both films of clocks, where time is running out or winding down or an alarm is about to go off. Two other impressive and unpredictably popular clock-centric films made in the past year also deal in the exhumation of the past: Woody Allen's "Midnight in Paris" (which got four Oscar nominations), in which Owen Wilson's Woody-stand-in goes back in time every night to live in the Paris of the 1920s; and Christian Marclay's monumental "The Clock," an art-gallery film that was itself a timepiece, a 24-hour-long compilation of shots from other movies that shows the hands of clocks through every minute of the day.

Recent books, like Simon Reynolds' "Retromania: Pop Culture's Addiction to Its Own Past," take a despairing view of our current nostalgia, a longing that, say what you will, makes sense given the bleakness we face. Movies like "The Artist," "Hugo," "Midnight in Paris" and "The Clock" present a deeper view of the past than that. It is one in which our future is linked to the twilight of another time, which is paradoxically the era of F. W. Murnau's "Sunrise," a silent film which still stands at the pinnacle of cinematic expression, and which came out a month before "The Jazz Singer" sang away an era.

Do these movies smuggle the past into the future or just use it as pastiche? In an era where airports feature bizarre signs reading "Snow globes are not allowed through the security checkpoint," these movies insist on the physicality of silent cinema, a memento mori in the age of the delete button.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of A.S. Hamrah.

@highlight

'The Artist,' a silent movie about the transition to talkies, was nominated for 10 Oscars

@highlight

A.S. Hamrah: It gives us a break from the incessant, unwanted talk that surrounds us

@highlight

Nominee 'Hugo' uses technology, he writes, to depict a handmade, mechanical world

@highlight

Hamrah says as digital imagery takes over, we seek an analog, hands-on world