Washington (CNN) -- Attorney General Eric Holder, a longtime target of Republicans who have tried to force him out of office, now faces the prospect of angering liberal supporters when the Justice Department decides whether to file federal charges in the Trayvon Martin killing.

Civil rights groups are planning nationwide vigils, and more than a million people support an online petition drive calling for admitted shooter George Zimmerman to face federal charges in the February 2012 killing.

Holder confronted that political pressure Tuesday in a speech to the NAACP, which is conducting the petition drive.

He repeated his pledge for a full investigation of Martin's death in the aftermath of Zimmerman's acquittal on murder and manslaughter charges by a Florida court, saying the Justice Department "will continue to act in a manner that is consistent with the facts and the law. We will not be afraid."

But he was careful to avoid any promise or hint of federal charges. Instead, Holder took aim at "stand your ground" laws like the one in Florida that have expanded the right to respond with deadly force if attacked outside the home.

Those laws "try to fix something that was never broken" and "senselessly expand the concept of self-defense and sow dangerous conflict in our neighborhoods," he said.

"By allowing -- and perhaps encouraging -- violent situations to escalate in public, such laws undermine public safety," Holder said in his first public comment on legislation that more than 30 states have passed in some form.

Despite outrage, federal charges uncertain in Zimmerman case

"We must stand our ground to ensure that our laws reduce violence and take a hard look at laws that contribute to more violence than they prevent," he added.

Zimmerman's lawyers didn't invoke Florida's "stand your ground" law in court, but it was included in the instructions to the jury that acquitted him. Florida Gov. Rick Scott's office reaffirmed his support for the law Tuesday afternoon, saying a task force set up by his office reviewed the statute after Martin's death.

"The task force recommended that the law should not be overturned, and Governor Scott agrees," Scott spokeswoman Melissa Sellers said in a written statement.

Chris W. Cox, executive director of the National Rifle Association's Institute for Legislative Action, similarly disagreed with Holder.

"The attorney general fails to understand that self-defense is not a concept, it's a fundamental human right," he said in a statement. "To send a message that legitimate self-defense is to blame is unconscionable, and demonstrates once again that this administration will exploit tragedies to push their political agenda."

Stevie Wonder says he'll boycott 'stand your ground' states

Holder's focus Tuesday on a broader legal issue avoided the difficult decision he faces over whether to bring federal criminal charges.

Legal experts say federal charges against Zimmerman are unlikely.

Because Zimmerman is a private citizen, he can only be charged with a hate crime in terms of civil rights violations under federal law, said David Weinstein, a former federal prosecutor in Florida who now is in private practice.

To successfully prosecute Zimmerman, the Justice Department would have to show that Zimmerman "caused the death of Trayvon Martin solely motivated by/because of his race or color," Weinstein told CNN in an e-mail. "This element was absent from the state trial and quite frankly doesn't exist."

Verdict doesn't end debate in Trayvon Martin death

CNN Legal analyst Paul Callan agreed Monday that federal prosecutors are "in sort of a tough spot."

The hate crimes statute is generally applied to cases involving police officers or other government agents, Callan said, adding that using it in a case involving a lone private citizen is "very, very rare and I think in this case, it's going to be very hard to prove."

Sources told CNN Monday that Justice Department officials were reviewing trial evidence to determine if such a case was winnable. The sources made clear that Holder's department would only file charges if officials believe they can secure a conviction.

If Holder decides not to bring a federal case against Zimmerman, he will disappoint liberal supporters who contend the Martin killing was a civil rights violation.

The nation's first African-American attorney general has been popular with the political left for his support of gay marriage and challenges to GOP efforts to change voting laws. At the same time, his policies have made him a political lightning rod for conservatives.

Holder was censured last year by the Republican-led House over complaints that he failed to fully cooperate with a congressional investigation of the botched "Fast and Furious" gun-walking operation. He called the episode a politically motivated effort to discredit him.

5 things about the controversy surrounding Eric Holder

Last year, Holder himself raised questions about possible federal charges against Zimmerman, a neighborhood watch volunteer, who killed Martin during an altercation as the unarmed teenager was walking in the community.

"For a federal hate crime, we have to prove the highest standard in the law," Holder said in April 2012, 45 days after Zimmerman shot Martin in what was depicted by civil rights groups as a racially motivated killing.

In words that now sound prescient, Holder described to reporters that day how "something that was reckless, that was negligent does not meet that standard."

"We have to show that there was specific intent to do the crime with requisite state of mind," he said.

Zimmerman's acquittal on Saturday showed the Florida jury rejected that he intended to kill Martin for any reason, including the racial motivation necessary for federal charges that he violated Martin's civil rights.

In a speech in Washington on Monday, Holder said the Justice Department would "continue to act in a manner that is consistent with the facts and the law" in examining what he called "the tragic, unnecessary shooting death of Trayvon Martin."

"Independent of the legal determination that will be made, I believe that this tragedy provides yet another opportunity for our nation to speak honestly about the complicated and emotionally charged issues that this case has raised," Holder said. "We must not -- as we have too often in the past -- let this opportunity pass."

Zimmerman was 'justified' in shooting Martin, juror says

Separately, the White House said President Barack Obama would play no role in deciding whether federal charges are filed.

"Cases are brought on the merits and the merits are evaluated by the professionals at the Department of Justice," White House spokesman Jay Carney told reporters.

The president on Sunday called Martin's killing a tragedy for America, but said in a written statement that the jury had spoken. He acknowledged the case had "elicited strong passions," but urged "calm reflection" in its aftermath.

Still, political pressure for a federal case is mounting.

On Tuesday, the Rev. Al Sharpton and other civil rights leaders gathered outside the Department of Justice to announce scores of "Justice for Trayvon" vigils outside of federal buildings across the country this weekend.

"People all over the country will gather to show that we are not having a two- or three-day anger fit," Sharpton said. "This is a social movement for justice."

He also called for a full federal investigation of the Martin killing, saying mere remarks by Obama and others weren't enough.

"The president has made a statement of consolation," Sharpton said. "We don't need consolation. We need legislation and we need some federal prosecution."

Watch Holder's speech

Those seeking federal charges say the killing was racially motivated, arguing that Zimmerman, a neighborhood watch volunteer, targeted Martin for special scrutiny because the teenager was an African-American. Regardless of how the shooting occurred, they say, the fight occurred because of Martin's race.

"The most fundamental of civil rights -- the right to life -- was violated the night George Zimmerman stalked and then took the life of Trayvon Martin," says the petition on the NAACP website.

Five Reasons for acquittal

Rep. Marcia Fudge, the Ohio Democrat who chairs the Congressional Black Caucus, said racial profiling like what Zimmerman did to Martin "continues to make communities of innocent individuals fear a justice system designed to protect them."

"Men and women wonder if merely walking or driving justifies being followed, stopped, or questioned," Fudge said in a statement Monday. "This practice and the presumption of guilt so often associated with people of color must come to an end."

Petition to White House

Such political pressure evokes memories of the Rodney King case in 1991, when videotape of white Los Angeles police officers clubbing an African-American man after a car chase prompted race-tinged national furor.

When a criminal court failed to convict the officers of police brutality, riots ensued in Los Angeles over alleged racial discrimination.

The Justice Department then filed a civil rights suit against the officers, alleging "deprivations of federal rights under color of law," and two of them were convicted in 1993. A court sentenced them to 30 months in federal prison.

Weinstein said the Justice Department can't file similar charges against Zimmerman because he is a private citizen instead of a police officer or government official of any kind.

"There are no other relevant sections under which to prosecute him" other than the hate crime statute, which covers "offenses involving actual or perceived race, color, religion, or national origin," Weinstein added.

A federal hate crimes violation in a killing carries a maximum penalty of life in prison. Even if the federal charges were identical to the state charges, it would not be double jeopardy for Zimmerman because the federal government is a separate and sovereign entity.

Martin's family can still file a civil wrongful death lawsuit against Zimmerman to seek penalties and damages. Such a legal move carries no criminal penalty or prison time.

Obama won't get involved in decision

CNN's Carol Cratty, Jessica Yellin and Kevin Liptak contributed to this report.

@highlight

NEW: NRA accuses administration of exploiting tragedies for political gain

@highlight

In weighing federal probe, "We will not be afraid," Holder says

@highlight

Florida governor defends "stand your ground" law

@highlight

Those self-defense laws "sow dangerous conflict," Holder says