(CNN) -- Somali pirates are notorious for being behind a spate hijackings on the high seas but their activities have also exacerbated food shortages in the Horn of Africa, a senior official from the African Development Bank has said.

Professor Mthuli Ncube, who fulfills a dual role as the bank's chief economist and vice president, says that piracy has both prevented and delayed vital food aid from being delivered to Somalia.

This has worsened the humanitarian situation inside the country which -- alongside neighboring Kenya and Ethiopia -- is experiencing one of the most severe droughts and subsequent food shortages in living memory, he explains.

Some 12.4 million people in the Horn of Africa currently require humanitarian assistance as a result of food shortages, the U.N. estimates.

"[Piracy] affects the transit of food quickly, where it's needed by refugees," Ncube says.

"It also brings up the costs of transporting the food and it goes beyond that into tourism, into the exploitation of hydro-carbons ... the issue around fishing and so forth," he adds.

"But more urgently it is about delivery of food that is being affected."

Ncube cites the lack of a respected or powerful central authority in Somalia as a key factor in the rise of pirate activity in and around its waters recent years.

The country has been without a government since 1991, meaning there is a lack of security and infrastructure that would allow the safe passage of aid to areas worst affected by the droughts.

Individual charities and agencies are even being forced to negotiate with armed groups or offer monetary incentives to get help into the country -- at considerable risk to their own staff -- Ncube says.

"Unfortunately the government is at the core of this [issue] and without a government you can't police. There's no military, organized military to provide security," he says.

"This is impacting on the ability of anyone to help the people in Somalia, so at the end of the day we just have to deal with the governance. That is the core of everything," he adds.

Ncube also highlights the lack of protection offered to Somali fisherman from international bodies such as NATO in preventing illegal fishing in Somali waters as another major contributory factor towards piracy.

Large scale fishing operations from countries across Europe and Asia have popped up illegally in Somali waters in recent years with no coastguard or navy to stop them, Ncube says.

This has depleted fish stocks and forced many Somali fisherman, with no government to petition or act on their behalf, to take up piracy as an alternative source of income, he adds.

"Certainly there's a sense that this was initially a reaction to foreign ships coming in to fish illegally, depleting the stock of fish," says Ncube.

"These fishermen then took the law into their own hands and said look we'll start hijacking ships as a way of getting back. Then it became an easy business, a way of life, they got hooked onto it."

"That issue has not been addressed, at least not from the Somali's point of view," he adds.

Ncube explains that a lack of urgency from international and regional bodies to address these developments as they occurred has led to the situation snowballing into the key regional issue it is today.

In recent years piracy has caused millions of dollars worth of damage to local tourism, fishing and shipping industries, as well as impacting on food security, he says.

But with Africa relying the high seas to transport roughly 80% of its goods -- largely due poor roads and a lack of travel infrastructure on the continent -- Ncube says it is vital for governments and international bodies to come together to address the root causes of piracy.

He cites giving support to Somalia to address its governance issue and introducing fair legislation that protects Somali fishing waters as key first steps in what will likely be a long and drawn out process.

By doing so however, Ncube believes that the region will become a much safer place. Addressing the issue of food security meanwhile, will become much simpler, he adds.

@highlight

Professor Mthuli Ncube is Chief Economist at the Africa Development Bank.

@highlight

He says piracy is contributing to food shortages in the Horn of Africa.

@highlight

Ncube claims efforts must be made to address the root causes of piracy.