London (CNN) -- I am pleased and relieved that the court in Paris finally found in my favor this week in my case against Google. With hundreds of pages of court documents, mainly generated by Google lawyers, you would have thought my case against them was complicated. It's not. The point is very simple.

It concerns nine illegally acquired pictures which courts in the UK and France have previously ruled should not be shown.

If someone posts one of these pictures somewhere in the world, Google's search engine will automatically find and display it. However Google will take the picture and its link down whenever they are asked to do so.

As they themselves say, they have done this many times for me and for others. The problem is that having removed a picture following receipt of notice from me, their search simply replaces the picture with another taken from a different webpage.

The images, which I fought so hard to establish were illegal, continually reappear courtesy of Google.

Given that they are prepared to take a specific illegal picture down manually once it has been identified, why not do so automatically? They have the software to recognize specific pictures.

Indeed they make the tool freely available on their homepage. So why not use it? They know exactly which pictures are involved because we have repeatedly identified them. All I was asking was that, automatically rather than manually, they stop displaying these specific and known pictures and providing links to them.

This seemed to me an obvious and simple request. It is what the French court has now ordered them to do.

It also seemed to me to be in Google's own interest. Surely they would not want the trouble of dealing manually with endless take-down requests when they already had the software to identify specific images and could block them automatically. Was this not exactly the sort of thing computers do and Google are particularly good at? It is very difficult to understand why Google should fight tooth and nail to resist doing automatically something they are fully prepared to do manually.

To begin with, Google argued that they didn't have the software. Then they said, OK, they could develop the software but there was some great principle involved in blocking a picture, notwithstanding that they must already do this for indecent images of children and other illegal images and information.

Then they said it might inadvertently block something legitimate -- obvious nonsense given that we are dealing with a small number of specific pictures.

Then they tried to mix this up with cases where a person wanted something objectionable removed without a court decision.

Then they suggested we were asking them to exercise judgment - again obvious nonsense given the court decisions that already existed about these specific pictures.

Finally, they claimed they were defending free speech. But it's the courts which said the pictures were illegal and should not be shown, so the issue is the rule of law, not freedom of speech.

I think that there is something seriously wrong with the culture at Google. The technical side is brilliant and extremely useful. There are some extraordinarily gifted people working on the technical side and coming up with ideas and then the software to exploit them.

Yet the non-technical management, particularly in the legal department, seems to be irrational to the point of becoming adolescent. It's almost as if they refuse to do something entirely sensible, and which would save them and others time and trouble, for no better reason than that someone asked them to.

In the end, it's about obeying the law and having respect for the rule of law. There is absolutely nothing wrong with observing the law automatically, quite the reverse.

There must be some rational people at the top of Google. You would expect them to respect the rights of the individual once established in a court of law. They should insist their legal department do the same.

But you may be wondering why I decided to fight the case when it was obvious the primary result would be to draw attention to precisely those pictures I wanted to get rid of. There are two reasons.

First, unless the pictures are blocked automatically, I or my lawyers will have to monitor the web in perpetuity.

Second, the principle that an individual is able to rely on the rule of law to enforce his or her rights is, I think, of fundamental importance.

This should apply no matter who is the opponent or what their business. I hope that this judgment helps establish that principle in respect of online publications and that it may be of use to others in the future.

The opinions expressed in this column are solely those of Max Mosley.

@highlight

French court orders search engine Google to remove Max Mosley orgy pictures

@highlight

Courts had previously ruled the images must not be shown

@highlight

Max Mosley: Images he fought to establish were illegal, continually reappear on Google

@highlight

I think there is something seriously wrong with the culture at Google - Mosley