(CNN) -- Pope Benedict XVI on Sunday called for an end to violence in Syria, as well as a renewed peace effort in the Middle East, in his annual Easter Mass message from the Vatican as Christians worldwide marked the holiday.

"May the risen Christ grant hope to the Middle East and enable all the ethnic, cultural and religious groups in that region to work together to advance the common good and respect for human rights," the pope said in his "Urbi et Orbi" ("To the City and to the World") message in St. Peter's Square.

"Particularly in Syria, may there be an end to bloodshed and an immediate commitment to the path of respect, dialogue and reconciliation, as called for by the international community, he said. "May the many refugees from that country who are in need of humanitarian assistance find the acceptance and solidarity capable of relieving their dreadful sufferings."

The Iraqi people, he said, should be encouraged to "spare no effort in pursuing the path of stability and development. In the Holy Land, may Israelis and Palestinians courageously take up anew the peace process."

And the pope asked that "the risen Jesus comfort the suffering populations of the Horn of Africa and favor their reconciliation," including Sudan and South Sudan, "and grant their inhabitants the power of forgiveness. In Mali, now experiencing delicate political developments, may the glorious Christ grant peace and stability. To Nigeria, which in recent times has experienced savage terrorist attacks, may the joy of Easter grant the strength needed to take up anew the building of a society which is peaceful and respectful of the religious freedom of all its citizens."

Christians have previously been the targets of violence in Nigeria, most notably on Christmas Day, when a string of bombs struck churches in several cities. A bombing Sunday in the northern city of Kaduna killed 25 people and wounded another 13, emergency management agency spokesman Abubakar Zakari said. While the blast was near a Christian church where services were taking place, the target was not immediately clear.

Thankfully, thousands of Easter services -- from the annual sunrise service at Arlington National Cemetery outside Washington, D.C., to throngs of worshipers attending Mass in the Philippines -- were far more peaceful, a time for both reflection and celebration.

In Georgetown, Texas, that included cheers for Tim Tebow, who has become known as much for his religious devotion as for his exploits on the football field.

The quarterback took the stage alongside Celebration Church senior pastor Joe Champion to talk about how his faith brings him peace, joy, stability and a sense of purpose even at times of what might seem like intense turmoil and scrutiny. Tebow has been on a roller coaster in the last year with his play and public displays of faith, and more recently with his trade from the Denver Broncos to the New York Jets.

"Whatever happens in life -- good or bad, whether you're the hero or the goat, whether you like it or not -- you know that someone has a plan for your life, and it's a special plan," Tebow told the congregation, about his belief that his future is in God's hands. "When you trust that and you have hope in that, then you have peace in all decisions and everything you do. And it brings a lot of joy to your life."

For Christians in countries thrown into tumult by the Arab Spring revolutions, some say Easter celebrations could prove dangerous.

In the past, Syrian Christians "have had great outpouring of piety in the public squares on Easter," said Nina Shea, director of the Center for Religious Freedom at the Hudson Institute in Washington. "This time, I suspect it is going to be vastly different. They are fearful."

Though the geopolitical makeup of each Arab Spring country is different, Shea and other religious freedom scholars say that a pious holiday like Easter presents an opportunity for anti-Christian groups to seek out worshippers.

Religious holidays have long been a venue for terrorist attacks against all religious groups in the Middle East and North Africa. These holidays provide not only a meaningful day to make a statement but also see large concentrations of worshippers in one area.

"Christ is hope and comfort in a particular way for those Christian communities suffering most for their faith on account of discrimination and persecution," the pope said Sunday. "And he is present as a force of hope through his church, which is close to all human situations of suffering and injustice."

Last Easter, Benedict called for peace amid ongoing conflicts in Africa and the Middle East and mentioned the plight of those in Japan recovering from the devastating earthquake and tsunami.

CNN's Dan Merica and journalist Safiya Akau contributed to this report.

@highlight

NEW: Tim Tebow tells Texas worshippers having faith in God gives him peace, joy

@highlight

NEW: 25 die in a blast near a Christian church in Nigeria, an official says

@highlight

Pope Benedict XVI mentions Syria and African nations in his Easter message

@highlight

An analyst says Syrian Christians might be more fearful of celebrating openly this year