(CNN) -- An Ohio driver recently made a confession that he caused a fatal wrong-way crash after drinking heavily. That, by itself, nothing new. After all, every day, hundreds of suspects sign full confessions, and many more defendants plead guilty before a judge.

A person volunteering to take criminal responsibility is not a novel concept. In fact, it's commonplace procedure in police interview rooms and courthouses. Nor is it unique that these admissions are videotaped; police often tape interview confessions and courtrooms record most guilty pleas.

What's novel in this case is the way he took that responsibility: 1) On his own. 2) Online. Via video.

He took the initiative.

In a remarkably well-produced, three-and-a-half minute video, Matthew Cordle admitted he killed a suburban Columbus man, said he "made a mistake" in deciding to drive that evening and urged people not to drink and drive. In making this video, it clearly appeared he was not coerced. He was not being interrogated or even interviewed by police. In fact, he volunteered this admission, stating that he was fully aware of the consequences.

Skeptics have suggested the online confession is not sincere and he only produced the video to curry favor with the court to receive a lesser sentence. Quite the contrary, Cordle has risked sealing his fate with a maximum sentence by giving this confession.

Many others have applauded this act by Cordle. Undoubtedly there is a benefit to society in taking responsibility. He not only gives the victim's family closure, but he also saves the people of the state of Ohio the cost and burden of a trial. Even the victim's ex-wife has opined that perhaps Cordle deserves some consideration for his video apology.

Bravo, right? Wrong.

While this may have appeared a morally correct thing for Cordle to do, our justice system can actually penalize those who "do the right thing" and volunteer admissions. Cordle's case just might end up as an example of this.

In a criminal prosecution, the strongest playing card in the hand of the defendant is a guilty plea. Sometimes, it's the only card he holds.

In Cordle's case, assuming for the moment that this case was what we defense attorneys call a "dead-bang loser" (one likely to be lost at trial), then his defense attorney could have approached the prosecution and made an offer: In exchange for a lesser sentence or charges, Cordle would plead guilty, apologize to the family and save the prosecutor's office the manpower and the burden of trying the case, and ultimately, the risk of losing at trial. In return, the prosecution would agree to a lesser sentence or a lesser charge.

In this case, Cordle's voluntary mea culpa actually eliminated his strongest bargaining chip. The defense now has nothing to offer the prosecution, so the prosecution has no incentive to make any concessions in a plea offer.

Now, if this were a business transaction or negotiation, you'd say: well, that's the way business is. Too bad, so sad. That's just market forces and economic Darwinism at work. But prosecutors have a greater moral obligation than a CEO or an investor. They cannot simply exploit any weakness in the defendant's bartering position. Prosecutors have a greater moral obligation: justice. It's not an easy job at all.

So, has Cordle's prosecutor adequately considered the video? The prosecutor in this case has said he will seek the maximum sentence and suggested that his office has enough evidence to seek a conviction notwithstanding the video confession.

The maximum sentence? Is that how we should incentivize taking responsibility? After all, Cordle is partially correct in that he has spared resources and offered a judicially efficient resolution.

In the video, Cordle says: "I consulted some high-powered attorneys, who told me stories about similar cases where the drivers got off. They were convinced that they could get my blood test thrown out. And all I would have to do for that was lie. Well, I won't go down that path."

First, it's doubtful any experienced DUI lawyer really told Cordle to lie. The obvious reason is that it's unethical. But second, thanks to modern defense strategies and technology, challenging breath and blood testing has arguably never been more effective.

Recently, courts have invalidated scores of breath and blood tests for a myriad of reasons related to the reliability of the science as applied, including improper blood draws/retention, administration of tests, noncalibration of blood testing devices and improper lab procedures.

Because DUI trials can be burdensome for the prosecution, most jurisdictions have adopted some version of a pretrial program to treat this crime differently than most others.

The quid pro quo is usually this: The defendant admits to what he did, gets a one-time admission to probation and a ton of fines and fees, avoiding a criminal conviction, and the prosecution is saved the burden of calling breathalyzer operators and lab technicians to trial and avoids the risk of loss at trial.

As in the court system, drinking and driving is also treated differently than other taboos in society. Certainly in public, we all agree it's wrong. But when a rustic pub is isolated on a winding country back road and the parking lot is filled with cars on a Friday night, does anyone doubt how the patrons arrived? Or how they plan to leave? There are not a lot of subway stops, taxis or bus routes out at the more rural watering holes or even in the city suburbs.

We publicly oppose drinking and driving, but we also are all aware it's going on everywhere -- and with our tacit permission.

Until we resolve the social paradox that is drinking and driving, more than a few citizens will read about Cordle's case and admit, to themselves: "coulda been me." Or worse: "that was me last Saturday."

What happens when or if it is you that is in Cordle's position? Will you still be an anti-DUI crusader? Will you fight the breath and blood tests tooth-and-nail? Or will you take personal responsibility?

YouTube video, perhaps?

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Ohio man confesses online to killing someone while driving drunk

@highlight

Danny Cevallos: Matthew Cordle's video was an admirable effort to take responsibility

@highlight

He says Cordle's candor could lead to a more severe sentence than usual

@highlight

Cevallos: Prosecutor should take interests of justice into account