Kampala, Uganda (CNN) -- On the streets of the Ugandan capital of Kampala, scores of vulnerable children face uncertain futures.

Living down alleyways and trying to make a living near busy traffic junctions, these kids are often subject to abuse and exploitation. Youth unemployment is rampant in the east-central African country, with reports by international bodies, like the African Development Bank, putting estimates as high as 83%.

But one former street kid, Innocent Byaruhanga, is hoping to turn things around. In 2011, Byaruhanga launched Pamoja, a center working with former street children and vulnerable youth to produce sustainable shoes out of disused tires.

"What we did was come up with [an] idea that can give skills to these children," says Byaruhanga.

A former street child himself, Byaruhanga is well aware of what hundreds of vulnerable kids are being exposed to -- dangers like substance abuse, crime, lack of nutrition, exploitation and stigmatization.

"The biggest challenge that youth and former street children face is unemployment and drug abuse," he explains. "They are either exploited by the drug lords or use them to enable them forget their problems. This is because they live in poor conditions and have to cope with their poverty or find a livelihood by all means available to them."

Trash into treasure

Byaruhanga's Pamoja Center is an initiative of his not-for-profit, Save Street Children Uganda, which he established in 2005. The center's goal is to help the youth realize their potential by equipping them with techniques and knowledge that they can use to "make a contribution to society within their communities."

"We came out with an idea of making shoes and we said what can we do that people are not doing?" explains Byaruhanga. "What can we do that will attract people to buy? What can we do in order that will earn us money at a quicker speed and at the same time which is very cheap?"

The answers weren't far: looking around the slums, the resourceful entrepreneur saw piles of ruined tires laying strewn aside, so he decided to turn trash into treasure.

"We want to use the things that people don't see as valuable," says Byaruhanga as he outlines the startup's approach. "Number one: Ugandan-made; two: Ugandan-owned; three: made from the thing that people don't see; four: we want to do something that is very durable," he says. "The work we are doing is not only help us to create employments for vulnerable children. We also want to protect the environment."

Creating leaders

And so from exhausted rubber tires, youngsters in Kampala are taught how to cut and manufacture eco-friendly footwear. Since 2011, Byaruhanga says Pamoja Center has been able to employ and train over 80 former street children and 37 vulnerable community youth aged between 12 to 24 years old.

Not only that, but for every pair of shoes produced and sold, Pamoja shares the profits with the youthful cobbler, in turn allowing them to support themselves.

"We want to surprise the entire Uganda as a nation. We want to set up an industry," Byaruhanga says full of vigor. "Young people should be the ones to lead, to make decision-making.

"We want to create jobs for the youth, we want to create jobs for former street children, and also the orphans."

@highlight

Innocent Byaruhanga launched the Pamoja Centre in 2011 in the slums of Kampala, Uganda

@highlight

A former street kid himself, founder wants to end high youth unemployment

@highlight

Pamoja offers skills training to disadvantaged children from Kampala streets

@highlight

He says: "We want to create jobs for former street children, and also orphans"