(CNN) -- On behalf of all those Latino voters who have figured out that the Obama administration is the most hostile to Latino immigrants of any administration in the last half century and who are looking for an alternative, let me say this to the Republican presidential candidates: "Bienvenidos to Florida! Now, behave yourselves."

Like the saying goes, for everything there is a season. And as far as the Republican hopefuls are concerned, for every primary state, there is a makeover. After campaigning in three states with infinitesimally small Latino populations -- the last of which, South Carolina, had red meat on the menu since it recently passed a tough anti-illegal immigration law -- the next state in the queue is Florida, where voters go to the polls on January 31 and where the Hispanic population is substantial.

According to the Census Bureau, the Hispanic population in Florida grew by an astonishing 57% in the last 10 years. Hispanics now account for 22.5% of Floridians, compared with 16.3% of the entire U.S. population.

But that's only half the story. Florida's Latino population was once made up almost entirely of conservative Cuban-Americans in South Florida, around Miami, who almost always vote Republican. But in a dramatic change, it now also contains a large number of liberal Puerto Ricans in central Florida, around Orlando, who are more likely to vote Democratic. Mix in large numbers of Nicaraguans, Mexicans and Brazilians and you have a spicy Latin stew that won't be easy to pander to with one message.

Or one issue. The estimated 10 million Latinos who are expected to cast ballots in November care about the same issues as other voters: jobs, the economy, health care, education. But with one major difference: Immigration tends to float to the top of the list when tensions flare, as they did last year when Arizona started a trend with a tough immigration law that all but requires the ethnic and racial profiling of Latinos.

In addition, Cuban-Americans, Puerto Ricans and Mexican-Americans all come to the immigration issue in different ways, and some are more fired up than others over the tendency of all politicians to exploit the issue for their benefit at the expense of Latino immigrants.

For Republicans, the good news is that President Obama has given them an opening. Not only did Obama break his 2008 campaign promise to make immigration reform a priority in his first term, he also broke the record for deportations. His administration roped local police into the enforcement of immigration law through the Secure Communities program, which requires police and sheriff departments to submit fingerprints to federal officials of anyone they arrest who they suspect is an illegal immigrant -- read Latino. Through this, the administration expelled more than 1.2 million illegal immigrants -- most of them Latino -- and, in the process, divided hundreds of thousands of families.

But the bad news is that Republicans -- in trying to pander to what their base wants, or rather what they think their base wants -- have made a mess of immigration to the point where many Latinos tell me they would rather vote for Obama and "Stick with the devil we know."

Generally speaking, when asked about immigration, Republicans come across as mean-spirited, ill-informed and narrow-minded. The presidential hopefuls have fallen into that trap.

Consider their dismal performance in Monday's debate in Tampa Bay, Florida, and how they addressed the question of what they would do about the Dream Act, a bill that would provide a pathway to citizenship for students who go to college or join the military. According to polls, the legislation enjoys the support of more than three-fourths of Latinos.

Even so, both Rick Santorum and Mitt Romney have said they would veto the bill because they, wrongly, consider it a form of "amnesty." That would be something for nothing. The Dream Act offers something for something.

But, at the debate, perhaps in an attempt to curry favor with Latinos in Florida, Romney -- true to his reputation for flip-flopping -- tried to walk back from that declaration by saying he would sign a version of the Dream Act if it were only "focused on military service."

Newt Gingrich said essentially the same thing, insisting that he, too, backed the military component of the legislation, but opposed the part that "simply says everybody who goes to college is automatically waived for having broken the law."

The only thing that is "simple" is Gingrich's understanding of what it means to break the law. When a parent brings his child into the country illegally, the parent breaks the law. But the child doesn't. From that point forward, the child might be without legal status in the United States, but that is not the same as someone making a conscious decision to violate a statute and open himself up to the consequences.

When it comes to immigration, Republicans offer little more than silliness, sound bites and simple solutions. Do they really think that will help them with Latinos in Florida, let alone help whichever of them emerges a victor appeal to voters in the general election?

If so, here's a Spanish phrase they should become familiar with: "Buena suerte." Good luck.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are soley those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: Florida's Latino population is booming, and more diverse than ever

@highlight

Navarrette: Obama administration has given GOP an opening to gain Hispanic vote

@highlight

Republicans' rejection of Dream Act, pandering to "base" alienates Latinos, he writes

@highlight

He says Republicans need to offer more than silliness, sound bites, simple solutions