(CNN) -- Whitey Bulger sits at the defense table, awaiting his fate, looking like an old man waiting for a bus.

Most defendants, certainly those facing such serious charges, try to create a good impression for jurors, donning suit and tie and looking for all and sundry a respectable guy.

But each day at his trial in a federal courthouse named for a congressman that was his neighbor in South Boston, 83-year-old Whitey Bulger dons the suit of an Everyman: jeans, white sneakers, a simple shirt.

He is an Everyman charged in 19 murders, and with terrorizing Boston, holding the city's psyche hostage, aided and abetted by the FBI, for which he served as an informant for some 15 years.

He insists he wasn't an informant despite an overwhelming public record that shows he was one, including more than 700 pages of information he fed to a disgraced and now imprisoned FBI agent, John Connolly, who grew up in the same housing project in a neighborhood known as Southie. In Southie, loyalty was everything. Loyalty to family, to friends, to neighbors, to neighborhood. It was an Irish thing, in an Irish neighborhood.

Bulger exploited that obsession with loyalty, expecting loyalty from everyone else, delivering it to no one but himself.

As Bulger's trial hurtles toward the end of its seventh week, his attorneys have spent as much time disputing something he is not even charged with -- being an FBI informant -- as they have challenging a sweeping indictment that accuses Bulger of being a vicious and venal overlord of Southie, using murder and intimidation to control a small but lucrative gang that made millions by shaking down bookmakers, drug dealers, and, when Bulger realized the FBI really had his back, legitimate business people.

Bulger's lawyers have also spent considerable time disputing charges that he strangled two women, Debra Davis and Deborah Hussey, the girlfriend and stepdaughter of his partner in crime, Steve Flemmi.

They are doing what their client wants, and their client knows he is not going to be acquitted of all charges. In letters that my colleague Shelley Murphy and I obtained for our book, "Whitey Bulger: America's Most Wanted Gangster and the Manhunt That Brought Him to Justice," Bulger revealed an obsession with rehabilitating an image he spent his entire criminal life constructing. That is the image of the good bad guy, the wiseguy with scruples. The wiseguy who picked up Mrs. Moakley, the mother of the future congressman, and brought her home and carried her groceries upstairs. But wiseguys with scruples don't rat on their friends, and they certainly don't murder defenseless women and bury them in secret graves.

This is history unfolding in Boston, where Bulger is firmly established not only as the city's most famous criminal but one of its most infamous citizens, and other citizens have been lining up at dawn to catch a glimpse of a man whose grandfatherly demeanor masks a legacy drenched in blood and secret, shallow graves.

But it's also a history lesson in that the Boston where Whitey Bulger prospered in is gone. The blue-collar people he grew up with and then exploited have been priced out of the condos and sprawling three-deckers in Southie by yuppies who have nothing in common with Bulger and his ilk.

The ethnic dynamic that led the FBI to cut deals with vicious Irish gangsters such as Bulger, all in a myopic dash to get the Mafia, is gone. There is no Irish mob in Boston anymore. The Mafia, meanwhile, is a pathetic shell of itself, a handful of "Sopranos" wannabes, reduced to sports betting and the odd drug deal, which always gets them caught. The state created the lottery to take over the mob's real moneymaker, the number. The biggest bookie in the state is the state.

At the Joe Moakley Courthouse, named for the guy whose mother Whitey used to drive home, the gallery was taken aback when Jay Carney, Bulger's lead counsel, copped to most of the indictment in his opening statement. He admitted his client was a bookmaker, an extortionist, even a drug trafficker. That last admission was a shocker because Bulger and his apologists, including his politically connected family, had long insisted he would never profit from drugs, that he in fact kept drugs out of Southie.

There was a method to what Bulger's few remaining sycophants would consider the madness of admitting to shaking down drug dealers who peddled poison to the neighborhood. Whitey's reasoning is pretty obvious: If he admits to all these terrible crimes, why not believe him when he says he didn't kill the women and he wasn't a rat?

The problem for Bulger is that the prosecution has done a good job showing that he was a vainglorious gangster for whom reputation was everything, that his family, including younger brother Bill Bulger, the longest serving president of the Massachusetts Senate, was invested in maintaining the myth of Whitey as benevolent criminal.

Whitey Bulger can't bear the thought that he will die and the narrative he spent so many years honing will be written by those who brought him to justice.

He drove Mrs. Moakley and all the other old ladies in the projects home and carried their groceries up the stairs, damn it.

Can't everybody see that?

The Irish consciousness is littered with the betrayal of the informer. In his letters from jail that Murphy and I obtained, Bulger said he felt like Philip Nolan, the noble protagonist in Edward Everett Hale's short story "The Man Without a Country," cast to sea because he challenged his government.

But Bulger is actually more like Gypo Nolan, the protagonist from Liam O'Flaherty's great story "The Informer," about a man who gave up his friend and lived to regret it.

The prosecution, expected to wrap up within days, has produced a parade of witnesses that include alleged victims of Bulger's violence and a posse of his former criminal confederates, all of whom have cut sweet deals for themselves in exchange for their testimony against Bulger.

John Martorano, an admitted murder of 20, served just 12 years, in cushy conditions. In return, he implicated Bulger in 11 murders. He was a repulsive, if effective, witness.

Kevin Weeks, Bulger's protege and gravedigger, did just five years for his involvement in a half-dozen murders. When Weeks referred to his mentor as a rat, Bulger's nice old man veil dropped.

"You suck!" Bulger hissed.

"F**k you," Weeks replied.

"F**k you, too," Bulger said.

This from a guy who bragged that he read Machiavelli and Kant in prison.

While the exchange reduced the Southie courtroom to a Southie locker room, Bulger's attorneys were pleased, thinking it made Weeks look like a thug, which he is. But where did he learn all this? At the knee of Whitey Bulger.

That has been the defense's burden. Every time they succeed in showing Bulger's former partners in crime as craven, vicious people they simply reinforce the notion that Bulger was in charge of them all.

Lately, it's been Flemmi, Bulger's opposite number, who has held center stage. He is 79, hard of hearing, but he has a pretty good memory.

He is a degenerate, an admitted murderer of 10, including his girlfriend Debbie Davis and his stepdaughter Debbie Hussey.

Of course, he admitted it but took no responsibility, blaming Bulger, saying he went along with the plots to kill them because Bulger pressured him into it.

And, Flemmi insisted, it was Bulger who strangled them, while he just watched.

Again, as defense attorneys picked at Flemmi's flaws, including his sexual abuse of his own stepdaughter, it only served to highlight the company Bulger kept.

These are his buds, his homeys, and he will live with them and most likely he will die with them, except like Flemmi he will be in prison.

If he does, he'll make out better than Gypo Nolan, who was shot dead, like so many of Bulger's alleged victims.

The opinions expressed in this commentary are solely those of Kevin Cullen.

@highlight

Kevin Cullen: Whitey Bulger's worst fear is to be called in an informant

@highlight

Cullen: Public record shows he was a rat, but loyalty, above all else, is the Irish code

@highlight

Cullen: Bulger obsessed with being the good bad guy, who helped old ladies with groceries

@highlight

Defense burden: His friends are vile, murdering thugs, and he was in charge, Cullen says