Nairobi, Kenya (CNN) -- For years, China has been pumping billions of dollars across Africa to build large-scale infrastructure projects and grant cheap loans in exchange for access to the continent's natural resources and growing markets.

And lately, along with its economic and political engagements, Beijing has also been making significant strides in expanding its media engagements in Africa. In January, the Chinese Central Television (CCTV), a state-owned news behemoth with bureaus all over the world, chose the Kenyan capital of Nairobi as the location of its first broadcast hub outside its Beijing headquarters.

Analysts say it's all part of efforts to win the hearts and minds of people in the continent and create a more fertile business environment.

"CCTV's expansion in Africa is mainly one step of this whole national engine into Africa," says analyst Jinghao Lu of Frontier Advisory. "China's investment in Africa has increased several folds in the last several years and the trade between China and the whole continent has reached $166 billion, so China really has a very significant show up at this continent."

Read related: Is the West losing out to China in Africa?

Over the last decade, China, Africa's largest trade partner, has quietly invested significant sums in building communications infrastructure across Africa, providing technical upgrades for state broadcasters and training journalists from across the continent.

At the same time it has been rapidly expanding its presence on the continent's media landscape. Xinhua, China's state-run news agency, is leading Beijing's inroads with more than 20 bureaus in the continent. In 2008, it launched the China African News Service while in April last year it teamed up with telecommunications firm Safaricom to start a mobile newspaper in Kenya.

And now, China's media strategy in Africa has taken a step further by providing customer-oriented news offerings and poaching some of the best journalistic talents to bring African news to the continent and to the world.

Mark Masaai, the Kenyan anchor of CCTV's flagship show "Africa Live," says the mission of his program is to change the narrative about Africa.

"Of course, it goes without saying, it's war, it is about hunger, we have all of that, yes, but tilt the scale and if you can show the potential and the solution to these and not just point out blatantly the bad side, the problems, the crises that we have," he says from the state-of-the-art CCTV studios in Nairobi.

Read related: The Africans looking to make it in China

Pang Xinhua, managing editor of CCTV, says existing coverage is often one-sided.

"We have the news of what is happening in Africa. We tell a positive story of African people," he says.

But analysts say that CCTV's expansion in Africa is a way for Beijing to change the narrative of China's involvement in Africa from one of exploitation to one of opportunity -- China's deepening engagement with Africa is often portrayed as pillaging the resource-rich continent, giving very little in return.

For Yu-Shan Wu, a researcher at the South African Institute of International Affairs, the efforts by the Chinese state-owned media to increase their influence in Africa and other parts of the developing world are part of a bigger soft power drive. Such initiatives, she says, are aimed at building a positive image in areas where Beijing is economically and politically active.

"China is actively introducing its culture and values, and distributing favorable images through its media to achieve its goals of reducing fears of its military strength, developing closer relations with developing nations and expanding its international influence," Wu wrote in "The Rise of China's State-Led Media Dynasty in Africa" paper, published in June.

Read related: Asian interest means Africa needs new economic vision

The establishment of Nairobi's CCTV hub, media analysts say, is a way of challenging negative perceptions and make investment possibilities seem more attractive.

"There's no doubt that a Kenya office being set up shows a lot about China's interest to also spread its own voice around the world to maybe counter what the Western media has promoted about China," says Lu.

But for that voice to be heard, CCTV's journalists know that they need credibility.

Pang acknowledges that "CCTV is media by the Chinese government" but says that says that there is no censorship from Beijing. He points to the broadcaster's editorial board, which is dominated by Kenyans who make most of the decisions on the coverage.

Read related: Why Asian giants scent opportunity in Africa

But Lu says that China's record of media control at home signals that Beijing will still have a say on what is being broadcast by CCTV Africa.

"I still believe the state will play a large role in selecting what information will be shown on TV," he says. "It has been done in China for a long time."

For Masaai, It is a given that he can't say anything that is damning to the Chinese government. But the CCTV anchor is quick to point out that at his previous Kenyan employer, certain subjects were also off-limits.

He says that CCTV's expansion is a pioneering project worth standing up to.

"In the bid to compete with the other big headers and big shots in the international sphere, they have to also go as far as the others are going. Of course, there are limits, yes. And I made amends with that."

Teo Kermeliotis contributed to this report.

@highlight

China has been stepping up its media presence in Africa

@highlight

The state-owned CCTV has opened a broadcast hub in the Kenyan capital of Nairobi

@highlight

"We tell the positive story of African people," says CCTV's managing editor

@highlight

Analysts say China is using media to change the narrative of its involvement in the continent