(CNN) -- Cambodia will accept refugees seeking asylum in Australia in return for A$40 million ($35 million) in aid, under a controversial, open-ended deal that has been criticized as "a new low" in Australia's treatment of asylum seekers.

Australia's Immigration Minister Scott Morrison was in Phnom Penh Friday to sign the agreement, as protesters there demonstrated outside the Australian Embassy.

"Cambodia is poor... can't help the refugees from Australia," read one placard.

Before his departure, Morrison told Australian public broadcaster ABC that the deal would initially apply to refugees being held on Australia's offshore detention center on Nauru, more than 200 of whom had been granted refugee status.

Instead of finding refuge in their target destination, asylum seekers who agreed to the terms would instead be settled in Cambodia, one of southeast Asia's poorest nations.

It would be "an ongoing arrangement" with no caps on total numbers involved, said Morrison.

"This is a voluntary arrangement. No-one is forcing anyone to go anywhere," he said during the interview.

"It enables us to fulfill on the policy which says no one will be resettled in Australia."

Australia's government was elected a year ago partly on a pledge to halt the flow of asylum seekers arriving by boat.

Morrison said Australia would provide A$40 million ($35 million) in development aid projects over four years as part of the deal, in addition to the $79 million ($69 million) already allocated to Cambodia.

Australia would also provide expertise on developing Cambodia's capacity to settle refugees, he said.

'Shameful' deal

The plan to outsource refugees to an impoverished country -- which, as a consequence of its recent history of civil war, genocide and occupation, is better known for generating its own waves of refugees into the world -- has drawn widespread criticism.

Australian senator Sarah Hanson-Young, immigration spokesperson for the Greens, lambasted the government for signing "an open-ended deal with one of the most corrupt nations on Earth."

"It's shameful that the Abbott government is forcing refugees to choose between cruelty on Nauru and cruelty in Cambodia," she told CNN.

"There is nothing optional about this deal. It's like the bully in the schoolyard asking if you want a punch in the face or a kick in the guts."

The Australian government itself has recently criticized Cambodia's human rights record, saying at the United Nations earlier this year that it needed to stop its military from killing street protesters, quashing political opposition and detaining people without trial.

Cambodia rates 160th out of 177 countries on Transparency International's corruption perceptions index.

Of particular concern, said Hanson-Young, was the potential fate of unaccompanied girls among the refugees.

"Human rights organizations have said the incidence of rape and sexual exploitation is on the rise in Cambodia, especially for girls and young women," she said. "The moment these girls step off the plane, they will be put at risk."

'Shirking responsibilities'

Refugee advocate David Manne, executive director of Australia's Refugee and Immigration Legal Centre, said the agreement risked "violating rights and endangering lives."

"The deal involves Australia once again shirking rather than shouldering its responsibilities to refugees in our region and globally," he said, describing Cambodia as "a completely unsuitable place to resettle refugees."

"It's a country that can barely meet the needs of its own population, let alone the basic needs of refugees. The reality is that refugees will be forced to live a life of danger and despair on the margins."

In a statement, Amnesty International described the agreement as "a new low in Australia's deplorable and inhumane treatment of asylum seekers."

"This agreement is putting the short-term political interests of the Australian government ahead of the protection of some of the world's most vulnerable people," said Rupert Abbott, the organization's deputy Asia-Pacific director.

"It makes Cambodia complicit in Australia's human rights breaches and seriously flawed offshore processing system."

That processing system, established by the previous government, sees new arrivals processed in overcrowded immigration detention centers in Papua New Guinea and Nauru, in a policy that has been criticized by the United Nations High Commissioner for Refugees (UNHCR).

More than 1,200 asylum seekers are currently detained in Nauru, with 250 status determinations carried out to date. More than 200 were found to be genuine refugees.

UNHCR said in a statement it was "deeply concerned" at the precedent set by the deal.

"This is a worrying departure from international norms. We are seeing record forced displacement globally, with 87 per cent of refugees now being hosted in developing countries," said UN High Commissioner for Refugees Antonio Guterres.

"It's crucial that countries do not shift their refugee responsibilities elsewhere."

@highlight

Australia has struck a deal with Cambodia to settle refugees in the southeast Asian nation

@highlight

In return, Australia will contribute millions of dollars in additional aid

@highlight

The plan has been slammed by advocate groups who say Cambodia is ill-equipped to host

@highlight

They say the refugees will lead endangered lives on the margins of society in Cambodia