(CNN) -- Senior Bush administration officials authorized aggressive interrogation techniques -- including forced nudity and waterboarding -- on suspected terrorists, despite concerns from military psychologists and attorneys, according to a Senate report released Tuesday.

The Senate report focuses on the authorization to use aggressive techniques to interrogate detainees.

"The fact is that senior officials in the United States government solicited information on how to use aggressive techniques, redefined the law to create the appearance of their legality, and authorized their use against detainees," said the report, which reveals new details about prisoner treatment at U.S. military prisons in Cuba, Afghanistan and Iraq.

"Those efforts damaged our ability to collect accurate intelligence that could save lives, strengthened the hand of our enemies and compromised our moral authority," the report said.

The full report on the Senate Armed Services Committee investigation was declassified Tuesday by the Defense Department, less than a week after the Obama administration released several Bush-era memos detailing the use of such techniques.

"In my judgment, the report represents a condemnation of both the Bush administration's interrogation policies and of senior administration officials who attempted to shift the blame for abuse ... to low-ranking soldiers," Sen. Carl Levin, D-Michigan, chairman of the Senate committee, said Tuesday.

"Claims, such as that made by former Deputy Secretary of Defense Paul Wolfowitz that detainee abuses could be chalked up to the unauthorized acts of a 'few bad apples,' were simply false."

The Senate report said that in December 2001 the Defense Department's General Counsel's Office solicited information on the "exploitation" of detainees from the federal agency charged with training U.S. troops on how to withstand enemy interrogation techniques considered illegal by the Geneva Conventions.

The inquiry to that agency, the Joint Personnel Recovery Agency, was submitted more than a month before then-President George Bush signed a memo stating that U.S. military personnel "shall continue to treat detainees humanely and, to the extent appropriate and consistent with military necessity, in a manner consistent with the principles of the Geneva Conventions."

The Senate committee's investigation was largely focused on the influence of a Joint Personnel program called "Survival Evasion Resistance and Escape." The program is used to train U.S. soldiers how to resist enemy interrogation, and employs harsh techniques such as forced nudity, use of fear, sleep deprivation and -- until last year -- waterboarding.

The Senate report said Bush administration officials green lighted the use of Survival Evasion Resistance and Escape techniques on detainees -- despite warnings from military psychologists against doing so.

The report includes an e-mail from an Army psychologist.

"[T]he use of physical pressures brings with it a large number of potential negative side effects ... If individuals are put under enough discomfort, i.e. pain, they will eventually do whatever it takes to stop the pain," said Lt. Col. Morgan Banks, the senior Army Survival Evasion Resistance and Escape psychologist, in an October 2, 2002, e-mail to personnel at the U.S. prison at Guantanamo Bay, Cuba.

Levin said the program is supposed to prepare troops in the event they are captured and subjected to abusive interrogations, and that it was "never intended to be used in the interrogation of detainees in U.S. custody."

In a section titled, "The Department of Justice Changes the Rules," the Senate report noted that less than a week after the Joint Personnel Recovery Agency sent the Defense Department information about the interrogation techniques, the Justice Department issued two legal opinions signed by then-Assistant Attorney General Jay Bybee.

The first opinion "presented a narrow interpretation of what constituted torture under U.S. law," the report said. The memo said that to constitute torture, physical pain would have to match the intensity of that accompanying "serious physical injury, such as organ failure, impairment of bodily functions or even death."

The opinion said the administration could defend itself against the federal anti-torture statute by arguing necessity or self-defense.

The second opinion concerned the interrogation of a specific detainee, al-Qaeda operative Abu Zubaydeh, and concluded that 10 different techniques -- including sleep deprivation and waterboarding -- did not violate prohibitions against torture.

Last week, the Obama administration released the second Bybee opinion -- which the Senate committee did not have access to during the investigation -- and three others written by then-Deputy Assistant Attorney General Steven Bradbury in May 2005. Bradbury's opinions concern hypothetical situations with the same interrogation techniques, as well as some others not mentioned in the 2002 memo. Those memos also conclude, for varying reasons, that the techniques did not violate prohibitions against torture.

The Senate report reveals new information about Survival Evasion Resistance and Escape use on accused enemy combatants held at Guantanamo -- which President Obama plans to close within a year.

"By early October [2002] there was increasing pressure to get 'tougher' with detainee interrogations" at Guantanamo, according to testimony cited in the Senate report from a military behavioral scientist, Maj. Paul Burney, who worked with interrogators at the facility in Cuba.

So, Burney and a colleague drafted a memo proposing aggressive interrogation techniques at the facility. The scientist testified that Guantanamo's intelligence chief told him the memo needed to contain coercive techniques or it "wasn't going to get very far," the report said.

Levin said that despite "serious legal concerns raised by the military service lawyers," Defense Department General Counsel Jim Haynes recommended that then-Defense Secretary Donald Rumsfeld approve 15 of the interrogation techniques -- including stress positions, removal of clothing, use of phobias (such as fear of dogs) and deprivation of light and auditory stimuli.

After Rumsfeld's December 2, 2002, approval, senior Guantanamo staff issued a memo on the use of aggressive techniques, saying, "The premise behind this is that the interrogation tactics used at U.S. military SERE schools are appropriate for use in real-world interrogations," according to the report.

The report details how Rumsfeld's approval prompted interrogators in Afghanistan and Iraq to adopt the aggressive techniques. Military officials essentially copied and pasted interrogation policies from Guantanamo, and posted them as their own in Afghanistan and, ultimately, Abu Ghraib prison in Iraq.

In September 2003, U.S. Central Command lawyers raised concerns about the interrogation techniques authorized for Abu Ghraib, which included stress positions, sleep deprivation and exploiting fears of dogs, the report said.

The report reveals a newly declassified September 16, 2003, e-mail from a CentCom lawyer, Maj. Carrie Ricci, who warned that "Many of the techniques appear to violate [Geneva Conventions] III and IV and should not be used. ..."

Dozens of military personnel who served at Abu Ghraib confirmed that the interrogation techniques cleared by Rumsfeld had made their way to the prison, according to the Senate report.

An Army dog handler at Abu Ghraib told military investigators in February 2004 that "someone from [military intelligence] gave me a list of cells, for me to go see, and pretty much have my dog bark at them. ... Having the dogs bark at detainees was psychologically breaking them down for interrogation purposes."

The Senate report said that an interrogator told military investigators in May 2004 that it was "common to see detainees in cells without clothes or naked" and said it was "one of our approaches."

Levin noted that, despite the revelation of widespread use of aggressive and abusive interrogation techniques, there is still the question of whether the senior officials who approved the policies should be held accountable.

Obama on Tuesday left open the possibility of criminal prosecution, saying it would be up to Attorney General Eric Holder to decide whether to prosecute the former officials.

"With respect to those who formulated those legal decisions, I would say that is going to be more a decision for the attorney general within the parameter of various laws and I don't want to prejudge that," Obama told reporters.

"There's a host of very complicated issues involved there. As a general deal, I think we should be looking forward and not backwards. I do worry about this getting so politicized that we cannot function effectively and it hampers our ability to carry out critical national security operations."

@highlight

Lawyer's e-mail says, "Many of the techniques appear to violate" Geneva Conventions

@highlight

Investigator says "one of our approaches" was to keep detainees naked

@highlight

Report: Officials encouraged use of stress positions, phobias, deprivation of light

@highlight

Techniques came from program used to train troops to resist enemy interrogation