(CNN) -- Back in July 1969, I stood on the talcum-like lunar dust just a few feet from our home away from home, Eagle, the lunar module that transported Neil Armstrong and me to the bleak, crater-pocked moonscape.

Standing there and soaking in the view, I called it as I saw it: "magnificent desolation."

As Neil and I walked upon the surface of the moon at Tranquility Base, we satisfied a vision held by humankind for centuries. And as inscribed on the plaque fastened to the ladder of our lander: "We Came in Peace for All Mankind."

Sunday will mark the 45th anniversary of the lunar landing, when Neil announced, "Tranquility Base here. The Eagle has landed."

It was, truly, one small step, but more steps are needed to fuel and assure America's leadership role in deep space exploration.

I'm often asked just how lonely it was on the moon. First of all, what got us there was the tireless effort of some 400,000 people who shared a universal dream. Project Apollo was a unified enterprise that relied on teamwork.

Second, while we were farther away from terra firma than any humans had ever ventured -- with our colleague Mike Collins circling the moon in the command module above us -- the three of us were connected to home planet Earth. Close to a billion people watched and listened to our journey.

In reflecting back on that thrilling, transformative time, several things come to mind.

Standing on that harsh, desolate, yet magnificent terrain, stealing precious moments, I looked back at Earth. Everything I knew and loved lay suspended on a far away and fragile blue sphere that was engulfed by the blackness of space.

In the back of my mind were Neil's words about a step on the moon. Imagine the great magnificence of humanity going from horse and buggy, to railroads, cars, and airplanes, to rockets -- and now walking on the moon. That is a testimonial to the progress of the creatures here on Earth.

I couldn't have imagined anything more desolate -- knowing it hadn't changed in hundreds of thousands of years. You couldn't find any place like that on Earth. The airlessness. Brilliant sunlight illuminated the dust, which was everywhere. And the horizon, visibly curving away in the distance, was so clear because no pollution obscured it.

Walking across that landscape was much easier than we had thought it would be. When my boot struck moon dust, it flew away in a straight line, a sign of the lighter gravity load, one-sixth that of Earth.

I didn't anticipate, returning to Earth, that America's triumph was viewed as a success for all humankind. People expressed their collective pride by declaring "We did it!" -- there was an aura of ownership of the achievement.

Although we can revel in taking rear-view mirror looks at the Apollo 11 mission, the urgent need, I believe, is to confront the future.

Our space program should not focus on getting back to the moon. We have already blazed that trail. Apollo was part of a clear, get-there-in-a-hurry, space race strategy. To be blunt, that meant we didn't spend time developing re-usability.

It's time for commercial and international interests to move, beyond discovery, to development.

Other nations, China in particular, are working toward the exploration and development of the moon with robots and, eventually, crews. Providing U.S. support for international lunar development is in our best interest.

By participating in a unified, international effort, we avoid an unnecessary race back to the moon and can still participate in lunar science. Other U.S. government entities -- the National Science Foundation and commercial entities -- should take over in moon exploitation and development. It may well be that NASA is not best suited to run this program. Exploitation has never been its strong point.

It's true, multiple choices need to be made. We could as a country sit around and do nothing. On the other hand, we could accept the role of space leadership that we carved out for ourselves in the 1960s and 1970s.

For America, another destination is calling. America's longer-term goal should be permanent human presence on Mars.

The moment to begin could be on the occasion of the 50th anniversary of Apollo 11's touchdown on the moon.

We can make a courageous, Kennedyesque commitment to America's future in deep space. The U.S. President could utter these momentous words: "I believe this nation should commit itself, within two decades, to commencing an America-led, permanent presence on the planet Mars."

We must look to re-establish realistic, but ambitious, longer range and more meaningful exploration goals, and we must issue a call -- with the right guidance and sustained funding -- to a new generation. The next generation of space explorers.

Again, the Apollo moon program provided one small step. Other steps lay ahead, strides that take us to the surface of Mars.

Catching the summer of supermoons

Scientists create a mini Mars on Earth

Looking up at mesmerizing stars

@highlight

Astronaut Buzz Aldrin stood on the talcum-like dust of the moon 45 years ago

@highlight

He says all he loved lay on a faraway, fragile blue sphere engulfed by blackness

@highlight

Aldrin: Let's join an international private-public sector effort to develop the moon

@highlight

But for America, he says, we must pursue permanent human presence on Mars