(CNN) -- Iraqi Prime Minister Nuri al-Maliki on Monday directed the nation's armed forces not to strike residential neighborhoods in Falluja after reports of weekend clashes there between al Qaeda-linked fighters and government troops, Iraqi state TV said.

But al-Maliki also appealed to Falluja's residents and tribes to expel the "terrorists" from the central Iraqi city in order to save their neighborhoods from the risk of confrontations between militants and government forces.

Conflicting reports have emerged over who is in control in Falluja, the site of some of the bloodiest fighting between U.S. forces and insurgents during the Iraq War.

Some suggest the Islamic State of Iraq and Syria (ISIS), formerly the group commonly known as al Qaeda in Iraq, is in partial control of Falluja, which is situated roughly 60 kilometers (37 miles) west of Baghdad, in the volatile province of Anbar.

The government said this weekend that the Iraqi army shelled Falluja in an effort to clear out the al Qaeda-linked fighters.

The recent fighting in Anbar, whose population is predominantly Sunni, has posed a serious challenge to al-Maliki and his Shiite-dominated government. It has raised questions about his ability to hold the country together amid a rising insurgency.

No U.S. troops

U.S. Secretary of State John Kerry said Sunday that the United States will help the Iraqi government in the battle against al Qaeda-linked fighters in western Iraq, but stressed it won't send troops.

"We're not contemplating putting boots on the ground," Kerry said in Jerusalem during a visit to the Middle East. "This is their fight, but we're going to help them in their fight."

U.S. military forces, which invaded Iraq and toppled the Saddam Hussein regime in 2003, fought insurgents there for years until they withdrew at the end of 2011.

American officials say they are keeping a close eye on the current unrest.

"This situation remains fluid, and it is too early to tell or make conclusions about it," White House Press Secretary Jay Carney said Monday. "But we are accelerating our foreign military sales deliveries and are looking to provide an additional shipment of Hellfire missiles as early as this spring."

Vice President Joe Biden spoke with al-Maliki by phone on Monday and stressed that "the United States stands with Iraq" in the battle against the al Qaeda-linked fighters, the White House said. Biden also spoke to Osama al-Nujaifi, the speaker of the Iraqi Council of Representatives.

Kerry: We'll help Iraq but won't send in troops

Sunni ire in Anbar

The current conflict in Anbar is not a simple matter of al Qaeda against pro-government troops, according to local officials, political analysts and tribal leaders in Falluja and Ramadi. They say al-Maliki is spinning the strife to his political advantage.

These sources say al-Maliki is trying to cite al Qaeda as a pretext to crush Sunni protesters and is using the same tack to get international support for his fight. They say he's trying to create the false impression that ISIS fighters control much of Falluja.

ISIS has been working doggedly to exploit a security vacuum across Iraq.

While there are pockets of al Qaeda-linked militants in Anbar cities such as Falluja, most regions in Anbar, including Falluja, are under the control of local police and Sunni tribes not aligned with militants, they explained. Fighting also has raged between these local tribes and the Iraqi army in Falluja.

Violence has flared in recent days because of the arrest of a Sunni lawmaker in Ramadi and the dismantling of protest sites by the army in Falluja and Ramadi.

Most Sunnis in Anbar have simply been angry at being regarded as second-class citizens in the majority Shiite country. They have been upset with the local and central government authorities, and these grievances have spurred an ongoing uprising against the Shiite-led government.

Echoes of earlier conflict

Things are a bit more stable in Ramadi, Anbar's capital, because the local government struck a deal with tribes to fight against ISIS. Al-Maliki is more supportive of local government in Ramadi than Falluja, according to these sources.

Soldiers have not been stationed inside Anbar cities for nearly a year. Now, al-Maliki is trying to bring the soldiers back, a move prompting Sunni resistance.

The deal the government made with some Sunni tribal fighters was comparable to a 2007 U.S. pact that saw Sunnis turn on al Qaeda, siding with American and Iraqi forces to bring about an end to the terrorism.

The fighting between Sunni militants against Shiite-dominated forces was reminiscent of fighting during the height of the Iraq War in 2006 and 2007, when sectarian violence nearly tore the country apart.

The analysts who spoke to CNN said that Shiites have more to fear in the conflict with Sunnis because they risk losing their newfound and widespread power after decades of domination by a largely Sunni regime led by Saddam Hussein.

CNN's Steve Brusk, Joseph Netto and Joe Sterling contributed to this report.

@highlight

NEW: U.S. Vice President Joe Biden talks to al-Maliki by phone, stressing support

@highlight

NEW: The U.S. is stepping up military deliveries but won't send troops into Iraq, officials say

@highlight

The Iraqi Prime Minister appeals to Falluja residents to expel "terrorists" from the city

@highlight

Government troops have reportedly clashed with al Qaeda-linked fighters