(CNN) -- Use of tobacco in flavors like Dreamsicle and chocolate mint may be a growing problem among teenagers, according to a Centers for Disease Control report.

More than two out of every five middle- and high-school students who smoke report using flavored little cigars or flavored cigarettes, according to the report. And the bigger concern may be that the majority of the kids who smoke the flavored cigars -- some 60% -- say they don't plan to quit anytime soon (compared to 49% of all cigar smokers).

Smoking is still the leading cause of preventable disease and death in the United States.

The report was the CDC's first attempt to measure flavored little cigar and flavored cigarette use among kids. The data come from the 2011 National Youth Tobacco Survey.

"Historically what we know from other studies is that flavors can mask the harshness and taste of tobacco, particularly for a new person who has not smoked regularly and finds it difficult to handle," said the CDC's Dr. Tim McAfee, director of the Office on Smoking and Health. "Flavoring makes it easier to use and more appealing to youth."

Cigars have become increasingly popular in the last couple of decades. Sales were up 240% from 1997 to 2007, according to the CDC. Flavored cigars account for 80% of those sales.

Doctors support raising the smoking age

The problem is, studies show, kids' experimentation with tobacco often turns into a lifelong habit. Some 88% of adults who smoke say they started smoking by the age of 18, according to the CDC.

Tobacco use overall among kids has declined over the past few decades. Some 18% of high school students said they smoked one or more cigarettes in the previous month, and 13.1% said they smoked cigars, according to 2011 data.

"Things were looking and have been looking good in terms of the decline in youth smoking," McAfee said. "So we are particularly worried about little cigar use not declining."

In 2009, President Obama signed the Family Smoking Prevention and Control Act banning the sale of flavored cigarettes. The law did not, however, ban flavored cigars.

The little cigars are really "kissing cousins" to cigarettes, McAfee said, and they resemble cigarettes when sold in a pack. They are similar in size and shape and have filters like cigarettes.

The difference is little cigars are wrapped in leaf tobacco or another tobacco product. Cigarettes are wrapped in paper or some other non-tobacco substance.

Little cigars may have already been more attractive to kids -- they are often taxed at a lower rate than cigarettes, which makes them more affordable. And unlike cigarettes, they can be sold individually.

"This allows kids to get little cigars for pocket change," McAfee said. "You can go into a convenience store and buy some variation on little cigars for under a dollar."

E-cigarettes: Healthy tool or gateway device?

Concerned about this issue, Rep. Harry Waxman, D-California, and the ranking member of the House Energy and Commerce Committee, sent a letter to the Food and Drug Administration in 2012 asking the FDA to stop tobacco companies from "exploiting loopholes and continuing to addict youth."

Waxman's letter cited internal documents from tobacco companies that showed the companies were specifically trying to develop and market new products the letter characterized as taking "advantage of tax and regulatory loopholes."

A memo from National Tobacco mentioned in the Waxman letter describes adding "six explosive fruit flavors" including "Apple Blitz" and "Purple Thunder" to Zig Zag cigar wraps.

The Waxman letter warns "tobacco companies are succeeding in developing a new market by selling flavored cigars to young smokers."

But "we don't want kids to smoke," said Mark Smith, spokesman for Commonwealth-Altadis, a company that has a line of flavored cigars. He says the company doesn't make products for children.

"We don't have a clue what young people like, because we don't study anyone under 21," Smith said. The company makes cigars with flavors because adults like them, he said.

"Think about how many adults like flavored coffees and vodkas and other spirits. Americans like new products, and they especially like flavored products."

Commonwealth-Altadis is also a big supporter of the "we card program," which encourages retailers to verify the age of people buying tobacco, Smith said.

CDC: Second 'Tips' anti-smoking campaign

@highlight

More than 2 out of 5 teens who smoke use flavored little cigars

@highlight

Almost 60% of the kids who do "are not thinking about quitting"

@highlight

Smoking is the leading cause of preventable death in the U.S.