(CNN) -- The rescue of 33 trapped men in Chile brings home vividly the hazards of mining. How do we defend this very blue-collar occupation, which claimed the life of my grandfather, some of his friends and almost killed me, when I was actually pinned between a rock and a hard place?

Thousands of hard-working folks are killed and injured in mines worldwide each year. This eons-old industry is disparaged by many, but most of the people with close ties to it laud and defend the profession.

The truth is this: Mining is hazardous but essential to the lives we want. It's an activity that produces wealth, provides raw materials for a myriad of products,  lifts people out of poverty, develops economies and yes -- kills, maims and disables some of those who work at mining.

Miners, from the child coal miners of old who worked to remove "boney" from the breakers or carried water to the mining executives of today, should be thanked and appreciated for their contribution to civilization.

Let's reconsider labeling mine operators as the exploiters of earth and humans. Let us at least acknowledge their entrepreneurial spirit, courage and  willingness to get into a business that is difficult by any standard. My father was a coal operator.

But let's also be fair. Poorly managed mines exist. Some operators still are sympathetic to the doctrines of "assumption of risk" or "implied negligence," so often cited in days gone by as a management defense against the liability of accident loss.

Those who don't study industrial health and safety or haven't worked in heavy industries such as mining often ask how catastrophes -- such as the April 2010 mine explosion in West Virginia at Massey's Upper Big Branch mine or the roof collapse at the San Jose copper mine in Chile -- can happen.

Mining exposes workers to lethal amounts of energy. The energies in underground mines are in states of motion or stored in moving shafts and gears; electricity; the mine roof, rib or sides of the tunnel; hydraulic cylinders; and more. An unexpected release of this energy can equal disaster.

These energies must be controlled at all times and in all situations. Unfortunately, our controls are not always up to the task.

The Upper Big Branch event apparently involved the methane gas accumulating into the explosive range and an ignition source. Mine roofs collapse for many reasons, such as fault lines in the strata, inadequate bolting or other mechanical controls, inadequate pillar size or improper mining methods.

Mines blow up when methane gas accumulations go undetected or inundate a mine quickly before power can be cut or the area can be ventilated. Investigations into these recent mining disasters have not been completed, so the basic or root causes cannot be known yet.

To prevent incidents in mining, both large and small, is no easy task. We are fighting a legion of hazards.

In underground mines, stored energy in the form of  earth surrounds the worker. Miners work in a confined space that has the potential to collapse on them at any time, despite efforts to maintain the integrity of the roof, ribs and floor of the void in which they work. The challenge to identify and control hazards in this workplace is unequaled.

Mine safety begins with commitment.

Management must commit to preventing accidents by providing adequate resources for the identification and control of hazards. All mines must integrate safety into everything they do. There is no magic bullet to prevent injuries and loss.

But it's essential to have commitment:

-- To prevention, vigilance and excellence in workplace examinations.

-- To safe work practices and procedures.

-- To controlling the hazards associated with the worker, the equipment, material and the environment.

This takes dedication, a conscientious work force and some good fortune.

A former supervisor of mine was fond of saying, "Plan for the exception, and expect it to happen." Perhaps for mining, this goes double.

The miners who perished at Upper Big Branch were killed instantly. There was no opportunity for them to evacuate or take refuge. The miners at the San Jose copper mine might have escaped back in August had all escape routes been maintained properly.

Companies must embrace an aggressive culture of safety prevention first and foremost and also  incorporate a program of mine emergency response that is second to none.

The opinions expressed in this commentary are solely those of Mark Radomsky.

@highlight

Former coal miner Mark Radomsky had close call with death; grandfather killed in mine

@highlight

People with close ties to mining laud and defend it, the safety expert says

@highlight

Mining produces wealth, raw materials, lifts people out of poverty, he says

@highlight

Safety very difficult, he writes; miners need management to be fully committed