(CNN)As the world awaits a possible nuclear agreement between the United States and Iran, let us not forget: This is the second time in two years that President Barack Obama has pursued a nonproliferation deal with an unreformed regime in the Middle East. In doing so, he has ignored the regimes' fundamental nature and the catastrophic costs these efforts have inflicted upon regional stability and U.S. national security.

This month brought familiar news: more chemical weapons attacks allegedly by dictator Bashar al-Assad against his fellow Syrians.

Just in June, the administration declared the success of its deal to remove al-Assad's chemical weapons, which had been prompted by his August 2013 sarin attacks on Syrian civilians and the threat of U.S. airstrikes in response.

The deal did yield an important victory -- the removal and destruction of more than 1,200 metric tons of al-Assad's chemical weapons arsenal, which he can no longer use to threaten Syrians and Israel or fall into terrorist hands.

However, with his actions as evidence, it was a deal that al-Assad likely knew he could manipulate.

Even while the deal was underway, al-Assad continued to attack Syrian civilians and the opposition with weaponized chlorine bombs, exploiting a loophole in the agreement.

The deal was also fundamentally flawed in that it relied upon al-Assad to declare his stockpile voluntarily without sufficient third-party verification. Just weeks after claiming success, the administration quietly acknowledged that al-Assad had secretly retained some of his most lethal chemical weapons. Al-Assad has also failed to destroy some of his chemical weapons facilities, as the agreement required.

The deal made al-Assad a partner of sorts to the administration despite the grisly, mass atrocities he continued to commit. During implementation, the administration limited its support to the moderate opposition and did little else to pressure the regime to restrain its attacks on civilians or to allow a political transition.

About 50,000 more Syrians were killed in the conflict during these months -- mostly at the hands of the regime -- and the displacement of millions of Syrians throughout the region continued.

Meanwhile, ISIS further exploited the civil war, expanding into security voids.

There are several troubling parallels between the administration's deal with al-Assad and the one it is now pursuing with Tehran. Both represent deep cynicism or a fundamentally naïve understanding of the regimes with which we are negotiating. In both cases, the administration has tried to reach common ground with the world's foremost sponsors of terrorist groups such as Hezbollah, Hamas and al Qaeda -- which these regimes have funded, trained or sheltered.

All of this was true before the administration started these negotiations, and it remains true today. Neither Tehran nor al-Assad has changed ways and chosen normalization with the international community. To the contrary, external factors forced them into situations in which they had to cooperate at least ostensibly on isolated issues -- al-Assad on chemical weapons due to threatened airstrikes and Tehran on its nuclear program due to crippling sanctions. Both have only reluctantly engaged and have taken steps to delay, obstruct and circumvent verifiable agreements.

As continues to be the case with al-Assad, Tehran has been emboldened by the administration's approach. It has increased lethal support to al-Assad in Syria, deployed troops and supported sectarian militias in Iraq, and ramped up aid to other militant groups, including the insurgent Houthis in Yemen.

These activities are now exacerbating the very humanitarian and terrorist crises that Iran helped cause by preventing political compromise in Iraq and Syria. As was the case with al-Assad, a deal will effectively make Tehran a partner to the administration in which the White House accepts the Iranian regime's legitimacy by virtue of the agreement.

And there will still be little confidence that Tehran will actually honor the terms of any deal it accepts. Even while negotiations have been underway, Iran has been caught procuring illicit nuclear technology.

The regime has a track record of concealing nuclear facilities and obstructing the International Atomic Energy Agency's access to others, including its infamous Parchin base.

As IAEA Director General Yukiya Amano confirmed again this week, Tehran has still only partially answered one of the IAEA's long-standing, 12 questions on possible military dimensions of its passed nuclear activities.

Amid his continued calls for "death to America," Iran's Supreme Leader, Ayatollah Ali Khamenei, tweeted his demand just last week that sanctions be lifted immediately as a part of any deal, not as a result of verified observance of a deal.

Tehran has demonstrated repeatedly that it will not allow verification of its passed activities or allow actual compliance to be a prerequisite for further sanctions relief.

Without a complete understanding of Iran's program, the international community does not have the information it needs for a responsible deal.

A regime so committed to supporting terrorism, violently oppressing its own people and others, threatening U.S. national security and destroying Israel cannot be trusted. And without trust and verification there can be no acceptable deal. The world has witnessed the results of such a naïve arrangement before -- an unprecedented rise of terrorism, a grave humanitarian crisis and a blatant disregard for human life.

We are seeing it once again in response to the administration's efforts with Iran. As we learned with Syria's al-Assad, making a deal with a terrorist-supporting tyrant yields disaster down the road. Let's not make that mistake twice.

@highlight

Cathy McMorris Rodgers: Obama administration let Syria get away with continued chemical weapons capability

@highlight

She says the Iran nuclear talks have the U.S. heading down the same dangerous road