China sent fighter jets into its newly claimed air defense zone Thursday, as Japan and South Korea sounded notes of defiance by declaring they would continue to fly through disputed airspace without notifying Beijing.

South Korea announced yesterday it had already sent a military flight into China's newly claimed "air defense identification zone" (ADIZ) on Tuesday without alerting China, while Japan appeared to claim it had also flown into the territory since China's announcement Saturday that it was unilaterally establishing the zone.

The flights have raised the stakes in a rapidly escalating dispute over contested territory in and above the East China Sea. They follow U.S. flights into the territory earlier in the week, when two unarmed B-52 bombers passed uncontested through the zone, in what the Pentagon described as a pre-planned military exercise.

Col. Shen Jinke, spokesman for the People's Liberation Army Air Force, said the Chinese warplanes, including Su-30 and J-11 fighters and an airborne radar early warning system, were flown Thursday into the ADIZ in what he described as a "defensive measure ... in line with international practices."

The fighter jets conducted "routine air patrols ... aiming to strengthen monitoring on air targets in the zone and fulfill the air force's historic mission," Shen said in a statement posted on the Chinese Defense Ministry's website.

China's military has been on "high alert," he added, and was prepared to act "based on different air threats to firmly ensure air-defense safety."

OPINION: Beijing's foreign policy balancing act in the East China Sea

An ADIZ is a unilaterally imposed buffer zone outside a country's sovereign airspace, with scant recognition in international law, in which foreign aircraft can be requested to provide identification for entry into that country's airspace.

China's newly claimed ADIZ overlaps similar zones claimed by neighboring countries, including over the Diaoyu/Senkaku islands, which have been at the center of a festering territorial dispute between Beijing and Tokyo.

Meanwhile, South Korea announced yesterday its military had flown into the area Tuesday on a routine patrol flight without notifying China. A Defense Ministry official said the flights -- over a disputed submerged rock in the Yellow Sea, known by Korea as Ieodo and by China as Suyan -- were regularly carried out twice a week, and would continue despite China's ADIZ declaration.

The spokesman said South Korean officials asked Beijing at a meeting Thursday to amend the boundaries of the new ADIZ so that there was no overlap with South Korea's ADIZ, a request that China had rejected. Seoul responded by saying it was considering expanding its ADIZ to protect its national interest, according to the official.

Japan also signaled its rejection of Beijing's move Thursday, with Chief Cabinet Secretary Yoshihide Suga telling reporters his country's Self Defense Force had been continuing surveillance patrols of disputed territory in the East China Sea just as it had before China's declaration.

"We have no intention to change this operation out of consideration for China," said Suga. "We will continue the surveillance/patrol operation with strong determination to protect our territory against China's one-sided attempt to change the status quo by force."

Read more: Why China's new air defense zone has incensed neighbors

China has grown more assertive beyond its recognized borders since Chinese President Xi Jinping took office in March this year -- creating a delicate situation for Washington, which has promised to focus more on Asia and uphold commitments to its allies in the region.

"Unlike his predecessors, Xi is making foreign policy with the mindset of a great power, increasingly probing U.S. commitments to its allies in the region and exploiting opportunities to change the status quo," Stephanie Kleine-Ahlbrandt, director of Asia-Pacific programs at the U.S. Institute of Peace, wrote in a commentary for CNN.com this week.

The United States and Japan have criticized Beijing's air defense claim, saying it escalates tensions in the region and raises the risk of an incident.

China hit back at those comments, describing the U.S. and Japanese statements as unreasonable and unacceptable, and saying Japan should first repeal its own zone, claimed more than 40 years ago.

But in statements Thursday, China's Foreign Ministry spokesman Qin Gang appeared to soften demands that commercial airliners passing through the airspace notify Chinese authorities, saying the zone was not targeted at "normal" flights by international airliners.

However, he hoped that airlines would cooperate with authorities, by providing flight plans and responding to radio requests for identification, as he said many airlines have begun to do.

Two major Japanese airlines have already refused to comply with the request.

@highlight

Official: China warplanes fly as "defensive measure" into newly declared zone

@highlight

South Korea says it has flown into disputed zone since Chinese declaration

@highlight

South Korea says it is considering expanding its air defense zone in retaliation

@highlight

Tokyo suggests it has also patrolled the contested airspace since Beijing's announcement