Washington (CNN) -- President Barack Obama says Osama bin Laden had a group of supporters within Pakistan helping to keep the al Qaeda leader secure for years, despite an American-led international manhunt that extended for nearly a decade with Islamabad's ostensible support.

Top U.S. officials insist Pakistan remains a critical U.S. ally in the fight against terrorism, but are demanding answers to troubling questions about bin Laden's presence in that country over the course of the last six years.

"We think that there had to be some sort of support network for bin Laden inside of Pakistan," Obama said in a "60 Minutes" interview airing Sunday on CBS.  "But we don't know who or what that support network was."

The president said U.S. officials "don't know whether there might have been some people inside of government (or) people outside of government, and that's something that we have to investigate."

"More importantly," he added, "the Pakistani government has to investigate."

Pakistani authorities have "indicated they have a profound interest in finding out what kinds of support networks bin Laden might have had," Obama noted. "But these are questions that we're not going to be able to answer" immediately after the raid on bin Laden's compound.

"It's going to take some time for us to be able to exploit the intelligence that we were able to gather on site," he said.

Pakistani leaders insist they didn't take part in either the establishment or the maintenance of bin Laden's safe haven, and have promised a full examination of the circumstances that allowed him to spend years in Abbottabad, a city with a heavy military presence located a mere 30 miles north of the country's capital.

Asked by CNN's Fareed Zakaria whether bin Laden's presence in Pakistan could be chalked up to "duplicity or incompetence," Pakistan's U.S. ambassador, Husain Haqqani, said Sunday he couldn't provide an explanation.

"I think the best way to move forward is to wait for the findings of an internal (investigation) -- a look at the issue," Haqqani said.  "I do not think that speculation is going to solve any problem."

Pakistan's government "did not have a policy of protecting these people," he asserted during an interview on ABC's "This Week."

Obama's national security adviser, Tom Donilon, told CNN's Candy Crowley he has not seen any information to indicate Pakistani officials knew bin Laden was living in Abbottabad.

But if evidence is discovered that is "highly disturbing, we'll certainly press that," he said.

Donilon's comments came amid calls in Congress and elsewhere to cut U.S. financial assistance in Pakistan, which currently receives roughly $1.5 billion in annual aid.

Last week, CIA Director Leon Panetta -- nominated by Obama to succeed Robert Gates as defense secretary -- told House members during a closed-door briefing that Pakistan was "either involved or incompetent," according to two sources in attendance.

"We'll clearly be working with (Pakistani authorities) to understand how we got to this point," Donilon said.  He stressed, however, that "more terrorists and extremists have been captured or killed (in Pakistan) than any other place in the world."

"We need to look at this in a calm and cool way," he said.  There is a lot "at stake in that region."

"Questions are being raised quite aggressively in Pakistan," Donilon later added on ABC's "This Week."  Authorities there "need to do an investigation."

Indiana's Richard Lugar, the top Republican on the Senate Foreign Relations Committee, told CNN it seems "very logical" that "a lot of people in Pakistan knew about (bin Laden's) whereabouts."

But Lugar dismissed calls to cut Pakistan's financial aid.  Like Donilon, he stressed the reality that Pakistan remains a "critical factor in the war against terror."

Among other things, Lugar highlighted the importance of keeping Islamabad's nuclear arsenal secure, and out of the hands of Islamic or other extremists.

Sen. John Kerry, D-Massachusetts, the chairman of the committee, expressed optimism that the uproar over bin Laden's presence in Abbottabad will allow American and Pakistani leaders to "punch a reset button" in their relationship.

"Hopefully (now) there can be a readjustment," he said on CBS's "Face the Nation."  Kerry noted Pakistan's past assistance in the U.S. fight against terrorism, including its willingness to allow U.S. predator drone strikes within its borders.

Former Bush CIA Director Michael Hayden appeared to agree with Kerry's assessment of the situation created by the raid.

"This may be an opportunity to reboot this relationship with Pakistan, and get them to be more aggressive in going after these common targets," Hayden said during an appearance on NBC's "Meet the Press."

"Even if Pakistan was not complicit in providing the safe haven" to bin Laden, "they certainly fell well short of what it was we thought or perhaps they think they should be," he said.

Haqqani said on "This Week" that Islamabad would have taken action if any member of the Pakistani civilian government, military, or intelligence service knew bin Laden's location.

He conceded there had been a failure on the part of his government, and said an investigation is already ongoing.

"Heads will roll" once it's completed, Haqqani promised.  The investigation "will lead wherever it will lead."

Pakistan "wants to put to rest any misgivings the world has about our role" in the fight against terrorism, he said.

As part of that effort, Pakistani Interior Minister Rehman Malik met with a number of senior Saudi officials over the weekend, including King Abdullah.  The officials discussed, among other things, the changing security situation after the U.S. raid on bin Laden's compound.

Pakistan's prime minister, Yousuf Raza Gilani, is expected to deliver a new terrorism-related policy statement Monday as the Pakistani parliament opens a debate on the U.S. raid.

During his appearance on ABC, Haqqani acknowledged deep social and political divisions in his country.  Pakistan remains a hotbed of anti-U.S. sentiment and is home to a large number of people with sympathy for bin Laden.  "Jihadi has-beens" are "still alive and kicking," he said.

At the same time, however, he noted the substantial time and resources Washington has devoted to the wars in Iraq and Afghanistan -- countries many analysts see as less critical fronts in the war against al Qaeda and similar organizations.  He also blasted the U.S. government's willingness to conduct a raid in Pakistan without Islamabad's awareness or consent.

"What we are offended by is the violation of our sovereignty," he said.  "America has a selling job to do in Pakistan."

Later, Haqqani told CNN that Washington needs to do more to acknowledge Pakistan's contributions in the war against al Qaeda and other terrorist elements.

The United States needs "to show respect ... for what Pakistan has done," he said.  "Pakistan has sacrificed thousands of lives in fighting terrorism."

Haqqani criticized what he characterized as "a strange mood" in Washington.  "Every time something goes wrong with Pakistan, there is open season on Pakistan," he said.

The relationship between Washington and Islamabad is "based on mutual need," he said.  "Constantly bashing us" doesn't help the situation.

CNN's Samson Desta, Mary Grace Lucas, and Alan Silverleib contributed to this report

@highlight

President Obama says Osama bin Laden had a support network within Pakistan

@highlight

Pakistani authorities need to investigate how bin Laden hid in their country, aide says

@highlight

Top members of Foreign Relations Committee stress importance of U.S.-Pakistan ties

@highlight

Pakistan's U.S. ambassador says an investigation is underway and "heads will roll"