Which country boasts the world's fastest growing clean energy investment? Germany? No. United States? Think again.

Jumping from a few hundred million dollars to $5.7 billion, South Africa recorded last year the world's highest growth in renewable energy investment, according to the U.N. Environment Program (UNEP).

The spectacular surge, led largely by investments in solar power projects, comes as South Africa moves to reduce its dependency on coal, which accounts for around 86% of its energy. To achieve that, the country has set the ambitious target of generating 18 gigawatts (GW) of clean energy by 2030.

As a result, a series of investments have trickled into the country, including Google's first foray into Africa's solar power market. The internet giant, which has spent more than $1 billion in renewable energy projects in the United States and Europe in recent years, announced in late May its decision to back the Jasper Power Project, a 96 MW solar photovoltaic (PV) plant in Northern Cape, with a $12 million investment.

Read this: 'Solar sisters' spreading light in Africa

"We only pursue investments that we believe make financial sense," said Rick Needham, Google's director of energy and sustainability. "South Africa's strong resources and supportive policies for renewable energy make it an attractive place to invest."

Abundance of sun

Once completed, Jasper is expected to be one of the biggest solar installations in the continent, capable of generating enough power for some 30,000 homes.

It's no secret that Africa has plentiful sunshine, with many parts of the continent enjoying daily solar radiation of between 4 kWh and 6 kWh per square meter. But it's no secret, either, that Africa has the world's lowest electricity access rates, with more than half of its countries experiencing daily -- and costly -- power outages.

Amid such conditions, experts say investments in large-scale solar power projects could transform a continent faced with fast-rising populations and increasing demand for energy to support its economic growth.

"Six out of the 10 fastest economies in the world (over the past decade) were in Africa, and that requires much more energy, at a faster-growing pace than we've seen before," says Frank Wouters, deputy director-general of the International Renewable Energy Agency.

Ambitious projects

And some countries have already taken notice. While South Africa is clearly setting the pace, projects are being announced across the continent as more countries look to unlock their massive solar potential.

In late April, Mauritania launched what's described as Africa's biggest solar PV plant so far, a 15 MW facility that is designed to account for 10% of the country's energy capacity, according to its developers. In early May, Morocco began the first phase of the construction of a 160 MW concentrated solar power technology plant near Ouarzazate as part of the country's efforts to produce 2,000 MW of solar energy by 2020.

And late last year, British company Blue Energy announced plans to build the Nzema Project in Ghana, a 155 MW facility. Construction at the $400 million project is expected to begin in the first quarter of next year, while the plant should become fully operational by the end of 2015.

Obstacles

Yet, despite such ambitious schemes, experts say the continent is far from exploiting its massive solar energy potential. According to the International Energy Agency, coal, oil and gas together accounted for 81% of  Africa's total power generation in 2009, with nuclear power making up 2%, hydropower 16% and all other renewable sources accounting for just 1%.

Read this: Harnessing pedal power to light up Africa

Wouters says that a lack of awareness about the current price competitiveness of solar technology, coupled with wider inefficiencies in the performance of most power utilities across the continent, is preventing African countries from scaling up their solar energy production.

Another problem is financing, as higher up-front capital costs, longer payback periods and a lack of solar-project experience in the banking sector make access to funds more challenging.

"You need to involve banks and for many banks in Africa this is also new, so again you have to raise awareness," says Wouters. "Money typically comes with a risk premium which makes it more expensive than necessary."

Actions

Others say, however, that it's inadequate policies and a lack of political commitment that prevent solar from taking off.

"The governments in Africa should change their attitude of thinking that solar is too expensive," says Dickens Kamughisa, chief executive of Uganda-based NGO Africa Institute for Energy Governance. "Every decision should be based on research that can help in allocating the energy budgets."

Last year, a UNEP report said that Africa's power sector needs to install an estimated 7,000 MW of new generation capacity each year. It warned that "unless stronger commitments and effective policy measures are taken to reverse current trends," half the population of sub-Saharan Africa will be without electricity in 2030.

Mark Hankins, director of Kenya-based African Solar Designs, says that in order for Africa to tap its clean energy potential, solar must take center stage in the continent's energy discussions.

"There needs to be a serious reassessment of how to do policy and finance to help solar meet its potential in Africa," says Hankins. "This means not just addressing the needs of poor people -- it means using solar to address the energy sector needs for on and off grid and ... using it to help business," he adds. "Solar needs to be at the table, with all of the other technologies."

@highlight

Solar power projects are increasingly being announced across Africa

@highlight

Experts say that Africa can use solar power to fuel its future growth

@highlight

Lack of awareness and financing are still major challenges

@highlight

Industry insiders also call for new policies to help the sector to take off