Olympic Park, London (CNN) -- The headlines and newscasts that report the events of the Olympic Games to the world invariably focus on the stars of the tournament. From Michael Phelps' record-breaking feats in the pool to Usain Bolt's bid to retain his 100m crown; the column inches, air time and online attention remain fixed to the gold and the glory.

But this is only the tip of the true Olympic story.

Over two hundred nations have taken part in the modern Olympic Games since 1896, and of them 79 are yet to win a single medal. Most athletes who have traveled thousands of miles across the world to London, and devoted years of their lives to train in a discipline of their passion, are outside bets to win a medal at best.

And many, from the nations who have yet to claim a podium place, are looking to overturn a seemingly one-way current of history that keeps them -- or anyone else from their homeland -- from clutching a sacred circle of gold, silver or bronze.

But it's not just the Olympic Flame that burns eternally, the hope in the hearts of "the underdogs" burns too.

Underdogs like Ricardo Blas Jr, a 218 kg judokan from the small Pacific island-nation of Guam. To remark purely on the 25-year-old's size would be a glib oversight of the Olympian he is.

Inspired by the judo exploits of his father, Ricardo Blas, who became Guam's first Olympian in 1988, Blas Jr has been a judo player since the age of five. He "trains hard, four-to-six hours every day" and studied at a judo college in Japan before qualifying for Beijing and then London.

"In all bar two Olympics since 1988, we've always had a representative from Guam in the judo, and they've usually been from my family: my Dad, my first cousins and now I hope to keep that going," he told CNN.

"I was on the judo mat before I could walk, I've never known anything else. I got into it and then it's like 'if you're going to do something then take it all the way', and here I am at the Olympic Games."

No hubris, no hyperbole just honest joy at living his dream.

Blas Jr. is one of eight athletes who qualified from a nation that barely covers 200 square miles and has a population of just 180, 000 (figures from the United Nations). And London will live long in the memory because, unlike in Beijing -- where Blas Jr lost in two visits to the mat and exited the tournament -- here, he won his first round bout against Facinet Keita of Guinea.

Read more: 'Blade runner' makes unprecedented Olympic debut

It's the first time any judo player from Guam has progressed to the second round of an Olympic event. Ricardo Blas Jr has made history.

"It was a win, at the Olympic Games of all places! It was an amazing feeling and it was the first for Guam as well. I'm happy about that," he told CNN just after this victory.

Sadly, for his compatriots, the winning streak was short-lived, as defeat followed in the second round to Cuba's Oscar Brayson. It all happened within the space of 45 minutes, but created memories that will no doubt last a lifetime.

"A loss is always bad but I have no regrets because I fought my hardest, I left it all on the mat, so I feel ok. I always wish I could have done better and gone further, but that's now my prep for the future.

"It's gratifying because it shows I've grown since Beijing so maybe I'll continue to grow and get on that podium sometime. My dream will always be an Olympic medal, and if I win one it will show everyone in Guam they can do it."

Away from the judo hall that sits on the banks of London's docklands, in the more comfortable surroundings of the Athletes' Village two sprinters from the Cayman Islands are contemplating the challenge that lies ahead.

The Caribbean country of their birth is 164 square miles in size with a population of just over 56,000; a figure that means the entire nation could fit into the Olympic Stadium in London with nearly a third of the arena left empty. It's fair to say their community is tight.

"It's one of those places where everyone knows everyone. Many people think we live in paradise, and it is pleasant, but I like how multicultural the place is too. I wouldn't change it for the world," Ronald Forbes told CNN.

Forbes, 27, is a 110m hurdler and one of seven athletes to have made the trip to the British capital from Cayman. His childhood friend and teammate is Kemur Hyman, a 100m sprinter who aged 22, and just a few weeks before the 2012 Olympics, became the first Cayman Island runner to complete his distance in under 10 seconds.

"I was picked up at 13 by the national coach after running in an inter-school competition. And then I got serious at 15 because my brother made me jealous traveling to Bermuda to compete, so it all went from there really," he told CNN.

Both sprinters are now studying in America due to the their athletic talents but remain fixed on their nation's goal ahead of their competitions in London: to win an elusive medal.

"I feel like we're going through a spell, our country is small but we now have five athletes of the A standard so I think there are medals coming, I'm confident here or 2016 it will happen," Hyman said.

By the time you read this Hyman will be trying his best to qualify for the men's 100m, arguably the most pressurized, high-intensity running race in the world. With the likes of Usain Bolt, Yohan Blake, Tyson Gay et al all vying for places too, he will be up against it. But despite the odds, and the size of the stage, Hyman remains upbeat.

"I get bubble guts and nervous but I've done all the work to get here, I just need to finish it off. My time has come down from 10.7 to 9.9, so I want to put my island on the map (by continuing this)."

Forbes' first race comes on Tuesday 7, after the Bolt-Blake fireworks of the weekend have settled. "It's simple, keep away from the distractions and get from point A to point B as quick as possible, that's it, period, that's what I learned in Beijing."

Both Forbes and Hyman plan to practice what they preach and bring home a medal at some point during their careers, but even without such tangible tokens of success surely Blas Jr, and the Cayman Island challengers represent what the Games is all about: the challenge of taking part.

Baron Pierre de Coubertin can rest easy that his legacy is alive and well ...

Complete coverage of the Olympics

@highlight

Gold medals and glory is only the tip of the true Olympic story

@highlight

It's not just the Olympic Flame that burns eternally, but the hope in the hearts underdogs too

@highlight

Ricardo Blas Jr became the first athlete from Guam to progress to an Olympic second round

@highlight

Ronald Forbes and Kemur Hyman are bidding to win first medal for the Cayman Islands