(CNN) -- The South Sudanese government and rebels signed a ceasefire deal last Thursday after more than a month of fighting that forced more than 600,000 people from their homes. But both sides have reported violations of the ceasefire, and it remains unclear if the truce will hold.

The country erupted into violence on December 15 when rebels loyal to ousted Vice President Riek Machar tried to stage a coup. Violence quickly spread, with reports of mass killings emerging nationwide.

The conflict has been a huge blow for South Sudan, a far cry from the country President Salva Kiir declared in early December to be "open for business."

The world's youngest nation remains under construction and as it tries to maintain a fragile peace it will also need to reassure investors and get its economy back on track. These are a few of the pivotal economic issues likely to affect South Sudan's trade and investment in the future.

Oil industry

South Sudan is the world's most oil-dependent nation, according to the World Bank, accounting for almost all of the country's exports and 80% of GDP.

The Chinese government has invested heavily in the South Sudanese oil industry and in 2012, China pledged $8 billion in development loans for hydroelectricity and infrastructure projects following Kiir's visit to Beijing.

Figures from the International Monetary Fund reflect South Sudan's rapid rise. Last year, the country, with an estimated population of 10.3 million, experienced astonishing growth of 24.7%. Before the conflict the economy was projected to grow 43% in 2014.

However, much of South Sudan's new-found wealth is yet to filter down to its people and after 20 years of civil war much of the population remains impoverished and half living below the poverty line, surviving in a subsistence economy.

Trade with neighbors Uganda and Kenya

South Sudan has four major trading partners in the East African community -- Uganda, Kenya, Ethiopia and Sudan.

Following a 2005 peace deal in Sudan between the country's government and the separatist movement in the south, trade began to increase between Southern Sudan -- then a region -- and neighboring Uganda.

Today, South Sudan is Uganda's biggest export market with cement, vehicles, iron and steel making up the bulk of trade while in 2010 and 2011, coffee generated revenues of $51.1 million, according to the African Development Bank.

The country has also applied to join the East African Community, a regional economic body, which encourages free trade between its members.

John Small, chief executive of the Eastern African Association, an organization that represents foreign investors in the region, said that other countries were beginning to look to South Sudan as a strong trading partner.

He said: "It's a growing market for Kenyan goods. Pretty much everything you get there is imported from or through Kenya" including tobacco and tea.

LAPSSET Corridor

The LAPSSET project, first conceived in 1975 could help solve South Sudan's oil transportation problems, which are steeped in its hostile relations with Sudan.

LAPSSET -- or Lamu Port and Lamu-Southern Sudan-Ethiopia Transport Corridor -- is part of Kenya's Vision 2030 plan and will include a network of roads, railway lines, oil refineries and pipelines running between South Sudan and Kenya's Lamu Port, on the Indian Ocean.

South Sudan took 75% of Sudanese oil when it gained independence in 2011, but much of the infrastructure needed to transport the oil for export remains under the control of the government in Khartoum. This has stifled production and sparked disputes over revenues.

Small said regional cooperation, particularly with Sudan, is still the "single biggest challenge" South Sudan faces in exploiting its oil reserves.

"A pipeline takes a lot of time and money," he said, "but with an agreement with Sudan, at least that gives you revenues, which you can then borrow against to build another pipeline."

The LAPSSET links would open up a vital artery for landlocked South Sudan to export its oil to the coast and offer a viable alternative to the current terminal at Port Sudan.

Mustafa Biong, director general of information for the government of South Sudan, believes it will take "up to five years" before the country can export through Uganda and Kenya.

Kiir's government is also planning to construct 4,000 kilometers of new roads throughout the country and 248 kilometers of rail lines to connect the most remote areas, including Juba, with Ugandan and Kenyan networks.

Inflows of foreign investment

Foreign investors have flocked to the country in recent years, attracted by its vast untapped resources including oil and minerals.

In South Sudan's investment report, the government states that it is aiming to diversify the nation's economy away from oil as much as possible by investing in financial services, agriculture and fisheries.

Biong said any investors deterred by the violence will not stay away for long.

"Investors will come back," he said, "they have made commitments here and they can see they can see the potential."

But South Sudan will have its work cut out regaining their trust and reassuring them that the country is a secure place to do business.

Watch this: Conflict hurting South Sudan business

@highlight

South Sudan's government and rebels agreed on a cease-fire

@highlight

Oil accounts for almost all of the country's exports

@highlight

Uganda and Kenya vital to South Sudan trade

@highlight

South Sudan's economy grew by 24.7% in 2013