(CNN) -- A former Mexican president who once led a military crackdown on drug cartels now has a new pitch: creating a legal system to produce, distribute and tax marijuana.

Vicente Fox is joining a group of entrepreneurs in Seattle this week to discuss that possibility, six months after voters in Washington state approved a ballot measure allowing recreational marijuana use.

As president, Fox launched Operation Safe Mexico, which sent soldiers and federal police to eight cities across the country in 2005 as drug cartels expanded their reach.

But since leaving office in 2006, he's taken a significantly softer stance. For years, he's pushed for drug legalization. Using military force to fight cartels doesn't work, he argues, but legalization would.

"With this we will avoid the violence," Fox told CNN's Wolf Blitzer on Thursday. "We will control the criminals and reduce their income, and at the same time it would become a transparent, accountable business in the hands of businessmen."

Speaking to reporters earlier Thursday, Fox praised Washington state's efforts to legalize marijuana and "change the paradigm."

"In Mexico we welcome this initiative," he said, "because the cost of the war in the case of Mexico is becoming unbearable, too high for Mexico, Latin America and the rest of the world."

Legalization measures, he argued, ultimately topple the foundations of organized crime.

"We must get out of this trap, and here is the opportunity,' Fox said. "Now this group here is moving accordingly from words into plans, and from plans into action, and from action into the arena. To play the real game this group must understand the need to make good, safe, and legal use of these new laws, for the benefit of the people and the common good."

As Fox spoke, Jamen Shively nodded in agreement. The former Microsoft executive is heading up a new business venture that aims to create the first national brand of retail cannabis in the United States.

Fox told CNN he was not involved in Shively's venture, but sat beside him because he supports the push to move to put the drug trade in the hands of businessmen, not criminals.

"By making cannabis illegal, we have instead turned it into a tool for violence, exploited by criminals and organized crime, spanning many countries," Shively said. "Ladies and gentlemen, this is a unique moment in history. The Berlin Wall of the prohibition of cannabis is weak, and it is crumbling as we speak. And just as happened in Berlin in 1989, the old guards who used to protect the wall of cannabis prohibition are laying down their weapons and walking away."

Opponents criticize legalization

But drug legalization still has fierce critics. Obama administration officials have repeatedly stressed their opposition to such proposals when they've been floated in other countries.

Last year, John Walters, who directed the White House Office of National Drug Control Policy from 2001 to 2009, told CNN that decriminalization is "utterly self-defeating" and would cause more crime.

Mexico's current president, Enrique PeÃ±a Nieto, has also expressed his doubts about large-scale legalization measures. In Mexico, marijuana use is not crime, but production and distribution of the drug are.

PeÃ±a Nieto told CNN last year that despite his reservations, the way the war on drugs is waged may have to change in light of changing U.S. policies such as the recent referendums in Colorado and Washington.

"Personally, I am not in favor of legalization of drugs ... because it's not just about marijuana. It seems to me that is a gateway through which people will start taking much more harmful drugs," PeÃ±a Nieto said. "But it's clear that this thing that has happened in two states in the near future could bring us to rethinking the strategy."

Complicated political landscape

In November, voters in both Colorado and Washington state approved ballot measures allowing for the personal, recreational use of marijuana. Nearly 20 other states permit the use of marijuana for medical reasons.

The new laws put Colorado and Washington at odds with the federal government, which classifies marijuana as an illegal substance.

Since pot is still listed in the nation's Controlled Substances Act, federal raids of pot businesses continue at feverish pace. In 2012 alone, federal agencies seized more than 2,500 indoor grow operations, killing close to 300,000 plants.

The situation makes the so-called legal marijuana industry a risky one. A dispensary could be in full compliance with state laws, but the feds could still raid them.

And the financial picture is complicated, too. Figuring out how to tax cash marijuana sales is a challenge both Colorado and Washington are facing.

On Thursday, Shively said he's up to the challenge.

"We have waited long enough for some sort of a green light from Washington, D.C. In fact, the silence from our nation's capital has been deafening," he said. "We are moving forward with our plans to build a national and eventually international network of cannabis businesses."

Follow Catherine Shoichet on Twitter

CNN's Mariano Castillo, Kevin Liptak and Carma Hassan and CNNMoney's Jose Pagliery contributed to this report.

@highlight

With legalization, Vicente Fox says, "we avoid the violence" of the drug trade

@highlight

He says marijuana production and distribution should be in the hands of businessmen

@highlight

A former Microsoft executive says he plans to create a national cannabis brand

@highlight

The former Mexican president says he isn't involved in the business, but supports it