(CNN) -- "Raed, a 10-year-old Syrian refugee, is scared. The lightning and storms outside remind him of the sounds of bombs he heard when he was back in Syria." -- World Vision report

Raed's school was bombed right after he and his friends had left for the day. Soon his house was also destroyed.

Raed's father, Ahmed, hoped that life in Syria would improve, but it didn't. He told World Vision in a recent report, "Every minute in Syria posed a threat to the lives of my family. Massacres happened in front of our eyes. I had to get them out of there."

Ahmed led Raed and the rest of his family to Lebanon where they are now refugees.

As recent reports out of Syria confirm, other families have been unable to escape in time. According to World Vision responders in the region and now the U.S. State Department, armed groups on both sides of the conflict have forced children Raed's age and younger to work as combatants, porters, messengers and to perform other support tasks.

Syria is one of many countries where the use of and violations against children in conflict have become chronic.

This week the U.S. Government released its annual Trafficking in Persons (TIP) Report. This thorough report is a shining example of U.S. global leadership in the fight against modern day slavery around the world and in the US.

The report is a critical diplomatic tool to engage countries and enable them to improve their own fight against trafficking. It also makes it possible to go beyond words: If a country is in the lowest tiered ranking, sanctions can be applied. A lot of ink and bandwidth will focus on the U.S. TIP report this week and what the U.S. and countries around the world are doing -- or are not doing -- in the fight against modern day slavery.

Yet buried in the TIP Report, there is one page that is often unnoticed. It is a list of countries found to be using children in their national armies or in government-supported paramilitary groups. The Child Soldier Prevention Act (CSPA) of 2008 requires the annual TIP Report to include this list. But this year the list is more tragic than in years past, because the number of countries using child soldiers increased from seven in 2012 to 10 in 2013.

This is the first time since the passage of the CSPA in 2009 that the number of countries on the list has gone up. The 10 countries are Central African Republic (CAR), Chad, Democratic Republic of Congo (DRC), Myanmar, Rwanda, Somalia, South Sudan, Sudan, Syria, and Yemen.

Of those ten countries, the U.S. government gives military aid to seven of them: Chad, DRC, Rwanda, Somalia, South Sudan, Yemen, and now the Syrian opposition. That means U.S. taxpayer dollars are being spent on armies that use children.

The CSPA says that any country receiving U.S. military aid and found to be using children in its armed forces will lose key forms of that aid, except that which can help countries demobilize and transition children out of their national armies. Over the past three years, President Obama has issued waivers or partial waivers to all countries that receive U.S. military aid.

The intent of the law is to use the waiver authority only in extreme circumstances. Instead, waivers have become the default reaction of this administration and thus our best tool is being kept unused in the toolbox.

When you keep your best tool in the tool box, it gets rusty and useless. These countries need support to help end the widespread use of child soldiers and change takes time. Nevertheless, they continue to exploit children in their militaries, and the United States refuses to show the will necessary to enforce the law that took effect just three years ago. If the U.S. government is going to put pressure on countries like Russia and China as seen in this year's TIP Report, why would it not pressure governments using children to fight for them?

The United Nations has set a deadline of 2016 for all countries to stop recruiting and using children to fight in the military. So far the UN has signed Action Plans to accomplish that goal with each of the violating countries listed in the TIP Report. However, Action Plans are just words on paper. If we are going to realize the goal of stopping the use of children as weapons of war, then the U.S. needs to actually use its leadership and the tools we have at our disposal.

They've already taken a step with DRC. Just this week Secretary Kerry appointed former Senator Russ Feingold as the new Special Envoy to the Great Lakes region of Africa. Senator Feingold was an original supporter of the CSPA and his engagement in the region will mean a great deal for the work in Rwanda and DRC. Now it's time for the U.S. to be just as strategic with the other countries on the list.

In Syria, the TIP Report points out that the Syrian army and the opposition are using children as fighters, porters, and even executioners. What's more, there are now nearly six million refugee and internally displaced people from Syria and many of them are children.

As a recent report from the Child Soldier Initiative points out, the likelihood a child will be forcibly recruited to fight in an armed group increases dramatically if that child is a refugee or internally displaced. It's a likelihood that's all too real for Raed and thousands of children just like him. The U.S. continues to show its leadership in fighting human trafficking when it comes to sexual and labor exploitation. It's time for the U.S. government to do the same thing for children used as weapons of war.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Jesse Eaves.

@highlight

Armed groups in Syria on both sides of conflict are recruiting children

@highlight

U.S. government report says it's one of 10 countries using child soldiers

@highlight

World Vision says the U.S. is supplying arms to countries on that list

@highlight

Eaves: "The United States refuses to show the will necessary to enforce the law"