Laurel, Maryland (CNN) -- On a late afternoon in early June, undercover police officers circled a one-story highway motel north of Washington. Inside was a 12-year-old girl who told her mother she was being forced to work as a prostitute.

According to her mother, the girl had started running away from home earlier this year. She found out her daughter was in the sex trade when she saw her in an adult online classified ad. The girl was advertising herself as a 24-year-old with a bogus name. The next time she ran away, her mother reported her missing.

Read the police press release

According to police and anti-trafficking advocates, the internet has now become the preferred way to sell women for sex. It's fast and convenient for the pimps and relatively safe for the men who pay for sex. Instead of trolling the streets, they can now look through hundreds of girls from the safety of their homes or hotels.

This time, the girl was lucky. She called home, and the call was traced to a Knight's Inn in Laurel, Maryland, where police were quickly on the scene. They rescued the girl and arrested a 42-year-old man and charged him with human trafficking.

Of all the sites that offer "adult services," Craigslist is one of the most popular. The online classified ad site is used regularly by about 50 million Americans for everything from buying used lawn furniture to finding a job or a roommate.

It's also used to sell sex, making Craigslist a prime target of a nationwide campaign against internet prostitution.

"Most of the young women we've worked with who have been exploited online talk about Craigslist," said Andrea Powell of the anti-trafficking group The FAIR Fund. "Craigslist is like the Wal-Mart of online sex trafficking right now in this country."

According to police who investigated the case of the missing 12-year-old, she had previously advertised on Craigslist under a false name and age. Craigslist declined to provide copies of the ad, citing privacy concerns.

Craigslist founder Craig Newmark defended his site, saying it is doing more than any other site that hosts adult ads to help filter out underage prostitutes and report them to police.

In 2008, under pressure from state prosecutors, the website raised the fees for posting adult services ads. In 2009, it started donating portions of the money generated by adult ads to charity. Craigslist also began to manually screen all ads and said it would refer any suspected underage girls to law enforcement.

That's not good enough for anti-trafficking activists. For all its reforms, they say Craigslist still has no way of knowing whether the females being sold are women or girls and is doing too little to help police identify and rescue children who are being sold for sex.

A CNN investigation of Craigslist's "adult services" section, which replaced "erotic services ads" two years ago, counted more than 7,000 ads in a single day. Many offered thinly veiled "services" for anything from $50 for a half hour to $400 an hour.

Many of the ads had photographs attached, and in many of those it was difficult to tell whether the female was an adult or a minor. Ads with words suggestive of youth, like "young" and "fresh," received a flood of responses from men who clearly expected sex in exchange for money.

One 20-year-old said it's the easiest and cheapest way to get customers.

A 20-year-old identified only as "Jessica" works out of low-rent hotels on Washington's busy Interstate 95 corridor. She posts ads mid-morning for $10 and says she earns up to $250 from each man who answers and shows up. She told CNN her "man" -- her pimp -- was good to her, but that the vast majority of the females who post ads are run by pimps who force them to have sex with as many as a dozen men a day.

She said many of the prostitutes give everything they earn directly to the pimps. If they don't, they're beaten.

"Girls are called 'yes bitches' and 'no bitches.' Yes bitches are what the pimps want," Jessica said after applying makeup to cover bruising on her face. "My advice is if you're doing this to be a yes bitch. Otherwise, you're going to have a very hard time."

Just how many of the ads include children is extremely difficult to establish, but many of the photos that accompany the ads on Craigslist are questionable.

A classified posted alongside Jessica's ad in the Washington market showed an African-American woman in her underwear offering herself for $250 an hour. Like dozens of other pictures posted the same week, her face appeared very young.

According to internet research firm the AIM Group, Craigslist this year is expected to earn a third of its revenue -- more than $36 million -- from its adult services section alone.

AIM Group's summary report on Craigslist

Craigslist says any increased revenue is partly because it was required to charge more for adult ads under a 2008 agreement with government officials intended to curb the volume of online adult ads. But the amount it is earning has opened the website up to charges that it's profiting from the exploitation of women.

According to its own rules, Craigslist requires anyone using its adult services section to immediately report any suspicious ads to a national tip-line run by the Center for Missing and Exploited Children.

The head of Washington's Metropolitan Police anti-prostitution unit said Craigslist "never" reports suspicious ads to his department.

"It does bother us from a law enforcement perspective, because the problem is so rampant that you know to get a handle on it we need all the assistance we can get," Metropolitan police inspector Brian Bray said. "If they're notifying, I'm not sure if they're notifying the right people, because we're not getting a call."

Craigslist spokeswoman Susan MacTavish told CNN in an e-mail that of all the websites that offer adult services ads, Craigslist is the leader in pushing users to report any suspected violation. She said the site cooperates fully with law enforcement, and that fewer than one ad in 10,000 meets the National Center for Missing and Exploited Children's guidelines for anti-trafficking action.

MacTavish also noted that Craigslist requires anyone posting an ad to give the website a phone number, which is verified as being real. She said that because Craigslist follows the National Center for Missing and Exploited Children's guidelines, the percentage of ads in its adult services section that are in fact children is "effectively zero."

The head of the National Center for Missing and Exploited Children said his group has recently started to get referrals from Craigslist, but that it has no direct say in how Craigslist determines what ads are worth reporting.

"We are not a part of their initial screening and review process, and don't see exactly what their screeners see or know how they make their determinations as to what is actionable and reportable," director Ernie Allen wrote in an e-mail to CNN. "We are now getting reports from them regarding suspected violations and that is a good thing. The key question is -- are they doing enough?"

To another national advocacy group, the Rebecca Project, there's only one answer to Craigslist's adult services dilemma: Shut it down.

The Rebecca Project has published open letters to Newmark from a former underage prostitute who says her pimp forced her to sell her body and used Craigslist to drum up customers.

"We hear this story every single day of girls who are being bought and sold, American girls who are being bought and sold through the internet," said Malika Saada Saar, executive director of the Rebecca Project.

Read Saada Saar's commentary on CNN.com

She believes many Americans are either unaware of just how many girls are being sold on sites like Craigslist or simply chose to ignore the problem.

"I think we have an easier time looking at these girls when they are in India or Thailand and being thoughtful or supportive of those girls," Sadaa Saar said. "But when those girls come from Southeast D.C., or Toledo, Ohio, or Atlanta, Georgia, we are challenged at being able to see them as victims. It's much easier to call them bad girls or girls acting out, as opposed to recognizing these are girls who are vulnerable, who are being raped and exploited."

@highlight

Popular online ad site Craigslist is a target of anti-prostitution activists

@highlight

Founder Craig Newmark says the site does "more than anyone" to help

@highlight

Site carries more than 7,000 "adult services" ads in major markets daily

@highlight

Research group says the ads make up a third of Craigslist's revenue