"Enough, I'm tired," Mexico's top prosecutor said, cutting off reporters' questions.

Attorney General Jesús Murillo Karam had just revealed that authorities believe 43 missing students were kidnapped, executed and dumped in a river -- and he was ready to call it a day.

His words spread like wildfire through an outraged nation.

Mounting fury over government officials' response to -- and possible role in -- the students' disappearance has convulsed the country for weeks, posing a mounting challenge to Mexico's President amid  demonstrations where at times violence has flared.

It's one of the most serious cases in the contemporary history of Mexico and Latin America, Human Rights Watch Americas Director José Miguel Vivanco told Mexico's El Economista newspaper. He compared it to a massacre of students during a Mexico City demonstration in 1968.

"At that time, these kinds of things happened: mass disappearances of people, where no one was held accountable," he told the newspaper.

Yet in the 21st century, he said, Latin America "has overcome these kinds of practices." It's no wonder, he said, that "an act of this magnitude" unfolding "in view of all Mexicans, the international community and the media" has caught so much attention.

Now Murillo's comments at a press conference last week have become a new rallying cry, used by fed-up protesters dishing out some of the sharpest criticism Mexican President Enrique Peña Nieto's administration has faced since he took office in December 2012.

#YaMeCansé -- Spanish for "enough, I'm tired" -- became a trending hashtag on Twitter and a topic of viral YouTube video posts as people in Mexico and around the world fired back.

"I am also tired that the government protects and colludes with organized crime," a young man says at the beginning of one online video.

"Hello. I'm Juan. And I've had enough," another man chimes in. "I'm tired of so much injustice."

It's a rapidly unfolding political crisis for Peña Nieto, threatening his efforts to revamp Mexico's image abroad and convince citizens that drug-related violence is on the decline.

Students' case sends shock waves

The case of the 43 missing students from a rural teachers' college in Mexico's Guerrero state quickly grabbed the national spotlight as word spread about their September 26 disappearance.

And as details of the troubling case emerged, outrage only grew.

Authorities say the students were abducted by police on order of a local mayor, then turned over to a gang that's believed to have killed them and burned their bodies before throwing some remains in a river.

There's no indication any of the students had ties with organized crime, Murillo said.

On Friday, protesters marching in Mexico City carried posters saying, "Enough, I'm tired." Others held signs saying, "It was the state."

Demonstrators sprayed graffiti on the walls of Mexico's National Palace Saturday, trying to break down and set fire to a massive wooden door.

"These are the people that are screwing over the country," they chanted.

Protesters clashed with police at Acapulco's airport on Monday, crippling the airport for hours and forcing the cancellation of several flights.

Mexico's President has also said he's outraged about the students' case, but he's condemned the protest violence. And some have expressed skepticism that protesters are truly concerned about what happened to the students, accusing them of exploiting the situation for political reasons.

Protesters condemn what they call inaction by the government.

"There is a national emergency. This is clear,"  José Alcaraz, a protest organizer, told CNN en Español Saturday. "There is a decomposition of the Mexican state."

Pressure on the President

The students' parents have been highly critical of Peña Nieto for his administration's handling of the investigation.

A cell phone video from a closed-door meeting with the President, released on YouTube, shows one family member saying Peña Nieto should resign if he can't deliver answers.

It's not the first time the President, who represents the Institutional Revolutionary Party that once ruled Mexico for more than 70 years, has faced allegations of government corruption and accusations the government is too slow to fight crime.

Even as he deals with the investigation into the missing students and its aftermath, an investigative report from Mexican news website Aristegui Noticias over the weekend alleged that Mexico's President and his wife have been living in a lavish $7 million mansion owned by a contractor that's won lucrative government projects.

In response, the government said that first lady Angélica Rivera has been making payments on the house with money she's made from her acting career. But the report about the mansion has only further fueled critics who describe the President as out-of-touch.

The protests over the missing students' case are part of a particularly "explosive situation," John Ackerman, a professor at the National Autonomous University of Mexico, told CNN last week.

"People in Mexico are taking to the streets yesterday, today and just about every day for the last month, demanding not only clearing up this particular crime, which is very particularly egregious and important, but really a change to the system," he said. "Mexico's transition to democracy has not been very democratic. People are looking for a new system and a new way of thinking about government and the relationship between state and society."

Slain Mexican student's friends, family demand justice

Attorney general tells CNN affiliate: I would say it again

In an interview Monday, Murillo defended his comments from Friday's press conference in the controversial case.

"When I said, 'I am tired,' it's because I am tired of this: I am tired of brutal violence," the attorney general told CNN affiliate Televisa.

It's a phrase he said he'd say again.

"Naturally, I have no reason to lie. I am as human as anyone else, and I also get tired. I have been sleeping for four hours a night for the past 30 days, and that day I had been awake for 40," he said.

He said he had just spoken with the missing students' parents, and told them what he later told reporters -- that officials believe the students' remains were thrown in the river, but they don't yet have DNA proof.

"Really, when you hear them (the parents), you shudder at the powerlessness of not being able to give them an immediate answer," Murillo said.

There's no doubt the case of the missing students will weigh on Mexico for years to come, Murillo said.

"This would impact any country, not a presidential term," he said. "The impact of this kind of event lasts forever."

The question is, what will happen next?

There's one thing protesters say they aren't tired of: making sure Mexico's most powerful leaders hear them.

@highlight

Protesters are using comments from Mexico's top prosecutor as a rallying cry

@highlight

"Enough, I'm tired," Jesús Murillo Karam said while talking about missing students case

@highlight

The case and its aftermath have become a political crisis for Mexico's President