(CNN)The second annual edition of the Walk Free Foundation's Global Slavery Index has found that globally, almost 36 million people are subject to modern slavery.

While incidences of slavery were found in every one of the 167 countries surveyed, five countries -- India, China, Pakistan, Uzbekistan and Russia -- accounted for nearly 22 million people (61%) suffering in bondage. The worst offender, India, accounted for an estimated 14.29 million people.

Human slavery, the report states, is defined as "human trafficking, forced labor, debt bondage, forced or servile marriage, or commercial sexual exploitation."

Surge in cases

The report found an increase of 20% on the foundation's findings a year ago, although it attributed the rise to more sophisticated data collection and analysis.

"There is an assumption that slavery is an issue from a bygone era. Or that it only exists in countries ravaged by war and poverty," Andrew Forrest, Chairman and Founder of the Walk Free Foundation, said in a statement.

"The first step in eradicating slavery is to measure it. And with that critical information, we must all come together -- governments, businesses and civil society -- to finally bring an end to the most severe form of exploitation."

Highest percentages

While some of the world's most populous nations were home to the bulk of the incidences of modern slavery, other countries had higher percentages of their populations enslaved.

The West African nation of Mauritania, the report found, had the highest prevalence, with an estimated 4% of its population in bondage. Other offenders include Uzbekistan (3.97%), Haiti (2.3%) and Qatar (1.35%).

The Emirate, which will play host to the World Cup in 2022, has faced numerous questions concerning its labor laws and the kafala sponsorship system, which limits foreign workers' rights of movement.

"Qatar hosts significant numbers of foreign workers, and has risen in the ranking due to improved survey data, giving better insight into the high number of enslaved migrant workers in the nation," Gina Dafalia, the foundation's policy and research manager, told CNN. "It is ranked fourth with an estimated 1.4% of the population in modern slavery. We consider this to be a conservative estimate."

Qatar has promised to address criticisms and expects to make announcements concerning repeal of the kafala system in early 2015.

Refugees most vulnerable to slavery

Kevin Bales, lead author of the report, told CNN's Kristie Lu Stout that vulnerability is a key factor in the prevalence of slavery in a country, and that refugees are particularly susceptible to modern enslavement.

"It's not a surprise that many of the countries where we see large proportions of the population in slavery are also those countries that are beset by conflict, like Syria, and by other economic and environmental problems," he said.

The International Labor Organization (ILO estimates that forced labor generates more than $150 billion in illicit profits every year, making it the second largest source of profits for international organized crimes behind the drugs trade.

Bright spots

Iceland and Luxembourg, the report finds, have less than 100 people each living in slavery, the lowest number both in prevalence and in absolute numbers.

While it acknowledges the efforts made by some countries, such as the Netherlands, Sweden, the U.S. and Australia to tackle the global issue, the report also reprimands some rich countries for not doing more.

Hong Kong, Singapore and Brunei, along with Qatar and Kuwait are singled out for mention.

The Walk Free Foundation, a global human rights organization with a mission to end modern slavery in a generation, was founded by Australian philanthropists, Andrew and Nicola Forrest.

@highlight

The Global Slavery Index 2014 report finds that globally, almost 36 million people are subject to modern slavery

@highlight

India is home to the largest number of enslaved, with over 14 million people living in bondage

@highlight

Mauritania has the highest percentage, with 4% of the population enslaved