NEW DELHI, India (CNN) -- The wounds of partition festered again this week in India, resulting in the banning of a book and the expulsion of a respected politician.

Protesters burn an effigy of Jaswant Singh over his book; the former foreign minister was ousted from his party.

The home state of the father of Indian independence, Mahatma Gandhi, forbade the sale and circulation of a new book it says spews revisionist history about the birth of secular but predominantly Hindu India and the Islamic Republic of Pakistan.

Written by Jaswant Singh, a former federal minister and senior member of the Hindu nationalist Bharatiya Janata Party (BJP), the book calls Mohammed Ali Jinnah, considered by Indians the architect of the partition, a great man who is wrongly demonized. Jinnah went on to become the first governor general of Pakistan.

In "Jinnah: India, Partition and Independence," Singh absolves the Pakistani leader as the man responsible for dividing the subcontinent, suggesting instead that it was another beloved independence leader, Sardar Patel, who played a major role.

"The book wrongfully portrays the fateful partition of our nation," the Gujarat state government said in a statement. " Such a brainchild has no historic background at all. In the larger interest of society, the state government has decided to impose a ban on the book."

The BJP accused Singh of deviating from the party's "core ideology".

"We always respect freedom of expression but can never compromise our ideology," Sidharth Nath Singh, a party spokesman, told CNN. "You just can't eulogize Jinnah and accuse Sardar Patel instead."

Singh, a widely respected politician known for his moderate views within the ranks of a conservative party, found it appalling that freedom of expression was threatened in the world's largest democracy.

"The day we start banning books, we are banning thinking," Singh told reporters.

He defended his work and said he did not understand the objection to his writings about Patel, who, as India's first home minister, banned the Hindu revivalist Rashtriya Swayamsevak Sangh, the mother organization of the BJP, after the assassination of Gandhi in 1948.

"I don't know which part of the core belief I have demolished," Singh said.

Nearly 350 years of British rule ended in 1947 when an agreement for independence was reached to give Muslims their own homeland. Indians think of Jinnah as the man who pushed a two-state notion based on religion as a prerequisite for freedom.

In the days that followed, an estimated 1 million people died in a border-crossing exodus. Muslims fled from India into Pakistan while Hindus clamored to find new homes in India.

The animosities fueled by that bloody birth -- including three wars fought by India and Pakistan over the disputed territory of Kashmir -- continue to haunt Indians, said journalist and author Tarun Tejpal.

"This flashpoint played out in public is a reminder of those wounds," Tejpal said of the book dispute.

As a book of history written by a politician, it might have been inconsequential, Tejpal said. But as a book about the partition, it was incendiary.

"What happened 62 years ago continues to haunt us in a very bitter way," Tejpal said. "We can't seem to leave our baggage in the past."

This isn't the first time that Pakistan's founder has caused trouble for a Hindu nationalist. BJP President Lal Krishna Advani was forced to temporarily step down in 2005 for praising Jinnah's secularism during a trip to Pakistan.

Political observers say the Singh controversy reflects a battle for the soul of the BJP, beleaguered by electoral defeats and vicious infighting.

Many in India view the BJP as a divisive force attempting to gain power by exploiting Hindu-Muslim tensions. Advani was charged in the 1992 demolition of the 16th-century Babri mosque in the central Indian city of Ayodhya, though he was later acquitted in that case.

Journalist K.G. Suresh, a longtime observer of conservative politics in India, said the BJP is struggling to figure out how to stay electable, whether to move right or stay closer to the center.

"Jaswant Singh's book is a manifestation of that clash," Suresh said.

Singh's political climb is likely over, but what of younger Indians, now generations removed from those who remember independence? Tejpal for one, senses the wounds could keep reopening. And that, he said, "doesn't bode well."

@highlight

Home state of  Mahatma Gandhi bans revisionist history of India-Pakistan partition

@highlight

Book suggests independence leader Sardar Patel was the architect of the division

@highlight

Animosities over the partition continue to impact India and Pakistan