After days of protests and related violence, concerns are growing that furor over an anti-Islam video could intensify even more Friday -- threatening U.S. interests abroad and at home.

People have taken to the streets in 10 nations and the Indian-controlled region of Kashmir, according to U.S. Sen. Dianne Feinstein, railing against "Innocence of Muslims" and the nation where it was produced, the United States. This outrage, and danger to Americans, could worsen in the coming days, the U.S. Department of Homeland Security and FBI warned Thursday in a joint intelligence bulletin.

"The risk of violence could increase both at home and abroad as the film continues to gain attention," the U.S. agencies said. "Additionally, we judge that violent extremist groups in the United States could exploit anger over the film to advance their recruitment efforts."

American tourists cautious, but undeterred

Worries about Friday, in particular, stem from the fact Muslims hold weekly prayers that day -- and may congregate afterward and march on U.S. diplomatic missions.

"We are in a full-court press at every single one of the posts in the Middle East and anywhere else there is any chance of demonstrations after Friday services to make sure nothing bad happens. And to have the security in place in case bad things do happen," one senior U.S. official said.

The ongoing unrest centers on an obscure 14-minute film trailer that mocks Islam's prophet.

Posted in July on YouTube, it got more notice recently after Egyptian television aired segments and anti-Islam activists promoted it online. Numerous questions surround the film, which includes cartoonish scenes of Mohammed as a womanizer, child molester and ruthless killer.

According to a FBI/Homeland Security joint statement, the film's producer identified himself to news media as an Israeli -- an assertion Israel's government denies -- and falsely claimed the movie was financed with help from more than 100 Jewish donors.

While he'd been identified in July 2011 by various names, including Sam Bassiel, federal officials now say they believe the filmmaker's name is Nakoula Basseley Nakoula. He was convicted in 2009 of bank fraud, with the indictment from the U.S. Attorney's Office listing seven aliases.

A production staffer said he believed the filmmaker was a Coptic Christian who also went by the name Abenob Nakoula Bassely.

Analysis: In Libya, militias 'running the show'

On Tuesday, the same day people protesting the film stormed the U.S. Embassy in Cairo, the U.S. Consulate in Benghazi was attacked -- leading to the deaths of U.S. Ambassador Chris Stevens, State Department computer expert Sean Smith, and security officers Glen Doherty and Tyrone Woods, both former Navy SEAL commandos.

In addition to stressing there's no excuse for violence targeting U.S. diplomatic missions, Secretary of State Hillary Clinton has called the video "disgusting and reprehensible" and said it appears to aim "to denigrate a great religion and to provoke rage."

Still, condemnations of the film and calls by leaders of largely Muslim countries not to assault U.S. diplomatic missions haven't stopped throngs from demonstrating, at times violently.

Protests rage against inflammatory anti-Islam film trailer

Small and large demonstrations have occurred in recent days all around North Africa and the Middle East. While some protesters say they have not seen any of the online film, they were incensed by reports of its depiction of the Prophet Mohammed.

Many of them directed their anger, too, at the U.S. government and its Israeli allies. In Cairo, for instance, a photo showed a man standing over chalk-writing, in Arabic, that read, "Remember your black day 11 September."

Here are details about various protests:

-- In Yemen, demonstrators breached a security wall at the U.S. Embassy as several thousand people protested outside. Four protesters died during clashes with security forces outside the embassy, according to Yemeni security officials.

Twenty-four security force members were reported injured, as were 11 protesters, according to Yemen's Defense Ministry, security officials and eyewitnesses.

-- In Egypt, site of one of the largest, longest-lasting protests, at least 13 civilians and six police officers were injured Thursday, according to Egyptian government officials. Throngs continued to pack the area in front of the Cairo embassy on Friday morning, as a large fire burned and security guarded the area.

The instability in Egypt is a primary concern to U.S. President Barack Obama, who warned in an interview with Telemundo that it would be "a real big problem" if Egypt's leaders fail to protect American interests there.

-- In Tunisia and Morocco, protesters massed in front of U.S. embassies.

-- In Gaza City, Palestinians demonstrated outside U.N. headquarters, and about 200 Palestinians protested the film at the Palestine Legislative Council building. In one instance, Palestinian men burned a U.S. flag.

-- In Tel Aviv, Israel, about 50 people demonstrated in front of the U.S. Embassy.

-- Iranians protested near the Swiss Embassy in Tehran on Thursday. Switzerland represents U.S. interests in Iran, since Washington and Tehran do not have diplomatic relations. Up to 500 people chanted "Death to America!" and called for death to the director of the movie.

The Islamic Propagation Coordination Council, meanwhile, has issued a statement calling for rallies across Iran on Friday "to protest Zionist-U.S. plots against Muslim and Islamic values," the state-run IRNA news agency reported.

-- In Iraq, specifically in the predominantly Shiite area of eastern Baghdad known as Sadr City, hundreds of protesters hit the streets to protest the film. They chanted, "America is the enemy of the people," with some burning an American flag. Other followers of radical cleric Muqtada al-Sadr also protested in the provinces of Najaf and Karbala.

So far, the violence has not spread to Afghanistan, where there is a high potential for outrage to erupt into destabilizing chaos. Obama and his Afghan counterpart, Hamid Karzai, have expressed their commitment to prevent that from happening.

The Afghan government has ordered an indefinite block of YouTube to prevent people there from watching the clips and staging violent protests. YouTube has already restricted access to the video.

Attention in the United States turns to filmmaker

U.S. officials have stepped up their criticism of the film at the center of the protests, which was privately produced in the United States.

Reaction fuels debate on free speech vs. hate speech

The FBI has spoken to the elusive man behind the film within the past 24 hours, a federal law enforcement officer told CNN on Thursday. Feinstein, head of the U.S. Senate Intelligence Committee, said she believes "an investigation is going on in this country considering the individual who did this very obnoxious ... preview to some very stupid, ... wrong-headed movie."

Many Muslims find any depiction of Mohammed to be offensive. A Danish newspaper's publication in 2005 of Mohammed caricatures triggered riots -- and derogatory depictions of the prophet are considered by some to be worse.

The production staffer on the movie said the filmmaker was a Coptic Christian who had gone to Alexandria, Egypt, where the Coptic church is based, to raise money for the film. Far from standing behind the film, the Coptic church has issued a statement calling it "abusive" and part of a "malicious campaign to divide people."

Quest for "justice" after U.S. ambassador's killing

Sources tracking militant Islamist groups in eastern Libya say Tuesday night's deadly attack was most likely carried out by a pro-al Qaeda group. Obama has vowed "justice will be done."

U.S. warships, carrying guided missiles, are on their way to the coast of Libya, and unmanned drones are being sent to help search for the killers. And a group of Marines called a Fleet Antiterrorism Security Team has been deployed to Libya to help secure U.S. facilities, two U.S. officials said. About 50 Marines arrived in the country Wednesday, officials said.

Libyan Prime Minister Mustafa Abushagur said he is heading a high-level commission that includes heads of the North African nation's foreign, defense and interior ministries to investigate the attack.

"Our friends ... have supported us throughout these difficult times," he said about the U.S. government. "We are very determined to bring things back to order."

Romney, Obama navigate Arab world turmoil

Abushagur said at least one Libyan was arrested Thursday morning in connection to the attack, with authorities actively pursuing "three or four" more after examining video from the scene and talking with witnesses.

The prime minister offered details on the case Thursday shortly after Libyan Deputy Interior Minister Wanis al-Sharif said "some individuals" suspected in the case were in custody, according to state-run LANA news agency.

Libya consulate attack: The big unanswered questions

@highlight

There's a "full-court press" to protect U.S. facilities Friday, an official says

@highlight

Hundreds protest against the film and the U.S. in Iraq, Egypt and other nations

@highlight

A U.S. senator says she believes U.S. authorities are investigating the filmmaker

@highlight

Libya says it has arrested at least 1 suspect in a fatal attack on a U.S. consulate