(CNN) -- The debate over what is happening inside Syria should now end. A new report by three veteran war crimes prosecutors, released exclusively by CNN and The Guardian, offers what appears to be irrefutable evidence of systemic war crimes by the regime of Syrian President Bashar al-Assad.

Any fair observer can no longer doubt the prosecutors' findings of "the smoking gun" of widespread crimes against humanity.

Syrian human rights activists have long been documenting cases of methodical torture and execution carried out by members of the Syrian regime. Organizations such as Human Right Watch have also documented shocking crimes from their own independent investigations.

But none of these efforts has managed to capture the essence of what is really taking place in Syria as much as the new report authored by David Crane and Desmond de Silva, chief prosecutors of the war crimes tribunal for Sierra Leone, and Geoffrey Nice, lead prosecutor against former Yugoslav President Slobodan Milosevic.

Although their report relies solely on a low-ranking member of the Assad regime, the accompanying evidence of 55,000 horrific photographs documenting the death of more than 11,000 detainees constitutes overwhelming proof.

Opinion: Syria shows peril of Iran's growing power

As Crane said, "This is direct evidence of the regime's killing machine." Now there can be little denying that the violent campaign orchestrated by the Assad regime is indeed tantamount to genocide.

With close to 130,000 deaths, 2 million refugees in neighboring countries and more than 5 million internally displaced victims, Syria's civil war has indeed evolved as a reaction to a campaign of mass murder and ethnic cleansing unleashed by the Assad regime in mid-2011 to quash the largely peaceful protest movement.

Some in the Sunni Arab community may stand behind the Assad regime even today, and many elements from the country's minorities, including the Alawites to which the Assad family belong, work with the opposition, but the sectarian character of the struggle and the relevance of the Alawite/Sunni divide must be recognized.

The overwhelming majority of victims are from an Arab Sunni background. The Alawites fear blowback should the regime collapse. The Assad regime has long survived by manipulating the fears and concerns of the country's minorities, relying on members of the Alawite community to control the levers of power within state institutions, especially military and security, and portraying itself as a protector of minorities. Change, many fear, might bring a backlash against them.

Now, after close to three years of bloodshed, a systematic campaign of terror and mayhem (with mainly Sunni victims) -- and with the emergence of extremist groups, including al Qaeda, among the rebels -- minorities who fear that a rebel victory will subject them to revenge appear justified.

The political process needed at this stage must aim to end the ongoing genocide and hold its masterminds accountable. Only then can there be meaningful talks about ending al Qaeda's presence, especially after new revelations that Western intelligence agencies have detected signs of cooperation between the Assad regime and al Qaeda's Syria affiliates in their fight against moderate rebels.

As the parties meet soon in Geneva to discuss a solution to Syria's crisis, balancing the needs of the country's various minorities should come at the expense of neither the aspirations of pro-democracy advocates nor the demands for justice.

Meanwhile, equating a systematic and premeditated campaign of terror that exploited the full might of the state with random violations committed by rebel groups (who often fail to coordinate their activities, even as they fight in the same neighborhoods) will serve to make reaching a viable agreement well-nigh impossible.

True, war criminals need to be brought to justice no matter to which camp they belong, but we should not be surprised if the majority came from the ranks of the Assad regime. Nor should we be loath to holding al-Assad himself accountable.

Those who propose giving al-Assad and his top commanders' immunity from prosecution to get to a cease-fire agreement forget that, with so many victims and the country's growing communal divides, there is an immediate need for justice. Only then can serious work on rebuilding inter-communal bridges truly begin.

The images of the 11,000 detainees who died in al-Assad's concentration camps cry out for simple justice, not oblivion. They demand that we hold the criminals accountable, not for sweeping the truth under the rug. Achieving this may not be convenient, but it is necessary, both for strategic and moral reasons.

The opinions expressed in this commentary are solely those of Ammar Abdulhamid and Ken Ballen.

@highlight

Ammar Abdulhamid, Ken Ballen: Report appears to show proof of Syrian regime torture

@highlight

They say the regime's violence is tantamount to genocide; al-Assad has sown sectarian war

@highlight

They say Geneva goal must be: End killing, bring guilty to justice, especially in regime

@highlight

Writers: Al-Assad should not get immunity; rebuilding Syria society needs accountability