(CNN) -- Many observers gazing upon the current bloodshed in the Middle East have wondered aloud if we are seeing the disintegration of the nation-state boundaries established in the region nearly a century ago. But the crises in Iraq and Syria have simply laid bare a phenomenon that has been under way for quite some time.

What's more, this process is now almost certainly irreversible, and will lead to a radically different Middle Eastern map than we have known.

In the heady early days of the Arab Spring, many people imagined that the Arab world might finally be entering a period of greater democratization, one that would inevitably lead -- so the thinking went -- to greater social unity.

That didn't happen. The "people's revolution" in Egypt was subverted, and the fledgling democracy movement in Bahrain was crushed with Saudi military assistance. But more devastating than that is the ongoing fracturing of nations into their historical component parts.

The world may be focused on the rifts in Iraq between its Shiite, Sunni and Kurd communities -- but the same "Balkanization" has already occurred in Libya, which is now effectively split into three de facto states. Almost surely next on the chopping block is Syria.

Syria's savage civil war has divided the nation into a patchwork of government and rebel-held zones, and there is now talk within Bashar al-Assad's embattled regime of slicing off the Alawite-dominated western portions of Syria to create a more defendable mini-state.

READ MORE: Map of Iraq's sectarian divide

Just how did we get here? To answer that, one would do well to look at a map of the region during the Ottoman Empire.

In order to keep the peace and hold together their fantastically diverse and far-flung realm, the Ottoman sultans devised a clever system known as the "millyet." So long as they pledged ultimate allegiance to the sultan and paid their taxes, the empire's various religious and ethnic communities were allowed to largely govern themselves.

It was hardly a trouble-free arrangement, but this system of autonomy was probably what enabled the weak Ottoman Empire, the proverbial "sick man of Europe," to survive into the twentieth century.

That all ended in 1914, when the Ottomans joined forces with Germany and Austro-Hungary in World War I. To the rival empires of Great Britain and France, the Ottoman lands now became known as "the Great Loot," the last great frontier for European control and economic exploitation.

Of course, Britain and France first had to win the war -- and well into 1915, they displayed scant ability to do so. In desperation, the British forged a secret agreement with Emir Hussein, the ruler of the Hejaz region of western Arabia, to raise an Arab revolt against the Ottoman Turks. In return, Hussein and his rebels were promised independence for virtually the entire Arab world.

READ MORE: The terror group taking Iraq by storm

No sooner had Britain made the pact with Hussein, however, than it surreptitiously entered into negotiations with France. Under the terms of the secret Sykes-Picot Agreement, the future Arab independent nation was to be relegated to the wastelands of the Arabian Peninsula -- oil hadn't been discovered there yet -- while Britain and France would take possession of most everything else. Continuing in this vein, Britain also penned the Balfour Declaration, encouraging Jewish emigration into the Palestine region of Syria, an initiative that would ultimately prove to be the catalyst for the creation of Israel.

This double-cross of the Arabs was not fully revealed until the postwar Paris Peace Conference, then put to paper in the 1920 San Remo Agreement. Despite the furious protestations of Arab nationalists, greater Syria was divided into four parts -- Palestine, Trans-Jordan, Lebanon and modern-day Syria -- with the British taking the first two, the French the latter.

Even more volatile, as events would soon prove, were British machinations in Iraq. In their first negotiations with Emir Hussein, the British had asked for "special administrative arrangements" in those southern regions of Mesopotamia where oil had been discovered. But by the war's end, oil had also been discovered in the north and, with the promise of Arab independence long discarded, the British simply joined three of the Ottoman's semi-autonomous regions together and called it a country.

Through their blithe hubris, British and French imperialists had built themselves a volcano and then sat atop it. For the next three decades, they managed to weather the periodic eruptions of Arab rage by propping up pliant local leaders or rushing in troops to quell the inevitable revolts.

But by the early 1950s, their sway in the region had collapsed along with their empires. Into the vacuum stepped a generation of ardently nationalist military dictatorships that would eventually stretch from Libya all the way to Iraq.

But how did this transmogrify into the chaos and dissolution we see in the region today? I think the answer lies in a subtler, more psychological, legacy of the "order" that was imposed by the European powers a century ago.

READ MORE: How Iraq crisis may redraw borders

Ever since that grand betrayal, the Arab world has tended to define itself more by what it is opposed to -- colonialism, Zionism, Western political and cultural imperialism -- than what it aspires to, and even if Arab leaders have capitalized on this culture of grievance to channel popular discontent away from their own misrule, it is a mindset that has become internalized.

In twenty-five years of covering conflict zones around the world, I've found that guerrillas or dissidents most everywhere can articulate what they are fighting for; in the Middle East, by contrast, it is almost always an articulation of what they are fighting against. One result, I believe, is that there's little in the way of consensus going forward once the existing order of things -- artificially-imposed or otherwise -- has been swept aside.

Instead, a vacuum is created, and the "Arab street" fills it by turning to those allegiances that predated the object of their rage: their faith, their clans, their tribes. While the result is less devastating in a place with a strong national identity like Egypt -- there, the lack of consensus simply means the "people's revolution" can be gradually smothered -- in an "artificial" nation like Iraq, a centrifugal force takes over that, once given full power, is almost impossible to reverse.

We are now at that point in Syria. Since none of its warring factions can be militarily defeated -- and the various regional powers backing their respective proxies will see to that -- the slaughter there will continue until the creation of de facto mini-nations.

In Iraq, Kurdistan is already independent in all but name, and has no reason to give it name lest its chief protector, Turkey, become alarmed. The only larger question is whether ISIS -- the Sunni terror group that has taken Iraq by storm in recent weeks -- will manage to consolidate its current hold in the center of the country and join it to the great swath of eastern Syria it controls. Perversely, there may soon come a time when both the Shiite-dominated regime in Baghdad and the Alawite-dominated one in Damascus both decide such a terror-state might be the best way to be rid of their Sunni enemies.

Surely the biggest surprise thus far has been the relative calm in Jordan, a nation cut from whole cloth by the European powers after World War I. Despite concerns that it too will fall into the abyss, Jordan might well be saved by the need for all its warring neighbors to have a "Switzerland" in the neighborhood.

What might explode next? Here, the old map of the Middle East actually offers some solace. We're simply starting to run out of places that the European imperialists screwed up.

The views expressed in this commentary are solely those of Scott Anderson.

@highlight

Anderson: Conflicts in the Middle East are disintegrating region's post-World War I borders

@highlight

British, French imperialists "built volcano in Middle East and then sat atop it"

@highlight

World may be worried about "Balkanization" of Iraq, "but that's already happened to Libya"

@highlight

Anderson: We're running out of places that European imperialists screwed up