(CNN) -- Nobel peace laureate Aung San Suu Kyi has joined human rights activists in criticizing a two-child limit imposed on Muslim families by authorities in areas of western Myanmar in an attempt to control their population.

The government of Myanmar's Rakhine State, which borders Bangladesh, says the restriction was ordered in two townships that have the biggest populations of Rohingya -- a persecuted, stateless Muslim minority -- because of concerns about their high birthrate.

Terrorized, starving and homeless: Myanmar's Rohingya still forgotten

"If they want to live here, they have to follow the rules and orders of this state," Win Myaing, spokesman for the Rakhine government, said Tuesday, referring to the Rohingya. "If not, we can't live together tranquilly."

The ordering of the two-child limit is the latest measure taken against the Rohingya, who were the main victims in outbreaks of communal violence involving the Buddhist majority in Rakhine last year. The clashes killed scores of people and left tens of thousands of others living in makeshift camps.

Q&A: What's behind sectarian violence in Myanmar?

Deadly ethnic unrest has become a major challenge for the national government of President Thein Sein, who has overseen a series of reforms over the past two years that have moved Myanmar, which is also known as Burma, closer to democracy.

'Not in line with human rights'

"I think this is against the law," Suu Kyi, who leads the opposition National League for Democracy, said Monday in reference to the two-child limit on Rohingya families.

"It's not good to have such discrimination," she said after a meeting in Yangon, the country's biggest city. "It is not in line with human rights."

Read more: Rights group accuses Myanmar of 'ethnic cleansing'

It was her starkest statement yet about the difficulties the Rohingya face, following criticism that she hadn't spoken up strongly enough on the issue. Suu Kyi said Monday she didn't know whether the two-child policy was definitely being implemented or not.

The advocacy group Human Rights Watch says the measure has been in place in areas of Rakhine since 2005, one of multiple restrictions that make it difficult and expensive for Rohingya to do things like get married or obtain birth certificates.

Now, local authorities appear to be exploiting a recent government-commissioned report on last year's communal violence to reaffirm their commitment to limiting the number of children Rohingya can have.

"I think it's profoundly chilling," said Phil Robertson, deputy director of Human Rights Watch in Asia. "It's an indication of a larger persecution."

Read more: Despite reforms, Myanmar's ethnic violence continues

He said he was unaware of any other country in Asia where one ethnic group sought to control the birthrate of another through governmental regulations.

The official report on the communal violence included the recommendation that family-planning education be proposed to the Rohingya population in light of concerns among Rakhine's Buddhist majority about the Rohingya birth rate.

But the recommendation included the caveat that authorities should "refrain from implementing nonvoluntary measures which may be seen as discriminatory or that would be inconsistent with human rights standards."

Win Myaing, the Rakhine government spokesman, claimed the two-child limit doesn't violate human rights.

"This is the best way to control the explosion of the Muslim population in this region," he said.

Government silence

But Robertson disagreed. The Rakhine government "spews mistruths, saying that these people are overpopulating," he said.

Describing the two-child policy as "discriminatory and an abuse of human rights," Robertson called on Thein Sein, who recently met with President Barack Obama in Washington, to say whether the national government supports the measure.

"It's a policy that's been hidden in the shadows," he said. "Now, it's time for the Burmese government to respond."

Thein Sein's spokesman, Ye Htut, and other government officials didn't respond to calls seeking comment on Tuesday.

The United Nations Office for the Coordination of Humanitarian Affairs (OCHA) says that Rakhine's population of about 800,000 Rohingya have suffered restrictions on their human rights for decades. It describes them as "one of the most persecuted peoples in the world."

Human Rights Watch has described the violence in Rakhine last year and its aftermath as "a campaign of government-supported crimes against humanity and ethnic cleansing" targeting the Rohingya. The Myanmar government has disputed that account as "one-sided."

Journalist Phyo Wai Lin and CNN's Kocha Olarn contributed to this report.

@highlight

Myanmar's Rakhine State puts a two-child limit on Muslims in some areas

@highlight

Officials say it is necessary to control the population of the Rohingya minority

@highlight

But Aung San Suu Kyi and human rights activists say it violates human rights

@highlight

The Rohingya suffered heavily during communal violence with Buddists last year