(CNN) -- The United States operates an air base in Kyrgyzstan. The keystone of the Pentagon's Northern Distribution Network, it keeps essential matériel moving into Afghanistan for NATO troops, notwithstanding steady disruption on the roads out of Pakistan.

Russia, which insists that Kyrgyzstan is in its "sphere of influence" and claims a special right to protect ethnic Russians living there, has its own air base only a few miles away from the one used by the Americans.

In theory, both of these installations serve the mutual security interests of Kyrgyzstan and its great power allies.  In theory, the bases demonstrate shared security interests between Russia, the United States and Kyrgyzstan. Today Kyrgyzstan faces the most severe crisis of its history -- and the United States and Russia should act together to help alleviate it.

Perhaps as many as 2,000 of Kyrgyzstan's citizens have perished in acts of unspeakable terrorist depravity and violence. Perhaps a half million have suddenly lost their homes and possessions. Kyrgyzstan's government lit an urgent beacon calling on its allies for help. It had fair expectations of getting it.

Franklin Roosevelt, after all, reminded Americans that a good neighbor comes rushing when the house next door is on fire -- so how would a neighbor respond if he actually occupies a room in that burning house? But so far America and Russia have offered little beyond token gestures.

When President Obama and Russian President Dmitri Medvedev hold their summit this week in Washington, the situation in Kyrgyzstan will certainly figure on their agenda.  Will they offer the world leadership in resolving it?

Over the last week, acts of horrendous violence occurred in and around the 2,000-year-old city of Osh in southern Kyrgyzstan.  The acts were methodical and clearly well planned.  They involved waves of assault by attackers wearing military and police uniforms, operating armored personnel carriers and other military equipment, followed by gangs of young toughs armed with clubs, rifles and knives.

Video: Refugees say Kyrgyz troops shot at civilians

The attackers killed without hesitation or remorse, looted entire neighborhoods, and torched what could not be carted off.  Because in many cases the attackers appeared to be ethnic Kyrgyz and the victims ethnic Uzbeks, many observers were quick to characterize these events as acts of ethnic violence between groups with a long history of mutual animosity.

But scholars with depth in the region warned against these characterizations. "I don't believe in a narrative of long-simmering ethnic tension," said Columbia University's Alex Cooley. In an appearance on PBS's "Newshour," the Brookings Institution's Fiona Hill made a similar point, cautioning against the "ethnic tension" narrative and noting that "there's a really strong political component to this."

Cooley and Hill are correct.  There were interethnic clashes in 1990, in the waning days of the Soviet Union, but even then the circumstances were suspicious.  The pogroms that began in Osh a week ago reflect careful coordination and organization.

The major question is: Who is behind this?  The interim government in Bishkek lays a charge at the feet of the deposed dictator, Kurmanbek Bakiyev, who hails from the South and still has support there. Moreover, many of the police and military leaders in this region were appointed by Bakiyev and do not appear to be particularly loyal to the new government.

The government's charges are credible, but it's likely that the initial waves of violence also provided cover for score-settling, and it seems that criminal elements, particularly narcotics traffickers, have exploited the situation with zeal.

Here are some points on which Medvedev and Obama should be able to agree:

• Restraint: At present both Uzbek and Kyrgyz armed groups are involved in random shootings designed to reinforce perceptions of their group being persecuted. Rape and crimes involving sexual violence have been a particularly worrying aspect of the troubles. A strong appeal for restraint and respect for the security measures imposed by the Kyrgyz government should be issued.

• Protecting civilians at risk: At least 400,000 people have been forced to leave their homes, according to the UN High Commissioner for Refugees.  In many cases the homes have been incinerated with all their possessions, leaving them nothing to return to. Protecting those who have lost their homes and loved ones from further acts of violence must be a top priority. Security must be established at their camps; bedding, sanitary facilities, food and medical care must be arranged urgently.

• Humanitarian security/policing operation:  Because thousands of people have been traumatized after being attacked by people they greeted as policemen or soldiers, heightening anxiety along an ethnic fault line, outsiders can provide an important measure of confidence. International monitors can patrol with the local police and army, and international security can protect those delivering humanitarian assistance.  But further steps may be necessary if the local security arrangements collapse and another plea for foreign troops is issued.

• An investigation: The best way to avoid a repetition of the events of last week is to make clear that those who committed acts of murder, looting, rape and arson will be identified and punished for what they did. A broad, credible, independent investigation should be undertaken into the events and their origin, led by a person of international prominence with prosecutorial experience and a mandate to establish the facts and lay the foundation for criminal prosecutions of the perpetrators.

• Reconstruction: The devastation in central Osh and in numerous villages is reported to be near total. The international community, under U.S. and Russian leadership, should provide generous support to jumpstart the reconstruction process, prioritizing its assistance to those most directly injured by the violence.

• Elections: Kyrgyzstan's dictator was toppled by a violent uprising in April. The country still has no democratically elected government. Establishing a legitimate elected government is therefore essential to restoring stability. The international community should mobilize observers to help assure that the elections are fair and free. Special efforts need to be made to insure that those who lost their homes and property in the violence are able to fully participate in these elections.

Obama and Medvedev have taken laudable steps to reshape the Russian-American relationship, systematically eliminating points of conflict and developing new points of cooperation.  But the crisis in Osh invites them to show joint leadership, providing examples for the entire world community about how to address a humanitarian crisis on the territory of an allied state.  The lives of hundreds of thousands depend upon it.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Kyrgyzstan violence has claimed many lives, forced many from their homes

@highlight

Scott Horton, Baktybek Abdrisaev say U.S., Russia have done little in response

@highlight

They say the two nations have responsibility to help ease the suffering

@highlight

Coordinated action could end the humanitarian crisis, they say