(CNN) -- Hundreds of children have been systematically raped, beaten and sex trafficked in a northern English town for more than 12 years. And it is still going on, a government commissioned report says.

The "appalling" revelations also expose cultural tensions and lack of communication between authorities and the town's ethnic minorities that may have helped stop it.

Social counselors saw evidence of sexual exploitation early on, but turned a blind eye, according to the Independent Inquiry into Child Sexual Exploitation in Rotherham.

The city's government recently made the inquiry's report available on its website.

And so the abuses amassed, which included gang rape and death threats at gunpoint.

At least 1,400 cases of abuse went on between 1997 and 2013 -- a conservative estimate, the report says. This year, specialist investigators are handling 51 cases. Other teams are looking at additional cases.

Opinion: What's behind sex abuse of 1,400 children

Torturous sexual abuse

The exploitation has reached a level tantamount to torture, according to the report.

"There were examples of children who had been doused in petrol and threatened with being set alight, threatened with guns, made to witness brutally violent rapes and threatened they would be next if they told anyone," the report says.

Some victims were not even in their teens.

"Girls as young as 11 were raped by large numbers of male perpetrators," the inquiry says.

The report accuses politicians, social services and police of "blatant" failure to stop them, citing an inability to traverse cultural barriers with Rotherham's small Muslim community.

Fear of label of racism

The perpetrators often worked together and were mostly of Pakistani heritage; the victims were mostly white girls, the report says.

An earlier report said that "Asian" gangs originally were exploiting women and girls "for their personal gratification" but later turned to making money with it, passing girls around.

Social counselors often took a hands-off approach to the cases for fear of being branded as racists or stoking a right-wing backlash in the city.

"Several (counselors) interviewed believed that by opening up these issues they could be 'giving oxygen' to racist perspectives that might in turn attract extremist political groups and threaten community cohesion. To some extent this concern was valid, with the apparent targeting of the town by groups such as the English Defence League," the report says.

Though known victims were mostly white, the report delved into an underbelly of alleged systematic abuse by select groups of Asian men against women in their own ethnic groups.

These often go unreported, because the victims fear vengeance or public shame in their communities, the report says. Perpetrators may be using that fear to blackmail these victims into continued sexual servitude.

Community left out

Cultural differences also hindered effective involvement with concerned members of Rotherham's Pakistani community.

Authorities turned to male community leaders and imams and greatly left out women. Many ethnic Pakistani women told the Inquiry that it made them feel disenfranchised and prevented people from speaking openly about abuse.

Members of both genders said they missed any direct engagement on the topic by officials. "This needed to be addressed urgently, rather than 'tiptoeing' around the issue," the report said.

Under the rug

Some social counselors also hoped cases they were seeing were one-off occurrences and hoped they would go away. That may have been bolstered by the fact that the vast majority of child sexual abusers in Britain are white males.

Research reports on the problem began appearing a few years ago, but they had little effect.

"The first of these reports was effectively suppressed, because some senior officers disbelieved the data it contained," the report said.

Social services managers downplayed the problem. Officials thought reports were exaggerated. Law enforcement gave it little importance.

"Police gave no priority to (child sexual abuse), regarding many child victims with contempt and failing to act on their abuse as a crime," the report said.

Improvement but frustration

By the time awareness of the problem increased by 2009, thinly staffed social service workers were overwhelmed by the number of potential victims.

There has been a marked improvement in training police to recognize sexual abuse and work together with social services, the inquiry says.

"But the team struggles to keep pace with the demands of its workload," according to the report. And finances are running low.

And still, few cases even make it to court.

@highlight

Abuses included gang rape, trafficking, beating, threats at gunpoint

@highlight

Victims were as young as 11 years old, the report says

@highlight

Social counselors, police, officials turned a blind eye, report says

@highlight

Most suspects were ethnic minorities, and authorities were afraid of being branded racists