(CNN) -- It seems the 2012 election cycle learned tricks employed by criminals and dictators. NBC reported last summer that an anonymous shell company made a $1 million donation to Restore Our Future, a pro-Mitt Romney PAC. The company, which was incorporated this year in Delaware -- a state known for peddling corporate secrecy -- then quickly dissolved, leaving no trace of the person who controlled it.

The negative publicity surrounding this news report led the anonymous donor to identify himself and the PAC to confirm it. But there is no reason to believe that this is the first or the last instance of campaign finance hiding behind the opacity of anonymous U.S. shell companies. Even more troubling, this example demonstrates just how easy it is to exploit U.S. laws and use anonymous companies to funnel money through the financial system.

Individuals can legally disguise their identities and assets behind anonymous shell companies. Information about the beneficial, or ultimate, owner of a company is not required to be collected when a company forms. This enables people, including those on financial sanctions lists, to hide behind anonymous corporate vehicles and deposit illicit funds into American banks.

Congress has worked hard to tighten laws to combat money laundering and tax evasion, but incorporation laws continue to allow the formation and operation of anonymous shell companies that fly under the radar, making it nearly impossible for law enforcement to do its job. The same loophole that allowed a donor to hide behind an anonymous shell company provides terrorists, corrupt foreign politicians and drug traffickers opportunity to squirrel dirty money into and through the U.S. financial system.

Pariah regimes such as Iran have benefited from secrecy provided by American shell companies. A lengthy and expensive investigation by the Department of Justice uncovered a complex nesting of shell companies that allowed Iran to profit from New York's pricey real estate market.

Viktor Bout, on trial in New York on terrorism charges, is also accused of setting up a global network of shell companies to disguise illicit activities. The Nicolas Cage movie "Lord of War" is loosely based on this Russian arms dealer, who authorities say provided weapons used to fuel conflicts throughout Africa, South America and the Middle East. After he was extradited to the U.S. last year, Attorney General Eric Holder said, "Long considered one of the world's most prolific arms traffickers, Bout will appear in federal court in Manhattan to answer charges of conspiring to sell millions of dollars worth of weapons to a terrorist organization for use in trying to kill Americans. To date, 12 American shell companies linked to Bout (PDF) have been identified -- incorporated in Texas, Florida and Delaware.

Corrupt foreign politicians also take advantage of anonymous U.S. front companies to hide money they have stolen from their own countries. In Equatorial Guinea, the Obiang regime stashed millions of dollars in American banks while poverty in the country worsened. The president's son, despite a monthly salary of less than $7,000, used wire transfers and American shell companies to funnel more than $100 million through U.S. banks -- funds that allowed him to purchase (PDF) a $35 million mansion in Malibu and a $33 million private jet.

There is a simple solution that would prevent these crimes. If states collected information about the real people who own or control a company when it is formed, it would be much harder for criminals to hide their identities in order to launder illicit funds into the financial system.

In August, Sens. Carl Levin, D-Michigan, and Chuck Grassley, R-Iowa, introduced a bill that would close this loophole. The Incorporation Transparency and Law Enforcement Assistance Act (PDF) would require states to maintain a registry of the beneficial owners of each corporation and LLC formed according to its laws. This is an easy change. States would need only to add a question inquiring about the ultimate owner of the company to incorporation forms they already use. Multiple law enforcement agencies have endorsed the bill, which would give them access to this information.

Setting a standard for collecting information about the true owner of a company would level the playing field between the states while preventing terrorists, drug traffickers and kleptocrats from hiding behind corporate secrecy.

It would also strengthen our homeland security, make it harder for corrupt politicians to steal money that should be used to eliminate poverty and reduce the ability of Americans and foreigners alike to anonymously donate large sums of money to political campaigns.

The opinions expressed in this commentary are solely those of Stefanie Ostfeld.

@highlight

Stefanie Ostfeld: Owners of shell companies can donate to politicans anonymously

@highlight

Ostfeld: Shell companies allow people to disguise names, assets to launder money

@highlight

Shell companies provide secrecy to pariah regimes, criminals, gun runners, she says

@highlight

A proposed law would require ultimate owners to name themselves, Ostfeld writes