If you're trying to create the perfect 21st-century city, it helps to start with a blank slate. Even if that slate is a sweltering strip of sand.

That's essentially what the government of Qatar and its developers are trying with Lusail, an ambitious planned city on 28 square miles of waterfront desert along the Persian Gulf. Now under construction, the compact city will contain a commercial district, a lagoon, four islands, two marinas, an upscale shopping mall, a hospital, a zoo, two golf courses and housing for some 250,000 people.

It also will feature an 86,000-seat soccer stadium, surrounded by a moat, that's expected to host the final game of the 2022 FIFA World Cup.

Residents and visitors will get around via a light-rail network, a water-taxi system and a network of underground pedestrian tunnels. And all the energy, communications and transportation systems will be run with the help of computers from a single command center, making Lusail a "smart" city that can automatically adapt to changing traffic and weather conditions.

"It's very much an opportunity to build a vision of the future," said Barry Hughes, senior vice president at HOK, the global architectural firm that designed Lusail's Marina Mall shopping center.

Funded by the oil-rich Qatari government, Lusail can offer innovative solutions to urban problems because it's being built from the ground up. For example, the city's gas, electric and water lines are being laid out in an underground network of tunnels, allowing for maintenance work that won't disrupt buildings, roads or people above.

The city will be fitted with a network of surveillance cameras, monitored around the clock, to keep streets safe.

City of Tomorrow: 15 futuristic buildings

Buildings will be cooled by solar power and chilled water pumped through a vast network of pipes, which the city's developers say is cheaper and more energy efficient than electrical air conditioning. Human waste will be disposed not through sewer lines but a more efficient network of pneumatic, or vacuum tubes, not unlike the ones at your bank's drive-up window.

Related story: Should smart cities be built from scratch?

Some 20,000 workers -- a small city unto itself -- are building Lusail at an estimated cost of $45 billion. Developers hope to complete the city by 2019, three years before Qatar is scheduled to become the first Arab country to host the World Cup.

But all the city's sparkling features will lose some of their luster if soccer's big global tournament gets moved to another locale. Some activists have been pressuring FIFA, soccer's international governing body, to reconsider Qatar for a variety of reasons: allegations of bribery, the country's condemnation of homosexuality and the blistering summer heat, which can reach 120 degrees Fahrenheit.

There also have been allegations that Qatar has used slave labor -- mostly migrant workers from Nepal -- to build Lusail's infrastructure. A report last year by the Guardian, the UK newspaper, said at least 44 construction workers had died of heart attacks and other ailments in a two-month period of 2013 amid grueling conditions.

The state-run Lusail Real Estate Development Company, which is spearheading construction of the city, has said it's "extremely concerned" about the slave-labor allegations. In a statement on its website, the company added that it's investigating the charges, which involve one of its subcontractors.

"Lusail City will not tolerate breaches of labor or health and safety law," the company said in the statement, posted in response to the Guardian article. It declined to respond to CNN's requests for comment.

City of Tomorrow: How oceans can help solve our water crisis

In response to criticisms, Qatar in May announced reforms to its labor laws, which had bound workers to a single employer and left them open to exploitation. This appeared to satisfy FIFA President Sepp Blatter, who called the changes "a significant step in the right direction."

As for the brutal heat, Qatar says its stadiums will contain advanced, open-air cooling systems that will keep World Cup players and fans comfortable.

Meanwhile, Lusail continues to rise slowly in the Qatar desert.

Anchoring the city's skyline will be four commercial towers, up to 75 stories each. These will be surrounded by five-star hotels, an entertainment district and the Marina Mall, a retail palace measuring more than 600,000 square feet.

Scheduled to open in 2017, the mall is a cluster of five interconnected pods, shaped like giant boulders, with cantilevered white roofs to repel the heat. Its architects want the space to evoke desert canyons. A canal runs through it, and waterfalls splash throughout.

The scope and design of the mall echoes the grand, futuristic vision for Lusail itself.

"It is a very ambitious and optimistic plan," said Daniel Hajjar, a senior vice president in HOK's Dubai office.

It's a plan that has helped land Qatar the World Cup. But Hajjar said Lusail will be completed even if FIFA has a change of heart and finds a new host for the event.

"Qatar has a path ... they're pursuing," he said. "It won't affect their decision to move forward and get it built."

@highlight

Lusail is an ambitious planned city rising along the Persian Gulf in Qatar

@highlight

Its infrastructure will be run by computers, making Lusail a "smart" city

@highlight

A Lusail stadium is expected to host the final game of the 2022 World Cup

@highlight

But FIFA is under pressure to move the event to another country