(CNN) -- A young woman, her face wet with tears, stares into the lens of a video camera.

"Believe me when I tell you," she says, her voice breaking, "that if this wasn't necessary, that if my dad knew that he could make us survive in Mexico, he would have never brought us here."

She and two other young people, all of whom live in Los Angeles, are the subjects of Eliot Rausch's new film "Limbo." The 19-minute film was to premiere Friday in New York as part of the 2012 Vimeo Festival + Awards.

Held every 18 months, the event is hosted by video-sharing site Vimeo to celebrate the Internet as a medium for film and bring together members of the Vimeo community who interact regularly online but rarely meet. Vimeo reports more than 8 million users and more than 65 million unique visitors per month.

"So much in our daily lives now, we only meet people online," said festival co-director Jeremy Boxer. "We wanted to do something that was a hybrid between a conference and a film festival."

An emerging showcase for online film, this year's festival features lectures by industry veterans like filmmaker Ed Burns and Academy Award-nominated documentarian Lucy Walker plus workshops and screenings. Thirteen films were selected for top awards out of a pool of 14,567 submissions from 147 countries.

A panel of judges, including Rausch and actors Aziz Ansari and James Franco, chose which films received the $5,000 prizes. The festival's $25,000 grand prize was awarded Thursday night to directing collective Everynone for its lyrical three-minute film, "Symmetry."

All the award winners -- films must be no longer than 20 minutes -- can be viewed online. "Limbo" will be posted on Vimeo within the next few days, said Deborah Szajngarten, the site's global communications director.

From 'Oden' to 'Limbo'

Rausch won the grand prize at the first Vimeo Festival + Awards, held in late 2010, for his short film "Last Minutes with Oden." The film documents ex-convict Jason Wood's emotions as he must euthanize his beloved dog, Oden, who had been suffering from cancer. A poignant chronicle of love between human and pet, it has been viewed on Vimeo 2.5 million times.

But after winning the award, Rausch felt guilty. "I think the project was exploiting the life of a friend and his suffering," he said.

So, in the months that followed, Rausch came up with the idea to use his $25,000 prize money to create a film that might empower his subjects instead of simply chronicling their struggles.

Rausch, 30, was working with students who benefit from the California DREAM Act when he stumbled upon the spark for "Limbo."

The DREAM Act (Development, Relief, and Education for Alien Minors), a legal means of providing paperless illegal-immigrant youth access to higher education and financial aid, was signed into California law in October 2011. The federal version of the bill, which has stalled in the Senate, may become a divisive issue in the presidential election.

Three "Dreamers" caught Rausch's attention when they shared their life stories with him last year in a private meeting. All three are undocumented teenagers from Mexico who are living with family members in East Los Angeles, Rausch said.

"All three of them came over the border [between Mexico and the United States] illegally at a very young age where they didn't have a choice," he said. He declined to reveal names or other personal details about his subjects, who risk deportation.

Rausch saw a film taking shape from the narratives of the man and the two young women but couldn't figure out how to construct it. Then he noticed the first-person video being posted online during last year's Arab Spring uprisings in Egypt and elsewhere, and it occurred to him that he could give his three subjects the tools to tell their own story.

Last September, Rausch gave them point-and-shoot video cameras and asked that they use them to document their lives.

"I quickly realized that the technology is there, that each individual is becoming his or her own journalist," Rausch said. "I thought, could there be a chance to empower the subject matter themselves to capture the story? Could they present their own film? And I could just step out of the way and be there as a teacher?"

This approach, Rausch believes, is in keeping with our mobile digital age, in which every person with a smartphone or a Flip camera is a potential journalist.

"We're in a time where all these resources and tools are available to everybody," agreed Boxer, the festival director.

'Giving the voiceless a voice'

After an introduction to filmmaking and three months of daily shooting, the three apprentice filmmakers presented Rausch with more than 100 hours of intimate, sometimes gut-wrenching footage.

One young narrator used her video camera to document her family's painful search for her father after his arrest and deportation to Mexico. Since he was deported, she and her family members have been trying to support themselves by baking and selling bread.

"I know that under the law what we're doing [being in the U.S. illegally] is a crime," says the teary young woman in the film. "But we're just trying to survive." She said the ordeal has given her new respect for her mother. "She's the strongest woman I've ever known. No matter what life throws at her, she's always been able to get up."

The woman, who wants to be a lawyer, said that documenting herself on video was a learning process. "It was hard," she said. "I didn't want to take the camera at times."

The other young woman in the film also hopes to become a lawyer, while the man aspires to be a journalist, Rausch said. He and producer Mark Schwartz spent countless hours pruning down the trio's footage to make the film.

Rausch said he didn't make "Limbo" as a political statement about the hot-button issue of immigration.

"It was more about giving the voiceless a voice," he said. While he ceded control of the narrative to the students, Rausch still assigns his own meaning to the final cut. "It's ultimately a social experiment," he said.

Rausch said he hopes "Limbo" can represent a new, unfiltered form of cinematic storytelling.

"We're at a point in time now where myself, documentarians and filmmakers should start finding ways to actually empower the story to tell itself rather than putting our own spin on it," he said. "So let's find ways to purify, simplify and get to the core of the experience rather than waiting for the perfect production or perfect way to articulate it."

After "Last Minutes with Oden," his conscience has been appeased.

"I know for a moment in time, [these] three teens felt valued," he said. "Their voices were heard and I can sleep OK tonight."

@highlight

"Limbo" was to premiere Friday in New York as part of the 2012 Vimeo Festival + Awards

@highlight

The short film by Eliot Rausch chronicles the lives of three young illegal immigrants

@highlight

A previous Rausch film, "Last Minutes with Oden," has been viewed 2.5 million times

@highlight

Thirteen films were selected for top Vimeo awards out of a pool of 14,567 submissions