(CNN) -- For the first time, Indonesian maids working in Saudi Arabia will be guaranteed a monthly wage, time off, and contact with their loved ones, under a new agreement signed by the Gulf kingdom and Jakarta this week.

Human rights groups say the pact is a step towards ensuring the protection of foreign workers' basic rights in Saudi Arabia. But it fails to address a worrying trend of domestic helpers filing complaints of exploitation and abuse only to face counter-allegations by their employers of "theft, witchcraft or adultery," according to Human Rights Watch.

The penalties for these crimes are harsh in the deeply conservative kingdom of Saudi Arabia, which practices a puritanical form of Islam.

"There's a real belief, and it's something that can be prosecuted through the Saudi courts, that black magic or witchcraft is real," said Nisha Varia, senior researcher for women's rights at Human Rights Watch.

"Domestic workers are especially vulnerable to these types of accusations because of cultural differences."

Abuse of Asian migrants

Varia, who spoke to domestic workers as part of a report on abuses against Asian migrants in Saudi Arabia, says an amulet on a necklace may be enough for an employer to accuse a maid of plotting to bring bad luck on the family.

Earlier this month, King Abdullah pardoned an Indonesian maid, who was on death row after being convicted in 2003 of "casting a magic spell on her employer and his family," a spokesman for the Indonesian Embassy told Saudi news site, Arab news.

She returned to her home in West Java, but others haven't been so lucky. Some 41 other Indonesian workers face possible death sentences in Saudi Arabia on charges ranging from black magic to stealing, adultery and murder, according to the Indonesian Foreign Ministry and local non-profit groups.

Many facing charges claim they suffered long-term abuse or exploitation at the hands of employers, according to the Indonesian Foreign Ministry's director for legal aid and protection of Indonesian nationals overseas, Tatang Budie Utama Razak.

"When I observe why they killed their employer, most of them were not mentally ready (to work overseas)," Razak told CNN.

"They have to work unlimited hours, they have take care of the children, take care of the house, (their salaries are) unpaid, they cannot go out, (and) they cannot contact their families," he said.

No fair trial

Most have not been given a fair trial, said Anis Hidayah, executive director of Indonesian group Migrant Care.

"Sometimes they don't have access to interpreters or lawyers who make sure they understand the trial process," Hidayah added.

Hidayah's organization is campaigning for the release of Satinah binti Jumadi Ahmad, a 40-year-old maid who is on death row for murdering her employer and fleeing with SR37,500 (US$10,000). The woman reportedly admitted to killing her boss but said it was in self defense as her employer had been trying to attack her at the time.

In cases like Satinah's, it can be difficult to know exactly what happened, said Varia from Human Rights Watch, since the alleged incidents often take place behind closed doors in employers' homes.

Varia said many domestic workers who are being overworked or aren't getting paid won't come forward because they fear the authorities will believe their employers, who are well-connected or at least speak flawless Arabic, over a foreigner who may be unfamiliar with the language, local laws and her rights.

'Blood money'

Satinah is due to be beheaded in the coming weeks, unless she can raise a hefty "blood money" payment to give to her employer's heirs.

Indonesian authorities have negotiated the amount down from SR10 million (US$2.6 million) to SR7 million (US$1.8 million), according to Razak.

The maid's 20-year-old daughter, who was 11 when her mother left Indonesia, sent a letter to the employer's family pleading for her release.

So far, SR4 million has been raised, including a SR3 million contribution from the Indonesian government along with other donations from Indonesian citizens and an unnamed Saudi donor, Razak said.

Around 1.5 million women -- mostly from Indonesia, Sri Lanka, and the Philippines -- work in Saudi Arabia as domestic workers, according to Human Rights Watch. They make up less than a quarter of the kingdom's eight million foreign workers but account for most of the complaints received by embassies of sending countries, the organization said.

Common complaints include wages not being paid, passports being seized, brutal work hours, and forced labor along with physical and sexual abuse.

Another 28-year-old Indonesian on death row, Tuti Tursilawati binti Warjuki, allegedly killed her employer in 2010 when he attempted to rape her following months of sexual violence.

Workers freeze

In 2011, the beheading of Indonesian maid Ruyati binti Satubi by Saudi Arabia sparked outrage in Indonesia. Jakarta had been in the process of requesting a pardon for the 54-year old, and was not informed prior to her execution.

This seemed to be the last straw for Indonesia which announced it would put a freeze on sending new workers to Gulf nation. Saudi Arabia responded by suspending visas to Indonesian domestic workers.

The ban has remained in place since, but disputes between foreign workers from other countries and their employers have continued to emerge.

In one of the most high-profile cases, a Sri Lankan, Rizana Nafeek, 24, was beheaded in January 2013 after being convicted of killing her employer's baby when she was 17.

At the time, Amnesty International condemned the death and warned that "a disproportionate number of foreign nationals, mainly migrant workers from countries in the global South," had been executed in Saudi Arabia over recent years.

New rules

Six months later, Saudi Arabia introduced new regulations that offered all foreign domestic workers basic protections including sick leave, work days of no longer than 15 hours, and paid vacation for one month every two years.

The regulations also stipulated that domestic workers must respect the teachings of Islam, maintain her employer's family secrets, and follow their employers' "orders."

After more than two years of negotiation, Saudia Arabia and Indonesia signed an agreement on Wednesday that clarifies, for the first time, the duties and wages of workers and responsibilities of employers, explained Razak.

According to reports in Saudi media, a statement from Saudi Arabia's Ministry of Labor said the pact aims to "strengthen relations between the two countries and moderate the relationship between employers and employees."

The ministry has signed similar agreements with three other countries that, combined, make up 70% of Saudi Arabia's domestic helper workforce, and has started new committees to look into foreign workers' issues, the statement added.

CNN reached out to Saudi authorities for this story but have yet to receive a response.

Under the new agreement, Indonesian maids must have one day off a week, be allowed to keep their passports, to communicate with family and friends outside their employers' homes, and receive health insurance.

The agreement could lead to the ban being lifted, but Indonesia wants to see how it will be implemented before allowing more citizens to migrate to Saudi Arabia, according to Razak.

He hopes the agreement will minimize the risk of Indonesians ending up on death row in Saudi prisons by preparing the workers better while helping employers to understand the rights of workers in their homes.

Rights groups skeptical

Indonesia must also ensure potential domestic workers receive medical check ups and do not have a criminal record, and setting up these systems will take time, Razak said.

There must also be a shift in how some employers perceive their workers, he said.

"We thank the destination countries because they have provided jobs. At the same time the user must be thankful for the workers, because they also will be assisted by the workers."

But human rights groups are skeptical that the 2013 regulations and the new pact with Indonesia will improve the lives of the workers any time soon.

Varia from Human Rights Watch said there are some advances in the pact, but it fails to tackle some of the root causes of what makes domestic workers so vulnerable, such as Saudi Arabia's "kafala," or sponsorship, system.

"Employers have so much control over their domestic worker by being their immigration sponsor. They have control over whether the domestic worker can change jobs (and) they have to give their approval before the domestic worker even leaves the country," she said.

"This system is the cause of such a huge power imbalance that leads to a lot of exploitation and that needs to change."

@highlight

Saudi Arabia and Indonesia sign pact to outline basic rights of foreign domestic workers

@highlight

A ban preventing Indonesians from working in Saudi Arabia may be lifted

@highlight

Rights groups say foreign workers are vulnerable to abuse and legal hurdles

@highlight

41 Indonesians in Saudi Arabia face possible execution on charges from murder to sorcery