Abu Dhabi, United Arab Emirates (CNN) -- It's big, bold and oh so Abu Dhabi -- a city far from unfamiliar with ostentatious developments.

Rising up from the turquoise waters of the Persian Gulf, Saadiyat Island is arguably one of the grandest residential and cultural projects in the works anywhere in the world today.

The idyllic resort will be home to three major museums, a performing arts center as well as hold space for 150,000 residents when it is completed by 2020.

Construction on the Louvre Abu Dhabi -- named as the Rain of Light by architect Jean Nouvel -- is going on around the clock with the aim of being open by December 2015. The Guggenheim and the Zayed National Museum will soon follow.

See also: Where are the world's most expensive luxury properties?

For the new residents of Saadiyat, many of whom are from outside the UAE, this ambitious development and its cultural accoutrements is like little they have experienced before.

"It was so nice coming from England where everything has been going backwards to be part of something that was sort of up and coming and forward thinking," said early resident, Sue Bell.

As to be expected, however, living amidst such refined institutions and luxurious facilities doesn't come cheap.

Saadiyat is being positioned by developers TDIC as a luxury destination for those with deep pockets. A seven bedroom property comes in at a cool $7.5 million while the entry point for a villa is about $1.25 million.

The St Regis villas and apartments, part of a vast hotel complex, are already fully occupied.

TDIC says other completed zones are at 90% capacity with most buyers choosing to take up residence in their new accommodation rather than snapping up the property as an investment and basing themselves elsewhere.

See also: Take a look at London's insane luxury basements

"The thing about the people who buy in Saadiyat, or if you want to call them investors, I can tell you that more than 80% of the people who bought on Saadiyat are end users," said Carlos-Antonio Wakim chief development officer at TDIC.

To further entice families, TDIC is setting up a full range of educational options including offshoots of the renowned Cranleigh boarding school and a New York University campus.

The headmaster at Cranleigh, Brendan Law, believes even though the island is a greenfield project, it squares with the century and a half old history of the English school.

"A motto was created for Cranleigh called 'escuto rubu' which is Latin for from culture comes strength," Law said. "We are standing on the edge of the cultural district here in fact on the gateway of the cultural district. I don't think a school and a district could be better suited for one another than that."

But while every effort has been made to make new arrivals in the neighborhood welcome, the treatment of construction workers on the project has received unwanted scrutiny.

See also: Could micro-homes offer big housing solution

Saadiyat remains on the radar of human rights groups who contend there are still sizable gaps in fair in labor practices at the estimated $27 billion project.

"We found that due to a sequence of control mechanisms which include recruitment fees, passport confiscation, and a kafala system of sponsorship based employment that workers on the island were being subjected to very serious exploitation," Nick McGeehan of Human Rights said.

TDIC however point to an independent report by Price Waterhouse Coopers which acknowledges some flaws by contractors, but cited progress at the same time.

"Wherever we can improve we will not be late in improving," said Wakim. "This is the TDIC's position."

@highlight

Saadiyat Island is a giant residential and cultural resort project in Abu Dhabi

@highlight

The resort will cost an estimated $27 billion to construct and will be ready in 2020

@highlight

The Louvre and Guggenheim are building museums in Saadiyat

@highlight

Educational institutes like Cranleigh boarding school and New York University are also being built