Washington (CNN) -- The Virginia governor's race has often been looked to as an off-year barometer of national political sentiment.

This year's grind-it-out race, an acrimonious spitball contest between two candidates only slightly more likeable than Walter White, is anything but.

In a lesser-of-two-evils campaign, Terry McAuliffe, the longtime Democratic fundraiser and confidante to former President Bill Clinton, is clinging to a modest but sturdy lead over Republican Ken Cuccinelli, the state's attorney general.

Republicans have pilloried McAuliffe as a sleazy political operator and failed businessman who exploited his Washington connections to help his sputtering car company, GreenTech Automotive. Cuccinelli has been targeted as a far-right social crusader who would curb abortion rights and access to contraception. Democrats on Twitter are fond of calling him #creepyken.

McAuliffe is leading Cuccinelli among likely voters by an eight-point margin, 47% to 39%, according to a Washington Post poll out this week.

McAuliffe is hardly bulletproof: A federal investigation into GreenTech has sullied his reputation, and only two-thirds of Democrats -- his own party -- consider him "honest and trustworthy."

But Cuccinelli is on much shakier ground. While Republicans are slightly more fired up about voting for him than Democrats are for McAuliffe, Cuccinelli's favorable ratings are next-to-toxic: More than half of likely voters view him unfavorably.

Enter Robert Sarvis.

As public dismay with the two main candidates calcifies, the baby-faced 37-year old Libertarian candidate from Fairfax has quietly crept northward in the polls, reaching 10% in the Post poll.

That's not nearly enough to win in November -- with just five weeks until Election Day, even Sarvis admits "we have to get a lot higher" -- but he looks increasingly likely to play the role of spoiler by siphoning conservative votes away from Cuccinelli.

Sarvis chafes at the label.

"I don't even know what it means to be a spoiler," he said in an interview. "The system is rotten to the core from Republican and Democratic malfeasance. They have already spoiled the system. I don't even know what it means to be a spoiler. If I am the only one arguing for freedom and the rule of law, then those two are the spoilers as far as I'm concerned."

Positioning himself as a moderate

The Harvard and NYU-educated attorney and software programmer -- he was part of a team that won Google's Android Developer Prize for creating a "mobile app for true nightlifers" -- is positioning himself as the moderate choice between two "extreme" candidates.

In his telling, McAuliffe "stands for an extreme version of crony capitalism." Cuccinelli is "very regressive on social issues" and "unreliable" on economic matters.

Both parties, he said, are in league with the banks and "rich folks" -- a frustration that first motivated him to run for office in 2011, when he mounted an unsuccessful Republican bid to unseat longtime Democratic state Senate leader Dick Saslaw.

Though he said he left the GOP after that race, he voted in Virginia's Republican presidential primary in 2012, casting a ballot for Ron Paul. That November, he voted for Gary Johnson, the Libertarian nominee.

Sarvis supports same-sex marriage, marijuana legalization and says climate change is real. He opposes gun restrictions, higher taxes, the expansion of Medicaid under the Affordable Care Act, and last year's landmark transportation bill in Richmond that raised some taxes to help fix northern Virginia's clogged roadways. Sarvis said he would pay for transportation funding, in part, by cutting from the education budget and finding ways to "prioritize spending."

Sarvis might deny being a spoiler, but Cuccinelli's campaign conceded Thursday that the Libertarian is draining support from the Republican nominee.

"There's no question that a vote for Robert Sarvis is a vote for Terry McAuliffe and a vote against liberty," said Richard Cullen, Cuccinelli's communications director.

"It's important to remember that there's no greater defender of first principles and liberty in Virginia than Ken Cuccinelli," Cullen said, outlining why Libertarian-leaning Republicans should stay in the party fold.

"Ken was the first attorney general in the nation to sue to stop Obamacare and he led an eight year battle to secure Virginians' private property rights in the state constitution. He's also the only candidate in this race who's laid out a clear, substantive plan to free up the private sector and create 58,000 jobs."

Challenges for third-party candidates

Few political observers in Virginia expect Sarvis, who has little money in the bank and almost no political machinery behind him, to reach the 10% threshold, or even the 8% mark he hit in another recent poll from NBC News and Marist.

The last third-party candidate in Virginia to reach that level of support was Marshall Coleman, who snagged 11% of the vote in the madcap three-way 1994 Senate race.

Unlike Sarvis, though, Coleman had political pedigree and bona fide institutional support: then-Sen. John Warner backed Coleman that year over the flame-throwing Republican nominee, Oliver North. The Democratic incumbent, Chuck Robb, eked out a three-point win that year.

A more recent example of third-party noise-making came in the 2005 governor's race, when Russ Potts, a GOP state senator who ran as an independent, aired a memorable statewide television ad featuring people loudly banging on pots as they chanted "We want Potts!"

Despite polling as high as 9% that year, Potts only garnered 2% in the end, as Democrat Tim Kaine edged out Republican Jerry Kilgore to win the governorship.

Even if Sarvis tumbles from his current standing and only captures a small slice of the vote on Election Day, Republicans fear that most of that support will come straight out of Cuccinelli's back pocket, especially in what's expected to be a low turnout election.

"Nearly all of his vote will come from people right of center who feel obligated to vote but can't support Cuccinelli because he is too far to the right, or they fear what he would be like as governor and can't vote for McAuliffe because he's a Democrat," observed one well-connected Richmond Republican who is not directly involved in the race.

Cuccinelli faces gender gap

Cuccinelli is in trouble with or without a third party candidate, due in large part to a startling gender gap that emerged this summer after free-spending Democrats began hammering the Republican on women's health issues.

Women favor McAuliffe over Cuccinelli by an enormous 24-point margin, and even without Sarvis in the race, the Post poll showed McAuliffe leading Cuccinelli by a five-point margin, 49-44.

But Sarvis isn't going anywhere, and his rising poll numbers are making an uphill fight for Cuccinelli that much steeper.

Sarvis' most obvious challenge is exposure. A large majority of Virginia voters still have no clue who he is or what he stands for, a challenge that wasn't made easier by his exclusion from a debate Wednesday night sponsored by the Fairfax County Chamber of Commerce.

In response, Sarvis tapped into his meager campaign budget -- he reported having only $19,109 in the bank at the end of August -- to run a TV ad during the debate attacking McAuliffe's "cronyism" and Cuccinelli's "narrow-minded social agenda."

The ad starred his two children and his African-American wife, Astrid, whom he met in a Mississippi book store when he spied her reading "The Da Vinci Code" and told her he had recently seen the movie.

John Vaught LaBeaume, a Sarvis adviser, said the campaign has been in touch with the organizers of the third and final debate in Roanoke in late October, and have received "encouraging" signals about being included.

Until then, Sarvis said he's content to meet voters by driving around the commonwealth in his van, listening to Pink Floyd, as the other campaigns savage each other on the airwaves.

"If they keep destroying each other with negative ads that's fine with us," he said drily.

@highlight

Republicans look to retain governorship in battleground state

@highlight

Race between Terry McAuliffe and Ken Cuccinelli is viewed by some as "lesser of two evils"

@highlight

Enter Robert Sarvis, a Libertarian candidate who has quietly crept up in the polls

@highlight

He says "the system is rotten" due to Republican and Democratic "malfeasance"