(CNN) -- Secretary of State Hillary Clinton will finally take questions from members of Congress on Wednesday about the deadly terror attack on the U.S. diplomatic mission in Benghazi, Libya.

Lawmakers have long wanted Clinton's full accounting of the September 11 assault that killed Ambassador Christopher Stevens and three other Americans.

They also want to ask her about diplomatic security, which the State Department has since re-examined at posts located in overseas hot spots. Agency officials have acknowledged shortcomings and promised changes.

Some of the toughest questions before the House Foreign Affairs Committee and the Senate Foreign Relations Committee are expected to focus on the Obama administration's slow-to-evolve public explanation of the attack, which triggered an uproar in the middle of a presidential election campaign.

U.N. Ambassador Susan Rice took most of the political heat as mainly Republican lawmakers seized on her public comments the administration has said were based on fast-moving intelligence that later proved to be incorrect.

Still, some Republicans suggested the administration sought to mute the true nature of the attack to prevent President Barack Obama's political opponents from fully exploiting it in the final weeks of the November campaign.

The issue was so polarizing that Clinton's decision to postpone an initial appearance before Congress in December due to health problems was questioned by her harshest critics as a possible dodge.

It was revealed that she had a virus and suffered a concussion. Clinton was then hospitalized for a blood clot, only returning to work two weeks ago.

Clinton's future health 'as good as her past'

Her testimony will be public and will likely be the most difficult moment of her final days as America's top diplomat.

Despite the controversy, Clinton's poll numbers remain high.

She's leaving the job soon.

Some of the potential questions she will face:

What did Clinton know?

Republican Sen. John McCain wants a full explanation of Clinton's understanding of the attack -- what happened before, during and after.

The 2008 GOP presidential nominee and the top Republican member of the Senate Armed Services Committee, McCain told CNN this week that he feels "the American people were clearly deceived."

McCain told reporters eight days after the attack that he had information the State Department had been warned.

In mid November, McCain took to the floor of the Senate and accused Obama of lying about the attack.

"The American people have received nothing but contradictory statements from all levels of our government," he said.

The Pentagon released an official timeline that highlighted when Defense Secretary Leon Panetta and his senior commanders were first informed and when follow up decisions were made involving the military.

The timeline shows Panetta and Joint Chiefs Chairman Gen. Martin Dempsey were told of the attack about an hour after it started. Both were on their way to the White House for an already scheduled meeting with the president. Thirty minutes later, Obama was directing the Pentagon to do all it could to help, according to senior Pentagon officials.

Obama administration continues explanations of attack

What does Clinton know about cables warning of security threats?

Just hours before the attack, Stevens sent a message to the State Department that referred to a meeting nine days earlier during which the commander of Benghazi's Supreme Security Council "expressed growing frustration with police and security forces" about security capabilities.

That cable, since made public, is part of more than 160 pages of documents that paint a picture of persistent and unpredictable violence in and around Benghazi last year. It also reveals that the U.S. contingent in Benghazi felt it needed more security.

In February, the regional security officer in Tripoli, Eric Nordstrom, warned that having just two diplomatic security agents on the ground in Benghazi made movements outside the U.S. facility impossible.

"I've been placed in a difficult spot when the ambassador tells me I need to support Benghazi," Nordstrom wrote in a February 12 e-mail to the regional director of the Near East Affairs Department at the State Department.

Clinton's Benghazi statement

Was Clinton informed about the rise of al Qaeda-linked militants?

In the September 11 cable, a paragraph refers to the "expanding Islamist influence in Derna," a town east of Benghazi, amid reports linking "the Abu Salim Brigade with a troubling increase in violence and Islamist influence."

The Abu Salim Brigade was prominent among the opponents of former strongman Moammar Gadhafi.

The ambassador refers to another meeting on September 9 in which commanders of unofficial militia claimed that the Libyan Armed Forces depended on them to secure eastern Libya, and even supplied them with weapons.

Read more about Stevens' warnings about militants

Communication from the ground up likely will be examined during Clinton's testimony.

'Talking points' cited by Rice and why didn't Clinton give that public explanation?

Rice spoke for the Obama administration on Sunday talk shows on September 16. She made several claims that turned out to be wrong.

The primary complaint from Republicans is that Rice's remarks were centered on anger over the anti-Islam film, "Innocence of Muslims," when there was classified intelligence available suggesting a possible al Qaeda link.

On the talk shows, Rice spoke from unclassified talking points officials said were provided by the intelligence community. She said the armed assault was spontaneous and linked to regional outrage over the film.

Since then, Rice has twice talked to lawmakers about her remarks. In a statement, Rice said her talking points were "incorrect in a key respect: There was no protest or demonstration in Benghazi."

"While we certainly wish that we had had perfect information just days after the terrorist attack, as is often the case," the statement said. "The intelligence assessment has evolved."

Obama defended Rice publicly, but she later withdrew her name from consideration as his likely nominee to replace Clinton at the State Department.

Why has only one attack suspect been detained, and then released?

Ali Harzi was freed earlier this month by a Tunisian judge overseeing the case against him, the country's state news agency reported. He was arrested in Turkey in connection with the Benghazi attack. On January 9, U.S. State Department spokeswoman Victoria Nuland referred questions to the FBI, which she said "has the lead on the Benghazi investigation."

The Tunisian news agency, TAP, reported that Harzi had been questioned by Tunisian authorities and the FBI "as a witness and not a suspect."

But a U.S. federal law enforcement official with direct knowledge of the probe said he remains a suspect.

The fact that Harzi has been freed from detention "doesn't mean he's any less a suspect," the official said, adding Harzi does not appear on video taken of the Benghazi compound.

Investigators have identified at least 15 people who may be suspects, the official told CNN, indicating some were identified on the video.

"We will get indictments," the official said. "but it's not possible to put a timetable on it."

Reports on the attack

In December, an independent review of the Benghazi assault cited "systemic failures and leadership and management deficiencies" at the State Department.

Four State Department officials, including two who oversaw security decisions for Benghazi, were disciplined a day after the report was released.

Clinton got a copy of the report and said in letters to State Department chiefs that she accepted its recommendations to beef up security and intelligence gathering in high-threat areas.

Before the report came out, Clinton had popular approval ratings in nationwide polls.

A December Bloomberg National Poll showed 70 percent of Americans had a mostly favorable view of her. Polls from Politico/George Washington University, ABC News/Washington Post and the Siena College Research Institute also showed high marks.

Confusion, contradictions in hunt for Benghazi suspects

@highlight

Senate, House to question Hillary Clinton on Wednesday about Benghazi attack

@highlight

Did she know about growing militant danger; Did she see cables explaining threat?

@highlight

Why has only one suspect been detained, and then released?

@highlight

Where did Susan Rice's now infamous 'talking points' originate; why didn't Clinton give them?