Two years into the Syrian conflict, President Obama has decided it's finally time to explain it to the American people in a speech he will give from the Oval Office on Tuesday. But from the beginning, President Obama's strategy in Syria -- if he ever had one -- has been confused.

Years of dithering, red lines that went unanswered, and a failure to persuade our international allies and the American public to get on board with the president's nonplan plan, has resulted, not surprisingly, in a confused Congress.

On the Republican side, Sen. John McCain was against the president's plan for limited intervention but on Wednesday changed his mind. Sen. Marco Rubio was for intervention in Syria for the past two years, but he cannot support Obama's plan for military strikes.

On the Democratic side, many who have previously defended Obama's foreign policy as somehow morally superior to his predecessor for its caution and thoughtfulness now seem delighted to support his new war in Syria. Then there are Democrats who seem a little less fuzzy on their long-held principles and do not support intervening in Syria.

Obama's own administration seems confused as well. Secretary of State John Kerry has had to backpedal more than once after contradicting official policy in Syria, which is admittedly hard to discern.

Even Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, has been an awkward spokesman, spending the better part of the past year telling Congress that Syrian intervention was unwise. As Eli Lake, a correspondent for the Daily Beast puts it, "On Tuesday, Dempsey was not much more helpful for the president's case for war in the Senate. He contradicted President Obama's contention from Saturday that delays would not affect the Syria war plan, confirming the Syrian military was adjusting to press leaks about an early plan."

The confusion isn't merely a consequence of the complicated machinations in Syria or the fog of war. Everything we know now about the Syrian conflict -- that President Bashar al-Assad has been killing his own people, that he possessed chemical weapons, that he had pipelines to Hezbollah and Iran, and that al Qaeda was circling the wagons hoping to exploit the chaos -- we knew in the first week of the conflict two years ago.

President Obama is solely to blame for the confusion. His spectacular failure of leadership on the crisis is coming into clearer focus with every passing day.

It's possible he just didn't know what to do two years ago, and doesn't know what to do now. Syria is a messy conflict with few good answers. But in piecing together the president's moves in recent months, it's clear he's also very much concerned about protecting his own legacy. That means spreading the blame around to others.

First, he made his best effort (at the 11th hour) to get international support for a short-term intervention that -- by his own admission -- was not meant to actually change the course of the war. I call this the beach house strategy. You want to buy a beach house, but can't afford it. So you go in with a few friends so that when the dishwasher breaks, no one person's on the hook for it. One would hardly call that leadership, and it's no wonder few wanted to join us in "not changing the course of the war" in Syria.

Obama doesn't want to be responsible for the red lines he set either, apparently. He insisted that when it came to al-Assad's use of chemical weapons, "I didn't set a red line; the world set a red line." Reactions to this absurd duck and cover were so immediate that the White House dispatched spokespeople to explain the president's contradictory remarks.

While it's true that international peace accords bar the use of chemical weapons, it's baffling and shameful that Obama doesn't proudly and defiantly own red lines against a dictator who would gas innocent children in the streets. "You're damn right that's my red line" -- would have been a far more impressive and effective message to the rest of the world.

Lastly, it seems clear the president doesn't want ownership of his own initial plan for limited strikes in Syria merely meant to punish al-Assad. I can't blame him there -- it's an ill-conceived half-measure that even Democrat Rep. Charlie Rangel likened to being impossibly "part pregnant."

After insisting he could go ahead with his plan even without Congress, he's curiously allowing legislators to craft his strategy through resolutions and amendments that significantly alter the scope of his plans for intervention. If Obama truly believed his plan was the right one, and is prepared to move ahead without Congress, then why go through the charade of hearings? I would venture it's so that he can later claim that whatever we end up doing in Syria was largely the design of John McCain and other members of Congress.

It's a sad state of affairs. With so much at stake -- the stability of the region, the security of our allies, the spread of weapons of mass destruction, 100,000 deaths and Iran watching closely -- you'd hope that the president of the United States would summon the wisdom and courage to take a clear position on Syria, and then accept whatever credit or blame follows. Instead, it seems the president's primary concern in Syria is himself.

@highlight

S.E. Cupp: President Obama's strategy in Syria has been confused from the start

@highlight

Cupp: Obama's failure of leadership on the crisis is clearer with every passing day

@highlight

She says the president sets the red line but then says the world sets the red line

@highlight

Cupp: It seems the president's main concern in Syria is himself and his legacy