(CNN) -- Comcast, the nation's largest cable provider, wants to acquire Time Warner Cable, the nation's second-largest cable provider. Should we be concerned?

I certainly am; that's why I oppose this deal. And I'm not alone.

More than 100,000 people -- including many from my own state of Minnesota -- have written to me expressing frustration that they are already paying significantly higher prices for increasingly poor cable and broadband service. Many note that they are unable to get a better deal because, where they live, there is only one viable option (in Minnesota, it's usually Comcast). And they worry that this deal will only make things worse.

Comcast takes merger case to Washington

Comcast dismisses these concerns by pointing out that it does not directly compete with Time Warner Cable in any zip code -- as if that's supposed to reassure us.

But the fact that the two biggest cable companies have already effectively managed to carve the country up into local monopolies shouldn't make us feel any better about their plan to become one giant company. Indeed, it's a clear sign that the cable market needs more competition, not less.

As for satellite TV and wireless Internet providers -- which Comcast would have you believe are forcing it and Time Warner Cable to band together in an uphill battle for survival -- they simply don't represent real competition.

Comcast grilled in Senate over merger plans

You can get your TV from a satellite provider, but it usually won't come with high-speed broadband Internet. And wireless Internet is not a viable substitute for broadband -- particularly if you want to watch TV online.

Essentially, if you want both TV service and high-speed Internet, you are stuck with a big cable and broadband company like Comcast or Time Warner Cable -- "or" being the appropriate preposition here, because, as Comcast brags, many Americans already have just one of these companies to choose from where they live. And if this deal goes through, Comcast will become the only option for millions more consumers.

The danger in allowing Comcast to accrue even more power is not purely hypothetical. The company is already using its dominant position to dictate terms to content providers seeking to reach its 20 million customers.

Take Netflix, for example. Comcast, which happens to have a rival video streaming service of its own, was able to exploit Netflix's growing popularity by refusing to provide the network infrastructure needed to keep Netflix streaming smoothly.

In the end, Netflix had to pay Comcast an undisclosed amount of money to get direct access to Comcast's broadband network and alleviate the slowdown.

As Netflix CEO Reed Hastings wrote, "Some big ISPs are extracting a toll because they can -- they effectively control access to millions of consumers and are willing to sacrifice the interests of their own customers to press Netflix and others to pay."

"Extracting a toll" is a polite way of putting it; this is nothing short of extortion. And acquiring Time Warner Cable would give Comcast millions more customers to use as leverage.

If Comcast is able to effectively charge popular providers extra for access to broadband customers, those costs will inevitably be passed on to consumers themselves. And if Comcast is able to determine what traffic can make it into consumers' homes, content not owned by Comcast could become harder to find online.

When the Senate Judiciary Committee recently met to review the proposed acquisition, Comcast -- which is represented by 107 lobbyists, including several who have passed through the ever-revolving door between the company and the agencies charged with regulating it -- promised to forgo such behavior.

But the company's own actions have already proven that such promises are not to be believed.

For example, three years ago, when Comcast announced plans to acquire NBC Universal, I and others raised concerns about vertical integration: Comcast already owned the pipes through which cable programming flowed, and now it would own NBC Universal's programming, including NBC, MSNBC, CNBC, Bravo, Telemundo, and others -- more than 20 networks in all.

Fortune: Blocking Comcast-TWC will not fix America's Internet monopoly

As a nod to these concerns, the Federal Communications Commission required as a condition of the deal that Comcast "neighborhood" -- or group -- cable channels into categories, so that programming not owned by Comcast wouldn't be relegated to the far reaches of the dial where viewers would be unlikely to find it.

But once the acquisition went through, Comcast didn't comply with this condition. It refused to put rival Bloomberg News in the same "neighborhood" as its own news channels, MSNBC and CNBC -- a textbook example of the kind of anti-competitive behavior we warned about, and in which Comcast promised not to engage.

As another condition, Comcast was told by the FCC to create a stand-alone broadband product -- one that wasn't bundled with a cable TV package -- so that people who wanted to ditch their cable plans in favor of online services like Hulu and Netflix would have an option.

Indeed, Comcast did create such a product. One small problem: It failed to tell customers about it. And after receiving complaints, the FCC fined Comcast for failing to live up to this obligation.

Now Comcast plans to expand its empire by gobbling up the second-largest company in the cable market (and third-largest in broadband), a move that, as even Comcast's executive vice president admits, could mean that rates will rise at an even faster pace. Not to mention worse service -- and a threat to the free flow of information in America.

That's why I will continue to make the case against this deal. And I hope that, Comcast's outsized political influence notwithstanding, regulators at the FCC and the Department of Justice will listen.

Join us on Facebook.com/CNNOpinion.

@highlight

Sen. Franken says pending merger between Comcast and Time Warner Cable is bad for America

@highlight

The two biggest cable companies, he argues, have already carved country into local monopolies

@highlight

Franken: Takeover could negatively impact Internet access; Comcast controls much of broadband market