This week, House Speaker John Boehner announced that the House will not consider immigration reform this year. Despite growing numbers and increasing political influence of the nation's Latino population, the House leadership has chosen to show it disrespect. How shameful.

Here is some context: Last year, 409,849 human beings -- mothers, fathers, sons and daughters -- were torn from their families and deported. Millions have been exploited, forced to live in unrelenting fear of workplace raids and criminalized as they seek a fair pathway to citizenship. An entire generation of immigrants, the majority of whom are immigrants of color, are relegated to second-class status.

Sadly, many of the same corporations that build the country's correctional facilities also build and run prison-like immigrant detention facilities. Since the Illegal Immigration Reform Act and Immigrant Responsibility Act of 1996, which cuts off long-standing policies of pardoning eligible immigrants who were at one point undocumented, and since 9/11, even the path to legality and recognition as human beings with equal rights has become an illusion.

The breakdown of our democratic values does not end there. The path to equal representation in our democracy — our fundamental right to vote — must also be urgently addressed. On June 25, the Supreme Court struck down the formula of the Voting Rights Act needed for the federal government to protect rights in states with long histories of discrimination. Just two hours after the decision, Texas announced it would reinstate its strict voter ID law. This law had already been struck down by the Justice Department as discriminatory against Latinos and African Americans -- groups significantly less likely to have the limited forms of government-issued photo ID required under the law.

Florida has followed suit by purging its voting rolls, ensnaring former immigrants who are now citizens despite the lack of measurable non-citizen voter fraud. Under the purge procedure, Florida's immigrant communities may be at risk of getting hit with letters questioning their citizenship status, hearing dates, requirements to show their papers and the costs of replacing lost documents. The state renewed this intimidating attempt to scare off communities of naturalized citizens, despite having settled a discrimination claim brought over a similar purge in 2012 by Advancement Project, Latino Justice, other national voting rights groups, and Florida-based Latino and Haitian American community groups.

In state after state across the country, voter ID and other "show me your papers to vote" laws, laws that disparately impact immigrants of color, are being pursued at an alarming rate.

Given our nation's long history of racial discrimination, it is perhaps not surprising that there is a great backlash against inclusion and equality as the face of our nation changes and the immigrant population grows dramatically.  Restrictions on voting rights based on race have been going on since formerly enslaved black Americans first became "citizens" and eligible to vote. But disenfranchisement is not the American way. True democracy is impossible if millions have no road map to become citizens, and if those who are citizens have their voting rights challenged at every turn.

For a true and just democracy, we must dismantle any ethnic and racial barriers to citizenship and voting rights. Only when each person, regardless of race or ethnicity, is allowed to equally participate will our fundamental notions of citizenship and democracy -- and indeed, the American dream -- be realized.

@highlight

Katherine Culliton-González: Boehner says House won't take up immigration reform

@highlight

She says this is shameful; a generation of immigrants live in shadows

@highlight

Promise of equal rights also hurt by Voter ID laws that tend to target people of color, she says

@highlight

Writer: For a just democracy, we must dismantle racial barriers to citizenship and voting rights