An audio recording purportedly from the Islamic State of Iraq and Syria promises more fighting in more Iraqi cities, including Baghdad.

"Continue your march as the battle is not yet raging," a voice said to be that of ISIS spokesman Abu Mohammed al-Adnani says on the message posted early Thursday (last Wednesday night ET)  on the group's media website.

"It will rage in Baghdad and Karbala. So be ready for it."

CNN cannot confirm the authenticity of the audio or time and date of its recording, which is nearly 17 minutes long.

"Don't give up a hand's width of  ground you've liberated," the voice says in apparent encouragement of ISIS fighters.

The message, if authentic, is further proof that the militant group are not content with control of the places they have already taken over -- and are setting their sights higher.

Open to U.S. strikes

On Wednesday, Iraq's government indicated a willingness for the United States military to conduct airstrikes against the radical Islamist militants.

Several U.S. officials said Washington views the situation as "extremely urgent" and is looking to see what more support the United States can provide to the Iraqi government, in addition to weapons and vehicles it has already provided.

Part of this will be giving Iraqi officals intelligence they can use to go going after ISIS.

Assistance could also involve training and "kinetic" activity, U.S. officials told CNN, but they wouldn't specify whether those options included airstrikes.

Baghdad's openness to airstrikes was first reported by the Wall Street Journal on Wednesday night.

One of the officials said there clearly was a breakdown in Iraqi security, but Washington believes it was a combination of factors, including the fact that Iraqi forces were already stretched thin by limited success against ISIS in Anbar province.

Government forces in the northern cities of Mosul and Tikrit ran when attacked this week, the officials said.

One silver lining, the officials said, is that Iraqi officials now seem to have a coordinated approach with the semiautonomous Kurdish regional government. It appears Iraqi forces will team up with Kurdish fighters, known as the Peshmerga, to fight militants with ISIS, an offshoot of al Qaeda.

Peshmerga forces took up positions in southwest Kirkuk after militants took over several villages and districts north and west of the city and the Iraqi army withdrew, police officials there told CNN.

The U.S. State Department on Wednesday updated its travel warning to Iraq, saying terrorist activity and violence is at "levels unseen since 2007." It has warned against all but essential travel to the country.

Rapid takeovers

A day after taking over Mosul, Iraq's second-largest city, ISIS militants gained nearly complete control of the northern city of Tikrit, witnesses in the city and police officials in neighboring Samarra told CNN.

Heavy fighting erupted inside Tikrit -- the hometown of former Iraqi leader Saddam Hussein -- as the military tried to regain control, the sources and a police official in Baghdad said.

According to the witnesses in Tikrit and the Samarra police officials, two police stations in Tikrit were on fire and a military base was taken over by militants.

The governor of Salaheddin province, of which Tikrit is the capital, was missing, according to the sources.

Suspected ISIS militants raided the Turkish Consulate in Mosul on Wednesday, capturing 48 people, including diplomats, and they also seized parts of Baiji, the site of Iraq's largest oil refinery, police officials in Tikrit told CNN.

The devastating ISIS advance is proving an object lesson of much that is wrong in Iraq and the region -- with a festering civil war over the border in Syria adding fuel to the growing sectarian tensions at home.

ISIS is exploiting this to expand its influence, from cities like Falluja and parts of Ramadi that it wrested from the government in Anbar early this year, and from Syrian towns like Raqqa it controls over the border.

That it is capable of fighting the forces of Syrian President Bashar al-Assad on one hand, its fellow radicals on another and the Iraqi government on top of that is an indication of the depth to which ISIS has established itself in the region.

Militants were responsible for the deaths of many U.S. troops in western Iraq. With American help, Iraqi tribal militias put ISIS on the defensive.

But when U.S. troops left the country, the extremist militants found new leadership, grew stronger while in Syria, and returned to Iraq, making military gains often off the backs of foreign fighters drawn to Syria's conflict.

Half million civilians displaced

The clashes across Iraq come on the heels of a sudden and danger-fraught exodus from the fighting in Mosul, which fell to militants Tuesday.

More than 500,000 people have fled the fighting there, the International Organization for Migration said Wednesday.

The group said there were many civilian casualties. The city's four main hospitals are inaccessible because of fighting, and some mosques have been converted for use as clinics, the IOM said.

Those fleeing the fighting -- some on foot, some bringing only what they can carry in plastic bags -- were heading to the city's east or seeking sanctuary elsewhere in Nineveh province or in Iraq's Kurdish region.

The U.N. Refugee Agency said many people were traveling with no belongings and little or no money. That including one family of 12 people, including a 70-year-old grandmother, who had walked for two days from a farm near Mosul to a checkpoint. They had no idea what they were going to do next, and they had spent all their cash, the United Nations said.

Mosul, a predominantly Sunni city with 1.6 million residents, collapsed swiftly. American-trained Iraqi forces ran in the face of the onslaught, leaving behind uniforms, weapons and armored vehicles.

A U.S. Department of Defense official said Washington has provided $15 billion in training, weapons and equipment to the Iraqi government.

The heavily armed radicals overran police stations, freed more than 1,000 prisoners from the city jail and took over the city's international airport.

Prime Minister Nuri al-Maliki ordered that all military leaders who fled be court-martialed.

The Defense Ministry said the air force killed a group of ISIS militants along a highway leading south toward Samarra. The ministry also said it would push back the militants.

"This is not the end, we are very confident that we will be able to correct the path and to overcome mistakes," the ministry said on its website.

The Interior Ministry said that military commanders have started deploying fighters from local Shiite militias on the western outskirts of al-Nasiriya to protect that city.

Turkish consulate targeted

Turkish special forces members, consulate workers and three children were among those detained and taken to the ISIS headquarters following a raid on the Turkish Consulate in Mosul on Wednesday morning, Turkish officials told CNN.

"The condition of the Turkish citizens is fine, developments are being monitored," the officials said.

Foreign Minister Ahmet Davutoglu said consulate staff had been urged to leave this week, but the decision to evacuate was left up to individuals.

"We were told that it would be more risky for our 48 people to go outside than to stay inside," Davutoglu said, speaking on Turkish television.

"If any harm is done to any of our citizens, it will not go unanswered. No one should test Turkey."

Oil town under attack

Meanwhile, suspected ISIS militants seized parts of Baiji, a small Iraqi town in Salaheddin province about 200 kilometers (125 miles) north of the capital, Baghdad, police officials in Tikrit told CNN.

The Baiji oil refinery is still under the control of Iraqi security forces, officials said.

The fact that ISIS forces are trying to take the town suggests a wider strategic aim besides oil. Baiji sits on the main highway north from Baghdad to Mosul that passes through rural areas in which ISIS has much influence.

For the government to reinforce its troops in Mosul, it needs to drive them through Baiji. If ISIS controls the town, the government's task will be much harder.

Explosions struck three Shiite areas in Baghdad, killing 25 people and injuring 56, police officials told CNN. The deadliest attack was in Sadr City, where a car bomb exploded near a funeral tent, killing 15 people, police said.

Discontent feeds violence

In his weekly address to the nation Wednesday, al-Maliki described the assault on Mosul as a "conspiracy" to destabilize the country and called on Iraqis to "stand as one united front."

Shiite cleric Muqtada al-Sadr said in a statement Wednesday that he is ready to form a "peace brigade" to work in coordination with the Iraqi government "to defend the holy places" of Muslims and Christians.

But this brigade probably would be viewed by many as a resurgence of al-Sadr's Mahdi Army, the powerful Shia militia that disbanded at the end of 2008.

Its formation could risk worsening the country's underlying problem -- festering sectarian division.

The country's minority Sunni population, which prospered under Hussein, feels shut out by al-Maliki's Shia majority-dominated government.

A U.S. counterterrorism official told CNN that ISIS had been active in Nineveh province "for a long time and clearly sensed that Mosul was vulnerable now after engaging in sporadic attacks earlier this year.

"Strategically, the group looks at Syria and Iraq as one interchangeable battlefield, and its ability to shift resources and personnel across the border has measurably strengthened its position in both theaters."

However, the official said ISIS still "has shown little ability to govern effectively, is generally unpopular and has no sway outside the Sunni community in either Iraq or Syria."

A spokeswoman for the Iranian Foreign Ministry said the fall of Mosul and the situation in Tikrit validates neighboring Tehran's concerns.

"The Islamic Republic of Iran had earlier warned that the danger of terrorism won't be limited to one region and will spread beyond countries. And unfortunately today we are witnessing this issue," Marziyeh Afkham told the semiofficial Fars news agency.

The siege of Mosul: What's happening? Why is it significant?

How ISIS and Iraq upheaval threatens the wider world

@highlight

U.S. updates travel warning, saying violence in Iraq is at 2007 levels

@highlight

U.S. looking at options, which include sharing intelligence

@highlight

Heavy fighting in Tikrit as militants take over much of that city

@highlight

Half a million people have fled Mosul fighting, group says