(CNN) -- An official national day of mourning in South Africa on Thursday, called by President Jacob Zuma to memorialize the lives of dozens of miners mowed down in a police fusillade one week ago, turned into an opportunity by his critics to call for his ouster.

While government leaders urged restraint, and religious figures prayed for redemption, the embattled president's opponents exploited an opening created by the tragedy to portray his government -- and trade unions allied with Zuma -- as pawns of foreign, white owners.

These attacks, lodged in several cases by former allies, threatened to reset the terms of labor organizing, radicalize the tone of political debate, and heighten the chances that the president will be ousted by his own political party at the African National Congress' (ANC) national conference next December. What began as a localized labor dispute, in other words, morphed in the wake of memorial services for the dead, into a volatile, ongoing national crisis.

The catastrophe at Marikana placed a harsh spotlight both upon what has changed in South African life since the ANC was voted into power 18 years ago -- in the unprecedented response of the head of state to the crisis -- and also what has remained painfully unchanged.

Generations of relatively low-paid black men are still forced to migrate long distances from home in order to take up the most difficult and dangerous kinds of jobs. Miners are still drawn into mining towns where a kind of frontier spirit prevails. Injuries are common and unforgiving, and the salaries earned by a single worker often support up to 20 family members who are unemployed, according to the federation of trade unions.

Increasingly, the working poor have begun turning against traditional unions, like the National Union of Mineworkers, which is allied with the national federation, COSATU, in turn part of the ANC coalition.

Little wonder, under these circumstances, that Zuma's studied and measured approach to the crisis has inspired so little confidence among the strikers themselves. The strength of anti-ANC agitation in Marikana will keep labor and party leaders up at night because they know their history: Back in the 1980s, massive strikes by miners helped fuel a mass insurrection that led to the end of apartheid.

After the mine shootings, the cause of widespread shock and dismay was readily apparent, and the raw feelings were steadily reinforced around the clock by video taken from the scene. The stunning images of the shootings, captured from different angles by various outlets, kept public outrage alive. The video showed the final minutes of a standoff between police and strikers, which ended in the fusillade that ended the lives of 34 protestors and seriously wounded 78 others.

What's behind the Marikana massacre?

They were protesters at Lonmin's Marikana platinum mine, located 60 miles (about 100 km) northwest of Johannesburg, and the shooting constituted the worst mass killing by police since apartheid ended.

In the days after the tragedy, police spokesmen insisted that officers were forced by a charging mass of strikers to fire in order to defend themselves. It was difficult to view the footage without wondering why police had launched teargas at strikers on the hilltop where they had assembled, forcing them to scatter in a funnel in the direction of officers gathered below the hill when their weapons were loaded with live ammunition and set for automatic fire.

The impact of the footage, played in regular loops on local television broadcasts, made it difficult for Zuma to assert his authority. He quickly returned from a trip in neighboring Mozambique to visit Marikana twice in a matter of days, dispatched nine of his ministers to assist survivors and their families with burials among other actions and swiftly appointed a Judicial Commission of Inquiry to thoroughly examine the causes and lessons of the tragedy.

"We are in control of the situation," he said. Even as the president made pains to express a sense of grief and dismay, and call for calm, however, his opponents sharpened their attacks on him as a leader out of touch with workers and the poor, the key constituency in his rise to power five years ago.

At worship services near the site of the police shootings on Thursday, the ceremony began with a plea from Archbishop Thabo Makgoba for no one to use the tragedy for narrow political interests. By the end of the service, Cabinet ministers had been forced to flee the venue, while speakers called on the president to resign.

Julius Malema, former leader of the ANC's youth wing and a former Zuma ally, took the podium to pin responsibility for the catastrophe on the president. "This massacre was committed under his supervision," Malema insisted. He slammed the ANC, from which he was expelled earlier in the year, and pressed the case for nationalization of South Africa's mines.

The stakes in the unfolding national debate about who was responsible for the tragedy, and who should pay the price, could not be higher, not just for the president's political survival but for South Africa's economic health and stability as well.

Platinum is the new gold in a country where mining provides 20 percent of GDP. Though South Africa has the world's largest reserves of this precious and rare metal, which is used in everything from catalytic converters and electrodes to jewelry, it is found in deep shafts that are difficult, dangerous and costly to operate.

Against this backdrop, government officials sought to reassure workers that they would maintain their party's historic "bias towards the poor," while not scaring off international investors wary of an industry prone to wildcat strikes.

The strikers at Lonmin Marikana mine were rock drill operators who had broken away from the National Union of Mineworkers in favor of a more militant independent union, and wildcats strikes across the industry are increasingly common. A spokesman for the Chamber of Mines was at pains to point out that 95% of mines in the country were operating normally yesterday.

In the recent past, national leaders paid a price for crossing labor. In 2008, the ANC instructed President Thabo Mbeki to resign his office, largely as a result of organizing on behalf of Zuma, who was backed by the labor federation as a "son of the soil" who promised to close the gap between the government and its people.

If party leaders conclude, in the wake of the Marikana mass killing, that only a change at the top can convince ANC's core constituencies that the party of liberation -- now the party of government -- still represents the interests of workers and the poor, Zuma will be shown the door. That is the way the wheel turns in a country where the advent of political liberation has not yet produced greater equality or material freedom.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Douglas Foster.

@highlight

Police shootings at mine test Zuma, governing ANC political party

@highlight

18 years after apartheid, not much has changed economically for migrants

@highlight

Increasingly, working poor are turning against traditional ANC-allied unions