(CNN)Sunday's announcement that Corinthian Colleges Inc. would shut down all of its remaining 28 campuses is a positive development in a long struggle to hold for-profit colleges accountable.

Corinthian, which once enrolled more than 70,000 students, is one of the worst of the "predator colleges" -- schools that offer dubious degrees, saddle students with high amounts of debt and gobble up tens of billions of dollars in federal money every year. Many of these schools are for-profit career colleges that operate mostly online. It's no wonder that Corinthian is doing this after the U.S. Department of Education curtailed its access to federal student aid last summer.

There are about 1.3 million students enrolled in for-profit colleges, many of which have questionable track records, and their students need help transitioning into legitimate postsecondary schools. With Uncle Sam's student loan debt sheet topping $1 trillion, we literally can't afford to continue funding for-profit colleges -- which reportedly get 86% of their funding from federal student loan money.

For those not familiar with the for-profit college fiasco, here's the whole story in one telling statistic: While for-profit colleges enroll only 13% of the nation's college students, such colleges account for nearly half of all student loan defaults, according to Department of Education statistics.

For comparison's sake, the default rate of for-profit college students is worse than the default rate of the worst subprime borrowers during the financial crisis.

How do these colleges operate? It's deviously simple: Convince low-income students into borrowing tens of thousands of dollars through easy federal student loans, keep costs low through online classes and part-time professors, and watch the money roll in.

The aggressive tactics of these colleges boggle the mind. Recruiters are told to make 100 phone calls and leave 100 messages a day, according to a ProPublica investigation.

I can personally attest to the aggressive tactics. My phone number was accidentally placed on a call list for a for-profit college recently, and I received so many calls per day that I had to ask my wireless carrier to block the phone number.

Stopping the exploitation of students isn't easy. The for-profit college business is a multibillion-dollar industry. The CEOs of these companies make millions of dollars a year, employ an army of lobbyists and donate money to both political parties.

But the past two months brought a new twist to the crisis. Hundreds of graduates of the now-defunct Corinthian joined a "debt strike," publicly declaring their refusal to pay back their loans.

In response, Education Department Secretary Arne Duncan signaled a willingness to forgive loans of Corinthian graduates who have crushing debt and no job prospects.

Now that Corinthian is finally shutting down, we must finish the job.

The remaining for-profit colleges should be closed. Any student not gainfully employed or transferred to a reputable college within three years should be considered a victim, and their debts should be forgiven.

Yes, "victim" is the right word. If these degrees actually helped people get jobs, we should be celebrating them. But according to a jaw-dropping report by the Education Department, the average graduate of an online for-profit college makes less than a high school dropout.

Not the equivalent of a high school dropout. Less than a high school dropout.

The real-life misery caused by predatory colleges is painful to hear about. One Corinthian graduate has $37,000 in debt for his computer science degree, but he can't even get a job at Best Buy, according to Slate. Another graduate, $33,000 in debt, has a medical assisting degree, but she gave up on finding employment in her field. She waits tables now, The Chronicle of Higher Education says.

I can already hear your next question. If for-profit colleges are this terrible, are they at least cheaper? No. In fact, their cost is reportedly around 60% higher than a comparable degree from a public college.

What's even more frustrating is that we've known about the shenanigans of these predator colleges for years. A 2011 report by the Government Accountability Office found widespread rule breaking by the largest for-profit colleges -- everything from accepting fictitious high-school diplomas to encouraging plagiarism and cheating.

In one example, an undercover federal investigator posing as a student was told by a professor, "It's not hard to get a 100% on the second try; just jot down the correct answers and take the quiz again," according to The New York Times.

In 2013, Career Education Corp. paid $10 million to settle charges by the state of New York regarding phony job-placement claims. All told, no fewer than 36 state attorneys general were investigating for-profit colleges in 2014.

After selling off 95 of its campuses last year, Corinthian said on Sunday that it tried unsuccessfully to sell the remaining 28 campuses, blaming the failure on "federal and state regulators seeking to impose financial penalties and conditions" on potential buyers.

You can't hide your bad behavior forever, and the questionable practices of many for-profit colleges are starting to catch up with them. Enrollment at the University of Phoenix -- the largest for-profit college in the United States -- has fallen by half, to about 213,000.

We laid the smackdown on predatory lenders during the financial crisis, and it's time to do the same thing with for-profit colleges. To keep predator colleges from wrecking our faith in the college degree -- still the best pathway to a middle-class life -- we need to act now.

For-profit colleges have flunked their final exam. Now it's up to their rich benefactor, Uncle Sam, to make sure they don't go back to school in the fall.

Editor's Note: An earlier version of this article said the San Diego campus of the University of Phoenix had been banned from enrolling military veterans last year; that issue has been resolved.

@highlight

David Wheeler: Corinthian, considered a "predator" school, will shut down campuses

@highlight

Wheeler: Students of for-profit colleges are hapless victims; their debts should be forgiven