(CNN) -- Recently, a young Nigerian girl—just 15 years old—approached a group of police officers and blew herself up. The attack failed; she claimed no lives but her own.

Boko Haram may have launched bloodier attacks, but I struggle to imagine a more heinous terror plot. That girl was just one of four Nigerian women to weaponize themselves this July in the populous northern city of Kano. The second attempt, targeting a shopping mall, likewise killed just the bomber. The third slaughtered three women lined up to buy oil for their cook-stoves. The fourth cut short the lives of six young people at Kano Polytechnic.

These attacks cast in sharp relief a trend that needs greater attention: the real and growing participation of women in extremist movements.

We take for granted that young girls don't strap on suicide vests, and yet they sometimes do. Women and girls have scant rights under the medieval control of the Islamic State of Iraq and al-Sham, or ISIS. Our instincts say they would never join in its abusive rule over other women, and yet they have. We're used to thinking that men have a monopoly on violent extremism -- except they don't. We need a better understanding of what drives women to take part in, and even give their lives for, violent movements that insist on their inferiority. We can't counter radical narratives if we don't understand the motives of the radicalized.

The Atlantic's Kathy Gilsinan recently highlighted the surprising efforts of the al-Khansaa Brigade of ISIS. Wandering the streets of Raqqa, they wave firearms and enforce the jihadist code of conduct -- and they do it all while fully veiled, because the brigade is entirely female. That grim vision of women's participation challenges our less-than-nuanced understanding of radical movements.

Why do women contribute to groups like Boko Haram and ISIS that demand their submission? Sometimes, no doubt, they are coerced into compliance; sometimes, women participate in these extreme ideologies with enthusiasm. I wonder if some don't strap on a bomb as a merciful escape from miserable circumstances. But the important point is that we don't really know why women join terror groups that would deny them equality and opportunity.

We also don't understand the full extent of women's involvement. We don't know if Boko Haram's female bombers were a fluke or the first of many. We don't know if the al-Khansaa Brigade is a one-off experiment or a model for future ISIS governance. We have seen, though, that jihadists use women to exploit incomplete understandings of terrorism. Women pass unsuspected where men don't; that makes them valuable fighters. We can't thwart every attack while watching just half the pieces on the board.

Though women's involvement in terror seems to be on the rise, the tactic is old. Gillo Pontecorvo's 1966 film "The Battle of Algiers" lingered on the image of female militants applying French cosmetics—equal parts war paint and camouflage—while preparing to bomb French milk bars in support of Algeria's independence struggle.

Sri Lanka's Tamil insurgency made extensive use of female suicide bombers; between 1987 and 2008, women were better represented among their Black Tiger suicide commandos than they now are in either house of the United States Congress.

Today, social media is rife with female supporters of ISIS -- some of them Western citizens who have traveled to Syria to wed and support jihadists. It's time to wake up to the growing role of women. Terror groups clearly believe that jihad is a women's issue. The recruitment of women and girls is an important element of the modern threat landscape.

In the pursuit of women's equality at home and abroad, we still struggle to complete what former Secretary of State Hillary Clinton referred to as "the great unfinished business of the 21st century." If the United States is to offer a narrative of opportunity to the world—and strategically it must—then that narrative must include women and girls.

Terror groups will run out of female fighters when girls are protected from domineering violence, sex trafficking and child marriage, and given every opportunity to pursue a better path. Some critics of Clinton's tenure at the State Department have belittled her focus on women and girls -- as if the fate of half the world's population weren't an important subject for U.S. foreign policy.

That indifference can't last. Increasingly, radicalism has a female face. Security issues are women's issues; women's issues, sure enough, are security issues.

@highlight

Jane Harman: A series of attacks in Nigeria by female suicide bombers is alarming

@highlight

Harman: Increasingly, radicalism has a female face

@highlight

She asks: What drives women to take part in terrorism and extremist movements?

@highlight

Harman: Security issues are more and more intertwined with women's issues