Tokyo (CNN) -- Japanese Prime Minister Shinzo Abe this week condemned China's "unnecessary escalation" of tensions between the two nations over disputed islets known as Diaoyu in China and Senkaku in Japan.

He was referring to two incidents in January when Chinese frigates reportedly locked weapons radar onto a Japanese vessel and a helicopter, a claim China denies. Once fire-control radar is locked on, a missile can be fired at the designated target, generating obvious risks of miscalculation.

At best this is a militarized game of tag but one that could, at its worst, spark wider hostilities. When Japan indicated that its jets might fire tracer bullets to warn off Chinese aircraft, a Chinese general responded that Japan should refrain from doing so, as this would be taken as an act of war. In this context, there is good reason to be concerned that Asia is sleepwalking its way towards war.

On February 6, Abe told the country's parliament, known as the Diet, "The incident is dangerous conduct that could have led to an unforeseeable situation. It is extremely regrettable that China carried out such a one-sided, provocative act when signs are emerging for dialogue."

He added, "I ask the Chinese side to return to the spirit of mutually beneficial, strategic relations and prevent the recurrence of an incident like this. I strongly ask them for restraint so that the situation will not escalate further."

The probing has escalated in 2013 as both sides have scrambled jets and patrol boats shadow each other. Given the perilous state of bilateral relations, and recent efforts at fence-mending, why the radar-rattling? And why did Abe only go public with his concern a week after the latest incident?

The Chinese Foreign Ministry initially seemed curiously unprepared for Abe's allegations, deflecting questions and suggesting reporters ask the relevant agencies involved. But the spokeswomen did say that Japan should stop conducting "illegal activities," meaning the deployment of Japanese ships and jet aircraft in the disputed seas and airspace around the Diaoyu/Senkaku islands.

China's Global Times pugnaciously dismissed Abe's allegations as a "self-directed and self-acted farce," staged in preparation for his visit to Washington later this month. Abe is known to seek closer security cooperation with the U.S. and has stated that he intends to revise the Constitution to ease constraints on the Japanese military.

It is not clear how Abe could exploit the incident to sway the Obama administration since it doesn't reveal anything about China that Washington doesn't already know and worry about. The radar incident may indeed play into Abe's hands, reminding Japanese that they live in a dangerous neighborhood. But given North Korea's missile and nuclear testing program, it's safe to say they already know that.

The Japanese media reaction has been predictably outraged, but the Mainichi did point out that China's actions signal frustration with the Japanese government's intransigent position of denying that there even is a territorial dispute. Japan knows from experience how frustrating this can be as Russia also maintains there is no territorial dispute regarding what Japan calls the Northern Territories, near Hokkaido. When former premier Yukio Hatoyama recently visited China, he caused a stir at home when he acknowledged that there is a territorial dispute, prompting the defense minister to call him a traitor.

So is this merely a case of Abe hyping the dangers poised by China to advance his agenda of constitutional revision? Or is China upping the ante in a calculated risk?

Probably a bit of both. Revising Japan's peace constitution is controversial with voters and Abe is eager to gain control of the Upper House of the Diet in summer elections. Since Abe has a lock on security issues, focusing on the China threat has its uses. Equally, Beijing is keen to remind Tokyo that this problem will not go away and that it will continue to press its claim to sovereignty and is willing to take disproportionate risks to pressure Japan into at last acknowledging there is a dispute.

In January, a succession of prominent Japanese politicians visited China, signaling a thaw in relations. Natsuo Yamaguchi, head of New Komeito, Abe's ruling coalition partner, delivered a letter from Abe to Communist Party Chairman Xi Jinping. Xi responded quite positively to Abe's call for improving relations and a summit. His comments led to a brief toning down of fiery rhetoric in China. The incidents also follow China's efforts to involve the United Nations in the dispute to determine the validity of its claim that the islands are a natural extension of its continental shelf.

The radar-rattling also raises questions about who gave the orders or whether the frigate captains were acting at their own discretion. Monolithic images notwithstanding, this incident underscores the reality that there are various state actors in China with varying agendas. The problem is that the island dispute has become highly politicized in China and the genie of nationalism limits room for maneuver. Emotions run high and in such a context the current dead-end policy is the path of least resistance.

Is Asia heading toward war just as Europe did a century ago? There are also parallels with Japan's withdrawal from the League of Nations 80 years ago in February 1933 over censure of its occupation of Manchuria and subsequent aggression throughout Asia until its defeat in 1945.

China suffered more than any other country from this rampage. Like China today, Japan felt that the international status quo was biased and denying what it deemed its legitimate aspirations. It decided to modify that status quo by force of arms. History doesn't repeat itself, but Mark Twain reminds us that it sometimes rhymes. In 1913 and 1933, there was a rational expectation that cooler heads would prevail and governments would come to their senses. Asia in 2013 may not be sliding towards war and China and Japan understand how mutually beneficial relations have been, and how much they risk losing, but we also know the folly of assuming risk away.

Leadership transitions generate risk because new leaders need to project strength, a need that complicates the compromises necessary to lower bilateral tensions. The zigzagging of diplomacy and confrontation on display highlights that re-shelving the sovereignty issue and managing this dispute won't be easy.

The increased diplomatic activity is a good sign, and should urgently focus on hammering out a code of conduct in the disputed seas and airspace that can help prevent armed miscalculations. Both nations have already agreed to establish an emergency hotline and it's now time to get that connected.

Let's hope that the various lessons of 1913 and 1933 are absorbed by all the relevant parties, including Washington, and Asia's two leading nations wake up before a nightmare descends.

The opinions expressed in this commentary are solely those of Jeff Kingston.

@highlight

China-Japan tensions escalated after incident between respective navies

@highlight

Kingston: This is a militarized game of tag that could spark wider hostilities

@highlight

Both sides continue to press their claim over the Diaoyu/Senkaku islands

@highlight

Code of conduct in disputed seas could prevent armed miscalculations