NASHVILLE, Tennessee (CNN) -- The accused came from all walks of life: Retirees, dads and twentysomethings. An engineer, a business owner and an auto worker. A man in a wheelchair. Men in need of Spanish or Farsi translators.

Brett Beasley, with Nashville's Health Department, educates men arrested for trying to buy sex about STDs.

About 40 men somberly entered a classroom on a recent Saturday morning. About half of them wore shiny wedding bands.

All had tried to buy a prostitute's services and were caught by police. It was their first offense, and a county court referred them to a one-day program called the John School. It's a program run by volunteers and city officials in conjunction with Magdalene House, a nonprofit that works to get prostitutes off the streets.

"Prostitution doesn't discriminate," said Kenny Baker, a cognitive behavioral therapist who is the program's director. "Most of these men don't have a prior criminal history, so our goal is to help these folks understand why they put themselves in a bad position, to prevent it from happening again."

Set in a church in Nashville, Tennessee, the John School is led by former prostitutes, health experts, psychologists and law enforcement officers who talk to -- and at times berate -- the men about the risks of hiring a prostitute.

Prostitution is based on the law of supply and demand. The thinking is: Women won't stop selling sex until men stop buying.

So Nashville and a growing number of cities are shifting their focus from locking up suppliers to educating buyers. Across the country, about 50 communities are using John Schools. Atlanta, Georgia, and Baltimore, Maryland, are among dozens more cities that plan to launch similar programs by the end of the year.  See where the John Schools are »

"It will make them [offenders] see that this is not a victimless crime, and they are contributing to the exploitation of women," said Stephanie Davis, policy adviser on women's issues at the mayor's office in Atlanta. "It's hurting them, the man, and it's hurting their families and its hurting the community."

No comprehensive effort has been made to track the numbers, but experts estimate 1 million to 2 million prostitutes work in the United States. The FBI's 2007 Uniform Crime Report lists about 78,000 arrests for prostitution and commercialized vice, but experts say those numbers are extremely conservative because many sex workers and johns aren't caught.

Experts add that easy accessibility to prostitutes and pornography on the Internet are feeding the problem.

In most communities, prostitution has been a one-sided battle focused on the women who offer sex. Their customers, when they are arrested, are usually cited for a misdemeanor and fined.

By comparison, prostitutes are often charged with more severe sentences and jailed for months, depending on the offense.

But in Nashville, the johns' faces are shown on a police Web site.

For decades, Nashville battled prostitution by arresting women on the streets and through stings. Still, the problem persisted, irritating business owners and residents.

In the early 1990s, Nashville's mayor helped launch the John School with the help of the Magdalene House, public defenders, prosecutors and police officers. Nashville became one of the first major cities in the U.S. to focus on the customers, predominantly men.

Only first-time offenders who solicit an adult are eligible for John School. Johns who pick up minors are not eligible and face much tougher sentences.

"If you get caught again and you get me, I will guarantee to put you in jail," warned Antoinette Welch, a local prosecutor, in speaking to the men in the class. "I've had men cry to me that they will lose their jobs or their wives, but you're all grown up and you make your own decisions."

The men listened carefully as Welch talked about their records; many had not yet told their wives or significant others about their arrest.

If the john pleads guilty, pays a $250 fee and completes the course without re-offending, the charge can be dismissed after a year. The money paid by the john goes to Magdalene House; the program doesn't cost taxpayers any money. John School models in other communities may differ.

A woman who called herself Alexis, a 35-year-old former prostitute with dark hair and bright blue eyes, spoke to the men as the class came to an end. Four years ago, she left the streets and now works at a factory.

By the age of 10, Alexis had learned to barter with sex with her stepfather. In her 20s, she found herself hooked on drugs and selling her body. She was arrested more than 80 times. She was hospitalized after someone shot her on the job.

As she told her story, the men were silent. A few blushed, while others stared at the floor.

"These gentlemen are no different than I was on the streets," she said. "I think everyone has to look at the void they are trying to fill."

One john, a father of two with salt-and-pepper hair, found himself near tears after Alexis spoke. In July, he tried to pick up a prostitute through Craigslist. He said he was depressed and having problems with his wife.

"I'm so embarrassed," he said. "These girls are somebody's daughters. I have a daughter."

Some evidence suggests that John Schools are working. A study released in 2008 by Abt Associates Inc. for the federal government looked at the John School program in San Francisco, California. It's one of the largest programs in the country; more than 7,000 johns have attended since 1995.

According to the study, the re-arrest rate fell sharply after the school was launched, and stayed more than 30 percent lower for 10 years afterward.

But critics call John School a slap on the wrist. On Saturday, one john abandoned the classroom.

Carol Leigh, a member of the Sex Workers Outreach Project, a group that promotes decriminalizing prostitution in California, said she doesn't believe the program is an effective deterrent.

"John School doesn't do that much," said Leigh, who has worked as a prostitute. "The reality is they aren't spending that much time on the johns and they will just go to other venues. This also doesn't target the violent offenders who are the real problem."

Melissa Farley, head of the nonprofit group Prostitution Research and Education in San Fransisco, believes johns deserve stronger punishment like longer prison sentences.

A recent study by the Chicago Alliance Against Sexual Exploitation conducted among johns in Chicago, Illinois, found that 41 percent of them said John School would deter them from buying sex, compared with 92 percent who said being placed on a sex offender registry would scare them from re-offending.

Nashville officials said they haven't tracked recidivism rates in their city, but the school's program director said it's probably deterring a third of the offenders in each class.

At least one college educated, 47-year-old john's attitude appeared to change on a recent Saturday.

After class he wrote, "There is no good part. I would rather be with my wife. This was quick but it wasn't worth it."

@highlight

Experts say about 1 million to 2 million prostitutes work in the United States

@highlight

About 50 communities have programs that focus on deterring johns

@highlight

Nashville's program includes a speech from a former prostitute

@highlight

The Internet is making it easier for people to buy prostitutes, experts say