Tehran, Iran (CNN) -- Iran has sentenced a former U.S. Marine to death, accusing him of espionage.

A court convicted Amir Mirzaei Hekmati of "working for an enemy country," as well as membership in the CIA and "efforts to accuse Iran of involvement in terrorism," the semi-official Fars news agency reported Monday.

Hekmati's family and the U.S. government deny the allegations.

The sentence came down five months after Hekmati's arrest.

The news came amid rising tensions between the United States and Iran. The International Atomic Energy Agency confirmed Monday that uranium enrichment has begun at a nuclear facility in northern Iran. Iranian President Mahmoud Ahmadinejad was on a visit to Venezuela, where President Hugo Chavez said the two of them were working together to stop the "imperial insanity" of the United States.

Iran's state-run news agency IRNA, on its English website, said the court found Hekmati "caught red-handed in armed struggle against God" and "corrupt on Earth."

"In the proceedings Hekmati said he had the motivation to infiltrate (the) Iranian intelligence system on behalf of the CIA," the IRNA report said.

Hekmati's parents said they were "shocked and terrified" by the news.

"We believe that this verdict is the result of a process that was neither transparent nor fair," Behnaz Hekmati wrote in a statement on behalf of herself and her husband, Ali.

"Amir did not engage in any acts of spying, or 'fighting against God,' as the convicting judge has claimed in his sentence. Amir is not a criminal. His very life is being exploited for political gain," the statement said.

"A grave error has been committed, and we have authorized our legal representatives to make direct contact with the Iranian authorities to find a solution to this misunderstanding. We pray that Iran will show compassion and not murder our son, Amir, a natural born American citizen, who was visiting Iran and his relatives for the first time."

The statement also said Iran was denying that Amir is a U.S. citizen.

The U.S. State Department said it was working to confirm the reports about the sentence.

Colleague, family: Iranian-American no spy

"If true, we strongly condemn this verdict," said department spokeswoman Victoria Nuland. "Allegations that Mr. Hekmati either worked for or was sent to Iran by the CIA are simply untrue. The Iranian regime has a history of falsely accusing people of being spies, of eliciting forced confessions, and of holding innocent Americans for political reasons."

The department urged Iran "to grant the Swiss protecting power immediate access to Mr. Hekmati, grant him access to legal counsel, and release him without delay. "

In the absence of diplomatic relations between the United States and Iran, Switzerland serves as the "protecting power" for U.S. interests in the country.

Previously, Hekmati's family members said he was being represented by a government-appointed lawyer, despite their repeated efforts to hire a private lawyer for him.

Hekmati was arrested in August while visiting his grandmother and other relatives, his family in Michigan said last month.

The Hekmatis said their son served in the Marines from 2001 to 2005. Later, he started his own linguistics company and contracted his services to the military as well as civilian businesses.

Ahmadinejad visits Venezuela

His military contracts included cultural competency training. He worked with troops at military bases to promote understanding and positive communication with people of other cultures, his family said.

Fars reported that Hekmati said he worked for the U.S. Army for four years and later the CIA, where he was sent to Afghanistan and had access to secret documents.

Fars also reported that Hekmati told a judge he worked for the CIA and that he was to be paid for delivering information to Iran's Intelligence Ministry.

He was supposed to give his information to the Iranians in two parts -- the first part for free, and if they liked it, he would ask for $500,000 for the second part, the news agency said.

Hekmati said he was to get a receipt from the ministry for the money, Fars reported. The judge speculated whether the receipt would later be used as evidence linking Iran to terrorist activities, the news agency said.

If Iran had paid, Hekmati told the judge, he would have kept the money and lived in Iran, according to Fars.

Iran's notorious secretive trials have been assailed by human rights groups and governments around the globe.

The U.S. State Department's annual human rights report on Iran says the court system is, in practice, "corrupt and subject to political influence." And while the country's constitution provides a defendant the right to a public trial, presumption of innocence, and a lawyer of his or her choice, "These rights were not respected in practice."

White House spokesman Jay Carney said Monday the United States takes the situation surrounding Hekmati "very seriously and we are addressing it in the appropriate manner."

Asked specifically about what actions the U.S. government might take on Hekmati's behalf, he referred to the State Department statement.

Carney noted that the United States and other Western nations have sanctioned Tehran over its failure to cooperate on nuclear issues.

"We are putting a great deal of pressure on Iran broadly because of its rogue behavior," Carney said, adding that Iran "won't live up to its international obligations with regards to its nuclear program."

Hekmati is the latest in a series of Americans to face arrest in the country in recent years.

Three U.S. hikers, also accused of spying, were arrested in 2009 and ultimately released. Sarah Shourd was freed on medical grounds in 2010; Josh Fattal and Shane Bauer were freed in September 2011.

Journalist Roxana Saberi was arrested in January 2009 and convicted of espionage in a one-day trial that was closed to the public. She was freed in May that year.

Reza Taghavi, an Iranian-American retired businessman, was freed by Iran in 2010 after being held more than two years on suspicion of supporting an anti-regime group, his lawyer said.

Iranian-American Kian Tajbakhsh was among many people arrested in July 2009, amid post-election protests and a massive government crackdown. Exactly what he was convicted of was not clear. In March the next year, he was allowed temporary release within the country to celebrate the Persian New Year. That temporary release was later extended, according to the website freekian09.org, which works for his release.

CNN's Josh Levs, Azadeh Ansari and Shirzad Bozorgmehr contributed to this report.

@highlight

White House: The U.S. takes the matter "very seriously"

@highlight

An Iranian court finds Amir Hekmati "corrupt on Earth," state media say

@highlight

He was arrested in August while visiting relatives

@highlight

Prosecutors allege he was hired to deliver information to Iran