(CNN) -- Next week, the people of Scotland will vote on whether to seek independence from the United Kingdom, creating the world's newest country in the process. Recent polls suggest that this is by no means just a pipe dream of the Scottish nationalists, with the "Yes" campaign actually leading in one survey. But the results will be being watched far from Britain's shores; this is a decision that has potentially far-reaching consequences, especially within Europe.

The referendum -- and the United Kingdom's clear willingness to abide by the results -- is a rarity among the world's independence movements. We're much more used to hearing about low-level armed conflict and even all-out war among regions seeking to split from each other.

One nation that has grappled with periodic separatist violence is Spain, which may well be the country that will see the most immediate impact of a vote. Here, regional, historical and linguistic differences have spawned several strong separatist movements, and the Catalonia region plans its own referendum in November, despite Spanish court rulings that the process will have no standing.

A strong vote for secession in Catalonia would send a signal that a democracy cannot afford to ignore and could be the first domino to fall. In Spain's Basque country, as it is known, a separatist movement headlined by the terrorist group ETA left hundreds dead before the organization abandoned violence in 2011, but calls for independence have not died down in the same way the violence has. If Scotland goes, expect the Catalans, the Basques, the Galicians and other Spanish regions to make a renewed push to split from Madrid.

Disillusionment with central government has been compounded by the lengthy and painful European economic crisis (although some argue smaller countries have typically fared worse in times of trouble), and many regions with an eye on independence lament that they are being shortchanged by their central governments.

That is the case in northern Italy, a part of the country that is more prosperous than the rest and with a reputation for more disciplined work habits than southern regions. The Veneto region, anchored in Venice, once the center of the powerful Republic of Venice, recently held its own unofficial online referendum. A majority said they want to split from Rome.

But at its core, the question of independence comes down to more than economics. It is about two related questions: What are nations and states? And should the former always become the latter? After all, nationhood is in many ways about cultural issues -- a shared language, a shared history -- while a state is essentially a political entity. With all this in mind, it isn't surprising that the case for independence is often, to a large degree, emotional, an appeal to nationalist sentiment as much as to politics and practicalities.

And it is also often fostered by a sense of injustice or even exploitation. Take the Bavarian separatist Florian Weber, who wants his region to split from Germany and is passionately cheering the Scots on to statehood, arguing that independence fortifies democracy, because "the larger the political unit, the less chance individuals have of being heard."

Some Belgians might sympathize with the notion that bigger does not always mean better. The country is made up of the French-speaking Walloons and the Dutch-speaking Flemish, but the Flemish resent the outsize influence of French speakers. It is unsurprising, then, that calls to unravel the union emerge with regularity.

These debates are taking place against a backdrop of a Europe where the entire notion of what being an independent country means is being debated, as individual states wrestle with how to define the role of the EU, with its Brussels-based bureaucracy, its vague and shifting foreign policy and economic powers and its distant links to the populations it is meant to represent.

Will Europe's evolution create a whole new type of entity, a semi-independent nation-state, which surrenders some of its autonomy to a much larger supranational union? For now, the experiment is yielding mixed results, with financial crises undermining confidence in, and distracting from, discussions of greater integration. But with Russia's recent incursions into Ukraine, who knows how the debate will evolve? (Moscow will argue that the Scottish referendum is equivalent to Crimea's vote to join Russia, although few outside Russia see things that way.)

Farther afield, in the Middle East, boundaries that themselves are only several decades old are being erased by, among others, ISIS even as the Kurdish people, spread across Iraq, Iran and Turkey, push for their own state. (Don't expect any referendums here. Such votes are more likely to remain the exception rather than the rule.)

Of course, in a tumultuous, violent world, it is encouraging in Scotland's case to see peaceful, democratic means used to settle a contentious, high-stakes issue like the very existence of a nation. But if Scots really do decide to vote for independence, it is hard not to see it triggering a wave of separatist tension in Europe and beyond.

@highlight

Scotland will vote in a referendum next week on whether to become independent

@highlight

Decision could have huge consequences, especially within Europe, says Frida Ghitis

@highlight

Ghitis: Independence comes down to more than economics

@highlight

Scottish "yes" vote could trigger a wave of separatist tension in Europe and beyond, Ghitis says