(CNN) -- Few things are ever certain in the murky world of post-Soviet politics, but the balance of evidence as it stands points overwhelmingly towards pro-Russian separatists as the perpetrators of Thursday's missile attack that caused the death of 298 people on board Malaysia Airlines Flight 17.

If this becomes the settled conclusion of the governments around the world once all the facts are known, the consequences for Vladimir Putin are likely to be severe.

Throughout his time as Russian leader, Putin has been adept at exploiting divisions within the international community; playing governments off against each other and sensing when the reluctance of certain countries to act would provide him with greater freedom of maneuver.

So far he has just about managed to get away with annexing Crimea and destabilizing eastern Ukraine. Germany, unwilling to disrupt economic ties, has played a crucial role in limiting the scope of Western sanctions and Putin has been able to draw on reserves of good will in the developing world to overcome the threat of full international isolation. MH17 puts all of that in jeopardy.

The thing that will worry Putin most is that so many of the victims were from the European Union, including more than half from the Netherlands alone. The Dutch are relentless at using EU channels to challenge those deemed to have harmed their interests -- just ask the Serbs.

The start of Serbia's EU accession negotiations was single-handedly blocked by the Dutch until Belgrade finally handed over General Ratko Mladic to the Hague war crimes tribunal in 2011. Mladic was held responsible for humiliating Dutch peacekeepers during the Srebrenica massacre sixteen years earlier.

Jet downing a 'game-changer' in world relations with Russia

With 193 of its own citizens among the dead, we can expect the Netherlands to demand European solidarity in the form of a much tougher response to the crisis. This will make it increasingly difficult for Germany to hold the line against the extension of sanctions.

The overwhelming view among EU leaders will be that the fighting in eastern Ukraine must now be brought to a definitive end and that Russia bears primary responsibility for the fact that it has continued so long.

This narrows dramatically the gap between European and American perspectives on the situation and creates the potential for a much more united Western policy towards Russia.

A second troubling factor for Putin is that the Ukraine crisis has now touched the developing world in a serious way for the first time. Until yesterday it had been seen as a struggle between Russia and the West, with latent suspicion of the West among many emerging nations creating sympathy for Russian actions, if not actual approval.

A major objective of Putin's post-Crimea diplomacy has been to capitalize on that sympathy in order to increase his options and reduce Russia's reliance on the West. He hastily concluded a gas deal with China and made a big play of his involvement in the recent BRICS summit. The death of so many Malaysian and Indonesians on MH17 leaves him with a lot of explaining to do.

Sensing that he was losing the military initiative to a newly emboldened Ukrainian government, Putin had spent much of the last week preparing the way for a major escalation of Russian involvement in eastern Ukraine.

Russian forces had become much more directly involved in the fighting and allegations that Ukrainian forces had fired missiles across the Russian border were intended to create a pretext for intervention.

Because of this disaster he now finds himself on the back foot once again. Instead of being able to claim that he has been dragged reluctantly into the fighting, he now looks like the aggressor.

America's Ambassador to the UN, Samantha Power, could not have been clearer in apportioning blame in her speech at the Security Council Friday: "Russia can end this war. Russia must end this war." The result is likely to be a Western ultimatum to Russia to comply with its previous commitments to rein in the separatists and deliver them to the negotiating table. If Putin refuses, the consequences could be twofold.

The first is that the Ukrainian government would be given a much freer hand to continue and complete its "anti-terror" operations against pro-Russian forces. The second would be a further tightening of Western sanctions. If these included a shift to the long threatened "sector sanctions" covering whole industries, the impact could be severe at a time when the Russian economy is already looking extremely vulnerable.

Having maintained the tactical initiative for most of the last four months, Putin suddenly faces an uncomfortable dilemma. Failure to co-operate in de-escalating the crisis invites the risk of deeper international isolation and real economic pain.

But abandoning the separatists mean a loss of political leverage over Ukraine and an even bigger loss of face at home. On a purely domestic level, Putin has done well out of the crisis so far. Popularity ratings that were collapsing two years ago are once more at near record levels. But he has achieved this by unleashing nationalist passions he doesn't entirely control.

Whatever course he chooses, it is unlikely that his leadership will emerge unscathed.

READ MORE: Families grieve for victims

READ MORE: Who should investigate crash?

READ MORE: 'We have just shot down a plane'

The opinions expressed in this commentary are solely those of David Clark.

@highlight

Evidence points to pro-Russian separatists as perpetrators of the attack that downed MH17

@highlight

If this becomes a settled conclusion, consequences for Russia's Putin are significant

@highlight

Putin has been adept at exploiting divisions within the international community

@highlight

The MH17 crash leaves him with an uncomfortable dilemma, likely to damage his leadership