Beijing (CNN) -- Every so often, grassroots activism succeeds in China.

We saw one this week.

Caving in to public pressure, government officials in the southwestern city of Shifang in Sichuan Province abandoned plans to build a billion-dollar chemical plant.

Plant abandoned amid protests

This came just days after thousands of angry residents took to the streets in protest at the city's bid to build the $1.6 billion Molybdrenum plant.

City officials said it had passed all environmental evaluations, but local residents, worried about long-term pollution and health hazards, said "no."

Defying government and police orders, they marched to the chant of "Protect Shifang's environment, return our beautiful home!"

Soon enough, the mayor conceded and promised to suspend construction. Then on Friday, the city's Communist Party chief was sacked.

"The people have achieved their goals if their protest was just a NIMBY (not in my backyard) movement," the Global Times noted rather acerbically.

But some political observers see beyond parochial backyards.

"It is a stunning case of a local NIMBY movement coalescing with the support of nationwide public opinion through the internet," said Xiao Qiang, a U.S.-based expert on the Chinese internet.

"The new media, particularly through (Twitter-like) Weibo and popular forums such as Kaidi.net played an absolutely critical role in the whole process."

Xiao said netizens spread the news instantly and widely, exposed police violence against protesters and generated popular outrage.

"With such national exposure and public opinion on the protesters' side, the local authorities had no choice but to cave in instantly," he said.

A few other NIMBY protesters have succeeded in China.

In 2009, local residents rallied and aborted a government plan to build a waste incinerator plant in a suburban town in southern Guangzhou city.

That same year, Shanghai residents foiled a city plan to construct a high-speed train line using magnetic levitation technology complete with a raised concrete track.

Last August, thousands of protesters forced officials in the northeastern port city of Dalian to shut down and promise to relocate a controversial chemical plant that produced paraxylene (PX), which residents feared was carcinogenic.

Political observers attribute these successes to smart tactics.

"The environment is a perfect issue for the public to exploit the central-local divide," said Wenfang Tang, a political science professor at the University of Iowa in the U.S.

"People know when to claim their right to resist the local government by using central government regulations," Tang explained.

"Beijing is often sympathetic to such public demand since it does not hurt its own legitimacy. Scholars describe this tactic as the 'rightful resistance.'"

This is best exemplified by one of the Shifang protesters' banners: "Long live the Communist Party, kick out the copper factory!"

But China has been grappling with a spike in social unrest.

Anger has been rising over land seizures, a growing wealth divide, official corruption and environmental pollution.

Rural unrest is also a problem, though nothing new.

In the early 1990s, I covered a farmers' protest in Sichuan over unpopular taxation policies. But what is new is the increased scope and frequency of the protests. They have now spread to towns and cities.

Another new factor is the Weibo phenomenon.

The hugely popular micro-blogging service now has more than 300 million subscribers who post about 100 million tweets every day.

Despite government censorship, Weibo is tearing down walls that block the free flow of information. Government censors cannot completely stop Weibo users from downloading and forwarding news and views via Weibo.

When Chen Guangcheng, a blind activist, escaped house arrest and took refuge at the U.S. Embassy in Beijing, sustained public attention on Weibo helped put pressure on Chinese and American officials to seek a diplomatic solution.

"The spotlight makes a huge difference," said Gregory Lee, a professor at the University of Lyon in France. "The Chen Guangcheng case was dealt with in reaction of media attention."

Chen Guangcheng on his next move

Chen has since been allowed to leave and study in the U.S.

When these unsavory events break, most official Chinese media are usually tight-lipped, or are careful to provide information following the official lines.

"It is worth pointing out that while the official media kept its usual silence during the entire time, there was very little online censorship applied on this event, at least in the first couple of days," said Xiao.

Xiao thinks the censors' apparent inaction could be because pictures and protest messages spread too fast for the censors to control; or it could be a deliberate decision by censors in Beijing because it involves a local environmental issue.

The University of Iowa's Tang says it is not uncommon nowadays for local governments to give in to demands on issues like the environment and labor rights -- but not on core issues.

"I doubt if the local government would compromise so easily had it been a protest for ethnic autonomy in Tibet," he said.

Is official tolerance and compromise now the new normal?

Not necessarily, observers agree.

"If the central authorities are determined to suppress the information and opposition voices, they can still contain the scale of public awareness," said Xiao, founder of China Digital Times, a U.S.-based bilingual website on China.

"Collective demonstrations will occur over and over but the authorities will still seek to deal with them oppressively where they can," added Lee, author of "China's Lost Decade," which looks at China's Cultural Revolution.

But Xiao says local officials can learn a lesson or two from this week's Shifang episode.

"They should learn that when facing massive demonstrations, using brutal force can have the opposite result than intended, especially in the internet age, since there is risk that violence will be exposed quickly in front of the whole nation."

@highlight

Government officials in southwestern city of Shifang abandoned plans to build a chemical plant

@highlight

The decision followed concerted pressure from thousands of angry local residents

@highlight

Analysts say internet allowed tales of police abuse to filter out, generating widespread anger

@highlight

But other observers warn China will crack down on protests when they can