WASHINGTON (CNN) -- It's a safe bet that every time you fly, you show a photo ID to an official at the airport checkpoint.

A TSA officer checks a passenger's ID at Baltimore-Washington International Airport.

Every time Nick Kloiber flies, he doesn't.

Kloiber, 23, a University of Kentucky Law School student and privacy advocate, knows something that you probably don't -- contrary to popular belief, and contrary to some airport signs, travelers are not required to present identification at airport checkpoints.

Under current Transportation Security Administration policy, passengers can refuse to show identification and can still fly -- as long as they agree to secondary screening, meaning a search of their carry-on bags and a pat down.

But all that is about to change.

Beginning Saturday, June 21, travelers like Kloiber who "willfully refuse" to show IDs won't be allowed through checkpoints or onto planes. Only passengers who show IDs, and "cooperative" passengers, who explain why their IDs are missing and help police confirm their identities, will get through.  Watch a report on the policy change »

The TSA says it is changing the policy "to facilitate travel for legitimate passengers" while helping its security work force focus on "people, not things."

"It's a prudent security measure to know who it is who's flying in the planes," said Kip Hawley, head of the TSA. "It's not too much to ask, to say, just tell us who you are."

Raising ire

But the change in policy, announced this month on the TSA Web site, has raised the ire of privacy advocates who believe the TSA is setting a dangerous precedent, in essence requiring U.S. citizens to carry documentation when traveling in the United States, even if only by air.

The right to free travel -- unencumbered by government officials demanding identity documents -- is "something that distinguishes ourselves from others not living in the free world," said Jim Harrison, an attorney who has fought document requirements.

"History will judge," Harrison said. "What's going on here is the TSA is incrementally chipping away at the freedoms that Americans have. And the freedoms that we're talking about are the fundamental right to travel, the freedom to be free of search without reasonable suspicion and your First Amendment freedoms to assemble and associate freely without government interference."

That's not the way TSA chief Hawley sees it. "To us, it's not a philosophical argument," he said. "There are people trying to do harm, take down planes, and we can't let them [exploit] a vulnerability."

300 people a day

By all accounts, the number of people who show up at airports without government-issued photo IDs is small.

Of the 2 million people who fly every day, only about 300 do not show IDs, according to TSA spokesman Christopher White.

The TSA does not keep statistics on the reasons people don't have IDs, but it is presumed that most people report them lost, stolen or simply forgotten. But a handful of people, like Kloiber, tell TSA document checkers that they do not believe the government has the right to require an ID.

Kloiber said most TSA document screeners he has encountered do not know the policy, so he requests that they call a supervisor. If the supervisor is also unfamiliar with the TSA policy, Kloiber pulls out a letter TSA wrote to his senator explaining the policy. Or he pulls out a copy of a federal court ruling in the case of "John Gilmore v. Alberto Gonzales," which involved TSA security protocols.

Often, he says, that is enough to get him through the checkpoint -- with a patdown, but without showing his driver's license.

On July 4, 2002, John Gilmore, the plaintiff in the federal case, challenged the TSA's pat-down and search policies. Gilmore tried to board planes at two San Francisco-area airports without showing an ID or submitting to a pat-down. Both times, he was rebuffed.

The TSA also refused to show Gilmore or his lawyers the checkpoint ID and search policies, saying they were sensitive security information, or SSI, a classification that prevents them from public disclosure.

Gilmore filed suit in federal court. His lawyers fought unsuccessfully for the TSA checkpoint procedures, arguing that the public had the right to know laws they are expected to obey, and that lawyers have a right to review laws they are challenging.

The court declined to order the TSA to reveal the regulations. And, after viewing the regulations privately, out of public view, the judge ruled against Gilmore, saying his constitutional right to travel was not violated because other forms of transportation remained open to him.

And, the court ruled, the TSA's identification policy didn't violate Gilmore's rights because Gilmore had the option of declining to show an ID and submitting to a legal search.

But now, the new TSA policy removes that option, privacy advocates said, making the new policy ripe for another court challenge.

"I anticipate that this will be litigated," said Harrison, who represented Gilmore in the California case. "Many people are upset about this change in policy."

Privacy advocates also question a second recent TSA policy change.  In the Gilmore ruling, the judge noted that if Gilmore wanted to avoid a search he thought was unconstitutional, he could have merely walked away.  But the TSA now says passengers cannot refuse a search once they have entered the checkpoint area.

Aside from questions of law, Harrison and others say the new policy will not improve security.  They say that it affects only travelers who flatly refuse to provide identification, and that terrorists are unlikely to draw attention to themselves by doing that.

But the TSA says that under the new policy, all people without IDs will face varying security measures, from pat-downs to interviews with behavior detection officers. "By increasing our options, people with bad intentions don't know what exactly to plan against," the TSA said.

Privacy advocates say the TSA already uses those techniques, and say the policy change will only hurt those who assert their rights.

TSA officials say the need to change the policy couldn't be more clear. The government ID checkers are trained to spot false IDs, and the change provides another layer of security needed to keep the skies safe.  Without the change, they say, people could "game the system," using a fake name and a fake boarding pass to bypass screeners.

Hawley said agency lawyers have reviewed the new regulation and are "comfortable" with it.

CNN's Jeanne Meserve and Mike Ahlers contributed to this report.

@highlight

Current TSA policy allows passengers to fly without an ID

@highlight

New policy effective June 21 will require passengers to show IDs

@highlight

Privacy advocates say the new policy violates the U.S. Constitution

@highlight

TSA says it is "comfortable" the new policy can withstand a legal challenge