Secretary of State John Kerry said the United States will help the Iraqi government in its battle against al Qaeda-linked fighters in western Iraq, but stressed it won't send troops.

Speaking to reporters in Jerusalem on Sunday during his visit to the Middle East, Kerry said the United States is not contemplating a return to the volatile nation. U.S. military forces, which invaded Iraq and toppled the Saddam Hussein regime in 2003, fought insurgents there for years until they withdrew at the end of 2011.

"We are not, obviously, contemplating returning. We're not contemplating putting boots on the ground. This is their fight, but we're going to help them in their fight," Kerry said, noting that the United States plans to be in "close contact with all of the Iraq political leaders" to determine how to help them.

"We going to do everything that is possible to help them, and I will not go into the details except to say that we're in contact with tribal leaders from Anbar province whom we know who are showing great courage in standing up against this as they reject terrorist groups from their cities. And this is a fight that belongs to the Iraqis. That is exactly what the President and the world decided some time ago when we left Iraq."

Fighting in the predominantly Sunni Anbar province in recent days has posed a serious challenge to Prime Minister Nuri al-Maliki and his Shiite-dominated government, raising questions about his ability to hold the country together amid a rising insurgency.

Conflicting reports have the Islamic State of Iraq and Syria (ISIS), formerly the group commonly known as al Qaeda in Iraq, in partial control of Falluja, the site of some of the bloodiest fighting between U.S. forces and insurgents during the Iraq War.

Sunni populist ire in Anbar

This weekend, the government claimed, the Iraqi army shelled the Anbar city of Falluja in an effort to clear out al Qaeda-linked fighters amid dueling claims by the terror group and government forces about just who was in control of the flashpoint town.

But the conflict in Anbar is not black and white -- al Qaeda vs. pro-government troops -- according to local officials, political analysts and tribal leaders in Falluja and Ramadi.

They say al-Maliki is spinning the strife to his political advantage.

These sources say al-Maliki is trying to cite al Qaeda as a pretext to crush Sunni protesters and is using the same tack to get international support for his fight. They say he's trying to create the false impression that ISIS fighters control much of Falluja.

ISIS has been working doggedly to exploit a security vacuum across Iraq.

While there are pockets of al Qaeda-linked militants in Anbar cities such as Falluja, most regions in Anbar, including Falluja, are under the control of local police and Sunni tribes not aligned with militants, they explained. Fighting also has raged between these local tribes and the Iraqi army in Falluja.

Violence has flared in recent days because of the arrest of a Sunni lawmaker in Ramadi and the dismantling of protest sites by the army in Falluja and Ramadi.

Most Sunnis in Anbar have simply been angry at being regarded as second-class citizens in the majority Shiite country. They have been upset with the local and central government authorities, and these grievances have spurred an ongoing uprising against the Shiite-led government.

Things are a bit more stable in Ramadi, Anbar's capital because the local government struck a deal with tribes to fight against ISIS. Al-Maliki is more supportive of local government in Ramadi than Falluja, according to these sources.

Soldiers have not been stationed inside Anbar cities for nearly a year. Now, al-Maliki is trying to bring the soldiers back, a move prompting Sunni resistance.

The deal the government made with some Sunni tribal fighters was comparable to a 2007 U.S. pact that saw Sunnis turn on al Qaeda, siding with American and Iraqi forces to bring about an end to the terrorism.

The fighting between Sunni militants against Shiite-dominated forces was reminiscent of fighting during the height of the Iraq War in 2006 and 2007, when sectarian violence nearly tore the country apart.

The analysts who spoke to CNN said that Shiites have more to fear in the conflict with Sunnis because they risk losing its newfound and widespread power after decades of domination by a large Sunni regime led by Saddam.

The fight against the militants is "bigger just Iraq'

As for Kerry, he said the U.S. government is concerned that al Qaeda and ISIS "are trying to assert their authority not just in Iraq but in Syria."

"These are the most dangerous players in that region. Their barbarism against the civilians of Ramadi and Falluja and against Iraqi security forces is on display for everybody in the world to see. Their brutality is something we have seen before. And we will stand with the government of Iraq and with others who will push back against their efforts to destabilize and to bring back, to wreak havoc on the region and on the democratic process that is taking hold in Iraq."

Kerry called the fight against the militants "bigger than just Iraq" and the United States has an "interest" in helping an elected government "push back against the terrorists."

"The fighting in Syria is part of what is unleashing this instability in the rest of the region. That's why everybody has a stake. All of the Gulf states, all of the regional actors -- Russia, the United States, and a lot of players elsewhere in the world -- have a stake in pushing back against violent extremist terrorists who respect no law, who have no goal other than to take over power and disrupt lives by force.

Violence raged in the capital of Baghdad on Sunday. Three car bombs and two roadside bombs exploded in several areas, killing at least 18 people and wounding dozens.

@highlight

At least 18 dead in Baghdad violence

@highlight

John Kerry says, "We're not contemplating boots on the ground"

@highlight

Fighting in Anbar province has stirred concern

@highlight

Kerry notes regional implications in the fighting