(CNN) -- For his 2010 book "A New American Picture," artist Doug Rickard used photos he gathered from Google Street View to give viewers a voyeuristic peek into several of America's most economically distressed neighborhoods.

The point was to draw people's attention to the places we read about in the news — and comment about from the comfort of our own neighborhoods — but never actually visit.

Now, Rickard is following that work up with a new book called "N.A.," where he continues to mine the Internet for views of America that are anything but idyllic. This time, he snatches frame grabs from videos that were made on cell phones and uploaded to YouTube.

What he ended up with is a jumble of violence, exploitation, joy rides, drugs and other illegal activities. It is a view of a country struggling with a shifting economic and cultural landscape, one where technology can create or amplify crisis and where cyberbullying, revenge porn and "slut shaming" have gone viral.

"The range of search terms for the work was huge but largely tied to the broken elements of the American economic spectrum," Rickard said. "The search terms really started with simple city names and evolved.

"I started finding that due to the nature of YouTube, much of what was posted was predatory in nature and I needed to evolve the work to include that dynamic of the 'predatory act.' I determined quickly that 'crackheads' or 'girls passed out' or 'hood fight' were search terms on YouTube that would bring up massive amounts of content that people were uploading."

Abusive behavior exploited by technology is not a new story, but Rickard becomes a predator among the predators, hunting for images to tell this dark American tale. He said he also used keywords such as "police harassment," "racial profiling" and "gang stalking" to amass his images.

The book is not a photojournalistic document — the lack of captions and context asks us to create our own narratives. The printed text in the book includes a poem created using comments from YouTube. And the low resolution of the frame grabs mostly protects the identities of the subjects and gives the visceral imagery an impressionistic gloss.

Rickard acknowledged that the images show "elements of social media and technology that aren't pretty," but he said the series is also about YouTube as medium and the way it has become "a platform where people have a voice — it is an immediate stage with reach."

He said the intimacy of the medium coming right from someone's hand fascinates him. This point of view simply wouldn't be available to a photographer on the scene. "I was the stranger in the car, a fly on the wall," Rickard said. "They didn't know I was with them that night."

He was a silent partner in the flow of data streams that thrive on predatory behavior — both the participants who exploit the vulnerable, and the viewers who encourage them with comments and "likes."

"Usually the YouTube posters were looking to get 'hits' or 'likes' from the uploads and trying to get laughs," he said. "In many ways, that dynamic was bringing out acts that were incredibly callous, such as paying people on the street to do pushups or cartwheels or showing the writing of the word 'fag' on the face of a young girl that was passed out. I wanted to try and get at this dynamic itself."

Rickard found that the streams that were most voluminous tended to be brutal, as though the technology itself was encouraging impulsive and dangerous behavior.

He said "N.A." is about our habits surrounding modern technology, but that it also comments on race and poverty. For poverty-stricken African-Americans isolated in deteriorating neighborhoods, the American dream may be an impossibility — the "N.A." could stand for "not applicable" or perhaps "need not apply."

"'N.A.' speaks to an inversion of the American dream, an American facade, an American illusion," Rickard said. He said there is "a chasm that has been built like a fortress as relates to opportunity ... a deep division — economic, geographic, cultural, political — in America that many whites prefer to deny and ignore."

Rickard hopes the book will be a wake-up call on issues of race, economic injustice and technology, saying, "It is this America that I see in my mind, not the land of the free."

@highlight

For his latest book, Doug Rickard snatches frames from uploaded cell phone videos

@highlight

He searched for terms related 'to the broken elements of the American economic spectrum'

@highlight

Much of what he found involved predatory acts, with people being exploited for 'likes'

@highlight

He said his book is about modern technology as well as race and poverty