(CNN) -- In his first weeks as leader of the world's most populous nation, China's new President Xi Jinping has made frequent reference to an emergent "Chinese Dream," emphasizing prosperity, happiness, and a revitalized national ethos.

No doubt economic growth and infrastructure have been common themes in China's national rhetoric.

But as national pride rises in lockstep with economic growth, the added emphasis on a culturally based "unity of purpose" raises a new question: As China overcomes centuries of foreign intrusion and humiliation to emerge as a superpower, what will be the role of non-Chinese?

China has become not only a global center of economic gravity, but also a demographic magnet. Historically, great empires have been ethnically diverse and racially inclusive, absorbing talent from all corners to drive collective success. In short, they have been melting pots.

Xi Jinping: China's new boss a man with a dream

China's history has hardly been linear or peaceful when it comes to its inter-ethnic relations and openness to the outside world. Two thousand years ago, Buddhism came to China via the Silk Road, absorbing Central Asian monks and missionaries.

The 13th century Silk Road traveler Marco Polo spent 17 years serving in the Yuan Dynasty court of Kublai Khan. But China has also sought to be left alone.

The Great Wall was built and rebuilt many times since the Qin dynasty (221 BC) to fend off Mongol invasions. Were it not for the 19th century Opium Wars and perception of British and other Europeans' mercantile exploitation of the country for silver, it would have been even more difficult to unite its disparate regional power centers against "foreign devils."

China continued to suffer foreign occupation, notably by the Japanese during World War II, but after its own civil war rapidly undertook a process of territorial consolidation. Its western expansion led to the pacification of diverse ethnicities, creating today's mÃ©lange of the dominant Han, but also Zhuang, Hui, Manchu, Uighur, Tibetan, Miao, Mongol, and other ethnic groups.

Read more: China's workforce at a crossroads

Much of the country remained closed off, however, while Hong Kong and Macao remained foreign run. It was Deng Xiaoping who set the country on its present seemingly irreversible course of globalization. In the 1970s and 1980s, thousands of foreign investors and managers came to run factories taking advantage of China's enormous labor pool.

The outsourcing of manufacturing to China brought capital, technology, and knowledge that the country needed. Now that China has become one of the most trade-dependent nations, openness is no longer an option.

It is easier than ever to visit and reside in China, but do foreigners see themselves staying in China for a long time? And how "Chinese" can they become?

America is used to being the land of opportunity for immigrants, but it is has also become a source of economic migrants, particularly since the financial crisis. Over 6 million Americans now reside abroad, the highest number ever recorded, and the proportion of Americans aged 18 to 24 who plan to move abroad has risen from 12 to 40% since 2007.

Ever more young Americans are turning up in China, living cheap, learning Chinese, hustling for jobs, and diligently traveling Asia. At a lecture last year at Beijing's prestigious Tsinghua University, I heard from dozens of Westerners who turned down spots in MA programs in the U.S. and Europe in order to get a dual-language MA in China -- with guaranteed summer internships and great networking opportunities with multinationals and Chinese businesses. Across the board, young Westerners I have met in China came here on one-way tickets.

Read more: Chinese companies 'rent' white foreigners

From executives in Hong Kong, Shanghai and Chongqing to diplomats and intellectuals in Beijing, China has become a country that scholars, journalists, and entrepreneurs are settling in for the long haul. Daniel Bell, a Canadian political philosopher and long-time China resident who lectures intellectual and Party elites in fluent Mandarin, points out that while China has become home to a global talent pool, with thousands of foreigners arriving each year with a great desire to learn about Chinese culture, "there is no expectation that they will become 'real' Chinese."

No matter how well foreigners learn Chinese, they cannot dissolve their original cultural traits the way many immigrants in America do within just a single generation. Perhaps that is part of the appeal: if one can never be truly "Chinese," then being in China is always exotic.

No doubt, there are high-profile cases of Chinese fleeing their own country, from the blind dissident Chen Guangcheng to ultra-high net worth individuals parking cash abroad. Some expatriates who had devoted their own careers to China have also packed up and left, citing air pollution, lack of free press, and intimidation after speaking their minds.

Companies fed up with the theft of their intellectual property now do not locate their most sensitive research and development operations in China. But still, the number of foreigners in China has crossed one million and continues to rise. Their presence has sparked debates about inclusion and xenophobia, welfare and generosity, democracy and free speech.

Much like long-term residents of Dubai and Singapore, Chinese too blame migrants (both internal and foreign) for crowded streets and rising crime, but also realize that migrants are the ones who often collect the trash and do the laundry. They also help Chinese businesses reach the rest of the world more efficiently.

Each year, more than 200,000 Middle Easterners travel to Yiwu, 200 miles west of Shanghai, to purchase wholesale goods for sale across the Arab world. Everything "made in China" is conveniently available in the city's giant International Trade Center expo halls. The city is now a major hub on the new Silk Road as China has risen to become the Middle East's largest trade partner.

Higher up the value chain, Chinese in cosmopolitan Beijing and Shanghai also appreciate the role foreigners have played in the country's rise. As one Beijing native working for an American university put it, "We admire foreigners because they represent advanced technology and management expertise; we can learn from them."

China has made the recruitment of the global "best and brightest" an official policy, and not just the "sea turtles" (hai gui) of whom more than 500,000 have returned after studying abroad, and now account for half of Chinese companies' launching on the U.S. stock exchange.

Reversing brain drain is not enough. Recently the government has launched its own "green card" program (casually dubbed the "red card"), granting permanent residency to growing numbers of foreigners. As a next generation of leaders with international educations rise in business and government, they are recruiting their talented classmates to come to China, pointing to a continuity of openness to foreign expertise.

Much as China welcomed Jesuits in the 16th and 17th centuries that transferred scientific knowledge to the Ming and Qing dynasties, businessmen, scholars, scientists, and non-governmental organizations are welcome today if they help to improve productivity, innovation, supply chain standards, or bring affordable technology to reduce greenhouse gas emissions.

For foreigners using China as a base, residency access is becoming like the Chinese RMB currency: flexible and convertible. But as with the currency, such liberalization takes time and careful management. To thrive, one must not only learn Mandarin but adopt some Chinese views, such as prizing social stability over rapid political reform.

Chinese also don't want foreigners to get too native. According to one Chinese entrepreneur, "just because you might learn Mandarin fluently, we don't like seeing Westerners haggling abrasively in restaurants and bazaars. These are Chinese habits, often crude ones, but when foreigners do them it comes across as exploitation, which we resent."

The foreign population of China won't rise over 1% for many years, a mere drop in the ocean of 1.4 billion people. And like Japan, China is a country where foreigners will never be considered locals even if they adopt local customs. Rather than a melting pot then, China is more of a salad bowl in which foreigners are a mere sprinkling of pepper. Still, foreigners are considered an essential part of achieving the "Chinese Dream."

@highlight

Khanna: Everywhere you look in urban China, you see foreigners: traders, merchants, students

@highlight

China has become a global center of economic gravity and a demographic magnet

@highlight

Foreigners are considered an essential part of achieving the 'Chinese Dream'