(CNN) -- Gross is everywhere.

It's in the food we eat: in the cheese that shares chemical properties with bad breath and stinky feet and in the bread that is leavened by microbial excretions. It's in nature: in the viruses that make us sick, in the monstrous shape of reptiles and deep-sea fish and in the terrible parasites that torment them.

Of course, we ourselves might be the greatest source of grossness. We carry it with us, in our blood and guts. Anytime someone's insides end up outside, you are definitely in the presence of the gross.

It seems obvious that our repulsion from the gross is rooted in our fear of death. We may pretend that we are our own masters, but deep down we suspect we are really the victims of nature and fate. The things we spurn as gross are the things that rub that dismal knowledge in our face.

5 ways Japan will surprise you

But fear is only half the story. Old medical devices may look like implements of torture, but they were used for healing. Gruesome medical specimens show us the miraculous functioning of the human body. Horrific germs and grotesque insects embody nature's endless ingenuity, its ability to exploit any niche and fill the empty spaces with living things.

If it's true that the universe can be known in a grain of sand, then it can also be known through the gross -- and that's much more entertaining than staring at a tiny bit of gravel. If you resist the impulse to flinch and take the gross on its own terms, you will unlock a universe of discovery and even enjoyment.

Here are seven of my favorite gross places in America to jump start your own journey of "grossological" discovery.

Hit the trail: 7 gorgeous hikes

Mütter Museum, Philadelphia

The nation's undisputed monarch of medical museums began with a donation from Dr. Thomas Dent Mütter to the College of Physicians of Philadelphia in 1858. In 1912, the enlarged collection was moved to its present location, where it continued to serve physicians as a pathological reference collection. Today it is a monument to 19th-century medicine. Its clubby, dark wood and brass interiors practically define the steampunk aesthetic.

Within the glass cases is a Noah's ark of medical curiosities.

Flier's alleged 50-day bender ends badly

There is a human skull collection; examples of diseased organs, either preserved in jars or cast in wax models of remarkable delicacy. Admittedly, the collection of teratological specimens (mutants) requires a strong stomach. But even the most sensitive can enjoy the Chevalier Jackson Foreign Bodies Collection, a cabinet filled with more than 2,000 swallowed objects removed by a single laryngologist. There are also examples of tanned human skin, which has no medical value, but is totally cool.

My personal favorite is the Soap Lady, a woman whose body posthumously underwent complete saponification -- which means that all the fat in her body turned into soap. That can really happen.

The museum is open daily, 10 a.m. to 5 p.m.

World's Largest Fungus, Malheur National Forest, Oregon

Don't be fooled by an ordinary looking mushroom. Beneath it broods an ancient horror that has been growing quietly for thousands of years. A Malheur National Forest cluster of Armillaria ostoyae, or honey mushroom, is part of the world's largest fungus, which engulfs 3.4 square miles -- that's 2,200 acres -- of Oregon's national parkland. This massive mushroom is estimated to weigh 7,567 to 35,000 tons, which would make it the largest living organism in the world. But that doesn't sound nearly as gross as being the largest fungus.

Now for the letdown: The bulk of this behemoth resides underground in a stringy network of roots called a rhizomorph. The only visible traces are the mushrooms that sprout in the fall. They may not look like much but once you know their dark secret, you can't help but see them in a new, sinister way.

The U.S. Forest Service website has more information about the fungus and its forest home.

Necropolis by the Bay, Colma, California

In this community of 1,800 souls, the dead outnumber the living 900 to 1. Colma's demographic imbalance is the result of its unofficial role as San Francisco's necropolis. This relationship started in 1900, when land became so scarce in San Francisco that the City Council decided to remove all its dead and build on the decommissioned cemeteries.

The dispossessed dead were transferred to new digs in Colma -- for a service charge of $10 a head. Those whose next of kin couldn't come up with the cash were less ceremoniously reinterred in collective, unmarked graves. With 73% of its land zoned today for memorial parks, Colma is less a city than a network of roads connecting its many cemeteries. (Even the number of cemeteries within city limits is debatable, although most sources place the count at 17.)

The Colma Historical Association offers cemetery tours by appointment, and members will be happy to show you the final resting places of Wyatt Earp, Joe DiMaggio, Levi Strauss and other famous Americans who now call Colma home. Perhaps this attraction is more morbid than gross, but let's not split hairs: It's a pleasant Halloween-season outing in a beautiful part of the nation.

Indiana Medical History Museum, Indianapolis, Indiana

How many medical museums are on the site of an old insane asylum? Built in 1897, the Old Pathology Building was the research wing of the Indiana State Hospital for the Insane. Physicians there studied the brains of deceased patients, trying to identify the physical causes of mental illness. Some of the more colorful diagnoses they came up with include: pathological jealousy, Mexican War excitement, religious anxiety and a little-known ailment called "husband in California."

A significant number of patients, however, suffered from general paresis, a neurological condition caused by advanced syphilis. Today, the beautifully restored museum building is a perfect replica of a turn-of-the-century pathology laboratory. You can see a sampling of gruesome medical and autopsy tools in their native environment, but, of course, the grossest highlight is the human brain collection. This consists of some 80 samples, mostly sliced in cross section and preserved in glass slides, which display various neurological injuries.

The Indiana Medical History Museum is open to the public Thursday through Saturday.

Leila's Hair Museum, Independence, Missouri

Some things seem universally gross, say, the smell of rotting flesh. Other things elicit a variety of responses. Old hair gives some people in intense case of the heebie-jeebies. Leila Cahoon is not one of them. She is the proprietor of the nation's only museum dedicated entirely to hair art.

Nearly forgotten today, hair craft was popular with Victorians, who wove jewelry and decorative lace out of human hair. Often these pieces were kept as mementos of dead or absent loved ones. Sometimes successive generations would add to the lacework to create a genealogical record, much like a family bible. The hair museum has more than 2,000 items that reach back to the 17th century. Creepy as you might find these pieces, you cannot deny their artistry.

The museum is open Tuesday through Saturday, 9 a.m. to 4 p.m.

Berkeley Pit, Butte, Montana

This unintended artificial lake is an expanse of tranquil water four miles around and tinted an impossible shade of rich cordovan red. As luminous and vast as the Montana sky above, it is a sight of unearthly, inhuman beauty. But it is undeniably gross.

The secret to the Berkeley Pit's beauty is pollution. Lots of it. For 27 years, it was the site of intensive strip mining, which removed more than a billion tons of earth and valuable ores. When mining ceased in 1982, ground water began to rush into the pit, bringing with it an infusion of acids and toxic heavy metals. Today the Berkeley Pit is the crowning jewel in the nation's largest contiguous federal Superfund site.

How dangerous is the pit? Back in 1995, a flock of misdirected snow geese alit on its banks. The next morning, 342 were dead.

Remarkably enough, you can visit the pit. Obviously kayaking and water skiing are out of the question. But there is an observation platform where you can watch at a safe distance.

It's open from March to November. For more information, go to www.visitmt.com and search for "Berkeley Pit."

Morbid Anatomy Library, Brooklyn, New York

This library and private collection of weird art and antique medicine cum gallery and lecture space hosts occasional classes in anthropmorphic taxidermy. That's the resurrected Victorian craft of dressing dead animals in adorable little outfits and posing them in human activities.

The bunny school houses and kitten croquet parties of a more genteel era, however, have been updated to mouse burlesque dancers, skateboarders and drunken poets.

Visits can be scheduled to the library by appointment.

@highlight

Gruesome medical specimens show the miraculous functioning of the human body

@highlight

A museum cabinet is filled with 2,000-plus swallowed objects removed by a single doctor

@highlight

Under Oregon parkland, there's a huge mushroom estimated to weigh up to 35,000 tons

@highlight

The dead outnumber the living 900-to-1 in the community of Colma, California