(CNN) -- It's a beautiful day to be on the water a few kilometers off the southern coast of Sri Lanka.

Within view of shore the spinner dolphins twist and turn energetically, flying fish launch out of the water and cruise for what seems like ages, and a manta ray gracefully glides under my boat. In the safety of my 20-foot research boat. I am the biggest thing on the water.

Suddenly, a blue whale emerges close by, and as it breaks the surface, it exhales. This creature is so immense that the vertical tower of mist that escapes from its blowholes is taller than my boat is long. As it calmly swims, it teases me by revealing just parts of its huge self. It is hard to fathom just how large this creature truly is. I am mesmerized by the scene, impressed at how the buoyancy of the ocean has aided this giant to achieve near maximum size.

My moment is disrupted when I become aware of the fleet of container ships close by. Each carries thousands of containers, which are on average twice the length of my boat. Welcome to one of the busiest shipping highways in the world.

What I see is no different from what I hear when I drop my hydrophone (underwater microphone) in the water. The cacophony of the ships' propellers drowns out all other sounds in the ocean before, during and often even after we have lost view of them in the distance. These ocean-going monsters are at the beck and call of human needs and their increasing numbers are a reflection of the escalating wants of an ever-growing global population.

This morning's lesson has been about perspective but I soon realize there are many more lessons to be learned.

Moments like these concretize my desire to scientifically understand these whales in order to protect them. Moments like these drive me to work harder.

Over the years, my research has shown that these whales are different, unorthodox even. Science has often described baleen whales (the group that blue whales belong to) as creatures of habit. They travel to the poles to feed and then migrate to the lower latitudes to mate and calve. But we find that quite incredibly, those within the Northern Indian Ocean choose to remain in tropical waters year-round.

These blue whales grow up to 24 meters (78.7 feet) and have incredible energetic requirements so it makes sense for them to exploit the most productive areas of the ocean to ensure their survival. But these waters are often considered less productive than their temperate or polar counterparts, and this anomalous behavior leads me to question why? How? The Northern Indian Ocean clearly holds many secrets that we have yet to unravel.

What excites me most is that the waters around Sri Lanka, slap-bang in the heart of the Indian Ocean, are home to a resident group of Northern Indian Ocean blues. My research is just beginning to shed light on what sustains this group of the largest animals to ever roam the oceans throughout the year. But besides fulfilling their nutritional needs, Sri Lankan waters provide a safe haven for mothers and calves and have given me the opportunity to observe mesmerizing portrayals of the persistence of males and the pickiness of females engaged in courtship rituals.

The Northern Indian Ocean is as unorthodox as the blue whales that live within it. It is the only ocean that is not connected from the North Pole right through to the South Pole. The effects of this geographic isolation are profound, and the differences these blue whales display may be driven in part by this.

Unfortunately, this isolation and their dependence on a restricted area for their most fundamental needs -- feeding, breeding and calving makes these blue whales increasingly vulnerable to threats. Very little is known about the causes of natural mortality for blue whales. They are after all, very large. However, human-induced threats abound. Not least, off the south coast of Sri Lanka.

Sadly, the overlap between prime blue whale habitat and extremely busy shipping lanes increases the risk of mortality by ship strike. Blue whales do not belong wrapped on the bow of a container ship. They belong swimming freely in the ocean.

Available data tells us that commercial shipping densities off the southern coast of Sri Lanka are double those in California's Santa Barbara Channel where measures are already being taken to mitigate the risk of collisions with blue whales.

My mission is to decrease whale mortality by ship strike in the waters off Sri Lanka with the support of a strong network of scientists from around the world. But to achieve this mission, I realize I have to be an unorthodox scientist. I have to ensure that people, not just scientists know of the problems faced by this population. I believe that the more we know, the more we care and the more we feel responsible and subsequently, the greater our chance of success.

My dream is to work to protect these whales as best I can to ensure that the immense blue whale skeleton hanging from the ceiling of the Colombo National Museum since 1894 is not the only option for seeing blue whales in the future.

----

To find out more about The Sri Lankan Blue Whale Project, please visit here

The opinions expressed in this commentary are solely those of Asha de Vos.

@highlight

Asha de Vos: Northern Indian Ocean is home to unusual population of blue whales

@highlight

She says they choose to stay in tropical waters all year round

@highlight

Whales are threatened by heavy container ship traffic lanes, she says

@highlight

De Vos: My mission is to decrease blue whale deaths caused by ship strikes