Washington  (CNN)The flight voice recorder aboard Germanwings Flight 9525 reportedly captured blaring cockpit alarms, warning co-pilot Andreas Lubitz to "pull up" and that "terrain" was ahead. But that was not enough to stop the aircraft from slamming into the French Alps.

With reports that Lubitz apparently ignored those warnings, there are new calls from aviation experts to develop and deploy enhanced crash avoidance software that could take control of an aircraft away from a pilot and steer the plane to a safe altitude.

The technology would work in a fashion similar to crash avoidance technology already used in automobiles. If a pilot is incapacitated or ignores audible warnings, the plane's flight guidance software could take over and plot a course to a safe altitude‎. In cars, these avoidance systems sometimes deploy brakes or slow a car down to a safer speed, and help maintain safe distances from other vehicles.

The idea is not new. In fact, more than 10 years ago, following 9/11, Airbus, the manufacturer of the doomed aircraft, was working to d‎evelop aircraft crash avoidance software with tech giant Honeywell -- in part to prevent jetliners from being flown into large buildings or mountains. But the project was ultimately scrapped.

A spokesperson for Honeywell says the company has no plans to revive the project unless federal regulators demand it be put into cockpits or airlines ask for it. So far that has not happened. CNN also asked Airbus about the project, but the company had no comment.

Former Department of Transportation Inspector General Mary Schiavo says pilots, regulators and the traveling public have, so far, not bought into claims that computers can do it better. "For any situation where you are relieving the pilot's control of their plane, there has been pushback not only from the pilots, but from airlines. There are some sectors that believe that ultimately the pilot must maintain overall control of the plane and that that is your best bet for a safe flight."

However, she adds, in the case of the Germanwings crash, "this technology, I believe, would have saved the flight. Not only would it have saved this flight and the Germanwings passengers, it would also save lives in situations where it is not a suicidal, homicidal pilot. It has implications literally for safer flight across the industry."

Pilots' groups point to numerous instances where a pilot's training and perhaps unconventional thinking actually saved lives.

For example, in 2009 Capt. C.B. Sullenberger crash-landed U.S. Airways flight 1549 into the Hudson River in New York, after a flock of geese was sucked into both of its engines and the A320 lost all thrust. The formal National Transportation Safety Board report on the crash said the main thing that contributed to the survivability of the accident was "the decision-making of the flight crewmembers and their crew resource management during the accident sequence." In other words, when Sullenberger decided to ditch the plane in the Hudson, he saved the 150 passengers and five crew members on board. Pilots say if a computer had taken over after it sensed the plane was headed for water, the outcome could have been very different.

Commercial airline pilot John Barton says there are other considerations to take into account as well. "In systems like this ... the control cannot be taken back from the aircraft. Or, indiscriminately the aircraft could be taken over on just a normal flight and they (cockpit crew) wouldn't be able to get control back. I think it is going to take a long time to operationally test this kind of technology before it is foolproof."

He also worries that the autopilot software could be vulnerable to hackers. "More and more people will come to know the technology. They will work on the technology and therefore there will be bad people that will be able to exploit that technology. That's not a good thing."

But in an incident like the Germanwings tragedy, where a pilot is being blamed for the crash, Schiavo says there must be additional safeguards and that this technology would be a start. "Most of the major commercial jetliner crashes in the last two or three years could have been saved with an override."

Barton says there are already plenty of safeguards in place in the United States. For example, he says, the Federal Aviation Administration rule that two people must always be in the cockpit during a flight might also have saved the Germanwings flight. That is a practice that several overseas carriers -- including Germanwings and its parent company, Lufthansa -- have now adopted.

"The solution to the problem simply is for the rest of the world globally to adhere to the standards that the United States has used forever, and that is sound hiring practices, safety and training and security practices."  Barton says.

@highlight

Autopilot could have taken control of Germanwings flight and flown plane to safe altitude

@highlight

But some experts say taking control away from humans could lead to other dangers

@highlight

Another concern: Autopilot might be vulnerable to hackers