Los Angeles, California (CNN) -- On June 8, 2009, nearly one year ago, I stood before a judge in North Korea's Supreme Court and was sentenced to 12 years in one of the country's notoriously brutal labor camps, also known as death camps.

My legs wobbled in fear, and I grabbed the podium in front of me, fearing I would faint.

Three months earlier, I was on assignment for Current TV. I was reporting on the trafficking of North Koreans, most of them women, who escape to neighboring China, where they are used and exploited. Following a local guide we'd hired, my colleague Euna Lee and I did regretfully step foot into North Korean territory for no more than a minute.

As we made our way back to China, North Korean soldiers chased us onto Chinese soil and violently dragged us back into North Korea.

We were the first Americans tried in North Korea's highest court. Our sentence, two years for trespassing and 10 for "hostile" acts, shows where the North Korean government's real concerns lie. Leery about a negative portrayal of its regime, the North Korean authorities decided the documentary we were making would threaten their government. It was seen as a hostile act meant to weaken or bring down the country.

No country on Earth is more paranoid about its image than North Korea, which has maintained its firm grip on power in part because of its ability to indoctrinate its people. North Korea is one of the world's most closed-off societies, with little known about what goes on inside. Its citizens know little about the outside world.

The regime's mass propaganda machine carefully and consistently disseminates information to the North Korean citizenry extolling the virtues of the communist state and its megalomaniacal "Dear Leader," Kim Jong Il.

During nearly five months of captivity, I was allowed to watch television in a guard's area and saw black-and-white movies about the Korean War and the heroic communists defeating their arch-enemy, the United States. Rallies celebrating a recent satellite launch or nuclear test featured North Korean men and women proudly, defiantly waving their fists in the air. I rarely spotted any young adults, or college-aged spectators within the crowds, just older folks who seemed less likely to cause disruptions.

With their booming voices, newsreaders listed off the latest achievements made by Kim Jong Il, such as the opening of a chicken-processing factory or the building of a dam. At night, I had to put a pillow over my head to drown out the patriotic anthems sung by the military choir.

But beneath all this flag-waving is a different reality. Escapees from North Korea paint a stark picture of a place where human rights don't exist. The slightest criticism or disrespect paid towards Kim Jong Il could land one in a hard labor camp, where starved and tortured prisoners scavenge for food while performing backbreaking work.

When my Current TV colleagues and I were in the northeastern part of China that borders North Korea, we spoke with several defectors who had fled the desperate conditions, seeking food and freedom across the border. While they have been able to get more sustenance in China, freedom has not come as easily.

The Chinese government does not regard these defectors as refugees, even though they face certain, brutal punishment if they are sent back to North Korea.

A young woman, whom I'll call Ji-Yong, recounted her escape, braving the rushing waters of the Tumen River that separates North Korea and China. Not knowing how to swim, she nervously made her way across the frigid waters in the dark. She had been told she could find a better life in China and that there would be work opportunities in the computer industry. Instead she was placed in the online sex industry and was forced to undress for clients who watched her via the web. Her boss tied her arms behind her back and locked her in a room to prevent her from escaping.

With help from a friend, she was able to get away, but with nowhere to go and no money, she ended up working for another online sex company. She was grateful that her boss treated her humanely and allowed her to go outside for breaks. With tears streaming, smearing her thick black eyeliner, she spoke of how much she missed her mother.

Ji-Yong's story is becoming increasingly common as traffickers prey on vulnerable and scared women from North Korea. Many others are sold like commodities into loveless marriages where they are abused and treated like slaves.

North Korean women have no legal status in China, so the children they bear with Chinese husbands also suffer. The Chinese government does not grant these children citizenship; they must live in the shadows as stateless children with no access to public health care or education. If the mothers are deported, or leave their husbands, the children are often left abandoned and orphaned.

During my captivity, I thought about the North Korean defectors who had opened their lives to me. Thinking about their struggles gave me strength to endure.

I might have been living the biggest horror of my life, but what I was going through paled in comparison to what North Koreans in their country and in neighboring China have lived through and continue to struggle against today. I am fortunate to be home in America now, where freedom is my birthright. North Koreans are imprisoned.

But there is hope. Organizations such as the nonprofit LiNK (Liberty in North Korea) are on the frontlines of raising awareness about the desperate plight of North Korean defectors and helping escapees find refuge in countries where they can begin new lives. LiNK's campaign "The Hundred" aims to rescue and resettle 100 North Korean defectors.

Their efforts are risky because they must shuttle defectors from secret shelters in various countries across Asia before they can find safe haven in countries such as South Korea or the United States. This video shows North Korean defector, Ki-Won, and his journey to freedom with the help of LiNK.

Recently a bill was introduced in Congress by Sam Brownback, R-Kansas in the Senate, and Rep. Ed Royce, R-California, and Diane Watson, D-California, in the House that seeks to address the issue of North Korean orphans and stateless children in China. If passed, the bill will help pave the way for families in the United States to adopt eligible children.

In June, I stood before a North Korean judge and expressed my hope that the United States and North Korea might one day establish closer relations. That desire still exists.

I also promised that if released, I would never report on the issue of defectors or North Korean human rights abuses again. That is an oath I cannot keep as long as the people of North Korea remain silenced.

The opinions expressed in this commentary are solely those of Laura Ling.

@highlight

Laura Ling recalls frightening day she was sentenced for entering North Korea

@highlight

During captivity she was forced to watch films praising regime and Kim Jong Il, she says

@highlight

Reality in country is harsh (starvation, no human rights) but fleeing to China barely better

@highlight

Ling: LiNK group and pending federal legislation give hope to North Korean defectors