Hong Kong (CNN) -- Amid the crush of migrant workers who gathered to see Aung San Suu Kyi in Bangkok Wednesday was Sein Htay, a Burmese worker who has been in Thailand for 17 years.

He took his son, two-year-old Waiyanmin, to greet the Burmese opposition leader on her first visit outside Myanmar in more than 20 years.

They gathered with thousands of others outside a migrant center on the outskirts of the Thai capital where Suu Kyi spoke to an elated and emotional crowd, many of whom said they never thought the day would come.

"There's no better feeling in the world than what happened," Sein told CNN through migrant rights activist Andy Hall. "He said he's happy beyond words, cannot describe the feeling. So positive," said Hall.

Hall described walking about the streets in the suburb of Mahachai, home to the highest concentration of Burmese migrants in Thailand in the hours before Suu Kyi's arrival.

"All the workers were saying they just thought it was rumors. They said until they actually saw her face, they still didn't believe it," he said. "And then she was there, speaking to them. They didn't feel like she was there, they were so amazed."

From a balcony high above the crush of people, Suu Kyi told them that she would try her best to look after migrant workers' rights.

"The laws of this land which do provide protection for workers are not always observed by everybody concerned," she said.

"We need to educate our workers as to their rights, by what kind of legal means there are for defending their rights, because whatever we negotiate with our host government we want to do it in a harmonious way. Of course we will also be asking for help and support from the local authorities," she said.

There are around three million migrant workers in Thailand, of which around 80% are from Burma, according to the Mahidol Migration Center.

They were lured by the promise of work to support their families from a country where jobs are scarce.

"We don't have any jobs so I came to Thailand," Sein told CNN in English.

In the past 17 years Sein said he had worked in just about every lowly-paid job open to migrants in Thailand: in construction, on fishing boats and at the factories back at port, where workers peel prawns and package seafood for export.

According to a recent United Nations Report, the poor regulation of migrant workers under Thai law makes them vulnerable to exploitation.

"Irregular migrants are in a vulnerable position owing to their migration status, and are often exposed to abuse and exploitation, including physical or psychological abuse, poor working or living conditions, withholding or non-payment of wages, and excessive working hours, as well as arbitrary arrest and extortion by law enforcement authorities," stated the report, by the Special Rapporteur on trafficking in persons, Joy Ngozi Ezeilo.

Thailand responded to the report by saying it contained "inaccuracies or errors concerning relevant laws, policies and processes." It added that some recommendations from the report had already been undertaken.

Andy Hall said most, if not all, the migrant workers he's spoken to in Thailand want to return to Myanmar, if only there were jobs.

"They never wanted to be here in the first place. They've been caught between two hells, one hell in Myanmar and one hell in Thailand," he said.

"They never wanted to be here in Thailand. It's not their homeland and they've not been welcomed here in terms of their human rights. They've been welcomed here as laborers who do cheap work," he said.

Amid the sweltering heat, Suu Kyi said that it was up to Burmese migrants as well as the government to create a Myanmar that could welcome them back.

"Everybody has a responsibility. They too [Burmese workers] have a responsibility and we too have a responsibility to create the kind of country to which all our people can return, whenever they wish too," she said.

However, one Myanmar expert said more changes needed to be made within the country before many Burmese migrants would consider going home.

"People need to be assured that there will be some kind of rule of law around property and around individual businesses to feel safe to return," said Monique Skidmore, pro vice-chancellor of international and major projects at the University of Canberra in Australia.

"The nationalization of businesses, for example, the use of middle men, the increasing taxation that continues to be leveled, those kinds of economic parameters need to change," she said.

"The ability to own property and not have it confiscated by the state... Even in border areas you've got to be assured that the Burmese soldiers are not going to steal your chickens or levy you for a quarter of your rice quota, for example."

@highlight

Thousands of Burmese migrants brave heat to see Aung San Suu Kyi in Thailand

@highlight

Sein Htay has worked in Thailand for 17 years after crossing the border from Myanmar

@highlight

U.N. report says millions of Burmese workers are exploited and abused in Thailand

@highlight

Many say they want to return to Myanmar, but are worried about the lack of jobs