(CNN) -- All those who are hoping that comprehensive immigration reform is going to happen this year -- Latinos, businesses, churches, agriculture industry, law enforcement and others -- are in for a rude awakening.

The trick for politicians will be to look as if they're doing something, when really they're doing nothing. But, regardless of how it looks, it's a long shot that Congress will pass immigration reform this year.

That's bad news for those who want to give the undocumented a chance to get right with the law and develop a sensible, fair and efficient policy for future immigrants. But it's good news for those who resist legalizing the undocumented because they're afraid of foreigners -- either because of competition with their work ethic, or that they're changing the culture and complexion of the country.

Is enforcement key to fixing America's immigration system?

The problem isn't just Republicans, who can't get on the same page about whether they want to be reformers. It's also Democrats, who seem to be playing the immigration reform camp for chumps.

The signs are everywhere, if you know where to look. For instance, a few days ago, a draft of President Obama's immigration reform plan was leaked. It took four years to write, and yet its key points fit on a cocktail napkin with room to spare.

Here's what is in the plan: more border security, a requirement that employers use an electronic system to verify if prospective hires are eligible to work, and a long path to citizenship for the estimated 11 million undocumented immigrants in the United States.

How long? The undocumented could immediately apply for a special protective status to avoid deportation, but it would take them about eight years to get legal permanent residency (a green card) and another four or five years to become a U.S. citizen.

Here's what is not in the plan: a guest worker program. Republicans have repeatedly insisted that this needs to be in the mix for them to vote for any reform package. The fact that it was left out tells us that Obama isn't serious about reform and ensures that his plan would be, as Republican Florida Sen. Marco Rubio said, "dead on arrival" in Congress.

Opinion: Economy and immigration linked to American dream

The idea would be to bring in a few hundred thousand temporary "guest workers" to do the hard and dirty jobs that Americans won't do at any wage. When the work is done, and the workers have been paid a fair salary, they go home. And another batch is brought in. It's not a perfect solution. But you won't find any of those in the immigration debate.

The first U.S. president to push for guest workers was Abraham Lincoln. Industries were facing labor shortages during the Civil War and, with Lincoln's support, Congress in 1864 passed The Act to Encourage Immigration. The bill allowed employers to recruit foreign workers and pay their way to America. There were more guest workers during World War I. But the concept really became popular during World War II and the Cold War. From 1942 to 1964, under the Bracero program (as in "brazo", which is Spanish for arm as in someone who works with his arms and hands), nearly 5 million guest workers came in and out of the United States.

In fact, arguably, the reason the Braceros stopped coming was because journalist Edward R. Murrow -- in the 1960 CBS documentary, "Harvest of Shame" -- exposed the horrible treatments the workers received at the hands of employers, including low wages, unsanitary conditions, dilapidated housing, etc. Congress pulled the plug soon thereafter.

But exploitation doesn't have to be part of the deal, and not every guest worker program is run as badly as that one. There are apple growers in Washington State who don't have to scramble for pickers at harvest time because the same crews return every year. The growers lure them back by paying decent wages and providing clean living quarters. Everyone is happy.

Well, maybe not everyone. Many in organized labor hate the concept of guest workers because their leaders are busy peddling the fantasy that the hard and dirty jobs in question are sought after by union members. Sure. Then why aren't they doing them now? Answer: Because they're hard and dirty.

It's time for Congress to create a new guest worker program for the agriculture industry where employees can have decent wages, access to health clinics, livable housing, workers comp in case of injury, and legal protection so that they aren't exploited. Of course, there's the catch. If growers have to pay for all that, labor economists say, it might well kill the incentive for them to participate.

Immigration debate: High-stakes political poker

But it's those same growers who are now complaining that they aren't able to find American workers who are willing to pick a variety of crops that can't be harvested by machine -- peaches, plums, apples, lettuce, tomatoes, avocadoes, nectarines, strawberries, blueberries, apricots, table grapes, etc. So those employers will have to make some tough choices. If they want a reliable labor supply, it'll cost them. That's the way it should be. There is no free lunch.

Either way, it's a guest workers program that will make or break the prospects for immigration reform. I'm betting it's the latter.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Congress may not pass immigration reform this year

@highlight

Navarrette: What the plan needs is a guest worker program, which Republicans want

@highlight

He says Congress can create a guest worker program where laborers are not exploited

@highlight

Navarrette: If agriculture want reliable workers to do the dirty and hard jobs, there is a cost