Condoleezza Rice, secretary of state under President George W. Bush, traveled 23 times to the Middle East in an ultimately unsuccessful attempt to mediate an Israeli-Palestinian accord.

Meanwhile, the Russians invaded Georgia.

President Barack Obama's secretary of state, John Kerry, has shuttled 11 times to the region in search of the same elusive goal. And while American diplomacy was once again focused elsewhere, the Russians invaded  Ukraine.

Now, in an effort to curb Russia, the United States is pausing from its efforts to forge an Israeli-Palestinian peace to generate international pressure on the Kremlin. But the pivot may prove impossible, as the issues of Russian expansionism and the stability of the Middle East remain dangerously intertwined.

Late last year, Obama faced a daunting choice. Retaliate militarily for the use of chemical weapons by Syria and anger a war-weary American public or fail to enforce his own red line and severely damage his credibility.

Either way, it seemed, Obama lost. Enter the Russians. As the unswerving supporter of Syrian dictator Bashar al-Assad, Russian President Vladimir Putin alone had the leverage to mediate between Washington and Damascus. Through his cooperation, an arrangement was made for shipping al-Assad's chemical weapons abroad.  All sides claimed a victory. And while Syria has so far parted with only a small portion of its chemical arsenal, Obama still cites the agreement as a foreign policy triumph.

That success could yet turn sour, however, if Russia backs out of the deal.

In reprisal for punitive actions against Moscow, Putin could enable al-Assad to keep his chemical arms and quietly encourage him to use them. Vividly redrawn, Obama's red line would be flagrantly crossed. The American public would still oppose any military response, and America's enemies in the Middle East could revel in their newly affirmed impunity.

Putin's ability to exploit the Syria civil war to weaken and embarrass the United States pales beside the damage he can inflict on America through Iran.

Russian cooperation has been crucial to maintaining the unity of the permanent Security Council members and Germany -- collectively known by the mathematical name P5+1 -- in levying heavy sanctions on Iran and reaching an interim agreement on its nuclear program.

Held up as an historic achievement by the Obama administration, both the sanctions and the nuclear agreement would be undermined by a Russian decision to pull out of the the P5+1 framework and embark on a separate course of unrestricted trade with Tehran.

While pledging to keep "all options on the table" with Iran, the United States clearly wants to avoid the use of force. But stripped of all nonviolent alternatives, the U.S. would have to resort to military action to prevent Iran from getting the bomb.

Whether in Syria or with Iran, Russia has played its relatively weak strategic hand exceedingly well and is threatening to outmaneuver the United States in the Middle East.

Though no longer able to dispatch the great blue water fleet that once challenged American hegemony in the Eastern Mediterranean, Russia is once again asserting its influence in the region. And the reason is simple. While American policy has concentrated on the soft power of mediation --much of it fruitless -- Russia has invested in the hard power of military assistance and intervention.

America has publicly warned that it may not be able to defend the Jewish state from international boycotts related to the peace process.  And Washington has disappointed Israelis and Arab Gulf states by easing sanctions on Iran and striking an interim agreement on its nuclear program.

Russia, by contrast, stands staunchly behind Syria. America's allies worry whether they might stand alone. Russia's allies do not. The advantage, then, goes to Russia.

The erosion can only be stopped -- and Russian expansionism checked -- by the reassertion of American preeminence.  One way to do that is to aid moderate Syrian rebels. Another way is to emphasize America's determination to stop Iran from going nuclear by all measures, diplomatic and military, irrespective of Russia's stand. And America must take steps to restore confidence in its dependability as an ally.

This is not the first time that Middle East tensions have been linked to Russian ambitions in the Black Sea. Back in 1853, competition between Russia and the Western powers in Jerusalem triggered a war over Russia's control of the Crimea.

Britain and France eventually stopped Russia, but only at an immense material and human cost.

Today, conversely, the struggle over Crimea could further escalate Middle Eastern conflicts and lead to even greater violence. But that outcome can still be prevented -- not by war, but by reasserting tough American policies in the Middle East, protecting American power in the region and reassuring America's friends.

@highlight

Michael Oren: While U.S. focused on mediation in Middle East, Russia acted in Crimea

@highlight

He says Russia has influence with Syria and relations with Iran could upend strategy on nukes

@highlight

Russia has played its cards well, while U.S. risks being outmaneuvered, he says

@highlight

Oren: U.S. should reassert itself in the Middle East and move to protect its allies