(CNN)With reports that violence in Ukraine is spreading beyond separatist-controlled areas, it is clear the so-called Minsk-II ceasefire between the Ukrainian government and pro-Russian rebels in the Donbas is teetering.

If the United States wants to avoid the prospect of the violence spilling over into a broader conflict, it will need to keep the option of more direct involvement -- including the provision of arms -- firmly on the table.

Until recently, the White House has understandably been focused on countering the rise of the Islamic State of Iraq and Syria, a reality that allowed the Europeans (especially Germany) to take the lead in crafting a response to Russia's aggression. But this U.S. reluctance to take center stage has allowed the Russians to exploit splits within Europe in the knowledge that the EU states would not fight force with force.

That was until serious talk of potential U.S. lethal military assistance to Kiev upended the conversation.

The U.S. debate over providing arms to Ukraine was sparked in part by a report by a number of former senior officials calling for the U.S. to provide $3 billion in aid, including weapons, to the Ukrainian military. Top administration officials, including new Defense Secretary Ashton Carter, then hinted that they favored arming Kiev. Indeed, following his meeting with German Chancellor Angela Merkel on February 9, even President Barack Obama noted that he was considering "all options," presumably including lethal military assistance, should diplomacy fail.

True, this openness to providing arms left Obama at odds with Merkel and many other European leaders, who feared it would escalate the conflict. But it also increased the pressure on Merkel and French President Francois Hollande to press for a deal to avoid what they feared might be a bigger conflict, fueled by U.S. weapons.

The prospect of U.S. military assistance also no doubt affected the Russian calculation. As skeptics of the argument for lethal assistance pointed out, even with U.S. weapons, Ukraine's military would never be able to defeat Russian regulars, while Moscow's ability to arm the separatists would always outstrip Washington's ability to arm the Ukrainian government.

Yet even if U.S. weapons would not reach Ukrainian forces for months, the very commitment to provide them would insert the United States much more directly into the conflict. That commitment, more than the weapons themselves, is what could be a game changer.

Opponents of arming Ukraine have argued that weapons, even in fairly small quantities, could easily become the first step down a slippery slope of escalation. They are right, of course. But they also miss the bigger political context. The question is less whether some anti-tank missiles could turn the tide in the Donbas, and more what the decision to provide those missiles would say about Washington's commitment to the fight for Ukraine and against Russia.

Russian forces could expand their involvement in the conflict in response to a U.S. commitment to arm Kiev. But, to turn the skeptics' argument about weapons provoking Russian escalation on its head: then what? Once it had committed to arming Ukraine, would Washington allow the Ukrainians to be completely defeated? Would it pour arms into Ukraine until Russian forces faced an insurgency like the one that drove them from Afghanistan in the 1980s and helped bring down the Soviet Union? Would it impose truly drastic economic sanctions, cutting Russia off from global payment networks or bringing down the Russian banking system?

Left to themselves, the Europeans would be reluctant go down this path, but would likely do so should Moscow expand the conflict in the face of a wider U.S. role.

And the reality is that despite Russian President Vladimir Putin's bellicose rhetoric, no sane Russian believes Moscow could win a protracted fight with the United States. While Russian officials are keen to portray the U.S. as a declining power, in their more honest moments they appreciate the reality of U.S. financial and military power (perhaps more than many in the Obama administration do) and are keen to avoid a test of strength they cannot win.

That is why Washington's aversion to lethal assistance and outsourcing the search for a solution in Ukraine to the Europeans was a mistake. While better than letting Ukraine fight a losing war on its own, the Minsk agreement remains heavily tilted in Moscow's favor, even if it holds.

Earlier, and more assertive U.S. involvement (including a commitment to provide military assistance), would likely have produced a better, and quicker agreement. As it is, lethal assistance from the United States should remain on the table, along with the prospect of more drastic sanctions, as long as the ceasefire remains tenuous.

As Moscow fully understands, only the United States can confront Russia on its own terms. And if Washington truly cares about the success of Ukraine's transformation and checking Russia's revisionist aspirations, it needs to insert itself more squarely into the process, including with its hard power capabilities. Above all, Washington must continue being the main underwriter of European security.

The Kremlin knows that confronting the U.S. is much different from confronting the divided, economically vulnerable Europeans. Hopefully, the White House does as well.​

@highlight

Violence continues despite the ceasefire between the Ukrainian government and rebels

@highlight

Jeff Mankoff: Minsk agreement remains heavily tilted in Moscow's favor