An election-year showdown over a Democratic priority -- raising the federal minimum wage to $10.10 an hour -- saw Senate Republicans block the measure on Wednesday, unleashing a torrent of criticism from President Barack Obama and his party.

The measure failed to get the 60 votes needed to open debate in the 100-seat Senate, with only one Republican joining majority Democrats in an unsuccessful effort to overcome the GOP filibuster.

While another vote on the proposal is possible, Obama and Democrats quickly sought to exploit the measure's initial stumble into political capital for November's congressional elections.

"If your member of Congress doesn't support raising the minimum wage, you have to let them know they are out of step and if they keep putting politics ahead of working Americans, you will put them out of office," the President told a White House event that focused on the matter.

Minimum wage state by state

Republicans argue raising the minimum wage to $10.10 per hour would damage the nation's fragile economic recovery.  Several GOP lawmakers took note of fresh data released Wednesday indicating the economy grew at a sluggish 0.1% in the first quarter of 2014.

"They seem to think they can coast on talking points and stale ideas â€” and that the American people haven't been paying attention to their recent dismal record at actually helping the people they claim to care about," said Senate Republican leader Mitch McConnell of Kentucky.

However, Senate Democrats argued the GOP position hurt American workers struggling to make ends meet.

"Their vote today defines their priorities," Sen. Patty Murray of Washington said of Republicans. "It is the equivalent of looking American women in the eye and telling them they don't deserve a living wage. It is telling our middle-class families they don't deserve a fair shot."

Minimum wage: Congress stalls, states act

Even if the Senate moved ahead with the legislation, there was little chance the House, which is led by Republicans, would take it up.

Obama and Democrats noted that polls show a strong majority of Americans support raising the minimum wage, which currently stands at $7.25.

At the same time, polls indicate Democrats have little chance of winning back control of the House in November and could lose their majority in the Senate.

After Wednesday's vote, Democratic senators sought to use the defeat as a rallying cry for November.

"Low-income people tend not to vote, but on this, this would be one that they come out on because it's a pocketbook issue for them," said liberal Sen. Tom Harkin of Iowa.

Democrat Chuck Schumer of New York noted that traditionally conservative states like Arkansas and Alaska have put a minimum-wage increase on their ballots "to help bring out the vote."

2014: What's at stake

Republican senators this week telegraphed their opposition to the minimum wage proposal, with some saying the Democratic plan was too expensive and would lead to significant job losses if businesses were forced to adopt it.

"It's too high, too fast," said Sen. Rob Portman of Ohio, who favors a smaller increase like the one adopted in his state. Sen. Susan Collins, a Maine Republican, also said she supports a reasonable increase and complained that Democrats sought to force the higher figure through without compromise or debate.

"I think it speaks to what's wrong with Washington today -- that we're placed in a situation where it was 'take it or leave it' rather than trying to come together and offer amendments and offer a level that might be acceptable," Collins said after the vote.

Harkin, however, said the $10.10 figure sought by Democrats was needed to lift people out of poverty.

"We will not compromise on $10.10. That just gets us above the poverty level," he said. "Anyone who wants to go below that is saying that a hard-working American who works full-time all year long still will live in poverty. It's time to get beyond that."

2014: The battle for the Senate

In February, Obama signed an executive order raising the minimum wage to $10.10 per hour for federal contractors beginning in 2015. The measure voted on Wednesday sought to make that figure the federal minimum wage.

The lone Republican to vote with Democrats was Sen. Bob Corker of Tennessee, who said he wants changes in the measure even though he supported bringing it up for debate. Meanwhile, Democratic Sen. Mark Pryor, who is facing a challenging re-election in conservative Arkansas, supports a smaller increase that is under consideration in his state. Pryor missed Wednesday's vote because he was back in Arkansas dealing with this week's storm damage.

Key races to watch

Republicans argued the liberal agenda pushed by Senate Majority Leader Harry Reid of Nevada could hurt centrist Democrats this fall.

"For the Democrats here in the Senate, particularly the vulnerable ones who are in tough competitive races, they've got to be particularly sensitive to the agenda the Democrats are driving," Sen. John Thune of South Dakota, a GOP leader, said this week. "I think there are a lot of Democrats, on minimum wage even, that are concerned about its impact on the economy."

Recent national polls indicated that a strong majority of Americans support raising the minimum wage to $10.10 per hour. The most recent survey, conducted early last month by Bloomberg, put that support at 69%. An ABC News/Washington Post poll released Tuesday indicated that by a 49%-33% margin, Americans say that the Democratic Party is closer to their views on the issue than the GOP.

And by a two-to-one margin, voters nationwide questioned earlier this month in a Quinnipiac University poll said they would be more likely than less likely to vote for a candidate who supports raising the minimum wage.

Meanwhile, national polls suggested Republicans have an enthusiasm edge over Democrats six months before the November vote.

According to an NBC News/Wall Street Journal poll released Wednesday, 45% of registered voters say they want the November elections to result in a Republican-controlled Congress, with an equal amount saying they'd like to see Democrats in control on Capitol Hill.

But among voters with the highest interest in the midterms, the GOP holds a 15-percentage point lead (53%-38%) over the Democrats on the question of which party should control Congress.

A CBS News poll conducted late last month showed that 75% of registered Republican voters questioned said they were very or somewhat excited about voting in November, compared to 58% of Democrats. Also, 81% of registered Republicans said they'll definitely vote in November, compared to 68% of registered Democrats.

The surveys seem to back up the conventional wisdom that the GOP has an advantage over the Democrats in midterm contests. White voters and older voters, key to the Republican base, tend to cast ballots in bigger percentages in midterms than younger voters and minorities, who are an important part of the Democrats' base.

Democrats hold a 55-45 majority in the Senate, including two independents who caucus with the party, but are defending 21 of the 36 seats contested in November. Half of those Democratic-held seats are in traditionally conservative states or those considered purple -- leaning neither right or left.

In the House, Democrats need to pick up 17 GOP-held seats to win back control of the Republican-led chamber, a feat political handicappers say is unlikely considering the shrinking number of competitive congressional districts.

Leading Dem gov: 2014 is not a 'change' election

New low for Obama in key midterm indicator

Biden goes on offense over GOP economic agenda

Special Coverage: The 2014 midterms

@highlight

President Obama blasts Republicans over minimum wage vote

@highlight

The issue is a priority for Democrats trying to keep control of the Senate in November

@highlight

Republicans cite various reasons for opposing the $10.10 per-hour proposal

@highlight

Polls show Americans favor an increase