(CNN) -- Back in 2010, one of us -- Isabel -- was faced with the question of whether to shake the President's hand. And, despite having been invited to the White House, he decided not to. Why? Because the families and communities of 11 million U.S. residents were still waiting years for President Obama to fulfill his promise of immigration reform. And they are still waiting, and have been left feeling betrayed by the failure of this administration to act.

The meeting to discuss U.S. immigration policy in 2010 followed what was dubbed the "Trail of Dreams" walk by four immigrant college students, including Sousa-Rodriguez, from Miami to Washington to call attention to the plight of the undocumented in the United States. The 1,500 mile walk took place as the number of deportations was hitting historic highs, numbers that have resulted in some 2 million immigrants being deported. Why are we still waiting for change? The recent election results are sufficient proof of the folly of the Obama administration's approach.

After all, the Congressional Budget Office determined in June 2013 that immigration reform would boost economic output and could help cut federal budget deficits by $197 billion over the next 10 years. But just as important as the lost economic benefits of the failure to act is the human cost. In our ongoing research on undocumented youth and their mothers living in Florida, we find harrowing patterns of fear, exploitation and dehumanization. Denying opportunities for lawful status results in barriers to employment, physical and social mobility, education and health, and the lack of opportunities has a particularly troubling impact on immigrants' mental and emotional well-being.

True, the Deferred Action for Childhood Arrivals, or DACA, has helped those young adults who are eligible. But our research suggests their families need relief from deportation, too, and cannot afford to continue waiting for the President to deliver on his promises.

The reality is that every single day there is a human cost: separated families, deteriorating health, childhood trauma and economic insecurity. These human costs in turn have ripple effects that chip away at the enormous contributions that immigrants make to our economy and communities.

Take the case of "Bobby," an 18-year-old immigrant who arrived in the United States with his parents from Peru when he was 2. In spite of DACA, which granted Bobby and other young people like him a temporary work permit and driver's license, the benefits of this program did not extend to his undocumented mother battling breast cancer, nor his father who was unable to find employment that would afford him health benefits. Bobby recently shared with us that at the end of last month, ineligible for health insurance and unable to afford the medical attention she needed and deserved, his mother passed away.

"We live in a world so spiteful some of us could fall off and no one would notice," Bobby had told us before his mother died.

We send our condolences to Bobby's family and loved ones. But sadly, his is not an isolated case; communities across the nation are losing people every day, not just through government inaction, but through policies that are actively separating families through detention and deportation, despite the many positive contributions immigrants are making to U.S. society.

It is long past time for the President to take unambiguous action to prevent further harm to immigrants and their families -- harm that can be easily avoided by providing them with legal status.

What does this mean in practical terms? For a start, the President should implement broad and inclusive administrative relief from deportation to parents of DACA recipients and other hardworking immigrants who are contributing to our economy and communities. This is the only way to ensure that families like Bobby's do not continue paying the price for the failure of Congress to pass meaningful immigration reform when they had the opportunity.

Providing legal status to hardworking immigrants could have allowed Bobby's father to attain a job with health benefits that could have saved Bobby's mother's life. And while the President cannot bring Bobby's mother back, it is not too late to help millions of other immigrants and U.S. citizens who are fighting every day to keep their families together and their communities safe.

America needs broad-based action on immigration reform. It is not just the right thing to do economically -- it will also save lives.

@highlight

11 million waiting on immigration reform, say Elizabeth Aranda, Isabel Sousa-Rodriguez

@highlight

Midterm results show folly of Obama administration's approach, they say

@highlight

Immigration reform will help save lives, authors argue