In late 2007, a social network called Juicy Campus started going viral at a handful of colleges.

But unlike Facebook, which saw a similar buzz three years earlier as a fast-spreading social network conquering one university after another, Juicy Campus encouraged its users to talk about each other, not themselves. Instead of posting party photos and calls for homework help, Juicy Campus was a social network designed to spread gossip about your peers. And to get the best gossip, Juicy Campus let its users post anonymously.

You can imagine where that went. After posts of students' sexual exploits and even personal threats began to spread across Juicy Campus, some colleges attempted to block their servers from accessing the site. Fortunately, Juicy Campus didn't last long and was dead by early 2009 because it couldn't generate enough advertising revenue to stay afloat.

Today, there's a new resurgence in anonymous social networks and messaging apps, which seem to be gaining traction in light of Edward Snowden's revelations that the National Security Agency has access to just about everything we do online.

Some big-name investors are pumping millions into these startups, hoping one will be the next big thing to take off. There are apps such as Confide and Wickr that let you send self-destructing text or photo messages. There's Telegram, which bills itself as a more private alternative to WhatsApp. And we've all heard of Snapchat.

But two other anonymous social networks seem to have captured the attention of plugged-in techies and venture capitalists more than anything else: Whisper and Secret.

Both apps have received heavy financial backing. Whisper recently raised a huge $30 million round, just months after raising $21 million. Secret snagged $8.6 million from big investors such as Google Ventures. And both apps have triggered a debate about whether or not anonymous apps that encourage the spread of gossip are good for the online community as a whole.

By allowing users to post anonymously, these apps encourage such personal confessions as, "I have extreme feelings of rage when people around me chew or drink too loudly." But they also may eventually enable hateful and defamatory gossip about people. There's also concern that people will post secrets and news that are just plain wrong, but get spun into the record as gospel.

We're already seeing evidence of it, at least with Secret, which launched two months ago and has seen its share of scandalous posts. I can tell you that my feed alone, which comes from a network of friends in my iPhone's address book and "friends of friends," is full of caustic gossip about venture capitalists, sexism in tech, and a healthy amount of explicit sexual fantasies. In short, it's not quite the kind of content a new startup with a fresh round of funding wants to be hosting.

Secret has already taken a toll on some folks in the tech industry. Earlier this month, there was the case of Julie Ann Horvath, a former developer at GitHub who alleged harassment by her bosses after someone on Secret accused her of lying about her contributions to the company. Her tweets on the issue led to the suspension of one of GitHub's founders, pending an investigation.

Legendary venture capitalist Marc Andreessen, who has invested in almost every major startup in recent years, from Facebook to the recent crop of Bitcoin payment apps, caused a stir the other day when he posted several tweets saying anonymous apps are bad for society.

"There are other systems in past & present designed to encourage negative behavior, tearing people down, making fellow souls sad," he wrote in one tweet. Andreessen didn't call out Secret, Whisper or any other similar apps by name, but it was clear what he was talking about and that he views such apps as havens for negativity and hate.

To its credit, Secret has tried its best to tamp down the nasty posts. Its app now shows a warning to users not to post anything defamatory or insensitive about other people. Otherwise, Secret says it has the right to remove such posts.

Whisper doesn't seem to have the same scandalous cloud hanging over it that Secret does, mostly because it has a team of human editors monitoring posts for naughty content. Meanwhile, Whisper's broader strategy under its newly hired editor-in-chief, Neetzan Zimmerman, is to encourage its users to break news. In fact, Whisper has teamed with BuzzFeed editors to curate news and trends from its anonymous posts.

Still, it's shaky to trust a nugget of news posted anonymously on an app used predominately by a younger audience. For example, Whisper in February claimed one of its users broke a story that actress Gwyneth Paltrow was supposedly cheating on her husband, singer Chris Martin.

Whisper's claims were met with the appropriate skepticism, and a rep for Paltrow issued a statement saying the Whisper post was "100% false." (However, she and Martin did announce their separation last month.)

Perhaps that taps into the essence of why Andreessen and others aren't convinced anonymous social networks can be a long-term success. They may rise to popularity by allowing users to say whatever they want about anyone, without any repercussions. But over time you risk building a network full of lies and hate.

@highlight

There's a new resurgence in anonymous social networks and messaging apps

@highlight

Whisper and Secret both have captured the attention of plugged-in techies

@highlight

But such apps may become full of hateful and defamatory gossip, Steve Kovach says