Nairobi, Kenya (CNN) -- Getting heard and understood in Westlands, Nairobi, on a typical Saturday afternoon is a challenge. You would have to compete with noise from the constant traffic, the shouts of the road side vendors, music from matatus -- Kenya's colorful (and loud) public transport minibuses.

On the afternoon of Saturday 21 September 2013 you would have had to compete with the additional noise of gunshots and grenades as a group of ruthless and well-drilled militants launched a brutal attack on the Westgate Shopping Center at the heart of Westlands. At least 61 civilians and six Kenyan security officers died in the attack and rescue efforts, President Uhuru Kenyatta said Tuesday.

Information on the attack on Westgate was first broken on social media as those in the mall and its environs flooded their Twitter, Facebook and Instagram accounts with text and images.

The amount of information being generated quickly turned into a flood as more and more people started posting or sharing information that was previously posted. Just like on the streets of Westlands on a busy Saturday afternoon, getting heard on the streets of Kenya's social media was a big challenge.

What does attack mean for Kenyan security?

This is not surprising. Kenyans increasingly go online to share and look for information. Information on the large fire at Jomo Kenyatta International Airport in Nairobi on August 7 first broke on social media. Social media was one of the key sources of information for Uchaguzi, the citizen centered election monitoring website that was deployed for the Kenyan general election in March.

Previously Kenyans have used Twitter to organize carpooling during a strike by public transport operators by sharing information using the hashtag #carpoolKE and even to find out which petrol stations had stocks of fuel during fuel shortages using the hashtag #findfuel. Ordinary Kenyan citizens have learned how to use social media and other digital tools to amplify their voices in order to have impact.

Research by Portland and Tweetminster in 2011 found Kenya as Africa's second most active country on Twitter after South Africa.

What is new is the increasing presence of official Kenyan government accounts on social media. President Kenyatta's election campaign invested heavily in its social media and digital communication, and this has continued in government.

Kenya's top security decision making body, the National Security Council, includes the President, Deputy President, Attorney General, and the cabinet secretaries for Defense, Foreign Affairs, and Interior and Co-ordination of National Government, many of whom tweet regularly.

At security agency level, the Ministry of the Interior and Coordination of National Government, the Kenya Defense Forces, the Kenya Police Service, Kenya's National Disaster Operations Center, Kenya's National Steering Committee on Peacebuilding and Conflict Management all have active and regularly updated accounts on Twitter. During the Westgate crisis these accounts have been updated with official government information on operations and casualties.

Questions linger after Nairobi mall attack

At Ushahidi we constantly remind people that technology is a tool not a solution. Just as a hammer can been used for positive or negative actions social media is also a tool that can be widely exploited across the board. Al-Shabaab is very effective in the use of social media and other digital tools in getting its messaging across. Since Saturday when the attacks began Twitter has already shut down at least one account connected to Al-Shabaab, which may have been in direct contact with the militants inside Westgate.

Having a presence on social media itself presents challenges for officials especially when it comes to the authenticity of the social media accounts. The Kenya Police Service for example has a long-running parody unofficial Twitter account.

During the Westgate crisis several of the official Kenyan government Twitter accounts were verified, a process which establishes their authenticity and allows them to display a badge which identifies them publicly as official channels of communication.

Now that the government's Twitter accounts have been identified as authentic the next challenge is to keep them relevant with useful information. Tweets from government urging Kenyans to hug each other during the height of the crisis were ill timed as the country waited to hear the fate of the hostages still held inside the shopping mall. Building credibility online, just like building credibility offline, takes time. On this the Kenyan government should learn from the digital media team at Kenya Red Cross.

The Kenya Red Cross ran the most credible, useful and respected Twitter account during the entire Westgate crisis.

The Kenya Red Cross is a pioneer in how social media can be used to crowdsource information online that first responders can use. Through its #iVolunteer hashtag Kenya Red Cross encourages all Kenyans to report incidents in which first responders are required and the Kenya Red Cross follow up these reports dispatching ambulances as required.

What threat do foreign jihadists pose?

Through its social media accounts the Kenya Red Cross was able to keep large groups of people updated on the Westgate crisis as it unfolded, was able to source information on where help was required inside and outside Westgate. In addition the Kenya Red Cross digital media team helped coordinate and publicize what was described as the largest blood drive in Kenya's history. About 6,380 units of blood were donated across the country in around 48 hours following the attack.

In another record-breaking social media led campaign the Kenya Red Cross partnered with Safaricom, Kenya's largest mobile phone network, to launch a fundraising drive using Safaricom's M-pesa mobile money platform. As of 2pm EAT on 25th September, 76 hours after its launch, Safaricom reported that the #WeAreOne campaign had raised $783,485 in donations made largely by individual Kenyans.

This is the latest in a series of successful partnerships between Kenya Red Cross and Safaricom who also partnered in 2011 to lead the Kenyans For Kenya campaign which raised around $11.5 million in four weeks for Kenyans facing severe famine.

All these initiatives contribute to the continuing adoption and growth in popularity of social media across the region.

Being able to quickly and accurately filter large volumes of data to identify which pieces of information are useful in your particular incident is a global challenge that Ushahidi is working to address by building a coalition and tools for a clearinghouse for crisis data.

This we believe will lead to more effective online information management such as using citizens to triangulate each other's information, which in turn gives first responders data on which they can act on immediately. Once we have this, ordinary citizens using social media would become a much more effective tool in time of crisis, altering today's communication flows.

The opinions expressed in this commentary are solely those of Daudi Khamadi Were.

@highlight

Information on Westgate attack was broken on social media, says Daudi Khamadi Were

@highlight

Increasing presence of official Kenyan government accounts on Twitter

@highlight

Kenya Red Cross organized blood donation drives using social media

@highlight

Fundraising was carried out using M-pesa mobile money platform