Dhanusha, Nepal (CNN)At Kathmandu's Tribhuvan International Airport, hundreds of migrant workers line up daily at the immigration counters, clutching newly printed passports and boarding passes. Many of them, though, are clueless as to where they're headed.

As a frequent traveler to the country, I've been approached many times by these men, asking me to help fill out their departure forms.

Usually, when I ask what country they're traveling to, I get the same answer: "I'm not sure."

They seem weary and lost but still hopeful that they can make their lives better.

This time, however, I'm at the airport to follow up on the repatriation of the most unfortunate of these migrant workers -- far too many of them make the return journey in caskets.

Almost every day, the remains of three or four workers arrive back in Nepal from the Middle East, according to Bhola Prasad Siwakoti, the secretary of the Nepalese Ministry of Labor and Manpower. Every other day, at least one dead body arrives from Qatar, he said.

"Nepali migrant workers have the lowest per capita income in Qatar," says Suryanath Mishra, who served as ambassador to Qatar from 2007 to 2012. "They get exploited the most out of all the migrant workers."

He cites lack of education and technical skills as the main causes.

We are waiting for the body of Kishun Das, who left Nepal for Qatar only eight months ago. The 38-year old was his family's breadwinner and the father of five children.

His younger brother, Bishun, is at the airport to receive the body. He also works in Qatar and is in Nepal on leave. I ask him why he's alone.

"We don't have money to bring other family members to receive the body," he says.  "But they have been calling me every other minute asking for the update."

His phone rings.

"I'm at the administration filling out the paperwork." he tells the caller on his phone.

"No, he isn't getting any compensation."

With more than 350,000 migrant workers, Nepalis make up the second-biggest community in Qatar, after Indians, the embassy in Qatar claims.

When contacted about the deaths of foreign workers in Qatar, a spokesman for the labor ministry said that all workers deserve to be protected against exploitation.

Saad Al-Mraikhi estimated that some 400 Indian and Nepalese workers die each year in Qatar.

"It is desperately unfortunate that any worker should die overseas, in a foreign land, away from their family," the spokesman said. "But it would be wrong, we believe, to allow the statistics to be consistently distorted to suggest that all deaths in a population of 1.5 million people are apparently the result of workplace conditions, either directly or indirectly, which is the prevailing and erroneous narrative."

Al-Mraikhi spoke about recent changes in his country, including the introduction of a wage protection system, improved living conditions and increased penalties for companies that violate rules.

"While the vast majority of workers in Qatar are fairly treated, we recognise that a minority are not.  That is why we are reforming labour laws and practices," he said in a statement.

As we wait at the airport, a Qatar Airways plane lands. At 7:40 pm, it is the last of three that depart and arrive every day. Before Qatar won the right to stage the FIFA World Cup in 2022 and embarked on a hugely ambitious, holistic construction plan to support it, it was a single flight a day.

Hundreds of passengers disembark from the plane. "They are mostly migrant workers returning home," an airport official tells us.

We spot a cargo worker transporting a bright red box carrying the body of Kishun. Even in a country where even a fight between two stray dogs can gather a sizable crowd, coffin arrivals don't seem to attract many spectators. The scene has become all too common.

The coffin is loaded on to a jeep provided for free by the Nepali government. We follow it on the journey to the family's village in Dhanusha district, a seven-hour drive from Kathmandu.

"Normally, vehicles are not allowed to drive on this highway after 8 p.m. because of the dangerous condition of some of the roads at night, but since I'm carrying a coffin, the police let me go," the driver of the jeep tells us.

The Nepali government has eight vehicles designated to deliver coffins. They're kept busy.

"They call me the coffin guy," the driver says with a dark smirk.

At around 1 a.m., we stop at a roadside shack. All of us eat except for Das' brother. "I'm mourning. For religious purposes, I need to remain pure. So, I can't eat anything," he says.

I see him buying alcohol shortly after.

"I'm too stressed because of my brother's death. I need to comfort myself."

Back in Qatar, where alcohol is banned, he and his friends manage to fulfill their needs courtesy of the local black market, he tells us.

"It (the alcohol) is of very poor quality, but that is our only option," he adds.

Even before we arrive at the village just at the break of dawn, we hear the howling. Dozens of villagers have already gathered at Das' home.

His father cries out in agony, "Hey Lord, what have you done?"

Then he faints.

All the family members shout at the coffin. The wailing and shouting is almost deafening. And it goes on for hours.

As a journalist working in South Asia, I have seen a lot of desperation and misery. But the screeching was so intense; it's something I will never forget.

"He alone was taking care of his parents and his family. How will they survive now?" a villager asks.

Most of the spectators are women. Most of the men from the village have gone to the Middle East to work. The few who are left behind start preparing for his cremation.

Mishra, the former ambassador, says 55% of Nepali migrant workers deaths in Qatar are from "sudden" cardiac arrest, 20% die from work-related accidents, 15% from traffic accidents and an alarming 10% commit suicide.

Nepali government records show more than 290 workers have died in the Gulf state in the past 420 days.

Put another way, two Nepali workers die in Qatar every three days. These are young men dying in the prime of their life.

"The cause of deaths needs to be investigated properly, and urgently," Mishra says. "In general, it is due to tension led by exploitation, adverse climate, poor working and living conditions and alcoholic intoxication."

In Das' village, almost all the men we meet have spent time working in the Middle East. Many had recently returned from Qatar. They tell stories of hardship and of the deaths of their co-workers. Time and again, none of them seems to be convinced with investigations into their friends' and compatriots' deaths.

And again, amongst the keening and wailing of his distraught family, no one is sure how Kishun Das, brought back home in a red coffin along hazardous roads, met his end in Qatar.

@highlight

A spokesman for the Qatari labor ministry details recent changes to the law

@highlight

Each week, the bodies of dozens of migrant workers are repatriated to Nepal

@highlight

The body of one man, Kishun Das, is returned home as his family mourns