(CNN) -- In a rare move, a senior cardinal spoke before the pope's Easter Mass address at the Vatican on Sunday, saying the pontiff maintains the support of Catholics around the world "who do not let themselves be influenced by the gossip."

"Today, with you are the cardinals from the Roman Curia, all the bishops and priests around the world," said Cardinal Angelo Sodano, former Vatican secretary of state and the dean of the College of Cardinals.

Speaking at the beginning of the Easter Sunday ceremony, Sodano did not specifically mention the sexual abuse scandal that has engulfed the Catholic Church in recent months.

But his remarks clearly referred to those who have criticized Catholic leaders, including Pope Benedict XVI himself, for not having done much more during his years as a top official.

Sodano said the pope has the support of those who work in schools, hospitals and care centers, including 400,000 priests.

"Also with you are the faithful who do not let themselves be influenced by gossip," Sodano said in Italian, using the word "chiacchiericcio," which means chatter or gossip. "May the Lord continue to sustain your mission at the service of the church in the world."

In his Easter message, the pope did not address the scandal that encompasses high-profile abuse cases in several countries including Ireland, France, the United States, Mexico and his native Germany. More and more people have come forward complaining that as children they were victims of abuse by religious leaders, and that the church did little or nothing to stop it.

Some Catholic leaders took the opportunity Sunday to condemn the Roman Catholic hierarchy.

"The lives of survivors of child sexual abuse, the faith of members of the church, and the credibility of church leadership have all been wounded grievously by the evil deeds of priests and religious who exploited their position to wreak havoc on the lives of helpless children. Those wounds were aggravated by serious mismanagement on the part of bishops and other leaders in the Church," said Irish Cardinal Sean Brady in his homily.

He apologized to victims and vowed to do his part to keep the safety of those in the church his overriding concern.

In a letter last month, the pope said he was "truly sorry" for the abuse suffered by victims at the hands of Catholic priests in Ireland.

Also Sunday, Belgium's top Roman Catholic bishop addressed the scandal. "Through a guilty silence, we often preferred the reputation of certain men of the church to the honor of these abused children," said Andre Joseph Leonard, archbishop of Mechelen-Brussel. "Here, as well, we must, by the force of truth, give dignity back to those who were so atrociously exploited."

German Archbishop Robert Zollitsch also brought up the scandal in his Easter address, saying, "We need to go down the path together and take into full view the unfathomable occurrences, the horrible crimes, the dark sides of the church and the dark parts in ourselves. But we cannot leave it at that alone. We need a new beginning."

In a message Friday on the Web site of the Archdiocese of Freiburg, Zollitsch expressed "sadness, horror and shame," as well as his "disappointment over the painful failure of the offenders, and that the victims weren't helped enough because of the misplaced concern about the reputation of the church."

The Archdiocese of Munich and Freising -- once headed by Pope Benedict XVI -- has been criticized for ignoring warnings to keep one of its priests away from children despite the man having been convicted of pedophilia.

The priest, the Rev. Peter Hullermann, was convicted of abusing minors in 1986, but was later allowed to continue his priestly work and to deal with children. A new allegation of abuse recently surfaced against Hullermann, dating from 1998 in the town of Garching.

Cardinal Friedrich Wetter, archbishop at the time, has apologized for allowing Hullermann to work in the town after his conviction.

The German Diocese of Regensburg confirmed last month that four Catholic priests and two nuns have been accused of sexually abusing children. Five of the cases are from the 1970s and one is from the 1980s. German lawyers representing alleged victims say there are more than 300 cases across Germany. Some of the cases date back to the 1950s.

A few priests have called for the pope to step down.

"The ever growing sexual abuse scandal in the Catholic Church has now reached the doorstep of the Vatican. Cardinal Joseph Ratzinger, now Pope Benedict XVI, knew -- or should have known -- about pedophile priests under his authority," the Rev. Roy Bourgeois of Columbus, Georgia, said Friday.

While the Vatican has emphasized Benedict's concern about the scandal, the pontiff focused his Easter remarks on other issues. Citing the story of the Exodus, he said, "In our days too, humanity needs an 'exodus', not just superficial adjustment, but a spiritual and moral conversion. It needs the salvation of the Gospel, so as to emerge from a profound crisis, one which requires deep change, beginning with consciences," Benedict said.

He mentioned several of the world's leading international crises, praying for an exodus from war and violence in the Middle East and an end to suffering for Christian communities, especially in Iraq.

"May the risen Lord sustain the Christians who suffer persecution and even death for their faith, as for example in Pakistan," he said.

He cited the "dangerous resurgence" of drug crimes in Latin America and the Caribbean, the "appalling tragedy" of the earthquake in Haiti, and the "grave catastrophe" of the quake in Chile.

"In the strength of the risen Jesus, may the conflicts in Africa come to an end, conflicts which continue to cause destruction and suffering," the pope said, adding, "In particular I entrust to the Lord the future of the Democratic Republic of Congo, Guinea and Nigeria."

He prayed for all countries affected by terrorism and discrimination, and touched on the financial crisis as well. "To the leaders of nations, may Easter bring light and strength, so that economic and financial activity may finally be driven by the criteria of truth, justice and fraternal aid."

Concluding his annual "Urbi et Orbi" -- "To the City and to the World" -- address, Benedict added, "Easter does not work magic. Just as the Israelites found the desert awaiting them on the far side of the Red Sea, so the Church, after the resurrection, always finds history filled with joy and hope, grief and anguish. And yet, this history is changed, it is marked by a new and eternal covenant, it is truly open to the future."

@highlight

NEW: Some Catholic leaders condemn church hierarchy in wake of abuse scandal

@highlight

Cardinal says pope has support of the faithful, including 400,000 priests

@highlight

Cardinal Angelo Sodano spoke before Vatican's Easter Mass ceremony

@highlight

Pope's Easter message asks God's help with international crises, disasters