(CNN) -- The United States and Yemen are taking on Islamic militants on the land and from the air amid fears that al Qaeda is exploiting the political chaos and leadership vacuum engulfing the unstable and impoverished Arabian Peninsula country.

Yemeni government forces are trying to wrest the southern town of Zinjibar from Islamic militants, and an American official said U.S. military-led airstrikes have resumed and top insurgents have been killed.

U.S. drone strikes had been conducted in the past in Yemen, but they had paused amid the unrest. CNN National Security Contributor Fran Townsend, a former Bush Homeland Security adviser, said the current airstrikes are an "indication of the strength and confidence" President Barack Obama has in the CIA, which directs the strikes.

"I think it's a resumption," Townsend said of the airstrikes." And I do think it appears to be an intensification. Some of that may be based on the threat environment and better intelligence."

Widespread tumult has engulfed Yemen for months, with thousands of demonstrators who oppose the rule of President Ali Abdullah Saleh urging the president's departure.

In recent weeks, anti-government tribal forces have battled with troops, and last Friday, the presidential compound was attacked, injuring Saleh and other senior officials, who were taken to Saudi Arabia for treatment.

A six-nation Gulf Arab alliance has tried to broker a government-opposition agreement that would lead to Saleh's departure, a move that could end the conflict. That initiative has fallen through, but efforts have re-emerged to end differences.

State-run TV reported on Thursday that "the deputy ministry of information calls upon the brethren in the opposition to arise to a level of positive thinking that will heal the wounds and restore the trust among all the players of the political process."

But Saleh long has been mired in another struggle -- the fight against al Qaeda in the Arabia Peninsula, al Qaeda's Yemen wing, and he has been a key ally of the United States in the fight against the militant group.

"The Yemeni government has a strong partnership with the U.S. government, especially in the field of counterterrorism," said a Yemeni government official who has asked not to be named because he is not authorized to speak to the media.

Both Yemen and the United States have envisioned a nightmare scenario of AQAP taking advantage of the civil strife and exploiting the absence of Saleh and other top officials.

A U.S. military official with knowledge of the Yemen campaign told CNN that U.S. military-led air operations recently resumed after a pause of some months and a top militant may have been killed.

Abu Ali al-Harithi, "described as one of the most dangerous al Qaeda commanders in Shabwa province," has been killed in Yemeni security operations, state-run TV reported Thursday, citing an official military source. The New York Times reported Thursday that American jets killed al-Harithi in an airstrike last Friday.

The U.S. official also said the United States believes it probably killed al-Harithi in an airstrike in southern Yemen in recent days. But he cautioned its "very difficult" to confirm the killing.

That official said the United States had paused airstrikes because it "didn't have faith in the information available," to target individuals in Yemen during that time. But the official could not say what led to the improved intelligence picture.

Last month, a U.S. drone strike attempted but failed to kill Anwar al-Awlaki, the American-born radical Muslim cleric who moved to Yemen and has become a key figure in al Qaeda in the Arabian Peninsula.

That attack came after the U.S. military swooped into a compound in Abbottabad, Pakistan, on May 2, and killed al Qaeda leader Osama bin Laden.

Townsend said AQAP is dangerous and the administration is rightly concerned, noting that the chaos in Yemen "benefits our enemies and not us."

The official Yemeni source cited by state TV reported other deaths in security operations, such as "the killing of various commanders and members of al Qaeda in Abyan province."

People killed in operations included the "media official of the organization, Ayman Al-Masri, and the terrorist Ali Saleh Farhan, the commander of the organization in Marib province."

Meanwhile, fighting continued in Zinjibar, an Abyan province town that had been taken over by militants. The state TV report said the government had ousted militants from the town.

"The heroes of the armed forces and with the help of the noble residents managed to clear the city of Zinjibar and caused al Qaeda serious losses in lives and weaponry," the state-run TV report said.

Earlier, a senior security official loyal to the Yemeni government told CNN that nine Islamic militants and four Yemeni soldiers were killed in clashes overnight in Zinjibar.

Medical officials in Razi hospital near Zinjibar said Thursday that more than 40 people entered the hospital, all with wounds from bullets of explosives.

"Dead bodies are still in the streets of Zinjibar, but residents have evacuated the city, leaving those injured with no one to take them to the hospital," a medic at the hospital said.

Recently, a U.S. official told CNN that AQAP is trying to position itself for greater power and influence, a sign of an evolving power struggle in the militant group since the killing of Osama bin Laden.

"They are using the death of bin Laden as a way to bolster their own image," the U.S. official told CNN. The source declined to be identified because of the sensitive intelligence information that has led to this assessment.

There's a strong AQAP presence in Abyan, and the United States has long felt that the group is a growing threat.

"They are clearly trying to improve their capabilities," as they were even before bin Laden's death, the official said.

He noted the death of bin Laden, coming on the heels of the growing civil unrest in Yemen, gives the group the opportunity to both bolster its image and operate more freely.

"We have seen a steady progression of al Qaeda presence in Yemen and efforts by them to organize and become more efficient," the official said.

As for Saleh -- wounded when the mosque at the presidential compound in Sanaa was attacked during Friday prayers -- Tareq al-Shami, the ruling party spokesmen, said the president will be back in Yemen "within days and is now in very good health."

The future of Yemen's government remains in question.

"We don't know who will emerge in power," said Anthony H. Cordesman, who holds the Arleigh A. Burke chair in strategy at the Center for Strategic and International Studies. "We don't know what kind of power vacuum will exist" and how much it can be exploited, he said.

"We're not likely to see a stable Yemen in the near future."

CNN's Joe Sterling contributed to this report

@highlight

Yemeni forces are trying to wrest the southern town of Zinjibar from Islamic militants

@highlight

The United States believes one of "most dangerous al Qaeda commanders" was killed

@highlight

A Yemeni official urges the opposition to help "heal the wounds and restore the trust"

@highlight

President Saleh will be back in Yemen "within days," an official says