For 17-year-old Madeleine, sunset brings fear. "People prowl around the camp at night," she says, sitting on her straw bed in the makeshift camp she is forced to call "home."

Refugees have been fleeing fighting between renegade militia groups in eastern Democratic Republic of Congo.

"When I'm alone in my shelter at night, people come by and pull up the blanket over the door. They look at me, and won't answer when I ask who they are. I'm completely scared."

Just four weeks ago, Madeleine was forced to flee her village in the east of the Democratic Republic of Congo, walking 24 hours to get to Bulengo camp, on the outskirts of Goma town. She had been raped by two rebel militia men who attacked her while she was working in the fields.

"Each one took me," she says. "I stayed for one week at home, bleeding. I couldn't walk. Then my father threw me out because he thought I was pregnant and carrying an enemy child."

Madeleine's story is run of the mill here. The pain she feels does not mark her.

For the past two months a steady stream of adults and children has been arriving here, trying to escape the vicious fighting between renegade militia groups that seems, once again, to be engulfing parts of eastern Democratic Republic of Congo.

Around 40,000 are now crowded into Bulengo. Another 136,000 have fled to other camps around Goma and into Uganda, and the numbers are continuing to rise. The all-too-familiar cycles of destruction, rape and violence that have plagued this vast country for the past ten years, leaving more than four million dead, seem to have returned.

In September last year, to much fanfare, the country held its first democratic elections. Observers hoped that for the first time, Congo's history of bad government and rebellious factions could be put to rest. But for those living in the still-lawless east, there has been no such relief.

"Many of us have never re-found life," says Benjamin Mafuluko Mugaliya, the secretary of Mugunga 2 camp, five minutes drive from Bulengo. "People are suffering terribly. The soldiers come and burn our houses, separate families and kill. It is getting worse and it is very frightening"

He stands behind a battered table - there are no chairs - in a small hut he uses as the camp's headquarters.

"It's not safe for us here. We've had cases of cholera, dysentery, and there's no medical centre. The facilities here are terrible. This camp has been here for five months and it was only last week that we got a water pump."

Even basic shelter is still a problem for the 16,000 living here.

"Two-thirds of the families still don't have plastic sheeting to protect them from the cold and the rain," says Mugaliya. "And there aren't enough clothes. We try to protect the children, but it's difficult, especially when they're going out into the village to try to earn money. They are being exploited inside and outside the camp. It's very frustrating not to be able to act."

A straw pole among the kids at the water pump affirms Mugaliya worries. "Look at me, I'm dirty," confides eight-year old Vivian, a square-shouldered little boy wearing a filthy grey t-shirt.

"We get wet when it rains," adds 12-year-old Chantale, who lives, as do most in the camp, under a cramped shelter made of branches and banana leaves.

"And we're just hungry. We have to start our life every day without eating or drinking."

The biggest complaint, however, is boredom. "We don't do anything," says nine-year-old Paul, chewing a piece of plastic. "We want to go to school, we want school desks and books and uniforms. But there is nothing for us."

Angelique Myirasafari is a social worker with aid organisation Save the Children, which is working with children in the camps around Goma.

"We help look after children who have been separated from their families, listening to their stories, helping them to get medical care, trying to trace their parents," she says.

"Sometimes you can't believe the stories you are hearing. These children have gone through so much. Many of the children we are working with have been forced to fight as soldiers, both boys and girls. They are captured in their villages by militia, tied up and sent to kill on the front line."

She breaks off to talk to a teenage boy who has arrived at the tent door, clearly ill, his face running with sweat. When she returns, she continues.

"After more than ten years of fighting it feels like the country is on the brink again, and it can't be allowed to happen. The international community has a responsibility here, to make sure all the military leaders come together to find a peaceable solution."

She waves her arm towards the door. "These kids are desperate to be at home with their families, going to school, and to be responsible for their own lives. They tell me they want to be pilots, doctors, even drivers with big cars. If steps aren't taken now to calm this conflict, they're going to be the biggest victims."

All the names of the children in this article have been changed to protect them from persecution.  E-mail to a friend

@highlight

Fighting continues between militia groups in eastern Democractic Republic of Congo

@highlight

Life in refugee camps in the east of the country is harsh and dangerous

@highlight

A generation of child soldiers is growing up among violence