(CNN) -- Last week, Iraq's second-largest city of Mosul fell to the Islamic State in Iraq and Syria, or ISIS. In a few hours, the city's security forces had dropped their weapons and uniforms and fled. Since then, the militants introduced a political charter in Mosul and marched south, seizing additional towns en route to the capital, Baghdad.

In taking Mosul alone, ISIS gained as much as $425 million in cash, an unspecified quantity of gold bullion, huge amounts of light and heavy weaponry (mostly U.S.-made) and probably hundreds of new recruits from three main detention centers, all which were overrun.

This Iraq-based offensive has been coming for at least two years. After the last American military personnel withdrew from Iraq on December 31, 2011, the then-Islamic State in Iraq began its gradual but determined recovery -- befitting the organization's mantra of baqiya wa tatamadad ("lasting and expanding"). The strategy was meticulously planned and carried out in clear stages.

Principally, in Iraq these militants (ISIS since April 2013) have spent two years breaking senior leaders out of prison and re-establishing a professional command and control structure; expanding operational reach, including into Syria, and exploiting rising Sunni discontent with the Shiite-led government of Iraqi Prime Minister Nuri al-Maliki, thereby encouraging sectarianism.

It has expanded extensive underground networks in Sunni strongholds, particularly Mosul, Baghdad and Anbar province; stepped up coordinated, often near-simultaneous bombings; and debilitated Iraqi security force capacity and morale through a concerted campaign of intimidation and assassination.

ISIS has substantial roots in Mosul, where it managed to remain a potent force during and after the U.S. troop "surge." The group has recently been raising $1 million-$2 million per month in Mosul through an intricate extortion network. This reality, plus Mosul's proximity to ISIS positions in eastern Syria, made the city a natural launching ground for this shock offensive in Iraq, which is ultimately aimed at Baghdad.

But this is not all about ISIS. Many other armed Sunni actors are involved in what has become, in effect, a Sunni uprising -- groups such as the Jaysh Rijal al-Tariqa al-Naqshbandia, Jaish al-Mujahideen, Jamaat Ansar al-Islam, Al-Jaish al-Islami fil Iraq and various tribal military councils.

ISIS may be the largest force involved (with about 8,000 fighters in Iraq), but it is far from sufficient to take and hold multiple urban centers. It is still totally reliant on an interdependent relationship with what remains a tacitly sympathetic and facilitating Sunni population. But this "relationship" is by no means stable and should not be taken for granted. The militant group has consistently failed to retain popular support, or at minimum, acceptance.

Mosul residents might be praising the current stability and ISIS-subsidized bread and fuel prices, but once the public flogging, amputations and crucifixions begin, this may well change. In fact, it is not surprising that tribal elements are already preparing to force ISIS from captured areas.

The militants' prospects are also dependent on the government and its supporters continuing to advance sectarianism -- something that encourages Sunni actors to accept ISIS. Unfortunately, this apparent sectarianism has been consolidated in recent days with al-Maliki's call for a "volunteer army" encouraging the further reconstitution of the Asa'ib Ahl al-Haq, Jaish al-Mahdi and the Badr Brigades (three Shiite militias active during the U.S. occupation of Iraq, which appear to be receiving a new boost in recruitment).

Further calls by Muqtada al-Sadr to form "Peace Battalions" and by the Shiite community in Diyala to form "Peace Committees" -- as well as Grand Ayatollah Ali al-Sistani's call for Iraqis to take up arms against ISIS -- have increased the perception of sectarianism inside and outside Iraq.

Iran's role is crucial. Already, the commander of Iran's external Quds Force, Qassem Suleimani, is in Baghdad, and Iraqi sources have reported 500 Iranian Revolutionary Guards Corps personnel arriving in the capital and, allegedly, 1,500 Basij militiamen (Iranian paramilitary force) in Diyala.

As such, it seems wise at this point for the United States not to get actively involved militarily in Iraq but to focus on containment and intelligence collection. The conflicts in Iraq and Syria are intricately linked -- to act on one and not the other would be a strategic misstep.

Last week, the Iraqi insurgency was just that, an insurgency. Fighters carried assault rifles and drove pickups mounted with heavy machine guns, while others drove civilian cars and minivans. Anti-tank weaponry was minimal (but growing, thanks to Syria), and anti-aircraft weapons were confined to guns and a small number of aging SA-7 man-portable air-defense systems.

In addition to massive quantities of small arms and ammunition, this latest offensive has seen ISIS reportedly seize dozens of U.S.-made armored Humvees and military transport vehicles, American M198 howitzers and possibly even helicopters. There have been reports that other Sunni groups have seized more than a dozen armored personnel carriers and tanks. There can be no underestimating the impact this will have upon Iraqi instability.

But this is not just about Iraq. Within 12 hours of seizing Mosul, there were reports that ISIS transferred Humvees, manpower and other weaponry into eastern Syria. Meanwhile, on Thursday, a human rights group reported that Syria-based al-Nusra Front crossed with other Sunni groups into Qaim in Iraq's Anbar province and captured several Humvees.

Opinion: Bush's toxic legacy in Iraq

The Iraq-Syria border is therefore increasingly immaterial -- conflict on both sides of the border has become inherently interconnected. As the only group genuinely operating on both sides of it, ISIS maintains an overarching strategy (aimed toward establishing a unitary Islamic State and the Levant), whereby operations in Syria and Iraq feed off one another. Considering recent events and its march to Baghdad, this objective might not be so inconceivable.

But beware of coming to too simplistic a conclusion. ISIS' self-interested pursuit of its absolutist ideals has made it countless enemies in Syria, and it will face huge challenges to avoid a similar fate in Iraq. Nonetheless, whatever its fate, ISIS represents a formidable force with an ever growing membership.

This latest offensive is arguably the most significant event in Sunni jihadism since 9/11. Having already challenged al Qaeda's ideological legitimacy, ISIS has now underlined its perceived military superiority to a receptive younger and more fanatical generation of potential recruits around the world.

While al Qaeda and its affiliates are embracing a more patient locally focused strategy, ISIS manifests a determination for rapid, dramatic results. It's certainly just shown these in Iraq. But whether this will prove a more effective long-term strategy remains to be seen.

@highlight

Charles Lister: ISIS gaining recruits, cash and weapons in inevitable offensive in Iraq

@highlight

Lister: ISIS gains from what has become a Sunni uprising, but its ties to Iraq's Sunnis unstable

@highlight

He says once ISIS brutality starts, support may change and ISIS will be forced back

@highlight

Lister: ISIS a formidable, fanatical force bent on rapid results but may fail in long term