(CNN) -- During the Olympic Games in London, which will end with Sunday's closing ceremony, there have been many memorable moments:

The triumph of Michael Phelps.

The dazzling talent of Gabby Douglas.

The countless displays of lustrous skills honed by the world's finest young athletes over years of arduous practice.

But one of the most lasting memories may be the one provided by an 86-year-old woman who was not exactly an obscure footnote to history when the Games began.

Queen Elizabeth II, in her now-famous James Bond scene, was a highlight, if not the highlight, of the opening ceremony. Her deadpan grace was something that many an accomplished actor would envy.

With four words, delivered to an enormous global audience, she, with an implied smiling wink, humanized herself and embodied winning warmth. The filmed scene will always be a hallmark of the 2012 Olympics (the stunt double jumping out of the helicopter -- who would have imagined that she would have approved it?).

These vastly entertaining television Olympics really began with those four words from her:

"Good evening, Mr. Bond."

As the queen turned from her writing desk to greet James Bond, played by the current Bond actor Daniel Craig, her calm tone of voice reminded me of the lovely scene in the movie "The Queen," in which Helen Mirren, playing Queen Elizabeth, says to Michael Sheen, the actor playing Tony Blair:

"Yes, well, you are my 10th prime minister, Mr. Blair. My first, of course, was Winston Churchill."

London 2012 legacy: Trust the British to get it right

In greeting Daniel Craig in the Olympics scene, the real queen, in that utterly polite but manifestly unimpressed voice, could just as well have been saying:

"Yes, well, you are my seventh James Bond, Mr. Craig. My first, of course, was Sean Connery."

(For those of you who are already thinking that there have been only six feature-film Bonds -- Connery, George Lazenby, Roger Moore, Timothy Dalton, Pierce Brosnan and Craig -- you are leaving out David Niven, who played Bond in a less-than-officially-authorized "Casino Royale" in 1967. And there have been other Bonds in various radio and television productions.)

Queen Elizabeth has been around for them all. In fact, she was already wearing the crown when, in 1953, Ian Fleming published his first Bond novel, "Casino Royale." The films that were inspired by Fleming's books have been a strong, hugely popular and endlessly lucrative franchise, but there is a case to be made that the novels are even better. Just reading the opening words of "Casino Royale" is a lesson in beautiful scene-setting, the flawless introduction of a brand-new character:

"The scent and smoke and sweat of a casino are nauseating at three in the morning. Then the soul-erosion produced by high gambling -- a compost of greed and fear and nervous tension -- becomes unbearable and the senses awake and revolt from it.

"James Bond suddenly knew that he was tired. He always knew when his body or his mind had had enough and he always acted on that knowledge. This helped him to avoid staleness and the sensual bluntness that breeds mistakes. ..."

Opinion: London Olympics have redefined how Britain sees itself

The novels still read thrillingly today (here's a tip: the best of them is "On Her Majesty's Secret Service"), but there is no question that when the movies came along, they overshadowed Fleming's ink-on-paper volumes. This Diamond Jubilee year commemorating Queen Elizabeth's 60-year reign is also the 50th anniversary of the Bond films, starting with "Dr. No," and the series is receiving renewed attention.

In the 1980s I spent a day with Connery -- he was filming "The Untouchables" with Robert De Niro and Kevin Costner -- as he left the set to go to several appointments with doctors. It turned out that for all his daring exploits in the Bond movies, he was deathly afraid of needles (as a child he had seen from eye-level and inches away a girl from his class in Scotland getting inoculated during a diphtheria outbreak, and "the fear of needles has been with me ever since.")

Of Fleming's Bond novels, Connery said: "To tell you the truth, I never read them all." Of the ones he did read, he said, "I was never all that crazy about the books." But the author himself? "I liked Fleming," Connery said. "He was erudite -- and a real snob. Being a genuine snob can be quite healthy. At least you know who you're dealing with.

"We got along rather well, surprisingly. We had both been in the Royal Navy -- although he was a commander and I was an able-bodied seaman."

By the time Daniel Craig was born in 1968, Connery had already starred in five Bond films. Connery told me that he approved of the idea of new generations of actors playing Bond as the years went by -- "The guy should be young. Or at least under 50" -- and so it was Craig, as the contemporary Bond, who co-starred with the queen in the Olympics film.

To look at Craig's face after the queen turns and sees him -- "Good evening, Mr. Bond" -- is to see Craig the man, not just Craig the actor. He knows just how indelible a moment this is in his own life.

He's doing a scene with Queen Elizabeth -- and she is the reveal, not him.

In the Bond movies, it's the Bond character who, sometimes literally, always symbolically, makes the turn, and reveals to the audience who he is: "Bond. James Bond." But in the Olympics film, the queen, as Craig clearly and delightedly understands, is the actor the audience's eyes are fastened upon.

Not bad, at 86. And, as enduring Olympic moments go, gold. Pure gold.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: One of the most memorable Olympic moments wasn't in a sporting event

@highlight

He says the video of Queen Elizabeth and James Bond actor Daniel Craig was striking

@highlight

This year celebrates the queen's 60th anniversary on the throne and Bond's 50 years in films