(CNN) -- Fallujah and Ramadi may have been sites of heavy bloodshed in recent days, but the Sunni Muslims of Iraq's Anbar Province, where the two cities are located, have long held a contemptuous attitude towards the embattled government of Prime Minister (and Shia Muslim) Nuri al-Maliki.

Iraqi politics and many aspects of economic and social affairs have come to be dominated by antagonistic relationships between the country's Sunni and Shia populations. Nowhere is that more evident than in Anbar. For all intents and purposes, Fallujah and Ramadi are now out of the control of the central government and are now ruled under the authority, to differing degrees, of Sunni militiamen, local (tribally influenced) police, and extremist militants from the Islamic State in Iraq and Syria, or ISIS.

READ MORE: Maliki demands Fallujah expel "terrorists"

Having already launched a substantial military offensive targeting ISIS in Anbar's desert terrain on December 23, the Iraqi Army has now shifted much of its attention towards securing the province's key towns and cities.

Arresting Ahmed al-Alwani, a powerful Sunni MP from Ramadi -- and killing his brother Ali -- on December 28 enraged the people of Anbar. But the coordinated military operation to shut down the city's expansive anti-government protest camp two days later was simply one move too far.

Most tribes issued calls to arms and demanded the withdrawal of all federal armed forces from the province. Heavy fighting soon followed, the army withdrew personnel from all cities, and the convoys of heavily armed ISIS militants streamed into Ramadi and Fallujah, where security resistance was quickly subdued.

As things stand today, the army stands poised to launch a major assault on Fallujah, where ISIS militants and local tribesmen are now the predominant force. Meanwhile in Ramadi, Sunni tribesmen -- particularly from the Albu Bali and the Al-Ghanim tribes -- have taken a more pragmatic approach and cooperated with local security forces in limited operations against ISIS militants.

READ MORE: 5 things to know about Iraq crisis

Iraqi security was in dire straits well before the outbreak of deadly violence in Anbar. 2013 has been the deadliest year in Iraq since 2008. Much of this can be attributed to ISIS' rapid escalation of operations in Iraq, which has undoubtedly been aided by its expansion into Syria's civil conflict in April 2013. And with Iraqi elections scheduled to take place in April, Prime Minister Maliki is likely feeling pressure to present a strongman image, particularly to his core Shia constituents.

At times in recent months, Maliki has adopted sharply sectarian rhetoric when referring to Sunni elements opposed to his government and has often presented the Sunni protest movement (including the Ramadi camp) as inherently connected to al Qaeda. With no substantive evidence to back these claims, it increasingly appeared that "al Qaeda" was being used as a political tool.

This is not in any way to suggest ISIS (a structure that in fact ceased to officially be "al Qaeda" in 2007) does not pose a threat; quite the contrary. But tribes wield great influence in Anbar, and their dominant position within local security forces -- particularly the police -- meant ISIS had previously been restricted to an existence in the desert.

Ironically, it was probably Maliki's crackdown on the Ramadi protest camp and the botched arrest of Ahmed al-Alwani that created the conditions for ISIS militants to move into the cities. But they're not the only force on the ground. In Fallujah, defected local police personnel and armed tribesmen opposed to the federal government arguably represent the superior force.

For Maliki, neutralizing the protest movement before the elections was of paramount importance. Exploiting the threat of ISIS in order to exert military authority over the heavily tribal Sunni heartland of Anbar was a bold move. And the deployment of large numbers of army personnel from the predominantly Shia provinces of Maysan, Dhi Qar and Basra underlines the need to bring fiercely loyal forces into what will inevitably become a bloody fight.

READ MORE: Tribesmen join in fight against al Qaeda

Fallujah now looks set to be the major flashpoint. While the military assault on the city has been temporarily suspended to allow for tribal negotiations to take place, at least some measure of military assault appears inevitable. It is likely the army will employ air strikes, artillery and mortar fire in preparation for a ground assault. Unfortunately, such tactics tend to incur heavy civilian casualties, which will only fuel greater anti-government sentiment and encourage tribal hostility.

As U.S. and coalition forces discovered to their grave dismay in 2004, a siege of Fallujah won't end in days or weeks. Given the inherently social-level aspect of the tribal opposition to Maliki's government and the complexity of defeating any insurgent group in an urban environment, army forces will likely be deployed in and around Anbar's urban centers for some time to come -- risking prolonging tensions even further in the process.

Considering the overwhelming attention given to the role of ISIS role in this grim state of affairs, it is unsurprising that U.S. Secretary of State John Kerry has pledged to support Maliki's offensive in Anbar -- albeit not with troops on the ground.

The U.S. sent 75 Hellfire air-to-ground missiles to the Iraqi military in December and has pledged to accelerate the sale of a further 100 this spring. U.S. ScanEagle and Raven reconnaissance drones are also set to bolster the army's capability to combat terrorism.

This may be a reasonable policy on paper, but when placed within recent geopolitical dynamics in the region it risks bolstering the widespread perception within the Middle East's Sunni communities that the U.S. has recently undertaken a fundamental policy shift -- now aligning with Shia powers at the expense of Sunni ones.

The September 14 deal agreed between the U.S. and Russia on Syria's chemical weapons -- not to mention the interim nuclear deal the U.S. signed with Iran two months later -- has damaged U.S. relations with Gulf states and weakened U.S. relations with all sectors of Syria's opposition. The provision of sophisticated military equipment to the ultimately Shia-commanded Iraqi military, which is deploying Shia loyalist forces into a hostile Sunni tribal environment, risks further consolidating this emerging interpretation of international geopolitics.

Maliki may be heartened by an Iranian offer to provide military equipment and advisory support in Anbar -- a politically astute move by Iran -- but it certainly won't help the U.S. dispel the perception that it has to some degree switched sides.

For Maliki and Iraq, ISIS remains an extremely concerning problem. ISIS has now established an urban presence in Anbar -- particularly in Fallujah and, to a lesser extent, in Ramadi -- that must be overthrown. In this situation, and indeed in many in the Middle East, the tribes will play the role of kingmakers, and for those who have not already pragmatically sided with federal authorities, Maliki must change the perception in Anbar that he -- and not ISIS -- is their bigger enemy.

Crucially, local -- and not federal -- security forces enjoy productive structural links with the tribes, and should form the backbone of any urban fighting force in Anbar -- as already appears to be case in areas of Ramadi. If the army launches an all-out offensive on Fallujah, ISIS will likely be the main benefactor.

Ten years ago, the U.S. military led two major offensives on militants in Fallujah. While the actors may have changed or evolved since, history appears to be repeating itself.

The opinions expressed in this commentary are solely those of Charles Lister.

@highlight

Recent fighting in Anbar province poses serious challenge to Iraqi government

@highlight

Al Qaeda-linked militants reportedly fighting alongside tribal leaders in Fallujah

@highlight

2013 was deadliest year in Iraq since 2008

@highlight

U.S. and coalition forces suffered some of worst losses during Iraq War in Anbar province