(CNN) -- Russia's seizure of Crimea last month may have unfolded with a lightning quickness, but Vladimir Putin and the West are now engaged in a much slower match of wits on a chessboard stretching across most of eastern Ukraine.

Rather than going for checkmate, both sides now seem content to wait for the other to make a mistake. Putin made a strong first move by placing 40,000 troops on the border -- and separatists, who are not officially linked to Russia, on the ground in Ukraine.

Now Moscow is waiting for the pro-Western government in Kiev to try to retake the parts of the east it has seemingly lost. In Russia's eyes, any such move from the capital would legitimize an overwhelming counterattack -- a re-run of the Georgia crisis in 2008, when President Mikheil Saakashvili lost his nerve, shot first, and prompted a Russian invasion.

Putin's problem is time; he cannot wait forever to strike. Troops cannot remain ready for combat for many months at a time. Separatists in eastern Ukraine are lost without outside support, and may become nervous as time drags on without any glimpse of a light at the end of the tunnel.

On the other side of the board are U.S. President Barack Obama, German Chancellor Angela Merkel and Ukraine's fledgling government. The biggest challenge for Obama and his German counterpart is to keep a united Western front. They need to uphold a credible threat of massive economic sanctions that could undercut the Kremlin's funding if it doesn't toe the line.

But cracks in Western unity are visible everywhere. Europe may be concerned about Russian aggression in Ukraine, but the continent is dragging its collective feet on taking a more confrontational stance towards Putin.

Some nations fear Russian pressure, especially on their energy supply. Many are nervous about the price their own countries will pay as a result of tougher sanctions. And nobody is sure yet whether they're ready to abandon the idea of Russia as a vital partner.

Obama, on the other hand, is much more inclined to put the squeeze on the Kremlin. Washington is used to confrontation with Russia -- and with Putin, specifically -- and America is much less economically-connected with its old Cold War rival.

American leaders aren't motivated solely by their concern over eastern Europe and Russia reasserting itself as a more aggressive and expansionist power. The U.S. also wants to assert key norms of international order -- namely territorial integrity and the principle to change borders only with the consent of all parties.

Ukraine is also a welcome opportunity to signal to allies and rivals alike that America is not retrenching from its global engagements. The impact of the Ukraine crisis on China and the various territorial conflicts with its neighbors will also loom very large on the minds of policy makers in Washington.

But whatever the differences among U.S. and EU leaders, the more they act in concert, the better chance they have to achieve their goal: beating back Moscow's attempt to undermine Ukraine's sovereignty and territorial integrity.

The West also needs to make sure that Kiev's interim government doesn't lose its nerve. As hard as it is for leaders to watch pro-Russian separatists take over their buildings, any large-scale operation in eastern Ukraine could give Putin the opportunity he may be waiting for: invasion with some kind of dubious pseudo-legal cover.

It is difficult to say who is in a better position. Putin is a master tactician. Since his years as a KGB agent in Dresden in the 1980s, he has gained much expertise in finding and exploiting the West's weak spots. And he seems to have broad support at home for his confrontational brand of politics.

Putin's weakness is his regime's economic dependency on the West. Without the steady flow of income from the sale of gas and oil, brought under control of the Kremlin, the regime would not be able to buy support at home and to finance costly and risky foreign policy adventures.

The West has no appetite to confront Russia. But if Putin's tanks roll into eastern Ukraine out of the blue, without any pretense of legitimacy, he will turn Western opinion even further against him. This could give Merkel and Obama the necessary backing for tough sanctions.

If he is to achieve his main goal, which is to prevent Ukraine from associating closer with the West, Putin will have to move fast. He probably needs to have some kind of Russian presence inside Ukraine (apart from Crimea), as control over separatists in the east alone might not be sufficient or sustainable.

A full-scale crackdown by the Ukrainian government on separatists would give Moscow the cover to move some Russian troops as "peacekeepers" into eastern Ukraine. Once inside the country, another "frozen conflict" could be created which would destabilize the country and prevent Western attempts to help Ukraine to get on its feet. This would keep Putin's longer-term ambition -- to bring Ukraine into a Moscow-led alliance or federation -- very much alive.

If the Kremlin comes to the conclusion that the West wouldn't respond to such a move with painful sanctions -- ones that would damage Putin's inner circle and be strong enough to sap major sources of income for the Kremlin -- Putin might choose to move along such lines or in other ways.

But if the U.S. and EU demonstrate that they are truly ready to use economic warfare to counter the Russian military machine, the West may yet be able to deter Putin from going much further. Something has to give soon.

READ MORE: Ukrainian mayor shot as West prepares sanctions

READ MORE: Five ways the Ukraine crisis could end

The opinions expressed in this commentary are solely those of Ulrich Speck.

@highlight

Russia and the West locked in match of wits over eastern Ukraine

@highlight

Russia moved thousands of troops to border and is accused of stirring unrest in east Ukraine

@highlight

Speck: West must unite to pass severe sanctions on Russian regime

@highlight

Speck: Ukrainian government attempt to retake buildings could spark Russian invasion