Kathmandu, Nepal (CNN) -- Nepal has banned women under the age of 30 from working in Persian Gulf nations amid increasing concerns over abuse and exploitation.

Nepalese women are among thousands of Asians who travel to the Middle East in search of employment. They often arrive willingly, but subsequently face conditions that the U.S. State Department says is indicative of forced labor -- the withholding of passports, restrictions on movement, nonpayment of wages for work up to 20 hours a day, threats, deprivation of food and sleep, and physical or sexual abuse.

The age bar is aimed at preventing some of the abuse, Raj Kishore Yadav, Nepal's minister of information and communication, said Thursday. He said the hope is that the risks are lower with more mature women.

The Nepalese government says 58,000 Nepalese women are working in these Gulf states -- Saudi Arabia, Kuwait, Bahrain, Qatar, United Arab Emirates and Oman. However, human rights agencies estimate that number at about 200,000, saying that the official figure does not take into account all those who have traveled illegally, many through India.

Nepal had imposed a complete ban on women working in the Gulf states after the suicide of a domestic worker, but lifted those restrictions in 2010.

Read more: Burmese migrant workers dream of returning home

Recently, CNN spoke with a Nepalese woman who was beaten and raped by her employer in Kuwait and managed to escape to the Nepalese embassy. Kumari, who is not fully identified because she is a victim of sexual abuse, returned home pregnant.

"My landlord would beat me, they (he and his wife) both would beat me," she said. "My body would ache."

One day, she said, the landlord came home when the rest of the family was out, and called her into the bathroom. When she refused he came to her.

"He beat me up," she said. "First he covered my mouth so I could not scream." After he raped her, Kumari said, she asked for her passport. "He wouldn't give it to me," she said.

Human Rights Watch, which has documented abuse of Asian women workers in Middle Eastern nations, says Nepal's age limit policy does not go far enough to address the gravity of the problem.

"Imposing a ban on women under 30 from migrating to the Gulf fails to solve the underlying problem of how desperate women are for decent work," said Nisha Varia, senior researcher for the rights group's Women's Rights Division.

Varia said she once visited a hospital in Kuwait that had an entire ward devoted to domestic workers who had spinal cord and back injuries from botched escape attempts or attempted suicide from high-rise residential buildings.

Read more: Booming Brazil lures immigrant workers

She said the priority should be not to set limits but to work to improve working conditions and local justice systems.

"Instead of a blanket ban on its own women that denies them important employment opportunities, Nepal's government should work with other labor-sending governments to demand stronger protections for migrant workers in the Gulf," Varia said.

Migrant worker advocate Manju Gurung agreed.

"We are not happy with the decision," said Gurung, who heads Pourakhi, a Nepalese agency that promotes the welfare of women migrant workers.

"This is a protectionist approach," she said. "The government should negotiate with destination countries and have bilateral agreements. There is a demand for women workers."

About 2.5 million Nepalese who work abroad, other than in India, contribute 21.4% of the Nepal's GDP, according to the government. Remittances from the Gulf play a huge role in the Himalayan nation, where about 30% of the people are unemployed.

"The government is right to be concerned about abuse against migrant women, but the correct response is not to stop them from going, but to ensure they can migrate with guarantees for their safety," Varia said.

Journalist Manesh Shrestha reported from Kathmandu and CNN's Moni Basu, from Atlanta. CNN's Sara Sidner contributed to this report.

@highlight

Nepal's government hopes the risks of abuse will be lower with more mature women

@highlight

Widespread exploitation of domestic workers in Gulf states has been documented

@highlight

The ban does not solve the underlying problem, says a Human Rights Watch researcher

@highlight

A migrant workers' advocate says Nepal should ensure improved working conditions for women