(CNN) -- Kudos to the FBI and its partners for bringing needed attention to the neglected problem of juveniles engaged in prostitution. On Monday, they announced the results of Operation Cross Country, a coordinated multi-agency campaign in which 150 alleged pimps were arrested in a three-day sweep in 76 cities.

But it's a complex problem requiring a lot more than the arrest of pimps.

To combat this scourge, the public, the media and policymakers must better understand it. The stereotype is that criminally sophisticated exploiters are luring young girls into their clutches, trafficking them across the country and holding them in captivity through brutal intimidation. Such cases are only part of the reality.

There are many teens on the streets and on the Internet selling sexual services on their own without the involvement of any pimp -- 31% of cases in a recent national law enforcement survey fell into this category.

There are lots of boys in the trade, in addition to the girls, and most operate without pimps. Although this may not be typical of many cities, one recent massive effort to inventory the problem in New York City found nearly as many boys and girls.

Even for the girls with pimps, abduction and intimidation are not always the story. Teens who are prostituted may be attracted and bound to the life for the money, the perceived glamor, out of love for their pimp or allegiance to other girls or for a sense of family and security. They do not necessarily feel "rescued" when the law descends, and they often have nowhere else to be. Some go back as soon as they can.

We do need more law enforcement pressure on the pimps, on the sex sites and on the casinos, truck stops and motels where this crime occurs, and on the consumers who buy sex from underage youth. But other things are needed as well, programs that are not as compelling and easily funded as dramatic police raids.

We need ways of helping gay and transgender youth who are cast out of their families and communities and youth dealing with sexual abuse and other sexual trauma that so often pave the way into commercial sex. It means more mental health and social workers equipped and funded to work with this population.

We need better ways of identifying and treating youth with drug addictions, so they don't start selling sex to feed their habit.

We need vocational opportunities for marginal youth, so they don't see the sex trade as their only avenue to economic survival. These would be similar to the job skills training programs used with other children mired in the juvenile justice system.

We need more shelters for teens who have run away or have been driven out of their homes due to abuse or intolerable family conflict, so they are not hanging out in the places where exploitation begins. Such shelters could look like the transitional independent living facilities in cities such as New York.

We need more effective child abuse and neglect intervention programs and therapeutic foster homes since the child welfare system is the staging area for entry into prostitution for so many of the youth. The availability of therapeutic foster homes and highly trained parents, surrounded by intensive services, are proven methods to deal with the high rate of failure among abused teens who are placed in families.

We need support groups and rehabilitation programs for those trying to keep themselves from gravitating back to the life.

Unfortunately, these are not always easy youth to help. They are often angry, suspicious, traumatized, addicted, impatient, crime-involved, prematurely sexualized young people who do not endear themselves to police and would-be helpers. They may visit a counselor, try to go back home, sign up for help but too often they return to the trade or become entangled in crime.

Arrests make great publicity. But it is only through a multidisciplinary comprehensive mobilization of dedicated child welfare, social service, mental health, drug rehabilitation, educational systems -- working together with law enforcement -- that we will find a solution to young people being sold or selling sex for money and survival.

The opinions expressed in this commentary are solely those of David Finkelhor.

@highlight

David Finkelhor: FBI, partners arrest 150 alleged pimps in child prostitution sweep

@highlight

He says problem more complex than arrest of pimps -- many child prostitutes are free agents

@highlight

He says policies, policing must address root of problem: neglect, sexual abuse at home

@highlight

Finkelhor: Programs that provide rehab programs, support can help prevent youths reverting