(CNN) -- Before the light, the dark.

Ali Khousrof's training facilities are spartan. The building in Sana'a, the capital of Yemen, where the 23-year-old judo fighter is preparing for the London 2012 Olympics is small and gloomy. Electricity is intermittent; the elements rarely kept at bay by the potholed roof.

Poverty and poor training facilities are nothing new for thousands of athletes from the developing world preparing for the chance to realize their dreams of competing in an Olympic Games.

But Khousrof, like many others in the Arab world, has had to overcome much more than just challenging training conditions.

Last year he was shot in the abdomen whilst protesting against the rule of then President Ali Abdullah Saleh, who stepped down after hundreds of protestors were killed by his security forces. The bullet shattered inside him. He feared first that his Olympic dream, rather than his life, was over.

But after specialist treatment, Khousrof has returned, and has thrived in preparation for the biggest moment of his sporting life.

He is just one of hundreds of sportsmen and women who have battled to secure their place at the Olympic Games as revolution and war waged around them during the Arab Spring, toppling dictators from Tunis to Sana'a and giving them hope, for the first time, for a brighter future.

"These Olympics will happen while there will be a new president so it's a better feeling that gives a push to better represent our country," says Khousrof, who would protest every day against the rule of President Saleh until he was shot.

"I wish that our participation in the London Olympics be powerful and be competitive so we can represent Yemen in an honorable image."

After the Arab spring

For many athletes in the Arab world this will be the first time they represent their countries free from the tyranny of dictatorship. In the past, sporting glory produced conflicting emotions; on the one hand immense pride at flying the flag for their people; on the other revulsion that success would be exploited as a victory for the regime.

Wajdi Bouallegue knows that better than most. The Tunisian gymnast will travel to London despite fearing that he would never represent his country again. In 2009 he was handed a lifetime ban for insulting the former president Zine al Abidine Ben Ali.

"I tore the picture of the president right here," he says in his gym, pointing behind to the wall.

"There's a big photo of him and I tore [it]. I have some problems with the federation and I see the big photo of Ben Ali... I tore it. And then they stopped me for one year and a half."

Bouallegue, considered one of the greatest Arab and African floor specialists of all time, had previously traveled to Athens for the 2004 Olympics. Back then he felt the heavy hand of the regime looking for success and reflected glory.

"Every champion in all sports had a pressure," he says.

"If you have an interview you must thank the old president and after you can speak about your performance. (You) must thank the regime before the interview. It's crazy but it's the reality."

The president's men

Eventually Bouallegue was asked back to the team, but only out of desperation when the sporting authorities realized they had no gymnasts for the 2010 Africa championships. He refused owing to them keeping the life ban on his coach, who is also his father.

"Now I think only of my flag, my country and I am happy that my father is always with me to make this performance, because I cannot image another coach but him."

It was in Tunisia that the Arab Spring began, and Bouallegue was soon drawn into the chaos, patrolling outside his building after joining a neighborhood militia.

Just 28 days later Ben Ali was gone, exiled to Saudi Arabia after over two decades in power. Bouallegue could not believe it had happened so quickly, and that he was free once again to visit the gym, his gym, and dream of the Olympics once again.

"When we wake up, first day, my wife says to me...'he's really gone, this dictator?'" he recalls.

"I say 'I don't believe.' Before we [were] even afraid to speak in your own home, to critic the regime. Maybe there is some cameras? Some phones to hear you?"

The Egyptian Usain Bolt

The Tunisian revolution quickly spread across the region -- to Libya, Bahrain, Syria and beyond.

In Egypt a few weeks later, Amr Seoud received a message on Facebook telling him to get down to Tahrir Square.

Seoud is the fastest man in Africa, a sprinter who will compete against Usain Bolt in the 100 meters sprint. He put his training to one side and left for what he thought was a small protest against the hated police.

It was January 25 and he arrived at the biggest, and most crucial, protest of the revolution. It was to be the beginning of the end for president Hosni Mubarak.

"I was there from the first day," Seoud told CNN.

"I completely forgot about athletics at this time because the entire country is going crazy and there's no way to think about training or athletics... last year wasn't the greatest training year for us just because of the revolution."

Seoud's schedule was badly affected by the ensuing chaos.

He still trained when he could on the track at Zamalek Island in Cairo but according to his U.S. based coach it wasn't enough. What little money there was from the Mubarak regime before -- peanuts given that the president would prefer to wrap himself around the success of Egypt's national soccer team -- fell to nothing afterward.

Somehow the Egyptian authorities managed to find the money to send Seoud to Colorado for an intensive training camp. It is money that could be well spent. Seoud's quickest time is 10.13 seconds -- competitive at this level -- and at the last World Championships he had the third fastest qualifying time up to the semifinals.

Victory for the revolution

Now he is aiming for a medal that would mean more than personal prestige.

"I was almost satisfied after what I had done in my life. I was like: 'I'm the Africa champion, the Arab champion, I was holding the Arab record for a long time," he said when CNN caught up with him in the U.S.

"But after the revolution I changed my mind completely ... if I'm going to be the reason to make my people happy, even for one day, I would be happy for the rest of my life."

"Now I am trying to be in the Olympic final and not only that but the top three. I am going for it. This is what I am dreaming about. There is no way to give up."

Olympic first as Saudi Arabia names two women in London 2012 team

The three athletes are going to London full of hope, an entirely different future for both them and their country now possible.

Already they have sacrificed much for a shot at an Olympic medal, no matter how small those odds are. But regardless of whether they can reach the podium or not, there is now light instead of dark.

"It's a special feeling, after the revolution," Bouallegue explains when asked how it feels to represent Tunisia now rather than before.

"You feel the victory better than before."

@highlight

In a special collaboration between CNN and SI, we meet the athletes of the Arab Spring

@highlight

Despite revolution sportsmen from Tunisia, Yemen and Egypt will be at London 2012

@highlight

Egyptian sprinter Amr Seoud hopes to compete against Usian Bolt in the 100m

@highlight

Yemen's Ali Khousrof was shot in the stomach but will be in London too