(CNN) -- One of the heroes of the French Resistance against Nazi occupation, Raymond Aubrac, has died in Paris at the age of 97.

With his passing, France has lost one of its few remaining links to an era that brought both humiliation and inspiration.

French President Nicolas Sarkozy paid tribute to Aubrac Wednesday.

"These heroes of the shadows who saved France's honor at a time when it seemed lost are disappearing one after the other," he said.

Foreign Minister Alain Juppe also spoke admiringly of Aubrac.

"His commitment, his courage, his refusal to give up, his attachment to the pride of France," Juppe said, "made him a hero of the Resistance -- notably alongside his wife, Lucie Aubrac."

Aubrac was a Jew of Polish origin whose real name was Raymond Samuel. Born in 1914, he studied at Harvard before joining the French army. The Germans took him prisoner in 1940 but he escaped and with Lucie applied for visas to live in the United States. But they reconsidered the decision.

"We changed our minds: Could we really leave our families and our friends behind while our country was occupied?" she later wrote.

Hanna Diamond, an expert on wartime France and professor at the University of Bath in England, says Raymond and his wife were important in the Resistance as founding members of a group called Liberation-Sud, based in Lyon.

Diamond met the Aubracs and wrote "Fleeing Hitler: France 1940." She said that many like-minded people fled to the unoccupied part of France and used the relative freedom they had there to organize. Among them was Jean Moulin, a charismatic leader credited with bringing together different groups of the resistance.

In June 1943 Moulin and Aubrac were captured, along with other resistance leaders, by the Lyon Gestapo, led at the time by the infamous Klaus Barbie. Barbie interrogated Moulin, and he was tortured to death.

In a BBC interview earlier this year, Aubrac recalled that fateful day. "I was sitting beside Moulin and when the Gestapo burst in, he told me: 'I have a piece of paper in my pocket. Make it disappear.'

"So I put my hand in his pocket and took out the paper and swallowed it - which is not easy. I have no idea what was written on it.

"After the war, I came back to the house in Caluire -- and there on the mantelpiece in the waiting room was my pipe. Exactly where I had left it when the Gestapo came!"

Months after the arrests, Lucie -- though pregnant at the time -- organized one of the most dramatic rescues of the Resistance. She persuaded the Germans that she was pregnant by Raymond but not married to him (which was untrue). The ruse worked and he was taken to the police headquarters in Lyon for a marriage ceremony. On the way back to the jail, Resistance fighters ambushed the detainees' truck. Raymond and 13 other prisoners fled.

Barbie was put on trial in Lyon in 1987. He was charged with crimes against humanity for organizing the mass deportation of Jews from Lyon, as well as ordering massacres and carrying out torture. He was convicted and sentenced to life in prison and he died behind bars.

Lucie died five years ago. Her fictionalized account of the couple's wartime exploits, translated into English as "Outwitting the Gestapo," was turned into a film in 1997, directed by Claude Berri.

In the chaotic aftermath of the liberation in June 1944, Aubrac became the commissioner of the new Republic in the port of Marseille. It was a time of nightmares, he recalled, with summary executions and retribution, a lack of government and no rule of law.

For many years after the war Aubrac talked to schools about the Resistance and its goals. His message, he told the French newspaper Le Monde last month, was this: "One thing always guided us -- optimism, the conviction that through what we were doing we could bring change. That's what I tell young people. If you begin feeling beaten, you will achieve nothing. If you fight you will perhaps have a chance of achieving something."

But just who did what in the Resistance has frequently been a source of heated debate in France where there's been much agonizing about collaboration with the Nazis and ambivalence about the Resistance. Diamond says there was also something of a backlash in France about the Aubracs' celebrity. And in their waning years the role of the Aubracs was questioned because their accounts contained inconsistencies.

A book published in 1997 even implicated the couple in the arrest of Resistance leaders at their meeting in June 1943. The book included allegations from Klaus Barbie himself, who asserted that the Aubracs were the double agents who had informed him of the meeting.

The couple later successfully sued the author. But Diamond says the allegations deeply wounded them.

Another source of regret for Raymond Aubrac was his failure to persuade his parents to leave France for the safety of Switzerland even though he had secured false papers for them.

"My mother wanted to leave," he later recalled, "but my father paradoxically still had faith in Marshal Petain" -- then the ruler of Vichy France, the part unoccupied by Nazi forces. His parents were later captured by the French Milice (French Militia) and handed over to the Gestapo, and then transported to the concentration camp at Auschwitz where they died.

To the very end, Aubrac preferred thinking of the present and the future rather than his storied past. In his interview with Le Monde last month he recalled studying at the Massachusetts Institute of Technology in 1937 under the great economist Joseph Schumpeter who had taught that technological change transformed civilizations as well as economies.

"There is now a generation of young people for whom there is nothing on offer," he said. "They don't feel that society needs them, that they should prepare to play a role. When they tell me they will be unemployed, whatever they do, I find that very troubling."

Asked what he was most proud of, he replied his decision to be with Lucie. They were married for 68 years.

"In life, you know, there are three or four fundamental choices. The rest is a matter of luck."

@highlight

Raymond Aubrac was a hero in the French Resistance against Nazi Germany

@highlight

The 97-year-old and wife Lucie, who died 5 years ago, were instrumental in the historic group

@highlight

Aubrac was a Jew of Polish descent; he twice escaped Nazi capture