(CNN) -- Demonstrations in support of immigrants' rights are scheduled Saturday in at least 21 states, the District of Columbia and two Canadian provinces. In all, protests are planned for 47 cities.

The demonstrations come amid a swirl of controversy surrounding a new immigration law in Arizona that allows police to demand proof of legal residency. Arizona lawmakers say the law is needed because the federal government has failed to enforce border security with Mexico, allowing more than 450,000 illegal immigrants to move into in the state.

Critics say the law is unconstitutional and will lead to racial profiling, which is illegal. But Arizona Gov. Jan Brewer and others who support SB1070 say it does not involve profiling or other illegal acts.

The Arizona legislature passed a series of changes to the law late Thursday in an attempt to address the accusations that the measure will lead to profiling.

The law, which does not go into effect for 90 days, has already drawn at least two lawsuits and condemnation from the Mexican government and other Latin American nations. Prominent entertainers, including Shakira and Linda Ronstadt, also have spoken out against the law.

Some critics are calling for a boycott of Arizona, urging that tourists stay away and that no one do business with companies in the state.

On Friday, two San Francisco, California, officials wrote a three-page letter to Major League Baseball commissioner Bud Selig to ask that the 2011 All-Star Game be moved from Phoenix, Arizona, if the law is not repealed.

The Major League Baseball Players Association, the players' union, is also voicing its disapproval of the law.

"The recent passage by Arizona of a new immigration law could have a negative impact on hundreds of Major League players who are citizens of countries other than the United States," Michael Weiner, executive director of the association, said in a prepared statement Friday.

"These international players are very much a part of our national pastime and are important members of our Association. Their contributions to our sport have been invaluable, and their exploits have been witnessed, enjoyed and applauded by millions of Americans. All of them, as well as the Clubs for whom they play, have gone to great lengths to ensure full compliance with federal immigration law. ...

"The Major League Baseball Players Association opposes this law as written. We hope that the law is repealed or modified promptly. If the current law goes into effect, the MLBPA will consider additional steps necessary to protect the rights and interests of our members."

Also Friday, National Urban League President Marc Morial announced that the civil rights organization is suspending consideration of Phoenix -- which had submitted a bid -- as the location for its 2012 conference "as long as this unfortunate law remains in effect."

"The law is repugnant not just to people of color but to all Americans who value fairness, decency, and justice," said Morial, who added that no site in the state would be considered unless the law is repealed or overturned.

The organization is expected to announce the winning location for the convention at its 2010 conference in late July.

In addition, the African-American Alpha Phi Alpha fraternity announced it is pulling its July 2010 convention from Phoenix and moving it to Las Vegas, Nevada, because of what its board called "the egregious immigration act signed recently by the governor of Arizona."

"It was the full opinion of the board that we could not host a meeting in a state that has sanctioned a law which we believe will lead to racial profiling and discrimination, and a law that could put the civil rights and the very dignity of our members at risk during their stay in Phoenix, Arizona," the fraternity's board said.

Though perhaps not as vocal, the law also has plenty of supporters. Some have launched a "BUYcott," in which they urge people to spend money in the state to support the measure. Backers applaud Arizona legislators for taking seriously their concerns about illegal immigration and crime.

Arizona's new law requires immigrants to carry their registration documents at all times and mandates that police question people if there is reason to suspect they're in the United States illegally. The measure makes it a state crime to live in or travel through Arizona illegally.

It also targets those who hire illegal immigrant day laborers or knowingly transport them.

Brewer signed the law last week, and the legislature changed some language in it Thursday night in an attempt to make it less ambiguous as to how and when people can be questioned about their residency.

Brewer signed the changes into law Friday, saying they will ease concerns about racial profiling.

According to the bill the governor signed April 23, police would be able to detain an individual based merely on the suspicion that he or she entered the country illegally. A change that legislators approved Thursday night, however, says police could check on residency status only while enforcing some other law or ordinance. An officer could ask about an immigrant's status, for example, while investigating that person for speeding, loitering or some other offense.

In addition, the law says Arizona's attorney general or a county attorney cannot investigate complaints based "solely" on factors such as a person's race, color or national origin. The changes that legislators approved Thursday night would remove the word "solely," to emphasize that prosecutors must have some reason other than an individual's race or national origin to investigate.

Read the full text of Senate Bill 1070 (PDF)

The Arizona law will be the focus of Saturday's May Day immigration demonstrations, which have been held yearly since 2006.

Eleven protests are scheduled in California, with two in Los Angeles. New York has eight protests slated, including five in New York City.

In Canada, demonstrations are planned in Toronto and Vancouver.

The protests are being organized by the National Immigrant Solidarity Network and are being billed as "May Day 2010 -- National Mobilization for Immigrant Workers Rights."

Demonstrators want immigration reform that will lead to an easier path toward legal residency and citizenship.

"We have an immigration system that has been neglected for 30 years," said Clarissa Martinez of the National Council of La Raza. The Arizona law is not the answer, she said.

"That leads to greater chaos over that broken system," Martinez told CNN.

President Obama has called on Congress to pass a comprehensive immigration reform law this year. Senate Majority Leader Harry Reid and other top Democratic senators unveiled the outlines of that legislation late Thursday.

But House Minority Leader John Boehner said at a briefing Thursday that "there's not a chance" that Congress will approve the measure this year, especially after the recent passage of health care reform.

Obama conceded this week that immigration reform is not likely this year.

The Arizona law has raised concerns in Mexico and throughout Latin America, U.S. officials say.

"It comes up ... in every meeting we have with the region," State Department spokesman P.J. Crowley said Thursday. "We are hearing the concerns of the hemisphere loud and clear."

Secretary of State Hillary Clinton said the United States will work to "understand and mitigate" Mexico's concerns. The Arizona law, she said, will be on the agenda when Mexican President Felipe Calderon visits Washington on May 19.

One of the two lawsuits against SB1070 was filed Thursday by a police officer in Tucson, Arizona, who asked that local law enforcement be exempt from enforcing the measure. Officer Martin H. Escobar says in the federal suit that the law will "seriously impede law enforcement investigations and facilitate the successful commission of crimes."

The National Coalition of Latino Clergy and Christian Leaders also filed a federal lawsuit Thursday.

The Mexican American Legal Defense and Educational Fund, the American Civil Liberties Union, the ACLU of Arizona and the National Immigration Law Center said Thursday they also plan to jointly file a lawsuit.

Supporters of SB1070 cite high levels of illegal immigration and crimes committed by unauthorized immigrants as a reason for the new law.

"Border violence and crime due to illegal immigration are critically important issues to the people of our state," Brewer said at the bill signing. "There is no higher priority than protecting the citizens of Arizona. We cannot sacrifice our safety to the murderous greed of the drug cartels. We cannot stand idly by as drop houses, kidnappings and violence compromise our quality of life."

But statistics from the U.S. Customs and Border Protection agency and the FBI indicate that both the number of illegal immigrants and violent crime have decreased in the state in recent years.

According to FBI statistics, violent crimes in Arizona dropped by nearly 1,500 reported incidents between 2005 and 2008. Reported property crimes also fell during the same period, from about 287,000 reported incidents to 279,000. These decreases are accentuated by the fact that Arizona's population grew by 600,000 people between 2005 and 2008.

According to the nonpartisan Immigration Policy Institute, proponents of the bill "overlook two salient points: crime rates have already been falling in Arizona for years despite the presence of unauthorized immigrants, and a century's worth of research has demonstrated that immigrants are less likely to commit crimes or be behind bars than the native-born."

Federal officials estimate there are about 10.8 million illegal immigrants in the United States, of which about 6.6 million come from Mexico and 760,000 from the rest of Latin America. About 1 million come from Asia.

Arizona, which is on the Mexican border, has about 460,000 undocumented immigrants, the federal government says. At least five other states, including California with 2.6 million, have more undocumented immigrants, the government says. The other states with more illegal immigrants than Arizona are Texas, Florida, New York and Georgia.

A Pew Research Center survey late last year found that Americans believe Latinos are discriminated against more than any other major racial or ethnic group in American society.

The Pew survey also indicated that about one-third of the nation's Latinos say they or someone they know has experienced discrimination. About 9 percent said they had been stopped by police or other authorities and asked about their immigration status in the year before the survey.

Fifty-seven percent of those surveyed said they worried that they, a family member or a close friend could be deported.

@highlight

NEW: Baseball players union, Urban League, fraternity voice disapproval of new law

@highlight

Arizona Legislature amends law to address accusations that it will lead to racial profiling

@highlight

Critics call law unconstitutional, file suits, plan boycotts; backers say it's needed, urge "BUYcott"

@highlight

Protests to take place in at least 21 states, District of Columbia, 2 Canadian provinces