Exmouth, England (CNN) -- "We are the 99 percent." This is the one belief all protesters in New York's Zuccotti Park have in common, according to OccupyWallSt.org. Although they claim to be using Arab Spring tactics, they are actually continuing a practice that emerged in Great Britain and the United States near the end of the 18th century, quickly spread to other countries and is now a truly transnational phenomenon.

For centuries, the street had been the stage for the 1% of society instead. Members of the civic, religious and military elite used public spaces to present themselves and underline their claim of authority and status in elaborate and carefully choreographed processions. Nowadays, the street has primarily become the forum for those who feel excluded from the halls of power, or not properly represented by the existing political institutions.

Mass street protest has acquired a degree of political legitimacy that is astonishing, considering that well into the 20th century, the sight of ordinary people acting collectively in public on behalf of their own interest was widely regarded as a prelude to social unrest or even revolution.

The French writer Gustave Le Bon gave this widely held view pseudo-scientific credibility in his 1895 book "The Crowd," which described the latter as a dangerous and primitive entity which was highly susceptible to manipulation by demagogues. The perception of collective street protest as a public order problem persisted well into the 20th century and only started to change with the arrival of the middle-class based "New Social Movements" after the Second World War.

Until then, even democratic governments frequently felt at license to act with overwhelming force and sometimes great brutality against protesters. The American Civil Rights Movement skillfully exploited this to its advantage in the 1960s, and new doctrines of restrained policing were developed in several countries to deny protesters the status of martyrs. Police crackdowns on orderly protests became rare, although the WTO meeting in Seattle in 1999 marked a shift back to a stronger emphasis on public order, at least in the United States.

The events around the blockade of Brooklyn Bridge on October 1st show the dangers of this approach. Although the police framed their actions as a measure to keep the traffic flowing -- an argument that authorities around the world have used since the late 19th century to regulate protest marches -- and did not arrest those who walked on the sidewalks, the detention of more than 700 people appeared heavy-handed. The incident, together with a police officer using pepper spray against female protesters, turned the largely ignored campaign into a media story.

Gaining exposure and media coverage is an important aim of all street protest. It not only provides opportunities to present political demands but also to showcase the movement behind the protest. Already the Labour Movement, whose 19th century demonstrations provided the template for all subsequent demonstrations, used them to present the public with an image of the working class in action.

The choreography of the march with its orderly columns, the way the marchers dressed and the banners they carried with them represented the Labour Movement's intention as well as ability to create an alternative order of society. The route of the column usually led them through the territory of their opponents or to the centers of political power, thereby laying claim to both of them. Subsequent movements such as the suffragettes or the unemployed often followed the same pattern.

The protesters in New York continue this tradition. By having a leaderless structure and holding general assemblies every day, they further underline their opposition to the hierarchical undemocratic world of Wall Street and publicly perform the alternative model of society they are propagating.

Occupying Zuccotti Park and referring to it by its former name, Liberty Plaza Park, makes the same point.

At least as important as the chance to gain access to the media is the effect such protests have on supporters and sympathizers. Collective action and confrontations with the police foster the internal cohesion of movements. Small successes, such as circumventing the ban on megaphones by collectively repeating the words of each public speaker, provide a sense of empowerment and create a positive public image.

Support from celebrities or academics such as Joseph Stiglitz give further encouragement. Taken together, such successes can have a mobilizing effect as the start of demonstrations and occupations in other U.S. cities shows. In the light of the relatively small number of people involved and the apparent scarcity of resources the movement controls, these are considerable achievements.

Unlike the protest in Tahrir Square in Cairo, the protest in New York will not start a revolution. But it has started a public debate and forced the media in the United States and abroad to report on the event. Because of that, whether the protesters will eventually be able to occupy Wall Street is of no real significance.

The opinions in this commentary are solely those of Matthias Reiss.

@highlight

Matthias Reiss: Occupy Wall Streeters say they are the 99%, as opposed to the wealthy

@highlight

Reiss: Protest is part of tradition started in 18th century to take streets away from elites

@highlight

Harsh police tactics softened as Civil Rights movement made martyrs of victims, he says

@highlight

Reiss says movement has spread, started a public debate and forced media to report on it