The recent fighting in Iraq has posed a serious challenge to Prime Minister Nuri al-Maliki and his government, raising questions about his ability to hold the country together amid a rising insurgency.

U.S. Secretary of State John Kerry said Sunday that the United States will help the Iraqi government in the battle against al Qaeda-linked fighters in western Iraq, but he stressed it won't send troops.

Here are five questions about the deteriorating situation:

1. I thought the Iraq war was over. Why is there still fighting?

Well, actually last year was the deadliest since 2008. The number of dead reached its worst levels since the height of the Iraq war, when sectarian fighting between the country's Shiite majority and its Sunni minority pushed it to the brink of civil war. Those tensions continue to be fueled by widespread discontent among the Sunnis, who say they are marginalized by the Shiite-led government and unfairly targeted by heavy-handed security tactics.

Al-Maliki tells troops not to strike Falluja neighborhoods

Sunni anger has made it easier for al Qaeda-linked militants to recruit and operate while eroding the public's cooperation with security forces. Violence has flared in recent days because of the arrest of a Sunni lawmaker in Ramadi and the dismantling of protest sites by the army in Falluja and Ramadi.

Sunnis have rejected the authority of the government, and some Sunni officers in the army have deserted to fight Iraqi forces and attack police stations and prisons. Now fears are mounting that national elections in April will bring more violence and descend into civil war.

2. Wait, I thought al Qaeda was on the run? Now they control parts of Iraq?

The U.S. made impressive gains in weakening the so-called "core al Qaeda" leadership in Afghanistan and Pakistan, but affiliate groups, specifically in Iraq, are gaining strength.

Since the 2011 withdrawal of U.S. troops, the Sunni-led group tied to al Qaeda, known as the Islamic State of Iraq and al-Sham (ISIS), has staged a comeback amid Iraq's growing sectarian tensions and launched a series of bloody attacks on government buildings and personnel, killing thousands of civilians.

ISIS has been working doggedly to exploit the security vacuum across Iraq. Conflicting reports say ISIS this weekend captured the western city of Falluja and took control of most parts of the principal capital of Ramadi. Iraqi troops are now battling insurgents in both places for control.

3. Falluja and Ramadi were pretty important to the U.S. during the Iraq war. Isn't the U.S. going to help?

Both were important battlegrounds for the U.S. during the Iraq war. Falluja was an insurgent stronghold until U.S. Marines fought their bloodiest battle of the war in 2004 to drive militants out.

In Ramadi, the U.S. supported the "Awakening," in which tribal leaders turned on al Qaeda and aligned themselves with American and Iraqi forces to secure Anbar province. That was a turning point in the war. Now that U.S. troops are all out of Iraq, Washington is not eager to go back in.

Kerry said Sunday the U.S. would help the Iraqis in their fight against al Qaeda, but "this is their fight."

Kerry: We'll help Iraq but not send troops

4. What does Syria have to do with it?

The international community has long been concerned about spillover from the civil war in Syria, and the conflict is clearly helping to fuel violence and tensions in neighboring and tensions in Iraq. ISIS was formerly known as al Qaeda in Iraq but was renamed to reflect its growing ambitions in Syria and Lebanon. Their goal is to establish a single Islamic state, or caliphate, based on sharia law.

Anbar province shares a 400-mile border with Syria and because of the power vacuum there, ISIS fighters move back and forth between the countries and mount attacks on both sides of the border. But with recent setbacks in Syria, ISIS has increased its attention to Iraq.

5. I heard these ISIS guys are in Lebanon, too? This region is a mess.

There are signs ISIS may have its sights on Lebanon as well. The group said it carried out a suicide bombing on Thursday in a Hezbollah-controlled southern suburb of Beirut. And it warned about more attacks against Hezbollah if it continued to send fighters to Syria to defend Syrian President Bashar al-Assad against the rebels.

Weak governments in Iraq, Syria and Lebanon have helped al Qaeda gain strength, and now Kerry calls ISIS "the most dangerous players in the region."

Iraq, Syria and Lebanon are all seen by many experts as proxy wars between Shiite Iran and Saudi Arabia, a Sunni nation. A full-blown civil war in Iraq, in addition to Syria, could further increase sectarian tensions and destabilize the region.

Still out there and growing -- al Qaeda on the rebound

U.S. sending missiles, drones to help Iraq government

@highlight

Last year was the deadliest year in Iraq since 2008

@highlight

Security void in Iraq has allowed al Qaeda-linked groups to strengthen

@highlight

Al Qaeda-linked groups are mounting attacks on both sides of Iraq's border with Syria