(CNN) -- Many expected Xi Jinping to focus on internal politics in his first year in office and not make major external moves, but in fact China is busy designing and implementing a bolder foreign policy in light of an anticipated U.S. decline.

This strategy was made clear this weekend as Beijing mapped out airspace over a disputed island chain in the East China Sea and released rules that it says must be followed by all aircraft entering the zone -- under penalty of intervention by China's military.

Unlike his predecessors, Xi is making foreign policy with the mindset of a great power, increasingly probing U.S. commitments to its allies in the region and exploiting opportunities to change the status quo.

China's recent rhetoric and actions show a move from a defensive, reactive, and image-conscious policy to a proactive approach designed to further China's vital interests.

Officials in China have begun using new diplomatic language, with decades-old terms sloughed off to allow more room to maneuver.

Traditional mantras like "non-interference" and "hide our capacities and bide our time" are no more under Xi, whose new slogan is the "Chinese dream," a vision for the national rejuvenation of the Chinese people.

And in the U.S.-China relationship, U.S. diplomats used to frame the debate with terms such as "responsible stakeholder" in the global system. But China has now put forth its own catch phrase: a "new type of great power relations," in which the U.S. recognizes China's core interests and respects it as an equal.

China's reforms: Letting the economy fly more freely

China's actions also demonstrate a more activist external strategy.

Regionally, maritime security interests have taken precedence in China's strategic rationale.

Even before officially taking power, Xi was made head of the maritime small group that presided over Beijing's swift and decisive response to Japan's September 2012 purchase of three disputed islands in the East China Sea from their private owner.

By declaring territorial baselines around the islands, increasing the number and length of its law enforcement patrols, and introducing military forces in the vicinity, China has challenged Japan's de facto control of the area and moved to solidify its own claims.

China's demarcation of a new "Air Defense Identification Zone", which includes the disputed islands - known as the Diaoyu in China and Senkaku in Japan - underscores these goals.

In the South China Sea, China has played a double game, calling for the peaceful settlement of disputes through bilateral negotiations and engaging in a wide-ranging charm offensive, while simultaneously trying to gain control of disputed territories.

The cancellation of President Obama's October trip to the region, forced by the U.S. government shutdown, greatly assisted Xi.

It left him as the star attraction at regional gatherings where U.S.-China rivalry features strongly, and Xi made the most of the attention by announcing a slew of new deals across Southeast Asia.

China initially left the Philippines out of its largesse to punish it for submitting their maritime dispute to international arbitration and to warn other Association of South East Asian Nations (ASEAN) countries against doing the same.

Central Asia and the Middle East

Xi has also acted strongly to protect other interests. He swept through Central Asia in September to forge closer trade ties at a time when the U.S. is disengaging from Afghanistan and the region.

China has recently splashed cash there to secure access to petroleum resources beyond the reach of the U.S. navy. And China and Russia continue to engage in joint multi-polarity to keep the U.S. in check while furthering their energy relationship.

In the Middle East, where traditionally China has been content to have the U.S. play the decisive political role, Xi has made moves calibrated to establish a presence without becoming mired in the region's disputes.

With China expected to become even more dependent on oil from the region, Beijing realizes that instability there could jeopardize supply.

In May, Xi received both Mahmoud Abbas and Benjamin Netanyahu, issued a 'four point peace plan,' and offered to host an Israeli-Palestinian peace summit. While the components of the plan are not new and the offer has not been accepted, the initiative showed that as its power and interests grow, China will act when affected by issues outside its neighborhood.

North Korea

Closer to home, Xi has sharply distinguished himself from his predecessor in dealing with North Korea.

Where Hu was indulgent , Xi has laid down some "house rules," signing up to sanctions and employing bolder rhetoric against the wayward neighbor.

But when North Korea walked back its provocations, Xi angered the U.S. and South Korea by dispatching Vice-President Li Yuanchao to Pyongyang to attend a military parade marking the 60th anniversary of the end of the Korean War.

His presence was a potent symbol, showing that China's pique over North Korea's earlier actions didn't preclude Beijing from trying to repair relations there.

American preferences on North Korea are less and less central to China's decision-making; unless the U.S. takes measures on the Peninsula that China sees as undermining its regional security.

Xi has also doubled down on involvement in Myanmar, which plays an increasingly important role in China's energy security and where China fears that American engagement efforts are part of a U.S. strategic encirclement of China.

Taken together, Xi's decisions and words illustrate a more active strategy. And we are likely to see an even more self-confident Chinese foreign policy as he continues his decade of rule.

Because Xi's domestic agenda and China's external agenda are intertwined. Xi's crafting of the "Chinese Dream" as a vessel for party legitimacy also more closely yokes the party's fortunes to its performance as a defender of national interests and ambitions.

And in his pronouncements on ideology, and by establishing a new national security council, Xi has made clear that he sees a link between ideological menaces to one-party rule and strategic threats abroad, especially from the United States.

Nationalists, especially online, continue to demand that the government use its new-found international heft to more actively and directly defend China's global interests. Xi is likely to make efforts to deliver, and in so doing will effectively end the traditional Chinese policy of non-intervention.

The opinions expressed in this commentary are solely those of Stephanie Kleine-Ahlbrandt, Director of Asia-Pacific Programs at the U.S. Institute of Peace

@highlight

China is busy designing and implementing a bolder foreign policy

@highlight

Move comes in light of an anticipated U.S. decline

@highlight

Xi Jinping effectively ending the traditional Chinese policy of non-intervention

@highlight

Likely to see an even more self-confident foreign policy as Xi continues his decade of rule