(CNN) -- My commitment to the cause of stopping the exploitation of children was born from a humbling experience. In 2002, I witnessed the horrors of human trafficking as we rescued three trembling girls living on the impoverished streets of India. Preventing these girls from falling prey to this horrendous crime was a personal awakening.

I thank CNN's Heroes initiative for allowing the Ricky Martin Foundation to share and engage others in our commitment to end the exploitation of children by human trafficking and modern-day slavery.

That was more than a decade ago. Since then, I knew my foundation must shed a light on this taboo subject. Education has been our pillar from the outset. In 2004, we launched People for Children, our principal project, to provide education and solutions for international efforts to eliminate child trafficking.

This unscrupulous market -- which consists of 27 million victims worldwide, according to the 2011 Trafficking in Persons Report -- generates up to $32 billion annually, an amount rivaling that of the trafficking of arms and drugs. Of the 27 million, UNICEF estimates that 1.2 million are children who are trafficked every year to work as forced labor, in the commercial sex industry, in prostitution and in other forms of slavery.

The statistics are staggering. Many contest them because the crimes are hidden. But numbers don't matter: Preventing one or 200 children from traffickers validates our mission.

No one should be exploited and deprived of his or her freedom.

We believe every child has the right to be a child. As a young public charity, we have discovered we are not alone in this fight. We have been privileged to partner with groups such as UNICEF, Habitat for Humanity, The Protection Project at Johns Hopkins University, the University of Puerto Rico, Save the Children, RTL Foundation, The InterAmerican Development Bank, The Trafficking In Persons Office, SAP, Doral Bank and Microsoft.

We joined forces with the InterAmerican Development Bank and the International Organization for Migration to launch Call and Live, the first regional campaign to combat human trafficking in the Americas. Lives were saved. We received thousands of phone calls through our hot line and were able to help launch hundreds of investigations in five countries.

Unfortunately, atrocities committed against children have reached epidemic proportions on the Internet. To prevent these crimes, we launched Navega Protegido.org, an online bilingual child safety website, that provides tools to protect children from pornography and sexual exploitation.

More recently, we published "Human Trafficking in Puerto Rico: An Invisible Challenge" in alliance with the University of Puerto Rico and The Protection Project. The pioneering investigation documents that too many minors in Puerto Rico are at risk of becoming exploited as sex slaves, as slave labor or used in pornography.

Such findings led us to focus on the development of creative solutions. We are developing our first Child Development and Prevention Center in Puerto Rico to serve as a safe haven for children and young people. We aim to transform their lives through a holistic approach.

Children and young people do not have a sufficiently loud voice in our society. To help change this, we continue to strengthen People for Children by redoubling our investigation and awareness campaigns. Our objective is to galvanize a movement to prevent this scourge.

Addressing such an abominable crime on a global scale is a daunting challenge. We need to tackle it one life at a time. I am convinced that small triumphs over a long period of time will eventually result in the type of social justice we must all strive for.

Human trafficking has no place in our world today.

The opinions in this commentary are solely those of Ricky Martin.

@highlight

1.2 million children are trafficked each year for forced labor, sex industry

@highlight

Ricky Martin: Atrocities committed against children epidemic on the Internet

@highlight

Ricky Martin Foundation committed to ending atrocities against children

@highlight

He says education, safe havens, working with international groups help