(CNN) -- The U.S. and Arab allies' campaign of airstrikes against al Qaeda and the Islamic State of Iraq and Syria is a necessary step, but airpower on its own won't be enough to ensure a military victory. To beat ISIS and extremist affiliates, the United States and its allies must work more closely with the groups that these terrorists most fear: the Free Syrian Army and Sunni Arab tribes.

The effectiveness of the air campaign will hinge on how well the United States can exploit the local vulnerabilities of the asymmetric threat it faces in ISIS. With this in mind, it makes sense to coordinate with Free Syrian Army commanders, who have on-the-ground experience identifying ISIS' weak points and can ensure that airstrikes hit the right targets. Indeed, unless the U.S.-led coalition moves fast to better integrate the Free Syrian Army into military operations, it will simply be hacking at ISIS' branches rather than getting down to its roots.

ISIS' concern was evident in a sleek, hourlong documentary the group produced, called "Flames of War." After touting a series of victories in Syria and Iraq, ISIS lamented its "temporary withdrawal" from large swaths of northern Syria, which was forced by the Free Syrian Army (which ISIS derisively describes as the "awakening forces"). The setback referred to was the surprise counterattack launched by the Free Syrian Army in January against ISIS positions in three provinces in northern and eastern Syria. At the height of the fighting, ISIS was forced to defend its headquarters in heavy street fighting in the eastern city of Raqqa.

The extremists were taken by surprise, and the Free Syrian Army and tribal backers' assault offers a useful primer on how to beat al Qaeda and its offspring.

For a start, a joint operations center should be established to serve as a clearinghouse for targeting data and intelligence sharing with Syrian opposition and tribal forces fighting ISIS. Jordanian and United Arab Emirates special forces, both of whom have worked with U.S. special forces in other theaters of war, could be deployed in very limited numbers to provide forward air support to guide pinpoint airstrikes. Meanwhile, American Joint Tactical Air Controllers, who have played a key role in supporting Kurdish security forces in Iraq against ISIS, should be deployed to the border regions so that they can support Free Syrian Army ground operations.

In addition, the United States should deploy a special operations team in neighboring Iraq focused on developing a relationship with Sunni Arab anti-ISIS guerrilla forces and tribal leaders that continue to resist ISIS along the Syria-Iraq border. This team could be empowered to establish a special fund (of which Gulf allies can serve as the main contributors) for recruiting and empowering tribal elements in eastern Syria like the Shammar confederation that have already begun to rise up against ISIS. American investment on this front would enable airstrikes to truly tip the balance of the conflict.

Finally, the transfer of excess U.S. military equipment to anti-ISIS forces in the field should be accelerated to ensure that the Free Syrian Army and the tribes not only have enough ammunition to sustain a defensive posture against ISIS, but also enough for a multipronged assault into ISIS' core territory.

If airstrikes are to have a lasting impact, they must cut off ISIS' land bridge between Syria and Iraq and ultimately decapitate its command structure. Doing so will mean the United States will have to work with, and through, a fast moving and relatively lightly armed counterforce, the groundwork for which may already have been laid with the announcement of U.S. plans to train an initial force of 5,000 Syrian fighters.

ISIS appears to be gambling that by concentrating its forces in the relatively exposed terrain of the northern Raqqa steppe that it can overrun positions in the city of Ayn al-Arab and in the northern Aleppo countryside before the airstrikes can have a real impact. But it can also be expected to prioritize the targeting of capable Sunni Arab commanders and tribal leaders who it views as its principal threat, particularly because of their experience engaging ISIS on the ground.

The fact is that ISIS has made it abundantly obvious that it sees its Achilles heel in both Iraq and Syria as the local populace. As airstrikes intensify, U.S. and regional military planners should take note.

@highlight

Oubai Shahbandar and Michael Pregent: To beat ISIS, U.S. must work with groups it fears

@highlight

Effectiveness of air campaign hinges on exploiting local vulnerabilities, writers say

@highlight

U.S. should accelerate transfer of excess military equipment to anti-ISIS forces, they argue