(CNN) -- Locked away deep beneath the sea off Cyprus' southern shores lays a treasure chest of natural gas that could ease the country's economic plight.

Still reeling from the infectious banking crisis that exploded at the beginning of 2013, Cyprus' government hopes the Aphrodite gas field, discovered two years ago, will help lift the country out of the economic doldrums.

Named after the goddess of love, the "Lady of Cyprus" gas field could contain up to six trillion feet of cubic gas.

Just 0.5 trillion cubic feet of gas could provide Cypriots with energy for 25 years, leaving ample reserves for export to Asia and Europe, Cyprus' Energy Minister Giorgos Lakkotryis told CNN in an interview.

But the minister was quick to stress that offshore gas operations would not solve Cyprus' economic anguish in the short-term.

"We do not depend on the offshore operations and the gas to come out of this recession," said Lakkotryis. "In the mid- and short-term we're looking at side effect benefits."

Read more: Cyprus country profile

Lakkotryis believes it will take until 2020 before Cyprus sees any direct benefit from the gas.

"A lot needs to be done. The cheap availability of energy is also going to allow us to create other industries such as petrochemicals and heavy manufacturing," he said

The minister added that multinational oil and gas companies as well as infrastructure projects aimed at converting gas to liquid would create jobs, spur growth and boost exports.

A long term project

Oil and gas giants Total, ENI and Texas-based Noble Energy have all secured contracts to operate in the Aphrodite field with extensive exploration and drilling set to begin in October 2014, lasting for 12 months, according to the energy ministry.

However, the 150-kilometer distance between the gas field and Cyprus' shores could delay operations.

"Because of the distance offshore, the field would require a pipeline to reach the mainland of Cyprus at which point it could be used for domestic economy or LNG (Liquefied Natural Gas) export," said Keith Elliott, senior vice president of Eastern Mediterranean Region of Noble Energy.

The government says it is planning to finalize investment and build an onshore LNG plant while using Cyprus' proximity to the Suez Canal and its ties with Europe to exploit export opportunities in Asia and Europe respectively.

But Amit Mor, CEO of Eco Energy Financial and Strategic Consulting and former World Bank consultant, said that Cyprus "cannot economically justify even one LNG plant" based on current reserves.

He added that Cyprus could possibly build a plant if the country reached an agreement to liquefy excess Israeli gas from the country's Tamar and Leviathan fields, which are significantly bigger than Cyprus' Aphrodite field.

"Cyprus itself is a small market that does not justify the financing efforts," Mor said. "One LNG plant incurs $6 billion in construction costs. The development cost of a major offshore gas field could reach $4 billion (while) exporting natural gas via ships in liquid form is a very expensive and time consuming process."

According to Eurostat, Cypriot residents are subject to the highest electricity bills in the European Union because the country produces power by burning oil.

But by switching to gas and converting its power stations Cyprus could alleviate some of the financial burden on consumers.

"The Cypriot people need to much more patient. It takes a lot of time to discover and develop oil and gas fields. In the Gulf of Mexico and the North Sea for example it took 10 to 20 years," said Mor.

A brighter future

The discovery of gas and the inward investment from global energy companies is a silver lining for Cyprus at time of pervasive economic gloom.

In March, a banking crisis shattered the country's economy; destroyed Cyprus' second largest bank and threatened the life savings of thousands of residents.

Read more: Does Cyprus have the world's oldest wine?

Subsequently, the East Mediterranean island became the fourth country to receive a national bailout from the eurozone and the International Monetary Fund.

Charles Movit, senior economist at U.S.-based consultancy IHS, said the benefits of gas reserves could help Cyprus service its debt: "In the medium term, license fees for exploration and development could be helpful in closing the financing gap. Down the road, royalties and job creation could be a major plus."

With gas sources in the North Sea expected to decline over the next decade and few countries willing to invest in nuclear energy in the wake of the Fukushima disaster in Japan, Cyprus could also provide the answer to Europe's energy demands as it seeks to decrease its dependency on Russian gas.

"A pipeline between Israel and Cyprus to Europe via Crete and Greece would cost $6 billion to $8 billion... I think it is very important to conduct a feasibility study to see if this is economically viable," said Mor.

In the meantime, Cypriots struggling under the weight of a recession are hoping the government's predictions are correct and that gas could ultimately provide the basis for ending the economic crisis.

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Cypriot gas reserves in the offshore Aphrodite Field are estimated to be between 3.6 and 6 trillion cubic feet.

@highlight

Cyprus' energy minister said the just a fraction of the gas reserves could serve the country for up to 25 years.

@highlight

The energy minister believes it will take until the end of the decade before Cyprus sees any direct benefit from the gas.