(CNN) -- Bobby DeLaughter -- the prosecutor who secured the conviction in the infamous Medgar Evers Mississippi murder case -- is himself now headed to prison.

It was DeLaughter's dogged 1994 prosecution and the subsequent conviction of Ku Klux Klan member Byron De La Beckwith that helped trigger the reopening of dozens of civil rights cold cases.

DeLaughter became an instant hero of the civil rights movement. Alec Baldwin portrayed him in the 1996 movie, "Ghosts of Mississippi," and his closing statement was once dubbed one of the greatest closing arguments in modern law.

"Is it ever too late to do the right thing?" DeLaughter told the jury of eight blacks and four whites. "For the sake of justice and the hope of us as a civilized society, I sincerely hope and pray that it's not."

DeLaughter would go on to become a state judge in 2002. His years in the robe came to an end in 2009, when DeLaughter pleaded guilty to obstruction of justice for lying to an FBI agent in a far-reaching corruption probe that has rocked Mississippi's judicial system.

When he was sentenced in November, Byron De La Beckwith's son sat in the chamber wearing a Confederate flag pin on his red blazer. His father had also worn a Confederate pin during the 1994 trial.

DeLaughter is to begin serving his 18-month prison sentence today at a facility in Kentucky.

"The man has now been destroyed, politically and economically. It's that serious," said Charles Evers, the brother of Medgar Evers.

He said he is trying to raise money to help pay DeLaughter's expenses while he's in prison. "What can we do but fight for a man who fought for us?" he said. "I want DeLaughter to know I'm behind him 100 percent."

DeLaughter's attorney, Tom Durkin, refused CNN's request to speak to the prosecutor-turned-judge ahead of his incarceration.

"Bobby DeLaughter remains a civil rights hero, and nothing is going to tarnish that," Durkin said. "The penalty he's paying is enormous, and I think it's sad and unfortunate. But that's simply the way it is."

Over the last month, CNN spoke with more than a dozen lawyers in Mississippi about DeLaughter's fall from grace. They paint a picture of an ambitious man with a brilliant legal mind who ran afoul of the law -- of friends betraying friends and of big-time money corrupting the system. Some take delight in his downfall; others call it a tragedy that has stained the legal community.

In the end, the lawyers said, DeLaughter trusted one man too much: His mentor, Ed Peters, who exploited their friendship and then turned on DeLaughter to avoid prison.

"This is a Shakespearean tragedy in the sense that a person falls from grace due to their own character defects -- in this case, misplaced trust in a friend and, perhaps, some combination of ambition and hubris," said Matt Steffey, a law professor at Mississippi College School of Law.

The story of DeLaughter going from civil rights hero to convicted felon is complicated, involving years of contentious litigation in his courtroom.

At the heart of the case is Dickie Scruggs, a high-powered lawyer who made tens of millions of dollars in tobacco and asbestos litigation. Scruggs is the brother-in-law of former Sen. Trent Lott and is now serving seven years in prison for trying to influence Mississippi judges, including DeLaughter.

According to prosecutors, Scruggs wanted to get to DeLaughter through his mentor, Peters, to try to influence DeLaughter's ruling in a high stakes case, potentially worth $15 million. Peters received $1 million in illicit payments as compensation for his actions, prosecutors say. Peters was granted immunity in exchange for his cooperation.

"Mississippi would like to shake its image of being tied to civil rights crimes and the good ole boy network, and we see these two things overlap here," Steffey said.

"It's enormously unfortunate for a person like Judge DeLaughter who, at the very least, accomplished heroic things with bringing Byron De La Beckwith to justice. And it's tragic for the people of Mississippi -- that the end story here is that he is a corrupt judge in prison."

DeLaughter has denied taking any money in the case or that he was improperly influenced. In his guilty plea, he admits to only obstruction of justice; the more serious charges of involvement in a bribery scheme and mail fraud conspiracy were dismissed as part of the deal.

"To me, he is a tragic figure because he had a good career and he threw it away," said attorney Bill Kirksey. "He became an embarrassment to the legal community, to the judicial community and, I would hope, to himself."

Kirksey has an axe to grind with DeLaughter. He was one of the attorneys representing the client who stood to gain millions in the case at hand.

Kirksey and DeLaughter also trained under the same attorney several decades ago; Kirksey believes DeLaughter turned his back on everything they learned.

"Bobby DeLaughter betrayed every single oath he ever took. He betrayed the whole system of justice that we live by," Kirksey said.

"You measure a man by the whole of his life, not part of it. When the measure of the man is that he's dishonest in the end, then you have to wonder why he did anything in the beginning."

Merrida Coxwell was one of two lawyers who represented De La Beckwith in the 1994 trial. He has known DeLaughter for three decades, first as a defense attorney, then a prosecutor and finally as a judge.

"Quite frankly, I thought he was a very moderate, straight-down-the-line judge," he said.

He was shocked when allegations first surfaced. For a judge to be caught up in such a scandal, Coxwell said, is unfathomable. "If you can't have justice inside the justice system, then it's no good at all."

Morris Dees, the co-founder of the Southern Poverty Law Center, represented Myrlie Evers, the widow of Medgar Evers -- the NAACP leader who was gunned down in his driveway on June 12, 1963.

He says only one man had the guts to seek prosecution in the case when two previous trials years before ended without convictions.

"If Bobby DeLaughter hadn't been around, it would never have happened. I can guarantee you that," Dees said. "It was the first modern-day prosecution of one of these old civil rights-era murders, and it resulted in the prosecution and convictions of a large number later."

DeLaughter's bravery in seeking justice in the Evers case, Dees said, makes it tough to swallow his more recent failings as a judge. "Certainly, when a judge is put in prison and pleads guilty," Dees said, "it certainly tarnishes his legal and judicial reputation."

Charles Evers said he will continue fighting for the man who fought so valiantly for his brother. "We will do whatever's necessary to help him get over his dilemma, and I'll say that over and over again."

Evers blasted prosecutors for offering immunity to Ed Peters, DeLaughter's mentor who avoided jail time even though he was the one accepting illicit payments. "The man who squealed on him should be going to jail," Evers said.

"I hope that some day justice will be fair and equal. ... It's not fair and equal in this case."

@highlight

Bobby DeLaughter was hailed as hero after convicting the killer of Medgar Evers

@highlight

DeLaughter is headed to prison after pleading guilty in a corruption probe

@highlight

"The man has now been destroyed," says Medgar Evers' brother

@highlight

DeLaughter's attorney: "The penalty he's paying is enormous"