(CNN) -- Street art has forever been a vibrant tool of personal expression manifesting in a variety of unique ways. In Africa it comes in the form of beautifully painted shop fronts, alternative methods of political campaigning and striking murals designed to inspire.

To celebrate the best of African street art, CNN iReport asked for your submissions of the beautiful, political, or just plain fun.

Back in the 1970s it was a gritty subculture associated with the streets of New York City, but these days the underground art of spray can graffiti can be found around the world, and Africa is no exception.

Mozambican rapper Shot B submitted some of his work to iReport from around the capital city of Maputo. For him, being a street artist -- in addition to his musical exploits -- helps him share his voice with the local community

"This wall is working as a sketchbook ... Street is a space that I feel people can learn, and people can meet art and so that's what motivates me," he said.

Watch: Rapper turns to street artist

"I love doing graffiti because I think that's something straight related with me. I got love for the streets. I got love for spray cans."

The legitimacy of graffiti has been an ongoing discourse in developed nations for several years thanks to the rise in popularity of anonymous guerrilla artists like Banksy and Invader.

Similarly to Shot B, striking work by South African graffiti artist FALKO1 can be found on walls in and around Cape Town. Much of his work incorporates the design quirks of the building he is working on, to the effect that it often seems to have evolved with the building itself.

"I've been a graffiti artist with a strong traditional Hip-Hop influence since 1988," he said to CNN iReport. "I don't really consider myself a street artist but a graffiti artist/writer who dabbles in 'street art'."

Many rappers like Shot B and FALKO1 use graffiti as an extension of their Hip Hop-inspired expression. But street art is also providing others with a political voice.

While traveling through Morocco, iReporter Julee Khoo stumbled across a series of partisan murals. Intrigued by the designs, Khoo reached out to Moroccan colleagues who informed her that each local party is given public wall space to present campaign pledges, usually through election posters.

"Some parties have iconic symbols that represent them, so instead of posters, they use spray paint and stencils to paint the image of their party's symbol on the wall," she explained.

She added: "It's a much simpler, yet less wasteful, greener way to distribute campaign information. The wall also enables parties to interact with the illiterate members of the population.

"I can appreciate the value in having a symbol representing a party so someone who cannot read can simply pick out the identical symbol on the ballot in order to cast their vote -- makes the voting process a more accessible one."

Meanwhile in Gambia, local communities are using street art as a way of presenting their culture.

Rimon Guimaraes, an iReporter from Brazil, captured a remarkable mural on a school faÃ§ade in Kubuneh. Created by his friend Noha, the mural is part of a larger body of work from the Wide Open Walls project, which aims to bring resident artists together to celebrate the Gambian communities while encouraging tourism in the region.

"I believe that the culture of Africans inspire artists of all the times," he said. "Modiglianni and Picasso are some examples of African influence in the art world."

In Nigeria, iReporter Edidiong Uwemakpan captured a stunning mural on the side of the Orange Academy offices, a brand advertising college in Lagos, Nigeria.

Created by local artist Kimson, the piece was commissioned by the college in the hopes of inspiring students by featuring several Nigerian personalities including musician and rights activist Fela Kuti.

"I like the fact that the artwork was done on the first floor of the building and the outer fence," he said. "Together it told a story of liberation of the mind, of freedom, of standing for what you love and succeeding."

CNN's Mark Tutton and Sarah Brown contributed to this report.

@highlight

African street art includes graffiti, inspiring murals, painted shop fronts

@highlight

It provides an outlet for political voices and local culture

@highlight

Cape Town is home to a thriving graffiti scene with a social message