(CNN) -- Fifteen years ago, a bomb ripped through a federal building in Oklahoma City, Oklahoma, in the worst homegrown terrorist attack on U.S. soil.

The April 19, 1995, attack killed 168 people, shattering the notion that America was largely immune to domestic terrorism.

On Monday, Homeland Security Secretary Janet Napolitano traveled to to Oklahoma City to commemorate the 15th anniversary of the bombing. She joined survivors, local officials and others at a memorial ceremony, standing in silence for 168 seconds representing the number of dead.

In a poignant moment, the names of each of the victims were later read aloud by relatives and colleagues, with speakers referring to their mothers, grandparents and others who died in the bombing.

Napolitano told the gathering it was impossible to promise an end to terrorist attacks on American soil.

"Adversaries continue to look for ways to exploit our openness and to take innocent lives," she said, promising that her agency would continue to work "day and night" to prevent another attack.

"We can resolve even a successful attack will not defeat our way of life," Napolitano said, referring to how Oklahoma City responded to the 1995 bombing with community commitment that has become known as the Oklahoma standard. "We can resolve that the Oklahoma standard becomes the national standard."

Fifteen years later, the bombing's impact still reverberates with those who lived through it.

Daniel Gordon, 37, who was about seven miles from the Alfred P. Murrah Federal Building at the time of the blast, remembers feeling the force of the explosion as he backed out of a parking spot at a grocery store.

"It felt like I'd hit a car," he said of the concussion from the blast. "I looked and saw a ton of smoke pouring from downtown."

As the day went on, he saw the damage to the building and bodies being pulled from it.

"It was absolutely horrifying," said Gordon, a fourth-generation jeweler whose family's presence in Oklahoma predates statehood. "It was horror in real life."

An Army veteran, Timothy McVeigh, was eventually convicted on federal murder charges in connection with the bombing and executed in 2001.

McVeigh said he set off the bomb in front of the Murrah building at 9:01 a.m., in part, to seek revenge against the U.S. government for its raid on the Branch Davidian compound in Waco, Texas, on April 19, 1993.

Of the people killed in the attack, 19 were children who were at a day care center in the facility. Miraculously, six children survived and are now teenagers and young adults.

P.J. Allen, now 16, was 18 months old when the bomb brought the building down on top of him, forcing him to inhale hot air and smoke.

"His lungs were severely damaged," said Deloris Watson, Allen's grandmother. "It was touch-and-go for P.J. for a long time."

Now in high school, Allen works with a tutor every week and hopes to study mechanical engineering at the Massachusetts Institute of Technology.

He also loves sports, but his damaged lungs keep him from taking part competitively.

"My asthma stops me from running all the time," said Allen, who speaks with a hint of a rasp in his voice between quick pauses to catch his breath. "Sometimes, coaches wouldn't want to play me because I might get hurt."

Despite the hardships and years of surgeries, including numerous tracheotomies, Allen said he hardly ever asks, "Why me?"

"Because to me this is normal," Allen said. "As far as I remember, this has been what my life has been like."

Brother and sister Brandon and Rebecca Denny were hurt in the attack, although it was the older brother who received the more permanent injuries.

While then-2-year-old Rebecca Denny required 240 stitches to patch her up, her brother -- then 3 -- suffered severe brain injuries, leaving the right side of his body weak.

"First of all, they said he might not live, and second of all, if he does live, he will never walk or talk again," said mother Claudia Denny.

But Brandon Denny proved doctors wrong. He not only survived, but he is now a junior in high school with his sister.

"When you go through something like this, it just doesn't go away, like the next day or the next year. It affects you for your whole life," said Rebecca Gordon, who still wonders why she was lucky enough to survive.

"I wonder," she said, "but I don't know, I guess I have something important to do."

That sense of destiny is shared by another childhood survivor: Chris Nguyen, now a sophomore at the University of Oklahoma in nearby Norman.

"I've been given like a gift, you might say, and if I don't make something of my life to succeed and make a difference of some kind, then I would have wasted my life," he said.

"I think about the other parents -- all the other day care children and families -- who've lost someone ... but I feel guilty almost that Brandon, Rebecca, P.J. and I, we get to live our lives ... and the other people, they don't get that opportunity," he said.

If anything good came out of the bombing, Gordon said, it was that the people of Oklahoma City forged a common bond.

"It was horrible, but so much good came out of it," he said. "This whole city pulled it together. It was phenomenal."

CNN's Don Lemon contributed to this report.

@highlight

NEW: Homeland security chief joins survivors, local officials, others at memorial ceremony

@highlight

"It felt like I'd hit a car," said Daniel Gordon, 37, who was about 7 miles from the blast

@highlight

Teen, injured by bomb at 18 months old, goes on with life, rarely asks, "Why me?"

@highlight

Two other victims share sense of destiny, aim to make a difference with their lives