As Congress voted on the Affordable Care Act, or Obamacare, in 2010, one of the bill's architects, MIT economist Jonathan Gruber, told a college audience that those pushing the legislation pitched it as a bill that would control spiraling health care costs even though most of the bill was focused on something else and there was no guarantee the bill would actually bend the cost curve.

In recent days, the past comments of Gruber -- who in this 2010 speech notes that he "helped write the federal bill" and "was a paid consultant to the Obama administration to help develop the technical details as well" -- have been given renewed attention. In previously posted but recently noticed speeches, Gruber discusses how those pushing the bill took part in an "exploitation of the lack of economic understanding of the American voter," taking advantage of voters' "stupidity" to create a law that would ultimately be good for them.

In this fourth video, Gruber's language is not as stark as in three previous instances, but his suggestion that Obamacare proponents engaged in less-than-honest salesmanship remains.

"Barack Obama's not a stupid man, okay?" Gruber said in his remarks at the College of the Holy Cross on March 11, 2010. "He knew when he was running for president that quite frankly the American public doesn't actually care that much about the uninsured....What the American public cares about is costs. And that's why even though the bill that they made is 90% health insurance coverage and 10% about cost control, all you ever hear people talk about is cost control. How it's going to lower the cost of health care, that's all they talk about. Why? Because that's what people want to hear about because a majority of American care about health care costs."

You can watch the speech on the C-SPAN website here

Gruber said the measures in the bill that attempt to lower costs constitute a "spaghetti approach" -- throwing everything against the wall to see what sticks. And while preferable to the status quo, Gruber said he could offer no guarantee that any of the measures would work.

"The only way we're going to stop our country from being a latter day Roman Empire and falling under its own weight is getting control of the growth rate of health care costs," he said. "The problem is we don't know how." Experts "know what the problem is," he said. "Our providers are paid enormously high. In the 1950s surgeons are middle class guys like professors...Now they live on the Hamptons, the Cape, they're like investment bankers.

Gruber said attempts to control costs in a real way were politically untenable. "The problem is if we just say, 'Look, let's just cut our spending,' well, the problem is you're going to then eat into what the rich guys are getting that they're liking. And that doesn't go so well. That's going to be pretty hard politically. That's why no one has a politically feasible way right now to bend the cost curve, it just doesn't exist." Politicians could suggest capping costs but "you wouldn't win many elections."

The emergence of this videos from an important crafter of the legislation, repeatedly suggesting that "stupid" voters were misled for their own good by Obamacare supporters, is a potential political problem for the president. He now faces a Congress completely controlled by Republicans, determined to chip away at if not completely overturn the health care law. He also faces another U.S. Supreme Court case on the matter; Supreme Court Justices will assuredly be made aware of the Gruber comments one way or another.

Asked about Gruber's comments from a 2013 University of Pennsylvania panel in which the economist said "a lack of transparency was a huge political advantage for the President..." in selling the bill to the American people, White House press secretary Josh Earnest said "the process associated with writing and passing and implementing the Affordable Care Act has been extraordinarily transparent."

Earnest insisted "it is Republicans who have been less than forthright and transparent about what their proposed changes to the Affordable Care Act would do in terms of the choices that are available to middle-class families.  I know there is at least one very prominent Republican who campaigned for reelection saying that he would repeal the Affordable Care Act, but yet keep in place the Affordable Care Act marketplace that has operated very successfully in his state."

Asked about Gruber's reference to the "stupidity of the American voter," Earnest said, "I disagree vigorously with that assessment."

Gruber declined to comment to CNN.

Related: Third Obamacare architect video emerges

On Thursday, House Minority Leader Nancy Pelosi, D-Calif., was asked about Gruber's remarks. "I don't know who he is," she said. "He didn't help write our bill." A Washington Post story noted that Pelosi in 2009 cited Gruber's work approvingly.

The Obama administration in recent days has suggested that efforts to bend the cost curve have been working. "Since President Obama signed the Affordable Care Act, there is evidence that we have bent the cost curve when it comes to health care," the Secretary of the Department of Health and Human Services, Sylvia Matthews Burwell, said in September. "Across the board, we have now held down health care price inflation to the lowest rate in 50 years."

As Sophie Novack noted earlier this year in National Journal, the slowdown in the growth of health care costs is indeed "promising, but analysts remain split over what accounts for the changeâ€”and, consequently, how long it will be sustained. The more pessimistic view is that the lower cost growth is a result of the recession and will inflate again as the economy recovers."

A 2013 Kaiser Foundation study concluded that the struggling economy was responsible for 77% of the slowed growth, "that the economy, including factors such as Gross Domestic Product growth and inflation, produces a major but delayed effect on the nation's health spending. This effect stretches over a period of six years, meaning that the recession that ended in 2009 will continue to dampen health care spending for several more years and that spending will increase gradually as the economy strengthens."

At a press conference in 2010, President Obama told this reporter that "bending the cost curve on health care is hard to do. I said at the time, it wasn't going to happen tomorrow, it wasn't going to happen next year. It took us decades to get into a position where our health care costs were going up 6, 7, 10 percent a year. And so our goal is to slowly bring down those costs," he said.

Obama added, "as a consequence of us getting 30 million additional people health care, at the margins, that's going to increase our costs, we knew that. We didn't think that we were going to cover 30 million people for free, but that the long-term trend in terms of how much the average family is going to be paying for health insurance is going to be improved as a consequence of health care."

The first few Gruber videos to get any media attention were documented over the course of the last year by Rich Weinstein, an investment adviser who became interested in the origins of the law after the price of insurance for his family doubled.

@highlight

A series of videos featuring statements by an Obamacare architect have incited a furor among conservatives

@highlight

In the videos, MIT professor Jonathan Gruber suggested Obamacare supporters were over-emphasizing the benefits of the  health care law.