The majestic Kongou Falls has some of the most spectacular cataracts in Africa, which are located in the heart of Gabon's Ivindo National Park.

The 3,000-square-kilometer park is one of the most significant African sites for biodiversity conservation, sheltering a rich variety of wildlife and vegetation species.

It is this scenic beauty and environmental importance of Gabon's vast rainforests that first prompted Gabonese activist and renowned environmentalist Marc Ona Essangui to campaign for the protection and preservation of the Congo Basin rainforest.

"It's fantastic the forest, fantastic," says Ona, a winner of the coveted environmental award Goldman Prize for his efforts to save Ivindo from a mining project. "There is peace, tranquility, one breathes in the freshness -- no pollution and it's magnificent," he adds.

"If we destroy this forest, we will have aggression from everywhere that will reach the wider population."

See more: 'Green Gabon' for eco-tourism

The world's second largest rainforest after the Amazon, the Congo Basin rainforest in Central Africa is under constant threat of destruction and exploitation.

A large swath of this dense rainforest is located in Gabon -- about 80 per cent of the equatorial country is covered by pristine forests, home to numerous gorillas, elephants, antelopes and tropical birds.

In 1998, Ona, a survivor of childhood polio, co-founded Brainforest, a non-governmental organization working to preserve Gabon's natural resources.

The wheelchair-bound activist says he is fighting for the rights of his people, the indigenous tribes who call the forest home but have no legal rights over their lands.

"In the beginning, one of the objectives of the Brainforest was about conserving and protecting the Ivindo forest," he says. "But today we have seen that it is also necessary to talk about the laws that govern forestry rights, looking at illegal activities in the forest, such as corruption and all that is related to forestry. We are looking at the rights of those living in the forest and defending and protecting their rights."

Located in the western part of Central Africa, oil-rich Gabon is one of Africa's wealthiest countries -- the land beneath Gabon is richly seamed with minerals and is being mined successfully.

In the early 2000s, the Gabonese government entered into an agreement with a Chinese mining and engineering company, offering them a huge mining concession within the Ivindo National Park.

According to Brainforest, negotiations were conducted in secret and the government did not consult with affected communities nor assess the project's environmental impact.

Ona obtained a leaked copy of the agreement and made it public, applying enormous pressure and forcing the state to renegotiate the terms of the contract.

The campaigner's efforts were key in the fight to save the park but Ona has paid a high price for his activism.

In 2008, he was arrested and detained for 13 days. He has also been evicted from his home and has been refused an exit visa more than once.

More from African Voices: How Ladysmith Black Mambazo inspired Mandela

However, his efforts have given him international acclaim and renown; in 2009 he was awarded the Goldman Prize, a "Green Nobel" prize that honors grassroots environmental heroes across the globe.

"It's an honor because it is the equivalent of a Noble Peace prize-- it is recognition of the work we do from the public," says Ona.

"When I obtained it and was congratulated for receiving this award, I saw it as appreciation and acknowledgment of the work we have always done and will continue doing to protect the interests of this population and the entire forestry environment," he adds.

A champion of social justice, Ona has also been fighting tirelessly for the rights of the disabled -- suffering from polio since the age of six, he refuses to let his condition prevent him from living a full life.

"I am married, my wife is able-bodied, I have children who are not handicapped, I do everything normally," says Ona, who in 1994 founded an NGO called Handicap sans Frontiers. "Even if I am disabled, I don't have that mindset -- I see what I can contribute to my community, my family or my country, that for me is the fundamental thing."

Read more: Recycled hotel soap saves children's lives

A born fighter, Ona says he is determined to keep working to save Gabon's forests and ensure a better future for coming generations.

"The message is simple," he says, "we are not going to be blinded by material things as our leaders. The future generations will not benefit from this beautiful nature scene if we don't preserve it and we will be known as a continent where resources can be exploited but not to be nourished and cared for.

"We Africans have to ensure our own well-being."

@highlight

Marc Ona Essangui is a Gabonese activist and internationally-recognized environmentalist

@highlight

In 2009 he was awarded the Goldman Prize, a 'Green Nobel' given to environmental heroes

@highlight

Ona has fought to save Gabon's Ivindo National Park from a mining project

@highlight

The Congo Basin rainforest in Central Africa is under the threat of over-exploitation