Baghdad, Iraq (CNN) -- Just after the United States completed its drawdown of combat brigades in Iraq, militants Wednesday launched a wave of bombings across the country, mostly targeting security forces.

At least 48 people died and at least 286 others were wounded in 13 cities. The locations included Baghdad, the capital, and large towns in the northern, western, and southern quadrants of the nation. The only region that appeared to be spared the onslaught was the three-province Kurdish autonomous region in the north.

Investigators don't yet know whether these strikes were coordinated, but a similar series of strikes that occurred in May bore the hallmarks of al Qaeda in Iraq.  On that day, 85 people died and more than 300 others were wounded in coordinated shootings and bombings across six provinces.

"The fact that these events coincide with Ramadan only adds to extremists' desires to make a violent statement by murdering others and capturing the day's news," said Maj. Gen. Steve Lanza, the U.S. military spokesman in Iraq..

The latest attacks come as the number of U.S. troops in Iraq has now fallen below 50,000 -- the lowest level since the U.S-led invasion in 2003.  The U.S.-led combat mission formally ends August 31, and the remainder of American troops will train, assist and advise the Iraqis.

But the American residual force -- comprising what is to be called Operation New Dawn on September 1 -- is combat-ready. While it has a different mission, it has the same capabilities as combat troops. If requested by the Iraqis, these soldiers can go into combat and can deploy these skills for self-defense.

All American troops are scheduled to pull out at the end of 2011, but the Iraqi government could request that some of them remain.

The departure of the U.S.-led combat mission is a seminal moment in a country that wants to see whether Iraqi police and soldiers can effectively handle the kind of insurgent activity that periodically erupts in this turbulent environment.

Overall violence in Iraq has declined considerably over the past two years compared with the height of the sectarian war between 2005 and 2007. But there has been a recent campaign of bombings and shootings in Baghdad targeting traffic police, Iraqi soldiers and local leaders, and tensions across the country have been exacerbated by a political crisis -- the failure of Iraqi lawmakers to form a government nearly six months after national elections.

"Today's attacks clearly involved planning by extremists, criminals and terrorists to take advantage of the ongoing frustrations of Iraqi people with the government impasse, as well as exploit the changing U.S. mission toward stability operations that takes effect Sept. 1," Lanza said.

Lanza also stressed that the Iraqi government needs to "form now."

Wednesday's attacks reflect the challenges the indigenous police and soldiers face. The deadliest strike occurred in the Wasit provincial capital of Kut, a city southeast of Baghdad. At least 20 people were killed and 90 others wounded when a car bomb targeted a police station.

A suicide car bomber hit a police station in northeast Baghdad, killing at least 15 people and wounding 57 others, the Interior Ministry said. The strike damaged the Qahira police station building and several buildings and houses nearby.

According to eyewitnesses at the scene of the Baghdad suicide attack at the police station, U.S. troops were there. Lt. Col. Eric Bloom, U.S. military spokesman for Baghdad, said American advisers and trainers and forensic support are available to Iraqi forces at their request. In this instance, an American adviser accompanied Iraqi forces, a practice that has been routine.

In Anbar province's capital of Ramadi, west of Baghdad, five people died and 13 were wounded when two car bombs exploded near a passport office. In Muqdadiya, in northern Diyala province, at least three people died and 18 others were wounded when a car bomb targeted an Iraqi police checkpoint.

A parked car bomb exploded in a busy street in the Allawi commercial area in central Baghdad, killing two civilians and wounding seven others.

In the holy Shiite city of Karbala, south of Baghdad, a car bomb targeting a police station killed one person and wounded 30 others. A roadside bomb explosion in central Falluja, west of Baghdad, targeted an Iraqi army patrol, killing one Iraqi soldier and wounding eight people, including three soldiers. In Kirkuk, the tense ethnically diverse city in the north, a car bomb targeted a police patrol, killing one person and injuring eight others.

Other attacks left people seriously injured.

A car bomb exploded outside Dujail police station just north of Baghdad and wounded 20 people, including five police officers.

At least 13 people were wounded in Tikrit in a double roadside bomb attack that targeted an Iraqi Army patrol. They were five soldiers, six civilians and two policemen.

A bomb explosion outside a police station in central Basra in the country's south wounded 10 people.  The chief of Facility Protection Services in Samarra was seriously hurt when two bombs went off in quick succession as his convoy passed by in the northern city. The service is in charge of providing security protection to government institutions.

In Baghdad, three roadside bombs exploded, and eight people were wounded, including three soldiers.

In Mosul, in the north, a suicide bomber driving a car tried to attack an Iraqi army security checkpoint but security forces shot and detonated the car. In the Diyala province town of Buhriz, in the north, bombs left outside five homes wounded at least four people, police said. Four policemen and an electoral commission official lived in the dwellings.

The violence underscores the anxiety in Iraq over the tenacity of the insurgents and the progress of the Iraqi security forces.

Lanza said that Iraqi security forces have shown "an enormous will and ability to take on extremists, criminals and terrorists" and are "fully committed and determined" to protect Iraqis.

"The ISF took a blow, but they are not on the ropes and will meet these challenges head on.  They are not being pushed out of neighborhoods and are not giving up an inch of ground.  When attacked, they take control of the situation and regain immediate security of the area."

Lanza said the military has reiterated "that attacks were likely to occur during this period" and that's "why our top priority in our ongoing role of advising, training and assisting the Iraqi security forces through 2011 is improving their overall operational capabilities."

"Rooting out these extremist, criminal and terrorist cells will remain a top priority for both our ongoing assistance mission and our support for partnered counter-terrorism operations in the months ahead," Lanza said.  "There is still difficult work to be done here.  This is why we are staying committed in Iraq with a significant military capability to advise, train and assist Iraqi security forces until our mission ends in December of 2011."

Analysts warn that the Iraqi conflict will be persistent for years.  Anthony Cordesman, a national security analyst at the Center for Strategic and International Studies, wrote last week that the conflict "is not over" and "is at as critical a stage as at any time since 2003." Iraq, he says, continues to grapple with a "serious insurgency," ethnic tension and great economic challenges.

"Regardless of the reasons for going to war, everything now depends on a successful transition to an effective and unified Iraqi government, and Iraqi security forces that can bring both security and stability to the average Iraqi. The creation of such an 'end state' will take a minimum of another five years, and probably ten," he wrote.

CNN's Mohammed Tawfeeq, Jomana Karadsheh and Arwa Damon in Baghdad and Joe Sterling in Atlanta contributed to this report

@highlight

NEW: The violence occurs during Ramadan

@highlight

NEW: U.S. says the government needs to form now

@highlight

Dozens are dead and wounded