A young woman leaves her farming village at age 16 to find work in a distant city. With three younger children at home, her parents can't afford to keep her in school.

Her first job, on a factory assembly line, pays only $50 a month. Over two years she takes night-school classes, gets a series of secretarial jobs, and lands a coveted position in a factory's purchasing department that pays more than $1,000 a month.

She meets a young man, a fellow migrant; they marry and have two children. The couple saves enough money to buy an apartment for her parents and a secondhand Buick for themselves. Then the young woman leaves her daughters in the temporary care of her husband and his parents, so she can return to the city to work again. "A person should have some ambition while she is young," she writes, "so that in old age she can look back on her life and feel that it was not lived to no purpose."

Watch Leslie Chang's TED Talk

The outlines of this young woman's story are familiar; she could be one of the millions of immigrants who crossed an ocean to make a new life in America. We acknowledge that their lives were hard, but we believe that with adversity came opportunity and transformation.

But if I tell you that this woman's name is Lu Qingmin, and that she lives in China, all such possibility seems to fall away. She is recast as a victim of the world's largest authoritarian regime, where workers earn less than a dollar an hour and independent unions are against the law. Her story becomes one of misery and exploitation. How could it be otherwise?

I spent two years getting to know assembly line workers in the south China factory city of Dongguan. These young men and women labored long hours every day, sometimes for weeks on end without a break; the best factories gave one day off each week.

A government-mandated 11-hour workday was routinely ignored, and factories frequently paid less than the minimum wage or withheld pay for minor infractions. Injuries on the factory floor resulted from safety violations and minimal employee training. Workers might sleep 10 or 15 to a room, with 50 people sharing one bathroom.

TED.com: Behind the great firewall of China

Yet these workers did not strike me as cowed; despite their youth and inexperience, they were capable and resourceful at improving their situations over time. Almost every worker I met told me a story of challenging her boss over some injustice, which frequently led her superiors to take notice and treat her better.

The workers figured out who were the best employers, took private classes to learn computer or secretarial skills and talked their way into higher-paying jobs. They became the chief earners in their families and challenged long-held traditions. They urged their parents to keep younger siblings in school; they resisted pressure to marry early and return to a way of life they no longer wanted.

For these young women, the factory experience could not be boiled down to a set of working conditions. It also changed their lives.

Surveys have shown that Chinese migrants are younger and better educated than the people who stay behind in the village, and that they choose to leave home as much to see the world and to develop new skills as to earn money.

Factory work is an informed choice, not a desperate response to poverty. Other studies by Chinese and Western scholars show that migration fuels economic growth, social mobility and the spread of progressive ideas. Income from migrant work is the biggest source of wealth accumulation in rural China.

TED.com: The generation that's remaking China

By 2025, McKinsey & Co. has estimated, the Chinese middle class will swell to 520 million people, most of them former migrants who have done well in the cities and stayed.

One study has shown that having done migrant work makes a rural woman more likely to choose her own husband, to give birth in a hospital, and to seek equality in marriage. It's possible to acknowledge that the Chinese factory regime has immense problems but that it also brings benefits to individuals within that system. Perhaps Chinese workers deserve our interest and respect instead of our pity.

Just to say these things makes some people angry. Since my TED talk on Chinese factory workers was posted online, I have been accused of working in league with the technology industry to perpetuate the enslavement of Chinese workers. "You sicken me with your effort to discount the negatives of factory workers in China by making it sound like the workers want this," one person wrote.

What accounts for such visceral reactions? One answer lies in the nature of daily journalism. By focusing on extreme events, such as a violent brawl earlier this week at a Foxconn Technology plant that manufactures for Apple, journalists create the impression of an enormous underclass on the edge of revolt.

TED.com: Does democracy stifle economic growth?

Write about ordinary workers who have not endured violent protests or extraordinary suffering, and you may be attacked for hiding the truth or shilling for the corporations.

A widespread fear of China—a monolithic force that is taking over the world and stealing American jobs—blinds people to the complexities of life there. The Chinese government is not a democracy, yet its economic policies over the past three decades have improved the lives of millions. But it's far easier to believe that everyone there is exploited and miserable.

It's true that Chinese factories have harsh conditions. It's also true that Chinese factories have allowed huge numbers of people to improve their lives and change their fates. This same set of contradictory facts characterized America's industrialization more than a hundred years ago. To insist on seeing China in black and white reflects an ignorance of history and a failure of the imagination.

Follow @CNNOpinion on Twitter

@highlight

Leslie T. Chang: Conditions are harsh, but people ignore the full stories of Chinese workers

@highlight

She says factory jobs have provided upward mobility, new opportunity in China

@highlight

People look back admiringly at heroic work of immigrants to U.S. 100 years ago, she says

@highlight

Chang: Chinese workers deserve our interest and respect instead of our pity