The escalation in recent days of eastern Congo's brutal war demonstrates that unless its root causes are addressed in a broader peace process, violence could intensify and Rwanda could be drawn more directly into the fray, regionalizing the war.

Over the past week, Congo's army has nearly militarily defeated the most powerful rebel group, the M23. Rwanda has threatened to strike Congo in retaliation for what it claims was shelling on its territory by Congo's army.

M23 may soon be a spent force militarily, but many other armed groups are still active and could replace it as major destabilizers of eastern Congo unless the root causes of the war are addressed.

Recently suspended talks in Uganda only involve the Congolese government and M23, and address none of the underlying political, economic, or security drivers of violence that have created the deadliest conflict globally since World War II.

Corrupt governance, intercommunal divisions and illegal exploitation of lucrative natural resources allow the Congolese army and a host of predatory militias to operate with impunity.  But the most important factor in ending mass violence is the Congo-Rwanda relationship and the economic and security interests that underlie it.

The fates of Rwanda and Congo are deeply intertwined.

The aftermath of the Rwandan genocide spilled over into Congo in the mid-1990s, acting like gasoline on the fire of preexisting ethnic tensions, localized conflict and state collapse. Since then, Rwanda's periodic direct intervention and support for armed groups in eastern Congo have been central drivers of continuing conflict.

Remarkably, however, no major international peace initiative has comprehensively analyzed and addressed Rwanda's core interests as part of a solution.

Rwandan security interests in Congo center on containing the threat posed by the Congo-based armed group, the Democratic Forces for the Liberation of Rwanda (FDLR), whose leaders participated in the 1994 genocide against Rwandan Tutsis. Congo's army has at times supported the FDLR.

The Rwandan government, which defeated the regime that committed the genocide, believes that as long as the FDLR is in Congo with supporters around the world motivated by a genocidal ideology, it represents a threat.

Rwanda also has economic interests in Congo in natural resources, land and cross-border trade. Rwanda has its own domestic minerals sector but benefited significantly from smuggled conflict minerals from Congo -- in particular tin, tantalum, and tungsten -- for several years.  According to numerous U.N. investigative reports, some Rwandan traders have relabeled Congolese minerals as Rwandan and exported them. Rwanda is reliant on the minerals trade to reduce its significant balance of trade deficit.

Widely divergent opinions focus on Rwandan President Paul Kagame. Supporters cite his ending the 1994 genocide and tout the country's dramatic economic recovery since then, but are uncritical of Rwanda's role in Congo or the lack of internal political freedom. Critics focus only on its destructive behavior in Congo and repressive policies at home but overlook the progress Rwanda has made in other spheres.

The "11+4 Framework" for a peace initiative signed by all the governments in the region provides a new window to address the core causes of the conflict and involve civil society. The appointments of Mary Robinson and Russ Feingold as U.N. and U.S. envoys, respectively, further improve the odds.

The primary key to ending the violence is changing the economic incentives from war to peace and addressing regional security threats. This in no way diminishes the urgent need for political reforms in Kigali, Kinshasa, and elsewhere in the region, as well as the importance of placing targeted sanctions against any officials supporting armed groups, combating spoiler militias like the FDLR and M23 by buttressing the U.N. Intervention Brigade's capacities and prosecuting war crimes.

But the most promising opportunity for peace is in the economic interdependence between Congo and Rwanda.  The perceived zero-sum nature of Rwanda's interests that help fuel the war has to be transformed for the war to end.

If the mineral sector alone was developed by serious investment in conflict-free, transparent semi-industrial and industrial mining, and the artisanal trade was more formalized with better equipment and fair-trade small-scale mining, there would be a greatly expanded economic pie for the entire region.

Instead of the current fighting over surface-level minerals left to armed smugglers, there could be exponentially larger revenues for both countries and wealth-building opportunities for Congolese communities from the deeper mines in a legal, peaceful trade. The envoys can help by pressing to finalize the regional minerals certification process and asking the World Bank to accelerate its regional infrastructure programs.

Rwanda and Congo can grow together if Rwanda becomes a gateway for international businesses to invest in Congo's natural resource sector, while attracting investors on the basis of good roads, electricity, transparent business regulations and banking institutions. Singapore grew similarly by attracting investors interested in neighboring Indonesia's and Malaysia's natural resources. All three countries benefited tremendously from this arrangement: Malaysia, Indonesia, and Singapore are now all in the top 20% of world economies. Congo and Rwanda may not be top 20 candidates soon, but a peaceful sub-region would be a good start.

@highlight

Authors: Unless root causes are addressed, violence will intensify in Congo

@highlight

They say the key is to focus on Rwanda's role in the war

@highlight

Agreement that involves Rwanda would go far to bring peace, aid economies, they say