The latest "Worldwide Caution" issued by the U.S. State Department last week made for grim reading, telling of "an increased likelihood of reprisal attacks against U.S., Western and coalition partner interests throughout the world, especially in the Middle East, North Africa, Europe, and Asia."

Much of the bulletin dwelled on the threat from the Islamic State in Iraq and Syria. But among a laundry list of dangerous places was this sentence: "Terrorist organizations continue to be active in Yemen, including al-Qaeda in the Arabian Peninsula (AQAP)."

It was a brief, generic commentary on the group still regarded by many analysts as al Qaeda's most effective affiliate, and which is now exploiting a surge in political turmoil in Yemen. As a reminder of how dangerous AQAP is, the State Department on Tuesday published an unusual "wanted" list "offering rewards totaling up to $45 million for information leading to the locations of eight key leaders" of the group.

The U.S. has invested heavily in Yemeni President Abdu Rabu Mansour Hadi, who was elected in 2012 and pledged to reverse gains that AQAP had made in the south and east of the country. Hadi reorganized Yemen's military, and for a while -- with considerable US assistance -- it put AQAP on the defensive.

But on September 21, the country's always combustible political landscape exploded when Houthi rebels seized government buildings in the capital, Sanaa, and its airport. The Houthi are Shia Muslims who make up an estimated 30% of the population but have long felt marginalized by the Sunni majority in Yemen. They are now demanding greater political influence.

Blast kills 47 at Houthi protest in Yemen

Sunni-Shiite divide

That is a red rag to radical Sunnis, including supporters or members of AQAP, who regard the Houthi as apostates to be driven from Muslim lands or killed. They claim Iran is bankrolling the Houthi rebellion in an effort to control Yemen's Red Sea coast, on one of the world's busiest shipping lanes. Monday's capture by Houthi militia of much of the coastal city of Hodeida -- Yemen's second-largest port -- will only heighten that fear.

Even Hadi has alleged that the Houthis are being trained and advised by Hezbollah, the Lebanese Shiite militia. Saudi Arabia, which provides energy and financial support to Yemen and shares a long border with it, is looking on with growing apprehension.

On Monday, Hadi appointed a new Prime Minister, Khaled Bahah, who is currently Yemen's envoy at the United Nations. Some Houthi leaders spoke positively of Bahah's appointment, but unless Houthi militia are reined in, Yemen could quickly become another theater in the Sunni/Shia confrontation gripping much of the Middle East.

Exploiting the conflict

AQAP is doing as much as it can to stoke a sectarian war. Last week, it launched a devastating suicide bombing against a Houthi rally in Sanaa, which killed nearly 50 people. It also released a video showing its fighters purportedly removing 14 Houthi men from a bus and executing them. At the same time, AQAP has stepped up attacks against the army and police; a suicide bombing at a military checkpoint in remote Hadramaut province last week killed 20 soldiers.

In recent weeks, the group has released a series of appeals to Sunnis in Yemen to support its campaign against the Houthis, casting itself as the only group capable of preventing what it claims is a plot by Iran to take over the country. Its videos and statements refer to the "Yemeni turned Houthi army."

"Do not leave a checkpoint for (the Houthis) that you do not strike, nor a headquarters that you do not bomb, nor a troop carrier that you do not explode," said one of AQAP's leaders, Nasser bin Ali al-Ansi, in a video released on September 30, according to a translation by the SITE Intelligence Group.

Hardline Sunnis in Yemen have staged anti-Houthi demonstrations in recent weeks. And even some in government may now see AQAP as a useful counterweight to the Houthis. The worst-case scenario: a repeat of 2011, when roiling protests in the capital and infighting between different army units allowed AQAP to seize control of several towns in southern Yemen -- towns they held for months. Now, there is the additional destabilizing factor of a growing secessionist movement in the south.

Once again, Yemen seems close to becoming a failing state; the sort of place where al Qaeda incubates quickly.

AQAP defections

The main threat to AQAP may be from within, as some jihadists opt for the even more radical option of ISIS. There is now a group called The Islamic State Supporters in the Arabian Peninsula, which has promised attacks against Houthis. According to Flashpoint Partners Intelligence, which monitors jihadist communications, one former AQAP commander, Ma'moun Hatem, has already pledged allegiance to ISIS leader Abu Bakr al-Baghdadi.

Assuming AQAP can avoid defections, its ability to plan terror attacks beyond the Middle East remains far greater than that of ISIS. U.S. officials say AQAP still poses the most active threat to the homeland and fear it is starting to share its bomb-making know-how with jihadists in Syria, specifically within an al Qaeda affiliate, Jabhat al-Nusra.

AQAP chief bomb-maker Ibrahim al-Asiri has three times plotted to bring down U.S.-bound aircraft, coming closest to success on Christmas Day in 2009 when a Nigerian recruit attempted to blow up a bomb in his underwear in the skies above Detroit.

Earlier this year, AQAP leader Nasir al Wuhayshi, who is also al Qaeda leader Ayman al-Zawahiri's deputy, told a large gathering of fighters that attacking the United States was a central priority, a message repeated by al-Ansi last month.

"Each front must strike America and its interests everywhere. We have recognized the main enemy, America, for decades," al-Ansi said.

While debate rages in Washington and Europe about the intentions of ISIS and al-Nusra in exporting terror to the West, the most lethal of al Qaeda's affiliates is exploiting and stoking Yemen's latest crisis.

@highlight

Many analysts say al Qaeda in the Arabian Peninsula is al Qaeda's most effective affiliate

@highlight

The group is exploiting political turmoil in Yemen, where Houthi rebels are fighting government

@highlight

Radical Sunnis say Houthis are apostates and should be driven from Muslim lands or killed

@highlight

Yemen could become a theater in the Sunni/Shia confrontation gripping much of the Middle East