(CNN) -- The debate has gone on for years. The athletes in big-time college sports bring in billions of dollars for their universities and the NCAA, but get nothing in return -- other than a scholarship that does not even cover the full cost of attending school.

Until now, it has been largely a philosophical discussion among academics and sports enthusiasts. Are college athletes amateurs? Are they being exploited? Should college sports be kept "pure"?

But thanks to a decision by National Labor Relations Board last week and a class action lawsuit filed against the NCAA, the questions have moved out of the theoretical and into the courtroom.

'Amateurism is a myth': Athletes file class-action against NCAA

Labor board: Northwestern University football players can unionize

The lawsuit challenges the NCAA's rules against player compensation as an illegal agreement among universities to fix the prices paid to college athletes.

The NLRB decision found that Northwestern University football players are employees of the school and are therefore entitled to unionize.

Taken together, the mighty NCAA has never been more vulnerable in its tired defense of college sports as an amateur pastime, and in its depiction of college athletes as merely students who also play ball.

While their objectives seem simple enough, the legal battle will be fierce, as will the inevitable appeals to the NLRB's groundbreaking ruling.

For years, the NCAA and its defenders have argued the player compensation ban is necessary to preserve the amateur nature of college sports and the educational mission of the NCAA and its member universities. Once that system is broken, they claim, college sports will never be the same. Nor will the governing ideal that these players are students first, and athletes second.

But we are well past the time to deflate the myth of what major college football and basketball are really all about.

It is not about serving the so-called "student-athletes." Or fostering their educational pursuits. Or protecting them from commercial exploitation. Or safeguarding the integrity of the game. And it certainly has nothing to do with the mythical notion of amateurism.

Instead, major college football and basketball is all about the money.

And the money is substantial. The NCAA and its members rake in billions of dollars a year -- with nearly $1 billion of that coming just from the three-week Division I men's basketball tournament.

Head coaches are paid in the millions, in some cases out-earning their NFL and NBA counterparts. In most cases, head football or basketball coaches at state schools are the highest paid public employees in a state.

Even the university athletic directors, conference commissioners, bowl organizers and NCAA executives get their sizable share of the booty.

Major college football and basketball is an industry where everyone profits -- everyone, except the athletes. It is no accident why. The NCAA forbids it.

To put it simply, the NCAA rules prevent college athletes from being compensated in any way connected with their sport other than a limited athletic scholarship. They cannot even accept textbooks, a bag of groceries or a trip home to see their parents. Nor are they allowed to access the free market for their own promotional and marketing deals.

And forget about getting advice or representation from a sports agent. It is all off-limits. No exceptions.

To the NCAA and its members go all the spoils, while the players toil away, sacrificing their education and physical well-being, to fuel this multi-billion dollar corporate enterprise.

In any other industry, this system would have been condemned long ago as a per se illegal price-fixing conspiracy (not to mention a blatant violation of the most basic labor laws).

The NCAA and its members, however, have for years successfully hidden behind the Orwellian concept of "amateurism" as a legal and economic justification for this scheme. The time when major college football and basketball were ever truly considered "amateur" sports has long since passed. What remains is a wide-ranging conspiracy to maintain and solidify the very exploitation the NCAA and its members profess they are guarding against.

If protecting the college athlete from commercialization were really the NCAA's concern, it would restrict or eliminate this commercialization in the first place.

No corporate branding on uniforms, stadiums and arenas. No corporate sponsorships of bowl games and tournaments. No mass merchandizing of player jerseys and apparel. No 10-figure television deals. And no scheduling of game times to accommodate prime time ratings (without regard to academic schedules).

Instead, the NCAA and its members feed the corporate frenzy and keep all the proceeds for themselves.

The NCAA could also employ a number of softer alternatives to its blanket ban on player compensation. It could create a revenue share "lock box" which athletes could draw upon for educational or career development pursuits. It could follow the Olympic model of amateurism and allow athletes open access to the commercial free market for endorsement and promotional deals. And it could make available a slew of benefits and subsidies to better protect the health and educational well-being of the players.

In not adopting these alternatives, the NCAA and its members have made it clear that either they have no real concerns about amateurism, or they have no real concern for the well-being of their big-time athletes.

To be sure, the two-pronged assault on the NCAA remains very much an uphill battle. There have been numerous legal challenges to the NCAA ban on player compensation and virtually all of them have failed.

The courts just don't seem willing to upset the archaic model of amateur college sports, an ideal even the Supreme Court has recognized as worthy of protection.

But this class-action case is unique in its "full-monty" attack on the system and the undeniable fact that whatever big-time college sports once was, it can no longer be described honestly as any kind of amateur pursuit.

The NLRB ruling is likewise firmly grounded in this reality of what major college sports has become.

Whatever ultimately happens on this new legal front, this twin-challenge to the NCAA should serve as a much needed wake-up call.

One way or another, this supposed guardian of the student-athlete needs to do a much better job of serving and protecting those within its ultimate charge.

Join us on Facebook.com/CNNOpinion.

@highlight

Gordon Schnell and David Scupp argue that amateurism in college sports is now a myth

@highlight

College athletes, they say, are responsible for the billions the NCAA earns each year

@highlight

They should be paid, they argue, and not exploited