(CNN) -- The woman was related to at least two of the three children.

Was she their doting mother? An adoring aunt?

Or, given her relative youth, perhaps a much older sister?

"That leaves you with so many possibilities," says New Hampshire State Police Sgt. Joe Ebert.

All four females are long dead, their bodies crammed into two 55-gallon barrels, the first barrel discovered by a hunter in 1985, the other 15 years later.

They have never been identified.

Now, there's a new push to solve a cold case that has stymied determined investigators.

This week, the National Center for Missing & Exploited Children, after a request from state police, released new 3-D facial reconstructions of the four victims. They provide more details than previous images.

Investigators hope that someone, by looking at gaps in their teeth, thickness of lips, the length of their hair or other features, will make a connection.

"The right person is going to see it," says Angela Williamson, director of the center's unknown victim identification team.

Seemingly endless questions and possible scenarios swirl around investigators who have sifted through hundreds of tips or leads over the years.

Is this a domestic case, or a professional hit? How did the barrels come to be on a wooded lot near a state park in Allenstown, New Hampshire?

Were the four transients? Could they have lived on a commune? Did they live in other state or country?

Police have no missing persons report associated with the mysterious case.

Ebert, in an interview with CNN on Friday, said he has been open to theories and new evidence since he joined the case a few years ago. He's certain of one thing.

"I believe that there is somebody who knows who these children are and knows what happened to them."

Two horrifying discoveries

During deer season in 1985, a hunter made a grisly discovery on a parcel of private property near Bear Brook State Park, known for its bogs, lakes and trails.

A steel drum contained the remains of the woman, estimated to be between ages 23 and 33, and the eldest girl, who was between 5 and 11. Original reports indicated they died of blunt-force trauma. Investigators later determined they were related in some way.

State police, who handle nearly all homicide investigations in New Hampshire, notified the National Crime Information Center (NCIC), a computerized index that includes such reports.

It was believed then that the victims might be a mother and child.

"They came to every person's door and asked, 'Have you heard anything, if you knew anyone that's missing?' " Allenstown resident Andrea Kelly told told CNN New Hampshire affiliate WMUR this week. '"No, we haven't heard anything.'"

Within one day of the discovery of the bodies, state police were called in to investigate an apparently unrelated slaying of a man in nearby Hookset. Suddenly, that murder became the priority of the police force.

"It took a great number of resources," Ebert says of the Hookset investigation. That murder was finally solved eight years ago.

New Hampshire, with a population of about 1. 3 million, sees an average of only 20 to 30 homicides a year, according to Ebert. About half are domestic incidents.

Policy called for troopers to look into a cold case if they were not working on a current homicide.

So, in 2000, an investigator drove to the Allenstown scene to check on the proximity of barrels on the property to a road and a mobile home park close by. The property included a trailer and the remains of a burned camp store.

In another barrel, the trooper found two more bodies -- a girl between 1 and 3 and another aged 2 to 4. Tests indicated the woman whose body was found earlier was related to the younger child. So far, the girl between 2 and 4 has not been linked to the woman.

Suddenly, everything changed.

Instead of a mother and child, police broadcast that they had four victims, meaning old assumptions were gone.

"So much can change in that span" of time, Ebert says of evidence and investigative leads.

Police spoke to between 50 and 100 individuals, including the property owner and residents of the mobile home park. Now the case is getting a fresher look.

"We are reanalyzing each and every person," says Ebert.

The department, when the NCIC broadcasts went out in 1985 and 2000, was flooded with information. "We took great pains to rule people out."

The sergeant acknowledges that many may question why it took 15 years to find a second barrel 100 yards from the other. "How do four people go missing and nobody knows it"?

The sergeant cites resources needed for the Hookset murder, the number of people in the major crime unit and the fact that autumn leaves covered much of the property.

"They did the best with what they had at the time," he says.

Florida school deaths remain mystery

"I keep an open mind to everything"

Williamson, of the National Center for Missing & Exploited Children, tells CNN that she and her team are awaiting results of more comprehensive DNA testing of the remains of the woman and young girls.

They are being aided by additional autopsy photos not available years ago.

Evidence indicates the victims were white, but investigators do not know skin tone or eye color. The bones were not in the best condition, given they were exposed to the elements and years of deterioration, says Williamson. They may have died as early as 1977 or 1978.

Joe Mullins, a forensic imaging specialist with the center, used newer technology to make the facial reconstructions. The use of clay directly applied on skulls is no longer necessary.

Investigators caution people looking at the reconstructions to focus on specific facial features.

"Don't expect this to look like a Polaroid of the family member," says Ebert.

Based on evidence and poor dental care, officials believe the four may not have been visible members of society.

"If they interacted with people on regular basis and suddenly disappeared you would expect somebody to say something," says Williamson, a forensic scientist.

And they may not have been in a traditional family setting.

"I don't think they were regularly in school and went home and had dinner with mom and dad every night," says Williamson.

Ebert says, although it is a possibility, his hunch is the victims are not from New Hampshire. They could be from Boston, about 90 minutes away. Or Canada. Or more remote portions of the Granite State.

"I keep an open mind to everything," Ebert says.

Police are not certain whether the victims were killed elsewhere and dumped on the property -- or even when.

"It takes a very certain profile of an individual to kill a child," says Ebert, who declined to elaborate on consultation with the FBI's behavioral analysis unit.

"We either haven't reached the family members we need to, or we missing their family members and for their own reasons they are not coming forward."

One day, grave marker may bear names

Ronda Randall and her brother, maintain a blog about the Allenstown case and have provided some information they've gleaned to police.

"This case is so compelling," says Randall, who grew up in southern New Hampshire and now lives in Maine. "This story has been very quiet."

The siblings, who on their website say they do not represent a law enforcement agency, have talked with hundreds of people. Ebert says the pair have been in contact with state police.

Randall praises police for their doggedness and said she believes the case will be solved.

She believes she and her brother are in a sense a proxy family for the victims.

A grave marker at a church cemetery in Allenstown -- a town of about 4,400 east of Concord -- refers only to the first two victims found.

"May their souls find peace in God's loving care," the inscription reads.

One day, Randall says, she would like the grave marker bear names of the four victims. "I want to see it resolved."

Social media might have made a difference

The woman and the girls were killed before there was text messaging, Facebook and other forms of social media -- a fact not lost on investigators.

And, back in 1985, police did not have a clearinghouse for missing people. The National Center for Missing and Exploited Children had been in existence for only one year.

Social media is a valuable tool for investigators, says the center's Williamson, who leads a five-member team.

"From the missing side it has helped in a lot of cases," she says. "You can see who perhaps who they were talking to. With teenagers, their friends know more than their families know."

Unlike in 1978 or 1985, people nowadays are extremely connected, be it through cell phones, e-mail or social media.

"If you don't get a text within two hours you might wonder what is going on," says Williamson.

Still, she cautions, there are still cases today when people "are not reported missing for various reasons."

Ebert says someone critical to identifying the four victims may not have come forward because of a sense of criminal liability or guilt for not having provided clues sooner. The victims, he says, may have been part of a disjointed family.

He hopes the DNA testing may clearly show the relationships among the four victims, providing police and the public more opportunities to identify them. "It's an awful tragedy to lose a person to a homicide. It is terrible miscarriage of justice not to know who carried out the crime against your loved one."

Williamson and her team are working on 650 cases involving unidentified children. The oldest case is from Arizona, in 1933.

Since November 2011, the team has helped identify seven children, one of whom was a victim of Gary Ridgway, the so-called Green River Killer, she says.

DNA helped solve the cases. Now Williamson hopes to give a family a sense of closure.

"A good day is giving a child their name back," she says. "And we get very excited."

Cold case: Evidence in killing of former beauty queen points to ex-priest

@highlight

Police, national center are trying to identify four victims found in barrels

@highlight

They were discovered near state park in rural New Hampshire

@highlight

Public can see updated facial reconstructions of woman, girls