(CNN) -- It seems everyone -- except perhaps the die-hard NFL fan -- agrees that the most important event scheduled for next week is the first presidential debate. I say "scheduled" because you never know what the news cycle will kick in. Snickers might have a new chocolate bar. Or something.

The pundits and politicians and the news media and the late-night comedians are salivating over the debate. Maybe the football fans should be jealous, because the debate is being "played" like a game -- who will win, and by how much, rather than as a serious exchange of ideas or contrast of visions.

Yes, the debates are important, but the political and economic conditions of the times are probably more important. Some debates have helped decide elections; others have just clarified the electoral winds.

Usually, the challenger has the advantage. He (and perhaps someday she) can go on the offensive. Being on the same stage with the president, who also has to defend his record, results in an automatic elevation of stature -- regardless of who's taller. Overall, an incumbent president has more to lose.

Still, whether a debate alone can win or lose an election is itself open to debate. Every debate produces a gaffe and a few lines for the late-night comedians. Whether that's enough to change the momentum of a campaign isn't so clear.

Most experts agree that the very first televised debate, that between John F. Kennedy and Richard Nixon in 1960, did change the momentum and direction of that election.

Opinion: How can President Obama win the first debate?

Nixon certainly learned his lesson, refusing to debate in 1968 or 1972.

In the second presidential debate of 1976, Max Frankel of The New York Times asked President Gerald Ford about the Soviet influence in Eastern Europe. Ford said, "There is no Soviet domination of Eastern Europe, and there never will be under a Ford administration." Astounded, Frankel gave Ford a chance to modify his response, but Ford elaborated, saying, "I don't believe that the Poles consider themselves dominated by the Soviet Union." Or the Yugoslavians or Romanians, he added -- two countries whose rebellions the Soviet Union had crushed.

That was a jaw-dropper, and Carter said the debates gave him credibility.

But just two years earlier Nixon resigned in disgrace and the country remained torn by the Vietnam legacy. So perhaps Ford's odd declaration only highlighted an inherent political weakness.

In 1980, Ronald Reagan, thanks to several decades of acting experience, looked presidential, selling himself to the American people as he had earlier sold them 20 Mule Team Borax.

When Carter said Reagan would cut Medicare, Reagan, who'd been complaining that Carter had been misrepresenting him, quipped, "There you go again." And he ended with the now famous, "Are you better off than you were four years ago?"

But Carter didn't help his cause when he ended by saying he'd asked his teenage daughter, Amy, to tell him the biggest issue of the day (the answer concerned nuclear weapons). And inflation was at 13.5%, the country was in an energy crisis and the Iran hostage situation made Carter look weak.

In 1984, Reagan's zinger about own age -- "I want you to know that also I will not make age an issue of this campaign. I am not going to exploit, for political purposes, my opponent's youth and inexperience" -- cost Walter Mondale the election, according to Mondale. But with the economy turning around and Reagan's popular "cowboy" stance against the Soviet Union apparently restoring American prestige abroad, the president already had a commanding lead in the polls before the debate.

In 1988, we had Michael Dukakis' convoluted, wooden response to a hypothetical question about whether he would impose the death penalty if someone raped and murdered his wife. But Dukakis was done in by Reagan's legacy, his own PR ineptness and a "dirty tricks" campaign worthy of Nixon (see Willie Horton).

In 1992, viewers thought if anybody won the debates, it was third-party candidate Ross Perot, but President George H.W. Bush looked detached at times when he looked at his watch. Clinton was more personable.

Opinion: Fox's laughable case for Romney

By 1996, the incumbent Clinton had a commanding lead over the 73-year-old war veteran Bob Dole, who looked tired. Youthful vigor won.

Given the disputed results of the 2000 cycle, it's hard to say what impact the debates had. But I will never forget the expectations game. Karl Rove, then George W. Bush's chief strategist, pronounced that Al Gore was the "world's most pre-eminent debater." Expectations were exceedingly high for us. Gore was prepared, but perhaps too prepared. He was anxious, and the split screen didn't do us any favors. We lost the debate on body language and sighing, not substance. Nixon's revenge, I guess.

In 2004, Bush was a wartime president. While the challenger, Sen. John Kerry, got under his skin in the first debate, Bush still managed to keep his cool under intense rhetorical fire.

In 2008, revulsion against Bush's economic and foreign policies, the Great Recession and the candidacy of Sarah Palin overshadowed the debates between John McCain and Barack Obama.

So a good debate performance or a poor one can make a difference, but conditions in the country and how voters perceive the candidates probably matter more.

The debates this year will certainly have their moments. But both candidates are already so well-known, the memorable lines will probably reinforce, rather than change, voters' perceptions.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: The hype is starting for the first presidential debate Wednesday

@highlight

She says debates can make a difference but often don't change dynamics of a campaign

@highlight

Most debates since 1980s haven't swung the elections, she says

@highlight

Brazile: An incumbent president usually has more to lose, and debates elevate challengers