Lahore, Pakistan (CNN) -- The Pakistani city of Lahore is known as the heritage capital of the country. It's scattered with ancient mosques, majestic 16th century mansions and antique minarets. Lahorites are proud of their cultural legacy.

It's old, it's timeless but it's changing. In the midst of this old city, a vibrant technological revolution is taking place that is buzzing its presence onto the Internet and beyond. Groups of dynamic young tech entrepreneurs are converging on the city to invent mobile apps that can change the way Pakistan can do business with the rest of the world.

Pakistan has 30 million Internet users, that's almost four times the population of New York City. About 15 million Pakistanis are accessing the Internet via their mobile phones opening up a whole new stream of consumer possibilities for savvy business people.

Young entrepreneurs like Ali Rehan, 26, are now exploiting this potential. Rehan and his team at Eyedeus Labs has created "Groopic," a new smartphone app that lets you take a group picture -- and put yourself in it. This way, the photographer will also be included in the picture. It's easy to use and it's making waves in the tech world.

Rehan told CNN about how the Internet as a medium is a "paradigm shift for all the companies working in Pakistan."

Citing his company Eyedeus Labs as an example he said: "We worked on a product online, we launched it online, we marketed it online. We got featured by all these big blogs and we were contacted by smartphone companies."

Picked up by Google, Rehan's team was flown out to Silicon Valley for a mentoring program to develop its product. Now Rehan says that major mobile phone companies like Samsung, Huawei and LG are courting Eyedeus Labs. But they're not the lone rangers in Pakistani tech talent.

Companies in the country are making mobile apps for Fortune 500 companies in the United States, said Badar Khushnood, from Google Pakistan.

These are companies that had previously been "very reluctant to come to Pakistan" because of the security situation, Khushnood said.

In the country, both the private and government sectors have come up with financial solutions to provide assistance to gifted young whiz kids who are down on their luck.

For example, Plan 9 is a business incubator in a swanky skyscraper in the heart of Lahore. Founded by Dr. Umar Saif and funded by the government, its main goal is to transform young tech talent into budding businesses.

"The world is becoming flat," said Saif, vice chancellor at Information Technology University-Punjab. "The geography, the political situation, the security situation is becoming totally irrelevant in a country like Pakistan."

Thirteen teams at Plan 9 are developing apps and products like "DrivePal" - which alerts relatives and emergency services about a car crash and "iTrak," an optic mouse for paraplegics that was inspired by an 18-year-old who lost his limbs and wanted to continue studying. Meanwhile location based app "LocPro" adapts your phone's privacy settings depending on where you are. It can even remind you to pick up milk when you walk past the supermarket.

The next big app you download on your smartphone may have been made in Pakistan.

@highlight

Young tech entrepreneurs converge in Lahore to invent new apps

@highlight

Apps like Groopic caught eyes of tech titans like Google, Samsung, Huawei

@highlight

Apps provide for companies that were previously reluctant to come to Pakistan