It's not easy being a female entrepreneur in a country where women need a male guardian's permission to work, rent property or travel.

Yet in Saudi Arabia, a small but determined number of women are overcoming these obstacles to build their own thriving businesses.

Social constraints in the conservative Kingdom have not stopped women from amassing substantial individual wealth. An estimated $11.9 billion is held by women primarily in bonds and bank accounts, according to asset managers Al Masah Capital.

As it seeks to hedge against its overdependence on oil, there is increasing government recognition that women have a part to play in Saudi's economic development.

It has led to a moderate winding back of restrictions on women in the Kingdom smoothing the way for a new generation of young entrepreneurs, like Maria Mahdaly.

In 2007, aged 19, she started Rumman (Pomegranate, in English), a media and publishing house in Jeddah, with Enas Hashani and Bayan  Abuzinadah. The company runs two ventures: A monthly city magazine with a circulation of 70,000, called Destination Jeddah, and a social network called Fainak (Where Are You, in English).

By 2010, Rumman was ranked as Saudi Arabia's fastest growing start-up, with a growth rate of nearly 600%, by the AllWorld Network, which produces rankings of private growth companies in emerging economies around the world.

Meet Fortune 500's female powerbrokers

In the short life of her business, Mahdaly has experienced several legislative changes.

Last year, King Abdullah signaled that women will have the right to run and vote in the 2015 local elections, and be appointed to the Shura Council, the most influential political body in the country. He has since allowed women to work in lingerie shops and enter sports stadiums.

In May, King Abdullah dismissed his ultraconservative adviser Sheik Abdul-Mohsen al-Obeikan after he publicly criticized reforms aimed at softening restrictions on women.

Mahdaly feels that she is benefiting from changing attitudes: "We get a lot of support from other business, the media and individuals in general," she said.

"King Abdullah (has) opened many doors to women and he keeps on doing so against all the cultural pressure he faces."

Mahdaly's staff is 80% female, but she says that even managing older males, she hasn't encountered any difficulties. "I never felt any resentment or problems with them," she said. "Mind you, I was very tough and strict."

It was not always as easy for previous generations.

Recent research on the experiences of women entrepreneurs in the kingdom reveals the novel measures Saudi women have resorted to -- sometimes devious, sometimes desperate -- in order to pursue their goals as independent businesswomen.

University of Aberdeen doctoral candidate Sophie Alkhaled, who grew up in Saudi Arabia, conducted in-depth interviews with 13 female Saudi entrepreneurs to explore the strategies they used to work around cultural restrictions on women in the Islamic kingdom.

Through interviews with women working in professions like healthcare, fashion and PR over two decades, Alkhaled found that, while Saudi women were increasingly encouraged to enter the world of commerce, entrepreneurial activity was largely confined  to women who were already independently wealthy.

Want more female execs? Sort out the household chores

But wealthy women still face many obstacles, says Alkhaled. They must be able to afford childcare and drivers, have access to start-up capital through family connections as well as having the means to buy commercial property, which they are legally forbidden from renting.

Women registering a business that serves both sexes must employ a male manager, so many female entrepreneurs would nominate a father or brother even though, in reality, they continued to control the business, she said.

This left them open to exploitation, according to Alkhaled. She recounts the story of a healthcare business owner she interviewed who had her permission to travel rescinded by her "jealous" husband. Unwilling to divorce for fear of losing her children, the entrepreneur began paying her husband for his permission to travel, said Alkhaled.

Other women have been more confrontational in the face of obstacles: One entrepreneur, who had started a business in 1990, lost her temper when confronted with a "No Women Allowed" sign in a government department, and ripped the sign off the door. She was helped by a sympathetic manager, but Alkhaled observes, "Sometimes it's just you and your luck; it's who you meet on the day. That's what the women are facing."

Alkhaled notes that, although many of the entrepreneurs she had interviewed felt "empowered" by their business experience, and were motivated by a desire for gradual social change, they expressed respect for their society's traditions.

"They don't want to challenge the religious side of it. They just want their right to live and work in society. They're not looking to fight the conservatives on their views.

The women also felt a patriotic pride in Saudi Arabia, despite the obstacles they had encountered. "All the women said, 'If I had to pick up my business and put it anywhere else in the world tomorrow, I would flatly refuse,'" Alkhaled said.

"Saudi Arabia is quite a new country and they really want a hand in building it."

Mahdaly says she is also patriotic. But adds, "one day we would like to expand our operation globally."

@highlight

Although they can't yet drive, some Saudi women have started successful enterprises

@highlight

Entrepreneurial activity is mainly confined to already wealthy women, says researcher

@highlight

Saudi's leader has been softening legislation, making it easier for women to work

@highlight

Young Saudi businesswoman Maria Mahdaly feels more supported, she says