(CNN) -- The case of three women held as slaves in south London has shocked not just the British public, but people across the world.

What makes this particular case stand out is the length of time these women are said to have been held captive - over 30 years.

Although this is an extreme example, this type of slavery is not uncommon in London. Figures from the United Kingdom Human Trafficking Centre and Serious Organised Crime Agency for this year show that there were 389 potential victims of trafficking in the capital.

Although the women in this case are not believed to have been trafficked, the case shows that hidden slavery is taking place around us, within our everyday environments, whether it be on construction sites, mobile soup runs for the homeless, at cheap takeaways, in nail bars and in domestic homes in our neighborhoods.

Read more: How to recover after decades of slavery?

It's not necessarily organized by criminal gangs - it can involve informal arrangements, carried out by so-called ordinary and even respected people in the community.

I recently published a report called "Shadow City -- Exposing human trafficking in everyday London" that uncovered just how diverse that trafficking is, and that no matter where you live you are probably not that far from someone who is being exploited.

Sadly, authorities are still blind to this. Things need to change, urgently. An overstretched anti-trafficking unit in London's Metropolitan Police, and a figure-driven culture, means police are focusing on large-scale organized cases, and neglecting the informal cases that take longer to find, but are sometimes more serious.

In this case the three victims were lucky. They are said to have contacted a charity that was able to successfully rescue them. Many are not so fortunate.

Read more: Slavery's last stronghold

But if we continue to lose the expertise of dedicated trafficking officers within the Met police, the cultural subtleties behind cases will be missed and traffickers and perpetrators of slavery will continue to largely evade conviction.

Of course budgets are tight, but if the money made in trafficking exploits is recuperated through the use of specialist teams, then these investigations could pay for themselves.

In my report, I made some recommendations that could help tackle the lack of action on informal types of slavery.

These included the Met's anti-trafficking unit being urgently protected from further integration into other units, additional human trafficking units to be established in other police forces across the UK, human trafficking to become part of the core syllabus for training new police recruits, and special points of contact to be established in every borough's police force.

The police are not the only agency that needs better systems put in place. It is also vitally important that social workers, teachers, health professionals and benefit agency staff receive training on how to spot signs of trafficking and slavery, and who to consult if they have concerns.

For too long many Londoners have assumed that trafficking happens elsewhere, and statutory agencies have concentrated too much resource into trafficking that happens through organized crime with a concentration on drugs and sex workers.

The case in south London shows that slaves could be living next door.

Read more: The CNN Freedom Project

Watch more: 12,000 girls rescued from slavery

The opinions expressed in this commentary are solely those of Andrew Boff

@highlight

The case of three women held capitive in London has shocked Britain, and the world

@highlight

While it's an extreme example, slavery is not uncommon in London, Andrew Boff says

@highlight

Authorities are over-stretched and neglecting the informal cases which are hard to find

@highlight

This case shows how slavery is a huge problem -- and it's all around us