When leaving Myanmar one year ago, Tay  thought he would find a better life in Thailand. Instead he found himself a victim of modern slavery.

The soft-spoken 21-year old was smuggled across the border by labor brokers with the promise of a safe and stable job at the end of the journey.

He was prepared for hard work at a pineapple factory that would enable him to save money and pay back the man who helped take him across the border.

Instead he said that he and 12 others who made the journey with him were sold for around $430 each into jobs that made them virtual slaves.

To Tay's horror he was taken onto a fishing boat, despite no experience of fishing, and for the next six months was forced to work without pay.

According to Tay, some of the girls in his group were sent to work in seafood processing factories, while the prettier ones were sent to brothels.

"I felt very depressed when I first arrived on the boat, like I was in hell," he said. "I was beaten because I didn't know how to do the work properly."

Tay's story is not unique.  According to a new report by the Environmental Justice Foundation (EJF), a British-based human rights charity, the Thai fishing and seafood industry, worth $7 billion annually, involves considerable exploitation of trafficked migrant workers, most from neighboring Myanmar and Cambodia.

Tay was fortunate to escape after nine months working on the boat. By pretending to be ill he was able to go ashore long enough to flee to Pattaya, a resort town to the south of Bangkok, and take refuge in a temple. He remains there, unsure of his future or if any of the people involved in his ordeal will face prosecution. He asked CNN not to use his real name for fear of reprisals.

Brutal conditions

Many others echo his testimony of coercion and harsh conditions on board fishing boats.

A group of 14 men from Myanmar rescued from boats last year told the EJF of 20 hour work days with little or no pay and beatings at the hands of Thai crew members. According to reports from the EJF some even witnessed murder, with bodies being thrown overboard as causally as unwanted catch.

Speaking from a government shelter in the south of Thailand where they have been for nearly one year, most are now disillusioned and more interested in just going home than finding justice, said Steve Trent, founding director of the EJF.

"If they give up and say 'we just want to go home,' the case that surrounds everyone that exploits them collapses and there won't be further action," he said.

"It's not good enough to say the judicial process is slow in Thailand. In effect they are punishing these people again. They are the innocents involved." 

The rise in forced labor on board Thai fishing boats is tied to growing global demand for cheap seafood and diminishing fish stocks, say the EJF.  

Fishing boats have to make longer trips for less catch, making an already tough job harder and less attractive to domestic workers, as well as threatening profit margins for all involved in the industry.

Taking action

Last year the Thai government announced a national action plan to prevent human trafficking and support its victims. Together with national fishing associations and civil action groups, the Ministry of Labor assisted the International Labor Organization (ILO) with its 2013 report on trafficked workers in the fishing sector.

The report found that one in six working on long-haul fishing boats did not decide to do so willingly, but acknowledged that the vast majority of workers in the sector are Thai and work voluntarily. 

"There are real concerns regarding forced labor in the fishing industry, said Max Tunon, senior program officer for the ILO.

"In the past years there has been engagement from the government and national fishing associations to ILO initiatives and we've seen more commitment from the central level but not yet seen concrete results.

"The sector has been this way for a long time and there are no quick or easy fixes. Turning this around is long process, but we're hoping to see the result."

Both the U.S. State Department and EJF have been critical of Thai attempts to clampdown on human trafficking in the country citing widespread corruption among law enforcement officials.

According to a 2013 U.S. State Department report, the Thai marine department and navy inspected 608 fishing vessels in 2012 but found no cases of trafficked workers, suggesting corruption and inadequate financial and human resources were allowing the continued exploitation of workers. 

Thailand's Ministry for Labor and the Ministry for Social Development have not responded to CNN's requests for comment, but the government has said in the past that it is committed to fighting human trafficking.

Pressure to change

Tay said he witnessed police taking bribes from boat owners who had undocumented crew members. But Trent believes that links between authority figures, boat owners and human traffickers can be even more brazen.

"We have documented evidence of marked police cars transporting trafficked victims who are then sold onto boats as slaves," said Trent. "It's an absurd situation where you have those paid to protect people conniving in their abuse."

CNN could not reach the Department for Special Investigations for comment on the claims. 

"The problem really lies with many of the people that run these local businesses who are brutal and corrupt," said Trent.

"It seems that political and market driven pressure combined is the only way the industry is going to change."

Thailand is currently listed as a Tier 2 watch-list country on the U.S. State Department's Trafficking in Persons Report (TIP) and will drop to Tier 3 -- the lowest classification this year -- if it does not improve, something the EJF is calling for.

The results could be the withdrawal of international financial aid.

@highlight

Report by NGO finds widespread abuse of migrant workers in Thai fishing industry

@highlight

Trafficked workers become victims of modern slavery on boats and in factories, according to EJF

@highlight

U.S. State Department puts Thailand on watch list for trafficking in persons

@highlight

Abuses exacerbated by corruption and lack of enforcement of laws to protect workers, says rights group