(CNN) -- You could say there is only one swing state that really matters in 2012: Germany.

Whether (and how and when) Germany acts to save the euro will exert huge influence over the U.S. economy, too, and thus over the outcome of the presidential election.

Next question: How much influence?

Everybody agrees that the troubles in the eurozone hurt the U.S. economy. When your trading partners slump, you slump with them. Everybody agrees that the uncertainty over the future of the euro currency worries U.S. financial markets. If the currency fails, European banks plunge into a crisis that would be a replay of the shock of 2008.

But what remains deeply uncertain is the upside of the equation: How much benefit would the U.S. gain, if Europe did somehow find a solution to the euro problem?

It's clear that German Chancellor Angela Merkel has the power by saying "no" to lose the presidency for Barack Obama. Could she win it for him with a "yes"?

By the trade numbers, faster growth in Europe would seem relatively unimportant to the U.S. economy. Trade accounts for only about a quarter of the U.S. economy, and trade with the entire European Union represents less than a fifth of that one-fifth.

Now remember that the European Union includes a number of important countries, such as the United Kingdom, that do not use the euro. And the largest economy in the eurozone, Germany, continues to buy and sell strongly. A fillip to the economies of Spain, Italy and France would be welcome news but hardly decisive to a U.S. economy still recovering from its own financial crisis.

Yet trade numbers may understate the story.

Here in the U.S., the raw materials for recovery are all at hand. U.S. corporations are earning record profits. They have accumulated vast reserves of cash. They are investing, and they have begun to hire, too.

As Obama likes to note, more people are at work today in the U.S. private sector than on the day he took office. (He does not add that far fewer were at work when the recession began in December 2007.)

In aggregate, though, the pace of recovery continues weak. The rocket is lifting off, but it is not achieving escape velocity. Something more is needed!

The program needed to save the euro could provide a piece of that "something." To save the euro, Germany will have to agree not only to a financial rescue of other countries' banks but to a big program to stimulate the German economy, still one of the world's top five.

Somebody has to buy, and with China and India slowing down, Germany -- a much richer country -- would emerge as what the U.S. was in the early 2000s: the world's consumer of last resort.

Over the horizon, we can see the dawn of the next great chapter of U.S. economic expansion: the conversion from coal-fired electricity to a new energy economy based on the exploitation of the vast quantities of natural gas entrapped in U.S. shale formations.

Gas emits only about half as much carbon dioxide per unit of energy as coal, so it is more environmentally benign as well as cheap. The conversion process will be a vast undertaking, putting money and people to work.

To close the gap from here to there, though, the U.S. needs a jolt. Could a euro rescue administer it?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Whether Germany saves the euro is key to 2012 U.S. election

@highlight

He says Merkel has power to ease crisis, boost world economy

@highlight

America's economy is poised to grow sharply, if uncertainty over euro is eased, he says

@highlight

Frum: Obama's re-election could hinge on the actions of the German government