New York (CNN) -- A carpenter whose former Manhattan basement is the scene of an exhaustive search for clues about Etan Patz said Friday through his lawyer that he had no involvement in the 6-year-old boy's disappearance more than three decades ago.

Attorney Michael Farkas told CNN that Othniel Miller, 75, who has not been charged with a crime, has long cooperated with authorities and plans to continue to do so.

"Mr. Miller has been cooperating with this investigation for over 30 years," said Farkas. "He has continued to cooperate on multiple occasions. And I am going to assist him in cooperating to the fullest extent possible."

Investigators recently relaunched their probe of the cold case, often described as a milestone effort that helped draw the plight of missing children into the national consciousness.

Patz disappeared May 25, 1979, a block from his home in the city's SoHo neighborhood. It was the first time he walked to the bus stop by himself.

Authorities said both new and old information led them to Miller, a part-time handyman, who met Patz the day before he disappeared and gave him a dollar. Miller faces no charges in connection with the disappearance.

Miller's daughter, Stephanie Miller, told CNN affiliate WCBS that her father had cooperated with federal agents, saying he "doesn't have anything to do with it."

Police and federal agents resumed their search of the Lower Manhattan basement Friday.

It was interest in the carpenter that prompted authorities to bring a cadaver dog about 10 days ago to a SoHo basement, where Patz apparently had encountered the carpenter, then 42, according to a source with knowledge of the investigation. The dog picked up a human scent in the basement, where the man had a workshop.

When agents interviewed the man about his connection to the basement, the source said the carpenter blurted out, "What if the body was moved?"

Farkas, the attorney, said he will speak to authorities about that alleged remark. "I don't know that he asked that," Farkas told reporters.

Late Thursday, authorities set up a grid in the basement and planned to rip up the concrete floor. They also took out part of the back wall of the basement, an unoccupied area beneath what was once a restaurant.

The floor was "newly poured" at the time Etan disappeared, according to another law enforcement source. It was not dug up during the original investigation.

Miller was picked up by the FBI again Thursday, but is not in custody. He was questioned and returned to his Brooklyn apartment, the source with knowledge of the investigation said.

"We're looking for human remains, clothing or other personal effects of Etan Patz," New York police Deputy Commissioner Paul Browne said of the current investigation. "It's a very painstaking process."

In 2010, Manhattan District Attorney Cyrus Vance Jr. said his office decided to take another look at the decades-old mystery. FBI leads were then culled from that case file, sources said.

The investigation garnered national headlines as authorities splashed the child's image on the sides of milk cartons in the hopes of gathering more information, then a novel approach.

Ernie Allen, president and chief executive officer of the National Center for Missing & Exploited Children, said the investigation into the decades-old disappearance is "very encouraging."

"We think it sends a message to searching families everywhere that just because it's been a month, or year or 10 years or even 33 years you never close the case until you learn with certainty what happened," Allen told CNN.

Etan was officially declared dead in 2001 as part of a civil lawsuit filed by his family against a drifter, Jose Antonio Ramos, a convicted child molester acquainted with Etan's babysitter.

A judge found Ramos responsible for the death and ordered him to pay the family $2 million. He never paid the money.

Though Ramos has been considered a key focus of the probe for years, he has never been charged in the case. He is serving a 20-year sentence in a Pennsylvania prison for molesting another boy and is set to be released later this year.

A source said investigators now also want to expand the pool of possible suspects beyond Ramos.

Stan and Julie Patz, Etan's parents, still live a block away from the scene and wouldn't comment on the new developments. A notice on the apartment building said, "To the hardworking and patient media people: The answer to all your questions at this time is 'no comment.' Please stop ringing our bell and calling for interviews."

Lisa Cohen, the author of "After Etan: The Missing Child Case That Held America Captive," told CNN that "the family's been living through this for 33 years. They've had many moments like this. They've learned how to deal with it."

Dozens of police and federal agents gathered outside the building on Manhattan's Prince Street on Thursday and are expected to continue their search over the next five days. FBI Special Agent Peter Donald said the bureau's Evidence Recovery Team is at the scene.

"We are cautiously optimistic" that the search will be helpful," FBI Special Agent Tim Flannelly said.

Forensic evidence uncovered at the scene will be analyzed at the FBI laboratory in Quantico, Virginia, sources said.

It is not clear whether authorities searched the basement in 1979, though a source said it "figured into" the investigation.

Authorities have reason to think the new search could lead to the discovery of the boy's remains at that location, though they remain wary after past leads in the case failed to pan out, according to two sources familiar with the probe.

"I hope they find something," said resident Sean Sweeney, who says he's lived in the neighborhood since 1976.

SoHo, a Lower Manhattan neighborhood now known for its boutique shops, art galleries and loft apartments, at the time was considered a grittier locale, where abandoned storefronts dotted the city streets.

Sweeney said he remembers the initial investigation into Etan's disappearance when police first knocked on his door in search of clues.

"That's odd, isn't it," he said, referring to the fact that 33 years later, police are again in his neighborhood searching for the boy.

On the day of his disappearance, Etan's mother, Julie Patz, learned after her son failed to return home from school that he hadn't been in classes that day. She called the school, then called the homes of all his friends. When she found no one who had seen her son, she called police and filed a missing person report.

By evening, more than 100 police officers and searchers had gathered with bloodhounds. The search continued for weeks, but no clues to Etan's whereabouts were found.

The boy's disappearance was thought to raise awareness of child abductions and led to new ways to search for missing children.

President Ronald Reagan named May 25, the day Etan went missing, National Missing Children's Day.

CNN's Tom Foreman contributed to this report.

@highlight

New York carpenter said he had no involvement in child's disappearance

@highlight

Etan Patz encountered carpenter the day before disappearing, sources say

@highlight

Sources: A cadaver dog apparently picked up a scent of human remains in the building

@highlight

The 6-year-old boy disappeared in 1979 on his way to a bus stop in New York