LONDON, England (UK) -- Britain's Prime Minister Gordon Brown has apologized on behalf of parliamentarians of all parties for a series of revelations about their expenses claims, revelations which have seriously damaged the authority of government and parliament.

UK PM Gordon Brown, pictured here in north-east England Monday, apologized Monday on behalf of all lawmakers.

Brown's words have been echoed by David Cameron, the leader of the opposition Conservatives and currently the favorite to win the next general election by a large margin. Cameron acknowledges all MPs must say sorry and that the whole system must be changed.

The scandal has come to light because The Daily Telegraph newspaper obtained copies of all the receipts for MPs expenses, which were due to be published in two months time under Freedom of Information legislation. The newspaper has been devoting several pages every day to the details of how the system has been milked, with MPs claiming that expenditure on bath plugs and lawn mowers, silk cushions and television sets, potted plants and dog food, was "wholly and necessarily incurred for the purpose of performing their parliamentary duties." Do you think politicians in your country are paid enough?

In Britain, as in many other countries, parliamentarians are compensated for the expense of living both in the parts of the country they represent and in the capital where parliament meets. There is help too with travel costs and staffing their offices.

But the so-called "additional costs allowance," designed to help them with the additional costs of a second home has, by common consent, been particularly abused. This is not an "expenses scandal" about a couple of notepads and pens taken home from the office stationery cupboard for the kids' school project; or the annual phone call to an aged aunt in Australia, made on an office line rather than from home -- although doubtless politicians will have been doing that too.  Watch more on the expenses row »

We are talking about the deliberate exploitation of a poorly-policed system by a large number of parliamentarians, who appear to many of their constituents to have come close to enriching themselves corruptly at public expense.

There is particular horror at the practice which has emerged of so-called "flipping." MPs have, in a number of cases, designated one residence as their second home for the purpose of the allowance. Having drawn heavily on public funds for redecorating, refurbishing and refurnishing it, they have then switched and named a different house or flat -- only to do the same with that. In some cases they have sold these properties on for a significant profit.

I spent more than 30 years at Westminster as a political correspondent. Much of my time off duty was spent explaining to skeptical neighbors, barbers and taxi drivers that MPs did a much better job than outsiders thought. I knew and respected MPs whom I saw imperil their health or their marriages or their bank balances by working extremely hard on behalf of their constituents. I argued constantly that we underpaid our politicians.

Now, when I hear them call each other "honorable members" I am constantly reminded of Ralph Waldo Emerson's dictum: "The louder he talked of his honor, the faster we counted the spoons."

The truth is that the good ones are still underpaid. They could earn far more outside the House of Commons. But the poor ones are overpaid -- and sadly there is no way of differentiating between the two categories.

It was never the right time, certainly in the eyes of the media, for MPs to have a decent pay rise; and they never had the guts to stand up and argue their case. So parliamentarians instead built themselves, while nobody was watching, a generous and poorly policed expenses system which allowed them to make up the difference between what they got and what they thought they should be paid.

What they seem unable to grasp, even now, is that in picking taxpayers' pockets by subterfuge they have all but destroyed parliament's moral authority. Cynically, they have led us all into a "help yourself to what you can get" mockery of public service which may take a generation or more to repair, if indeed it can be repaired. And remember that they did their damnedest along the way to make sure that we, the public, should not find out what they were doing.

Led by the Speaker of the House, the man who presides over debates and should be the beacon of Commons probity (and who along with his wife has claimed £4,000 - about $6,000 - on taxis for shopping trips), the Commons Commission spent £150,000 (approx. $225,000) of public funds going to the High Court to try to prevent public disclosure of how MPs have been spending taxpayers' money.

A horrified public, combing through the details of the Telegraph's revelations, is asking how MPs could ever have justified their "flipping." At a time of economic stringency for others, they are asking why MPs, who benefit any way from subsidized canteens, should be allowed to charge £400 (approx. $600) a month for their food on top of their salary.

How can it be part of the necessary expenses in carrying out MPs' duties, they ask, to charge for children's buggies and the eradication of moles from their country lawns? Just how many have been paying inflated "rents" to close relatives; or claiming the "additional costs allowance" for second homes they do not actually inhabit on more than token occasions? Why should it be legal for ministers who live in "grace and favor" apartments (where they are allowed to live for free) to claim additional costs allowances for properties they are meanwhile renting out?

The MPs are meeting all these complaints by saying that nothing they have done was outside the rules. But these were rules that they themselves set up as the nation's legislators. And only now are they beginning to realize the wider damage that they have done

By creating the expenses system they did, which is only now becoming transparent, they insulated themselves from the problems faced by ordinary people. British MPs expenses, unlike those of the rest of the population, are not taxable.

They have also, as the cannier ones now admit, destroyed any moral authority they might have had in criticizing and curbing the greed of bankers and others who have brought us to near ruin and wrecked the pensions of half the nation. (The pensions of MPs are provided at the taxpayers' expense -- with inflation proofing, of course.)

With the expenses binge having infected all the mainstream parties, there is another potential ramification too, which is likely to show up in next month's elections for the European Parliament. Traditionally British electors, without the election of their national government at issue, tend to treat these as an opportunity for a protest vote, to punish politicians who have incurred their wrath.

As a result we may see significant advance for the parties of the far right, the United Kingdom Independence Party and the British National Party. The expenses excesses of many of the 646 Westminster parliamentary MPs could give those groups a new legitimacy -- and their biggest advance yet.

@highlight

UK lawmakers have been accused of over-milking the system for claiming expenses

@highlight

Newspaper revelations have sparked anger at a time of economic uncertainty

@highlight

MPs say that nothing they have done was outside the rules, which they set up

@highlight

UK PM Gordon Brown has apologized on behalf of parliamentarians of all parties