Over the last 20 years, the narrative on the African continent has shifted from Afro-pessimism to Afro-optimism. The truth lies somewhere in between. Now is the time for Afro-realism: for sound policies based on honest data, aimed at delivering results.

The potential of our continent is huge. Compared to developed countries, or even to some major emerging countries, burdened by aging populations, financial crises, widening budget deficits, faltering faith in politics and growing social demands, Africa has become the world's last "New Frontier", a kind of "it-continent".

By the end of this century, half of the world's young people will be African. Twenty years from now, by 2035, Africa's working age population will exceed that of China or India. Youth is our major resource. But our continent also harbors most of the world's proven mineral reserves: 95% of platinum, over 75% of phosphate, 60% of diamonds, nearly half of cobalt and chromium, more than a quarter of bauxite.

Diamonds aside, 90% of this huge potential remains untapped. In a world of growing food demand, Africa is home to two-thirds of the world's unexploited arable land. Its solar, water, wind and nuclear energy potential are considerable.

Already, over the last 10 years, Africa's overall GDP growth has reached an annual average of 5.4%; more than four times the European Union average. In 2012, 16 African countries experienced GDP growth in excess of 5%. The latest iteration of the Ibrahim Index of African Governance shows that 94% of the population of the continent is now living in a country where the overall level of governance has improved since 2000.

All of this is promising -- but we are still a long way from realizing our potential.

Let us first stop talking about "Africa" as a homogeneous and uniform whole. We are a mosaic of 54 countries, each with its own flag, its own borders, and its own embassies. The African Union, whose 50th anniversary we have just celebrated, is still a long way from European-style Union, with its common market, single currency, supra-national political bodies and common and shared budget. And the road to convergence between the 54 countries is a long one.

Without effective economic and political regional integration, we will not carry sufficient weight in this globalized world, no matter how much "potential" we may have. Only unity, coherence, and internal solidarity will allow us to assert ourselves on the global stage.

The building blocks to effective integration are not political declarations, expansive Heads of State Summits or our presence and commitments at impressive multilateral gatherings. The building blocks are the free movement of people, goods and financial resources between our countries. This is the way Europe was built.

As we approach Africa with an Afro-realist view, the progress made over the past decade must be understood in a nuanced fashion.

The major regional conflicts of the former century have mostly ended. However, the dawn of the new century has also seen a rise in social tension, domestic unrest, and trans-national problems. Terrorist networks have gained geographical ground and widened their operating sectors, often in direct association with large, cross-border criminal networks.

Young people are becoming the demographic majority. They are receiving better education than their elders. But they are also more unemployed and out of step with the demands of the global labor market. They are also feeling increasingly disconnected from the political process and devoid of economic prospects -- a trend reflected in the rise in the trafficking and consumption of drugs on the continent.

Impressive economic growth is taking place all over the continent. However this coincides with a worrying rise in inequality, which deepens the divisions between countries and within them.

Africa has a vast reservoir of natural resources. But to leverage this, and guarantee ownership of the African citizens, much remains to be done: ensuring transparency of contracts, creating local jobs, upgrading the value chain and redistributing wealth. Today, 90% of Nigeria's oil is still being exported from the continent, while just 25% of the sub-Saharan population has access to electricity.

We must focus less on international support and more on African unity. While the Marshall Plan was important for Europe's recovery, Europe's prosperity was really built on economic integration and policy coherence. Moving from international aid to foreign investment is progress, but it is not enough.

We must move towards increasing continental investments on the continent. We must prioritize regional integration; the reduction of inequality between and within countries; the employment of our young people and the governance of our natural resources. Our continent has secured its political independence. It is time now to build our autonomy.

READ THIS: How access to power can fuel Africa's growth

READ THIS: Innovator calls African diaspora to return

@highlight

Mo Ibrahim says Africa has become a kind of "it-continent"

@highlight

However, Africa is still a long way from realizing its potential

@highlight

Recently there has been a rise in social tension, domestic unrest, and transnational issues

@highlight

He calls for effective economic and political regional integration