(CNN) -- Christmas came early this year for pimps and johns in Canada.

Last week's unanimous decision by the Supreme Court of Canada to strike down all remaining prostitution laws is not only a victory for the professional sex workers who brought their case through the legal system, it is a triumph for those who live off and enjoy the commercial sex industry. Tragically, it's a time bomb for hundreds of thousands of vulnerable and exploited women, girls and boys.

We are documentary filmmakers and our film, "Tricked", opened last week in New York City. For 3 years, we embedded with vice cops, met with the johns, pimps, girls and boys entangled in the professional sex world. We went to the dungeon of a dominatrix, filmed the partially legal model in Sweden and met sex workers advocating for legalization. We followed abolitionists, lobbyists, hobbyists, survivors, the FBI, grandmothers, gay sex workers, transvestites, drug addicts, alcoholics, college kids and PhDs. All had stories to share and a unique perspective on this complex issue.

By the end of our extensive investigation, focused on the United States, we shared a conclusion: the commercial sexual sale of someone's body is not empowering, does not offer gender equality and in most cases is a form of modern day slavery. The myths used by advocates of prostitution are universal.

The selling of sex is legal in Canada, but the decision ended prohibitions on operating brothels, making a living from working for a prostitute and communicating in public about prostitution. While striking down these three laws arguably protects the constitutional rights of a certain class of sex worker, it does so at the expense of another more plentiful group: those harmed by the sex industry.

Efforts to legalize prostitution are based on the outdated assumption that prostitution is a victimless crime, a view that is effectively used by the pro-legalization lobby. That's simply not true. For the majority of commercial sex workers, the sex industry is a continuum of harm that feeds on vulnerabilities and spits out damaged victims.

In the United States the FBI estimates that 85% of commercial sex workers experience some degree of force, fraud or coercion (the federal definition of sex trafficking).

There is no definitive evidence that legalization ends the exploitation of sex workers. According to several undercover cops we interviewed, a majority of girls have pimps in the legal brothels of Nevada. Most of the girls and women we filmed worked "legitimate" escort services for their pimps. Danielle did escort work by day and street work by night -- all her money went to her pimp. In Las Vegas, Cindy worked through licensed escort businesses but had to hand over all her earnings to a violent and controlling pimp.

Legalization could potentially cut down on violence by johns, but it cannot control the violence outside brothel walls. Another myth often cited by supporters of legalization is that there is a health care benefit, but recent statistics from Germany, where prostitution is legal, show that less than one tenth of 1% of sex workers actually use the health insurance system.

Throughout the sex industry, we found a strong dominance of pimp culture. Where pimps operate, most take 100% of the money earned by the sex workers. For them, there's a strong financial incentive to continue business as usual. Would legalization change this truth or eliminate pimps?

Commercial sex workers face violence, whether in brothels or at "home" with a pimp. According to one study, working in prostitution is 51 times more violent than the second-most violent profession for women (working in a liquor store). Sex workers said they had been subjected to beatings, knifings and rape. Worse than the physical abuse is the ongoing trauma. Years later, those we interviewed struggle with PTSD, chronic pelvic disease, the repercussions of forced abortions, depression, drug addiction, self-mutilation and shame.

We need a comprehensive approach to the sex industry that involves social workers, law enforcement, employers, politicians and citizens as a whole. The first step is to recognize the harm that naturally occurs in the sex industry. The second step is to establish support systems to help victims overcome their traumas and become survivors. And third, we need to stop future victimization by combating the vulnerabilities in our youth. The current evil in the system preys on the vulnerable among us.

Prostitution is the fastest growing criminal industry in the world, but legalization and decriminalization is not the answer. The Canadian decision ignores the most important part of the sex industry dilemma: the victims and those adrift in harm's way. The rights of the small percentage of voluntary sex workers should not take precedence over the lives, bodies and souls of those who are forced to work in prostitution as sex slaves.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Filmmakers say their work documents the harm that prostitution does

@highlight

A Canadian court recently struck down the remaining legal curbs on prostitution

@highlight

Authors: Don't believe it's a victimless crime; force, fraud or coercion frequently used

@highlight

They say we need support systems for victims, ways to protect the vulnerable