Jerusalem (CNN) -- It's a subject seldom addressed publicly in the Palestinian territories, but for the first time, a report is lifting the veil on the taboo topic of female trafficking and forced prostitution -- and calling for action to stop it.

Trafficking and forced prostitution in Jerusalem, the West Bank and Gaza operate on a small-scale basis, rather than being part of a sophisticated and organized activity, the report found. But the two practices are also frequent and widespread -- and the women and girls involved have few means of escape.

The 26-page report, released Wednesday and titled "Trafficking and Forced Prostitution of Palestinian Women and Girls: Forms of Modern Day Slavery," was researched and written by SAWA, a nonprofit Palestinian group that combats violence against women. SAWA received support for the report from UNIFEM, the United Nations Development Fund for Women, which is making the report available online.

Getting information for the report -- which was completed in June 2008 but published only now -- was difficult because of the stigma suffered by the victims and the sensitivity of the subject within Palestinian society, SAWA said.

Explaining the delay between completing the research and publishing the report, UNIFEM spokesman Julien Vaissier said it took a long time to analyze the data from the field, and staff in Gaza were also forced in January of this year to turn their attention to victims of the fighting in Gaza between Israel and Hamas.

"Dating [the report] 2009 would have been misleading, because the data was collected in 2008," he said.

"It was hard for us to publish it, and it took us a long time to decide how, whom and why, because of the situation and the sensitivity of the subject," SAWA representative Jalal Khader added.

The report found that unemployment and poverty play a major role in pushing girls and women into prostitution and making them vulnerable to exploitation by traffickers.

Most of the women have also been "violently abused by their families, especially their fathers," the report found. The trafficked women who spoke to researchers said they had been "battered continuously" at home, then forced into marriage, often facing further violence at the hands of their husbands.

The situation is no better if the trafficked women and girls are accompanied by pimps or madams, who threaten the girls with violence if they refuse sex with clients. In one case, a trafficker called "W" threatened to inform a girl's family if she tried to escape and to disseminate embarrassing pictures of her engaged in sexual activity.

Researchers found no studies or reports on the issue, just local newspaper reports on specific cases, SAWA said. They did manage to conduct 11 face-to-face interviews with "informants," or Palestinians willing to speak out about the problem. Those included police officers, victims' lawyers, taxi drivers and hotel owners.

Field researchers also managed to conduct in-person interviews with three trafficked women and included their case studies in the report.

SAWA said its groundbreaking report is not meant as a comprehensive study, but rather an initial step in identifying the problem.

"For the first time, people have chosen to break the silence and speak out, and this briefing paper can be seen as a first step to start answering the need for protecting women and girl victims of trafficking and forced prostitution in the [occupied Palestinian territories]," the report says.

If the victimized women somehow escape their situations, they face further problems on several fronts. The report found there are few social networks or shelter houses to which they can turn, that they may be ostracized by their communities and families, and that the law may treat them as criminals.

The first case study in the report is of a 23-year-old married mother of three from Jerusalem. A Palestinian, she says her father used to abuse her violently on a daily basis, tightening a belt around her neck until she fainted, then forcing her to live in the basement for days without food.

After the woman's father forced her into marriage at 16, her husband raped her on their wedding night, then continued to beat her, she said.

She ran away from home and met two men who promised her shelter and employment in Israel -- but instead, when she got there, she was kept in a house and forced to be a prostitute, she said.

When she once refused to sleep with a client, the woman said her pimp called her father, who took her home and hit her violently until she fainted. She now lives at a safe house, the report said.

In another case, a field researcher overheard two women talking in the front seat of a public taxi on the way from Jerusalem to the West Bank city of Ramallah. The woman told her friend she was unable to obtain a birth certificate for a baby fathered by one of her former clients at a brothel.

The woman said she was forced to leave the brothel after becoming pregnant and now didn't know what to do: "I went to the social services in Jerusalem, but they could not help me either," she was overheard as saying.

A lack of willingness by law enforcement to investigate these cases and prosecute the traffickers -- along with criminalizing the victims' behavior -- only compounds the problem, the report said.

The Palestinian territories use a hodgepodge of laws applicable to different areas, which also makes it difficult to take action, the report said.

The report calls on Palestinian governmental organizations to draft new legislation guaranteeing that girls and women are treated as victims of crime and not as offenders, and referring to forced prostitution as sexual violence.

It also urges civil groups to document cases of forced prostitution and trafficking for sexual purposes and to push the government to change the law.

The United Nations defines human trafficking as the recruitment, transportation, harboring or receipt of people by force, coercion, fraud or abuse of power. Traffickers seek to exploit their victims for sexual purposes, forced labor or removal of organs, SAWA said.

@highlight

Trafficking, forced prostitution in Jerusalem, West Bank, Gaza called small scale but frequent

@highlight

Women, girls involved have few means of escape, history of victimization, report says

@highlight

Report isn't a comprehensive study, but rather an initial step to identifying problem, group says

@highlight

Report finds few shelters, social networks for victims, who face ostracism, criminalization