(CNN) -- With a fourth video released, Gruber-gate is now in full swing.

The latest caught-on-tape remarks from economist Jonathan Gruber, one of the architects of the Affordable Care Act, has him asserting back in 2010 that the "American public" -- that's you and me -- "doesn't actually care that much about the uninsured." He thinks he knows us so well.

In another video released earlier, he said that to pass new health care legislation, the Obama administration successfully relied on an electorate -- again, you and me -- that didn't really understand it.

"It's a very clever, you know, basic exploitation of the lack of economic understanding of the American voter," he tells the Honors Colloquium 2012 at the University of Rhode Island.

There appears to be a bottomless well of Gruber's greatest hits.

In yet another, from a speech at the University of Pennsylvania in 2013, he explains that the very function of the law -- doing what it was designed to do -- was totally unpalatable to voters (that is, if only we'd turned away from our Cheetos bags and NASCAR races long enough to catch it).

"If you had a law which said healthy people are going to pay in -- if you made it explicit that healthy people pay in and sick people get money, it would not have passed."

To hammer the point home, he admits that the sales pitch was one big cover-up operation: "Lack of transparency is a huge advantage. And basically, you know, call it the stupidity of the American voter or whatever. But basically that was really, really critical to getting the thing to pass."

And in still another video he's caught telling Washington University at St. Louis in 2013 that one important provision of the bill passed "because the American people are too stupid to understand the difference."

Let's be clear: Gruber didn't say any of this incredibly arrogant, deeply offensive stuff in a soft whisper at a clandestine meeting of liberal donors. He said these things out loud, at lectures, over and over and over again, without even an attempt at discretion.

These videos may seem inflammatory on their face. Here's an Obama adviser gleefully insisting that the administration hoodwinked the American people to pass legislation that otherwise very few would have wanted.

But underneath all this arrogance and hubris is a surprising amount of willful ignorance about what actually happened to pass Obamacare. It isn't that Gruber thinks we're all rubes. It's that he thinks his team of brilliant economists and political spin-doctors were so clever they actually got away with something.

That just isn't the case. For one, it was hardly a secret that the law relied on healthy people to pay in so that sick people would get coverage. Most of us -- even the stupidest -- know that's how insurance works.

And just to be sure it was clear, Republicans and opponents of the law reiterated this fact ad nauseam during the public debate of the Affordable Care Act. Heck, even Obamacare supporters were insistent on explaining this point for the express purpose of getting healthy people to sign up for it. The administration spent millions on a marketing pitch to convince young, healthy millennials to invest in health insurance many didn't appear to want.

For another, despite Gruber's insistence that the administration maintained a necessary opacity about the law, there were plenty of warnings about its potential fundamental problems, and numerous advocacy groups, impartial economists and media outlets were steadily fact-checking the President's rosy predictions about the law.

From them we heard it may not reduce the deficit by $1 trillion.

We heard it would not reduce health care costs.

We heard it would reduce the workforce by an equivalent of 2 million jobs.

We heard premiums would rise.

We heard we might not be able to keep our health plans after all.

Of course, only time will tell whether those warnings will bear out, but opponents of the legislation were making them back then, even though Gruber believes the administration hid them so well, and were vocal about it. And to pretty clear results. According to Kaiser Family tracking polls of the legislation since 2010, the law has never cracked a 51% favorability rating, and has at times plummeted to the low 30s.

Another point: The American people never voted on Obamacare, so I'm not sure what role Gruber thinks the "stupid" electorate played in its passage. In fact, in the first election after the Affordable Care Act passed, Republicans who opposed the legislation retook the House of Representatives and kicked 11 Democrats out of state houses.

Obamacare wasn't a cleverly concealed mystery package that Democrats slipped under the noses of an otherwise bumbling idiocracy. It was passed by a Democratic majority that controlled both houses, without a single Republican vote, pushed through by a White House that cared more about scoring a political victory than if the law would ever work as intended or if Americans would like it.

Gruber's misguided sense of accomplishment reflects not so much elitism as it does the arrogance of liberal "solutionism," or the tendency of technocrats to assume they can solve complex social problems easily.

Technology scholar Evgeny Morozov, author of "To Save Everything, Click Here: The Folly of Technological Solutionism," writes that "solutionists err by assuming, rather than investigating, the problems they set out to tackle. [They] do not limit themselves to fixing the problems of individuals; they are as keen to fix the problems of institutions."

This kind of hubris explains why someone like Michael Bloomberg believes he can solve gun crime by banning guns or obesity by banning big sodas. And it's why Jonathan Gruber believed he could solve our health care problems. It's not because he actually wanted to understand the problem, but because he decided what the problem was (in this case, that healthy people were paying too little for insurance) and assumed we were all too dumb to ask any questions.

But we asked plenty of questions. We are still asking questions. And legislators, economists and health care scholars will be trying to fix the mess that Gruber et al created for many years to come. But when this legislation finally collapses under its own weight, Gruber will no doubt find a way to blame stupid Americans for failing to properly implement his vision.

@highlight

S.E. Cupp: A 4th video of Obamacare consultant Gruber dissing voters has emerged

@highlight

He says, among other offensive things, voters too "stupid" to understand a provision of the bill

@highlight

Cupp: Opponents of bill well aware of issues he says were soft-pedaled

@highlight

Cupp: Gruber remarks reveal arrogance of liberal "solutionism" for social problems