(CNN) -- Brazil has intensified its efforts to forge closer relations with Africa recently, as the sixth largest economy in the world tries to compete with other emerging giants like China and India to take a more central role in the resource-rich continent.

Last month, Brazil's top investment bank BTG Pactual unveiled plans to raise $1 billion to create the world's biggest investment fund for Africa, focusing on areas such as infrastructure, energy and agriculture.

The independent bank's fund, which comes amid a government drive to establish a strategic partnership with Africa, is one of the latest moves signaling Brazil's increasing interest to extend its economic footprint on the continent -- trade between Brazil and Africa jumped from around $4 billion in 2000 to about $20 billion in 2010.

"It does represent a turning point where a lot of these investors and these entities for investments are recognizing that Africa is indeed the last frontier for growth," says Lyal White, director of the Centre for Dynamic Markets at the Gordon Institute for Business Science in South Africa.

Eyeing potential

An unprecedented decade of economic growth in Africa, coupled with a series of policy and institutional reforms, has attracted emerging global powers into the continent, seeking to gain a stronger foothold in the continent in their bid to reach more markets and forge new political alliances.

Read more: Why Asian giants scent opportunity in Africa

But while much has been said and written about China's and India's strides in Africa, Brazil's African foray has garnered less attention.

"Brazil has kind of been operating under the radar, it is not seen necessarily as one of those kind of players [China and India]," says Markus Weimer, research fellow in the Africa Program at Chatham House. "The stories of Brazil with Africa have also been less contentious -- you've heard stories from Zambia about miners being mistreated by their Chinese bosses but you don't hear from Mozambique or Angola when it comes to Brazilian companies."

Using Portuguese-speaking countries like Angola and Mozambique as an entry point to the continent, Brazil's state and private companies have made big inroads in various parts the continent, operating mostly in strategic sectors such as infrastructure, mining and energy -- last year, mining giant Vale announced plans to spend more than Â£12 billion on investments in Africa over the next five years.

But while Brazil, like China, seems to be deeply engaged with the African resource sector, some analysts say its strategy and interests are quite distinct from its resource-hungry BRICS partner.

"Being a resource-rich country and a future major oil exporter itself, Brazil is not pursuing a strategy to secure resources," says Christina Stolte, research at the German Institute for Global and Area Studies.

"Rather, the South American economy is seeing Africa as a means of diversifying its export markets -- for food, seeds, agricultural machinery -- and internationalizing the production of its big companies -- Petrobras in the oil and biofuels business, Vale in the mining business."

Strong ties

Although separated by the Atlantic Ocean, Brazil and Africa have long historical and cultural ties, dating back to the days of slave trade in the 16th century, where scores of Africans where shipped to the former Portuguese colony to be exploited as slaves on the sugar cane plantations.

Today, Brazil is quick to use this cultural affinity with Africa as an advantage in its competition with the other powers acting on the continent, analysts say.

"The fact that the majority of Brazil's population is of Afro-Brazilian origin -- making Brazil the world's largest black population after Nigeria -- is frequently quoted by the, almost exclusively white, governing elite of Brazil in order to stress Brazil's cultural similarities with the African countries," says Stolte.

Read more: Is the West losing out to China in Africa?

Such remarks could often be heard during the 2003-2010 presidency of Lula da Silva, who made Africa a strategic priority for Brazil as part of the country's efforts to expand its global influence.

During his eight-year tenure, Lula made 12 trips to Africa, visiting 21 countries, more than any of his predecessors. At the same time, Brazil increased the number of its embassies in Africa from 17 in 2002 to 37, boasting today more embassies in the continent than the United Kingdom.

Brazil's deepening engagement with Africa has also continued under the leadership of Dilma Rousseff, who became president of Brazil in January 2011 -- in her first year in office, Rousseff visited Angola, Mozambique, and South Africa.

Business model

Analysts say Brazil has adopted a three-pronged approach to its engagement with Africa, with an "almost seamless interaction" between the government, the private sector and development institutions.

"This all kind of comes together as one coherent strategy toward Africa from Brazil," says White.

Brazilian companies seeking to do business in the continent tend to hire and train local workforce and offer social projects to foster home-grown development -- in Angola, Brazilian construction company Odebrecht has become the largest private employer in the country.

Knowledge transfer

In recent decades, Brazil has gone from being a net importer of food to one of the world's biggest exporters of agricultural and food products. More recently, Brazil's per capita income rose an average of 1.8% faster than its GDP in 2003-09, according to a World Bank report.

As a result, Brazil's domestic development experience and success in narrowing social inequality have attracted attention from several African countries who are keen to replicate some of its programs.

Analysts say Brazil is keen to leverage its advanced technological know-how in helping African countries in areas that are key to the continent's development, including tropical agriculture and disease fighting.

"Brazil therefore sees itself as partner for African countries that is able to offer successful strategies to fight the continent's most pending problems such as hunger and AIDS," says Stolte.

@highlight

Brazil seeks to establish partnership with Africa

@highlight

Analysts say Brazil sees Africa as a means of diversifying its export markets

@highlight

It also wants to internationalize the production of its big companies

@highlight

Brazil and Africa have long historical ties, dating back to the days of slave trade