(CNN) -- I am a movie critic. But because I am not employed by a newspaper, or a television station, Web magazine, ad agency or any institution that contributes to or profits from the media carnival that has become the Academy Awards, I can admit without fear of repercussion that the Oscars leave me colder than an arctic vortex.

If there were some remote planet or sun-kissed island where I could flee the din, I would go there. But I bet even remote outposts, windswept Siberian tundra or ships lost at sea, places without water or central heating, have a pipeline to the Oscar countdown.

Like Christmas and the presidential campaign, the Oscar race -- a misnomer, suggesting speed -- goes on too damn long. This is true even in a year when the nominees are more exciting than usual, perhaps even justifying the oft-made claim that the Academy has become younger and less stodgy. "American Hustle" is a comedy; "Her" a delicate love story between a man and a computer program; "The Wolf of Wall Street" raucous and controversial, "Nebraska" bleak. (Of course, we have been shocked before. Remember "Midnight Cowboy.")

The Academy has never been a barometer of quality, in fact it has a fairly dismal record when it comes to truly great or slightly difficult films. It's tended to favor the inspirational over the fatalistic; high-minded drama over comedy and noir; British over American ("The King's Speech" vs. "The Social Network"). When TCM, the channel to which I am devoted above all others, programs a whole month of Oscar winners I lose interest.

Other media outlets are not so restrained. The New York Times, like other organs of record no doubt, begins early -- sometime in summer -- with possibilities and probabilities, profiles and features leading up to and exploiting the fall's releases, until it's virtually blanket coverage. Brains that should be doing better things are busy handicapping and making lists. Like the presidential primaries (remember when Hillary was a sure winner?), the forecasts are wrong as often as not, but nobody's ever held accountable. Now that the Golden Globes have become the rehearsal dinner to the Oscar ceremony and fashion gets more coverage than international and domestic news combined, we watch as an armada of reporters is deployed to relay the buzz, and stories spill over into every section except sports.

But more important is what this carefully staged mass hysteria and nonstop coverage does to the movies and the stars. Films that open early in the year are virtually shut out by the bottom-heavy pattern of release and ruckus surrounding the end-of-year "prestige" films. Gems like "Before Midnight," "Mud," and "Frances Ha" might as well have opened seven years ago rather than a mere seven months.

Actors who've given outstanding, complex performances are suddenly pleading for love like orphan puppies, parading from one show to another, forever on display. Where are the handlers that used to manage the careers of stars, keeping them at a discreet distance from the fans and allowing them some semblance of mystery?

The irony is that as fewer people are going to movies, the annual spectacle that is the Oscars is taking up greater and greater space in the public arena. The upside is supposed to be a rare communal pleasure -- the way such occasions (as the clichÃ© has it) bring the country together. Like Christmas. Or the political campaign. Or a natural disaster. For once in our fragmented era, old and young, blue and red, presumably join hands in a virtual auditorium to admire some dresses and laugh at some jokes.

But wait! If I remember correctly (and the evenings do blur into one another), our host last year was someone who had almost nothing to do with movies, who conducted a sort of insider colloquy with the designated demographic, young males who watch television. So much for cross-generational rapprochement.

Television grasping for viewers to lure advertisers, newspapers bumping up movie ads, the actors withering from overexposure and the films themselves all but anti-climactic in the final hour: How can even the best keep the sparkle of surprise? "American Hustle" with its exquisite choreography and sly tease -- I'm still trying to figure out who knew what when. Spike Jonze's ingenious "Her," a man-machine romance that proves that science fiction and sex are not mutually exclusive.

When the night comes, I'll watch of course. And vow to go to bed before midnight. And stay up anyway. After all, the Golden Globes was worth watching just for Tina Fey and Amy Poehler, and maybe Ellen de Generes can make the long hours of Sunday night, March 2, tolerable this year. But in the meantime, I'll fight my uphill battle to ignore Oscar stories.

The opinions expressed in this commentary are solely those of Molly Haskell.

@highlight

Film critic Molly Haskell doesn't work for an outlet and can admit the Oscars leave her cold

@highlight

Haskell: Academy rarely honors truly great or difficult films; makes obvious choices

@highlight

She says Oscars and fashion coverage blots out all other news and goes on for months

@highlight

Haskell: Films from early part of year ignored and the stars and movies are overexposed