(CNN)St. Valentine's Day is upon us, Pope Francis recently placed more people on the path to sainthood, and I got married a few months ago.

That conjunction of events has sparked a question: I wonder if my wife and I could ever be named saints, as a couple? I'm not being egotistical: I am far from saintly (my wife, Angelika, is closer). But, in any case, the church instructs Catholics to aspire to sainthood.

Unfortunately, the odds for us married folk seem terrible. Of more than 10,000 formally recognized saints, only about 500 have been married, even though many billions of married people have roamed the Earth over the centuries.

And things look really bleak for couples hoping to clear the sanctity hurdle together. Mary and Joseph, the parents of Jesus, attained sanctity as a couple; so did Mary's parents, John the Baptist's parents, and a handful of other couples.

But what about more accessible role models than the Biblical era titans?

Let's see. Saints Isidore and Maria, a simple Spanish farmer and his wife, have made the cut, recognized for their piety, charity, devotion to each other, and hard work on behalf of their community.

Bravo for them and for the church, because they embody Catholicism's fundamental claim: Every person is equally dignified, and sanctity has nothing to do with connections, eye-catching exploits, or prominent church office. Rather, each life presents equal opportunities for exemplary holiness.

Still, I confess some queasiness about them as role models of conjugal love. According to some accounts, Isidore and Maria eventually began living in separate houses in order to abstain from sexual relations. And, Isidore's wife is sometimes known as Santa Maria de la Cabeza, St. Mary of the Head, because her well-preserved head is revered as a relic.

Though enamored of traditional Catholic devotions and desirous of sanctity, I would prefer to spare my beloved Angelika the dubious posthumous honor of having her head set aside as a relic.

Besides, they lived in the 12th century. Are there more recent role model couples, both canonized saints, to inspire Angelika and me on our married journey? I could find none. I consulted John Fink, author of "Married Saints," and Bert Ghezzi, author of "Voices of the Saints," and they weren't aware of any either.

Really? My church has been unable to find any couples from the last nine centuries who have together, "practiced heroic virtue and lived in fidelity to God's grace," as our Catechism defines sanctity?

Heck, my parents would seem to fit that definition, and a few of their contemporaries also leap to mind.

In fact, if an exemplary life of heroic virtue is the criterion, married couple saints must surely abound.

How many impoverished couples over the centuries, for starters, have remained deeply faithful to each other and to God, while sacrificing heroically to raise children and support neighbors in war zones, amid inner city chaos, despite religious persecution, or amid chronic famine. If that's not heroic virtue, what is?

Some may nitpick my argument, uncover some sainted couple I overlooked, or call attention to two beatified couples now on the sainthood path -- thankfully!

Or, they may note that Catholicism considers all those in heaven to be saints (regardless of whether they have been formally canonized), or point out that married couples were surely among martyrs the church remembers in groups like the 120 martyr saints of China, or the 124 Korean martyrs).

But the Catholic Church, perhaps more than any other institution, knows the power of symbols. We worship beneath stained glass windows, amid candlelight and incense. And the practice of having recognized so incredibly few married couples by name is a terrible symbol that contradicts what we Catholics preach about married love.

After all, Pope Benedict XVI called marriage, "the icon of the relationship between God and his people." Could we not find a few more real-life icons who incarnated Benedict's beautiful image?

Pope Francis has thrilled me and the world by his ability to present Catholicism's truths and beauties in new ways. I would humbly ask the Holy Father to fix our skewed saint-making process by offering dozens more exemplars of fun, blissful, holy, married love.

Under Pope Francis' enlightened leadership, we are trying to become ever more a church that is "poor, and for the poor": let's confront the fact that the saint-making process inordinately favors those with connections and resources.

There are religious orders that staff a full-time position to support the canonization cause of one or more of their deceased; the New York Archdiocese recently shipped a 20,000-page dossier to Rome to support one religious sister's sainthood cause.

Such investments of time and effort are unthinkable for most of us who fondly recall holy and loving parents, grandparents or ancestors.

A change could not be timelier: Pope Francis has launched the Synod on the Family, a yearlong reflection on the joys and struggles of married couples and their loved ones. The Synod's interim report cautions against, "proclaiming a merely theoretical message," and, as Pope Paul VI famously observed, "Modern man listens more willingly to witnesses than to teachers."

So, Pope Francis, with Valentine's Day upon us, please instruct the Vatican bureaucrats to elevate more witnesses, flesh-and-blood saintly icons of married love from centuries past!

In the meanwhile, my wife Angelika and I are loving each other and our married life, and we welcome all saints and sinners, whatever their spiritual or religious tradition, to share their advice for a happy, holy marriage.

@highlight

It's been nearly 9 centuries since the Catholic Church formally canonized a married couple

@highlight

The saint-making process inordinately favors those with connections and resources, Chris Lowney argues