(CNN) -- One of the unintended consequences of the Arab revolutions has become evident in Israel, where a surge in the number of refugees from Africa has created new tensions in a country with no shortage of practical and ethical dilemmas.

In the face of the new challenge, a number of Israeli politicians have sunk to the occasion, exploiting raw emotions and fueling a display of violence that should shame Israelis.

To be sure, Israel is not the first nation whose handling of illegal immigration deserves criticism. But the anti-immigrant riot that took place in a Tel Aviv neighborhood on May 23 should rise as a rallying cry for Israelis who believe their country should shine as a "light unto the nations."

Since Egyptian President Hosni Mubarak was overthrown last year, Egypt's Sinai Peninsula, the border between the two countries, has become a mostly lawless land where Bedouin gangs freely traffic in, among other things, human beings.

Migrants who come mostly from Sudan and Eritrea have chosen Israel as their destination because it is one of the most prosperous states in the region and because it offers some protection for refugees. Despite the protests of right-wing politicians and of some sectors of the population, Israel has so far refrained from forcing the vast majority of refugees to return to their native countries.

Many countries keep asylum-seekers in prison-like camps under indefinite detention. Israel is building a detention facility where refugees would remain while their cases are processed. But until now, they have been receiving visas that allow them to live anywhere in the country. Still, they live in limbo without a right to work legally.

Unlike other countries that have returned refugees to their nation of origin or pushed them back to the state from which they crossed the border, Israel, a signatory to the 1951 Refugee Convention, has done neither. But the situation is becoming untenable and pressure for deportations is growing.

Government figures say about 60,000 African migrants now reside in Israel, double the figure from 2010, with between 2,000 and 3,000 more arriving each month. The numbers are enormous for a country the size of Israel. It is roughly equal to the number of illegal immigrants found, for example, in Australia, a country 350 times the size and triple the population of Israel.

Israel is hardly the first place to experience anti-immigrant riots. And anti-immigrant sentiment there is part of a wave sweeping the globe.

As in most places where illegal immigration has suddenly increased, much resentment has come from the poor who see the unfamiliar new arrivals settling in their midst, view the newcomers as a threat to their livelihoods and are highly sensitive to reports of criminal activity.

Eritrean and Sudanese refugees have been arrested in a number of rape and stabbing of cases in Tel Aviv, but there is no evidence that the crime rate among them is higher than in the rest of the population. That, however, has not stopped Interior Minister Eli Yishai from tarring migrants as criminals and suggesting that most should be summarily deported.

The country's leaders should seek to calm tensions and find a humane solution to a growing human problem. But responsible, statesman-like behavior is apparently too much to ask.

When the residents of the south Tel Aviv neighborhood of Hatikva held a protest last week, one member of parliament, Miri Regev, referred to Sudanese "infiltrators" as "a cancer," stoking the inexcusable outbreak of violence. (She later apologized for using the term "cancer".) Another member of parliament, Danny Danon, turned up the rhetoric, shouting "Expulsion now!" and calling the migrants "a plague."

While some Israelis expressed sympathy for the protesters, many lashed out against the shocking display of intolerance in Tel Aviv, of all places, a city known for its open-mindedness.

Although no one was seriously injured and the police intervened, arresting 17 people, the language and the behavior would be unacceptable anywhere, but in Israel more than anywhere.

Reuven Rivlin, speaker of the Knesset, the Israeli parliament, characterized the event as reminiscent of the early days of World War II, saying the words "remind me of the hate speech aimed against the Jewish people." Prime Minister Benjamin Netanyahu declared "there is no place for the statements and actions which we saw last night."

The day after the riot, Israelis held a vigil against racism in front of the prime minister's residence. But the reaction on the political scene was not uniformly conciliatory, with new calls for deportations and more irresponsible and inflammatory language from some political leaders.

Israel faces a serious moral and practical dilemma. And although the problem has unique aspects because it is occurring in Israel, it is a quandary familiar to every country that has faced a large inflow of refugees and migrant workers.

In Israel's case, the prospect that the stream of refugees could grow into a flood raises the added specter that it could transform the Jewish character of the state. Despite Netanyahu's claim, that is not an imminent danger. But the question also tugs, urgently, at another aspect of the country's identity.

Israel, after all, was founded as the nation-state of the Jewish people; a people that saw millions of its numbers murdered while other countries closed their doors during World War II and at other times in history.

Israel has not dealt with its refugees more harshly than most countries, despite the exaggerated claims about the events in Tel Aviv. But that is not a good enough standard. Israelis need to deal fairly and humanely with the refugees. Israelis are building a barrier at the Sinai border, which should cut down on the smugglers' cruel traffic in human beings. Israel should formalize and legalize the status of a portion of the migrants and work with international agencies to find homes in third countries for others.

In the meantime, it's a good time for Israelis of all stripes to look at their own history and send a strong message to politicians who seem to have forgotten not only the country's claim to high ethical standards, but an admonition from an ancient text, from Exodus, recently cited by a hospital manager writing about the serious medical needs of African migrants.

"Do not oppress the stranger among us. You know how it feels to be strangers, for you, too, were strangers in Egypt."

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: A demonstration against immigrants turned violent in Israel

@highlight

She says members of parliament added to the inflamed rhetoric

@highlight

Israel, of all places, should avoid intolerance of those seeking asylum, she says

@highlight

Ghitis: Israelis condemned the rioting, and Israel is not alone in its immigration problem