Washington (CNN) -- Use any metaphor you like -- predators smelling blood, invaders storming the castle, a snowball growing in size and momentum as it rolls downhill.

All describe efforts by opponents of President Barack Obama's signature health care reforms to kill the 2010 law after the botched launch of the HealthCare.gov website provided a new opening for attack.

Critics led by conservative Republicans target the Affordable Care Act itself, not just the website woes, in hopes of creating a public groundswell of opposition.

"Obamacare is much more than a bad website; it's a bad law," says a House Republican playbook for GOP members to follow in the campaign.

The document obtained from a Republican source Thursday by CNN lays out a strategy of talking points, videos, op-eds and social media outreach intended to spread as negative a perception of the health care reforms as far and wide as possible.

Obama regularly complains about such search-and-destroy tactics, telling business leaders Tuesday that "one of the problems we've had is one side of Capitol Hill is invested in failure."

White House spokesman Eric Schultz said Thursday that the GOP playbook lacked "a single word devoted to helping constituents enroll or offering an alternative idea to help Americans gain access to qualify, affordable care."

"This is a partisan political strategy that hasn't worked in the past, and it's not going to work now," he said.

For Republicans, the goal is to bolster GOP prospects in next year's congressional elections by vilifying the health care reforms and making them the main campaign issue.

Holding their House majority and winning back the Senate from Democratic control next year would increase leverage for weakening and perhaps even dismantling the reforms they despise as government overreach run amok.

President and Obamacare sink to new polling lows

At every opportunity, Republican leaders cite effects so far -- including canceled policies, higher premiums and limited options for some -- as evidence that the dysfunctional website merely foreshadowed what they call an incurably flawed law.

When the Affordable Care Act passed with no Republican votes more than three years ago, "reasonable minds perhaps could have differed on whether Obamacare would work," Sen. Ted Cruz of Texas told CNN on Wednesday.

"Today, that's not possible," said Cruz, the tea party favorite who spearheaded the GOP fight against the reforms that led to the 16-day government shutdown in October. "In my view, coming together to stop Obamacare is the essence of pragmatism because it is self-evident this isn't working."

Keeping the pressure up

Cruz and his GOP colleagues plan to maintain that focus.

The Republican-led House Oversight and Government Reform Committee will hold "field hearings" in four states in coming weeks that will focus on consumer complaints about Obamacare. Friday's initial event in North Carolina is titled "ObamaCare Implementation: Sticker Shock of Increased Premiums for Healthcare Coverage."

In particular, Republican opponents lambast Obama for his "if you like your policy, you can keep your policy" pledge of past years that proved untrue for what could amount to several million Americans who bought their own insurance instead of getting coverage through employers or government programs.

While affecting less than 5% of the population, the cancellation notices to individual policyholders became a symbol of oversell by the President and Democrats that Republicans now exploit by citing public mistrust in the government.

The 17-page House GOP playbook obtained by CNN includes specific instructions for legislators to solicit personal stories from people losing policies or forced to pay more under Obamacare.

"In this playbook, you'll find messaging tools to help you communicate in your district about the disastrous Obamacare rollout," it says.

Talking points in the document cite information from the House Ways and Means Committee that stress worst-case scenarios predicted so far, such as at least 7 million Americans losing employer-provided health insurance in coming years because of the reforms.

Digital fliers the playbook provides quote television comedians joking about the dysfunction of the HealthCare.gov website when it launched on October 1.

It is all designed to create a perception of total public rejection of the health care reforms to pile on recent polls that show already shaky support for Obamacare declining further, along with support for the President.

Obama accepted responsibility for the dysfunctional website that stymied the October 1 launch of the vital new insurance exchanges for people to shop for coverage, as well as the failure of the reforms to better protect individual policy holders getting cancellation notices.

He framed the issue as facing expected challenges in trying to reform a failing health insurance system that left more than 40 million people without coverage and millions more lacking adequate policies.

"There have been times where I thought we were kind of, you know, slapped around a little bit unjustly. This one's deserved, right? It's on us," Obama told reporters last week. "But, we can't lose sight of the fact that the status quo before the Affordable Care Act was not working at all."

Presidents and Democrats: What's your counterproposal?

The President and Democrats complain that Republicans intent on eliminating Obamacare lack any serious proposals to help the uninsured get coverage and address the broader problem of bringing down overall health care costs, a goal of the reforms.

In a report released Wednesday by Jason Furman, Obama's new head of the White House Council of Economic Advisers, the administration claimed health care spending from 2010 to 2013 grew at the lowest rate on record since 1965.

While House Republicans have voted more than 40 times to repeal or otherwise undermine Obamacare, specific GOP proposals offer limited approaches, such as allowing insurers to offer health policies across state borders.

In addition, Republican leaders don't mention benefits of the reforms such as ending denial of coverage for pre-existing conditions as well as limits on total benefits. Instead, they frame their stand as protecting consumers facing higher costs and forced changes by the overhaul.

Bad news for woman cited as Obamacare success story

"We're going to continue to do oversight so that we understand exactly what's happening out there. Our members are going to continue to collect stories," House Speaker John Boehner told reporters Tuesday, adding that there was "no decision" on specific steps Republicans might take. "But we're going to do everything we can to try to protect the American people from this awful law."

For his part, Obama also says the goal is to protect Americans, with the reforms providing coverage to people previously unable to afford it or determined ineligible by insurers to get it.

He emphasizes in every public pronouncement on the reforms that they already have ended denial of coverage for pre-existing conditions, provided free preventive screening for millions, eliminated caps on total benefits and brought other much-needed changes for consumers.

"I'm not going to walk away from 40 million people who have the chance to get health insurance for the first time," the President said last week. "And I'm not going to walk away from something that has helped the cost of health care grow at its slowest rate in 50 years."

Shoring up the HealthCare.gov website

For now, the administration continues work to get the HealthCare.gov website functioning well enough by the end of November for most users to complete the enrollment process in a timely manner.

The enrollment period extends until March 31, and officials believe there will be time to reach the goal of about 7 million enrolled by then to make the new exchanges economically viable.

Blocked out at www.HealthCare.gov? Bypass on way soon, feds say

Democrats, including Obama administration officials, concede that failure to get the website working properly soon will mean major trouble for the reform law.

For now, they declare their support for Obamacare, setting it up as a crucial campaign issue in 2014.

"While Republicans continue to fixate on sabotaging health reform and root for failure, House Democrats will continue to stand tall in support of the Affordable Care Act, work to strengthen the health reform law as implementation continues, and ensure that millions of uninsured Americans get coverage," said a statement Thursday by Drew Hammill, a spokesman for House Democratic leader Nancy Pelosi.

The Republican National Committee already is taking up the challenge. RNC Chairman Reince Priebus held a news conference Thursday to assert that Democratic candidates were more likely to shun the health care reforms than embrace them.

"It looks like any Democrat in a serious reelection fight is neither eager nor proud to run on Obamacare," Priebus said, adding that opposing the reforms was "nothing to be ashamed of" and that he was "proud to take the position that we are against Obamacare, that we want to repeal Obamacare, and that it's bad for America."

Battle for the House in 2014: Obamacare vs. shutdown

CNN's Jim Acosta and Deirdre Walsh contributed to this report.

@highlight

House GOP playbook includes talking points, videos, social media outreach

@highlight

Botched website launch provided an opening for attacks by Obamacare critics

@highlight

The goal is to bolster Republican prospects in next year's midterm elections

@highlight

A House committee schedules Obamacare hearings in four states