Ku Maloob Zaap, Mexico (CNN) -- Much of Mexico's remaining oil wealth lies thousands of meters below the surface of the Gulf of Mexico. The question is: how to get at it.

When state monopoly Pemex discovered its 'Supergiant' oil fields in the 1970s, they were found in barely 100 meters of water. At the time, they were the envy of the world and made Pemex one of the biggest oil producers.

But since 2004, production has declined by nearly one million barrels a day as reservoirs dwindle.

To compensate for the aging Supergiants, Pemex must now exploit resources at depths of up to 3,000 meters -- where they estimate there may be some 29 billion barrels of oil.

There's a vast area of the Gulf of Mexico to explore and the size of the task is really brought into focus when you visit an exploration rig. After a 20-minute helicopter flight over an endless expanse of shimmering ocean, a lone platform can just be seen on the horizon.

Pemex has only three exploration rigs available to explore hundreds of thousands of square kilometers and to probe the subsoil they must drill wells which take around 100 days to complete.

Progress is painfully slow compared to the United States.

"The U.S. has a contract scheme which allows private investment, which allows concessions," says Carlos Ramirez of the Eurasia Group, a risk assessment organization. "So there is a lot of activity coming from the big oil companies. In Mexico, that's not the case so Pemex has to do it by itself, with its own resources. And the resources Pemex has are limited."

This is the root of the Mexico's dilemma.

When the government expropriated the country's reserves in 1938, the principle of national ownership of oil was enshrined in the constitution.

Pemex is forbidden from entering into production sharing agreements (PSAs) with multinational companies, which would see a BP or ExxonMobil share the exploration risks in exchange for a stake in the oil discovered.

Private investment in the company is also prohibited, so a partial IPO -- along the lines of Brazil's Petrobras -- is out of the question.

Pemex has so far invested some $3.8 billion in its Deep Water exploration, which many analysts say is not enough.

So now there is controversial talk of constitutional amendment which would allow additional capital and expertise to be brought into Mexico's oil industry.

"You have the incentive of the companies can bring all their capacities that an operator - an owner - would have," acknowledges Carlos Morales, the head of Production and Exploration at Pemex. "You can have access to that technical knowhow."

For Mexicans, Pemex is more than just an oil company. It is the only supplier of subsidized gas to motorists around the country. And more importantly, it paid for many of the roads they drive on -- as well as schools, hospitals and much of the nation's infrastructure. Pemex's earnings account for 35% of the Federal budget.

Deep water drilling is notoriously difficult. At depths of 3,000 meters, temperatures are so low that oil can freeze as it leaves the subsoil and equipment must be able to withstand strong currents.

It raises memories of the Deepwater Horizon disaster along the U.S. Gulf coast, which Morales says has cast a shadow.

"It made us a lot more aware of the issues. We are in tough environments, no doubt. They have to make you think of the risks. You have to evaluate the worst case scenarios before going into the decision of drilling a well. You have to design your well perfectly."

This month's deadly gas explosion at a Pemex processing center underlines the ever-present risk of industrial accidents in the energy industry.

So with the obvious need for more expertise and capital, what are the prospects of a landmark constitutional amendment?

Mexico's President-Elect Enrique Pena Nieto campaigned on a pledge to reform the energy sector and aides say he will tackle this in early 2013.

But he faces an uphill task. He lacks a majority in Congress to drive through his own legislation and the leftist PRD party in Mexico remains strongly opposed to sharing Mexico's oil wealth.

There is also the fact that Pemex is no longer in critical condition.

"Things in Pemex don't seem to be as dire as they were 3 or 4 years ago," says Ramirez. "This production stability and reserve replacement and oil prices where they are - there doesn't seem to be a sense of urgency in the political elites of Mexico to tackle such a complex and controversial reform."

For Pemex, the question is almost philosophical.

"In what timeframe do you want to monetize the reserves? Many countries have taken that decision in different fashions," Morales says.

"Norway decided to monetize in a short time period the reserves they had. And they did very successfully. They have the petroleum fund and many advantages. So whatever we do in the end should reflect on the standard of living of the Mexicans."

@highlight

Mexico is looking at deep water drilling as a way of extracting more of its oil reserves

@highlight

Some estimates say there may be up to 29 million barrels available

@highlight

Some now want constitutional amendment allowing private investment in oil

@highlight

But nationalized Pemex is popular with Mexicans, providing cheap gas and money for infrastructure