(CNN)  -- A history of childhood abuse and use of a provocative online identity increase the risk that girls will be victimized by someone they meet on the Internet, according to a study appearing in the June issue of Pediatrics.

A study in Pediatrics sought to identify which risk factors are linked to Internet-initiated victimization of girls.

While highlighting the dangers that exist for adolescent girls, the study's authors also offer a word to parents: You can lessen the risks to your children by monitoring their Internet use.

The authors sought to identify risk factors connected to increased rates of Internet-initiated victimization of girls. They also wanted to find out whether abuse victims showed increased vulnerability to online victimization.

They found that girls are more likely to experience online sexual advances or have offline encounters if they have previously been abused or have a provocative avatar, which is a digital image meant to represent the user online.

Those two factors pose a greater risk to adolescents than perhaps more traditionally considered risks, such as Internet naivete and sexual innocence, the study says.

The authors say many Internet-initiated sex crimes originate on social networking sites, which require users to create online identities.

Some sites, such as Second Life, require users to create a character to represent them in the virtual world. The program presents users with hundreds of possibilities spanning all shapes and sizes; users can choose anything from a fully dressed persona to a scantily clad one. They also can select features such as hair color and figure.

Other sites, such as MySpace and Facebook, allow self-descriptions and photographs. But even there, users can choose what to post, and those identities can shape behavior and interaction online, the study says.

"The extent to which provocative self-presentations ... translate into increased online advances or offline encounters is unknown, but it is plausible that these types of presentations constitute an initial invitation for exploitation and a familiar avenue by which sexual advances are initiated," the study says.

The study's lead author was Jennie G. Noll of the Cincinnati Children's Hospital Medical Center in Ohio. The report appears in Pediatrics, the journal of the American Academy of Pediatrics.

Noll and her co-authors cite the Proteus effect, or the idea that the presentation of oneself can affect the behavior of the presenter and the receiver.

"Self-presentations can change the way Internet users interact in a manner that increases the risk for online sexual advances," they say.

The study looked at 104 abused and 69 non-abused girls ages 14 to 17. Abused adolescents -- who had suffered neglect, physical abuse or sexual abuse -- were recruited from child protective agencies, the authors said.

Of the girls studied, 54 percent were white and 46 percent were minorities, of which 82 percent were black and 18 percent were mixed-race, the authors say.

The authors held a laboratory session in which they asked the girls to create avatars on a program designed to mimic a popular social networking site, which the authors did not name in the study.

Girls could choose bust and hip size, clothing type, visible navel piercings and skin, eye and hair colors. Girls were given a range of choices that allowed for a more provocative or conservative avatar.

Participants were also asked to rate how many times they had had online sexual advances, which were described as "explicit sexual chatting in virtual worlds," and how many times they had met someone in person after meeting first online.

The authors say 40 percent of the girls reported experiencing sexual advances online, and 26 percent reported meeting someone offline after getting to know the person on the Internet. Abused girls were much more likely to have experienced both, the authors found.

"Results indicated that abuse status was significantly related to online sexual advances, which were, in turn, related to offline, in-person encounters," the study says.

The authors say there was no direct link between abuse and offline encounters, but that a history of abuse puts girls at greater risk.

Looking at the girls' avatar choices, the authors found that girls who present themselves provocatively in body and clothing choices are more likely to have had online sexual advances.

That risk is tied not just to an avatar, but to the overall image a girl projects online, they say. On sites that don't use avatars, such as MySpace or Facebook, simply compiling suggestive photographs or narrative descriptions can increase girls' vulnerability, they say.

"Those adolescents who may be unaware of how their appearance might be perceived may not, from a developmental perspective, possess the social sophistication necessary to field and ward off sexual advances in ways that protect them from sexually explicit suggestions," the study says.

"This may be a particularly important lesson to convey to female adolescents who are especially vulnerable to exploitation and victimization, such as those who have been victims of childhood abuse," it says.

One significant factor that helped decrease the risk to girls was the presence and influence of caregivers, the authors found.

They urge parents to be aware of how their adolescent girls present themselves on the Internet and be aware that provocative self-presentation might have implications for sexual solicitation.

"Caregiver presence was associated with significantly fewer reports by adolescents of online solicitations," the study says. "As such, the importance of parental monitoring of adolescent Internet use cannot be understated."

@highlight

Study in June issue of Pediatrics identifies risk factors from Internet predators

@highlight

Study finds childhood abuse, use of sexy images puts girls at increased risk

@highlight

These factors more crucial than Internet naivete or sexual innocence, study indicates

@highlight

Authors urge caregivers to carefully monitor how girls present themselves online