Savar, Bangladesh (CNN) -- A week after a building containing thousands of Bangladeshi garment workers came crashing down around them, the death toll from the South Asian nation's deadliest industrial disaster rose above 400.

Workers using heavy machinery are gradually picking apart the huge, splintered slabs of concrete at the scene of the collapse in Savar, a suburb of the capital, Dhaka. They continue to find and remove bodies, many of them decomposed and difficult to recognize.

Meanwhile, throngs of mourners attended a funeral for 32 unidentified victims whose bodies were unclaimed.

And Pope Francis, speaking at a Mass on Wednesday, referred to the building collapse in a sharp condemnation of worker exploitation and "slave labor."

"Not paying a just (wage), not providing work, focusing exclusively on the balance books, on financial statements, only looking at making personal profit. That goes against God!" he said, quoted on the Vatican Radio website.

The collapse of the building has caused widespread anger among Bangladesh's millions of garment workers about the risky conditions in which many of them must work.

Anger in Bangladesh focuses on building owner, rejection of aid

Frequent protests, some of them involving violent clashes with police, have taken place in Dhaka and nearby manufacturing districts since the disaster.

On Wednesday, when workers around the world were holding May Day rallies, thousands of Bangladeshis took to the streets once again, although no clashes were initially reported.

As trucks carrying rubble leave the scene of the catastrophe, people search desperately for missing relatives crowd around them, wanting to make sure they're not mistakenly taking away the bodies of their loved ones, said Maj. Gen. Hassan Sarwardy, the military official leading the recovery efforts.

There was confusion earlier about exactly how many people were still unaccounted for in the collapse, Sarwardy said at a news briefing Wednesday. Authorities were waiting for the Bangladesh Garments Manufacturers and Exporters Association to provide a list of all the people who were inside the five garment factories in the building when it caved in, he said.

When that information was obtained, Sarwardy said it appeared about 149 people were still missing.

"It is very unlikely that someone is still alive under the rubble on the seventh day of the building collapse ... but the almighty Allah knows better," the military official said.

Authorities say the number of people confirmed dead so far is 412, while 2,443 people have been recovered alive, according to the official Bangladesh State News Agency.

And so, the search for the human remains still entombed within the ruins goes on amid the stench of death that pervades the site.

Those involved in the search are using face masks and cans of air freshener to try to block out the smell, and electronic sensors and sniffer dogs to try to find the bodies.

Col. Shayekh Jaman, one of the officials involved in the operation, said Wednesday that he believed the grueling, painstaking efforts could continue for about 10 more days.

"It is a delicate and time-consuming operation, but we are doing everything we can," he said.

After building collapse, Shahina's death breaks rescuers' hearts

Lost relatives

Meanwhile, hundreds of people such as Sheikh Nasir Uddin are left in limbo.

At the school playground in Savar where bodies recovered from the wreckage are initially brought for identification, Uddin said he had being looking for his nephew, Abul Kalam Azad, for the past week.

He said visits to all the hospitals in Savar and Dhaka where the injured and the dead were taken had proved fruitless.

"Nobody can tell me about my nephew, who was working at an apparel factory in the building," he said.

Much of the rage voiced in protests has been directed at Sohel Rana, the owner of the building, who was arrested near the Indian border over the weekend. Protesters have called for him to be hanged.

Rana and the owners of the factories in his building have been accused of ordering workers to enter the premises on the day of the collapse, despite the discovery of large cracks the day before.

Americans face tough choices over Bangladesh

The Bangladeshi government is also coming under criticism for lax enforcement of safety regulations in factories and claims by Britain and the United Nations that it refused offers of help with rescue efforts.

Home Minister Mahiuddin Khan Alamgir said Tuesday that the rejection was because Bangladesh had only wanted equipment to be sent, not the additional search and rescue experts offered by the outside agencies.

EU considers trade action

In a sign of the growing international pressure on Dhaka to improve labor conditions, the European Union said Tuesday that it was considering trade action against Bangladesh. The statement carries weight, since the EU is Bangladesh's largest trade partner.

The Bangladeshi government said this week that it would begin inspecting the safety and security of all garment factories in the country.

Major Western retailers and clothing brands, some of which sourced products from the factories in the collapsed building, are also facing difficult questions about how closely they scrutinize working conditions at their suppliers.

"We understand that businesses operating in this building appear to have links to numerous companies in the U.S. and Europe and so we'll continue to engage with U.S. companies to discuss what role they can play in improving working conditions, including in Bangladesh," U.S. State Department spokesman Patrick Ventrell said Wednesday.

The catastrophic building collapse happened about five months after a fire at Tazreen Fashions Factory, a garment maker in another suburb of Dhaka, killed at least 112 people.

Who really pays for our cheap clothes?

CNN's Jethro Mullen reported and wrote from Hong Kong, and journalist Farid Ahmed reported from Savar. CNN's Elizabeth Joseph in Hong Kong and Zarifmo Aslamshoyeva in Atlanta contributed to this report.

@highlight

NEW: Mourners attend a funeral for 32 unidentified victims

@highlight

Officials say 412 people have been confirmed dead, 2,443 recovered alive

@highlight

A military official says about 149 people are still missing

@highlight

Pope Francis condemns worker exploitation and "slave labor" in a Mass