The security camera footage broadcast by CNN shows a grisly scene: a black man in Jackson, Mississippi, being fatally run over by a pickup truck after he was viciously beaten in a motel parking lot on a Sunday morning in June. Prosecutors say a group of white teens chose the man at random. They say the alleged ringleader, an 18-year-old now charged with murder, laughed about it afterward and boasted in a phone conversation about how he "ran that n----- over."

When we're confronted with such a shocking act of violence, we search for answers. We want to know what's in the hearts and minds of the attackers. We wonder what motivates someone to extinguish a life for no other reason than the color of the person's skin.

And, in an odd way, some people take comfort in the fact that it happened in Mississippi, with its legacy of Jim Crow segregation and terrorism aimed at the African-American community. We want to see the crime as simply a reflection of a Deep South state still haunted by its racist past -- something that couldn't happen in other parts of this country.

It's wishful thinking.

In Patchogue, New York, Marcelo Lucero, a 37-year-old Ecuadorian immigrant, was stabbed to death in 2008 when he was attacked by a gang of  white teens who decided to hunt down and attack Latinos for sport -- or as they called it, "beaner hopping."

In Huntington Beach, California, three men and a woman with white supremacist tattoos went into a predominantly Latino neighborhood on July 3, 2009, looking for a "nonwhite" to hurt. They attacked a Latino man in an alley. Yelling racial slurs, they reportedly stabbed him three times.

In West Allis, Wisconsin, the opening night of the state fair this month turned to mayhem when dozens of black youths began attacking white people. A 16-year-old boy detained by police said he and others attacked white people because they were "easy targets," according to The Christian Science Monitor.

We can't pretend that what happened in Mississippi that June morning couldn't happen elsewhere. It already has, and it will again.

The social fabric in our country is fragile, and the fault lines are often defined by race. Our communities and schools are increasingly segregated. Globalization and our economic woes are leaving many young people without hope for the future. And we're seeing a backlash against the nation's changing ethnic makeup. All of this provides fertile ground for bigotry and violence to take root and flourish. Meanwhile, our political system seems paralyzed, incapable of protecting the interests of working people, much less pulling us together.

Messages of hate and bigotry can be found not only on the fringes of our society but virtually nonstop on television, talk radio and the Internet, where certain groups of people are demonized and held up as scapegoats for our problems. Too many of our politicians pour fuel on the fire by exploiting divisions in our society -- fostering an us-versus-them mentality and casting entire groups of people as "the other."

Despite the promise of the Obama presidency, it's time to realize we're not living in a "post-racial" society. It's time to speak out against bigotry and to call out those in public life who encourage hate and violence with their words. And it's time to invest in the future of our nation and its youth -- to provide hope and opportunity to the next generation. Our future depends on it.

The opinions expressed in this commentary are solely those of J. Richard Cohen.

@highlight

A black man was killed in what prosecutors called a racially motivated attack in Mississippi

@highlight

J. Richard Cohen: Such incidents aren't just a Southern problem, but they are national in scope

@highlight

He says America's social fabric is fragile, and fault lines are defined by race and ethnicity

@highlight

Cohen: It's vital to invest in young generation and provide hope to counter power of hatred