Washington (CNN) -- "If we had been a split second slower, he could have been hit in the head."

It has been 30 years since the attempted assassination of President Ronald Reagan. But for retired Secret Service agent Ray Shaddick, the memories of that gray, rainy day in Washington remain clear.

It was 2:27 p.m., March 30, 1981. The 70-year-old president, barely two months into his term, exits the Washington Hilton after delivering a speech to leaders of the AFL-CIO. He walks out a side door to the hotel -- a door used more than 100 times by presidents in the previous decade.

Waiting roughly 15 feet away stands a disturbed John Hinckley Jr., holding a .22-caliber revolver. The president waves to the crowd as he approaches the open door of his armored limousine.

In less than two seconds, Hinckley fires off six shots. Press secretary James Brady is hit. Secret Service agent Timothy McCarthy and D.C. police officer Thomas Delahanty are also wounded. One bullet hits the limo's armored glass; another ricochets off the car.

Lead agent Jerry Parr grabs the president's shoulders and pushes him down into the limo. At the same time, Shaddick shoves the president in the small of his back and slams the door shut. The motorcade bolts from the scene.

"I thought we got him out of there unscathed," Shaddick recalls.

Halfway to the White House, Parr sees bright, frothy blood on a handkerchief pressed to the president's lips and announces a change of plans. They're headed to George Washington University Hospital. Shaddick, the shift leader riding in the follow-up car, doesn't ask for details because the radio's not encrypted.

When they arrive at the hospital, Shaddick opens the door to the limo. The president gets out and says he's OK, but he's gone pale. "You could see the ashen color to his face," Shaddick recalls. "He was not all right."

Reagan walks on his own power through the emergency room doorway before collapsing. He says his rib hurts and complains that it's tough to breathe. A medical team quickly discovers that the bullet that ricocheted off the car struck the president below the left armpit.

It looked like someone "took a paring knife and jabbed him," Shaddick says.

Reagan maintains his composure, famously telling his wife that he "forgot to duck" and asking the attending doctors if they're Republicans.

In surgery, it takes an hour to reach the bullet and pull it from his chest, where it's lodged about an inch from his heart.

Reagan loses more than 2½ quarts of blood. Doctors say he would have been within minutes of going into shock and dying had they not been able to replace the lost blood so quickly after the shooting.

Opinion: How the shooting helped Reagan politically

Three decades later, what has been learned from Hinckley's assassination attempt?

All of the normal Secret Service procedures were followed that day, Shaddick recalls. But Hinckley exploited a weak point in presidential protection: the fact that, at the time, it was still easy to get close to the president at certain points.

Since the attempt on Reagan's life, magnetometers have been a more regular feature at presidential outings. People can no longer get so close without being thoroughly scanned.

And while security perimeters have been pushed farther out, tents are now frequently used to shield presidential entrances and exits, according to journalist Del Quentin Wilber, author of "Rawhide Down," a newly published book about the attempted assassination.

Wilber also notes the regular, rigorous training that members of the presidential security detail undergo at the Secret Service facility in Beltsville, Maryland. Agents now train for roughly two out of every eight weeks.

Enhanced training actually started in the late 1970s, but its importance was hammered home by Hinckley's attack. "They don't want to risk agents thinking," Wilber says. "They just have to act."

"You wonder how the hell you respond that fast," Shaddick says. The training makes it "almost instinctive."

If Parr and Shaddick had been even a second slower reacting to the attack, Reagan's skull probably would have been struck, Wilber says.

In contrast, look at footage of Arthur Bremer's attempted assassination of Alabama Gov. George Wallace in 1972, he says. Agents assigned to the governor -- a presidential candidate at the time -- were much slower to respond, leaving the initial responsibility of trying shield him to others.

Secure communications also became a more standard component of presidential and vice presidential life after the Reagan assassination attempt.

Then-Vice President George H.W. Bush was en route to Texas when Hinckley struck. Bush immediately headed back to Washington, but the lack of a secure phone line between his plane and the White House contributed a brief sense of confusion within the administration. The result was Secretary of State Alexander Haig's infamous declaration that he was "in control ... pending the return of the vice president."

Under the law, then-House Speaker Tip O'Neill, not Haig, followed Bush in the chain of succession.

Test your knowledge of the shooting

Shaddick says that more extensive information-gathering on potential presidential assailants has become possible in recent years, partly because of the rise of the internet. None of the assailants of presidents or presidential candidates since 1960 -- Hinckley, Bremer, Lee Harvey Oswald, Sirhan Sirhan, Lynette "Squeaky" Fromme and Sara Jane Moore -- were on a Secret Service watch list at the time they attacked, according to Congressional Quarterly.

In Hinckley's case, he had been arrested for trying to bring a gun on an airplane in 1980.  How close is Hinckley to freedom?

Since Andrew Jackson survived a misfiring pistol in 1835, guns have been the No. 1 threat to U.S. presidents. Abraham Lincoln, James Garfield, William McKinley and John F. Kennedy all died at the hands of assassins with firearms. Theodore Roosevelt survived a chest shot from a .38-caliber revolver in 1912 when the bullet first struck a glasses case and manuscript in his front suit pocket.

Franklin Roosevelt, Harry Truman and Gerald Ford also survived would-be assassins with firearms.

Nine U.S. presidents attacked since 1865

But the range of threats to the commander in chief has expanded dramatically in recent years. Certain high-impact explosives now "can take a city block out," Shaddick says. You've got to be "vigilant as hell" to constantly be on guard against potential attacks.

And still, mistakes happen. In 2009, Tareq and Michaele Salahi managed to slip into the White House, shaking hands with President Obama during his first state dinner. In 2005, a live grenade was thrown within 100 feet of a podium holding George W. Bush during a presidential visit to the former Soviet republic of Georgia.

"All a man needs is a willingness to trade his life for mine," Lyndon Johnson once said.

Thirty years after the attempt on Reagan's life, that sentiment presents a greater challenge than ever for the men and women charged with protecting the president.

CNN's James Polk contributed to this report.

@highlight

Thirty years after Reagan's shooting, presidential protection is more comprehensive

@highlight

Powerful explosives are among growing threats to presidential security

@highlight

Agent who shadowed Reagan: Explosives now "can take a city block out."

@highlight

Book author: "They don't want to risk agents thinking. They just have to act"