Not long ago, the threat of terrorist attacks against the United States boiled down to two words: al Qaeda.

But this week's U.S. airstrikes against al Qaeda offshoots show the President is playing whack-a-mole against a new generation of terrorists.

The attacks Tuesday inside Syria came in three waves and targeted ISIS, the Khorasan Group and, apparently, al-Nusra Front.

The groups share a similar ideology. But there are key differences. Here's how each stacks up:

ISIS

What its name means:

The Islamic State in Iraq and Syria. Some world leaders use the acronym ISIL, or the Islamic State in Iraq and the Levant.

But the group now calls itself just the Islamic State, believing it has already established a caliphate across Sunni parts of Syria and Iraq.

How it started:

Back in 2004, Abu Musab al-Zarqawi launched al Qaeda in Iraq. He later tried to ignite a sectarian war against Iraq's Shiite majority.

The new al Qaeda group was rebranded in 2006 as the Islamic State in Iraq. It would add "and Syria" to its name later.

The group exploited a growing perception among many Sunnis that they were being persecuted by Iraq's Shia-dominated government, starved of resources and excluded from a share of power.

What its goal is:

ISIS has been trying to create an Islamic state across Sunni areas of Iraq and in Syria.

But it doesn't stop there, one former ISIS militant told CNN.

"The main and principal goal of the Islamic State that they tell their new members is to establish an Islamic state that will encompass the Arab world," the ex-ISIS fighter said. "And after that, we go to other countries."

The group also claims its leader has authority over 1.5 billion Muslims around the world.

Who leads it:

Abu Bakr al-Baghdadi took the reins of ISIS in 2010 at age 39 after the previous leader, Abu Omar al-Baghdadi, was killed in a joint U.S.-Iraqi operation.

Prior to taking over ISIS, Abu Bakr al-Baghdadi was part of al Qaeda in Iraq. He served four years in a U.S. prison camp for insurgents, at Bucca in southern Iraq, where he likely developed a network of contacts and honed his ideology.

He was released in 2009 and went to work.

Why the U.S. is targeting it:

ISIS has been pretty vocal about wanting to attack Americans and other Westerners -- even though U.S. officials say ISIS fighters aren't a direct threat to the U.S. homeland right now.

"At this point, we have no information that ISIL is plotting an attack inside the United States," Matthew Olsen, director of the National Counterterrorism Center, testified to Congress last week.

The dangers, officials say, are to U.S. personnel and infrastructure in Iraq. There's also a risk of militants with U.S. or other Western passports potentially returning home and staging attacks.

A senior ISIS leader recently called for lone-wolf attacks in the United States and France -- two countries that have been conducting airstrikes against ISIS in Iraq.

"The best thing you can do is to strive to your best and kill any disbeliever, whether he be French, American or from any of their allies," the ISIS official said.

"Rig the roads with explosives for them. Attack their bases. Raid their homes. Cut off their heads. Do not let them feel secure. Hunt them wherever they may be."

Inside the mind of an ISIS fighter

AL-NUSRA FRONT

What its name means:

"Al-Nusra Front" is translated from "Jabhat al-Nusra," which means "Victory Front."

How it started:

Al-Nusra was formed during the ongoing three-year Syrian civil war. It has emerged as one of the most effective groups fighting the Syrian regime, drawing on foreign fighters with combat experience in Iraq and elsewhere.

"A number of separate rebel groups have emerged and preparations are being made for a post-Assad Syria as these groups vie for dominance and international support," the Quilliam Foundation said.

What its goal is:

Unlike most Syrian rebels, which are seeking political change, al-Nusra Front is fighting for ideological reasons.

Like ISIS, al-Nusra Front is trying to establish an Islamic state -- though primarily in Syria.

It's been a formidable force against President Bashar al-Assad's regime. But even though it has helped the Syrian opposition by taking out regime fighters, it has also hurt the moderate opposition by making world leaders hesitant to help rebels.

The group has claimed hundreds of attacks in several cities, including suicide bombings, and is responsible for the deaths of "numerous innocent Syrians," the U.S. State Department said.

Who leads it:

Al-Nusra posted a statement saying its leader, Abu Yousef al-Turki, was killed in the U.S.-led airstrikes Tuesday in Syria.

The statement was accompanied by a so-called proof of death -- a photograph -- of the former fighter.

CNN cannot independently verify al-Nusra's claims, but the monitoring group the Syrian Observatory for Human Rights reported the terror group was among those targeted during the airstrikes.

Why the U.S. is targeting it:

The United States has not identified al-Nusra as a group targeted in its strikes in Syria.

But it is a rebel group that the U.S. has blacklisted as a foreign terror organization linked to al Qaeda in Iraq.

Al-Nusra "has sought to portray itself as part of the legitimate Syrian opposition while it is, in fact, an attempt by AQI to hijack the struggles of the Syrian people for its own malign purposes," the State Department said.

THE KHORASAN GROUP

What its name means:

Calling the group "Khorasan" doesn't actually make sense in Arabic or any other language, according to the Carnegie Endowment for International Peace.

"Khorasan is not an organizational name or even some exotic acronym, but an ancient Islamic historical term from the far east of the Muslim world," the think tank said. "It is used today by al-Qaeda (and others who are fond of archaic Islamic terminology) to describe the Afghanistan-Pakistan-Iran region."

How it started:

The new al Qaeda franchise is a collection of al Qaeda members who have moved into Syria. U.S. President Barack Obama called the Khorasan Group "seasoned al Qaeda operatives."

Khorasan's existence was publicly acknowledged only last week, when U.S. Director of National Intelligence James Clapper said it was operating in Iraq and Syria with a focus on exporting terror to the West.

What its goal is:

The Khorasan Group's mission is to find new ways to attack the United States and Europe.

For al Qaeda, which is struggling against ISIS for the crown of leading global jihad, the creation of Khorasan makes perfect sense.

Sources say the Khorasan Group is trying to emulate the success of ISIS in using social media to recruit Westerners -- people who could be trained and then sent home to launch terror attacks.

Who leads it:

A short and slight 33-year-old named Muhsin al Fadhli, according to intelligence sources in the United States and the Middle East.

He arrived in Syria in April 2013 and began working with al-Nusra Front. At some point, he parted ways with al-Nusra.

Why the U.S. is targeting it:

The Khorasan Group was actively plotting against a U.S. homeland target and Western targets, a senior U.S. official told CNN on Tuesday.

The intelligence community discovered the plots against the United States in the past week, an intelligence source told CNN.

The source did not say what the Khorasan Group's target may have been, but said the plot may have involved a bomb made of clothes dipped in explosive material.

The U.S. blitz on Khorasan Group targets this week came a surprise to many. The United States wanted to catch the group off guard by mixing strikes against it with strikes against ISIS targets.

@highlight

ISIS, al-Nusra Front and the Khorasan Group all spawned from al Qaeda

@highlight

The U.S. launched airstrikes against ISIS and the Khorasan Group this week

@highlight

Al-Nusra says its leader was killed in the strikes; the U.S. has not confirmed