Very little in life is truly inevitable. When briefing policy makers, I would try to point out that a lot of it wasn't even predictable (at least in any scientific sense). But surely what is happening in Iraq, the increasingly darkening clouds of sectarian division, can hardly be described as unexpected.

In late 2006, as the Bush administration was debating the so-called surge, there were few doubts that five brigades worth of professional combat power could buy down the hellish level of violence then inflicting that country.  There was less certainty that even with a reduced level of violence the Iraqi government could leverage that reality to make meaningful political progress.

At one meeting I pointed out that to do so Prime Minister Nuri al-Maliki would have to "govern beyond his life experience." Having lived for an extensive period in exile, fearing for his life and seeing Baathists bent on his murder at every turn, he was far from a sure bet to be the kind of visionary, inclusive leader that we all thought Iraq needed. The Shiite-dominated Iraqi military and police services were also problematic, as strengthening them without the necessary political development threatened to make what Sunnis and Kurds saw as a predatory force simply more effective in their predations.

Aware of these dangers, along with the surge, the Bush administration spared no energy in working to coax, coach and mentor al-Maliki into a broader approach toward governance. In addition to the tireless efforts of two talented ambassadors -- Zalmay Khalilzad and Ryan Crocker -- private, secure video conferences between the U.S. president and Iraqi prime minister were routine.

60 killed in Iraq bombings

The substantial U.S. military presence and its large training mission were also used to prod the Iraqi military along the path of nonsectarian professionalism. So important was this presence that sustaining it  by concluding a Status of Forces Agreement (the rules governing how foreign troops may operate in a nation) became a near obsession of the administration.

Even with that effort, the most that the traffic would bear was an extension through the end of 2011 although both parties knew that it could be subject to renewal. That was always going to be difficult; we knew it would be impossible without a president willing to invest significant political capital -- domestically and internationally -- to achieve it.

With that agreement unextended and now expired, al-Maliki appears to be acting out the darkest shadows of his own past. Over the last months, he has reneged on a power-sharing agreement with Sunnis in several key ministries, arrested hundreds of suspected Baathists (read Sunni oppositionists) and -- as the last American troops were leaving Iraq and fresh from an audience in the Oval Office -- he has now ordered the arrest of his own Sunni vice president, Tariq al-Hashimi, for alleged "terrorism."

Along with all of this, al Qaeda in Iraq greeted the U.S. withdrawal with a series of deadly bombings against largely Shiite targets. Al Qaeda was always expected to take advantage of the "seam" created by the handoff of counterterrorism operations from American to Iraqi control, but now even a badly weakened al Qaeda can exploit the sense of Sunni vulnerability that al-Maliki's actions have created.

The situation may yet be salvaged. America is not without tools. Ambassador Jim Jeffrey cut short his holiday home leave to return to Iraq and, as he has in the past, he will no doubt use his considerable skills in an attempt to defuse the situation. But the ambassador will have fewer tools at his disposal.

President Barack Obama has consistently characterized the withdrawal as a "promise kept," adding that "it's time to turn the page." For nearly a year, we witnessed the oddity of a president sticking to his campaign promise while parts of his government, particularly in the Defense Department, worked to extend the American presence. At Fort Bragg, North Carolina, however, the president brought down the curtain, telling the assembled soldiers that Iraq's future now was "in the hands of its people. America's war in Iraq will be over."

But in other, similar circumstances we have found a continued military presence to be invaluable, not for continued war making but to foster local progress and regional stability. Whatever the withdrawal means in purely physical terms in Iraq, the psychic impact there and in the region is that America is less interested.  In Iraq that means that each of the factions are going to their sectarian corners and are preparing to come out fighting.

Stephen Biddle of the Council on Foreign Relations points to Kosovo (itself a controversial intervention) as a model where a continued U.S. presence helps deter old protagonists from resuming shooting at one another. In Korea, history may judge that -- beyond the obvious defense value of U.S. forces -- they also nurtured the development of Korean democracy by retarding what would have been an even greater militarization of Korean society had they been absent. And in Europe, a U.S. footprint there says that the continent's importance to us is beyond rhetoric.

Clearly American military deployments cannot be governed by a principle of "once in, in forever." To put it bluntly, training wheels have to come off sometime. But in this case they may have come off based on something other than the needs or talents of the cyclist.

The White House has made efforts to downplay recent events in Iraq: certainly bad, but things we have seen before, and we expect that the Iraqis will muddle through.

White House spokesman Jay Carney summarized it this way: "This kind of political turmoil has been occurring in Iraq periodically, as they have taken steps forward and, occasionally, steps backward, but generally made progress. ... That will continue."

That is not inevitable. I would hesitate to predict it. I certainly would not casually base my policy on that expectation.

@highlight

Ex-CIA director Michael V. Hayden: The sectarian strife in Iraq was predictable

@highlight

He says the background of the nation and prime minister set stage for tension and violence

@highlight

Presence of U.S. troops has calmed danger zones around the world, he says

@highlight

Hayden: Withdrawing troops may have fulfilled campaign promise, but move was too risky