Washington (CNN) -- Where did Arizona's new immigration enforcement statute Senate Bill 1070 come from, and where is this fast-developing trend of state activism in immigration law enforcement headed now?

The law has gone viral in the public mind over the past couple of weeks. Elites and special interests are in an uproar, but some polls show that ordinary citizens and voters support local and state enforcement initiatives by wide margins.

SB 1070 was intended by its creators, myself among them, to provoke sustainable immigration reform. To understand how and why requires an insight into the history of the modern immigration control movement.

In 1965, President Lyndon Johnson signed the Immigration and Nationality Act (Ted Kennedy shepherded the bill in the Senate), destroying the national quota-based system that had, among other things, restricted immigration from Southern and Eastern Europe and Asian countries and kept immigration at sustainable levels since the end of World War I.

The 1965 law created "chain migration," which allowed the most recently arrived immigrants to set U.S. immigration flow by sponsoring family members, and stoked an insatiable demand to immigrate among billions of impoverished foreigners worldwide. The old scourge of cheap labor exploitation, which had been disappearing for a generation, re-emerged in the midst of millions of illegal migrants, primarily from Mexico.

SB 1070 happened because neither political party has been willing to close the floodgate inadvertently opened in 1965.

In 1986, President Reagan and Congress tried amnesty, with disastrous results. The newly legalized immigrants used chain migration to choke the system with new applications for relatives, and illegal immigration swelled to historic levels by the mid-1990s. Massive immigration began to distort every aspect of American life, from crime to higher education.

In Congress, the cheap labor and ethnic voter interests could never agree on who got to exploit the new arrivals first but did find common ground in eviscerating attempts to control unauthorized employment.

Dismayed at the effects of federal gridlock on their once Golden State, in 1994, California voters enacted Proposition 187, still America's "toughest" immigration control law.

A truly grass-roots effort, it was attacked by immigration lawyers on grounds that it pre-empted the federal government's power to regulate immigration, and it was nullified by a federal judge. Then-Gov. Gray Davis scuttled an appeal to the federal 9th Circuit. The American Civil Liberties Union spread the message that states and cities could do nothing.  In public policy circles, the belief that citizenship itself is a discriminatory anachonism, destined for the ash heap of progressive history, became influential. And the influx only grew, as did public anxiety and rage.

Fears of immigrant terrorism after September 11 blocked other attempts at amnesty. Chicano militants and the Mexican foreign ministry have intervened directly in U.S. domestic affairs, distributing consular ID cards to illegal immigrants and lobbying local governments to enact defiant sanctuary laws. In many ways, Arizona became "ground zero" for this xenocentric chaos.

The public watched these trends with growing alarm. But a small collective of lawyers from the national restrictionist groups began to study the strategies of the immigrant rights lawyers. Starting with drivers licenses and public welfare benefits, they worked to mirror federal verification and control laws at the state level. From the conservatives, they adapted federalist doctrines to make state and local police participation a force multiplier for immigration law enforcement.

The turning point was Proposition 200, a 2004 Arizona ballot initiative called Protect Arizona Now. Ballot committee leaders included Russell Pearce, the state legislator who became the sponsor of SB 1070 and other ground-breaking local enforcement legislation.

Proposition 200 required proof of lawful presence for voter registration and state-funded public benefits. It was opposed by virtually every organized interest in the state. Yet it passed overwhelmingly in every demographic sector, including a plurality of Americans of Hispanic descent.

Frustrated citizens and legislators throughout the 50 states saw Proposition 200 as a green light allowing them to stand in the gap that had been abandoned for 30 years by Congress and presidents alike. By 2008, an astonishing 1,500 state immigration-related bills were introduced annually, in more than 40 states. SB 1070 is the first in a third generation of omnibus state immigration enforcement laws.

Lawyers from the Federation for American Immigration Reform and other groups were worried about attacks on these new state measures from hostile elites, in particular the from the bar and the bench.

To help the nascent movement survive, they developed a lean cooperative enforcement doctrine, grounded in constitutional protections for citizens, to fight off anti-majoritarian challenges by the ACLU and their immigrant-lobby allies.

Key high court decisions, for example, endorsed police inquiries into immigration status, held that the failure of immigrants to carry federal documents was a crime, allowed states to cut public services to illegal immigrants and shifted the burden of proof that local enforcement programs are improper away from cities and onto the immigrants' rights lobby.

Dozens of elected officials are now calling for passage of omnibus enforcement laws in their states. Sink or swim, these new laws are forcing Congress to confront the need for enforcement-based reform. State enactments like SB 1070 will continue to offer Congress models for national legislation and serve as legal antibodies against the fallacy of amnesty.

The opinions expressed in this commentary are solely those of Michael Hethmon.

@highlight

Michael Hethmon says Arizona law meant to create sustainable immigration reform

@highlight

He says 1965 law set nation on an unintended course of out-of-control immigration

@highlight

Interest groups, federal gridlock led states like California to make own laws, he says

@highlight

Hethmon: Arizona law will spur other states to take on immigration on their own