(CNN) -- Twelve months ago, Nigeria's President Goodluck Jonathan gave his people a bizarre New Year present: he announced the immediate removal of fuel subsidies. The controversial measure meant that, quite suddenly, citizens were to pay as much as three times the usual price for gasoline.

Nigerians were outraged. They filled the nation's streets in protest. The coalition was broad: young and old, female and male, poor and (some) rich. Their action, often spontaneous but orchestrated by labor leaders, amounted to a fierce rebuke to Jonathan's administration.

The government's unilateral decision was a recipe for new levels of extreme hardship for the poor, taxed already by low wages, ballooning unemployment, a high cost of living, shambling infrastructure -- and the Olympian greed of the elite class.

The protesters quickly adopted the banner of "Occupy Nigeria." They were animated by a global movement of activists standing up against what they saw as economic exploitation and corruption perpetrated by Western governments, often with the tacit encouragement of powerful corporations.

However, "Occupy Nigeria" was different from other "Occupy" movements. There was a good reason for this. Nigeria's activist voice had gone silent for too long. The country's streets had not felt the pounding of mass protests since the mid-90s, when a coalition of student activists, labor leaders, political activists, lawyers, doctors, academics, artisans and other civil society groups meshed into a powerful pro-democracy movement to drive the military from power.

In fact, last January's "Occupy Nigeria" protests were largely heralded and led by young people who were born in the early and mid-90s -- a generation that has come to view and use social media as its primary means of activism, social mores and political empowerment.

In January 2012, that mass movement put the bloated Nigerian government in the crosshairs. It's believed to be Nigeria's biggest ever national mass protest. Apart from its sheer size, the movement managed to endure for days and weeks. And, in some ways, it set some impressive, unthinkable marks.

For instance, some considered it unimaginable that Nigerians (often portrayed as too "happy," too timid and cowardly, too polarized along ethno-religious lines) would unite behind a common cause. Also, it was unthinkable that a mass uprising would start from the nation's capital of Abuja, considered a fortress of the ruling interests. Yet, an intrepid former legislator, Dino Melaye, sparked the protests with a petition drive that ignited a nationwide uprising.

See also: Why Nigerians are no longer content with 'suffering and smiling'

In a country factionalized along ethnic and religious lines, the movement defied all odds. In Lagos, for example, a radical fiery Christian preacher, Tunde Bakare of the Save Nigeria Group, anchored the protests. In Kaduna, the protests were led by Shehu Sani, a veteran activist and Muslim of the Civil Rights Congress. His religious faith didn't faze young Christian protesters determined to fight for their rights.

In some parts of the country, the protests seemed far less organized. It was difficult to determine who was in charge in of them.

There was also another novel aspect of the movement. Nigerians across the world also joined the protests to a degree never-before seen. In rally after rally, in the United States, the United Kingdom, Europe and Asia, they made their voices heard.

In New York City, Nigerians staged four different actions. The most dramatic was a showdown with a Nigerian minister sent by the Jonathan administration to calm the tempers of Nigerians who felt justifiably insulted by the ill-advised removal of oil subsidies. Her so-called "Town Hall" meeting at a five-star hotel in Manhattan was effectively shut down, and the minister disgraced.

Nigerians in Australia, Toronto, South Africa, London, Sweden and Accra, Ghana, were soon protesting at the country's embassies demanding change.

But the biggest surprise was the protest movement's peaceful nature, especially at a time when the nation was gripped by violent militant groups and armed criminal gangs.

Despite provocation by the security agencies and police, the protests were mostly civil and peaceful. The only deaths and injuries recorded in Ilorin, Lagos, Kano, Abuja and Kaduna were reportedly inflicted by the police and soldiers unleashed on hapless citizens.

See also: Opinion: Nigeria is a sinking ship - don't desert it

But a year later, it's difficult to argue that the movement achieved its goal. For its size, its failure to compel any serious measures to curb the culture of impunity and corruption in Nigeria is significant.

So, what went wrong? Why did the movement crumble in its cradle?

These questions perplexed several traditional activist groups and NGOs who were busy attending meetings with the government to seek an amicable resolution to the crisis.

One major reason for the quick collapse was the movement's lack of a central command structure. To some extent, it was a leaderless, but not rudderless affair.

As the publisher of SaharaReporters, I witnessed the crystallization of a citizen journalist movement. Many citizens wrote and posted reports of the mass protests. They didn't wait around for their stories to be told in distorting sound bites by the foreign media or twisted by a mostly compromised local media. These citizen reporters sent photos, videos and texts. They tweeted, texted and analyzed every minute of the struggle from all over the country and the world, bringing the integrity of their witness to bear. SaharaReporters kept up its side of the bargain; we published the "field" reports in a timely manner.

See also: Open Story: Unrest in Nigeria

For a moment, many Nigerians hoped that the "Occupy" movement would transition into the first sub-Saharan African Spring (or Harmattan).

A year later, the conclusion is sobering. It is clear that "Occupy Nigeria" failed to metamorphose into a genuine, sustained mass movement.

The central labor unions that were initially trusted to lead the movement capitulated quickly under the weight of accusations that they were conniving to overthrow the government. The Nigerian army, notorious for its legacy of intervening to protect the country's corrupt status quo, was deployed to quell the protests.

On the bright side, the Nigerian people, especially the younger generation, got a taste of people power. I have no doubt that they can -- and will -- exercise that power again.

Few as they were, some immediate gains testified to the power of the mass uprising. After two national addresses, a brow-beaten President Goodluck Jonathan rolled back fuel prices and reinstated some fuel subsidy. And he made a commitment -- far from realized -- to identify and punish profiteers from fuel subsidy scams.

For Nigerians, one lesson is that they possess a latent power capable of bringing change -- if only the people will it.

There are also important lessons about opportunists and saboteurs. It wasn't hard to see their trails during and after the mass protests. The protests had hardly died down when some of the labor leaders found their way into plush government committees. Others formed themselves into "stakeholders" and began earnestly to jostle for government patronage even as the issues that sparked the protests had not been addressed.

Even so, I believe the awareness created about the pervasive corruption in the oil sector made a difference. But it was not the issue. After all, Nigerians already knew government officials and their corporate accomplices were stealing. "Occupy Nigeria" simply washed the carcass of the whale of corruption ashore.

The eventual revelation by a parliamentary committee that a grand sum of $6.8 billion had been stolen through subsidy scams is a yet unresolved scandal. Nigerians suspect, with good reason, that their top government officials are in no hurry to unmask the gluttonous embezzlers of fuel subsidies. In fact, the impression is that the culprits, law enforcement officials, and the judges have all retired to their usual zone of criminal complicity and comfort. No one will be punished.

As the people of Nigeria still hanker for their African "Spring," the "Occupy" movement can re-emerge at any time to take Nigeria by storm.

The opinions expressed in this commentary are solely those of Omoyele Sowore.

@highlight

In January 2012, Nigerians protested the removal of fuel subsidies

@highlight

Protests united Nigerians, often divided along ethnic and religious lines, says Omoyele Sowore

@highlight

But "Occupy Nigeria" failed to become a genuine, sustained mass movement, he argues

@highlight

Sowore says Nigerians still hanker for their "African Spring"