(CNN) -- What does it mean when a white sorority wins a competition that African-American fraternities and sororities not only created but also consider an essential part of their cultural expression? It means an uncomfortable discussion about race, history, culture and inclusivity that is not black and white.

On February 20, the University of Arkansas chapter of Zeta Tau Alpha, a predominantly white sorority, won the inaugural Sprite Step Off stepping competition, beating two predominantly black sororities.

Stepping, which began in the 1960s, is a intricate rhythmic dance that features synchronized foot stomps, handclaps, choreographed movements and chants. The competition was fierce, and all of the competitors fought hard for the $100,000 first-place scholarship.

But the results immediately sparked a firestorm within the African-American fraternal community, with many calling foul. How could a white sorority beat black sororities at our own art form? Why were they even competing in the first place? Some alleged that judges cheated, while others posited that the novelty of white women performing swayed the judges.

To understand why this is a big deal, you have to understand that African-American fraternities and sororities are as close to the Animal House stereotype attached to white fraternities as Pat Boone is to hip-hop. Black fraternities and sororities, known as the Divine Nine, form the fiber of African-American leadership in this country and continue to produce the leaders of tomorrow.

The nine predominantly African-American fraternities and sororities -- Alpha Phi Alpha Fraternity, Kappa Alpha Psi Fraternity, Omega Psi Phi Fraternity, Phi Beta Sigma Fraternity, Alpha Kappa Alpha Sorority, Delta Sigma Theta Sorority, Zeta Phi Beta Sorority, Sigma Gamma Rho Sorority and Iota Phi Theta Fraternity -- were founded between 1906 and 1963 to support African-American college students in their quest not only to succeed on campus but to develop into college-educated leaders.

The roster of Divine Nine members is a Who's Who in African America: the Rev. Martin Luther King Jr., Jesse Jackson, Michael Jordan, Maya Angelou, Dorothy Height and over a million others count themselves as members. The civil rights movement is populated with Divine Nine members who developed leadership skills on college campuses.

And the connection doesn't end after graduation. African-American fraternal members spend thousand of hours doing service in alumni chapters, raising money for scholarships and mentoring at-risk people. Pride in one's organization is paramount to Divine Nine members, and one way to express that is through stepping.

Divine Nine fraternities and sororities take great pride in being original and innovative in their dances: highly coordinated, with elaborate costumes, and sometimes performed before thousands. It's a point of pride to perform, but to win for the glory of your fraternity or sorority is the ultimate.

So when Zeta Tau Alpha members won the Sprite Step Off, it was not just that they'd beaten African-American sororities, it was seen as the first assault on yet another African-American cultural tradition that, if not guarded, would be appropriated from blacks like jazz and hip-hop.

For many Americans, the notion of African-Americans having a separate culture, uninfluenced by other Americans, makes them uncomfortable. Isn't the point of civil rights to erase the color lines that separate and divide us? And if we acknowledge that blacks have cultural traditions that have been nurtured within their own community, does that make blacks separate from whites?

This is where the nuances of race and culture come into play. Blacks are keenly aware of their otherness in this country. We're proud to be Americans yet also proud that we've built strong traditions that have sustained us through turbulent times. So we zealously protect those traditions from interlopers who may want to exploit or denigrate what we cherish.

But this is the very reason why any African-American who dismissed the Zeta Tau Alpha win, or even the sorority's right to participate in the competition on the basis of being white, was 100 percent wrong.

We as African-Americans can't protect cultural expression by creating fences that exclude. Those fences never work. But we can demand that anyone who seeks inclusion, and wants to participate in our culture, does so with the same respect and honor that we as African-Americans demand of ourselves.

By all accounts, the women of Zeta Tau Alpha did just that. And even later, when Sprite announced that Alpha Kappa Alpha Sorority, the African-American sorority that had come in second, would also be awarded a first-place prize because of scoring irregularities, no one could dispute that in a subjective contest, Zeta Tau Alpha met the criteria for winning, regardless of skin color.

And that's something we as Divine Nine members should remember as we continue to strive to eliminate racism and bias. We can't fall victim to the same rationale that still is used to deny us first-class citizenship. As the leaders of college campuses and in the community, we must always fight for equality and demand that we're judged based on our skill. And if we don't do that, we lose much more than a stepping contest.

The opinions expressed in this commentary are solely those of Lawrence C. Ross Jr.

@highlight

Lawrence Ross: White sorority won "step" contest, dance form of black frats and sororities

@highlight

Ross: Black fraternities, sororities are all about creating leaders; step is proud tradition

@highlight

Many in African-American fraternal community cried foul, he writes

@highlight

Ross warns against using same rationale that denies blacks first-class citizenship