(CNN) -- In 1976, Jo Freeman published an essay in Ms. Magazine titled, "Trashing: The Dark Side of Sisterhood," which described how groups of women within the feminist movement attacked and ostracized those seen as too visible or ambitious.

"To do something significant, to be recognized, to achieve, is to imply that one is 'making it off other women's oppression' or that one thinks oneself better than other women," she wrote. The piece struck a chord, receiving more letters in response than anything else the magazine had printed.

As various over-the-top denunciations of Facebook COO Sheryl Sandberg, the avowedly feminist author of "Lean In: Women, Work and the Will to Lead," suggest, it remains depressingly relevant decades later.

Not all the critiques of "Lean In" have been unfair or unduly personal, but there has been enough viciousness directed toward Sandberg to indicate that a lot of women, some self-described feminists among them, still have a problem with female power.

'Having it all': 10 views

With trademark alliteration, New York Times columnist Maureen Dowd called Sandberg a "PowerPoint Pied Piper in Prada ankle boots." A USA Today column accused her of waging a "war on moms," and Melissa Gira Grant, writing in the Washington Post, went after her for relying on a staff "to help keep house, raise her children and throw her women's leadership dinners."

Unconsciously echoing Freeman's essay, Grant wrote that there is "simply no way for women to lean in without leaning on the backs of other women." This was especially ironic because Grant, who writes frequently about sex work, often argues that it's wrong to assume that prostitutes are exploited, because that denies their agency. Apparently men who hire hookers aren't taking advantage of them, but women who hire nannies are.

Why are women so much harder on other women than they are on men? Part of it seems to be because they expect so much more. The assumption that women should be altruistic and self-effacing pervades both mainstream society and some precincts of the feminist movement. It's OK if women advocate on behalf of the collective, but not if they champion themselves. As Freeman wrote, "Among women there are two roles perceived as permissible: the 'helper' and the 'helped.'"

Opinion: Guilt poisons women

This creates difficulties for women from both above and below. As Sandberg writes in "Lean In," women seeking raises and promotions can't simply use the same techniques as their male peers, because they'll be judged far more harshly; instead, she recommends that women smile a lot and speak in terms of "we" instead of "I." She doesn't dwell as much on how powerful women are regarded by those with less power, but the reception of her book has demonstrated that part of what's tricky about women's attempts to lead is getting others to follow.

This isn't just about Sheryl Sandberg. Polls pretty consistently show that women and men prefer male bosses over female ones, although the margin has been narrowing. Interestingly, according to a 2011 Gallup Poll, those who have female bosses are more likely to say they'd rather work for a woman. The aversion to female leadership, then, comes from prejudice rather than negative experience with actual women, and can dissipate as more women attain positions of authority. Their quests for more authority, however, will continue to inspire disproportionate hostility.

This doesn't mean that Sandberg or any other woman deserves support simply for her gender. It does mean they shouldn't be held to a higher standard than men.

Balancing work and family: How do you make it work?

Consider, for example, the very different way the activism of Facebook co-founder Chris Hughes has been received. Hughes, like Sandberg, is extremely, even obscenely rich, and he and his husband have used part of their wealth to become major champions of same-sex marriage. Maybe someone somewhere has argued that their work for gay rights means little because it stems from self-interest, or that they shouldn't be focusing on a bourgeois issue like marriage that does little for, say, homeless gay teenagers. If such critics are out there, though, they're certainly not on the pages of our major newspapers.

When women have the temerity to marshal power on their own behalf, the response is much more negative, and one can't always tell the difference between those who resent women and those who resent power.

As Freeman wrote about "trashing," it was often "clothed in the rhetoric of revolution and feminism. But underneath are some very traditional ideas about women's proper roles."

Editor's note: Join CNN Opinion on Facebook for a live discussion about women and the workplace on Tuesday from noon to 1 p.m. ET.

The opinions expressed in this commentary are solely those of Michelle Goldberg.

@highlight

Michelle Goldberg: Sandberg backlash shows many women have issues with female power

@highlight

It seems OK if women advocate for the collective, she says, but not if they blow their own horns

@highlight

Goldberg: Women seeking authority inspire disproportionate hostility, much more than men

@highlight

She says women seem to be harder on each other because they expect so much more