(CNN) -- In the absence of any serious Democratic opposition, Hillary Clinton appears to have decided to run against Barack Obama in the 2016 primaries. An interview with Jeffrey Goldberg in the Atlantic revealed her frustrations with the over-caution of the White House. Its maxim "don't do stupid stuff" might display post-Bush wisdom, says Clinton, but it also betrays a lack of a plan: "Great nations need organizing principles, and 'Don't do stupid stuff' is not an organizing principle," she said.

Clinton would have gone harder into Syria, for example, and armed the democratic opposition early on. The message is that while Obama has somewhat withdrawn America from global war games, she would like it to take a lead. Annie Oakley is back.

At the time the interview was conducted, poor Clinton could not have known that events were about to blunt her criticism. (A spokesman for Clinton said Tuesday that Clinton "called President Obama to make sure he knows that nothing she said was an attempt to attack him, his policies, or his leadership," according to Politico.)

Now that U.S. planes are bombing Islamic State of Iraq and Syria, or ISIS, forces in northern Iraq and aid is finally reaching the persecuted religious minorities stranded in the wilderness, Obama's defenders could argue that he's displaying exactly the kind of leadership Clinton accuses him of lacking. Yet, her charge still stands.

Consider the wider fate of the Arab world in the past six years. The Arab Spring promised a new era of democracy and better relations with the West. Few of its revolutions worked, many were betrayed by the foreigners who should've been friends. The United States rather arbitrarily decided to help topple Moammar Gadhafi in Libya, resulting in an anarchic situation today that is being exploited by a mix of Islamists and warlords.

The administration was less certain of what it wanted in Egypt, vacillating between support for the protesters to support for the army -- and a failed experiment in Islamic democracy gave way to a return of the generals. In Syria, as Clinton suggests, the United States watched as Bashar al-Assad slaughtered the opposition. In Bahrain, it did worse: Arms sales from America rose prior to the regime's brutal crackdown on protesters. And even as Saudi Arabia continues to export its apocalyptic version of fundamentalist Islam, the U.S. government sells it billions of dollars worth of weapons.

The greatest failure has surely been in Iraq, because it is the country for which America bears the greatest responsibility. Obama's actions over the weekend are necessary and just. The world cannot tolerate the slaughter of thousands of religious minorities, the collapse of Baghdad or the invasion of the Kurdish homeland. So, well done, Obama, for sending in the planes.

But when he was pressed at a press conference on why U.S. troops were not already in Iraq and, by implication, why the United States had stood back as the situation deteriorated, the President economized with the truth. He insisted that it was "not my decision" to withdraw troops.

Yet he ran for office on quitting Iraq in 2008, then celebrated having done so in 2012, even as -- as Patrick Brennan argues in National Review -- Iraqi Prime Minister Nuri al-Maliki was prepared to negotiate on maintaining a U.S. presence. "Maliki was willing to accept a deal with U.S. forces if it was worth it to him â€” the problem was that the Obama administration wanted a small force so that it could say it had ended the war," he writes. "Having a very small American force wasn't worth the domestic political price Maliki would have to pay for supporting their presence."

In short, Obama's claim that withdrawal from Iraq was forced upon him is hard to believe. He was elected and re-elected as the anti-Iraq war president (it's why he deserves some credit for having the courage to return to the country today).

Clinton is right that Obama has hung back from action. But the very fact that he was elected and then re-elected on a broadly anti-intervention ticket suggests that this is what the people wanted. And therein lies the problem with Clinton's critique. Foreign policy rarely functions separately from the domestic political context: Presidents typically only do what they think they can get away with.

There was appetite for military adventures after 9/11; there is little post-Iraq. That's borne out in the polling and by the lack of political support for action in Syria. It's all very well for Clinton to talk of high-mindedness in pre-primary season, but she'll find that does not go down so well in New Hampshire in 2014 and probably won't be popular in the general election or inside the White House. And rightly so. Had the United States involved itself in the Syrian conflict, it would have been picking sides in a brutal civil war with few heroes to choose from.

So how does the United States -- undoubtedly a "great nation" -- handle foreign crises in an age of doubt? The problem is that no politician, Democrat or Republican, has yet managed to articulate a vision for an America that does believe in things worth fighting for yet which picks its battles with incredible care.

Obama's presidency has been too reactive, Clinton is now laying out a plan that sounds a little too proactive. What a pity that so few are saying, "The U.S. is powerful and, because of that, has a responsibility to support democracy where it can. But we cannot always presume success and history teaches that going it alone comes at a heavy price."

Or, what would be so wrong about pursuing a strategy that asserts that if the United States cannot do much good then it at least will do as little evil as possible -- starting by refusing to provide arms to Arab dictators who torture their own people and export terror?

Alas, all too often the only choice American voters are given is between playing the world's policeman or doing nothing at all. Better to be, as John Kennedy described himself, "an idealist without illusions."

@highlight

Timothy Stanley: Hillary Clinton criticized Obama on foreign policy in magazine interview

@highlight

Stanley: She'd have been more aggressive. Particularly in Arab world, her critique has point

@highlight

He says Obama appears to have hung back, but America didn't want military adventuring

@highlight

Stanley: A candidate must show U.S. they know what's worth fighting for