Raqqa was, a matter of months ago, one of Syria's most liberal cities. Now locals call it Tora Bora. They say it's as if the Taliban of Afghanistan have taken over.

After months of bombardment by the regime and a chaotic lack of control by weak and divided moderate rebels, al Qaeda have found a broken society, made it their home, and imposed on it hardline Islamist law.

Each morning, activists told us, they seem to awake to a more conservative city. The "Bayanaat" or rulings sometimes appear on town walls. Many limit women's rights -- to walk alone, to style or show their hair. Other edicts come by word of mouth -- no smoking, no cameras. Behind them are often foreign jihadists from the al Qaeda linked militant group the Islamic State of Iraq and Syria, or ISIS.

The fear that now grips the city can be felt in the shocking bruises on Adnan's body. Adnan, whose name has been changed out of fears for his safety, was behind some graffiti in Raqqa that told ISIS to get out. They caught him filming too, and dragged him into the burned-out ruins of a church they had torched and labeled as a new ISIS base.

Adnan was then taken to a nearby basement where the torture started. "Every 15 minutes, someone poured water on me, electrocuted me, kicked me, then walked out," he said. But his own pain, he said, he could handle, as his body eventually went numb. It was hearing the pain and the screams of other prisoners he knew that was the hardest. "When a person is tortured in front of you, you feel responsible. That's the hardest. One guy still inside used to call me Dad as I taught him about democracy," he said.

One ISIS video -- part of a high-definition, heavily produced social media channel that displays their ideals and exploits -- shows their militants driving through Raqqa at night. They pass a poster, put up by ISIS, encouraging women to wear the Islamic hijab or partial veil, to "cover their beauty".

The militants' goal, though, is reaching a cafe where they tell patrons smoking will be banned.  Another video shows them burning not only marijuana, but also large numbers of cigarette cartons.  Another shows an ISIS teacher -- his face blurred -- with a group of schoolchildren, all wearing ISIS's distinctive black headbands.

It is extraordinarily dangerous to film inside Raqqa. Activists have been beaten and jailed by ISIS for doing so. But CNN has gathered rare video from some activists and from ISIS's own websites that paint a chilling picture of the rapid lurch towards radical Islamist ideology in a city now under ISIS control.

Dozens of interviews with activists and Syrians have also detailed the story of a city where women -- along with the previously liberal lifestyle of an entire town -- are being rapidly suppressed by militants bent on establishing an Islamic caliphate across northern Syria.

One female activist said: "They are closing hair salons, women can't go out at certain times. They spat on one girl for disobedience. It's like Afghanistan. Now people call Raqqa Tora Bora." The speed of change has overwhelmed many who notice that the city is becoming quieter and more conservative each week.

ISIS first came into town on May 15, and swiftly executed men they accused of working for the regime. At first, they seemed an Islamist but better-organized alternative to the rebels who had failed to bring governance or peace to the city for months. But slowly a broader agenda emerged and began to gather pace each week, activists told CNN.

Rebels who opposed ISIS were at first jailed, sparking protests. Yet ISIS became increasingly uncompromising in their grip on the town. Rules for social conduct in Raqqa, some written and some not, have emerged in the past few weeks. They have yet to reach the extent of those seen in the nearby town of Jarablus -- where one poster recently warned thieves would have their hand chopped off -- but locals fear that could come soon.

Anti-ISIS dissent has been silenced in Raqqa, and many activists and locals we spoke to have fled the town. Some stay and spray-paint graffiti declaring that ISIS and Syrian President Bashar al-Assad are the same, or telling ISIS to get out.

Locals note the irony in the fact that ISIS beats them for this graffiti, just in the same way that the Assad regime was accused of torturing young people for anti-government graffiti in the southern town of Daraa -- an incident that began the revolution in March 2011.  For many, ISIS is now something worse than the regime.

Is Al Qaeda taking over northern Syria?

How jihadis  are being smuggled through Turkey

Syrian rebels embrace Sharia law

@highlight

Raqqa, one of Syria's most liberal cities, has been seized by al Qaeda-backed militants

@highlight

Fear has gripped the town as militants have imposed hardline Islamic laws in recent months

@highlight

Women's rights have been curtailed and many activists and locals have fled the town

@highlight

Activist: "It's like Afghanistan. Now people call Raqqa Tora Bora."