(CNN) -- Mitt Romney's struggling presidential campaign is trying to change the subject this week with stark warnings of chaos in the Middle East. It's trying to scare voters into thinking that his tough talk will somehow make the situation better.

Yet in a recent op-ed calling for a "new course" for the region, Romney refused, as usual, to outline any policy specifics, instead putting forth platitudes and falsehoods about President Barack Obama's record.

Romney likes to criticize the president's handling of Israel and Iran and to recycle tired attacks on his record on Israel. But he repeatedly sidesteps the facts, ignoring Obama's unprecedented efforts to make our closest ally in the Middle East more secure.

Under Obama's leadership, Israel has received record levels of security assistance, including aid for rocket defenses that have saved Israeli lives, and our defense and intelligence cooperation has never been better.

The president has forged an international coalition to prevent Iran from acquiring a nuclear weapon. Under the most crippling sanctions ever imposed, Tehran's economy is floundering and has never been more isolated. Obama has repeatedly vowed to use all instruments of national power to ensure Iran does not acquire a nuclear weapon, taking no option off the table.

Opinion: Debate coach -- Obama, Romney are top performers

Beyond Romney's cowboy rhetoric, there are zero actual policy differences with Obama on Iran -- unless Romney thinks it's time to rush to war. Everything else he says he would do -- crippling sanctions, a credible military option -- the president is already doing.

On terrorism, which Romney never discusses in depth, he has failed to outline any policies to go after al Qaeda and its affiliates. There is a reason for this: On the president's watch, Osama bin Laden is dead and more al Qaeda senior leaders have been taken off the battlefield than at any time since 9/11.

Romney's op-ed also tried out new arguments against the president's handling of the Arab Spring. Yet Romney's position on the Arab Spring is particularly incoherent.

He has tacked between supporting "freedom" and fanning fears of Islamism, without giving any sign that he understands the complexities of this volatile region. His criticism of the president is similarly erratic: sometimes accusing Obama of not doing enough to support emerging democracies, and, at other times, seemingly critiquing him for doing too much to support democracy in places such as Egypt. Perhaps out of fear of offending his party's warring neoconservatives, realists and isolationists, Romney simply refuses to offer any clear position on democracy in the Arab world.

Romney's declarations on the Middle East have been heavy on bold declarations of "leadership" but light on explanation. Romney's claim that his brash rhetoric will restore order to the region is naive, if not dangerous. Indeed, the last time the United States enjoyed his brand of "leadership," we found ourselves trapped in Iraq, besieged by record levels of anti-Americanism and confronting an ascendant al Qaeda.

Bergen: Dangerous new world of drones

Similarly, during the intervention in Libya, Romney never articulated anything resembling a coherent policy. He simply refused to take a stand.

More disturbing, Romney's immediate impulse when Americans were killed in Benghazi three weeks ago was to try to exploit the issue for political gain -- and he's been playing politics with the issue ever since.

While Romney has consistently appeared unsteady and unready to handle unfolding events, Obama has effectively managed the tumult of the Arab Spring, demonstrating strategic patience and confident leadership.

As millions flooded the streets of Arab capitals, Obama recognized that the United States should endorse their demands for democratic change and took the lead in helping to broker a peaceful transition in Egypt.

When Moammar Qaddafi turned his guns on peaceful protesters, Obama led an international coalition that saved tens of thousands of civilians in Benghazi, supported the opposition as it overthrew a brutal regime and helped pave the way toward a new Libya.

And in the face of President Bashar al-Assad's brutality in Syria, the administration is leading international efforts to isolate and sanction the regime, push back against Russian intransigence at the United Nations and work with European and regional partners to empower the opposition.

Opinion: Debate coach: Obama, Romney are top performers

The fact that Romney's approach to the Middle East is all swagger and no substance should come as little surprise. After all, Romney backed the war in Iraq, the biggest foreign policy disaster in a generation, and his advisers -- the people who would populate the national security establishment in a Romney administration -- are a Who's Who of the war's architects. Not only did that war cost more than 4,400 American lives, leave more than 32,000 Americans wounded and cost taxpayers nearly $1 trillion -- it empowered Iran and Syria and undermined U.S. credibility in the region and around the globe.

The notion that Romney and his team understand the contemporary Middle East or how best to advance American interests in this volatile region is impossible to reconcile with this record of catastrophically bad judgment.

So, while Romney attempts to politicize overseas events to divert attention from his sagging numbers in the polls, Obama will simply continue to do what he's done consistently and effectively over the past four years: promote our values, protect our interests, defend our friends and bring to justice those who would do America harm.

The opinions expressed in this commentary are solely those of Michèle A. Flournoy, Colin H. Kahl and Marc Lynch.

@highlight

Writers: Romney lies about Obama on foreign policy but only offers vague platitudes

@highlight

Obama upped Israel's security, crippled Iran with sanctions Romney supports, they say

@highlight

They say Romney's Mideast comments dangerous, but Obama manages complexity

@highlight

Writers: Romney's Bush-era foreign policy advisers behind Iraq war, which Romney backed