U.S. military and intelligence agencies pushed doctors working in military detention centers to violate medical ethics by taking part in the mistreatment of prisoners by interrogators, medical and legal experts conclude in a new report.

A report issued Monday by Columbia University's Institute on Medicine as a Profession and the Open Society Foundations called on the Defense Department and CIA to follow international medical standards on the treatment of detainees. Though the worst violations cited in the report occurred before 2006, the ongoing force-feeding of hunger strikers at the U.S. prison camp at Guantanamo Bay remains in conflict with those standards, said Dr. Gerald Thomson, one of the report's authors.

In the aftermath of the September 11, 2001, attacks on New York and Washington, when U.S. forces began to capture suspected operatives of the al Qaeda terrorist network, American military doctors were told "this was an emergency situation, and national security as at stake," Thomson said.

The result was that doctors ended up advising interrogators who were devising and implementing the degrading, inhumane treatment of those captives -- practices now widely seen as having crossed the line into torture -- in "clear conflict" with their professional principles, the report concludes.

Court blocks release of CIA interrogation methods

"The behaviors of the physicians and psychiatrists were dictated by changes in regulations and changes in the understanding of ethical principles that were transmitted by the Department of Defense," said Thomson, a Columbia medical professor emeritus. "They undermined and distorted the physicians' understandings of the ethical principles in dealing with detainees."

More than 100 detainees died in U.S. custody between 2002 and 2005, with 43 of those deaths classified as homicides.

The document, titled "Ethics Abandoned: Medical Professionalism and Detainee Abuse in the War on Terror,"  was the product of three years of study of public records by a 20-member task force. It found the Pentagon excused ethical violations such as the use of medical information in interrogations and the participation of doctors -- sworn to do no harm -- who were characterized as "safety officers."

The task force called for a full investigation of the post-9/11 practices, including medical examinations of detainees, reviews of interrogation logs and documents on the treatment and condition of inmates. Thomson said the number of physicians believed to have been involved was "probably dozens, maybe less than that." But to involve doctors in the abuse of prisoners violates "a covenant, if you will, between the medical profession and society," he said.

Army Lt. Col. Todd Breasseale, a Pentagon spokesman, said Monday that the report's allegations aren't new, and the claims are unsupported.

FBI agent's 'mental poker game' against al Qaeda

The allegations "have been subject to numerous investigations over the years, and those investigations -- which had access to more information than the authors of this report -- have never substantiated these claims," Breasseale said.

He said the health and well-being of Guantanamo detainees is the primary mission of prison camp's medical staff, "and they take this duty as seriously as they take their duty to provide medical treatment to U.S. service members or any other patient in their care."

The practices employed at Guantanamo Bay -- sleep and sensory deprivation, the use of stress positions, the exploitation of phobias and noise exposure -- came to light after the 2004 scandal at Abu Ghraib, the Iraqi prison where American troops were found to have tortured detainees. The scandals led to multiple investigations and reforms by both Congress and the Bush administration, which defended the use of "enhanced" interrogation methods.

The Obama administration repudiated the use of those techniques when it came into office in 2009. But Thomson said the guidelines that U.S. agencies follow today are believed to be looser than they were before 2001, though some details remain classified.

The U.S. response to the wave of hunger strikes at Guantanamo Bay "exposed some medically unethical practices" as well, Thomson said. More than 100 detainees at the camp, located on a U.S. Navy base in Cuba, were refusing food over the summer, and about 30 were being fed through tubes shoved down their noses and into their stomachs.

The Pentagon has said the feeding program is lawful and humane. But the practice has been condemned by human rights groups, the World Medical Association and the American Medical Association, which says every patient has the right to refuse even life-sustaining treatment.

"Those hunger strikes are current. They're not in the past," Thomson said. The camp's guidelines for doctors should be changed, he said, "so physicians are not placed in a position where they're required to violate medical ethics."

Breasseale said the feeding program "is focused solely on preserving the life and health of detainees in (Department of Defense) custody, and is in line with well-established U.S. law."

The feeding tube procedure "is medically sound, and is based on procedures performed not only in U.S. prisons, but in hospitals and nursing homes worldwide," he said.

As of Monday, 14 Guantanamo detainees refuse to eat regularly and are therefore approved for the feeding program, but they don't always require tube feeding because they frequently will "drink the supplement or eat a meal out of sight of their peers," Breasseale said.

"We remain committed to President Obama's goal of closing the detention facility at Guantanamo Bay, Cuba, he added. "It is wildly expensive, it is inefficient, and it operates outside America's best interests. However, until Congress changes the law, we will continue to humanely safeguard those held in our charge there."

Numerous countries involved in CIA interrogation programs

@highlight

Investigations "have never substantiated these claims," Pentagon spokesman says

@highlight

Report: Doctors advised interrogators who treated captives inhumanely after 9/11

@highlight

Such actions violated medical ethics, Columbia University, Open Society Foundations say

@highlight

Study calls for full investigation of inmate treatment after 9/11