(CNN) -- Rick Perlstein could have called his book "Paranoia."

Richard Nixon was "the guy who exploited these tensions to create a new kind of politics," says Rick Perlstein.

If Perlstein's history of the 1960s and early '70s in America has a throughline, it's mistrust. Parents don't trust their children. Enlisted men don't trust their officers. Blacks don't trust whites, Southerners don't trust Northerners, the Silent Majority doesn't trust the Intellectual Establishment, and -- soon enough -- nobody trusts the government.

And in the midst of it all was Richard Nixon: Red-baiter, former vice president, failed gubernatorial nominee, punch line, political strategist and president, a master at playing both sides to maintain his hold on power. In doing so, he provided a roadmap for his successors.

Hence Perlstein's actual title: "Nixonland" (Scribner).

"I'm fascinated with how Americans fight with each other," says Perlstein, 39, who was born the year Nixon took office. "And the '60s is the best, the most -- besides the Civil War, I can't think of a more dramatic canvas. And Nixon fits in as the guy who exploited these tensions to create a new kind of politics that we're still living with now."  Slideshow: What made the '60s the '60s »

Perlstein's book has earned rave reviews. In The Atlantic magazine, conservative writer Ross Douthat praised the author for "the rare gift of being able to weave social, political, and cultural history into a single seamless narrative." Newsweek's Evan Thomas called it "the best book written about the 1960s" in more than a quarter-century.

Perlstein says he's long had an obsession with the '60s -- which, in "Nixonland," start with the Democratic landslide of 1964 and end with the Nixon landslide of 1972. The author, now a senior fellow at the left-leaning Campaign for America's Future in Chicago, considers the book a sequel to his earlier work, a biography of Barry Goldwater and the rise of the conservative movement.

But "Nixonland" is as much a cultural history as a political chronicle; indeed, in the '60s the two were tightly enmeshed. The decade saw the full flower of youth culture, which was intertwined with Vietnam War protests, increasing drug use and distinctive music.

It also saw the rise of what Nixon, in a major 1969 speech, termed the "Silent Majority" -- older, more conservative Americans buffeted on all sides by change, taking refuge in the familiar.

Both groups had their pop culture heroes and touchstones, Perlstein observes.

"The generational divide went so deep as to form a fundamental argument about what was moral and what was immoral," Perlstein says. "This was how people lived in the world -- through popular culture and through politics. The two feed off each other."

Though the era is now remembered through the rosy lenses of the baby boomers, their parents -- the heart of the "Silent Majority" -- didn't look upon the culture so fondly. Many disdained the era's pop music, the most obvious expression of youth.

Moreover, some of the highest-rated TV specials of 1969 and 1970 were Bob Hope programs, Perlstein writes, and when a movie such as 1970's "Joe" came out -- about a hardhat who loathes the hippies -- many in the audience came to cheer for the hardhat.

Movies may have been the most revealing mirror of society. The rise of the youth culture coincided with the death of the studio system. Some of what emerged were films willing to show the grit and ugliness of the cities ("the cities" being a common euphemism for civic decline). "Midnight Cowboy" and "The French Connection," the Academy Awards' best pictures of 1969 and 1971 respectively, show a weary, cold New York crumbling under its residents' feet.

Television tiptoed more gingerly into the new age, Perlstein says. With just three networks catering to the entire country, "everything had to have this lowest-common-denominator mass appeal," he says. "You could watch TV in 1966 and it's really not any different from what it looked like in 1956.

"When you did get interesting shows, it was often an accident -- a midseason replacement," he adds. " 'The Smothers Brothers Comedy Hour' was supposed to be a typical variety show. [CBS] never would have signed it up had they known that they were going to start talking about how much they hated the Vietnam War and started putting on Pete Seeger and making jokes about Richard Nixon. It was an accident."

An underlying theme of "Nixonland" is how the various cultural and political movements eventually borrow from each other, with varying results.

The mass gatherings of youth -- "be-in," "sit-in" -- became "Rowan and Martin's Laugh-in," a colorful comedy show hosted by two nightclub comics, with a writing staff that included an old Nixon hand, Paul Keyes.

The nightly arguments between parents and children became the sitcom "All in the Family," a show whose central figure -- the bigoted construction worker Archie Bunker -- became a cultural hero.

And then there was Nixon, a controlling man who, in trying to stay at least one move ahead of everyone else, ends up consumed by his own power. The result is Watergate, which is just being uncovered as "Nixonland" ends.

Could it have been different? Countless commentators have tried to replay history from the hinge year of 1968, wondering if a surviving Robert Kennedy could have beaten Nixon and salved an angry culture.

Perlstein, whose next book will chronicle the '70s, will have none of it.

"I don't like that magic thinking. I'm very suspicious of it," he says. "Martyrs seem to get 100 extra bonus points in the annals of history, and that's a bias. By the same token, nostalgia systematically cheats the past.

"I think that it pulls around to one of the huge themes of my book and my work, which is that we really want to believe that somehow magically we can transcend our differences in American and as Americans without working hard at it.

"If only this person had lived; if only this event hadn't gone the way it did. But the fact of the matter is, we are a deeply divided nation, and transcending those differences isn't the work of an afternoon or a single person. It's something we all have to fight for."

@highlight

"Nixonland" is Rick Perlstein's history of the '60s and early '70s

@highlight

Central character is Richard Nixon, who exploited era's tensions for his ends

@highlight

Book shows how politics and pop culture intertwined -- and created gaps

@highlight

End result? We're still living in Nixonland, author says